/*===========================================================================*/
/*   (SawMill/bbv.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/bbv.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		long BgL_z52markz52;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		obj_t BgL_ictxz00;
		obj_t BgL_octxsz00;
		long BgL_z52markz52;
		obj_t BgL_z52parentz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_rtl_inszf2bbvzf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_z52hashz52;
	}                       *BgL_rtl_inszf2bbvzf2_bglt;

	typedef struct BgL_bbvzd2ctxentryzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_rtl_regz00_bgl *BgL_regz00;
		struct BgL_typez00_bgl *BgL_typz00;
		bool_t BgL_flagz00;
		obj_t BgL_valuez00;
		obj_t BgL_aliasesz00;
	}                        *BgL_bbvzd2ctxentryzd2_bglt;


	static obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static bool_t BGl_widenzd2bbvz12zc0zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t
		BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t
		BGl_normaliza7ezd2gotoz12z67zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int,
		int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt, obj_t, obj_t,
		obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00();
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_filterzd2livezd2regsz00zzsaw_bbvz00(BgL_rtl_insz00_bglt,
		obj_t);
	static obj_t BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_bbvz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t);
	extern obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvz00();
	BGL_EXPORTED_DECL obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt, obj_t);
	static bool_t BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00(BgL_blockz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvz00();
	static obj_t BGl_mergezd2blockz12zc0zzsaw_bbvz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00();
	static BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t,
		obj_t);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_z62dumpzd2blockszb0zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t
		BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_livenessz12z12zzsaw_bbvz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t, obj_t);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	extern BgL_regsetz00_bglt BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t,
		obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	extern obj_t BGl_blockSz00zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_blockVz00zzsaw_bbvzd2typeszd2;
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	extern obj_t BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, obj_t);
	extern obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2();
	static BgL_blockz00_bglt
		BGl_getzd2specializa7ezd2blockza7zzsaw_bbvz00(BgL_blockz00_bglt, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t);
	BGL_IMPORT int bgl_debug();
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_blockz00_bglt BGl_mergez12z12zzsaw_bbvz00(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00();
	extern obj_t BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00();
	extern obj_t BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_mergezf3zf3zzsaw_bbvz00(BgL_blockz00_bglt, BgL_blockz00_bglt,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00();
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	static BgL_blockz00_bglt
		BGl_specializa7ezd2blockz12z67zzsaw_bbvz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		int);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t);
	extern bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	extern obj_t BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2();
	static obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	extern obj_t BGl_genlabelz00zzsaw_bbvzd2utilszd2();
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	extern obj_t BGl_removezd2nopz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	extern obj_t BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00();
	extern obj_t BGl_removezd2tempsz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt);
	extern bool_t
		BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75
		(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t, obj_t);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	static bool_t BGl_za2cleanupza2z00zzsaw_bbvz00;
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t, obj_t);
	extern obj_t BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2(obj_t,
		BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt);
	extern obj_t BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt, int);
	extern obj_t BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern bool_t
		BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2argsze70z35zzsaw_bbvz00(obj_t);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72431za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2nilza72432za7, BGl_z62regsetzd2nilzb0zzsaw_bbvz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72433za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2408z00zzsaw_bbvz00,
		BgL_bgl_string2408za700za7za7s2434za7, "        bbv ", 12);
	      DEFINE_STRING(BGl_string2409z00zzsaw_bbvz00,
		BgL_bgl_string2409za700za7za7s2435za7, ".plain.bb", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72436za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2410z00zzsaw_bbvz00,
		BgL_bgl_string2410za700za7za7s2437za7, ".norm.bb", 8);
	      DEFINE_STRING(BGl_string2411z00zzsaw_bbvz00,
		BgL_bgl_string2411za700za7za7s2438za7, ">>> ", 4);
	      DEFINE_STRING(BGl_string2412z00zzsaw_bbvz00,
		BgL_bgl_string2412za700za7za7s2439za7, ":", 1);
	      DEFINE_STRING(BGl_string2413z00zzsaw_bbvz00,
		BgL_bgl_string2413za700za7za7s2440za7, ",", 1);
	      DEFINE_STRING(BGl_string2414z00zzsaw_bbvz00,
		BgL_bgl_string2414za700za7za7s2441za7, "SawMill/bbv.scm", 15);
	      DEFINE_STRING(BGl_string2415z00zzsaw_bbvz00,
		BgL_bgl_string2415za700za7za7s2442za7, "<<< ", 4);
	      DEFINE_STRING(BGl_string2416z00zzsaw_bbvz00,
		BgL_bgl_string2416za700za7za7s2443za7, " -> ", 4);
	      DEFINE_STRING(BGl_string2417z00zzsaw_bbvz00,
		BgL_bgl_string2417za700za7za7s2444za7, " ", 1);
	      DEFINE_STRING(BGl_string2418z00zzsaw_bbvz00,
		BgL_bgl_string2418za700za7za7s2445za7, "\n", 1);
	      DEFINE_STRING(BGl_string2419z00zzsaw_bbvz00,
		BgL_bgl_string2419za700za7za7s2446za7, ".spec.bb", 8);
	      DEFINE_STRING(BGl_string2420z00zzsaw_bbvz00,
		BgL_bgl_string2420za700za7za7s2447za7, ".bb", 3);
	      DEFINE_STRING(BGl_string2421z00zzsaw_bbvz00,
		BgL_bgl_string2421za700za7za7s2448za7, "~a-~a~a", 7);
	      DEFINE_STRING(BGl_string2422z00zzsaw_bbvz00,
		BgL_bgl_string2422za700za7za7s2449za7, ";; -*- mode: bee -*-", 20);
	      DEFINE_STRING(BGl_string2423z00zzsaw_bbvz00,
		BgL_bgl_string2423za700za7za7s2450za7, ";; *** ", 7);
	      DEFINE_STRING(BGl_string2424z00zzsaw_bbvz00,
		BgL_bgl_string2424za700za7za7s2451za7, ";; ", 3);
	      DEFINE_STRING(BGl_string2426z00zzsaw_bbvz00,
		BgL_bgl_string2426za700za7za7s2452za7, "saw_bbv", 7);
	      DEFINE_STRING(BGl_string2427z00zzsaw_bbvz00,
		BgL_bgl_string2427za700za7za7s2453za7, "_ * ", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72454za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72455za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72456za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzsaw_bbvz00,
		BgL_bgl_za762za7c3za704anonymo2457za7,
		BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72458za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regv2459z00, BGl_z62regsetzd2regvzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2460z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2msiza72461za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72462za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72463za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72464za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bbvzd2envzd2zzsaw_bbvz00,
		BgL_bgl_za762bbvza762za7za7saw_b2465z00, BGl_z62bbvz62zzsaw_bbvz00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72466za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72467za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72468za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2469z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72470za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72471za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2stringzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2stri2472z00, BGl_z62regsetzd2stringzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72473za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2rtl_re2474z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00, 0L, BUNSPEC, 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72475za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2lengthzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2leng2476z00, BGl_z62regsetzd2lengthzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72477za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72478za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72479za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762makeza7d2regset2480z00, BGl_z62makezd2regsetzb0zzsaw_bbvz00,
		0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvz00,
		BgL_bgl_za762regsetza7f3za791za72481z00, BGl_z62regsetzf3z91zzsaw_bbvz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72482za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvz00,
		BgL_bgl_za762rtl_regza7f2raza72483za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvz00,
		BgL_bgl_za762regsetza7d2regl2484z00, BGl_z62regsetzd2reglzb0zzsaw_bbvz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_bbvz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvz00(long
		BgL_checksumz00_4193, char *BgL_fromz00_4194)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00();
					BGl_cnstzd2initzd2zzsaw_bbvz00();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvz00();
					return BGl_toplevelzd2initzd2zzsaw_bbvz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_bbv");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			{	/* SawMill/bbv.scm 15 */
				obj_t BgL_cportz00_4115;

				{	/* SawMill/bbv.scm 15 */
					obj_t BgL_stringz00_4123;

					BgL_stringz00_4123 = BGl_string2427z00zzsaw_bbvz00;
					{	/* SawMill/bbv.scm 15 */
						obj_t BgL_startz00_4124;

						BgL_startz00_4124 = BINT(((long) 0));
						{	/* SawMill/bbv.scm 15 */
							obj_t BgL_endz00_4125;

							BgL_endz00_4125 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4123)));
							{	/* SawMill/bbv.scm 15 */

								BgL_cportz00_4115 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4123, BgL_startz00_4124, BgL_endz00_4125);
				}}}}
				{
					long BgL_iz00_4116;

					BgL_iz00_4116 = ((long) 1);
				BgL_loopz00_4117:
					if ((BgL_iz00_4116 == ((long) -1)))
						{	/* SawMill/bbv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/bbv.scm 15 */
							{	/* SawMill/bbv.scm 15 */
								obj_t BgL_arg2430z00_4119;

								{	/* SawMill/bbv.scm 15 */

									{	/* SawMill/bbv.scm 15 */
										obj_t BgL_locationz00_4121;

										BgL_locationz00_4121 = BBOOL(((bool_t) 0));
										{	/* SawMill/bbv.scm 15 */

											BgL_arg2430z00_4119 =
												BGl_readz00zz__readerz00(BgL_cportz00_4115,
												BgL_locationz00_4121);
										}
									}
								}
								{	/* SawMill/bbv.scm 15 */
									int BgL_tmpz00_4226;

									BgL_tmpz00_4226 = (int) (BgL_iz00_4116);
									CNST_TABLE_SET(BgL_tmpz00_4226, BgL_arg2430z00_4119);
							}}
							{	/* SawMill/bbv.scm 15 */
								int BgL_auxz00_4122;

								BgL_auxz00_4122 = (int) ((BgL_iz00_4116 - ((long) 1)));
								{
									long BgL_iz00_4231;

									BgL_iz00_4231 = (long) (BgL_auxz00_4122);
									BgL_iz00_4116 = BgL_iz00_4231;
									goto BgL_loopz00_4117;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			return (BGl_za2cleanupza2z00zzsaw_bbvz00 = ((bool_t) 1), BUNSPEC);
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2064;

				BgL_headz00_2064 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2065;
					obj_t BgL_tailz00_2066;

					BgL_prevz00_2065 = BgL_headz00_2064;
					BgL_tailz00_2066 = BgL_l1z00_1;
				BgL_loopz00_2067:
					if (PAIRP(BgL_tailz00_2066))
						{
							obj_t BgL_newzd2prevzd2_2069;

							BgL_newzd2prevzd2_2069 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2066), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2065, BgL_newzd2prevzd2_2069);
							{
								obj_t BgL_tailz00_4241;
								obj_t BgL_prevz00_4240;

								BgL_prevz00_4240 = BgL_newzd2prevzd2_2069;
								BgL_tailz00_4241 = CDR(BgL_tailz00_2066);
								BgL_tailz00_2066 = BgL_tailz00_4241;
								BgL_prevz00_2065 = BgL_prevz00_4240;
								goto BgL_loopz00_2067;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2064);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(BgL_typez00_bglt BgL_type1179z00_3,
		obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1161z00_4127;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1159z00_4128;
					BgL_rtl_regzf2razf2_bglt BgL_wide1160z00_4129;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_4244;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1158z00_4130;

							BgL_new1158z00_4130 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1647z00_4131;

								BgL_arg1647z00_4131 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1158z00_4130),
									BgL_arg1647z00_4131);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_4249;

								BgL_tmpz00_4249 = ((BgL_objectz00_bglt) BgL_new1158z00_4130);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4249, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1158z00_4130);
							BgL_auxz00_4244 = BgL_new1158z00_4130;
						}
						BgL_tmp1159z00_4128 = ((BgL_rtl_regz00_bglt) BgL_auxz00_4244);
					}
					BgL_wide1160z00_4129 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_4257;
						BgL_objectz00_bglt BgL_tmpz00_4255;

						BgL_auxz00_4257 = ((obj_t) BgL_wide1160z00_4129);
						BgL_tmpz00_4255 = ((BgL_objectz00_bglt) BgL_tmp1159z00_4128);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4255, BgL_auxz00_4257);
					}
					((BgL_objectz00_bglt) BgL_tmp1159z00_4128);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1636z00_4132;

						BgL_arg1636z00_4132 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1159z00_4128), BgL_arg1636z00_4132);
					}
					BgL_new1161z00_4127 = ((BgL_rtl_regz00_bglt) BgL_tmp1159z00_4128);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1161z00_4127)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_4127)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_4127)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_4127)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_4127)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1161z00_4127)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4277;

					{
						obj_t BgL_auxz00_4278;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4279;

							BgL_tmpz00_4279 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4278 = BGL_OBJECT_WIDENING(BgL_tmpz00_4279);
						}
						BgL_auxz00_4277 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4278);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4277))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4284;

					{
						obj_t BgL_auxz00_4285;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4286;

							BgL_tmpz00_4286 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4285 = BGL_OBJECT_WIDENING(BgL_tmpz00_4286);
						}
						BgL_auxz00_4284 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4285);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4284))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4291;

					{
						obj_t BgL_auxz00_4292;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4293;

							BgL_tmpz00_4293 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4292 = BGL_OBJECT_WIDENING(BgL_tmpz00_4293);
						}
						BgL_auxz00_4291 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4292);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4291))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4298;

					{
						obj_t BgL_auxz00_4299;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4300;

							BgL_tmpz00_4300 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4299 = BGL_OBJECT_WIDENING(BgL_tmpz00_4300);
						}
						BgL_auxz00_4298 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4299);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4298))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4305;

					{
						obj_t BgL_auxz00_4306;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4307;

							BgL_tmpz00_4307 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4306 = BGL_OBJECT_WIDENING(BgL_tmpz00_4307);
						}
						BgL_auxz00_4305 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4306);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4305))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_4312;

					{
						obj_t BgL_auxz00_4313;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_4314;

							BgL_tmpz00_4314 = ((BgL_objectz00_bglt) BgL_new1161z00_4127);
							BgL_auxz00_4313 = BGL_OBJECT_WIDENING(BgL_tmpz00_4314);
						}
						BgL_auxz00_4312 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4313);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4312))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1161z00_4127;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvz00(obj_t
		BgL_envz00_3991, obj_t BgL_type1179z00_3992, obj_t BgL_var1180z00_3993,
		obj_t BgL_onexprzf31181zf3_3994, obj_t BgL_name1182z00_3995,
		obj_t BgL_key1183z00_3996, obj_t BgL_hardware1184z00_3997,
		obj_t BgL_num1185z00_3998, obj_t BgL_color1186z00_3999,
		obj_t BgL_coalesce1187z00_4000, obj_t BgL_occurrences1188z00_4001,
		obj_t BgL_interfere1189z00_4002, obj_t BgL_interfere21190z00_4003)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvz00(
				((BgL_typez00_bglt) BgL_type1179z00_3992), BgL_var1180z00_3993,
				BgL_onexprzf31181zf3_3994, BgL_name1182z00_3995, BgL_key1183z00_3996,
				BgL_hardware1184z00_3997, CINT(BgL_num1185z00_3998),
				BgL_color1186z00_3999, BgL_coalesce1187z00_4000,
				CINT(BgL_occurrences1188z00_4001), BgL_interfere1189z00_4002,
				BgL_interfere21190z00_4003);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvz00(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_4133;

				BgL_classz00_4133 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1825z00_4134;

						BgL_arg1825z00_4134 = (BgL_objectz00_bglt) (BgL_objz00_15);
						{	/* SawMill/regset.sch 56 */
							bool_t BgL_arg1822z00_4135;
							bool_t BgL_arg1823z00_4136;

							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_4137;

								BgL_idxz00_4137 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4134);
								BgL_arg1822z00_4135 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4137 + ((long) 2))) == BgL_classz00_4133);
							}
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2393z00_4140;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_4141;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1833z00_4142;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1834z00_4143;

											BgL_arg1834z00_4143 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4134);
											BgL_arg1833z00_4142 = (BgL_arg1834z00_4143 - OBJECT_TYPE);
										}
										BgL_oclassz00_4141 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4142);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1110z00_4144;

										BgL__ortest_1110z00_4144 =
											(BgL_classz00_4133 == BgL_oclassz00_4141);
										if (BgL__ortest_1110z00_4144)
											{	/* SawMill/regset.sch 56 */
												BgL_res2393z00_4140 = BgL__ortest_1110z00_4144;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_4145;

												BgL_odepthz00_4145 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4141);
												if ((((long) 2) < BgL_odepthz00_4145))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1821z00_4146;

														BgL_arg1821z00_4146 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4141,
															((long) 2));
														BgL_res2393z00_4140 =
															(BgL_arg1821z00_4146 == BgL_classz00_4133);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2393z00_4140 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4136 = BgL_res2393z00_4140;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4135, BgL_arg1823z00_4136);
						}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvz00(obj_t BgL_envz00_4004,
		obj_t BgL_objz00_4005)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvz00(BgL_objz00_4005));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00()
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3361;

				BgL_classz00_3361 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1112z00_3362;

					BgL__ortest_1112z00_3362 = BGL_CLASS_NIL(BgL_classz00_3361);
					if (CBOOL(BgL__ortest_1112z00_3362))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_3362);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3361));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvz00(obj_t
		BgL_envz00_4006)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvz00();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4350;

				{
					obj_t BgL_auxz00_4351;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_4352;

						BgL_tmpz00_4352 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_4351 = BGL_OBJECT_WIDENING(BgL_tmpz00_4352);
					}
					BgL_auxz00_4350 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4351);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4350))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvz00(obj_t BgL_envz00_4007,
		obj_t BgL_oz00_4008)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4008));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4359;

				{
					obj_t BgL_auxz00_4360;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_4361;

						BgL_tmpz00_4361 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_4360 = BGL_OBJECT_WIDENING(BgL_tmpz00_4361);
					}
					BgL_auxz00_4359 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4360);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4359))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4009, obj_t BgL_oz00_4010, obj_t BgL_vz00_4011)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4010), BgL_vz00_4011);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4368;

				{
					obj_t BgL_auxz00_4369;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_4370;

						BgL_tmpz00_4370 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_4369 = BGL_OBJECT_WIDENING(BgL_tmpz00_4370);
					}
					BgL_auxz00_4368 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4369);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4368))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvz00(obj_t BgL_envz00_4012,
		obj_t BgL_oz00_4013)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4013));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4377;

				{
					obj_t BgL_auxz00_4378;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_4379;

						BgL_tmpz00_4379 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_4378 = BGL_OBJECT_WIDENING(BgL_tmpz00_4379);
					}
					BgL_auxz00_4377 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4378);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4377))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4014, obj_t BgL_oz00_4015, obj_t BgL_vz00_4016)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4015), BgL_vz00_4016);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4386;

				{
					obj_t BgL_auxz00_4387;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_4388;

						BgL_tmpz00_4388 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_4387 = BGL_OBJECT_WIDENING(BgL_tmpz00_4388);
					}
					BgL_auxz00_4386 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4387);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4386))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvz00(obj_t BgL_envz00_4017,
		obj_t BgL_oz00_4018)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4018)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4396;

				{
					obj_t BgL_auxz00_4397;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_4398;

						BgL_tmpz00_4398 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_4397 = BGL_OBJECT_WIDENING(BgL_tmpz00_4398);
					}
					BgL_auxz00_4396 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4397);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4396))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4019, obj_t BgL_oz00_4020, obj_t BgL_vz00_4021)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4020), CINT(BgL_vz00_4021));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4406;

				{
					obj_t BgL_auxz00_4407;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_4408;

						BgL_tmpz00_4408 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_4407 = BGL_OBJECT_WIDENING(BgL_tmpz00_4408);
					}
					BgL_auxz00_4406 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4407);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4406))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvz00(obj_t BgL_envz00_4022,
		obj_t BgL_oz00_4023)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4023));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4415;

				{
					obj_t BgL_auxz00_4416;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_4417;

						BgL_tmpz00_4417 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_4416 = BGL_OBJECT_WIDENING(BgL_tmpz00_4417);
					}
					BgL_auxz00_4415 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4416);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4415))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4024, obj_t BgL_oz00_4025, obj_t BgL_vz00_4026)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4025), BgL_vz00_4026);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4424;

				{
					obj_t BgL_auxz00_4425;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_4426;

						BgL_tmpz00_4426 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_4425 = BGL_OBJECT_WIDENING(BgL_tmpz00_4426);
					}
					BgL_auxz00_4424 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4425);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4424))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvz00(obj_t BgL_envz00_4027,
		obj_t BgL_oz00_4028)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4028));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4433;

				{
					obj_t BgL_auxz00_4434;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_4435;

						BgL_tmpz00_4435 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_4434 = BGL_OBJECT_WIDENING(BgL_tmpz00_4435);
					}
					BgL_auxz00_4433 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4434);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4433))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4029, obj_t BgL_oz00_4030, obj_t BgL_vz00_4031)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4030), BgL_vz00_4031);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_4442;

				{
					obj_t BgL_auxz00_4443;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_4444;

						BgL_tmpz00_4444 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_4443 = BGL_OBJECT_WIDENING(BgL_tmpz00_4444);
					}
					BgL_auxz00_4442 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_4443);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_4442))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvz00(obj_t BgL_envz00_4032,
		obj_t BgL_oz00_4033)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvz00(
					((BgL_rtl_regz00_bglt) BgL_oz00_4033)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvz00(obj_t BgL_envz00_4034,
		obj_t BgL_oz00_4035)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4035));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvz00(obj_t BgL_envz00_4036,
		obj_t BgL_oz00_4037)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4037));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvz00(obj_t BgL_envz00_4038,
		obj_t BgL_oz00_4039)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4039));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvz00(obj_t BgL_envz00_4040,
		obj_t BgL_oz00_4041)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4041));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvz00(obj_t
		BgL_envz00_4042, obj_t BgL_oz00_4043, obj_t BgL_vz00_4044)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4043), BgL_vz00_4044);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvz00(obj_t BgL_envz00_4045,
		obj_t BgL_oz00_4046)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4046));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvz00(obj_t BgL_envz00_4047,
		obj_t BgL_oz00_4048, obj_t BgL_vz00_4049)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4048), BgL_vz00_4049);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(BgL_rtl_regz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvz00(obj_t
		BgL_envz00_4050, obj_t BgL_oz00_4051)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4051));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvz00(obj_t
		BgL_envz00_4052, obj_t BgL_oz00_4053, obj_t BgL_vz00_4054)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_4053),
				((BgL_typez00_bglt) BgL_vz00_4054));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_bbvz00(int
		BgL_length1172z00_52, int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1163z00_4147;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1162z00_4148;

					BgL_new1162z00_4148 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1652z00_4149;

						BgL_arg1652z00_4149 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1162z00_4148), BgL_arg1652z00_4149);
					}
					BgL_new1163z00_4147 = BgL_new1162z00_4148;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_4147))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_4147))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_4147))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_4147))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1163z00_4147))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1163z00_4147;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvz00(obj_t BgL_envz00_4055,
		obj_t BgL_length1172z00_4056, obj_t BgL_msiza7e1173za7_4057,
		obj_t BgL_regv1174z00_4058, obj_t BgL_regl1175z00_4059,
		obj_t BgL_string1176z00_4060)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvz00(CINT(BgL_length1172z00_4056),
				CINT(BgL_msiza7e1173za7_4057), BgL_regv1174z00_4058,
				BgL_regl1175z00_4059, BgL_string1176z00_4060);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvz00(obj_t BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_4150;

				BgL_classz00_4150 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1825z00_4151;

						BgL_arg1825z00_4151 = (BgL_objectz00_bglt) (BgL_objz00_57);
						{	/* SawMill/regset.sch 85 */
							bool_t BgL_arg1822z00_4152;
							bool_t BgL_arg1823z00_4153;

							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_4154;

								BgL_idxz00_4154 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4151);
								BgL_arg1822z00_4152 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_4154 + ((long) 1))) == BgL_classz00_4150);
							}
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2394z00_4157;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_4158;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1833z00_4159;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1834z00_4160;

											BgL_arg1834z00_4160 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4151);
											BgL_arg1833z00_4159 = (BgL_arg1834z00_4160 - OBJECT_TYPE);
										}
										BgL_oclassz00_4158 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_4159);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1110z00_4161;

										BgL__ortest_1110z00_4161 =
											(BgL_classz00_4150 == BgL_oclassz00_4158);
										if (BgL__ortest_1110z00_4161)
											{	/* SawMill/regset.sch 85 */
												BgL_res2394z00_4157 = BgL__ortest_1110z00_4161;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_4162;

												BgL_odepthz00_4162 =
													BGL_CLASS_DEPTH(BgL_oclassz00_4158);
												if ((((long) 1) < BgL_odepthz00_4162))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1821z00_4163;

														BgL_arg1821z00_4163 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4158,
															((long) 1));
														BgL_res2394z00_4157 =
															(BgL_arg1821z00_4163 == BgL_classz00_4150);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2394z00_4157 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_4153 = BgL_res2394z00_4157;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_4152, BgL_arg1823z00_4153);
						}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvz00(obj_t BgL_envz00_4061,
		obj_t BgL_objz00_4062)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvz00(BgL_objz00_4062));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_bbvz00()
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3412;

				BgL_classz00_3412 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1112z00_3413;

					BgL__ortest_1112z00_3413 = BGL_CLASS_NIL(BgL_classz00_3412);
					if (CBOOL(BgL__ortest_1112z00_3413))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1112z00_3413);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3412));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvz00(obj_t BgL_envz00_4063)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvz00();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2stringzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvz00(obj_t BgL_envz00_4064,
		obj_t BgL_oz00_4065)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4065));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_59,
		obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4066,
		obj_t BgL_oz00_4067, obj_t BgL_vz00_4068)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4067), BgL_vz00_4068);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2reglzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvz00(obj_t BgL_envz00_4069,
		obj_t BgL_oz00_4070)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4070));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2regvzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvz00(obj_t BgL_envz00_4071,
		obj_t BgL_oz00_4072)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvz00(((BgL_regsetz00_bglt) BgL_oz00_4072));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int BGl_regsetzd2msiza7ez75zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvz00(obj_t BgL_envz00_4073,
		obj_t BgL_oz00_4074)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4074)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int BGl_regsetzd2lengthzd2zzsaw_bbvz00(BgL_regsetz00_bglt
		BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvz00(obj_t BgL_envz00_4075,
		obj_t BgL_oz00_4076)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvz00(
					((BgL_regsetz00_bglt) BgL_oz00_4076)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(BgL_regsetz00_bglt BgL_oz00_71,
		int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvz00(obj_t BgL_envz00_4077,
		obj_t BgL_oz00_4078, obj_t BgL_vz00_4079)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvz00(
				((BgL_regsetz00_bglt) BgL_oz00_4078), CINT(BgL_vz00_4079));
		}

	}



/* bbv */
	BGL_EXPORTED_DEF obj_t BGl_bbvz00zzsaw_bbvz00(BgL_backendz00_bglt
		BgL_backz00_76, BgL_globalz00_bglt BgL_globalz00_77, obj_t BgL_paramsz00_78,
		obj_t BgL_blocksz00_79)
	{
		{	/* SawMill/bbv.scm 57 */
			if (CBOOL(BGl_za2sawzd2bbvzf3za2z21zzengine_paramz00))
				{	/* SawMill/bbv.scm 58 */
					BGl_startzd2bbvzd2cachez12z12zzsaw_bbvzd2cachezd2();
					{	/* SawMill/bbv.scm 61 */
						obj_t BgL_arg1676z00_2093;

						BgL_arg1676z00_2093 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_globalz00_77)))->BgL_idz00);
						{	/* SawMill/bbv.scm 61 */
							obj_t BgL_list1677z00_2094;

							{	/* SawMill/bbv.scm 61 */
								obj_t BgL_arg1678z00_2095;

								BgL_arg1678z00_2095 =
									MAKE_YOUNG_PAIR(BgL_arg1676z00_2093, BNIL);
								BgL_list1677z00_2094 =
									MAKE_YOUNG_PAIR(BGl_string2408z00zzsaw_bbvz00,
									BgL_arg1678z00_2095);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list1677z00_2094);
					}}
					{	/* SawMill/bbv.scm 62 */
						bool_t BgL_test2497z00_4561;

						{	/* SawMill/bbv.scm 62 */
							int BgL_arg1681z00_2098;

							BgL_arg1681z00_2098 = bgl_debug();
							BgL_test2497z00_4561 =
								((long) (BgL_arg1681z00_2098) >= ((long) 1));
						}
						if (BgL_test2497z00_4561)
							{	/* SawMill/bbv.scm 62 */
								BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_77,
									BgL_paramsz00_78, BgL_blocksz00_79,
									BGl_string2409z00zzsaw_bbvz00);
							}
						else
							{	/* SawMill/bbv.scm 62 */
								BFALSE;
							}
					}
					BGl_setzd2maxzd2labelz12z12zzsaw_bbvzd2utilszd2(BgL_blocksz00_79);
					{	/* SawMill/bbv.scm 65 */
						obj_t BgL_blocksz00_2099;

						{	/* SawMill/bbv.scm 65 */
							obj_t BgL_arg1799z00_2169;

							{	/* SawMill/bbv.scm 65 */
								obj_t BgL_arg1801z00_2170;

								BgL_arg1801z00_2170 = CAR(((obj_t) BgL_blocksz00_79));
								BgL_arg1799z00_2169 =
									BGl_removezd2tempsz12zc0zzsaw_bbvzd2utilszd2(
									((BgL_blockz00_bglt) BgL_arg1801z00_2170));
							}
							BgL_blocksz00_2099 =
								BGl_normaliza7ezd2gotoz12z67zzsaw_bbvzd2utilszd2(
								((BgL_blockz00_bglt) BgL_arg1799z00_2169));
						}
						{	/* SawMill/bbv.scm 66 */
							bool_t BgL_test2498z00_4573;

							{	/* SawMill/bbv.scm 66 */
								int BgL_arg1694z00_2102;

								BgL_arg1694z00_2102 = bgl_debug();
								BgL_test2498z00_4573 =
									((long) (BgL_arg1694z00_2102) >= ((long) 1));
							}
							if (BgL_test2498z00_4573)
								{	/* SawMill/bbv.scm 66 */
									BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_77,
										BgL_paramsz00_78, BgL_blocksz00_2099,
										BGl_string2410z00zzsaw_bbvz00);
								}
							else
								{	/* SawMill/bbv.scm 66 */
									BFALSE;
								}
						}
						{	/* SawMill/bbv.scm 68 */
							obj_t BgL_regsz00_2103;

							BgL_regsz00_2103 =
								BGl_livenessz12z12zzsaw_bbvz00(BgL_backz00_76,
								BgL_blocksz00_2099, BgL_paramsz00_78);
							{	/* SawMill/bbv.scm 69 */
								obj_t BgL_arg1695z00_2104;
								obj_t BgL_arg1696z00_2105;

								{	/* SawMill/bbv.scm 69 */
									obj_t BgL_tmpz00_4579;

									BgL_tmpz00_4579 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_arg1695z00_2104 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4579);
								}
								BgL_arg1696z00_2105 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_globalz00_77)))->BgL_idz00);
								{	/* SawMill/bbv.scm 69 */
									obj_t BgL_list1697z00_2106;

									{	/* SawMill/bbv.scm 69 */
										obj_t BgL_arg1699z00_2107;

										{	/* SawMill/bbv.scm 69 */
											obj_t BgL_arg1703z00_2108;

											{	/* SawMill/bbv.scm 69 */
												obj_t BgL_arg1706z00_2109;

												{	/* SawMill/bbv.scm 69 */
													obj_t BgL_arg1711z00_2110;

													{	/* SawMill/bbv.scm 69 */
														obj_t BgL_arg1712z00_2111;

														BgL_arg1712z00_2111 =
															MAKE_YOUNG_PAIR(BgL_arg1696z00_2105, BNIL);
														BgL_arg1711z00_2110 =
															MAKE_YOUNG_PAIR(BGl_string2411z00zzsaw_bbvz00,
															BgL_arg1712z00_2111);
													}
													BgL_arg1706z00_2109 =
														MAKE_YOUNG_PAIR(BGl_string2412z00zzsaw_bbvz00,
														BgL_arg1711z00_2110);
												}
												BgL_arg1703z00_2108 =
													MAKE_YOUNG_PAIR(BINT(((long) 69)),
													BgL_arg1706z00_2109);
											}
											BgL_arg1699z00_2107 =
												MAKE_YOUNG_PAIR(BGl_string2413z00zzsaw_bbvz00,
												BgL_arg1703z00_2108);
										}
										BgL_list1697z00_2106 =
											MAKE_YOUNG_PAIR(BGl_string2414z00zzsaw_bbvz00,
											BgL_arg1699z00_2107);
									}
									BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1695z00_2104,
										BgL_list1697z00_2106);
							}}
							{	/* SawMill/bbv.scm 70 */
								obj_t BgL_exitd1164z00_2112;

								BgL_exitd1164z00_2112 = BGL_EXITD_TOP_AS_OBJ();
								{	/* SawMill/bbv.scm 93 */
									obj_t BgL_zc3z04anonymousza31778ze3z87_4080;

									BgL_zc3z04anonymousza31778ze3z87_4080 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_bbvz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31778ze3z87_4080,
										(int) (((long) 0)), BgL_regsz00_2103);
									{	/* SawMill/bbv.scm 70 */
										obj_t BgL_arg1846z00_3434;

										{	/* SawMill/bbv.scm 70 */
											obj_t BgL_arg1847z00_3435;

											BgL_arg1847z00_3435 =
												BGL_EXITD_PROTECT(BgL_exitd1164z00_2112);
											BgL_arg1846z00_3434 =
												MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31778ze3z87_4080,
												BgL_arg1847z00_3435);
										}
										BGL_EXITD_PROTECT_SET(BgL_exitd1164z00_2112,
											BgL_arg1846z00_3434);
										BUNSPEC;
									}
									{	/* SawMill/bbv.scm 71 */
										obj_t BgL_tmp1166z00_2114;

										if (NULLP(BgL_blocksz00_2099))
											{	/* SawMill/bbv.scm 71 */
												BgL_tmp1166z00_2114 = BNIL;
											}
										else
											{	/* SawMill/bbv.scm 73 */
												BgL_blockz00_bglt BgL_sz00_2116;

												{	/* SawMill/bbv.scm 73 */
													obj_t BgL_arg1772z00_2154;
													obj_t BgL_arg1777z00_2155;

													BgL_arg1772z00_2154 =
														CAR(((obj_t) BgL_blocksz00_2099));
													BgL_arg1777z00_2155 =
														BGl_paramszd2ze3ctxz31zzsaw_bbvzd2typeszd2
														(BgL_paramsz00_78);
													BgL_sz00_2116 =
														BGl_getzd2specializa7ezd2blockza7zzsaw_bbvz00((
															(BgL_blockz00_bglt) BgL_arg1772z00_2154),
														BgL_arg1777z00_2155);
												}
												{	/* SawMill/bbv.scm 73 */
													obj_t BgL_bz00_2117;

													{	/* SawMill/bbv.scm 76 */
														obj_t BgL_arg1762z00_2150;

														{	/* SawMill/bbv.scm 79 */
															obj_t BgL_arg1763z00_2151;

															{	/* SawMill/bbv.scm 79 */
																BgL_blockz00_bglt BgL_arg1766z00_2152;

																BgL_arg1766z00_2152 =
																	BGl_mergez12z12zzsaw_bbvz00
																	(BGl_getzd2bbzd2markz00zzsaw_bbvzd2utilszd2(),
																	BgL_sz00_2116);
																BgL_arg1763z00_2151 =
																	BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2utilszd2
																	(((BgL_blockz00_bglt) BgL_arg1766z00_2152));
															}
															BgL_arg1762z00_2150 =
																BGl_removezd2nopz12zc0zzsaw_bbvzd2utilszd2(
																((BgL_blockz00_bglt) BgL_arg1763z00_2151));
														}
														BgL_bz00_2117 =
															BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
															(BgL_regsz00_2103,
															((BgL_blockz00_bglt) BgL_arg1762z00_2150));
													}
													{	/* SawMill/bbv.scm 75 */

														{	/* SawMill/bbv.scm 82 */
															obj_t BgL_arg1714z00_2118;
															obj_t BgL_arg1715z00_2119;

															{	/* SawMill/bbv.scm 82 */
																obj_t BgL_tmpz00_4616;

																BgL_tmpz00_4616 = BGL_CURRENT_DYNAMIC_ENV();
																BgL_arg1714z00_2118 =
																	BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4616);
															}
															BgL_arg1715z00_2119 =
																(((BgL_variablez00_bglt) COBJECT(
																		((BgL_variablez00_bglt)
																			BgL_globalz00_77)))->BgL_idz00);
															{	/* SawMill/bbv.scm 82 */
																obj_t BgL_list1716z00_2120;

																{	/* SawMill/bbv.scm 82 */
																	obj_t BgL_arg1721z00_2121;

																	{	/* SawMill/bbv.scm 82 */
																		obj_t BgL_arg1723z00_2122;

																		{	/* SawMill/bbv.scm 82 */
																			obj_t BgL_arg1725z00_2123;

																			{	/* SawMill/bbv.scm 82 */
																				obj_t BgL_arg1726z00_2124;

																				{	/* SawMill/bbv.scm 82 */
																					obj_t BgL_arg1728z00_2125;

																					BgL_arg1728z00_2125 =
																						MAKE_YOUNG_PAIR(BgL_arg1715z00_2119,
																						BNIL);
																					BgL_arg1726z00_2124 =
																						MAKE_YOUNG_PAIR
																						(BGl_string2415z00zzsaw_bbvz00,
																						BgL_arg1728z00_2125);
																				}
																				BgL_arg1725z00_2123 =
																					MAKE_YOUNG_PAIR
																					(BGl_string2412z00zzsaw_bbvz00,
																					BgL_arg1726z00_2124);
																			}
																			BgL_arg1723z00_2122 =
																				MAKE_YOUNG_PAIR(BINT(((long) 82)),
																				BgL_arg1725z00_2123);
																		}
																		BgL_arg1721z00_2121 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2413z00zzsaw_bbvz00,
																			BgL_arg1723z00_2122);
																	}
																	BgL_list1716z00_2120 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2414z00zzsaw_bbvz00,
																		BgL_arg1721z00_2121);
																}
																BGl_tprintz00zz__r4_output_6_10_3z00
																	(BgL_arg1714z00_2118, BgL_list1716z00_2120);
														}}
														{	/* SawMill/bbv.scm 83 */
															long BgL_arg1729z00_2126;
															long BgL_arg1731z00_2127;

															BgL_arg1729z00_2126 =
																bgl_list_length(BgL_blocksz00_2099);
															BgL_arg1731z00_2127 =
																bgl_list_length(BgL_bz00_2117);
															{	/* SawMill/bbv.scm 83 */
																obj_t BgL_list1732z00_2128;

																{	/* SawMill/bbv.scm 83 */
																	obj_t BgL_arg1738z00_2129;

																	{	/* SawMill/bbv.scm 83 */
																		obj_t BgL_arg1739z00_2130;

																		{	/* SawMill/bbv.scm 83 */
																			obj_t BgL_arg1742z00_2131;

																			BgL_arg1742z00_2131 =
																				MAKE_YOUNG_PAIR(BINT
																				(BgL_arg1731z00_2127), BNIL);
																			BgL_arg1739z00_2130 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2416z00zzsaw_bbvz00,
																				BgL_arg1742z00_2131);
																		}
																		BgL_arg1738z00_2129 =
																			MAKE_YOUNG_PAIR(BINT(BgL_arg1729z00_2126),
																			BgL_arg1739z00_2130);
																	}
																	BgL_list1732z00_2128 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2417z00zzsaw_bbvz00,
																		BgL_arg1738z00_2129);
																}
																BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
																	BgL_list1732z00_2128);
														}}
														{	/* SawMill/bbv.scm 84 */
															obj_t BgL_list1743z00_2132;

															BgL_list1743z00_2132 =
																MAKE_YOUNG_PAIR(BGl_string2418z00zzsaw_bbvz00,
																BNIL);
															BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
																BgL_list1743z00_2132);
														}
														{	/* SawMill/bbv.scm 85 */
															bool_t BgL_test2500z00_4642;

															{	/* SawMill/bbv.scm 85 */
																int BgL_arg1748z00_2136;

																BgL_arg1748z00_2136 = bgl_debug();
																BgL_test2500z00_4642 =
																	((long) (BgL_arg1748z00_2136) >= ((long) 1));
															}
															if (BgL_test2500z00_4642)
																{	/* SawMill/bbv.scm 85 */
																	{	/* SawMill/bbv.scm 87 */
																		obj_t BgL_arg1747z00_2135;

																		BgL_arg1747z00_2135 =
																			BGl_blockzd2ze3blockzd2listze3zzsaw_bbvzd2utilszd2
																			(BgL_regsz00_2103,
																			((BgL_blockz00_bglt) BgL_sz00_2116));
																		BGl_dumpzd2blockszd2zzsaw_bbvz00
																			(BgL_globalz00_77, BgL_paramsz00_78,
																			BgL_arg1747z00_2135,
																			BGl_string2419z00zzsaw_bbvz00);
																	}
																	BGl_dumpzd2blockszd2zzsaw_bbvz00
																		(BgL_globalz00_77, BgL_paramsz00_78,
																		BgL_bz00_2117,
																		BGl_string2420z00zzsaw_bbvz00);
																}
															else
																{	/* SawMill/bbv.scm 85 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_l1538z00_2139;

															BgL_l1538z00_2139 = BgL_bz00_2117;
														BgL_zc3z04anonymousza31749ze3z87_2140:
															if (NULLP(BgL_l1538z00_2139))
																{	/* SawMill/bbv.scm 90 */
																	BgL_bz00_2117;
																}
															else
																{	/* SawMill/bbv.scm 90 */
																	{	/* SawMill/bbv.scm 90 */
																		obj_t BgL_arg1751z00_2142;

																		{	/* SawMill/bbv.scm 90 */
																			obj_t BgL_bz00_2143;

																			BgL_bz00_2143 =
																				CAR(((obj_t) BgL_l1538z00_2139));
																			{	/* SawMill/bbv.scm 90 */
																				long BgL_arg1752z00_2145;

																				{	/* SawMill/bbv.scm 90 */
																					obj_t BgL_arg1753z00_2146;

																					{	/* SawMill/bbv.scm 90 */
																						obj_t BgL_arg1759z00_2147;

																						{	/* SawMill/bbv.scm 90 */
																							long BgL_arg1833z00_3442;

																							{	/* SawMill/bbv.scm 90 */
																								long BgL_arg1834z00_3443;

																								BgL_arg1834z00_3443 =
																									BGL_OBJECT_CLASS_NUM(
																									((BgL_objectz00_bglt)
																										BgL_bz00_2143));
																								BgL_arg1833z00_3442 =
																									(BgL_arg1834z00_3443 -
																									OBJECT_TYPE);
																							}
																							BgL_arg1759z00_2147 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_3442);
																						}
																						BgL_arg1753z00_2146 =
																							BGl_classzd2superzd2zz__objectz00
																							(BgL_arg1759z00_2147);
																					}
																					{	/* SawMill/bbv.scm 90 */
																						obj_t BgL_tmpz00_4659;

																						BgL_tmpz00_4659 =
																							((obj_t) BgL_arg1753z00_2146);
																						BgL_arg1752z00_2145 =
																							BGL_CLASS_NUM(BgL_tmpz00_4659);
																				}}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt) BgL_bz00_2143),
																					BgL_arg1752z00_2145);
																			}
																			{	/* SawMill/bbv.scm 90 */
																				BgL_objectz00_bglt BgL_tmpz00_4664;

																				BgL_tmpz00_4664 =
																					((BgL_objectz00_bglt) BgL_bz00_2143);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4664,
																					BFALSE);
																			}
																			((BgL_objectz00_bglt) BgL_bz00_2143);
																			BgL_arg1751z00_2142 = BgL_bz00_2143;
																		}
																		{	/* SawMill/bbv.scm 90 */
																			obj_t BgL_tmpz00_4668;

																			BgL_tmpz00_4668 =
																				((obj_t) BgL_l1538z00_2139);
																			SET_CAR(BgL_tmpz00_4668,
																				BgL_arg1751z00_2142);
																	}}
																	{	/* SawMill/bbv.scm 90 */
																		obj_t BgL_arg1761z00_2148;

																		BgL_arg1761z00_2148 =
																			CDR(((obj_t) BgL_l1538z00_2139));
																		{
																			obj_t BgL_l1538z00_4673;

																			BgL_l1538z00_4673 = BgL_arg1761z00_2148;
																			BgL_l1538z00_2139 = BgL_l1538z00_4673;
																			goto
																				BgL_zc3z04anonymousza31749ze3z87_2140;
																		}
																	}
																}
														}
														BgL_tmp1166z00_2114 = BgL_bz00_2117;
													}
												}
											}
										{	/* SawMill/bbv.scm 70 */
											bool_t BgL_test2502z00_4674;

											{	/* SawMill/bbv.scm 70 */
												obj_t BgL_arg1845z00_3456;

												BgL_arg1845z00_3456 =
													BGL_EXITD_PROTECT(BgL_exitd1164z00_2112);
												BgL_test2502z00_4674 = PAIRP(BgL_arg1845z00_3456);
											}
											if (BgL_test2502z00_4674)
												{	/* SawMill/bbv.scm 70 */
													obj_t BgL_arg1843z00_3457;

													{	/* SawMill/bbv.scm 70 */
														obj_t BgL_arg1844z00_3458;

														BgL_arg1844z00_3458 =
															BGL_EXITD_PROTECT(BgL_exitd1164z00_2112);
														BgL_arg1843z00_3457 =
															CDR(((obj_t) BgL_arg1844z00_3458));
													}
													BGL_EXITD_PROTECT_SET(BgL_exitd1164z00_2112,
														BgL_arg1843z00_3457);
													BUNSPEC;
												}
											else
												{	/* SawMill/bbv.scm 70 */
													BFALSE;
												}
										}
										BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_bbvz00
											(BgL_zc3z04anonymousza31778ze3z87_4080);
										return BgL_tmp1166z00_2114;
									}
								}
							}
						}
					}
				}
			else
				{	/* SawMill/bbv.scm 58 */
					return BgL_blocksz00_79;
				}
		}

	}



/* &bbv */
	obj_t BGl_z62bbvz62zzsaw_bbvz00(obj_t BgL_envz00_4081, obj_t BgL_backz00_4082,
		obj_t BgL_globalz00_4083, obj_t BgL_paramsz00_4084,
		obj_t BgL_blocksz00_4085)
	{
		{	/* SawMill/bbv.scm 57 */
			return
				BGl_bbvz00zzsaw_bbvz00(
				((BgL_backendz00_bglt) BgL_backz00_4082),
				((BgL_globalz00_bglt) BgL_globalz00_4083), BgL_paramsz00_4084,
				BgL_blocksz00_4085);
		}

	}



/* &<@anonymous:1778> */
	obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4086)
	{
		{	/* SawMill/bbv.scm 70 */
			{	/* SawMill/bbv.scm 93 */
				obj_t BgL_regsz00_4087;

				BgL_regsz00_4087 = PROCEDURE_REF(BgL_envz00_4086, (int) (((long) 0)));
				{	/* SawMill/bbv.scm 93 */
					bool_t BgL_tmpz00_4687;

					{
						obj_t BgL_l1535z00_4165;

						BgL_l1535z00_4165 = BgL_regsz00_4087;
					BgL_zc3z04anonymousza31779ze3z87_4164:
						if (PAIRP(BgL_l1535z00_4165))
							{	/* SawMill/bbv.scm 93 */
								{	/* SawMill/bbv.scm 93 */
									obj_t BgL_rz00_4166;

									BgL_rz00_4166 = CAR(BgL_l1535z00_4165);
									{	/* SawMill/bbv.scm 93 */
										long BgL_arg1781z00_4167;

										{	/* SawMill/bbv.scm 93 */
											obj_t BgL_arg1785z00_4168;

											{	/* SawMill/bbv.scm 93 */
												obj_t BgL_arg1788z00_4169;

												{	/* SawMill/bbv.scm 93 */
													long BgL_arg1833z00_4170;

													{	/* SawMill/bbv.scm 93 */
														long BgL_arg1834z00_4171;

														BgL_arg1834z00_4171 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt) BgL_rz00_4166));
														BgL_arg1833z00_4170 =
															(BgL_arg1834z00_4171 - OBJECT_TYPE);
													}
													BgL_arg1788z00_4169 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4170);
												}
												BgL_arg1785z00_4168 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg1788z00_4169);
											}
											{	/* SawMill/bbv.scm 93 */
												obj_t BgL_tmpz00_4696;

												BgL_tmpz00_4696 = ((obj_t) BgL_arg1785z00_4168);
												BgL_arg1781z00_4167 = BGL_CLASS_NUM(BgL_tmpz00_4696);
										}}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_rz00_4166),
											BgL_arg1781z00_4167);
									}
									{	/* SawMill/bbv.scm 93 */
										BgL_objectz00_bglt BgL_tmpz00_4701;

										BgL_tmpz00_4701 = ((BgL_objectz00_bglt) BgL_rz00_4166);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4701, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_rz00_4166);
									BgL_rz00_4166;
								}
								{
									obj_t BgL_l1535z00_4705;

									BgL_l1535z00_4705 = CDR(BgL_l1535z00_4165);
									BgL_l1535z00_4165 = BgL_l1535z00_4705;
									goto BgL_zc3z04anonymousza31779ze3z87_4164;
								}
							}
						else
							{	/* SawMill/bbv.scm 93 */
								BgL_tmpz00_4687 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_4687);
				}
			}
		}

	}



/* dump-blocks */
	obj_t BGl_dumpzd2blockszd2zzsaw_bbvz00(BgL_globalz00_bglt BgL_globalz00_80,
		obj_t BgL_paramsz00_81, obj_t BgL_blocksz00_82, obj_t BgL_suffixz00_83)
	{
		{	/* SawMill/bbv.scm 99 */
			{	/* SawMill/bbv.scm 102 */
				obj_t BgL_dumpzd2blockszd2_4088;

				BgL_dumpzd2blockszd2_4088 =
					MAKE_FX_PROCEDURE(BGl_z62dumpzd2blockszb0zzsaw_bbvz00,
					(int) (((long) 1)), (int) (((long) 3)));
				PROCEDURE_SET(BgL_dumpzd2blockszd2_4088,
					(int) (((long) 0)), ((obj_t) BgL_globalz00_80));
				PROCEDURE_SET(BgL_dumpzd2blockszd2_4088,
					(int) (((long) 1)), BgL_paramsz00_81);
				PROCEDURE_SET(BgL_dumpzd2blockszd2_4088,
					(int) (((long) 2)), BgL_blocksz00_82);
				{	/* SawMill/bbv.scm 112 */
					obj_t BgL_onamez00_2172;
					obj_t BgL_idz00_2173;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* SawMill/bbv.scm 112 */
							BgL_onamez00_2172 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* SawMill/bbv.scm 114 */
							bool_t BgL_test2505z00_4720;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* SawMill/bbv.scm 114 */
									obj_t BgL_tmpz00_4723;

									BgL_tmpz00_4723 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_test2505z00_4720 = STRINGP(BgL_tmpz00_4723);
								}
							else
								{	/* SawMill/bbv.scm 114 */
									BgL_test2505z00_4720 = ((bool_t) 0);
								}
							if (BgL_test2505z00_4720)
								{	/* SawMill/bbv.scm 114 */
									BgL_onamez00_2172 =
										BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* SawMill/bbv.scm 114 */
									BgL_onamez00_2172 = BFALSE;
								}
						}
					BgL_idz00_2173 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_80)))->BgL_idz00);
					if (CBOOL(BgL_onamez00_2172))
						{	/* SawMill/bbv.scm 119 */
							obj_t BgL_arg1805z00_2174;

							{	/* SawMill/bbv.scm 119 */
								obj_t BgL_list1806z00_2175;

								{	/* SawMill/bbv.scm 119 */
									obj_t BgL_arg1807z00_2176;

									{	/* SawMill/bbv.scm 119 */
										obj_t BgL_arg1808z00_2177;

										BgL_arg1808z00_2177 =
											MAKE_YOUNG_PAIR(BgL_suffixz00_83, BNIL);
										BgL_arg1807z00_2176 =
											MAKE_YOUNG_PAIR(BgL_idz00_2173, BgL_arg1808z00_2177);
									}
									BgL_list1806z00_2175 =
										MAKE_YOUNG_PAIR(BgL_onamez00_2172, BgL_arg1807z00_2176);
								}
								BgL_arg1805z00_2174 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2421z00zzsaw_bbvz00, BgL_list1806z00_2175);
							}
							return
								BGl_callzd2withzd2outputzd2filezd2zz__r4_ports_6_10_1z00
								(BgL_arg1805z00_2174, BgL_dumpzd2blockszd2_4088);
						}
					else
						{	/* SawMill/bbv.scm 120 */
							obj_t BgL_arg1810z00_2178;

							{	/* SawMill/bbv.scm 120 */
								obj_t BgL_tmpz00_4737;

								BgL_tmpz00_4737 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1810z00_2178 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4737);
							}
							return
								BGl_z62dumpzd2blockszb0zzsaw_bbvz00(BgL_dumpzd2blockszd2_4088,
								BgL_arg1810z00_2178);
						}
				}
			}
		}

	}



/* &dump-blocks */
	obj_t BGl_z62dumpzd2blockszb0zzsaw_bbvz00(obj_t BgL_envz00_4089,
		obj_t BgL_portz00_4093)
	{
		{	/* SawMill/bbv.scm 110 */
			{	/* SawMill/bbv.scm 102 */
				BgL_globalz00_bglt BgL_globalz00_4090;
				obj_t BgL_paramsz00_4091;
				obj_t BgL_blocksz00_4092;

				BgL_globalz00_4090 =
					((BgL_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_4089, (int) (((long) 0))));
				BgL_paramsz00_4091 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4089, (int) (((long) 1))));
				BgL_blocksz00_4092 = PROCEDURE_REF(BgL_envz00_4089, (int) (((long) 2)));
				{	/* SawMill/bbv.scm 102 */
					obj_t BgL_idz00_4172;

					BgL_idz00_4172 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt) BgL_globalz00_4090)))->BgL_idz00);
					{	/* SawMill/bbv.scm 102 */

						{	/* SawMill/bbv.scm 103 */
							obj_t BgL_tmpz00_4751;

							BgL_tmpz00_4751 = ((obj_t) BgL_portz00_4093);
							bgl_display_string(BGl_string2422z00zzsaw_bbvz00,
								BgL_tmpz00_4751);
						}
						{	/* SawMill/bbv.scm 103 */
							obj_t BgL_tmpz00_4754;

							BgL_tmpz00_4754 = ((obj_t) BgL_portz00_4093);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_4754);
						}
						{	/* SawMill/bbv.scm 104 */
							obj_t BgL_tmpz00_4757;

							BgL_tmpz00_4757 = ((obj_t) BgL_portz00_4093);
							bgl_display_string(BGl_string2423z00zzsaw_bbvz00,
								BgL_tmpz00_4757);
						}
						bgl_display_obj(BgL_idz00_4172, BgL_portz00_4093);
						{	/* SawMill/bbv.scm 104 */
							obj_t BgL_tmpz00_4761;

							BgL_tmpz00_4761 = ((obj_t) BgL_portz00_4093);
							bgl_display_string(BGl_string2412z00zzsaw_bbvz00,
								BgL_tmpz00_4761);
						}
						{	/* SawMill/bbv.scm 104 */
							obj_t BgL_tmpz00_4764;

							BgL_tmpz00_4764 = ((obj_t) BgL_portz00_4093);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_4764);
						}
						{	/* SawMill/bbv.scm 105 */
							obj_t BgL_tmpz00_4767;

							BgL_tmpz00_4767 = ((obj_t) BgL_portz00_4093);
							bgl_display_string(BGl_string2424z00zzsaw_bbvz00,
								BgL_tmpz00_4767);
						}
						{	/* SawMill/bbv.scm 105 */
							obj_t BgL_arg1839z00_4173;

							{	/* SawMill/bbv.scm 105 */
								obj_t BgL_l1542z00_4174;

								BgL_l1542z00_4174 = BgL_paramsz00_4091;
								if (NULLP(BgL_l1542z00_4174))
									{	/* SawMill/bbv.scm 105 */
										BgL_arg1839z00_4173 = BNIL;
									}
								else
									{	/* SawMill/bbv.scm 105 */
										obj_t BgL_head1544z00_4175;

										{	/* SawMill/bbv.scm 105 */
											obj_t BgL_arg1852z00_4176;

											{	/* SawMill/bbv.scm 105 */
												obj_t BgL_arg1854z00_4177;

												BgL_arg1854z00_4177 = CAR(((obj_t) BgL_l1542z00_4174));
												BgL_arg1852z00_4176 =
													BGl_shapez00zztools_shapez00(BgL_arg1854z00_4177);
											}
											BgL_head1544z00_4175 =
												MAKE_YOUNG_PAIR(BgL_arg1852z00_4176, BNIL);
										}
										{	/* SawMill/bbv.scm 105 */
											obj_t BgL_g1547z00_4178;

											BgL_g1547z00_4178 = CDR(((obj_t) BgL_l1542z00_4174));
											{
												obj_t BgL_l1542z00_4180;
												obj_t BgL_tail1545z00_4181;

												BgL_l1542z00_4180 = BgL_g1547z00_4178;
												BgL_tail1545z00_4181 = BgL_head1544z00_4175;
											BgL_zc3z04anonymousza31841ze3z87_4179:
												if (NULLP(BgL_l1542z00_4180))
													{	/* SawMill/bbv.scm 105 */
														BgL_arg1839z00_4173 = BgL_head1544z00_4175;
													}
												else
													{	/* SawMill/bbv.scm 105 */
														obj_t BgL_newtail1546z00_4182;

														{	/* SawMill/bbv.scm 105 */
															obj_t BgL_arg1849z00_4183;

															{	/* SawMill/bbv.scm 105 */
																obj_t BgL_arg1850z00_4184;

																BgL_arg1850z00_4184 =
																	CAR(((obj_t) BgL_l1542z00_4180));
																BgL_arg1849z00_4183 =
																	BGl_shapez00zztools_shapez00
																	(BgL_arg1850z00_4184);
															}
															BgL_newtail1546z00_4182 =
																MAKE_YOUNG_PAIR(BgL_arg1849z00_4183, BNIL);
														}
														SET_CDR(BgL_tail1545z00_4181,
															BgL_newtail1546z00_4182);
														{	/* SawMill/bbv.scm 105 */
															obj_t BgL_arg1848z00_4185;

															BgL_arg1848z00_4185 =
																CDR(((obj_t) BgL_l1542z00_4180));
															{
																obj_t BgL_tail1545z00_4788;
																obj_t BgL_l1542z00_4787;

																BgL_l1542z00_4787 = BgL_arg1848z00_4185;
																BgL_tail1545z00_4788 = BgL_newtail1546z00_4182;
																BgL_tail1545z00_4181 = BgL_tail1545z00_4788;
																BgL_l1542z00_4180 = BgL_l1542z00_4787;
																goto BgL_zc3z04anonymousza31841ze3z87_4179;
															}
														}
													}
											}
										}
									}
							}
							bgl_display_obj(BgL_arg1839z00_4173, BgL_portz00_4093);
						}
						{	/* SawMill/bbv.scm 105 */
							obj_t BgL_tmpz00_4790;

							BgL_tmpz00_4790 = ((obj_t) BgL_portz00_4093);
							bgl_display_char(((unsigned char) 10), BgL_tmpz00_4790);
						}
						{
							obj_t BgL_l1549z00_4187;

							BgL_l1549z00_4187 = BgL_blocksz00_4092;
						BgL_zc3z04anonymousza31855ze3z87_4186:
							if (PAIRP(BgL_l1549z00_4187))
								{	/* SawMill/bbv.scm 106 */
									{	/* SawMill/bbv.scm 107 */
										obj_t BgL_bz00_4188;

										BgL_bz00_4188 = CAR(BgL_l1549z00_4187);
										BGl_dumpz00zzsaw_defsz00(BgL_bz00_4188, BgL_portz00_4093,
											(int) (((long) 0)));
										{	/* SawMill/bbv.scm 108 */
											obj_t BgL_tmpz00_4798;

											BgL_tmpz00_4798 = ((obj_t) BgL_portz00_4093);
											bgl_display_char(((unsigned char) 10), BgL_tmpz00_4798);
									}}
									{
										obj_t BgL_l1549z00_4801;

										BgL_l1549z00_4801 = CDR(BgL_l1549z00_4187);
										BgL_l1549z00_4187 = BgL_l1549z00_4801;
										goto BgL_zc3z04anonymousza31855ze3z87_4186;
									}
								}
							else
								{	/* SawMill/bbv.scm 106 */
									((bool_t) 1);
								}
						}
						return BgL_idz00_4172;
					}
				}
			}
		}

	}



/* widen-bbv! */
	bool_t BGl_widenzd2bbvz12zc0zzsaw_bbvz00(obj_t BgL_oz00_84,
		obj_t BgL_regsz00_85)
	{
		{	/* SawMill/bbv.scm 128 */
			{
				obj_t BgL_oz00_2263;
				obj_t BgL_oz00_2288;

				{
					obj_t BgL_l1566z00_2222;

					BgL_l1566z00_2222 = BgL_oz00_84;
				BgL_zc3z04anonymousza31858ze3z87_2223:
					if (PAIRP(BgL_l1566z00_2222))
						{	/* SawMill/bbv.scm 157 */
							BgL_oz00_2288 = CAR(BgL_l1566z00_2222);
							{	/* SawMill/bbv.scm 153 */
								BgL_blockvz00_bglt BgL_wide1183z00_2292;

								BgL_wide1183z00_2292 =
									((BgL_blockvz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockvz00_bgl))));
								{	/* SawMill/bbv.scm 153 */
									obj_t BgL_auxz00_4810;
									BgL_objectz00_bglt BgL_tmpz00_4806;

									BgL_auxz00_4810 = ((obj_t) BgL_wide1183z00_2292);
									BgL_tmpz00_4806 =
										((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2288)));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4806, BgL_auxz00_4810);
								}
								((BgL_objectz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2288)));
								{	/* SawMill/bbv.scm 153 */
									long BgL_arg1901z00_2293;

									BgL_arg1901z00_2293 =
										BGL_CLASS_NUM(BGl_blockVz00zzsaw_bbvzd2typeszd2);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2288))),
										BgL_arg1901z00_2293);
								}
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2288)));
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_4824;

								{
									obj_t BgL_auxz00_4825;

									{	/* SawMill/bbv-types.scm 36 */
										BgL_objectz00_bglt BgL_tmpz00_4826;

										BgL_tmpz00_4826 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2288)));
										BgL_auxz00_4825 = BGL_OBJECT_WIDENING(BgL_tmpz00_4826);
									}
									BgL_auxz00_4824 = ((BgL_blockvz00_bglt) BgL_auxz00_4825);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4824))->
										BgL_versionsz00) = ((obj_t) BNIL), BUNSPEC);
							}
							{
								BgL_blockvz00_bglt BgL_auxz00_4833;

								{
									obj_t BgL_auxz00_4834;

									{	/* SawMill/bbv-types.scm 36 */
										BgL_objectz00_bglt BgL_tmpz00_4835;

										BgL_tmpz00_4835 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2288)));
										BgL_auxz00_4834 = BGL_OBJECT_WIDENING(BgL_tmpz00_4835);
									}
									BgL_auxz00_4833 = ((BgL_blockvz00_bglt) BgL_auxz00_4834);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4833))->
										BgL_z52markz52) = ((long) ((long) -1)), BUNSPEC);
							}
							((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2288));
							{	/* SawMill/bbv.scm 155 */
								obj_t BgL_g1565z00_2296;

								BgL_g1565z00_2296 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oz00_2288)))->BgL_firstz00);
								{
									obj_t BgL_l1563z00_2298;

									BgL_l1563z00_2298 = BgL_g1565z00_2296;
								BgL_zc3z04anonymousza31902ze3z87_2299:
									if (PAIRP(BgL_l1563z00_2298))
										{	/* SawMill/bbv.scm 155 */
											BgL_oz00_2263 = CAR(BgL_l1563z00_2298);
											{	/* SawMill/bbv.scm 144 */
												BgL_rtl_inszf2bbvzf2_bglt BgL_wide1178z00_2268;

												BgL_wide1178z00_2268 =
													((BgL_rtl_inszf2bbvzf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_rtl_inszf2bbvzf2_bgl))));
												{	/* SawMill/bbv.scm 144 */
													obj_t BgL_auxz00_4853;
													BgL_objectz00_bglt BgL_tmpz00_4849;

													BgL_auxz00_4853 = ((obj_t) BgL_wide1178z00_2268);
													BgL_tmpz00_4849 =
														((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4849,
														BgL_auxz00_4853);
												}
												((BgL_objectz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
												{	/* SawMill/bbv.scm 144 */
													long BgL_arg1884z00_2269;

													BgL_arg1884z00_2269 =
														BGL_CLASS_NUM
														(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
																	BgL_oz00_2263))), BgL_arg1884z00_2269);
												}
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
											}
											{
												obj_t BgL_auxz00_4875;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4867;

												{	/* SawMill/bbv.scm 145 */
													bool_t BgL_test2513z00_4876;

													if (CBOOL(
															(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2263)))->
																BgL_destz00)))
														{	/* SawMill/bbv.scm 145 */
															BgL_test2513z00_4876 =
																CBOOL(
																(((BgL_rtl_regz00_bglt) COBJECT(
																			((BgL_rtl_regz00_bglt)
																				(((BgL_rtl_insz00_bglt) COBJECT(
																							((BgL_rtl_insz00_bglt)
																								BgL_oz00_2263)))->
																					BgL_destz00))))->BgL_onexprzf3zf3));
														}
													else
														{	/* SawMill/bbv.scm 145 */
															BgL_test2513z00_4876 = ((bool_t) 1);
														}
													if (BgL_test2513z00_4876)
														{	/* SawMill/bbv.scm 145 */
															BgL_auxz00_4875 =
																((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_85));
														}
													else
														{	/* SawMill/bbv.scm 147 */
															obj_t BgL_arg1888z00_2274;

															{	/* SawMill/bbv.scm 147 */
																obj_t BgL_arg1890z00_2275;

																BgL_arg1890z00_2275 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_oz00_2263)))->
																	BgL_destz00);
																{	/* SawMill/bbv.scm 147 */
																	obj_t BgL_list1891z00_2276;

																	BgL_list1891z00_2276 =
																		MAKE_YOUNG_PAIR(BgL_arg1890z00_2275, BNIL);
																	BgL_arg1888z00_2274 = BgL_list1891z00_2276;
																}
															}
															BgL_auxz00_4875 =
																((obj_t)
																BGl_listzd2ze3regsetz31zzsaw_regsetz00
																(BgL_arg1888z00_2274, BgL_regsz00_85));
														}
												}
												{
													obj_t BgL_auxz00_4868;

													{	/* SawMill/bbv.scm 145 */
														BgL_objectz00_bglt BgL_tmpz00_4869;

														BgL_tmpz00_4869 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
														BgL_auxz00_4868 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4869);
													}
													BgL_auxz00_4867 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4868);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_4867))->BgL_defz00) =
													((obj_t) BgL_auxz00_4875), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4894;

												{
													obj_t BgL_auxz00_4895;

													{	/* SawMill/bbv.scm 149 */
														BgL_objectz00_bglt BgL_tmpz00_4896;

														BgL_tmpz00_4896 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
														BgL_auxz00_4895 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4896);
													}
													BgL_auxz00_4894 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4895);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_4894))->BgL_outz00) =
													((obj_t) ((obj_t)
															BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
															(BgL_regsz00_85))), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_4913;
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4905;

												{	/* SawMill/bbv.scm 148 */
													obj_t BgL_arg1894z00_2279;

													BgL_arg1894z00_2279 =
														BGl_getzd2argsze70z35zzsaw_bbvz00(BgL_oz00_2263);
													BgL_auxz00_4913 =
														((obj_t)
														BGl_listzd2ze3regsetz31zzsaw_regsetz00
														(BgL_arg1894z00_2279, BgL_regsz00_85));
												}
												{
													obj_t BgL_auxz00_4906;

													{	/* SawMill/bbv.scm 148 */
														BgL_objectz00_bglt BgL_tmpz00_4907;

														BgL_tmpz00_4907 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
														BgL_auxz00_4906 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4907);
													}
													BgL_auxz00_4905 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4906);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_4905))->BgL_inz00) =
													((obj_t) BgL_auxz00_4913), BUNSPEC);
											}
											{
												BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_4918;

												{
													obj_t BgL_auxz00_4919;

													{	/* SawMill/bbv.scm 148 */
														BgL_objectz00_bglt BgL_tmpz00_4920;

														BgL_tmpz00_4920 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2263)));
														BgL_auxz00_4919 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4920);
													}
													BgL_auxz00_4918 =
														((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_4919);
												}
												((((BgL_rtl_inszf2bbvzf2_bglt)
															COBJECT(BgL_auxz00_4918))->BgL_z52hashz52) =
													((obj_t) BFALSE), BUNSPEC);
											}
											((BgL_rtl_insz00_bglt)
												((BgL_rtl_insz00_bglt) BgL_oz00_2263));
											{	/* SawMill/bbv.scm 150 */
												obj_t BgL_g1562z00_2280;

												BgL_g1562z00_2280 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_oz00_2263)))->
													BgL_argsz00);
												{
													obj_t BgL_l1560z00_2282;

													BgL_l1560z00_2282 = BgL_g1562z00_2280;
												BgL_zc3z04anonymousza31895ze3z87_2283:
													if (PAIRP(BgL_l1560z00_2282))
														{	/* SawMill/bbv.scm 150 */
															BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00
																(BgL_regsz00_85, CAR(BgL_l1560z00_2282));
															{
																obj_t BgL_l1560z00_4935;

																BgL_l1560z00_4935 = CDR(BgL_l1560z00_2282);
																BgL_l1560z00_2282 = BgL_l1560z00_4935;
																goto BgL_zc3z04anonymousza31895ze3z87_2283;
															}
														}
													else
														{	/* SawMill/bbv.scm 150 */
															((bool_t) 1);
														}
												}
											}
											{
												obj_t BgL_l1563z00_4938;

												BgL_l1563z00_4938 = CDR(BgL_l1563z00_2298);
												BgL_l1563z00_2298 = BgL_l1563z00_4938;
												goto BgL_zc3z04anonymousza31902ze3z87_2299;
											}
										}
									else
										{	/* SawMill/bbv.scm 155 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1566z00_4941;

								BgL_l1566z00_4941 = CDR(BgL_l1566z00_2222);
								BgL_l1566z00_2222 = BgL_l1566z00_4941;
								goto BgL_zc3z04anonymousza31858ze3z87_2223;
							}
						}
					else
						{	/* SawMill/bbv.scm 157 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* get-args~0 */
	obj_t BGl_getzd2argsze70z35zzsaw_bbvz00(obj_t BgL_oz00_2228)
	{
		{	/* SawMill/bbv.scm 131 */
			{	/* SawMill/bbv.scm 131 */
				obj_t BgL_hook1555z00_2230;

				BgL_hook1555z00_2230 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawMill/bbv.scm 131 */
					obj_t BgL_g1556z00_2231;

					BgL_g1556z00_2231 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_2228));
					{
						obj_t BgL_l1552z00_2233;
						obj_t BgL_h1553z00_2234;

						BgL_l1552z00_2233 = BgL_g1556z00_2231;
						BgL_h1553z00_2234 = BgL_hook1555z00_2230;
					BgL_zc3z04anonymousza31865ze3z87_2235:
						if (NULLP(BgL_l1552z00_2233))
							{	/* SawMill/bbv.scm 131 */
								return CDR(BgL_hook1555z00_2230);
							}
						else
							{	/* SawMill/bbv.scm 131 */
								bool_t BgL_test2517z00_4949;

								{	/* SawMill/bbv.scm 131 */
									obj_t BgL_arg1872z00_2243;

									BgL_arg1872z00_2243 = CAR(((obj_t) BgL_l1552z00_2233));
									{	/* SawMill/bbv.scm 131 */
										obj_t BgL_classz00_3488;

										BgL_classz00_3488 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
										if (BGL_OBJECTP(BgL_arg1872z00_2243))
											{	/* SawMill/bbv.scm 131 */
												BgL_objectz00_bglt BgL_arg1825z00_3490;

												BgL_arg1825z00_3490 =
													(BgL_objectz00_bglt) (BgL_arg1872z00_2243);
												{	/* SawMill/bbv.scm 131 */
													bool_t BgL_arg1822z00_3493;
													bool_t BgL_arg1823z00_3494;

													{	/* SawMill/bbv.scm 131 */
														long BgL_idxz00_3497;

														BgL_idxz00_3497 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3490);
														BgL_arg1822z00_3493 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3497 + ((long) 2))) ==
															BgL_classz00_3488);
													}
													{	/* SawMill/bbv.scm 131 */
														bool_t BgL_res2395z00_3519;

														{	/* SawMill/bbv.scm 131 */
															obj_t BgL_oclassz00_3505;

															{	/* SawMill/bbv.scm 131 */
																long BgL_arg1833z00_3511;

																{	/* SawMill/bbv.scm 131 */
																	long BgL_arg1834z00_3512;

																	BgL_arg1834z00_3512 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3490);
																	BgL_arg1833z00_3511 =
																		(BgL_arg1834z00_3512 - OBJECT_TYPE);
																}
																BgL_oclassz00_3505 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3511);
															}
															{	/* SawMill/bbv.scm 131 */
																bool_t BgL__ortest_1110z00_3506;

																BgL__ortest_1110z00_3506 =
																	(BgL_classz00_3488 == BgL_oclassz00_3505);
																if (BgL__ortest_1110z00_3506)
																	{	/* SawMill/bbv.scm 131 */
																		BgL_res2395z00_3519 =
																			BgL__ortest_1110z00_3506;
																	}
																else
																	{	/* SawMill/bbv.scm 131 */
																		long BgL_odepthz00_3507;

																		BgL_odepthz00_3507 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3505);
																		if ((((long) 2) < BgL_odepthz00_3507))
																			{	/* SawMill/bbv.scm 131 */
																				obj_t BgL_arg1821z00_3509;

																				BgL_arg1821z00_3509 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3505, ((long) 2));
																				BgL_res2395z00_3519 =
																					(BgL_arg1821z00_3509 ==
																					BgL_classz00_3488);
																			}
																		else
																			{	/* SawMill/bbv.scm 131 */
																				BgL_res2395z00_3519 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3494 = BgL_res2395z00_3519;
													}
													BgL_test2517z00_4949 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3493,
														BgL_arg1823z00_3494);
												}
											}
										else
											{	/* SawMill/bbv.scm 131 */
												BgL_test2517z00_4949 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2517z00_4949)
									{	/* SawMill/bbv.scm 131 */
										obj_t BgL_nh1554z00_2239;

										{	/* SawMill/bbv.scm 131 */
											obj_t BgL_arg1870z00_2241;

											BgL_arg1870z00_2241 = CAR(((obj_t) BgL_l1552z00_2233));
											BgL_nh1554z00_2239 =
												MAKE_YOUNG_PAIR(BgL_arg1870z00_2241, BNIL);
										}
										SET_CDR(BgL_h1553z00_2234, BgL_nh1554z00_2239);
										{	/* SawMill/bbv.scm 131 */
											obj_t BgL_arg1869z00_2240;

											BgL_arg1869z00_2240 = CDR(((obj_t) BgL_l1552z00_2233));
											{
												obj_t BgL_h1553z00_4977;
												obj_t BgL_l1552z00_4976;

												BgL_l1552z00_4976 = BgL_arg1869z00_2240;
												BgL_h1553z00_4977 = BgL_nh1554z00_2239;
												BgL_h1553z00_2234 = BgL_h1553z00_4977;
												BgL_l1552z00_2233 = BgL_l1552z00_4976;
												goto BgL_zc3z04anonymousza31865ze3z87_2235;
											}
										}
									}
								else
									{	/* SawMill/bbv.scm 131 */
										obj_t BgL_arg1871z00_2242;

										BgL_arg1871z00_2242 = CDR(((obj_t) BgL_l1552z00_2233));
										{
											obj_t BgL_l1552z00_4980;

											BgL_l1552z00_4980 = BgL_arg1871z00_2242;
											BgL_l1552z00_2233 = BgL_l1552z00_4980;
											goto BgL_zc3z04anonymousza31865ze3z87_2235;
										}
									}
							}
					}
				}
			}
		}

	}



/* args-widen-bbv!~0 */
	bool_t BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00(obj_t BgL_regsz00_4113,
		obj_t BgL_oz00_2245)
	{
		{	/* SawMill/bbv.scm 140 */
			{	/* SawMill/bbv.scm 134 */
				bool_t BgL_test2521z00_4981;

				{	/* SawMill/bbv.scm 134 */
					obj_t BgL_classz00_3524;

					BgL_classz00_3524 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2245))
						{	/* SawMill/bbv.scm 134 */
							BgL_objectz00_bglt BgL_arg1825z00_3526;

							BgL_arg1825z00_3526 = (BgL_objectz00_bglt) (BgL_oz00_2245);
							{	/* SawMill/bbv.scm 134 */
								bool_t BgL_arg1822z00_3529;
								bool_t BgL_arg1823z00_3530;

								{	/* SawMill/bbv.scm 134 */
									long BgL_idxz00_3533;

									BgL_idxz00_3533 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3526);
									BgL_arg1822z00_3529 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3533 + ((long) 1))) == BgL_classz00_3524);
								}
								{	/* SawMill/bbv.scm 134 */
									bool_t BgL_res2396z00_3555;

									{	/* SawMill/bbv.scm 134 */
										obj_t BgL_oclassz00_3541;

										{	/* SawMill/bbv.scm 134 */
											long BgL_arg1833z00_3547;

											{	/* SawMill/bbv.scm 134 */
												long BgL_arg1834z00_3548;

												BgL_arg1834z00_3548 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3526);
												BgL_arg1833z00_3547 =
													(BgL_arg1834z00_3548 - OBJECT_TYPE);
											}
											BgL_oclassz00_3541 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3547);
										}
										{	/* SawMill/bbv.scm 134 */
											bool_t BgL__ortest_1110z00_3542;

											BgL__ortest_1110z00_3542 =
												(BgL_classz00_3524 == BgL_oclassz00_3541);
											if (BgL__ortest_1110z00_3542)
												{	/* SawMill/bbv.scm 134 */
													BgL_res2396z00_3555 = BgL__ortest_1110z00_3542;
												}
											else
												{	/* SawMill/bbv.scm 134 */
													long BgL_odepthz00_3543;

													BgL_odepthz00_3543 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3541);
													if ((((long) 1) < BgL_odepthz00_3543))
														{	/* SawMill/bbv.scm 134 */
															obj_t BgL_arg1821z00_3545;

															BgL_arg1821z00_3545 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3541,
																((long) 1));
															BgL_res2396z00_3555 =
																(BgL_arg1821z00_3545 == BgL_classz00_3524);
														}
													else
														{	/* SawMill/bbv.scm 134 */
															BgL_res2396z00_3555 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3530 = BgL_res2396z00_3555;
								}
								BgL_test2521z00_4981 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3529, BgL_arg1823z00_3530);
							}
						}
					else
						{	/* SawMill/bbv.scm 134 */
							BgL_test2521z00_4981 = ((bool_t) 0);
						}
				}
				if (BgL_test2521z00_4981)
					{	/* SawMill/bbv.scm 134 */
						{	/* SawMill/bbv.scm 136 */
							BgL_rtl_inszf2bbvzf2_bglt BgL_wide1173z00_2251;

							BgL_wide1173z00_2251 =
								((BgL_rtl_inszf2bbvzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_inszf2bbvzf2_bgl))));
							{	/* SawMill/bbv.scm 136 */
								obj_t BgL_auxz00_5005;
								BgL_objectz00_bglt BgL_tmpz00_5001;

								BgL_auxz00_5005 = ((obj_t) BgL_wide1173z00_2251);
								BgL_tmpz00_5001 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5001, BgL_auxz00_5005);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
							{	/* SawMill/bbv.scm 136 */
								long BgL_arg1875z00_2252;

								BgL_arg1875z00_2252 =
									BGL_CLASS_NUM(BGl_rtl_inszf2bbvzf2zzsaw_bbvzd2typeszd2);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2245))),
									BgL_arg1875z00_2252);
							}
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5019;

							{
								obj_t BgL_auxz00_5020;

								{	/* SawMill/bbv.scm 137 */
									BgL_objectz00_bglt BgL_tmpz00_5021;

									BgL_tmpz00_5021 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
									BgL_auxz00_5020 = BGL_OBJECT_WIDENING(BgL_tmpz00_5021);
								}
								BgL_auxz00_5019 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5020);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5019))->
									BgL_defz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_4113))), BUNSPEC);
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5030;

							{
								obj_t BgL_auxz00_5031;

								{	/* SawMill/bbv.scm 139 */
									BgL_objectz00_bglt BgL_tmpz00_5032;

									BgL_tmpz00_5032 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
									BgL_auxz00_5031 = BGL_OBJECT_WIDENING(BgL_tmpz00_5032);
								}
								BgL_auxz00_5030 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5031);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5030))->
									BgL_outz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_4113))), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_5049;
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5041;

							{	/* SawMill/bbv.scm 138 */
								obj_t BgL_arg1877z00_2254;

								BgL_arg1877z00_2254 =
									BGl_getzd2argsze70z35zzsaw_bbvz00(BgL_oz00_2245);
								BgL_auxz00_5049 =
									((obj_t)
									BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_arg1877z00_2254,
										BgL_regsz00_4113));
							}
							{
								obj_t BgL_auxz00_5042;

								{	/* SawMill/bbv.scm 138 */
									BgL_objectz00_bglt BgL_tmpz00_5043;

									BgL_tmpz00_5043 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
									BgL_auxz00_5042 = BGL_OBJECT_WIDENING(BgL_tmpz00_5043);
								}
								BgL_auxz00_5041 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5042);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5041))->
									BgL_inz00) = ((obj_t) BgL_auxz00_5049), BUNSPEC);
						}
						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5054;

							{
								obj_t BgL_auxz00_5055;

								{	/* SawMill/bbv.scm 138 */
									BgL_objectz00_bglt BgL_tmpz00_5056;

									BgL_tmpz00_5056 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2245)));
									BgL_auxz00_5055 = BGL_OBJECT_WIDENING(BgL_tmpz00_5056);
								}
								BgL_auxz00_5054 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5055);
							}
							((((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5054))->
									BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2245));
						{	/* SawMill/bbv.scm 140 */
							obj_t BgL_g1559z00_2255;

							BgL_g1559z00_2255 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_oz00_2245)))->BgL_argsz00);
							{
								obj_t BgL_l1557z00_2257;

								BgL_l1557z00_2257 = BgL_g1559z00_2255;
							BgL_zc3z04anonymousza31878ze3z87_2258:
								if (PAIRP(BgL_l1557z00_2257))
									{	/* SawMill/bbv.scm 140 */
										BGl_argszd2widenzd2bbvz12ze70zf5zzsaw_bbvz00
											(BgL_regsz00_4113, CAR(BgL_l1557z00_2257));
										{
											obj_t BgL_l1557z00_5071;

											BgL_l1557z00_5071 = CDR(BgL_l1557z00_2257);
											BgL_l1557z00_2257 = BgL_l1557z00_5071;
											goto BgL_zc3z04anonymousza31878ze3z87_2258;
										}
									}
								else
									{	/* SawMill/bbv.scm 140 */
										return ((bool_t) 1);
									}
							}
						}
					}
				else
					{	/* SawMill/bbv.scm 134 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* liveness! */
	obj_t BGl_livenessz12z12zzsaw_bbvz00(BgL_backendz00_bglt BgL_backz00_86,
		obj_t BgL_blocksz00_87, obj_t BgL_paramsz00_88)
	{
		{	/* SawMill/bbv.scm 165 */
			{
				obj_t BgL_blockz00_2362;

				{	/* SawMill/bbv.scm 194 */
					obj_t BgL_cregsz00_2310;

					BgL_cregsz00_2310 =
						BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_blocksz00_87);
					{	/* SawMill/bbv.scm 194 */
						obj_t BgL_hregsz00_2311;

						{	/* SawMill/bbv.scm 195 */
							obj_t BgL_arg1929z00_2357;

							BgL_arg1929z00_2357 =
								(((BgL_backendz00_bglt) COBJECT(BgL_backz00_86))->
								BgL_registersz00);
							{	/* SawMill/bbv.scm 195 */
								obj_t BgL_list1930z00_2358;

								BgL_list1930z00_2358 =
									MAKE_YOUNG_PAIR(BgL_arg1929z00_2357, BNIL);
								BgL_hregsz00_2311 =
									BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
									(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
									BgL_list1930z00_2358);
							}
						}
						{	/* SawMill/bbv.scm 195 */
							obj_t BgL_pregsz00_2312;

							{	/* SawMill/bbv.scm 196 */
								obj_t BgL_hook1583z00_2343;

								BgL_hook1583z00_2343 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
								{
									obj_t BgL_l1580z00_2345;
									obj_t BgL_h1581z00_2346;

									BgL_l1580z00_2345 = BgL_paramsz00_88;
									BgL_h1581z00_2346 = BgL_hook1583z00_2343;
								BgL_zc3z04anonymousza31920ze3z87_2347:
									if (NULLP(BgL_l1580z00_2345))
										{	/* SawMill/bbv.scm 196 */
											BgL_pregsz00_2312 = CDR(BgL_hook1583z00_2343);
										}
									else
										{	/* SawMill/bbv.scm 196 */
											bool_t BgL_test2527z00_5081;

											{	/* SawMill/bbv.scm 196 */
												obj_t BgL_arg1927z00_2355;

												BgL_arg1927z00_2355 = CAR(((obj_t) BgL_l1580z00_2345));
												{	/* SawMill/bbv.scm 196 */
													obj_t BgL_classz00_3651;

													BgL_classz00_3651 =
														BGl_rtl_regzf2razf2zzsaw_regsetz00;
													if (BGL_OBJECTP(BgL_arg1927z00_2355))
														{	/* SawMill/bbv.scm 196 */
															BgL_objectz00_bglt BgL_arg1825z00_3653;

															BgL_arg1825z00_3653 =
																(BgL_objectz00_bglt) (BgL_arg1927z00_2355);
															{	/* SawMill/bbv.scm 196 */
																bool_t BgL_arg1822z00_3656;
																bool_t BgL_arg1823z00_3657;

																{	/* SawMill/bbv.scm 196 */
																	long BgL_idxz00_3660;

																	BgL_idxz00_3660 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_3653);
																	BgL_arg1822z00_3656 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3660 + ((long) 2))) ==
																		BgL_classz00_3651);
																}
																{	/* SawMill/bbv.scm 196 */
																	bool_t BgL_res2399z00_3682;

																	{	/* SawMill/bbv.scm 196 */
																		obj_t BgL_oclassz00_3668;

																		{	/* SawMill/bbv.scm 196 */
																			long BgL_arg1833z00_3674;

																			{	/* SawMill/bbv.scm 196 */
																				long BgL_arg1834z00_3675;

																				BgL_arg1834z00_3675 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_3653);
																				BgL_arg1833z00_3674 =
																					(BgL_arg1834z00_3675 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3668 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3674);
																		}
																		{	/* SawMill/bbv.scm 196 */
																			bool_t BgL__ortest_1110z00_3669;

																			BgL__ortest_1110z00_3669 =
																				(BgL_classz00_3651 ==
																				BgL_oclassz00_3668);
																			if (BgL__ortest_1110z00_3669)
																				{	/* SawMill/bbv.scm 196 */
																					BgL_res2399z00_3682 =
																						BgL__ortest_1110z00_3669;
																				}
																			else
																				{	/* SawMill/bbv.scm 196 */
																					long BgL_odepthz00_3670;

																					BgL_odepthz00_3670 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3668);
																					if ((((long) 2) < BgL_odepthz00_3670))
																						{	/* SawMill/bbv.scm 196 */
																							obj_t BgL_arg1821z00_3672;

																							BgL_arg1821z00_3672 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3668,
																								((long) 2));
																							BgL_res2399z00_3682 =
																								(BgL_arg1821z00_3672 ==
																								BgL_classz00_3651);
																						}
																					else
																						{	/* SawMill/bbv.scm 196 */
																							BgL_res2399z00_3682 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_3657 = BgL_res2399z00_3682;
																}
																BgL_test2527z00_5081 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_3656,
																	BgL_arg1823z00_3657);
															}
														}
													else
														{	/* SawMill/bbv.scm 196 */
															BgL_test2527z00_5081 = ((bool_t) 0);
														}
												}
											}
											if (BgL_test2527z00_5081)
												{	/* SawMill/bbv.scm 196 */
													obj_t BgL_nh1582z00_2351;

													{	/* SawMill/bbv.scm 196 */
														obj_t BgL_arg1925z00_2353;

														BgL_arg1925z00_2353 =
															CAR(((obj_t) BgL_l1580z00_2345));
														BgL_nh1582z00_2351 =
															MAKE_YOUNG_PAIR(BgL_arg1925z00_2353, BNIL);
													}
													SET_CDR(BgL_h1581z00_2346, BgL_nh1582z00_2351);
													{	/* SawMill/bbv.scm 196 */
														obj_t BgL_arg1924z00_2352;

														BgL_arg1924z00_2352 =
															CDR(((obj_t) BgL_l1580z00_2345));
														{
															obj_t BgL_h1581z00_5109;
															obj_t BgL_l1580z00_5108;

															BgL_l1580z00_5108 = BgL_arg1924z00_2352;
															BgL_h1581z00_5109 = BgL_nh1582z00_2351;
															BgL_h1581z00_2346 = BgL_h1581z00_5109;
															BgL_l1580z00_2345 = BgL_l1580z00_5108;
															goto BgL_zc3z04anonymousza31920ze3z87_2347;
														}
													}
												}
											else
												{	/* SawMill/bbv.scm 196 */
													obj_t BgL_arg1926z00_2354;

													BgL_arg1926z00_2354 =
														CDR(((obj_t) BgL_l1580z00_2345));
													{
														obj_t BgL_l1580z00_5112;

														BgL_l1580z00_5112 = BgL_arg1926z00_2354;
														BgL_l1580z00_2345 = BgL_l1580z00_5112;
														goto BgL_zc3z04anonymousza31920ze3z87_2347;
													}
												}
										}
								}
							}
							{	/* SawMill/bbv.scm 196 */
								obj_t BgL_regsz00_2313;

								BgL_regsz00_2313 =
									BGl_appendzd221011zd2zzsaw_bbvz00(BgL_hregsz00_2311,
									BgL_cregsz00_2310);
								{	/* SawMill/bbv.scm 197 */

									BGl_widenzd2bbvz12zc0zzsaw_bbvz00(BgL_blocksz00_87,
										BgL_regsz00_2313);
									if (PAIRP(BgL_blocksz00_87))
										{	/* SawMill/bbv.scm 203 */
											obj_t BgL_inssz00_2315;

											BgL_inssz00_2315 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt)
															CAR(BgL_blocksz00_87))))->BgL_firstz00);
											{	/* SawMill/bbv.scm 205 */
												obj_t BgL_insz00_2317;

												BgL_insz00_2317 = CAR(BgL_inssz00_2315);
												{
													obj_t BgL_l1584z00_2320;

													BgL_l1584z00_2320 = BgL_pregsz00_2312;
												BgL_zc3z04anonymousza31908ze3z87_2321:
													if (PAIRP(BgL_l1584z00_2320))
														{	/* SawMill/bbv.scm 207 */
															{	/* SawMill/bbv.scm 207 */
																obj_t BgL_az00_2323;

																BgL_az00_2323 = CAR(BgL_l1584z00_2320);
																{	/* SawMill/bbv.scm 207 */
																	obj_t BgL_arg1910z00_2324;

																	{
																		BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5124;

																		{
																			obj_t BgL_auxz00_5125;

																			{	/* SawMill/bbv.scm 207 */
																				BgL_objectz00_bglt BgL_tmpz00_5126;

																				BgL_tmpz00_5126 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_insz00_2317));
																				BgL_auxz00_5125 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5126);
																			}
																			BgL_auxz00_5124 =
																				((BgL_rtl_inszf2bbvzf2_bglt)
																				BgL_auxz00_5125);
																		}
																		BgL_arg1910z00_2324 =
																			(((BgL_rtl_inszf2bbvzf2_bglt)
																				COBJECT(BgL_auxz00_5124))->BgL_inz00);
																	}
																	BGl_regsetzd2addz12zc0zzsaw_regsetz00(
																		((BgL_regsetz00_bglt) BgL_arg1910z00_2324),
																		((BgL_rtl_regz00_bglt) BgL_az00_2323));
																}
															}
															{
																obj_t BgL_l1584z00_5135;

																BgL_l1584z00_5135 = CDR(BgL_l1584z00_2320);
																BgL_l1584z00_2320 = BgL_l1584z00_5135;
																goto BgL_zc3z04anonymousza31908ze3z87_2321;
															}
														}
													else
														{	/* SawMill/bbv.scm 207 */
															((bool_t) 1);
														}
												}
											}
										}
									else
										{	/* SawMill/bbv.scm 202 */
											((bool_t) 0);
										}
									{
										long BgL_iz00_2329;

										BgL_iz00_2329 = ((long) 0);
									BgL_zc3z04anonymousza31913ze3z87_2330:
										{
											obj_t BgL_bsz00_2332;
											obj_t BgL_tz00_2333;

											BgL_bsz00_2332 = BgL_blocksz00_87;
											BgL_tz00_2333 = BFALSE;
										BgL_zc3z04anonymousza31914ze3z87_2334:
											if (NULLP(BgL_bsz00_2332))
												{	/* SawMill/bbv.scm 212 */
													if (CBOOL(BgL_tz00_2333))
														{
															long BgL_iz00_5141;

															BgL_iz00_5141 = (BgL_iz00_2329 + ((long) 1));
															BgL_iz00_2329 = BgL_iz00_5141;
															goto BgL_zc3z04anonymousza31913ze3z87_2330;
														}
													else
														{	/* SawMill/bbv.scm 213 */
															return BgL_regsz00_2313;
														}
												}
											else
												{	/* SawMill/bbv.scm 216 */
													obj_t BgL_arg1917z00_2337;
													obj_t BgL_arg1918z00_2338;

													BgL_arg1917z00_2337 = CDR(((obj_t) BgL_bsz00_2332));
													{	/* SawMill/bbv.scm 216 */
														obj_t BgL__ortest_1194z00_2339;

														{	/* SawMill/bbv.scm 216 */
															obj_t BgL_arg1919z00_2340;

															BgL_arg1919z00_2340 =
																CAR(((obj_t) BgL_bsz00_2332));
															BgL_blockz00_2362 = BgL_arg1919z00_2340;
															{	/* SawMill/bbv.scm 173 */
																obj_t BgL_g1188z00_2365;
																obj_t BgL_g1189z00_2366;

																BgL_g1188z00_2365 =
																	bgl_reverse(
																	(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_blockz00_2362)))->BgL_firstz00));
																{	/* SawMill/bbv.scm 174 */
																	obj_t BgL_l1568z00_2413;

																	BgL_l1568z00_2413 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_blockz00_2362)))->BgL_succsz00);
																	if (NULLP(BgL_l1568z00_2413))
																		{	/* SawMill/bbv.scm 174 */
																			BgL_g1189z00_2366 = BNIL;
																		}
																	else
																		{	/* SawMill/bbv.scm 174 */
																			obj_t BgL_head1570z00_2415;

																			BgL_head1570z00_2415 =
																				MAKE_YOUNG_PAIR(BNIL, BNIL);
																			{
																				obj_t BgL_l1568z00_2417;
																				obj_t BgL_tail1571z00_2418;

																				BgL_l1568z00_2417 = BgL_l1568z00_2413;
																				BgL_tail1571z00_2418 =
																					BgL_head1570z00_2415;
																			BgL_zc3z04anonymousza31961ze3z87_2419:
																				if (NULLP(BgL_l1568z00_2417))
																					{	/* SawMill/bbv.scm 174 */
																						BgL_g1189z00_2366 =
																							CDR(BgL_head1570z00_2415);
																					}
																				else
																					{	/* SawMill/bbv.scm 174 */
																						obj_t BgL_newtail1572z00_2421;

																						{	/* SawMill/bbv.scm 174 */
																							obj_t BgL_arg1965z00_2423;

																							BgL_arg1965z00_2423 =
																								CAR(
																								(((BgL_blockz00_bglt) COBJECT(
																											((BgL_blockz00_bglt)
																												CAR(
																													((obj_t)
																														BgL_l1568z00_2417)))))->
																									BgL_firstz00));
																							BgL_newtail1572z00_2421 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1965z00_2423, BNIL);
																						}
																						SET_CDR(BgL_tail1571z00_2418,
																							BgL_newtail1572z00_2421);
																						{	/* SawMill/bbv.scm 174 */
																							obj_t BgL_arg1964z00_2422;

																							BgL_arg1964z00_2422 =
																								CDR(
																								((obj_t) BgL_l1568z00_2417));
																							{
																								obj_t BgL_tail1571z00_5168;
																								obj_t BgL_l1568z00_5167;

																								BgL_l1568z00_5167 =
																									BgL_arg1964z00_2422;
																								BgL_tail1571z00_5168 =
																									BgL_newtail1572z00_2421;
																								BgL_tail1571z00_2418 =
																									BgL_tail1571z00_5168;
																								BgL_l1568z00_2417 =
																									BgL_l1568z00_5167;
																								goto
																									BgL_zc3z04anonymousza31961ze3z87_2419;
																							}
																						}
																					}
																			}
																		}
																}
																{
																	obj_t BgL_inssz00_2368;
																	obj_t BgL_succz00_2369;
																	obj_t BgL_tz00_2370;

																	BgL_inssz00_2368 = BgL_g1188z00_2365;
																	BgL_succz00_2369 = BgL_g1189z00_2366;
																	BgL_tz00_2370 = BFALSE;
																BgL_zc3z04anonymousza31933ze3z87_2371:
																	if (PAIRP(BgL_inssz00_2368))
																		{	/* SawMill/bbv.scm 177 */
																			BgL_rtl_insz00_bglt BgL_i1190z00_2373;

																			BgL_i1190z00_2373 =
																				((BgL_rtl_insz00_bglt)
																				CAR(BgL_inssz00_2368));
																			{	/* SawMill/bbv.scm 178 */
																				obj_t BgL_uz00_4102;

																				{	/* SawMill/bbv.scm 179 */
																					obj_t BgL_cellvalz00_5173;

																					{	/* SawMill/bbv.scm 179 */
																						bool_t BgL_test2538z00_5174;

																						{	/* SawMill/bbv.scm 179 */
																							obj_t BgL_classz00_3597;

																							BgL_classz00_3597 =
																								BGl_rtl_insz00zzsaw_defsz00;
																							if (BGL_OBJECTP(BgL_succz00_2369))
																								{	/* SawMill/bbv.scm 179 */
																									BgL_objectz00_bglt
																										BgL_arg1825z00_3599;
																									BgL_arg1825z00_3599 =
																										(BgL_objectz00_bglt)
																										(BgL_succz00_2369);
																									{	/* SawMill/bbv.scm 179 */
																										bool_t BgL_arg1822z00_3602;
																										bool_t BgL_arg1823z00_3603;

																										{	/* SawMill/bbv.scm 179 */
																											long BgL_idxz00_3606;

																											BgL_idxz00_3606 =
																												BGL_OBJECT_INHERITANCE_NUM
																												(BgL_arg1825z00_3599);
																											BgL_arg1822z00_3602 =
																												(VECTOR_REF
																												(BGl_za2inheritancesza2z00zz__objectz00,
																													(BgL_idxz00_3606 +
																														((long) 1))) ==
																												BgL_classz00_3597);
																										}
																										{	/* SawMill/bbv.scm 179 */
																											bool_t
																												BgL_res2398z00_3628;
																											{	/* SawMill/bbv.scm 179 */
																												obj_t
																													BgL_oclassz00_3614;
																												{	/* SawMill/bbv.scm 179 */
																													long
																														BgL_arg1833z00_3620;
																													{	/* SawMill/bbv.scm 179 */
																														long
																															BgL_arg1834z00_3621;
																														BgL_arg1834z00_3621
																															=
																															BGL_OBJECT_CLASS_NUM
																															(BgL_arg1825z00_3599);
																														BgL_arg1833z00_3620
																															=
																															(BgL_arg1834z00_3621
																															- OBJECT_TYPE);
																													}
																													BgL_oclassz00_3614 =
																														VECTOR_REF
																														(BGl_za2classesza2z00zz__objectz00,
																														BgL_arg1833z00_3620);
																												}
																												{	/* SawMill/bbv.scm 179 */
																													bool_t
																														BgL__ortest_1110z00_3615;
																													BgL__ortest_1110z00_3615
																														=
																														(BgL_classz00_3597
																														==
																														BgL_oclassz00_3614);
																													if (BgL__ortest_1110z00_3615)
																														{	/* SawMill/bbv.scm 179 */
																															BgL_res2398z00_3628
																																=
																																BgL__ortest_1110z00_3615;
																														}
																													else
																														{	/* SawMill/bbv.scm 179 */
																															long
																																BgL_odepthz00_3616;
																															BgL_odepthz00_3616
																																=
																																BGL_CLASS_DEPTH
																																(BgL_oclassz00_3614);
																															if ((((long) 1) <
																																	BgL_odepthz00_3616))
																																{	/* SawMill/bbv.scm 179 */
																																	obj_t
																																		BgL_arg1821z00_3618;
																																	BgL_arg1821z00_3618
																																		=
																																		BGL_CLASS_ANCESTORS_REF
																																		(BgL_oclassz00_3614,
																																		((long) 1));
																																	BgL_res2398z00_3628
																																		=
																																		(BgL_arg1821z00_3618
																																		==
																																		BgL_classz00_3597);
																																}
																															else
																																{	/* SawMill/bbv.scm 179 */
																																	BgL_res2398z00_3628
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																												}
																											}
																											BgL_arg1823z00_3603 =
																												BgL_res2398z00_3628;
																										}
																										BgL_test2538z00_5174 =
																											BGL_ISA_C_BACKEND
																											(BgL_arg1822z00_3602,
																											BgL_arg1823z00_3603);
																									}
																								}
																							else
																								{	/* SawMill/bbv.scm 179 */
																									BgL_test2538z00_5174 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_test2538z00_5174)
																							{	/* SawMill/bbv.scm 180 */
																								obj_t BgL_arg1946z00_2390;
																								obj_t BgL_arg1947z00_2391;

																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_5193;
																									{
																										obj_t BgL_auxz00_5194;

																										{	/* SawMill/bbv.scm 180 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5195;
																											BgL_tmpz00_5195 =
																												((BgL_objectz00_bglt)
																												BgL_i1190z00_2373);
																											BgL_auxz00_5194 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5195);
																										}
																										BgL_auxz00_5193 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_5194);
																									}
																									BgL_arg1946z00_2390 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5193))->BgL_outz00);
																								}
																								{
																									BgL_rtl_inszf2bbvzf2_bglt
																										BgL_auxz00_5200;
																									{
																										obj_t BgL_auxz00_5201;

																										{	/* SawMill/bbv.scm 168 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5202;
																											BgL_tmpz00_5202 =
																												((BgL_objectz00_bglt) (
																													(BgL_rtl_insz00_bglt)
																													BgL_succz00_2369));
																											BgL_auxz00_5201 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5202);
																										}
																										BgL_auxz00_5200 =
																											(
																											(BgL_rtl_inszf2bbvzf2_bglt)
																											BgL_auxz00_5201);
																									}
																									BgL_arg1947z00_2391 =
																										(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5200))->BgL_inz00);
																								}
																								BgL_cellvalz00_5173 =
																									BBOOL
																									(BGl_regsetzd2unionz12zc0zzsaw_regsetz00
																									(((BgL_regsetz00_bglt)
																											BgL_arg1946z00_2390),
																										((BgL_regsetz00_bglt)
																											BgL_arg1947z00_2391)));
																							}
																						else
																							{	/* SawMill/bbv.scm 179 */
																								if (PAIRP(BgL_succz00_2369))
																									{	/* SawMill/bbv.scm 182 */
																										obj_t BgL_arg1949z00_2393;
																										obj_t BgL_arg1950z00_2394;

																										{
																											BgL_rtl_inszf2bbvzf2_bglt
																												BgL_auxz00_5214;
																											{
																												obj_t BgL_auxz00_5215;

																												{	/* SawMill/bbv.scm 182 */
																													BgL_objectz00_bglt
																														BgL_tmpz00_5216;
																													BgL_tmpz00_5216 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_i1190z00_2373);
																													BgL_auxz00_5215 =
																														BGL_OBJECT_WIDENING
																														(BgL_tmpz00_5216);
																												}
																												BgL_auxz00_5214 =
																													(
																													(BgL_rtl_inszf2bbvzf2_bglt)
																													BgL_auxz00_5215);
																											}
																											BgL_arg1949z00_2393 =
																												(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5214))->BgL_outz00);
																										}
																										{	/* SawMill/bbv.scm 182 */
																											obj_t
																												BgL_head1575z00_2397;
																											{	/* SawMill/bbv.scm 182 */
																												obj_t
																													BgL_arg1957z00_2409;
																												{	/* SawMill/bbv.scm 168 */
																													BgL_rtl_insz00_bglt
																														BgL_i1186z00_3634;
																													BgL_i1186z00_3634 =
																														(
																														(BgL_rtl_insz00_bglt)
																														CAR
																														(BgL_succz00_2369));
																													{
																														BgL_rtl_inszf2bbvzf2_bglt
																															BgL_auxz00_5223;
																														{
																															obj_t
																																BgL_auxz00_5224;
																															{	/* SawMill/bbv.scm 168 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_5225;
																																BgL_tmpz00_5225
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_i1186z00_3634);
																																BgL_auxz00_5224
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_tmpz00_5225);
																															}
																															BgL_auxz00_5223 =
																																(
																																(BgL_rtl_inszf2bbvzf2_bglt)
																																BgL_auxz00_5224);
																														}
																														BgL_arg1957z00_2409
																															=
																															(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5223))->BgL_inz00);
																													}
																												}
																												BgL_head1575z00_2397 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1957z00_2409,
																													BNIL);
																											}
																											{	/* SawMill/bbv.scm 182 */
																												obj_t BgL_g1578z00_2398;

																												BgL_g1578z00_2398 =
																													CDR(BgL_succz00_2369);
																												{
																													obj_t
																														BgL_l1573z00_2400;
																													obj_t
																														BgL_tail1576z00_2401;
																													BgL_l1573z00_2400 =
																														BgL_g1578z00_2398;
																													BgL_tail1576z00_2401 =
																														BgL_head1575z00_2397;
																												BgL_zc3z04anonymousza31952ze3z87_2402:
																													if (NULLP
																														(BgL_l1573z00_2400))
																														{	/* SawMill/bbv.scm 182 */
																															BgL_arg1950z00_2394
																																=
																																BgL_head1575z00_2397;
																														}
																													else
																														{	/* SawMill/bbv.scm 182 */
																															obj_t
																																BgL_newtail1577z00_2404;
																															{	/* SawMill/bbv.scm 182 */
																																obj_t
																																	BgL_arg1955z00_2406;
																																{	/* SawMill/bbv.scm 168 */
																																	BgL_rtl_insz00_bglt
																																		BgL_i1186z00_3638;
																																	BgL_i1186z00_3638
																																		=
																																		(
																																		(BgL_rtl_insz00_bglt)
																																		CAR(((obj_t)
																																				BgL_l1573z00_2400)));
																																	{
																																		BgL_rtl_inszf2bbvzf2_bglt
																																			BgL_auxz00_5237;
																																		{
																																			obj_t
																																				BgL_auxz00_5238;
																																			{	/* SawMill/bbv.scm 168 */
																																				BgL_objectz00_bglt
																																					BgL_tmpz00_5239;
																																				BgL_tmpz00_5239
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					BgL_i1186z00_3638);
																																				BgL_auxz00_5238
																																					=
																																					BGL_OBJECT_WIDENING
																																					(BgL_tmpz00_5239);
																																			}
																																			BgL_auxz00_5237
																																				=
																																				(
																																				(BgL_rtl_inszf2bbvzf2_bglt)
																																				BgL_auxz00_5238);
																																		}
																																		BgL_arg1955z00_2406
																																			=
																																			(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5237))->BgL_inz00);
																																	}
																																}
																																BgL_newtail1577z00_2404
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1955z00_2406,
																																	BNIL);
																															}
																															SET_CDR
																																(BgL_tail1576z00_2401,
																																BgL_newtail1577z00_2404);
																															{	/* SawMill/bbv.scm 182 */
																																obj_t
																																	BgL_arg1954z00_2405;
																																BgL_arg1954z00_2405
																																	=
																																	CDR(((obj_t)
																																		BgL_l1573z00_2400));
																																{
																																	obj_t
																																		BgL_tail1576z00_5249;
																																	obj_t
																																		BgL_l1573z00_5248;
																																	BgL_l1573z00_5248
																																		=
																																		BgL_arg1954z00_2405;
																																	BgL_tail1576z00_5249
																																		=
																																		BgL_newtail1577z00_2404;
																																	BgL_tail1576z00_2401
																																		=
																																		BgL_tail1576z00_5249;
																																	BgL_l1573z00_2400
																																		=
																																		BgL_l1573z00_5248;
																																	goto
																																		BgL_zc3z04anonymousza31952ze3z87_2402;
																																}
																															}
																														}
																												}
																											}
																										}
																										BgL_cellvalz00_5173 =
																											BBOOL
																											(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00
																											(((BgL_regsetz00_bglt)
																													BgL_arg1949z00_2393),
																												BgL_arg1950z00_2394));
																									}
																								else
																									{	/* SawMill/bbv.scm 181 */
																										BgL_cellvalz00_5173 =
																											BFALSE;
																									}
																							}
																					}
																					BgL_uz00_4102 =
																						MAKE_CELL(BgL_cellvalz00_5173);
																				}
																				{	/* SawMill/bbv.scm 186 */
																					obj_t BgL_arg1936z00_2376;

																					{
																						BgL_rtl_inszf2bbvzf2_bglt
																							BgL_auxz00_5253;
																						{
																							obj_t BgL_auxz00_5254;

																							{	/* SawMill/bbv.scm 185 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_5255;
																								BgL_tmpz00_5255 =
																									((BgL_objectz00_bglt)
																									BgL_i1190z00_2373);
																								BgL_auxz00_5254 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_5255);
																							}
																							BgL_auxz00_5253 =
																								((BgL_rtl_inszf2bbvzf2_bglt)
																								BgL_auxz00_5254);
																						}
																						BgL_arg1936z00_2376 =
																							(((BgL_rtl_inszf2bbvzf2_bglt)
																								COBJECT(BgL_auxz00_5253))->
																							BgL_outz00);
																					}
																					{	/* SawMill/bbv.scm 187 */
																						obj_t
																							BgL_zc3z04anonymousza31937ze3z87_4094;
																						BgL_zc3z04anonymousza31937ze3z87_4094
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_bbvz00,
																							(int) (((long) 1)),
																							(int) (((long) 2)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31937ze3z87_4094,
																							(int) (((long) 0)),
																							((obj_t) BgL_i1190z00_2373));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza31937ze3z87_4094,
																							(int) (((long) 1)),
																							((obj_t) BgL_uz00_4102));
																						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
																							(BgL_zc3z04anonymousza31937ze3z87_4094,
																							((BgL_regsetz00_bglt)
																								BgL_arg1936z00_2376));
																				}}
																				{	/* SawMill/bbv.scm 190 */
																					obj_t BgL_arg1942z00_2385;
																					obj_t BgL_arg1943z00_2386;
																					obj_t BgL_arg1944z00_2387;

																					BgL_arg1942z00_2385 =
																						CDR(BgL_inssz00_2368);
																					BgL_arg1943z00_2386 =
																						CAR(BgL_inssz00_2368);
																					if (CBOOL(BgL_tz00_2370))
																						{	/* SawMill/bbv.scm 190 */
																							BgL_arg1944z00_2387 =
																								BgL_tz00_2370;
																						}
																					else
																						{	/* SawMill/bbv.scm 190 */
																							BgL_arg1944z00_2387 =
																								CELL_REF(BgL_uz00_4102);
																						}
																					{
																						obj_t BgL_tz00_5277;
																						obj_t BgL_succz00_5276;
																						obj_t BgL_inssz00_5275;

																						BgL_inssz00_5275 =
																							BgL_arg1942z00_2385;
																						BgL_succz00_5276 =
																							BgL_arg1943z00_2386;
																						BgL_tz00_5277 = BgL_arg1944z00_2387;
																						BgL_tz00_2370 = BgL_tz00_5277;
																						BgL_succz00_2369 = BgL_succz00_5276;
																						BgL_inssz00_2368 = BgL_inssz00_5275;
																						goto
																							BgL_zc3z04anonymousza31933ze3z87_2371;
																					}
																				}
																			}
																		}
																	else
																		{	/* SawMill/bbv.scm 176 */
																			BgL__ortest_1194z00_2339 = BgL_tz00_2370;
																		}
																}
															}
														}
														if (CBOOL(BgL__ortest_1194z00_2339))
															{	/* SawMill/bbv.scm 216 */
																BgL_arg1918z00_2338 = BgL__ortest_1194z00_2339;
															}
														else
															{	/* SawMill/bbv.scm 216 */
																BgL_arg1918z00_2338 = BgL_tz00_2333;
															}
													}
													{
														obj_t BgL_tz00_5281;
														obj_t BgL_bsz00_5280;

														BgL_bsz00_5280 = BgL_arg1917z00_2337;
														BgL_tz00_5281 = BgL_arg1918z00_2338;
														BgL_tz00_2333 = BgL_tz00_5281;
														BgL_bsz00_2332 = BgL_bsz00_5280;
														goto BgL_zc3z04anonymousza31914ze3z87_2334;
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4095,
		obj_t BgL_rz00_4098)
	{
		{	/* SawMill/bbv.scm 186 */
			{	/* SawMill/bbv.scm 187 */
				BgL_rtl_insz00_bglt BgL_i1190z00_4096;
				obj_t BgL_uz00_4097;

				BgL_i1190z00_4096 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_4095, (int) (((long) 0))));
				BgL_uz00_4097 = PROCEDURE_REF(BgL_envz00_4095, (int) (((long) 1)));
				{	/* SawMill/bbv.scm 187 */
					bool_t BgL_test2546z00_5287;

					{	/* SawMill/bbv.scm 187 */
						obj_t BgL_arg1941z00_4189;

						{
							BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5288;

							{
								obj_t BgL_auxz00_5289;

								{	/* SawMill/bbv.scm 187 */
									BgL_objectz00_bglt BgL_tmpz00_5290;

									BgL_tmpz00_5290 = ((BgL_objectz00_bglt) BgL_i1190z00_4096);
									BgL_auxz00_5289 = BGL_OBJECT_WIDENING(BgL_tmpz00_5290);
								}
								BgL_auxz00_5288 = ((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5289);
							}
							BgL_arg1941z00_4189 =
								(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5288))->
								BgL_defz00);
						}
						BgL_test2546z00_5287 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_rz00_4098),
							((BgL_regsetz00_bglt) BgL_arg1941z00_4189));
					}
					if (BgL_test2546z00_5287)
						{	/* SawMill/bbv.scm 187 */
							return BFALSE;
						}
					else
						{	/* SawMill/bbv.scm 188 */
							obj_t BgL_auxz00_4190;

							{	/* SawMill/bbv.scm 188 */
								bool_t BgL__ortest_1191z00_4191;

								{	/* SawMill/bbv.scm 188 */
									obj_t BgL_arg1940z00_4192;

									{
										BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_5298;

										{
											obj_t BgL_auxz00_5299;

											{	/* SawMill/bbv.scm 188 */
												BgL_objectz00_bglt BgL_tmpz00_5300;

												BgL_tmpz00_5300 =
													((BgL_objectz00_bglt) BgL_i1190z00_4096);
												BgL_auxz00_5299 = BGL_OBJECT_WIDENING(BgL_tmpz00_5300);
											}
											BgL_auxz00_5298 =
												((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_5299);
										}
										BgL_arg1940z00_4192 =
											(((BgL_rtl_inszf2bbvzf2_bglt) COBJECT(BgL_auxz00_5298))->
											BgL_inz00);
									}
									BgL__ortest_1191z00_4191 =
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg1940z00_4192),
										((BgL_rtl_regz00_bglt) BgL_rz00_4098));
								}
								if (BgL__ortest_1191z00_4191)
									{	/* SawMill/bbv.scm 188 */
										BgL_auxz00_4190 = BBOOL(BgL__ortest_1191z00_4191);
									}
								else
									{	/* SawMill/bbv.scm 188 */
										BgL_auxz00_4190 = CELL_REF(BgL_uz00_4097);
									}
							}
							return CELL_SET(BgL_uz00_4097, BgL_auxz00_4190);
						}
				}
			}
		}

	}



/* merge! */
	BgL_blockz00_bglt BGl_mergez12z12zzsaw_bbvz00(obj_t BgL_markz00_89,
		BgL_blockz00_bglt BgL_bz00_90)
	{
		{	/* SawMill/bbv.scm 223 */
			{	/* SawMill/bbv.scm 225 */
				BgL_blockz00_bglt BgL_i1196z00_2430;

				{
					obj_t BgL_auxz00_5310;

					{
						BgL_blocksz00_bglt BgL_auxz00_5311;

						{
							obj_t BgL_auxz00_5312;

							{	/* SawMill/bbv.scm 226 */
								BgL_objectz00_bglt BgL_tmpz00_5313;

								BgL_tmpz00_5313 = ((BgL_objectz00_bglt) BgL_bz00_90);
								BgL_auxz00_5312 = BGL_OBJECT_WIDENING(BgL_tmpz00_5313);
							}
							BgL_auxz00_5311 = ((BgL_blocksz00_bglt) BgL_auxz00_5312);
						}
						BgL_auxz00_5310 =
							(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5311))->
							BgL_z52parentz52);
					}
					BgL_i1196z00_2430 = ((BgL_blockz00_bglt) BgL_auxz00_5310);
				}
				{	/* SawMill/bbv.scm 226 */
					bool_t BgL_test2548z00_5319;

					{	/* SawMill/bbv.scm 226 */
						long BgL_arg2039z00_2530;

						{
							BgL_blockvz00_bglt BgL_auxz00_5320;

							{
								obj_t BgL_auxz00_5321;

								{	/* SawMill/bbv.scm 226 */
									BgL_objectz00_bglt BgL_tmpz00_5322;

									BgL_tmpz00_5322 = ((BgL_objectz00_bglt) BgL_i1196z00_2430);
									BgL_auxz00_5321 = BGL_OBJECT_WIDENING(BgL_tmpz00_5322);
								}
								BgL_auxz00_5320 = ((BgL_blockvz00_bglt) BgL_auxz00_5321);
							}
							BgL_arg2039z00_2530 =
								(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5320))->
								BgL_z52markz52);
						}
						BgL_test2548z00_5319 =
							((long) CINT(BgL_markz00_89) == BgL_arg2039z00_2530);
					}
					if (BgL_test2548z00_5319)
						{	/* SawMill/bbv.scm 226 */
							((bool_t) 0);
						}
					else
						{	/* SawMill/bbv.scm 226 */
							{
								BgL_blockvz00_bglt BgL_auxz00_5329;

								{
									obj_t BgL_auxz00_5330;

									{	/* SawMill/bbv.scm 227 */
										BgL_objectz00_bglt BgL_tmpz00_5331;

										BgL_tmpz00_5331 = ((BgL_objectz00_bglt) BgL_i1196z00_2430);
										BgL_auxz00_5330 = BGL_OBJECT_WIDENING(BgL_tmpz00_5331);
									}
									BgL_auxz00_5329 = ((BgL_blockvz00_bglt) BgL_auxz00_5330);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5329))->
										BgL_z52markz52) =
									((long) (long) CINT(BgL_markz00_89)), BUNSPEC);
							}
							{	/* SawMill/bbv.scm 230 */
								bool_t BgL_test2549z00_5337;

								{	/* SawMill/bbv.scm 230 */
									bool_t BgL_test2550z00_5338;

									{	/* SawMill/bbv.scm 230 */
										obj_t BgL_arg2037z00_2529;

										{
											BgL_blockvz00_bglt BgL_auxz00_5339;

											{
												obj_t BgL_auxz00_5340;

												{	/* SawMill/bbv.scm 230 */
													BgL_objectz00_bglt BgL_tmpz00_5341;

													BgL_tmpz00_5341 =
														((BgL_objectz00_bglt) BgL_i1196z00_2430);
													BgL_auxz00_5340 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5341);
												}
												BgL_auxz00_5339 =
													((BgL_blockvz00_bglt) BgL_auxz00_5340);
											}
											BgL_arg2037z00_2529 =
												(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5339))->
												BgL_versionsz00);
										}
										BgL_test2550z00_5338 = NULLP(BgL_arg2037z00_2529);
									}
									if (BgL_test2550z00_5338)
										{	/* SawMill/bbv.scm 230 */
											BgL_test2549z00_5337 = ((bool_t) 1);
										}
									else
										{	/* SawMill/bbv.scm 230 */
											obj_t BgL_arg2035z00_2527;

											{	/* SawMill/bbv.scm 230 */
												obj_t BgL_arg2036z00_2528;

												{
													BgL_blockvz00_bglt BgL_auxz00_5347;

													{
														obj_t BgL_auxz00_5348;

														{	/* SawMill/bbv.scm 230 */
															BgL_objectz00_bglt BgL_tmpz00_5349;

															BgL_tmpz00_5349 =
																((BgL_objectz00_bglt) BgL_i1196z00_2430);
															BgL_auxz00_5348 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5349);
														}
														BgL_auxz00_5347 =
															((BgL_blockvz00_bglt) BgL_auxz00_5348);
													}
													BgL_arg2036z00_2528 =
														(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5347))->
														BgL_versionsz00);
												}
												BgL_arg2035z00_2527 =
													CDR(((obj_t) BgL_arg2036z00_2528));
											}
											BgL_test2549z00_5337 = NULLP(BgL_arg2035z00_2527);
										}
								}
								if (BgL_test2549z00_5337)
									{	/* SawMill/bbv.scm 231 */
										obj_t BgL_g1588z00_2439;

										BgL_g1588z00_2439 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_90)))->BgL_succsz00);
										{
											obj_t BgL_l1586z00_2441;

											BgL_l1586z00_2441 = BgL_g1588z00_2439;
										BgL_zc3z04anonymousza31975ze3z87_2442:
											if (PAIRP(BgL_l1586z00_2441))
												{	/* SawMill/bbv.scm 231 */
													{	/* SawMill/bbv.scm 231 */
														obj_t BgL_sz00_2444;

														BgL_sz00_2444 = CAR(BgL_l1586z00_2441);
														BGl_mergez12z12zzsaw_bbvz00(BgL_markz00_89,
															((BgL_blockz00_bglt) BgL_sz00_2444));
													}
													{
														obj_t BgL_l1586z00_5364;

														BgL_l1586z00_5364 = CDR(BgL_l1586z00_2441);
														BgL_l1586z00_2441 = BgL_l1586z00_5364;
														goto BgL_zc3z04anonymousza31975ze3z87_2442;
													}
												}
											else
												{	/* SawMill/bbv.scm 231 */
													((bool_t) 1);
												}
										}
									}
								else
									{	/* SawMill/bbv.scm 232 */
										obj_t BgL_ksz00_2447;

										{	/* SawMill/bbv.scm 232 */
											obj_t BgL_arg2019z00_2503;

											{	/* SawMill/bbv.scm 234 */
												obj_t BgL_l1589z00_2509;

												{
													BgL_blockvz00_bglt BgL_auxz00_5366;

													{
														obj_t BgL_auxz00_5367;

														{	/* SawMill/bbv.scm 234 */
															BgL_objectz00_bglt BgL_tmpz00_5368;

															BgL_tmpz00_5368 =
																((BgL_objectz00_bglt) BgL_i1196z00_2430);
															BgL_auxz00_5367 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5368);
														}
														BgL_auxz00_5366 =
															((BgL_blockvz00_bglt) BgL_auxz00_5367);
													}
													BgL_l1589z00_2509 =
														(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5366))->
														BgL_versionsz00);
												}
												if (NULLP(BgL_l1589z00_2509))
													{	/* SawMill/bbv.scm 234 */
														BgL_arg2019z00_2503 = BNIL;
													}
												else
													{	/* SawMill/bbv.scm 234 */
														obj_t BgL_head1591z00_2511;

														BgL_head1591z00_2511 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1589z00_2513;
															obj_t BgL_tail1592z00_2514;

															BgL_l1589z00_2513 = BgL_l1589z00_2509;
															BgL_tail1592z00_2514 = BgL_head1591z00_2511;
														BgL_zc3z04anonymousza32025ze3z87_2515:
															if (NULLP(BgL_l1589z00_2513))
																{	/* SawMill/bbv.scm 234 */
																	BgL_arg2019z00_2503 =
																		CDR(BgL_head1591z00_2511);
																}
															else
																{	/* SawMill/bbv.scm 234 */
																	obj_t BgL_newtail1593z00_2517;

																	{	/* SawMill/bbv.scm 234 */
																		obj_t BgL_arg2030z00_2519;

																		{	/* SawMill/bbv.scm 234 */
																			obj_t BgL_vz00_2520;

																			BgL_vz00_2520 =
																				CAR(((obj_t) BgL_l1589z00_2513));
																			{	/* SawMill/bbv.scm 235 */
																				obj_t BgL_arg2031z00_2521;
																				obj_t BgL_arg2032z00_2522;

																				{	/* SawMill/bbv.scm 235 */
																					obj_t BgL_arg2034z00_2523;

																					BgL_arg2034z00_2523 =
																						CDR(((obj_t) BgL_vz00_2520));
																					BgL_arg2031z00_2521 =
																						BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																						(BgL_arg2034z00_2523);
																				}
																				BgL_arg2032z00_2522 =
																					CDR(((obj_t) BgL_vz00_2520));
																				BgL_arg2030z00_2519 =
																					MAKE_YOUNG_PAIR(BgL_arg2031z00_2521,
																					BgL_arg2032z00_2522);
																			}
																		}
																		BgL_newtail1593z00_2517 =
																			MAKE_YOUNG_PAIR(BgL_arg2030z00_2519,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1592z00_2514,
																		BgL_newtail1593z00_2517);
																	{	/* SawMill/bbv.scm 234 */
																		obj_t BgL_arg2029z00_2518;

																		BgL_arg2029z00_2518 =
																			CDR(((obj_t) BgL_l1589z00_2513));
																		{
																			obj_t BgL_tail1592z00_5392;
																			obj_t BgL_l1589z00_5391;

																			BgL_l1589z00_5391 = BgL_arg2029z00_2518;
																			BgL_tail1592z00_5392 =
																				BgL_newtail1593z00_2517;
																			BgL_tail1592z00_2514 =
																				BgL_tail1592z00_5392;
																			BgL_l1589z00_2513 = BgL_l1589z00_5391;
																			goto
																				BgL_zc3z04anonymousza32025ze3z87_2515;
																		}
																	}
																}
														}
													}
											}
											BgL_ksz00_2447 =
												BGl_sortz00zz__r4_vectors_6_8z00
												(BGl_proc2425z00zzsaw_bbvz00, BgL_arg2019z00_2503);
										}
										{
											obj_t BgL_ksz00_2449;

											BgL_ksz00_2449 = BgL_ksz00_2447;
										BgL_zc3z04anonymousza31978ze3z87_2450:
											if (NULLP(CDR(((obj_t) BgL_ksz00_2449))))
												{	/* SawMill/bbv.scm 244 */
													obj_t BgL_g1596z00_2453;

													BgL_g1596z00_2453 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_bz00_90)))->
														BgL_succsz00);
													{
														obj_t BgL_l1594z00_2455;

														BgL_l1594z00_2455 = BgL_g1596z00_2453;
													BgL_zc3z04anonymousza31981ze3z87_2456:
														if (PAIRP(BgL_l1594z00_2455))
															{	/* SawMill/bbv.scm 244 */
																{	/* SawMill/bbv.scm 244 */
																	obj_t BgL_sz00_2458;

																	BgL_sz00_2458 = CAR(BgL_l1594z00_2455);
																	BGl_mergez12z12zzsaw_bbvz00(BgL_markz00_89,
																		((BgL_blockz00_bglt) BgL_sz00_2458));
																}
																{
																	obj_t BgL_l1594z00_5405;

																	BgL_l1594z00_5405 = CDR(BgL_l1594z00_2455);
																	BgL_l1594z00_2455 = BgL_l1594z00_5405;
																	goto BgL_zc3z04anonymousza31981ze3z87_2456;
																}
															}
														else
															{	/* SawMill/bbv.scm 244 */
																((bool_t) 1);
															}
													}
												}
											else
												{	/* SawMill/bbv.scm 245 */
													bool_t BgL_test2556z00_5407;

													{	/* SawMill/bbv.scm 245 */
														long BgL_arg2015z00_2498;

														{	/* SawMill/bbv.scm 245 */
															BgL_blockz00_bglt BgL_oz00_3726;

															{	/* SawMill/bbv.scm 245 */
																obj_t BgL_pairz00_3725;

																BgL_pairz00_3725 =
																	CAR(((obj_t) BgL_ksz00_2449));
																BgL_oz00_3726 =
																	((BgL_blockz00_bglt) CDR(BgL_pairz00_3725));
															}
															{
																BgL_blocksz00_bglt BgL_auxz00_5412;

																{
																	obj_t BgL_auxz00_5413;

																	{	/* SawMill/bbv.scm 245 */
																		BgL_objectz00_bglt BgL_tmpz00_5414;

																		BgL_tmpz00_5414 =
																			((BgL_objectz00_bglt) BgL_oz00_3726);
																		BgL_auxz00_5413 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5414);
																	}
																	BgL_auxz00_5412 =
																		((BgL_blocksz00_bglt) BgL_auxz00_5413);
																}
																BgL_arg2015z00_2498 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_5412))->BgL_z52markz52);
														}}
														BgL_test2556z00_5407 =
															(BgL_arg2015z00_2498 >=
															(long) CINT(BgL_markz00_89));
													}
													if (BgL_test2556z00_5407)
														{	/* SawMill/bbv.scm 246 */
															obj_t BgL_arg1987z00_2464;

															BgL_arg1987z00_2464 =
																CDR(((obj_t) BgL_ksz00_2449));
															{
																obj_t BgL_ksz00_5423;

																BgL_ksz00_5423 = BgL_arg1987z00_2464;
																BgL_ksz00_2449 = BgL_ksz00_5423;
																goto BgL_zc3z04anonymousza31978ze3z87_2450;
															}
														}
													else
														{	/* SawMill/bbv.scm 248 */
															obj_t BgL_kz00_2465;

															BgL_kz00_2465 = CAR(((obj_t) BgL_ksz00_2449));
															{	/* SawMill/bbv.scm 249 */
																obj_t BgL_g1197z00_2466;

																BgL_g1197z00_2466 =
																	CDR(((obj_t) BgL_ksz00_2449));
																{
																	obj_t BgL_lsz00_2468;

																	BgL_lsz00_2468 = BgL_g1197z00_2466;
																BgL_zc3z04anonymousza31988ze3z87_2469:
																	if (NULLP(BgL_lsz00_2468))
																		{	/* SawMill/bbv.scm 252 */
																			obj_t BgL_arg1990z00_2471;

																			BgL_arg1990z00_2471 =
																				CDR(((obj_t) BgL_ksz00_2449));
																			{
																				obj_t BgL_ksz00_5432;

																				BgL_ksz00_5432 = BgL_arg1990z00_2471;
																				BgL_ksz00_2449 = BgL_ksz00_5432;
																				goto
																					BgL_zc3z04anonymousza31978ze3z87_2450;
																			}
																		}
																	else
																		{	/* SawMill/bbv.scm 253 */
																			bool_t BgL_test2558z00_5433;

																			{	/* SawMill/bbv.scm 253 */
																				bool_t BgL_test2559z00_5434;

																				{	/* SawMill/bbv.scm 253 */
																					long BgL_tmpz00_5435;

																					{	/* SawMill/bbv.scm 253 */
																						obj_t BgL_pairz00_3738;

																						BgL_pairz00_3738 =
																							CAR(((obj_t) BgL_lsz00_2468));
																						BgL_tmpz00_5435 =
																							(long)
																							CINT(CAR(BgL_pairz00_3738));
																					}
																					BgL_test2559z00_5434 =
																						(
																						(long) CINT(CAR(
																								((obj_t) BgL_kz00_2465))) ==
																						BgL_tmpz00_5435);
																				}
																				if (BgL_test2559z00_5434)
																					{	/* SawMill/bbv.scm 254 */
																						bool_t BgL_test2560z00_5444;

																						{	/* SawMill/bbv.scm 254 */
																							obj_t BgL_tmpz00_5445;

																							{	/* SawMill/bbv.scm 254 */
																								obj_t BgL_pairz00_3745;

																								BgL_pairz00_3745 =
																									CAR(((obj_t) BgL_lsz00_2468));
																								BgL_tmpz00_5445 =
																									CDR(BgL_pairz00_3745);
																							}
																							BgL_test2560z00_5444 =
																								(CDR(
																									((obj_t) BgL_kz00_2465)) ==
																								BgL_tmpz00_5445);
																						}
																						if (BgL_test2560z00_5444)
																							{	/* SawMill/bbv.scm 254 */
																								BgL_test2558z00_5433 =
																									((bool_t) 0);
																							}
																						else
																							{	/* SawMill/bbv.scm 255 */
																								obj_t BgL_arg2009z00_2491;
																								obj_t BgL_arg2010z00_2492;

																								BgL_arg2009z00_2491 =
																									CDR(((obj_t) BgL_kz00_2465));
																								{	/* SawMill/bbv.scm 255 */
																									obj_t BgL_pairz00_3750;

																									BgL_pairz00_3750 =
																										CAR(
																										((obj_t) BgL_lsz00_2468));
																									BgL_arg2010z00_2492 =
																										CDR(BgL_pairz00_3750);
																								}
																								BgL_test2558z00_5433 =
																									CBOOL
																									(BGl_mergezf3zf3zzsaw_bbvz00((
																											(BgL_blockz00_bglt)
																											BgL_arg2009z00_2491),
																										((BgL_blockz00_bglt)
																											BgL_arg2010z00_2492),
																										BNIL));
																							}
																					}
																				else
																					{	/* SawMill/bbv.scm 253 */
																						BgL_test2558z00_5433 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2558z00_5433)
																				{	/* SawMill/bbv.scm 253 */
																					{	/* SawMill/bbv.scm 256 */
																						obj_t BgL_arg2005z00_2485;
																						obj_t BgL_arg2006z00_2486;

																						BgL_arg2005z00_2485 =
																							CDR(((obj_t) BgL_kz00_2465));
																						{	/* SawMill/bbv.scm 256 */
																							obj_t BgL_pairz00_3755;

																							BgL_pairz00_3755 =
																								CAR(((obj_t) BgL_lsz00_2468));
																							BgL_arg2006z00_2486 =
																								CDR(BgL_pairz00_3755);
																						}
																						BGl_mergezd2blockz12zc0zzsaw_bbvz00
																							(BgL_markz00_89,
																							BgL_arg2005z00_2485,
																							BgL_arg2006z00_2486);
																					}
																					{	/* SawMill/bbv.scm 257 */
																						obj_t BgL_arg2007z00_2487;

																						BgL_arg2007z00_2487 =
																							CDR(((obj_t) BgL_lsz00_2468));
																						{
																							obj_t BgL_lsz00_5469;

																							BgL_lsz00_5469 =
																								BgL_arg2007z00_2487;
																							BgL_lsz00_2468 = BgL_lsz00_5469;
																							goto
																								BgL_zc3z04anonymousza31988ze3z87_2469;
																						}
																					}
																				}
																			else
																				{	/* SawMill/bbv.scm 259 */
																					obj_t BgL_arg2008z00_2488;

																					BgL_arg2008z00_2488 =
																						CDR(((obj_t) BgL_lsz00_2468));
																					{
																						obj_t BgL_lsz00_5472;

																						BgL_lsz00_5472 =
																							BgL_arg2008z00_2488;
																						BgL_lsz00_2468 = BgL_lsz00_5472;
																						goto
																							BgL_zc3z04anonymousza31988ze3z87_2469;
																					}
																				}
																		}
																}
															}
														}
												}
										}
									}
							}
						}
				}
			}
			return BgL_bz00_90;
		}

	}



/* &<@anonymous:2020> */
	obj_t BGl_z62zc3z04anonymousza32020ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4105,
		obj_t BgL_v1z00_4106, obj_t BgL_v2z00_4107)
	{
		{	/* SawMill/bbv.scm 232 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_v1z00_4106))) <=
					(long) CINT(CAR(((obj_t) BgL_v2z00_4107)))));
		}

	}



/* merge-block! */
	obj_t BGl_mergezd2blockz12zc0zzsaw_bbvz00(obj_t BgL_markz00_91,
		obj_t BgL_bz00_92, obj_t BgL_byz00_93)
	{
		{	/* SawMill/bbv.scm 265 */
			{	/* SawMill/bbv.scm 269 */
				obj_t BgL_g1203z00_2531;
				obj_t BgL_g1204z00_2532;

				{	/* SawMill/bbv.scm 269 */
					obj_t BgL_list2063z00_2567;

					BgL_list2063z00_2567 = MAKE_YOUNG_PAIR(BgL_byz00_93, BNIL);
					BgL_g1203z00_2531 = BgL_list2063z00_2567;
				}
				{	/* SawMill/bbv.scm 270 */
					obj_t BgL_list2064z00_2568;

					BgL_list2064z00_2568 = MAKE_YOUNG_PAIR(BgL_bz00_92, BNIL);
					BgL_g1204z00_2532 = BgL_list2064z00_2568;
				}
				{
					obj_t BgL_byz00_2534;
					obj_t BgL_bxz00_2535;

					BgL_byz00_2534 = BgL_g1203z00_2531;
					BgL_bxz00_2535 = BgL_g1204z00_2532;
				BgL_zc3z04anonymousza32040ze3z87_2536:
					if (NULLP(BgL_byz00_2534))
						{	/* SawMill/bbv.scm 272 */
							return BgL_bz00_92;
						}
					else
						{	/* SawMill/bbv.scm 274 */
							bool_t BgL_test2562z00_5485;

							{	/* SawMill/bbv.scm 274 */
								long BgL_arg2061z00_2564;

								{	/* SawMill/bbv.scm 274 */
									BgL_blockz00_bglt BgL_oz00_3761;

									BgL_oz00_3761 = ((BgL_blockz00_bglt) CAR(BgL_byz00_2534));
									{
										BgL_blocksz00_bglt BgL_auxz00_5488;

										{
											obj_t BgL_auxz00_5489;

											{	/* SawMill/bbv.scm 274 */
												BgL_objectz00_bglt BgL_tmpz00_5490;

												BgL_tmpz00_5490 = ((BgL_objectz00_bglt) BgL_oz00_3761);
												BgL_auxz00_5489 = BGL_OBJECT_WIDENING(BgL_tmpz00_5490);
											}
											BgL_auxz00_5488 = ((BgL_blocksz00_bglt) BgL_auxz00_5489);
										}
										BgL_arg2061z00_2564 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5488))->
											BgL_z52markz52);
								}}
								BgL_test2562z00_5485 =
									(BgL_arg2061z00_2564 == (long) CINT(BgL_markz00_91));
							}
							if (BgL_test2562z00_5485)
								{	/* SawMill/bbv.scm 274 */
									return BgL_bz00_92;
								}
							else
								{	/* SawMill/bbv.scm 274 */
									if ((CAR(BgL_byz00_2534) == CAR(((obj_t) BgL_bxz00_2535))))
										{	/* SawMill/bbv.scm 276 */
											return BgL_bz00_92;
										}
									else
										{	/* SawMill/bbv.scm 279 */
											BgL_blockz00_bglt BgL_i1205z00_2544;

											BgL_i1205z00_2544 =
												((BgL_blockz00_bglt) CAR(BgL_byz00_2534));
											{
												BgL_blocksz00_bglt BgL_auxz00_5504;

												{
													obj_t BgL_auxz00_5505;

													{	/* SawMill/bbv.scm 280 */
														BgL_objectz00_bglt BgL_tmpz00_5506;

														BgL_tmpz00_5506 =
															((BgL_objectz00_bglt) BgL_i1205z00_2544);
														BgL_auxz00_5505 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_5506);
													}
													BgL_auxz00_5504 =
														((BgL_blocksz00_bglt) BgL_auxz00_5505);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5504))->
														BgL_z52markz52) =
													((long) (long) CINT(BgL_markz00_91)), BUNSPEC);
											}
											{	/* SawMill/bbv.scm 281 */
												obj_t BgL_g1599z00_2545;

												BgL_g1599z00_2545 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1205z00_2544)))->
													BgL_predsz00);
												{
													obj_t BgL_l1597z00_2547;

													BgL_l1597z00_2547 = BgL_g1599z00_2545;
												BgL_zc3z04anonymousza32048ze3z87_2548:
													if (PAIRP(BgL_l1597z00_2547))
														{	/* SawMill/bbv.scm 281 */
															{	/* SawMill/bbv.scm 282 */
																obj_t BgL_dz00_2550;

																BgL_dz00_2550 = CAR(BgL_l1597z00_2547);
																{	/* SawMill/bbv.scm 283 */
																	bool_t BgL_test2565z00_5517;

																	{	/* SawMill/bbv.scm 283 */
																		long BgL_arg2054z00_2556;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_5518;

																			{
																				obj_t BgL_auxz00_5519;

																				{	/* SawMill/bbv.scm 283 */
																					BgL_objectz00_bglt BgL_tmpz00_5520;

																					BgL_tmpz00_5520 =
																						((BgL_objectz00_bglt)
																						((BgL_blockz00_bglt)
																							BgL_dz00_2550));
																					BgL_auxz00_5519 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_5520);
																				}
																				BgL_auxz00_5518 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_5519);
																			}
																			BgL_arg2054z00_2556 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_5518))->
																				BgL_z52markz52);
																		}
																		BgL_test2565z00_5517 =
																			(
																			(long) CINT(BgL_markz00_91) ==
																			BgL_arg2054z00_2556);
																	}
																	if (BgL_test2565z00_5517)
																		{	/* SawMill/bbv.scm 283 */
																			BFALSE;
																		}
																	else
																		{	/* SawMill/bbv.scm 284 */
																			obj_t BgL_arg2052z00_2554;
																			obj_t BgL_arg2053z00_2555;

																			BgL_arg2052z00_2554 =
																				CAR(((obj_t) BgL_byz00_2534));
																			BgL_arg2053z00_2555 =
																				CAR(((obj_t) BgL_bxz00_2535));
																			BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																				(((BgL_blockz00_bglt) BgL_dz00_2550),
																				((BgL_blockz00_bglt)
																					BgL_arg2052z00_2554),
																				((BgL_blockz00_bglt)
																					BgL_arg2053z00_2555));
																		}
																}
															}
															{
																obj_t BgL_l1597z00_5536;

																BgL_l1597z00_5536 = CDR(BgL_l1597z00_2547);
																BgL_l1597z00_2547 = BgL_l1597z00_5536;
																goto BgL_zc3z04anonymousza32048ze3z87_2548;
															}
														}
													else
														{	/* SawMill/bbv.scm 281 */
															((bool_t) 1);
														}
												}
											}
											{	/* SawMill/bbv.scm 286 */
												BgL_blockz00_bglt BgL_i1207z00_2559;

												BgL_i1207z00_2559 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bxz00_2535)));
												{	/* SawMill/bbv.scm 287 */
													obj_t BgL_arg2056z00_2560;
													obj_t BgL_arg2058z00_2561;

													BgL_arg2056z00_2560 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_i1205z00_2544)))->
														BgL_succsz00);
													BgL_arg2058z00_2561 =
														(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																	BgL_i1207z00_2559)))->BgL_succsz00);
													{
														obj_t BgL_bxz00_5546;
														obj_t BgL_byz00_5545;

														BgL_byz00_5545 = BgL_arg2056z00_2560;
														BgL_bxz00_5546 = BgL_arg2058z00_2561;
														BgL_bxz00_2535 = BgL_bxz00_5546;
														BgL_byz00_2534 = BgL_byz00_5545;
														goto BgL_zc3z04anonymousza32040ze3z87_2536;
													}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* merge? */
	obj_t BGl_mergezf3zf3zzsaw_bbvz00(BgL_blockz00_bglt BgL_bxz00_94,
		BgL_blockz00_bglt BgL_byz00_95, obj_t BgL_stackz00_96)
	{
		{	/* SawMill/bbv.scm 294 */
			if ((((obj_t) BgL_bxz00_94) == ((obj_t) BgL_byz00_95)))
				{	/* SawMill/bbv.scm 298 */
					return BTRUE;
				}
			else
				{	/* SawMill/bbv.scm 300 */
					bool_t BgL_test2567z00_5551;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_bxz00_94), BgL_stackz00_96)))
						{	/* SawMill/bbv.scm 300 */
							BgL_test2567z00_5551 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_byz00_95), BgL_stackz00_96));
						}
					else
						{	/* SawMill/bbv.scm 300 */
							BgL_test2567z00_5551 = ((bool_t) 0);
						}
					if (BgL_test2567z00_5551)
						{	/* SawMill/bbv.scm 300 */
							return BTRUE;
						}
					else
						{	/* SawMill/bbv.scm 302 */
							bool_t BgL_test2569z00_5559;

							{	/* SawMill/bbv.scm 302 */
								obj_t BgL_arg2123z00_2632;
								obj_t BgL_arg2124z00_2633;

								BgL_arg2123z00_2632 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t) BgL_bxz00_94));
								BgL_arg2124z00_2633 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t) BgL_byz00_95));
								BgL_test2569z00_5559 =
									(
									(long) CINT(BgL_arg2123z00_2632) ==
									(long) CINT(BgL_arg2124z00_2633));
							}
							if (BgL_test2569z00_5559)
								{	/* SawMill/bbv.scm 302 */
									if (BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
											((obj_t) BgL_bxz00_94), ((obj_t) BgL_byz00_95)))
										{	/* SawMill/bbv.scm 306 */
											bool_t BgL_test2571z00_5571;

											{	/* SawMill/bbv.scm 306 */
												bool_t BgL_test2572z00_5572;

												{	/* SawMill/bbv.scm 306 */
													obj_t BgL_arg2122z00_2631;

													{
														BgL_blocksz00_bglt BgL_auxz00_5573;

														{
															obj_t BgL_auxz00_5574;

															{	/* SawMill/bbv.scm 306 */
																BgL_objectz00_bglt BgL_tmpz00_5575;

																BgL_tmpz00_5575 =
																	((BgL_objectz00_bglt) BgL_bxz00_94);
																BgL_auxz00_5574 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5575);
															}
															BgL_auxz00_5573 =
																((BgL_blocksz00_bglt) BgL_auxz00_5574);
														}
														BgL_arg2122z00_2631 =
															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5573))->
															BgL_z52blacklistz52);
													}
													BgL_test2572z00_5572 =
														(BgL_arg2122z00_2631 == CNST_TABLE_REF(((long) 0)));
												}
												if (BgL_test2572z00_5572)
													{	/* SawMill/bbv.scm 306 */
														BgL_test2571z00_5571 = ((bool_t) 1);
													}
												else
													{	/* SawMill/bbv.scm 306 */
														obj_t BgL_arg2121z00_2630;

														{
															BgL_blocksz00_bglt BgL_auxz00_5582;

															{
																obj_t BgL_auxz00_5583;

																{	/* SawMill/bbv.scm 306 */
																	BgL_objectz00_bglt BgL_tmpz00_5584;

																	BgL_tmpz00_5584 =
																		((BgL_objectz00_bglt) BgL_byz00_95);
																	BgL_auxz00_5583 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5584);
																}
																BgL_auxz00_5582 =
																	((BgL_blocksz00_bglt) BgL_auxz00_5583);
															}
															BgL_arg2121z00_2630 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_5582))->
																BgL_z52blacklistz52);
														}
														BgL_test2571z00_5571 =
															(BgL_arg2121z00_2630 ==
															CNST_TABLE_REF(((long) 0)));
											}}
											if (BgL_test2571z00_5571)
												{	/* SawMill/bbv.scm 306 */
													return BFALSE;
												}
											else
												{	/* SawMill/bbv.scm 308 */
													bool_t BgL_test2573z00_5591;

													{	/* SawMill/bbv.scm 308 */
														bool_t BgL_test2574z00_5592;

														{	/* SawMill/bbv.scm 308 */
															obj_t BgL_arg2120z00_2628;

															{
																BgL_blocksz00_bglt BgL_auxz00_5593;

																{
																	obj_t BgL_auxz00_5594;

																	{	/* SawMill/bbv.scm 308 */
																		BgL_objectz00_bglt BgL_tmpz00_5595;

																		BgL_tmpz00_5595 =
																			((BgL_objectz00_bglt) BgL_byz00_95);
																		BgL_auxz00_5594 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5595);
																	}
																	BgL_auxz00_5593 =
																		((BgL_blocksz00_bglt) BgL_auxz00_5594);
																}
																BgL_arg2120z00_2628 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_5593))->
																	BgL_z52blacklistz52);
															}
															BgL_test2574z00_5592 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_bxz00_94), BgL_arg2120z00_2628));
														}
														if (BgL_test2574z00_5592)
															{	/* SawMill/bbv.scm 308 */
																BgL_test2573z00_5591 = ((bool_t) 1);
															}
														else
															{	/* SawMill/bbv.scm 308 */
																obj_t BgL_arg2119z00_2627;

																{
																	BgL_blocksz00_bglt BgL_auxz00_5603;

																	{
																		obj_t BgL_auxz00_5604;

																		{	/* SawMill/bbv.scm 308 */
																			BgL_objectz00_bglt BgL_tmpz00_5605;

																			BgL_tmpz00_5605 =
																				((BgL_objectz00_bglt) BgL_bxz00_94);
																			BgL_auxz00_5604 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5605);
																		}
																		BgL_auxz00_5603 =
																			((BgL_blocksz00_bglt) BgL_auxz00_5604);
																	}
																	BgL_arg2119z00_2627 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_5603))->
																		BgL_z52blacklistz52);
																}
																BgL_test2573z00_5591 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(((obj_t) BgL_byz00_95),
																		BgL_arg2119z00_2627));
															}
													}
													if (BgL_test2573z00_5591)
														{	/* SawMill/bbv.scm 308 */
															return BFALSE;
														}
													else
														{	/* SawMill/bbv.scm 310 */
															bool_t BgL_test2575z00_5613;

															if (
																(bgl_list_length(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt) BgL_byz00_95)))->
																			BgL_succsz00)) == ((long) 0)))
																{	/* SawMill/bbv.scm 310 */
																	BgL_test2575z00_5613 =
																		(bgl_list_length(
																			(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_byz00_95)))->BgL_firstz00)) ==
																		((long) 1));
																}
															else
																{	/* SawMill/bbv.scm 310 */
																	BgL_test2575z00_5613 = ((bool_t) 0);
																}
															if (BgL_test2575z00_5613)
																{	/* SawMill/bbv.scm 310 */
																	return BFALSE;
																}
															else
																{	/* SawMill/bbv.scm 310 */
																	if (
																		(bgl_list_length(
																				(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_byz00_95)))->
																					BgL_succsz00)) ==
																			bgl_list_length((((BgL_blockz00_bglt)
																						COBJECT(((BgL_blockz00_bglt)
																								BgL_bxz00_94)))->
																					BgL_succsz00))))
																		{	/* SawMill/bbv.scm 313 */
																			obj_t BgL_nsz00_2601;

																			{	/* SawMill/bbv.scm 313 */
																				obj_t BgL_arg2107z00_2614;

																				BgL_arg2107z00_2614 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_byz00_95),
																					BgL_stackz00_96);
																				BgL_nsz00_2601 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_bxz00_94), BgL_arg2107z00_2614);
																			}
																			{	/* SawMill/bbv.scm 314 */
																				obj_t BgL__ortest_1210z00_2602;

																				{	/* SawMill/bbv.scm 314 */
																					obj_t BgL_arg2102z00_2606;
																					obj_t BgL_arg2103z00_2607;

																					BgL_arg2102z00_2606 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_bxz00_94)))->
																						BgL_succsz00);
																					BgL_arg2103z00_2607 =
																						(((BgL_blockz00_bglt)
																							COBJECT(((BgL_blockz00_bglt)
																									BgL_byz00_95)))->
																						BgL_succsz00);
																					{	/* SawMill/bbv.scm 314 */
																						obj_t
																							BgL_zc3z04anonymousza32106ze3z87_4108;
																						BgL_zc3z04anonymousza32106ze3z87_4108
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_bbvz00,
																							(int) (((long) 2)),
																							(int) (((long) 1)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32106ze3z87_4108,
																							(int) (((long) 0)),
																							BgL_nsz00_2601);
																						{	/* SawMill/bbv.scm 314 */
																							obj_t BgL_list2104z00_2608;

																							{	/* SawMill/bbv.scm 314 */
																								obj_t BgL_arg2105z00_2609;

																								BgL_arg2105z00_2609 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2103z00_2607, BNIL);
																								BgL_list2104z00_2608 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2102z00_2606,
																									BgL_arg2105z00_2609);
																							}
																							BgL__ortest_1210z00_2602 =
																								BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_zc3z04anonymousza32106ze3z87_4108,
																								BgL_list2104z00_2608);
																				}}}
																				if (CBOOL(BgL__ortest_1210z00_2602))
																					{	/* SawMill/bbv.scm 314 */
																						return BgL__ortest_1210z00_2602;
																					}
																				else
																					{	/* SawMill/bbv.scm 314 */
																						{
																							obj_t BgL_auxz00_5655;
																							BgL_blocksz00_bglt
																								BgL_auxz00_5649;
																							{	/* SawMill/bbv.scm 316 */
																								obj_t BgL_arg2097z00_2603;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_5656;
																									{
																										obj_t BgL_auxz00_5657;

																										{	/* SawMill/bbv.scm 316 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5658;
																											BgL_tmpz00_5658 =
																												((BgL_objectz00_bglt)
																												BgL_bxz00_94);
																											BgL_auxz00_5657 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5658);
																										}
																										BgL_auxz00_5656 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_5657);
																									}
																									BgL_arg2097z00_2603 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_5656))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_5655 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_byz00_95),
																									BgL_arg2097z00_2603);
																							}
																							{
																								obj_t BgL_auxz00_5650;

																								{	/* SawMill/bbv.scm 316 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5651;
																									BgL_tmpz00_5651 =
																										((BgL_objectz00_bglt)
																										BgL_bxz00_94);
																									BgL_auxz00_5650 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_5651);
																								}
																								BgL_auxz00_5649 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_5650);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_5649))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_5655),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_5672;
																							BgL_blocksz00_bglt
																								BgL_auxz00_5666;
																							{	/* SawMill/bbv.scm 317 */
																								obj_t BgL_arg2100z00_2604;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_5673;
																									{
																										obj_t BgL_auxz00_5674;

																										{	/* SawMill/bbv.scm 317 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_5675;
																											BgL_tmpz00_5675 =
																												((BgL_objectz00_bglt)
																												BgL_byz00_95);
																											BgL_auxz00_5674 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_5675);
																										}
																										BgL_auxz00_5673 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_5674);
																									}
																									BgL_arg2100z00_2604 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_5673))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_5672 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_bxz00_94),
																									BgL_arg2100z00_2604);
																							}
																							{
																								obj_t BgL_auxz00_5667;

																								{	/* SawMill/bbv.scm 317 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_5668;
																									BgL_tmpz00_5668 =
																										((BgL_objectz00_bglt)
																										BgL_byz00_95);
																									BgL_auxz00_5667 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_5668);
																								}
																								BgL_auxz00_5666 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_5667);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_5666))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_5672),
																								BUNSPEC);
																						}
																						return BFALSE;
																					}
																			}
																		}
																	else
																		{	/* SawMill/bbv.scm 312 */
																			{
																				obj_t BgL_auxz00_5689;
																				BgL_blocksz00_bglt BgL_auxz00_5683;

																				{	/* SawMill/bbv.scm 321 */
																					obj_t BgL_arg2108z00_2615;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_5690;

																						{
																							obj_t BgL_auxz00_5691;

																							{	/* SawMill/bbv.scm 321 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_5692;
																								BgL_tmpz00_5692 =
																									((BgL_objectz00_bglt)
																									BgL_bxz00_94);
																								BgL_auxz00_5691 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_5692);
																							}
																							BgL_auxz00_5690 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_5691);
																						}
																						BgL_arg2108z00_2615 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_5690))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_5689 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_byz00_95),
																						BgL_arg2108z00_2615);
																				}
																				{
																					obj_t BgL_auxz00_5684;

																					{	/* SawMill/bbv.scm 321 */
																						BgL_objectz00_bglt BgL_tmpz00_5685;

																						BgL_tmpz00_5685 =
																							((BgL_objectz00_bglt)
																							BgL_bxz00_94);
																						BgL_auxz00_5684 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5685);
																					}
																					BgL_auxz00_5683 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_5684);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_5683))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_5689), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_5706;
																				BgL_blocksz00_bglt BgL_auxz00_5700;

																				{	/* SawMill/bbv.scm 322 */
																					obj_t BgL_arg2109z00_2616;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_5707;

																						{
																							obj_t BgL_auxz00_5708;

																							{	/* SawMill/bbv.scm 322 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_5709;
																								BgL_tmpz00_5709 =
																									((BgL_objectz00_bglt)
																									BgL_byz00_95);
																								BgL_auxz00_5708 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_5709);
																							}
																							BgL_auxz00_5707 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_5708);
																						}
																						BgL_arg2109z00_2616 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_5707))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_5706 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_bxz00_94),
																						BgL_arg2109z00_2616);
																				}
																				{
																					obj_t BgL_auxz00_5701;

																					{	/* SawMill/bbv.scm 322 */
																						BgL_objectz00_bglt BgL_tmpz00_5702;

																						BgL_tmpz00_5702 =
																							((BgL_objectz00_bglt)
																							BgL_byz00_95);
																						BgL_auxz00_5701 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_5702);
																					}
																					BgL_auxz00_5700 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_5701);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_5700))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_5706), BUNSPEC);
																			}
																			return BFALSE;
																		}
																}
														}
												}
										}
									else
										{	/* SawMill/bbv.scm 304 */
											return BFALSE;
										}
								}
							else
								{	/* SawMill/bbv.scm 302 */
									return BFALSE;
								}
						}
				}
		}

	}



/* &<@anonymous:2106> */
	obj_t BGl_z62zc3z04anonymousza32106ze3ze5zzsaw_bbvz00(obj_t BgL_envz00_4109,
		obj_t BgL_xz00_4111, obj_t BgL_yz00_4112)
	{
		{	/* SawMill/bbv.scm 314 */
			{	/* SawMill/bbv.scm 314 */
				obj_t BgL_nsz00_4110;

				BgL_nsz00_4110 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4109, (int) (((long) 0))));
				return
					BGl_mergezf3zf3zzsaw_bbvz00(
					((BgL_blockz00_bglt) BgL_xz00_4111),
					((BgL_blockz00_bglt) BgL_yz00_4112), BgL_nsz00_4110);
			}
		}

	}



/* get-specialize-block */
	BgL_blockz00_bglt
		BGl_getzd2specializa7ezd2blockza7zzsaw_bbvz00(BgL_blockz00_bglt BgL_bz00_97,
		obj_t BgL_ctxz00_98)
	{
		{	/* SawMill/bbv.scm 328 */
			{	/* SawMill/bbv.scm 341 */
				obj_t BgL_oldz00_2637;

				{	/* SawMill/bbv.scm 341 */
					obj_t BgL_arg2183z00_2719;

					{
						BgL_blockvz00_bglt BgL_auxz00_5723;

						{
							obj_t BgL_auxz00_5724;

							{	/* SawMill/bbv.scm 341 */
								BgL_objectz00_bglt BgL_tmpz00_5725;

								BgL_tmpz00_5725 = ((BgL_objectz00_bglt) BgL_bz00_97);
								BgL_auxz00_5724 = BGL_OBJECT_WIDENING(BgL_tmpz00_5725);
							}
							BgL_auxz00_5723 = ((BgL_blockvz00_bglt) BgL_auxz00_5724);
						}
						BgL_arg2183z00_2719 =
							(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5723))->
							BgL_versionsz00);
					}
					BgL_oldz00_2637 =
						BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_ctxz00_98,
						BgL_arg2183z00_2719);
				}
				if (PAIRP(BgL_oldz00_2637))
					{	/* SawMill/bbv.scm 342 */
						return ((BgL_blockz00_bglt) CDR(BgL_oldz00_2637));
					}
				else
					{	/* SawMill/bbv.scm 344 */
						BgL_blockz00_bglt BgL_sz00_2639;

						BgL_sz00_2639 =
							BGl_specializa7ezd2blockz12z67zzsaw_bbvz00(
							((BgL_blockz00_bglt) BgL_bz00_97), BgL_ctxz00_98);
						{
							obj_t BgL_auxz00_5743;
							BgL_blockvz00_bglt BgL_auxz00_5737;

							{	/* SawMill/bbv.scm 346 */
								obj_t BgL_arg2126z00_2640;
								obj_t BgL_arg2127z00_2641;

								BgL_arg2126z00_2640 =
									MAKE_YOUNG_PAIR(BgL_ctxz00_98, ((obj_t) BgL_sz00_2639));
								{
									BgL_blockvz00_bglt BgL_auxz00_5746;

									{
										obj_t BgL_auxz00_5747;

										{	/* SawMill/bbv.scm 346 */
											BgL_objectz00_bglt BgL_tmpz00_5748;

											BgL_tmpz00_5748 = ((BgL_objectz00_bglt) BgL_bz00_97);
											BgL_auxz00_5747 = BGL_OBJECT_WIDENING(BgL_tmpz00_5748);
										}
										BgL_auxz00_5746 = ((BgL_blockvz00_bglt) BgL_auxz00_5747);
									}
									BgL_arg2127z00_2641 =
										(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5746))->
										BgL_versionsz00);
								}
								BgL_auxz00_5743 =
									MAKE_YOUNG_PAIR(BgL_arg2126z00_2640, BgL_arg2127z00_2641);
							}
							{
								obj_t BgL_auxz00_5738;

								{	/* SawMill/bbv.scm 346 */
									BgL_objectz00_bglt BgL_tmpz00_5739;

									BgL_tmpz00_5739 = ((BgL_objectz00_bglt) BgL_bz00_97);
									BgL_auxz00_5738 = BGL_OBJECT_WIDENING(BgL_tmpz00_5739);
								}
								BgL_auxz00_5737 = ((BgL_blockvz00_bglt) BgL_auxz00_5738);
							}
							((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_5737))->
									BgL_versionsz00) = ((obj_t) BgL_auxz00_5743), BUNSPEC);
						}
						{	/* SawMill/bbv.scm 349 */
							obj_t BgL_lastz00_2645;

							BgL_lastz00_2645 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_sz00_2639)))->BgL_firstz00)));
							if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_lastz00_2645)))
								{	/* SawMill/bbv.scm 353 */
									BgL_rtl_goz00_bglt BgL_i1214z00_2648;

									BgL_i1214z00_2648 =
										((BgL_rtl_goz00_bglt)
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_lastz00_2645)))->
											BgL_funz00));
									{	/* SawMill/bbv.scm 354 */
										BgL_blockz00_bglt BgL_nz00_2649;

										{	/* SawMill/bbv.scm 354 */
											BgL_blockz00_bglt BgL_arg2134z00_2653;
											obj_t BgL_arg2136z00_2654;

											BgL_arg2134z00_2653 =
												(((BgL_rtl_goz00_bglt) COBJECT(BgL_i1214z00_2648))->
												BgL_toz00);
											{	/* SawMill/bbv.scm 355 */
												obj_t BgL_arg2137z00_2655;

												{
													BgL_blocksz00_bglt BgL_auxz00_5766;

													{
														obj_t BgL_auxz00_5767;

														{	/* SawMill/bbv.scm 355 */
															BgL_objectz00_bglt BgL_tmpz00_5768;

															BgL_tmpz00_5768 =
																((BgL_objectz00_bglt) BgL_sz00_2639);
															BgL_auxz00_5767 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5768);
														}
														BgL_auxz00_5766 =
															((BgL_blocksz00_bglt) BgL_auxz00_5767);
													}
													BgL_arg2137z00_2655 =
														(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5766))->
														BgL_octxsz00);
												}
												BgL_arg2136z00_2654 =
													CAR(((obj_t) BgL_arg2137z00_2655));
											}
											BgL_nz00_2649 =
												BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
												(BgL_sz00_2639, ((obj_t) BgL_arg2134z00_2653),
												BgL_arg2136z00_2654);
										}
										((((BgL_rtl_goz00_bglt) COBJECT(BgL_i1214z00_2648))->
												BgL_toz00) =
											((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_nz00_2649)),
											BUNSPEC);
										{
											obj_t BgL_auxz00_5785;
											BgL_blocksz00_bglt BgL_auxz00_5779;

											{	/* SawMill/bbv.scm 357 */
												obj_t BgL_arg2131z00_2650;

												{	/* SawMill/bbv.scm 357 */
													obj_t BgL_arg2133z00_2652;

													{
														BgL_blocksz00_bglt BgL_auxz00_5786;

														{
															obj_t BgL_auxz00_5787;

															{	/* SawMill/bbv.scm 357 */
																BgL_objectz00_bglt BgL_tmpz00_5788;

																BgL_tmpz00_5788 =
																	((BgL_objectz00_bglt) BgL_sz00_2639);
																BgL_auxz00_5787 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_5788);
															}
															BgL_auxz00_5786 =
																((BgL_blocksz00_bglt) BgL_auxz00_5787);
														}
														BgL_arg2133z00_2652 =
															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5786))->
															BgL_octxsz00);
													}
													BgL_arg2131z00_2650 =
														CAR(((obj_t) BgL_arg2133z00_2652));
												}
												{	/* SawMill/bbv.scm 357 */
													obj_t BgL_list2132z00_2651;

													BgL_list2132z00_2651 =
														MAKE_YOUNG_PAIR(BgL_arg2131z00_2650, BNIL);
													BgL_auxz00_5785 = BgL_list2132z00_2651;
												}
											}
											{
												obj_t BgL_auxz00_5780;

												{	/* SawMill/bbv.scm 357 */
													BgL_objectz00_bglt BgL_tmpz00_5781;

													BgL_tmpz00_5781 =
														((BgL_objectz00_bglt) BgL_sz00_2639);
													BgL_auxz00_5780 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5781);
												}
												BgL_auxz00_5779 =
													((BgL_blocksz00_bglt) BgL_auxz00_5780);
											}
											((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5779))->
													BgL_octxsz00) = ((obj_t) BgL_auxz00_5785), BUNSPEC);
										}
									}
								}
							else
								{	/* SawMill/bbv.scm 351 */
									if (BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
											((BgL_rtl_insz00_bglt) BgL_lastz00_2645)))
										{	/* SawMill/bbv.scm 358 */
											if (NULLP(CDR(
														(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_sz00_2639)))->
															BgL_firstz00))))
												{	/* SawMill/bbv.scm 359 */
													BFALSE;
												}
											else
												{
													obj_t BgL_auxz00_5805;

													{	/* SawMill/bbv.scm 360 */
														obj_t BgL_arg2142z00_2660;

														BgL_arg2142z00_2660 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_sz00_2639)))->
															BgL_firstz00);
														BgL_auxz00_5805 =
															bgl_remq_bang(BgL_lastz00_2645,
															BgL_arg2142z00_2660);
													}
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_sz00_2639)))->
															BgL_firstz00) =
														((obj_t) BgL_auxz00_5805), BUNSPEC);
												}
											{	/* SawMill/bbv.scm 361 */
												BgL_blockz00_bglt BgL_nz00_2663;

												{	/* SawMill/bbv.scm 362 */
													obj_t BgL_arg2149z00_2667;
													obj_t BgL_arg2150z00_2668;

													{	/* SawMill/bbv.scm 362 */
														obj_t BgL_pairz00_3813;

														BgL_pairz00_3813 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_97)))->
															BgL_succsz00);
														BgL_arg2149z00_2667 = CAR(BgL_pairz00_3813);
													}
													{	/* SawMill/bbv.scm 362 */
														obj_t BgL_arg2152z00_2670;

														{
															BgL_blocksz00_bglt BgL_auxz00_5814;

															{
																obj_t BgL_auxz00_5815;

																{	/* SawMill/bbv.scm 362 */
																	BgL_objectz00_bglt BgL_tmpz00_5816;

																	BgL_tmpz00_5816 =
																		((BgL_objectz00_bglt) BgL_sz00_2639);
																	BgL_auxz00_5815 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5816);
																}
																BgL_auxz00_5814 =
																	((BgL_blocksz00_bglt) BgL_auxz00_5815);
															}
															BgL_arg2152z00_2670 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_5814))->BgL_octxsz00);
														}
														BgL_arg2150z00_2668 =
															CAR(((obj_t) BgL_arg2152z00_2670));
													}
													BgL_nz00_2663 =
														BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
														(BgL_sz00_2639, BgL_arg2149z00_2667,
														BgL_arg2150z00_2668);
												}
												{
													obj_t BgL_auxz00_5830;
													BgL_blocksz00_bglt BgL_auxz00_5824;

													{	/* SawMill/bbv.scm 363 */
														obj_t BgL_arg2145z00_2664;

														{	/* SawMill/bbv.scm 363 */
															obj_t BgL_arg2148z00_2666;

															{
																BgL_blocksz00_bglt BgL_auxz00_5831;

																{
																	obj_t BgL_auxz00_5832;

																	{	/* SawMill/bbv.scm 363 */
																		BgL_objectz00_bglt BgL_tmpz00_5833;

																		BgL_tmpz00_5833 =
																			((BgL_objectz00_bglt) BgL_sz00_2639);
																		BgL_auxz00_5832 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5833);
																	}
																	BgL_auxz00_5831 =
																		((BgL_blocksz00_bglt) BgL_auxz00_5832);
																}
																BgL_arg2148z00_2666 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_5831))->BgL_octxsz00);
															}
															BgL_arg2145z00_2664 =
																CAR(((obj_t) BgL_arg2148z00_2666));
														}
														{	/* SawMill/bbv.scm 363 */
															obj_t BgL_list2146z00_2665;

															BgL_list2146z00_2665 =
																MAKE_YOUNG_PAIR(BgL_arg2145z00_2664, BNIL);
															BgL_auxz00_5830 = BgL_list2146z00_2665;
														}
													}
													{
														obj_t BgL_auxz00_5825;

														{	/* SawMill/bbv.scm 363 */
															BgL_objectz00_bglt BgL_tmpz00_5826;

															BgL_tmpz00_5826 =
																((BgL_objectz00_bglt) BgL_sz00_2639);
															BgL_auxz00_5825 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5826);
														}
														BgL_auxz00_5824 =
															((BgL_blocksz00_bglt) BgL_auxz00_5825);
													}
													((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_5824))->
															BgL_octxsz00) =
														((obj_t) BgL_auxz00_5830), BUNSPEC);
												}
											}
										}
									else
										{	/* SawMill/bbv.scm 358 */
											if (BGl_rtl_inszd2ifeqzf3z21zzsaw_bbvzd2typeszd2(
													((BgL_rtl_insz00_bglt) BgL_lastz00_2645)))
												{	/* SawMill/bbv.scm 365 */
													BgL_blockz00_bglt BgL_n2z00_2672;

													{	/* SawMill/bbv.scm 366 */
														obj_t BgL_arg2158z00_2680;
														obj_t BgL_arg2159z00_2681;

														{	/* SawMill/bbv.scm 366 */
															obj_t BgL_pairz00_3820;

															BgL_pairz00_3820 =
																(((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt) BgL_bz00_97)))->
																BgL_succsz00);
															BgL_arg2158z00_2680 = CAR(CDR(BgL_pairz00_3820));
														}
														{	/* SawMill/bbv.scm 366 */
															obj_t BgL_arg2161z00_2683;

															{
																BgL_blocksz00_bglt BgL_auxz00_5849;

																{
																	obj_t BgL_auxz00_5850;

																	{	/* SawMill/bbv.scm 366 */
																		BgL_objectz00_bglt BgL_tmpz00_5851;

																		BgL_tmpz00_5851 =
																			((BgL_objectz00_bglt) BgL_sz00_2639);
																		BgL_auxz00_5850 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_5851);
																	}
																	BgL_auxz00_5849 =
																		((BgL_blocksz00_bglt) BgL_auxz00_5850);
																}
																BgL_arg2161z00_2683 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_5849))->BgL_octxsz00);
															}
															{	/* SawMill/bbv.scm 366 */
																obj_t BgL_pairz00_3828;

																BgL_pairz00_3828 =
																	CDR(((obj_t) BgL_arg2161z00_2683));
																BgL_arg2159z00_2681 = CAR(BgL_pairz00_3828);
															}
														}
														BgL_n2z00_2672 =
															BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
															(BgL_sz00_2639, BgL_arg2158z00_2680,
															BgL_arg2159z00_2681);
													}
													{	/* SawMill/bbv.scm 365 */
														BgL_blockz00_bglt BgL_n1z00_2673;

														{	/* SawMill/bbv.scm 368 */
															obj_t BgL_arg2154z00_2676;
															obj_t BgL_arg2155z00_2677;

															{	/* SawMill/bbv.scm 368 */
																obj_t BgL_pairz00_3829;

																BgL_pairz00_3829 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_bz00_97)))->
																	BgL_succsz00);
																BgL_arg2154z00_2676 = CAR(BgL_pairz00_3829);
															}
															{	/* SawMill/bbv.scm 368 */
																obj_t BgL_arg2157z00_2679;

																{
																	BgL_blocksz00_bglt BgL_auxz00_5863;

																	{
																		obj_t BgL_auxz00_5864;

																		{	/* SawMill/bbv.scm 368 */
																			BgL_objectz00_bglt BgL_tmpz00_5865;

																			BgL_tmpz00_5865 =
																				((BgL_objectz00_bglt) BgL_sz00_2639);
																			BgL_auxz00_5864 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5865);
																		}
																		BgL_auxz00_5863 =
																			((BgL_blocksz00_bglt) BgL_auxz00_5864);
																	}
																	BgL_arg2157z00_2679 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_5863))->BgL_octxsz00);
																}
																BgL_arg2155z00_2677 =
																	CAR(((obj_t) BgL_arg2157z00_2679));
															}
															BgL_n1z00_2673 =
																BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
																(BgL_sz00_2639, BgL_arg2154z00_2676,
																BgL_arg2155z00_2677);
														}
														{	/* SawMill/bbv.scm 367 */

															{	/* SawMill/bbv.scm 370 */
																BgL_rtl_ifeqz00_bglt BgL_i1216z00_2675;

																BgL_i1216z00_2675 =
																	((BgL_rtl_ifeqz00_bglt)
																	(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					BgL_lastz00_2645)))->BgL_funz00));
																((((BgL_rtl_ifeqz00_bglt)
																			COBJECT(BgL_i1216z00_2675))->
																		BgL_thenz00) =
																	((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																			BgL_n2z00_2672)), BUNSPEC);
															}
														}
													}
												}
											else
												{	/* SawMill/bbv.scm 364 */
													if (BGl_rtl_inszd2ifnezf3z21zzsaw_bbvzd2typeszd2(
															((BgL_rtl_insz00_bglt) BgL_lastz00_2645)))
														{	/* SawMill/bbv.scm 373 */
															BgL_blockz00_bglt BgL_n2z00_2685;

															{	/* SawMill/bbv.scm 374 */
																obj_t BgL_arg2168z00_2693;
																obj_t BgL_arg2169z00_2694;

																{	/* SawMill/bbv.scm 374 */
																	obj_t BgL_pairz00_3832;

																	BgL_pairz00_3832 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_bz00_97)))->
																		BgL_succsz00);
																	BgL_arg2168z00_2693 =
																		CAR(CDR(BgL_pairz00_3832));
																}
																{	/* SawMill/bbv.scm 374 */
																	obj_t BgL_arg2171z00_2696;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_5885;

																		{
																			obj_t BgL_auxz00_5886;

																			{	/* SawMill/bbv.scm 374 */
																				BgL_objectz00_bglt BgL_tmpz00_5887;

																				BgL_tmpz00_5887 =
																					((BgL_objectz00_bglt) BgL_sz00_2639);
																				BgL_auxz00_5886 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5887);
																			}
																			BgL_auxz00_5885 =
																				((BgL_blocksz00_bglt) BgL_auxz00_5886);
																		}
																		BgL_arg2171z00_2696 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_5885))->
																			BgL_octxsz00);
																	}
																	{	/* SawMill/bbv.scm 374 */
																		obj_t BgL_pairz00_3840;

																		BgL_pairz00_3840 =
																			CDR(((obj_t) BgL_arg2171z00_2696));
																		BgL_arg2169z00_2694 = CAR(BgL_pairz00_3840);
																	}
																}
																BgL_n2z00_2685 =
																	BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
																	(BgL_sz00_2639, BgL_arg2168z00_2693,
																	BgL_arg2169z00_2694);
															}
															{	/* SawMill/bbv.scm 373 */
																BgL_blockz00_bglt BgL_n1z00_2686;

																{	/* SawMill/bbv.scm 376 */
																	obj_t BgL_arg2164z00_2689;
																	obj_t BgL_arg2165z00_2690;

																	{	/* SawMill/bbv.scm 376 */
																		obj_t BgL_pairz00_3841;

																		BgL_pairz00_3841 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt) BgL_bz00_97)))->
																			BgL_succsz00);
																		BgL_arg2164z00_2689 = CAR(BgL_pairz00_3841);
																	}
																	{	/* SawMill/bbv.scm 376 */
																		obj_t BgL_arg2167z00_2692;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_5899;

																			{
																				obj_t BgL_auxz00_5900;

																				{	/* SawMill/bbv.scm 376 */
																					BgL_objectz00_bglt BgL_tmpz00_5901;

																					BgL_tmpz00_5901 =
																						((BgL_objectz00_bglt)
																						BgL_sz00_2639);
																					BgL_auxz00_5900 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_5901);
																				}
																				BgL_auxz00_5899 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_5900);
																			}
																			BgL_arg2167z00_2692 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_5899))->
																				BgL_octxsz00);
																		}
																		BgL_arg2165z00_2690 =
																			CAR(((obj_t) BgL_arg2167z00_2692));
																	}
																	BgL_n1z00_2686 =
																		BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
																		(BgL_sz00_2639, BgL_arg2164z00_2689,
																		BgL_arg2165z00_2690);
																}
																{	/* SawMill/bbv.scm 375 */

																	{	/* SawMill/bbv.scm 378 */
																		BgL_rtl_ifnez00_bglt BgL_i1218z00_2688;

																		BgL_i1218z00_2688 =
																			((BgL_rtl_ifnez00_bglt)
																			(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_lastz00_2645)))->BgL_funz00));
																		((((BgL_rtl_ifnez00_bglt)
																					COBJECT(BgL_i1218z00_2688))->
																				BgL_thenz00) =
																			((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
																					BgL_n1z00_2686)), BUNSPEC);
																	}
																}
															}
														}
													else
														{
															obj_t BgL_auxz00_5914;

															{	/* SawMill/bbv.scm 382 */
																obj_t BgL_ll1600z00_2697;
																obj_t BgL_ll1601z00_2698;

																BgL_ll1600z00_2697 =
																	bgl_reverse(
																	(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_bz00_97)))->
																		BgL_succsz00));
																{	/* SawMill/bbv.scm 385 */
																	obj_t BgL_arg2179z00_2715;

																	{
																		BgL_blocksz00_bglt BgL_auxz00_5919;

																		{
																			obj_t BgL_auxz00_5920;

																			{	/* SawMill/bbv.scm 385 */
																				BgL_objectz00_bglt BgL_tmpz00_5921;

																				BgL_tmpz00_5921 =
																					((BgL_objectz00_bglt) BgL_sz00_2639);
																				BgL_auxz00_5920 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_5921);
																			}
																			BgL_auxz00_5919 =
																				((BgL_blocksz00_bglt) BgL_auxz00_5920);
																		}
																		BgL_arg2179z00_2715 =
																			(((BgL_blocksz00_bglt)
																				COBJECT(BgL_auxz00_5919))->
																			BgL_octxsz00);
																	}
																	BgL_ll1601z00_2698 =
																		bgl_reverse(BgL_arg2179z00_2715);
																}
																if (NULLP(BgL_ll1600z00_2697))
																	{	/* SawMill/bbv.scm 382 */
																		BgL_auxz00_5914 = BNIL;
																	}
																else
																	{	/* SawMill/bbv.scm 382 */
																		obj_t BgL_head1602z00_2700;

																		BgL_head1602z00_2700 =
																			MAKE_YOUNG_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_ll1600z00_2702;
																			obj_t BgL_ll1601z00_2703;
																			obj_t BgL_tail1603z00_2704;

																			BgL_ll1600z00_2702 = BgL_ll1600z00_2697;
																			BgL_ll1601z00_2703 = BgL_ll1601z00_2698;
																			BgL_tail1603z00_2704 =
																				BgL_head1602z00_2700;
																		BgL_zc3z04anonymousza32173ze3z87_2705:
																			if (NULLP(BgL_ll1600z00_2702))
																				{	/* SawMill/bbv.scm 382 */
																					BgL_auxz00_5914 =
																						CDR(BgL_head1602z00_2700);
																				}
																			else
																				{	/* SawMill/bbv.scm 382 */
																					obj_t BgL_newtail1604z00_2707;

																					{	/* SawMill/bbv.scm 382 */
																						BgL_blockz00_bglt
																							BgL_arg2177z00_2710;
																						{	/* SawMill/bbv.scm 382 */
																							obj_t BgL_uz00_2711;
																							obj_t BgL_cz00_2712;

																							BgL_uz00_2711 =
																								CAR(
																								((obj_t) BgL_ll1600z00_2702));
																							BgL_cz00_2712 =
																								CAR(
																								((obj_t) BgL_ll1601z00_2703));
																							BgL_arg2177z00_2710 =
																								BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00
																								(BgL_sz00_2639, BgL_uz00_2711,
																								BgL_cz00_2712);
																						}
																						BgL_newtail1604z00_2707 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg2177z00_2710),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1603z00_2704,
																						BgL_newtail1604z00_2707);
																					{	/* SawMill/bbv.scm 382 */
																						obj_t BgL_arg2175z00_2708;
																						obj_t BgL_arg2176z00_2709;

																						BgL_arg2175z00_2708 =
																							CDR(((obj_t) BgL_ll1600z00_2702));
																						BgL_arg2176z00_2709 =
																							CDR(((obj_t) BgL_ll1601z00_2703));
																						{
																							obj_t BgL_tail1603z00_5947;
																							obj_t BgL_ll1601z00_5946;
																							obj_t BgL_ll1600z00_5945;

																							BgL_ll1600z00_5945 =
																								BgL_arg2175z00_2708;
																							BgL_ll1601z00_5946 =
																								BgL_arg2176z00_2709;
																							BgL_tail1603z00_5947 =
																								BgL_newtail1604z00_2707;
																							BgL_tail1603z00_2704 =
																								BgL_tail1603z00_5947;
																							BgL_ll1601z00_2703 =
																								BgL_ll1601z00_5946;
																							BgL_ll1600z00_2702 =
																								BgL_ll1600z00_5945;
																							goto
																								BgL_zc3z04anonymousza32173ze3z87_2705;
																						}
																					}
																				}
																		}
																	}
															}
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_sz00_2639)))->
																	BgL_succsz00) =
																((obj_t) BgL_auxz00_5914), BUNSPEC);
														}
												}
										}
								}
						}
						return BgL_sz00_2639;
					}
			}
		}

	}



/* get-specialize-succ!~0 */
	BgL_blockz00_bglt
		BGl_getzd2specializa7ezd2succz12ze70z52zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_2720, obj_t BgL_sz00_2721, obj_t BgL_ctxz00_2722)
	{
		{	/* SawMill/bbv.scm 334 */
			{	/* SawMill/bbv.scm 331 */
				BgL_blockz00_bglt BgL_nz00_2724;

				BgL_nz00_2724 =
					BGl_getzd2specializa7ezd2blockza7zzsaw_bbvz00(
					((BgL_blockz00_bglt) BgL_sz00_2721), BgL_ctxz00_2722);
				{	/* SawMill/bbv.scm 332 */
					obj_t BgL_arg2185z00_2725;

					{	/* SawMill/bbv.scm 332 */
						obj_t BgL_arg2186z00_2726;

						BgL_arg2186z00_2726 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_2720)))->BgL_succsz00);
						BgL_arg2185z00_2725 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_nz00_2724), BgL_arg2186z00_2726);
					}
					{	/* SawMill/bbv.scm 332 */
						obj_t BgL_vz00_3797;

						BgL_vz00_3797 = BgL_arg2185z00_2725;
						((((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_bz00_2720)))->BgL_succsz00) =
							((obj_t) BgL_vz00_3797), BUNSPEC);
					}
				}
				{	/* SawMill/bbv.scm 333 */
					obj_t BgL_arg2187z00_2727;

					{	/* SawMill/bbv.scm 333 */
						obj_t BgL_arg2188z00_2728;

						BgL_arg2188z00_2728 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_nz00_2724)))->BgL_predsz00);
						BgL_arg2187z00_2727 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_2720), BgL_arg2188z00_2728);
					}
					{	/* SawMill/bbv.scm 333 */
						obj_t BgL_vz00_3800;

						BgL_vz00_3800 = BgL_arg2187z00_2727;
						((((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_nz00_2724)))->BgL_predsz00) =
							((obj_t) BgL_vz00_3800), BUNSPEC);
					}
				}
				return BgL_nz00_2724;
			}
		}

	}



/* specialize-block! */
	BgL_blockz00_bglt BGl_specializa7ezd2blockz12z67zzsaw_bbvz00(BgL_blockz00_bglt
		BgL_bz00_99, obj_t BgL_ctx0z00_100)
	{
		{	/* SawMill/bbv.scm 391 */
			{
				obj_t BgL_oisz00_2736;
				obj_t BgL_sisz00_2737;
				obj_t BgL_ctxz00_2738;

				BgL_oisz00_2736 =
					(((BgL_blockz00_bglt) COBJECT(BgL_bz00_99))->BgL_firstz00);
				BgL_sisz00_2737 = BNIL;
				BgL_ctxz00_2738 = BgL_ctx0z00_100;
			BgL_zc3z04anonymousza32190ze3z87_2739:
				if (NULLP(CDR(((obj_t) BgL_oisz00_2736))))
					{	/* SawMill/bbv.scm 421 */
						obj_t BgL_sinz00_2742;

						{	/* SawMill/bbv.scm 422 */
							obj_t BgL_arg2219z00_2799;

							BgL_arg2219z00_2799 = CAR(((obj_t) BgL_oisz00_2736));
							BgL_sinz00_2742 =
								BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75(
								((BgL_rtl_insz00_bglt) BgL_arg2219z00_2799), BgL_ctxz00_2738);
						}
						{	/* SawMill/bbv.scm 422 */
							obj_t BgL_sctxz00_2743;

							{	/* SawMill/bbv.scm 424 */
								obj_t BgL_tmpz00_3853;

								{	/* SawMill/bbv.scm 424 */
									int BgL_tmpz00_5971;

									BgL_tmpz00_5971 = (int) (((long) 1));
									BgL_tmpz00_3853 = BGL_MVALUES_VAL(BgL_tmpz00_5971);
								}
								{	/* SawMill/bbv.scm 424 */
									int BgL_tmpz00_5974;

									BgL_tmpz00_5974 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_5974, BUNSPEC);
								}
								BgL_sctxz00_2743 = BgL_tmpz00_3853;
							}
							if (BGl_rtl_inszd2lastzf3z21zzsaw_bbvzd2typeszd2(
									((BgL_rtl_insz00_bglt) BgL_sinz00_2742)))
								{	/* SawMill/bbv.scm 425 */
									BgL_blockz00_bglt BgL_new1253z00_2745;

									{	/* SawMill/bbv.scm 427 */
										BgL_blockz00_bglt BgL_tmp1251z00_2747;
										BgL_blocksz00_bglt BgL_wide1252z00_2748;

										{
											BgL_blockz00_bglt BgL_auxz00_5980;

											{	/* SawMill/bbv.scm 427 */
												BgL_blockz00_bglt BgL_new1250z00_2750;

												BgL_new1250z00_2750 =
													((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_blockz00_bgl))));
												{	/* SawMill/bbv.scm 427 */
													long BgL_arg2196z00_2751;

													BgL_arg2196z00_2751 =
														BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1250z00_2750),
														BgL_arg2196z00_2751);
												}
												{	/* SawMill/bbv.scm 427 */
													BgL_objectz00_bglt BgL_tmpz00_5985;

													BgL_tmpz00_5985 =
														((BgL_objectz00_bglt) BgL_new1250z00_2750);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5985, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1250z00_2750);
												BgL_auxz00_5980 = BgL_new1250z00_2750;
											}
											BgL_tmp1251z00_2747 =
												((BgL_blockz00_bglt) BgL_auxz00_5980);
										}
										BgL_wide1252z00_2748 =
											((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_blocksz00_bgl))));
										{	/* SawMill/bbv.scm 427 */
											obj_t BgL_auxz00_5993;
											BgL_objectz00_bglt BgL_tmpz00_5991;

											BgL_auxz00_5993 = ((obj_t) BgL_wide1252z00_2748);
											BgL_tmpz00_5991 =
												((BgL_objectz00_bglt) BgL_tmp1251z00_2747);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5991, BgL_auxz00_5993);
										}
										((BgL_objectz00_bglt) BgL_tmp1251z00_2747);
										{	/* SawMill/bbv.scm 427 */
											long BgL_arg2195z00_2749;

											BgL_arg2195z00_2749 =
												BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_tmp1251z00_2747),
												BgL_arg2195z00_2749);
										}
										BgL_new1253z00_2745 =
											((BgL_blockz00_bglt) BgL_tmp1251z00_2747);
									}
									((((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_new1253z00_2745)))->
											BgL_labelz00) =
										((int) CINT(BGl_genlabelz00zzsaw_bbvzd2utilszd2())),
										BUNSPEC);
									((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
														BgL_new1253z00_2745)))->BgL_predsz00) =
										((obj_t) BNIL), BUNSPEC);
									((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
														BgL_new1253z00_2745)))->BgL_succsz00) =
										((obj_t) BNIL), BUNSPEC);
									{
										obj_t BgL_auxz00_6009;

										{	/* SawMill/bbv.scm 428 */
											obj_t BgL_arg2194z00_2746;

											BgL_arg2194z00_2746 =
												MAKE_YOUNG_PAIR(BgL_sinz00_2742, BgL_sisz00_2737);
											BgL_auxz00_6009 = bgl_reverse_bang(BgL_arg2194z00_2746);
										}
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_new1253z00_2745)))->
												BgL_firstz00) = ((obj_t) BgL_auxz00_6009), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6014;

										{
											obj_t BgL_auxz00_6015;

											{	/* SawMill/bbv.scm 429 */
												BgL_objectz00_bglt BgL_tmpz00_6016;

												BgL_tmpz00_6016 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6015 = BGL_OBJECT_WIDENING(BgL_tmpz00_6016);
											}
											BgL_auxz00_6014 = ((BgL_blocksz00_bglt) BgL_auxz00_6015);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6014))->
												BgL_ictxz00) = ((obj_t) BgL_ctx0z00_100), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6021;

										{
											obj_t BgL_auxz00_6022;

											{	/* SawMill/bbv-types.scm 40 */
												BgL_objectz00_bglt BgL_tmpz00_6023;

												BgL_tmpz00_6023 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6022 = BGL_OBJECT_WIDENING(BgL_tmpz00_6023);
											}
											BgL_auxz00_6021 = ((BgL_blocksz00_bglt) BgL_auxz00_6022);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6021))->
												BgL_octxsz00) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6028;

										{
											obj_t BgL_auxz00_6029;

											{	/* SawMill/bbv-types.scm 40 */
												BgL_objectz00_bglt BgL_tmpz00_6030;

												BgL_tmpz00_6030 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6029 = BGL_OBJECT_WIDENING(BgL_tmpz00_6030);
											}
											BgL_auxz00_6028 = ((BgL_blocksz00_bglt) BgL_auxz00_6029);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6028))->
												BgL_z52markz52) = ((long) ((long) -1)), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6035;

										{
											obj_t BgL_auxz00_6036;

											{	/* SawMill/bbv.scm 426 */
												BgL_objectz00_bglt BgL_tmpz00_6037;

												BgL_tmpz00_6037 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6036 = BGL_OBJECT_WIDENING(BgL_tmpz00_6037);
											}
											BgL_auxz00_6035 = ((BgL_blocksz00_bglt) BgL_auxz00_6036);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6035))->
												BgL_z52parentz52) =
											((obj_t) ((obj_t) BgL_bz00_99)), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6043;

										{
											obj_t BgL_auxz00_6044;

											{	/* SawMill/bbv.scm 426 */
												BgL_objectz00_bglt BgL_tmpz00_6045;

												BgL_tmpz00_6045 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6044 = BGL_OBJECT_WIDENING(BgL_tmpz00_6045);
											}
											BgL_auxz00_6043 = ((BgL_blocksz00_bglt) BgL_auxz00_6044);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6043))->
												BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
									}
									{
										BgL_blocksz00_bglt BgL_auxz00_6050;

										{
											obj_t BgL_auxz00_6051;

											{	/* SawMill/bbv-types.scm 44 */
												BgL_objectz00_bglt BgL_tmpz00_6052;

												BgL_tmpz00_6052 =
													((BgL_objectz00_bglt) BgL_new1253z00_2745);
												BgL_auxz00_6051 = BGL_OBJECT_WIDENING(BgL_tmpz00_6052);
											}
											BgL_auxz00_6050 = ((BgL_blocksz00_bglt) BgL_auxz00_6051);
										}
										((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6050))->
												BgL_z52blacklistz52) = ((obj_t) BNIL), BUNSPEC);
									}
									return BgL_new1253z00_2745;
								}
							else
								{	/* SawMill/bbv.scm 424 */
									if (BGl_rtl_inszd2typecheckzf3z21zzsaw_bbvzd2specializa7ez75(
											((BgL_rtl_insz00_bglt) BgL_sinz00_2742)))
										{	/* SawMill/bbv.scm 431 */
											obj_t BgL_regz00_2753;

											BgL_regz00_2753 =
												BGl_rtl_inszd2typecheckzd2zzsaw_bbvzd2typeszd2(
												((BgL_rtl_insz00_bglt) BgL_sinz00_2742));
											{	/* SawMill/bbv.scm 432 */
												obj_t BgL_typez00_2754;
												obj_t BgL_flagz00_2755;

												{	/* SawMill/bbv.scm 436 */
													obj_t BgL_tmpz00_3868;

													{	/* SawMill/bbv.scm 436 */
														int BgL_tmpz00_6062;

														BgL_tmpz00_6062 = (int) (((long) 1));
														BgL_tmpz00_3868 = BGL_MVALUES_VAL(BgL_tmpz00_6062);
													}
													{	/* SawMill/bbv.scm 436 */
														int BgL_tmpz00_6065;

														BgL_tmpz00_6065 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_6065, BUNSPEC);
													}
													BgL_typez00_2754 = BgL_tmpz00_3868;
												}
												{	/* SawMill/bbv.scm 436 */
													obj_t BgL_tmpz00_3869;

													{	/* SawMill/bbv.scm 436 */
														int BgL_tmpz00_6068;

														BgL_tmpz00_6068 = (int) (((long) 2));
														BgL_tmpz00_3869 = BGL_MVALUES_VAL(BgL_tmpz00_6068);
													}
													{	/* SawMill/bbv.scm 436 */
														int BgL_tmpz00_6071;

														BgL_tmpz00_6071 = (int) (((long) 2));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_6071, BUNSPEC);
													}
													BgL_flagz00_2755 = BgL_tmpz00_3869;
												}
												{	/* SawMill/bbv.scm 436 */
													BgL_blockz00_bglt BgL_new1257z00_2756;

													{	/* SawMill/bbv.scm 438 */
														BgL_blockz00_bglt BgL_tmp1255z00_2774;
														BgL_blocksz00_bglt BgL_wide1256z00_2775;

														{
															BgL_blockz00_bglt BgL_auxz00_6074;

															{	/* SawMill/bbv.scm 438 */
																BgL_blockz00_bglt BgL_new1254z00_2777;

																BgL_new1254z00_2777 =
																	((BgL_blockz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_blockz00_bgl))));
																{	/* SawMill/bbv.scm 438 */
																	long BgL_arg2210z00_2778;

																	BgL_arg2210z00_2778 =
																		BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1254z00_2777),
																		BgL_arg2210z00_2778);
																}
																{	/* SawMill/bbv.scm 438 */
																	BgL_objectz00_bglt BgL_tmpz00_6079;

																	BgL_tmpz00_6079 =
																		((BgL_objectz00_bglt) BgL_new1254z00_2777);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6079,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1254z00_2777);
																BgL_auxz00_6074 = BgL_new1254z00_2777;
															}
															BgL_tmp1255z00_2774 =
																((BgL_blockz00_bglt) BgL_auxz00_6074);
														}
														BgL_wide1256z00_2775 =
															((BgL_blocksz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_blocksz00_bgl))));
														{	/* SawMill/bbv.scm 438 */
															obj_t BgL_auxz00_6087;
															BgL_objectz00_bglt BgL_tmpz00_6085;

															BgL_auxz00_6087 = ((obj_t) BgL_wide1256z00_2775);
															BgL_tmpz00_6085 =
																((BgL_objectz00_bglt) BgL_tmp1255z00_2774);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6085,
																BgL_auxz00_6087);
														}
														((BgL_objectz00_bglt) BgL_tmp1255z00_2774);
														{	/* SawMill/bbv.scm 438 */
															long BgL_arg2209z00_2776;

															BgL_arg2209z00_2776 =
																BGL_CLASS_NUM
																(BGl_blockSz00zzsaw_bbvzd2typeszd2);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_tmp1255z00_2774), BgL_arg2209z00_2776);
														}
														BgL_new1257z00_2756 =
															((BgL_blockz00_bglt) BgL_tmp1255z00_2774);
													}
													((((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_new1257z00_2756)))->
															BgL_labelz00) =
														((int) CINT(BGl_genlabelz00zzsaw_bbvzd2utilszd2())),
														BUNSPEC);
													((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																		BgL_new1257z00_2756)))->BgL_predsz00) =
														((obj_t) BNIL), BUNSPEC);
													((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																		BgL_new1257z00_2756)))->BgL_succsz00) =
														((obj_t) BNIL), BUNSPEC);
													{
														obj_t BgL_auxz00_6103;

														{	/* SawMill/bbv.scm 439 */
															obj_t BgL_arg2198z00_2757;

															BgL_arg2198z00_2757 =
																MAKE_YOUNG_PAIR(BgL_sinz00_2742,
																BgL_sisz00_2737);
															BgL_auxz00_6103 =
																bgl_reverse_bang(BgL_arg2198z00_2757);
														}
														((((BgL_blockz00_bglt) COBJECT(
																		((BgL_blockz00_bglt)
																			BgL_new1257z00_2756)))->BgL_firstz00) =
															((obj_t) BgL_auxz00_6103), BUNSPEC);
													}
													{
														BgL_blocksz00_bglt BgL_auxz00_6108;

														{
															obj_t BgL_auxz00_6109;

															{	/* SawMill/bbv.scm 440 */
																BgL_objectz00_bglt BgL_tmpz00_6110;

																BgL_tmpz00_6110 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6109 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6110);
															}
															BgL_auxz00_6108 =
																((BgL_blocksz00_bglt) BgL_auxz00_6109);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6108))->
																BgL_ictxz00) =
															((obj_t) BgL_ctx0z00_100), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_6121;
														BgL_blocksz00_bglt BgL_auxz00_6115;

														{	/* SawMill/bbv.scm 443 */
															obj_t BgL_arg2199z00_2758;
															obj_t BgL_arg2200z00_2759;

															{	/* SawMill/bbv.scm 443 */
																obj_t BgL_arg2203z00_2762;

																{	/* SawMill/bbv-types.scm 73 */
																	obj_t BgL_valuez00_2767;

																	BgL_valuez00_2767 =
																		CNST_TABLE_REF(((long) 1));
																	{	/* SawMill/bbv-types.scm 73 */

																		BgL_arg2203z00_2762 =
																			BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2
																			(BgL_sctxz00_2743, BgL_regz00_2753,
																			BgL_typez00_2754, BTRUE,
																			BgL_valuez00_2767);
																}}
																BgL_arg2199z00_2758 =
																	BGl_filterzd2livezd2regsz00zzsaw_bbvz00(
																	((BgL_rtl_insz00_bglt) BgL_sinz00_2742),
																	BgL_arg2203z00_2762);
															}
															{	/* SawMill/bbv.scm 445 */
																obj_t BgL_arg2208z00_2768;

																{	/* SawMill/bbv-types.scm 73 */
																	obj_t BgL_valuez00_2773;

																	BgL_valuez00_2773 =
																		CNST_TABLE_REF(((long) 1));
																	{	/* SawMill/bbv-types.scm 73 */

																		BgL_arg2208z00_2768 =
																			BGl_refinezd2ctxzd2zzsaw_bbvzd2typeszd2
																			(BgL_sctxz00_2743, BgL_regz00_2753,
																			BgL_typez00_2754, BFALSE,
																			BgL_valuez00_2773);
																}}
																BgL_arg2200z00_2759 =
																	BGl_filterzd2livezd2regsz00zzsaw_bbvz00(
																	((BgL_rtl_insz00_bglt) BgL_sinz00_2742),
																	BgL_arg2208z00_2768);
															}
															{	/* SawMill/bbv.scm 441 */
																obj_t BgL_list2201z00_2760;

																{	/* SawMill/bbv.scm 441 */
																	obj_t BgL_arg2202z00_2761;

																	BgL_arg2202z00_2761 =
																		MAKE_YOUNG_PAIR(BgL_arg2200z00_2759, BNIL);
																	BgL_list2201z00_2760 =
																		MAKE_YOUNG_PAIR(BgL_arg2199z00_2758,
																		BgL_arg2202z00_2761);
																}
																BgL_auxz00_6121 = BgL_list2201z00_2760;
														}}
														{
															obj_t BgL_auxz00_6116;

															{	/* SawMill/bbv.scm 441 */
																BgL_objectz00_bglt BgL_tmpz00_6117;

																BgL_tmpz00_6117 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6116 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6117);
															}
															BgL_auxz00_6115 =
																((BgL_blocksz00_bglt) BgL_auxz00_6116);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6115))->
																BgL_octxsz00) =
															((obj_t) BgL_auxz00_6121), BUNSPEC);
													}
													{
														BgL_blocksz00_bglt BgL_auxz00_6133;

														{
															obj_t BgL_auxz00_6134;

															{	/* SawMill/bbv.scm 441 */
																BgL_objectz00_bglt BgL_tmpz00_6135;

																BgL_tmpz00_6135 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6134 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6135);
															}
															BgL_auxz00_6133 =
																((BgL_blocksz00_bglt) BgL_auxz00_6134);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6133))->
																BgL_z52markz52) =
															((long) ((long) -1)), BUNSPEC);
													}
													{
														BgL_blocksz00_bglt BgL_auxz00_6140;

														{
															obj_t BgL_auxz00_6141;

															{	/* SawMill/bbv.scm 437 */
																BgL_objectz00_bglt BgL_tmpz00_6142;

																BgL_tmpz00_6142 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6141 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6142);
															}
															BgL_auxz00_6140 =
																((BgL_blocksz00_bglt) BgL_auxz00_6141);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6140))->
																BgL_z52parentz52) =
															((obj_t) ((obj_t) BgL_bz00_99)), BUNSPEC);
													}
													{
														BgL_blocksz00_bglt BgL_auxz00_6148;

														{
															obj_t BgL_auxz00_6149;

															{	/* SawMill/bbv.scm 437 */
																BgL_objectz00_bglt BgL_tmpz00_6150;

																BgL_tmpz00_6150 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6149 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6150);
															}
															BgL_auxz00_6148 =
																((BgL_blocksz00_bglt) BgL_auxz00_6149);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6148))->
																BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
													}
													{
														BgL_blocksz00_bglt BgL_auxz00_6155;

														{
															obj_t BgL_auxz00_6156;

															{	/* SawMill/bbv-types.scm 44 */
																BgL_objectz00_bglt BgL_tmpz00_6157;

																BgL_tmpz00_6157 =
																	((BgL_objectz00_bglt) BgL_new1257z00_2756);
																BgL_auxz00_6156 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6157);
															}
															BgL_auxz00_6155 =
																((BgL_blocksz00_bglt) BgL_auxz00_6156);
														}
														((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6155))->
																BgL_z52blacklistz52) = ((obj_t) BNIL), BUNSPEC);
													}
													return BgL_new1257z00_2756;
												}
											}
										}
									else
										{	/* SawMill/bbv.scm 447 */
											BgL_blockz00_bglt BgL_new1261z00_2779;

											{	/* SawMill/bbv.scm 449 */
												BgL_blockz00_bglt BgL_tmp1259z00_2794;
												BgL_blocksz00_bglt BgL_wide1260z00_2795;

												{
													BgL_blockz00_bglt BgL_auxz00_6162;

													{	/* SawMill/bbv.scm 449 */
														BgL_blockz00_bglt BgL_new1258z00_2797;

														BgL_new1258z00_2797 =
															((BgL_blockz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_blockz00_bgl))));
														{	/* SawMill/bbv.scm 449 */
															long BgL_arg2218z00_2798;

															BgL_arg2218z00_2798 =
																BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1258z00_2797),
																BgL_arg2218z00_2798);
														}
														{	/* SawMill/bbv.scm 449 */
															BgL_objectz00_bglt BgL_tmpz00_6167;

															BgL_tmpz00_6167 =
																((BgL_objectz00_bglt) BgL_new1258z00_2797);
															BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6167, BFALSE);
														}
														((BgL_objectz00_bglt) BgL_new1258z00_2797);
														BgL_auxz00_6162 = BgL_new1258z00_2797;
													}
													BgL_tmp1259z00_2794 =
														((BgL_blockz00_bglt) BgL_auxz00_6162);
												}
												BgL_wide1260z00_2795 =
													((BgL_blocksz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_blocksz00_bgl))));
												{	/* SawMill/bbv.scm 449 */
													obj_t BgL_auxz00_6175;
													BgL_objectz00_bglt BgL_tmpz00_6173;

													BgL_auxz00_6175 = ((obj_t) BgL_wide1260z00_2795);
													BgL_tmpz00_6173 =
														((BgL_objectz00_bglt) BgL_tmp1259z00_2794);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6173,
														BgL_auxz00_6175);
												}
												((BgL_objectz00_bglt) BgL_tmp1259z00_2794);
												{	/* SawMill/bbv.scm 449 */
													long BgL_arg2217z00_2796;

													BgL_arg2217z00_2796 =
														BGL_CLASS_NUM(BGl_blockSz00zzsaw_bbvzd2typeszd2);
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_tmp1259z00_2794),
														BgL_arg2217z00_2796);
												}
												BgL_new1261z00_2779 =
													((BgL_blockz00_bglt) BgL_tmp1259z00_2794);
											}
											((((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_new1261z00_2779)))->
													BgL_labelz00) =
												((int) CINT(BGl_genlabelz00zzsaw_bbvzd2utilszd2())),
												BUNSPEC);
											((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																BgL_new1261z00_2779)))->BgL_predsz00) =
												((obj_t) BNIL), BUNSPEC);
											((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																BgL_new1261z00_2779)))->BgL_succsz00) =
												((obj_t) BNIL), BUNSPEC);
											{
												obj_t BgL_auxz00_6191;

												{	/* SawMill/bbv.scm 450 */
													obj_t BgL_arg2211z00_2780;

													BgL_arg2211z00_2780 =
														MAKE_YOUNG_PAIR(BgL_sinz00_2742, BgL_sisz00_2737);
													BgL_auxz00_6191 =
														bgl_reverse_bang(BgL_arg2211z00_2780);
												}
												((((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_new1261z00_2779)))->
														BgL_firstz00) = ((obj_t) BgL_auxz00_6191), BUNSPEC);
											}
											{
												BgL_blocksz00_bglt BgL_auxz00_6196;

												{
													obj_t BgL_auxz00_6197;

													{	/* SawMill/bbv.scm 451 */
														BgL_objectz00_bglt BgL_tmpz00_6198;

														BgL_tmpz00_6198 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6197 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6198);
													}
													BgL_auxz00_6196 =
														((BgL_blocksz00_bglt) BgL_auxz00_6197);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6196))->
														BgL_ictxz00) = ((obj_t) BgL_ctx0z00_100), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_6209;
												BgL_blocksz00_bglt BgL_auxz00_6203;

												{	/* SawMill/bbv.scm 452 */
													obj_t BgL_l1606z00_2781;

													BgL_l1606z00_2781 =
														(((BgL_blockz00_bglt) COBJECT(BgL_bz00_99))->
														BgL_succsz00);
													if (NULLP(BgL_l1606z00_2781))
														{	/* SawMill/bbv.scm 452 */
															BgL_auxz00_6209 = BNIL;
														}
													else
														{	/* SawMill/bbv.scm 452 */
															obj_t BgL_head1608z00_2783;

															BgL_head1608z00_2783 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1606z00_2785;
																obj_t BgL_tail1609z00_2786;

																BgL_l1606z00_2785 = BgL_l1606z00_2781;
																BgL_tail1609z00_2786 = BgL_head1608z00_2783;
															BgL_zc3z04anonymousza32213ze3z87_2787:
																if (NULLP(BgL_l1606z00_2785))
																	{	/* SawMill/bbv.scm 452 */
																		BgL_auxz00_6209 = CDR(BgL_head1608z00_2783);
																	}
																else
																	{	/* SawMill/bbv.scm 452 */
																		obj_t BgL_newtail1610z00_2789;

																		{	/* SawMill/bbv.scm 452 */
																			obj_t BgL_arg2216z00_2791;

																			BgL_arg2216z00_2791 =
																				BGl_filterzd2livezd2regsz00zzsaw_bbvz00(
																				((BgL_rtl_insz00_bglt) BgL_sinz00_2742),
																				BgL_sctxz00_2743);
																			BgL_newtail1610z00_2789 =
																				MAKE_YOUNG_PAIR(BgL_arg2216z00_2791,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1609z00_2786,
																			BgL_newtail1610z00_2789);
																		{	/* SawMill/bbv.scm 452 */
																			obj_t BgL_arg2215z00_2790;

																			BgL_arg2215z00_2790 =
																				CDR(((obj_t) BgL_l1606z00_2785));
																			{
																				obj_t BgL_tail1609z00_6224;
																				obj_t BgL_l1606z00_6223;

																				BgL_l1606z00_6223 = BgL_arg2215z00_2790;
																				BgL_tail1609z00_6224 =
																					BgL_newtail1610z00_2789;
																				BgL_tail1609z00_2786 =
																					BgL_tail1609z00_6224;
																				BgL_l1606z00_2785 = BgL_l1606z00_6223;
																				goto
																					BgL_zc3z04anonymousza32213ze3z87_2787;
																			}
																		}
																	}
															}
														}
												}
												{
													obj_t BgL_auxz00_6204;

													{	/* SawMill/bbv.scm 452 */
														BgL_objectz00_bglt BgL_tmpz00_6205;

														BgL_tmpz00_6205 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6204 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6205);
													}
													BgL_auxz00_6203 =
														((BgL_blocksz00_bglt) BgL_auxz00_6204);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6203))->
														BgL_octxsz00) = ((obj_t) BgL_auxz00_6209), BUNSPEC);
											}
											{
												BgL_blocksz00_bglt BgL_auxz00_6226;

												{
													obj_t BgL_auxz00_6227;

													{	/* SawMill/bbv.scm 452 */
														BgL_objectz00_bglt BgL_tmpz00_6228;

														BgL_tmpz00_6228 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6227 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6228);
													}
													BgL_auxz00_6226 =
														((BgL_blocksz00_bglt) BgL_auxz00_6227);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6226))->
														BgL_z52markz52) = ((long) ((long) -1)), BUNSPEC);
											}
											{
												BgL_blocksz00_bglt BgL_auxz00_6233;

												{
													obj_t BgL_auxz00_6234;

													{	/* SawMill/bbv.scm 448 */
														BgL_objectz00_bglt BgL_tmpz00_6235;

														BgL_tmpz00_6235 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6234 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6235);
													}
													BgL_auxz00_6233 =
														((BgL_blocksz00_bglt) BgL_auxz00_6234);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6233))->
														BgL_z52parentz52) =
													((obj_t) ((obj_t) BgL_bz00_99)), BUNSPEC);
											}
											{
												BgL_blocksz00_bglt BgL_auxz00_6241;

												{
													obj_t BgL_auxz00_6242;

													{	/* SawMill/bbv.scm 448 */
														BgL_objectz00_bglt BgL_tmpz00_6243;

														BgL_tmpz00_6243 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6242 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6243);
													}
													BgL_auxz00_6241 =
														((BgL_blocksz00_bglt) BgL_auxz00_6242);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6241))->
														BgL_z52hashz52) = ((obj_t) BFALSE), BUNSPEC);
											}
											{
												BgL_blocksz00_bglt BgL_auxz00_6248;

												{
													obj_t BgL_auxz00_6249;

													{	/* SawMill/bbv-types.scm 44 */
														BgL_objectz00_bglt BgL_tmpz00_6250;

														BgL_tmpz00_6250 =
															((BgL_objectz00_bglt) BgL_new1261z00_2779);
														BgL_auxz00_6249 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6250);
													}
													BgL_auxz00_6248 =
														((BgL_blocksz00_bglt) BgL_auxz00_6249);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_6248))->
														BgL_z52blacklistz52) = ((obj_t) BNIL), BUNSPEC);
											}
											return BgL_new1261z00_2779;
										}
								}
						}
					}
				else
					{	/* SawMill/bbv.scm 498 */
						obj_t BgL_sinz00_2801;

						{	/* SawMill/bbv.scm 499 */
							obj_t BgL_arg2222z00_2805;

							BgL_arg2222z00_2805 = CAR(((obj_t) BgL_oisz00_2736));
							BgL_sinz00_2801 =
								BGl_rtl_inszd2specializa7ez75zzsaw_bbvzd2specializa7ez75(
								((BgL_rtl_insz00_bglt) BgL_arg2222z00_2805), BgL_ctxz00_2738);
						}
						{	/* SawMill/bbv.scm 499 */
							obj_t BgL_sctxz00_2802;

							{	/* SawMill/bbv.scm 500 */
								obj_t BgL_tmpz00_3905;

								{	/* SawMill/bbv.scm 500 */
									int BgL_tmpz00_6259;

									BgL_tmpz00_6259 = (int) (((long) 1));
									BgL_tmpz00_3905 = BGL_MVALUES_VAL(BgL_tmpz00_6259);
								}
								{	/* SawMill/bbv.scm 500 */
									int BgL_tmpz00_6262;

									BgL_tmpz00_6262 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_6262, BUNSPEC);
								}
								BgL_sctxz00_2802 = BgL_tmpz00_3905;
							}
							{	/* SawMill/bbv.scm 500 */
								obj_t BgL_arg2220z00_2803;
								obj_t BgL_arg2221z00_2804;

								BgL_arg2220z00_2803 = CDR(((obj_t) BgL_oisz00_2736));
								BgL_arg2221z00_2804 =
									MAKE_YOUNG_PAIR(BgL_sinz00_2801, BgL_sisz00_2737);
								{
									obj_t BgL_ctxz00_6270;
									obj_t BgL_sisz00_6269;
									obj_t BgL_oisz00_6268;

									BgL_oisz00_6268 = BgL_arg2220z00_2803;
									BgL_sisz00_6269 = BgL_arg2221z00_2804;
									BgL_ctxz00_6270 = BgL_sctxz00_2802;
									BgL_ctxz00_2738 = BgL_ctxz00_6270;
									BgL_sisz00_2737 = BgL_sisz00_6269;
									BgL_oisz00_2736 = BgL_oisz00_6268;
									goto BgL_zc3z04anonymousza32190ze3z87_2739;
								}
							}
						}
					}
			}
		}

	}



/* filter-live-regs */
	obj_t BGl_filterzd2livezd2regsz00zzsaw_bbvz00(BgL_rtl_insz00_bglt
		BgL_insz00_101, obj_t BgL_ctxz00_102)
	{
		{	/* SawMill/bbv.scm 505 */
			{	/* SawMill/bbv.scm 507 */
				obj_t BgL_hook1621z00_2877;

				BgL_hook1621z00_2877 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{
					obj_t BgL_l1618z00_2879;
					obj_t BgL_h1619z00_2880;

					BgL_l1618z00_2879 = BgL_ctxz00_102;
					BgL_h1619z00_2880 = BgL_hook1621z00_2877;
				BgL_zc3z04anonymousza32247ze3z87_2881:
					if (NULLP(BgL_l1618z00_2879))
						{	/* SawMill/bbv.scm 507 */
							return CDR(BgL_hook1621z00_2877);
						}
					else
						{	/* SawMill/bbv.scm 507 */
							bool_t BgL_test2593z00_6276;

							{	/* SawMill/bbv.scm 508 */
								obj_t BgL_ez00_2913;

								BgL_ez00_2913 = CAR(((obj_t) BgL_l1618z00_2879));
								{	/* SawMill/bbv.scm 508 */
									BgL_rtl_regz00_bglt BgL_regz00_2914;

									BgL_regz00_2914 =
										(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
												((BgL_bbvzd2ctxentryzd2_bglt) BgL_ez00_2913)))->
										BgL_regz00);
									{	/* SawMill/bbv.scm 509 */
										bool_t BgL_test2594z00_6281;

										{	/* SawMill/bbv.scm 509 */
											bool_t BgL_test2595z00_6282;

											{	/* SawMill/bbv.scm 509 */
												obj_t BgL_classz00_3910;

												BgL_classz00_3910 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
												{	/* SawMill/bbv.scm 509 */
													BgL_objectz00_bglt BgL_arg1825z00_3912;

													{	/* SawMill/bbv.scm 509 */
														obj_t BgL_tmpz00_6283;

														BgL_tmpz00_6283 =
															((obj_t) ((BgL_objectz00_bglt) BgL_regz00_2914));
														BgL_arg1825z00_3912 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6283);
													}
													{	/* SawMill/bbv.scm 509 */
														bool_t BgL_arg1822z00_3915;
														bool_t BgL_arg1823z00_3916;

														{	/* SawMill/bbv.scm 509 */
															long BgL_idxz00_3919;

															BgL_idxz00_3919 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3912);
															BgL_arg1822z00_3915 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_3919 + ((long) 2))) ==
																BgL_classz00_3910);
														}
														{	/* SawMill/bbv.scm 509 */
															bool_t BgL_res2405z00_3941;

															{	/* SawMill/bbv.scm 509 */
																obj_t BgL_oclassz00_3927;

																{	/* SawMill/bbv.scm 509 */
																	long BgL_arg1833z00_3933;

																	{	/* SawMill/bbv.scm 509 */
																		long BgL_arg1834z00_3934;

																		BgL_arg1834z00_3934 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3912);
																		BgL_arg1833z00_3933 =
																			(BgL_arg1834z00_3934 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_3927 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_3933);
																}
																{	/* SawMill/bbv.scm 509 */
																	bool_t BgL__ortest_1110z00_3928;

																	BgL__ortest_1110z00_3928 =
																		(BgL_classz00_3910 == BgL_oclassz00_3927);
																	if (BgL__ortest_1110z00_3928)
																		{	/* SawMill/bbv.scm 509 */
																			BgL_res2405z00_3941 =
																				BgL__ortest_1110z00_3928;
																		}
																	else
																		{	/* SawMill/bbv.scm 509 */
																			long BgL_odepthz00_3929;

																			BgL_odepthz00_3929 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_3927);
																			if ((((long) 2) < BgL_odepthz00_3929))
																				{	/* SawMill/bbv.scm 509 */
																					obj_t BgL_arg1821z00_3931;

																					BgL_arg1821z00_3931 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_3927, ((long) 2));
																					BgL_res2405z00_3941 =
																						(BgL_arg1821z00_3931 ==
																						BgL_classz00_3910);
																				}
																			else
																				{	/* SawMill/bbv.scm 509 */
																					BgL_res2405z00_3941 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_3916 = BgL_res2405z00_3941;
														}
														BgL_test2595z00_6282 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_3915,
															BgL_arg1823z00_3916);
													}
												}
											}
											if (BgL_test2595z00_6282)
												{	/* SawMill/bbv.scm 510 */
													obj_t BgL_arg2272z00_2933;

													{
														BgL_rtl_inszf2bbvzf2_bglt BgL_auxz00_6302;

														{
															obj_t BgL_auxz00_6303;

															{	/* SawMill/bbv.scm 510 */
																BgL_objectz00_bglt BgL_tmpz00_6304;

																BgL_tmpz00_6304 =
																	((BgL_objectz00_bglt) BgL_insz00_101);
																BgL_auxz00_6303 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6304);
															}
															BgL_auxz00_6302 =
																((BgL_rtl_inszf2bbvzf2_bglt) BgL_auxz00_6303);
														}
														BgL_arg2272z00_2933 =
															(((BgL_rtl_inszf2bbvzf2_bglt)
																COBJECT(BgL_auxz00_6302))->BgL_outz00);
													}
													BgL_test2594z00_6281 =
														BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
														((BgL_rtl_regz00_bglt) BgL_regz00_2914),
														((BgL_regsetz00_bglt) BgL_arg2272z00_2933));
												}
											else
												{	/* SawMill/bbv.scm 509 */
													BgL_test2594z00_6281 = ((bool_t) 1);
												}
										}
										if (BgL_test2594z00_6281)
											{	/* SawMill/bbv.scm 512 */
												obj_t BgL_arg2266z00_2916;

												{	/* SawMill/bbv.scm 512 */
													obj_t BgL_hook1615z00_2917;

													BgL_hook1615z00_2917 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
													{	/* SawMill/bbv.scm 514 */
														obj_t BgL_g1616z00_2918;

														BgL_g1616z00_2918 =
															(((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_2913)))->BgL_aliasesz00);
														{
															obj_t BgL_l1612z00_2920;
															obj_t BgL_h1613z00_2921;

															BgL_l1612z00_2920 = BgL_g1616z00_2918;
															BgL_h1613z00_2921 = BgL_hook1615z00_2917;
														BgL_zc3z04anonymousza32267ze3z87_2922:
															if (NULLP(BgL_l1612z00_2920))
																{	/* SawMill/bbv.scm 514 */
																	BgL_arg2266z00_2916 =
																		CDR(BgL_hook1615z00_2917);
																}
															else
																{	/* SawMill/bbv.scm 514 */
																	bool_t BgL_test2599z00_6318;

																	{	/* SawMill/bbv.scm 513 */
																		obj_t BgL_regz00_2929;

																		BgL_regz00_2929 =
																			CAR(((obj_t) BgL_l1612z00_2920));
																		{	/* SawMill/bbv.scm 513 */
																			obj_t BgL_arg2271z00_2930;

																			{
																				BgL_rtl_inszf2bbvzf2_bglt
																					BgL_auxz00_6321;
																				{
																					obj_t BgL_auxz00_6322;

																					{	/* SawMill/bbv.scm 513 */
																						BgL_objectz00_bglt BgL_tmpz00_6323;

																						BgL_tmpz00_6323 =
																							((BgL_objectz00_bglt)
																							BgL_insz00_101);
																						BgL_auxz00_6322 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_6323);
																					}
																					BgL_auxz00_6321 =
																						((BgL_rtl_inszf2bbvzf2_bglt)
																						BgL_auxz00_6322);
																				}
																				BgL_arg2271z00_2930 =
																					(((BgL_rtl_inszf2bbvzf2_bglt)
																						COBJECT(BgL_auxz00_6321))->
																					BgL_outz00);
																			}
																			BgL_test2599z00_6318 =
																				BGl_regsetzd2memberzf3z21zzsaw_regsetz00
																				(((BgL_rtl_regz00_bglt)
																					BgL_regz00_2929),
																				((BgL_regsetz00_bglt)
																					BgL_arg2271z00_2930));
																		}
																	}
																	if (BgL_test2599z00_6318)
																		{	/* SawMill/bbv.scm 514 */
																			obj_t BgL_nh1614z00_2925;

																			{	/* SawMill/bbv.scm 514 */
																				obj_t BgL_arg2269z00_2927;

																				BgL_arg2269z00_2927 =
																					CAR(((obj_t) BgL_l1612z00_2920));
																				BgL_nh1614z00_2925 =
																					MAKE_YOUNG_PAIR(BgL_arg2269z00_2927,
																					BNIL);
																			}
																			SET_CDR(BgL_h1613z00_2921,
																				BgL_nh1614z00_2925);
																			{	/* SawMill/bbv.scm 514 */
																				obj_t BgL_arg2268z00_2926;

																				BgL_arg2268z00_2926 =
																					CDR(((obj_t) BgL_l1612z00_2920));
																				{
																					obj_t BgL_h1613z00_6338;
																					obj_t BgL_l1612z00_6337;

																					BgL_l1612z00_6337 =
																						BgL_arg2268z00_2926;
																					BgL_h1613z00_6338 =
																						BgL_nh1614z00_2925;
																					BgL_h1613z00_2921 = BgL_h1613z00_6338;
																					BgL_l1612z00_2920 = BgL_l1612z00_6337;
																					goto
																						BgL_zc3z04anonymousza32267ze3z87_2922;
																				}
																			}
																		}
																	else
																		{	/* SawMill/bbv.scm 514 */
																			obj_t BgL_arg2270z00_2928;

																			BgL_arg2270z00_2928 =
																				CDR(((obj_t) BgL_l1612z00_2920));
																			{
																				obj_t BgL_l1612z00_6341;

																				BgL_l1612z00_6341 = BgL_arg2270z00_2928;
																				BgL_l1612z00_2920 = BgL_l1612z00_6341;
																				goto
																					BgL_zc3z04anonymousza32267ze3z87_2922;
																			}
																		}
																}
														}
													}
												}
												{	/* SawMill/bbv.scm 511 */
													obj_t BgL_xz00_4114;

													BgL_xz00_4114 =
														((((BgL_bbvzd2ctxentryzd2_bglt) COBJECT(
																	((BgL_bbvzd2ctxentryzd2_bglt)
																		BgL_ez00_2913)))->BgL_aliasesz00) =
														((obj_t) ((obj_t) BgL_arg2266z00_2916)), BUNSPEC);
													BgL_test2593z00_6276 = ((bool_t) 1);
												}
											}
										else
											{	/* SawMill/bbv.scm 509 */
												BgL_test2593z00_6276 = ((bool_t) 0);
											}
									}
								}
							}
							if (BgL_test2593z00_6276)
								{	/* SawMill/bbv.scm 507 */
									obj_t BgL_nh1620z00_2909;

									{	/* SawMill/bbv.scm 507 */
										obj_t BgL_arg2264z00_2911;

										BgL_arg2264z00_2911 = CAR(((obj_t) BgL_l1618z00_2879));
										BgL_nh1620z00_2909 =
											MAKE_YOUNG_PAIR(BgL_arg2264z00_2911, BNIL);
									}
									SET_CDR(BgL_h1619z00_2880, BgL_nh1620z00_2909);
									{	/* SawMill/bbv.scm 507 */
										obj_t BgL_arg2263z00_2910;

										BgL_arg2263z00_2910 = CDR(((obj_t) BgL_l1618z00_2879));
										{
											obj_t BgL_h1619z00_6352;
											obj_t BgL_l1618z00_6351;

											BgL_l1618z00_6351 = BgL_arg2263z00_2910;
											BgL_h1619z00_6352 = BgL_nh1620z00_2909;
											BgL_h1619z00_2880 = BgL_h1619z00_6352;
											BgL_l1618z00_2879 = BgL_l1618z00_6351;
											goto BgL_zc3z04anonymousza32247ze3z87_2881;
										}
									}
								}
							else
								{	/* SawMill/bbv.scm 507 */
									obj_t BgL_arg2265z00_2912;

									BgL_arg2265z00_2912 = CDR(((obj_t) BgL_l1618z00_2879));
									{
										obj_t BgL_l1618z00_6355;

										BgL_l1618z00_6355 = BgL_arg2265z00_2912;
										BgL_l1618z00_2879 = BgL_l1618z00_6355;
										goto BgL_zc3z04anonymousza32247ze3z87_2881;
									}
								}
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvz00()
	{
		{	/* SawMill/bbv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(((long) 241613712),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(((long)
					174034818), BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(((long) 486661385),
				BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
			return BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(((long)
					250591081), BSTRING_TO_STRING(BGl_string2426z00zzsaw_bbvz00));
		}

	}

#ifdef __cplusplus
}
#endif
