/*===========================================================================*/
/*   (SawMill/defs.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/defs.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_totypez00;
		struct BgL_typez00_bgl *BgL_fromtypez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2656z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2495z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_insz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt, obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2577z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_cast_nullz00_bglt BGl_z62lambda2658z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2579z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32010ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt BGl_rtl_loadgzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt,
		obj_t);
	static obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00();
	static BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2741z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funcallz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2744z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32389ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2664z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2665z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_funz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2585z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_newz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2586z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_globalr1773z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_pragmaz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_protectedz00_bglt
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2752z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2591z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2672z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2753z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2592z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_protectz00_bglt BGl_z62lambda2674z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2596z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt, obj_t);
	static obj_t BGl_z62lambda2597z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_z62shapezd2rtl_reg1750zb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	static obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_rtl_returnzd2nilzd2zzsaw_defsz00();
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_fun1763z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	static obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt);
	static BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxrefz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2682z62zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_protectedz00_bglt BGl_z62lambda2684z62zzsaw_defsz00(obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	static BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1959z62zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt,
		BgL_atomz00_bglt);
	static obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_rtl_setfieldz00_bglt
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2772z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_insz00_bglt BGl_z62lambda2692z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2773z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2694z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt);
	static BgL_typez00_bglt BGl_z62lambda1966z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda1967z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2779z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_setfieldz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt, obj_t);
	static obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32103ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_funcallz00_bglt
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_defsz00();
	static BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_rtl_switchzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00(obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62dumpzd2rtl_ins1756zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2780z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1971z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2785z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt BGl_rtl_purezd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62dumpzd2funzd2rtl_go1779z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2786z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1977z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1978z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt BGl_rtl_ifnezd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_boxsetz00zzsaw_defsz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vlengthz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DEF obj_t BGl_rtl_purez00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	static obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t, obj_t);
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32774ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_makeboxz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static obj_t BGl_z62lambda1984z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1985z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_defsz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt);
	static obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt
		BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t, obj_t, obj_t, BgL_rtl_funz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_defsz00();
	static obj_t BGl_z62zc3z04anonymousza32686ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1991z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1992z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	static BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda1998z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1999z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt
		BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	static obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadfun1771z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32017ze3ze5zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt);
	static obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt BGl_rtl_loadizd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62zc3z04anonymousza32042ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_regz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_vallocz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t,
		BgL_blockz00_bglt);
	static obj_t BGl_z62shapezd2rtl_ins1748zb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_cast_nullz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32696ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadfunz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t, obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	static obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_movz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxrefz00_bglt
		BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32400ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t);
	BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt);
	static obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dump1751z62zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt,
		BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt);
	static BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_jumpexitz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_loadg1769z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32216ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_rtl_notseqzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_switchz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	BGL_EXPORTED_DEF obj_t BGl_rtl_goz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32500ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnez00zzsaw_defsz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	static BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	static BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_instanceofz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_setfieldz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	static obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt, obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32412ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_funz00_bglt BGl_z62lambda2006z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2008z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt);
	static obj_t BGl_z62dumpzd2funzd2rtl_mov1767z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_callz00_bglt BGl_rtl_callzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_callz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_movz00_bglt
		BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2015z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2016z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_selectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2101z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32171ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62lambda2026z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2107z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2108z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32139ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_rtl_storegzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_pragmaz00_bglt
		BGl_rtl_pragmazd2nilzd2zzsaw_defsz00();
	static BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_z62dumpzd2block1754zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_storegz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t, BgL_atomz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL BgL_rtl_nopz00_bglt
		BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2113z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2114z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62lambda2037z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_lastz00_bglt BGl_rtl_lastzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2120z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_castz00_bglt BGl_rtl_castzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_returnz00_bglt BGl_z62lambda2040z62zzsaw_defsz00(obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2202z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62lambda2122z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62lambda2204z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32424ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32092ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32246ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_returnz00zzsaw_defsz00 = BUNSPEC;
	static BgL_typez00_bglt BGl_z62lambda2046z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt);
	static obj_t BGl_z62lambda2047z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2128z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt);
	static obj_t BGl_z62lambda2129z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_applyz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	static obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt,
		obj_t);
	static obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt);
	static BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifne1777z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt,
		obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2212z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32514ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62lambda2214z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt);
	static obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2135z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static BgL_rtl_jumpexitz00_bglt BGl_z62lambda2056z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifeqz00_bglt BGl_z62lambda2137z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00();
	static BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_getfieldz00_bglt, BgL_typez00_bglt);
	static BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	static obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62dumpzd2funzd2rtl_loadi1765z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_atomz00_bglt BGl_z62lambda2220z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2221z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2302z62zzsaw_defsz00(obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2143z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62lambda2144z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2065z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2227z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2309z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62lambda2067z62zzsaw_defsz00(obj_t);
	static BgL_rtl_loadgz00_bglt BGl_z62lambda2229z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadgz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DEF obj_t BGl_rtl_loadiz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_failz00_bglt BGl_rtl_failzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt,
		BgL_blockz00_bglt);
	static BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_notseqz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2310z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_failz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2151z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32443ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_ifnez00_bglt BGl_z62lambda2153z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2315z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2235z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2316z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2236z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2076z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt);
	static BgL_rtl_notseqz00_bglt BGl_z62lambda2078z62zzsaw_defsz00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2159z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00();
	static obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt, obj_t);
	static obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	static obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt);
	static BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_ifeq1775z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00();
	static BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00();
	static obj_t BGl_z62lambda2160z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2242z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2323z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt);
	static BgL_rtl_loadfunz00_bglt BGl_z62lambda2244z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vrefz00_bglt BGl_z62lambda2325z62zzsaw_defsz00(obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt);
	static BgL_rtl_effectz00_bglt BGl_z62lambda2408z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2167z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2088z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62lambda2169z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_castz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt, obj_t);
	static BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt,
		BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00();
	static BgL_rtl_effectz00_bglt BGl_z62lambda2410z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32712ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2250z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32704ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2251z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2332z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62lambda2090z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2333z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_setfieldz00_bglt
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_blockz00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2337z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2176z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2257z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2338z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_rtl_globalrefz00_bglt BGl_z62lambda2259z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62lambda2098z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_globalrefz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt);
	static obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_protectz00_bglt
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_protectedz00_bglt
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_cast_nullz00_bglt
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62lambda2421z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32608ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2182z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32276ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2507z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_purez00_bglt BGl_z62lambda2184z62zzsaw_defsz00(obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2265z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2266z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2347z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2429z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt BGl_z62lambda2349z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt);
	static obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static BgL_rtl_funcallz00_bglt
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt,
		BgL_rtl_funz00_bglt);
	static obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_newz00_bglt BGl_z62lambda2510z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt, obj_t);
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2272z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2192z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_getfieldz00zzsaw_defsz00 = BUNSPEC;
	static BgL_rtl_getfieldz00_bglt BGl_z62lambda2274z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2355z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62lambda2194z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2356z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2437z62zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t, BgL_typez00_bglt);
	static obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_jumpexitz00_bglt
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt);
	static obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_applyz00_bglt BGl_rtl_applyzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32820ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00();
	static BgL_rtl_setfieldz00_bglt BGl_z62lambda2440z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2522z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2603z62zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2523z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda2281z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_funcallz00_bglt BGl_z62lambda2605z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32618ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2282z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2447z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2528z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2448z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2529z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2287z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2368z62zzsaw_defsz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2288z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_effectz00zzsaw_defsz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	static obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t, BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62dumpzd2fun1759zb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_instanceofz00_bglt BGl_z62lambda2370z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2452z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2614z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2453z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2292z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_pragmaz00_bglt BGl_z62lambda2616z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2293z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt,
		obj_t);
	static obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2538z62zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda2377z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2458z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2378z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2459z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt,
		obj_t);
	static BgL_rtl_vallocz00_bglt BGl_z62lambda2299z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_vallocz00_bglt
		BGl_rtl_valloczd2nilzd2zzsaw_defsz00();
	static BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt);
	static BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_rtl_loadfunz00_bglt
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t);
	static BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32660ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2702z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda2703z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62lambda2542z62zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2623z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32547ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2624z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2384z62zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_makeboxz00_bglt BGl_z62lambda2386z62zzsaw_defsz00(obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2468z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t,
		obj_t);
	static BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	static BgL_rtl_protectz00_bglt
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt);
	static BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt, obj_t);
	static obj_t BGl_z62dumpzd2rtl_reg1758zb0zzsaw_defsz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2710z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt);
	static obj_t BGl_z62lambda2711z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vsetz00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2632z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2553z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_castz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2554z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2718z62zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2719z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_vlengthz00_bglt
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2396z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2477z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_rtl_protectedz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62lambda2478z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62dumpzd2funzd2rtl_call1781z62zzsaw_defsz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_boxrefz00_bglt BGl_z62lambda2398z62zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vsetz00_bglt BGl_rtl_vsetzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt);
	static BgL_rtl_makeboxz00_bglt
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_blockz00zzsaw_defsz00 = BUNSPEC;
	static obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_effectz00_bglt
		BGl_rtl_effectzd2nilzd2zzsaw_defsz00();
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62zc3z04anonymousza32581ze3ze5zzsaw_defsz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2641z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2642z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_funz00_bglt BGl_z62lambda2725z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2564z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda2484z62zzsaw_defsz00(obj_t, obj_t);
	static BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62lambda2485z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static BgL_rtl_applyz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t);
	static BgL_typez00_bglt BGl_z62lambda2648z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2649z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t, int);
	BGL_EXPORTED_DECL BgL_rtl_selectz00_bglt
		BGl_rtl_selectzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt,
		BgL_globalz00_bglt);
	static BgL_rtl_getfieldz00_bglt
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt);
	static obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t);
	static obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt, obj_t);
	static obj_t BGl_z62lambda2731z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_rtl_vrefz00_bglt BGl_rtl_vrefzd2nilzd2zzsaw_defsz00();
	static obj_t BGl_z62lambda2732z62zzsaw_defsz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt,
		obj_t);
	static BgL_rtl_boxsetz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t, obj_t);
	static obj_t __cnst[81];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo3363z00,
		BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3364za7,
		BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23365z00,
		BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7f3366z00, BGl_z62rtl_protectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73367z00,
		BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2constantzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3368z00,
		BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3369z00,
		BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2formatzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23370z00,
		BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2nilza7b3371za7, BGl_z62blockzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23372z00,
		BGl_z62rtl_returnzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3373za7,
		BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2ni3374z00, BGl_z62rtl_castzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23375z00,
		BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2ni3376z00, BGl_z62rtl_callzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2marginzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2margin3377z00, BGl_z62dumpzd2marginzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23378z00,
		BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3100z00zzsaw_defsz00,
		BgL_bgl_za762lambda2024za7623379z00, BGl_z62lambda2024z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3101z00zzsaw_defsz00,
		BgL_bgl_za762lambda2047za7623380z00, BGl_z62lambda2047z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3381z00, BGl_z62rtl_callzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73382z00,
		BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3102z00zzsaw_defsz00,
		BgL_bgl_za762lambda2046za7623383z00, BGl_z62lambda2046z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3103z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3384za7,
		BGl_z62zc3z04anonymousza32042ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3104z00zzsaw_defsz00,
		BgL_bgl_za762lambda2040za7623385z00, BGl_z62lambda2040z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3105z00zzsaw_defsz00,
		BgL_bgl_za762lambda2037za7623386z00, BGl_z62lambda2037z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3106z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3387za7,
		BGl_z62zc3z04anonymousza32059ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3107z00zzsaw_defsz00,
		BgL_bgl_za762lambda2056za7623388z00, BGl_z62lambda2056z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3108z00zzsaw_defsz00,
		BgL_bgl_za762lambda2054za7623389z00, BGl_z62lambda2054z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3109z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3390za7,
		BGl_z62zc3z04anonymousza32069ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2nil3391z00, BGl_z62rtl_inszd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3392z00,
		BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73393z00,
		BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_lastzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_la3394z00, BGl_z62makezd2rtl_lastzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7b3395za7, BGl_z62rtl_gozd2tozb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_valloczd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_va3396z00,
		BGl_z62makezd2rtl_valloczb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7f3za7913397za7, BGl_z62rtl_nopzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3398za7,
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73399z00,
		BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3400z00,
		BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3401z00, BGl_z62rtl_applyzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23402z00,
		BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3110z00zzsaw_defsz00,
		BgL_bgl_za762lambda2067za7623403z00, BGl_z62lambda2067z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_makeboxzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ma3404z00,
		BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3111z00zzsaw_defsz00,
		BgL_bgl_za762lambda2065za7623405z00, BGl_z62lambda2065z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3112z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3406za7,
		BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3113z00zzsaw_defsz00,
		BgL_bgl_za762lambda2078za7623407z00, BGl_z62lambda2078z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3408za7,
		BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73409z00,
		BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3114z00zzsaw_defsz00,
		BgL_bgl_za762lambda2076za7623410z00, BGl_z62lambda2076z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_castzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3411z00, BGl_z62makezd2rtl_castzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3115z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3412za7,
		BGl_z62zc3z04anonymousza32092ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3116z00zzsaw_defsz00,
		BgL_bgl_za762lambda2090za7623413z00, BGl_z62lambda2090z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23414z00,
		BGl_z62rtl_effectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3117z00zzsaw_defsz00,
		BgL_bgl_za762lambda2088za7623415z00, BGl_z62lambda2088z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3416z00,
		BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3118z00zzsaw_defsz00,
		BgL_bgl_za762lambda2108za7623417z00, BGl_z62lambda2108z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2nil3418z00, BGl_z62rtl_newzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3119z00zzsaw_defsz00,
		BgL_bgl_za762lambda2107za7623419z00, BGl_z62lambda2107z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3420z00,
		BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23421z00,
		BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3422z00, BGl_z62rtl_inszd2argszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23423z00,
		BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23424z00,
		BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza762za7za7saw_3425z00, BGl_z62dumpz62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23426z00,
		BGl_z62rtl_storegzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3200z00zzsaw_defsz00,
		BgL_bgl_za762lambda2361za7623427z00, BGl_z62lambda2361z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3201z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3428za7,
		BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3120z00zzsaw_defsz00,
		BgL_bgl_za762lambda2114za7623429z00, BGl_z62lambda2114z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3202z00zzsaw_defsz00,
		BgL_bgl_za762lambda2349za7623430z00, BGl_z62lambda2349z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3121z00zzsaw_defsz00,
		BgL_bgl_za762lambda2113za7623431z00, BGl_z62lambda2113z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3432za7,
		BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadizd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3433z00,
		BGl_z62makezd2rtl_loadizb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3203z00zzsaw_defsz00,
		BgL_bgl_za762lambda2347za7623434z00, BGl_z62lambda2347z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3122z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3435za7,
		BGl_z62zc3z04anonymousza32103ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3204z00zzsaw_defsz00,
		BgL_bgl_za762lambda2378za7623436z00, BGl_z62lambda2378z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3123z00zzsaw_defsz00,
		BgL_bgl_za762lambda2101za7623437z00, BGl_z62lambda2101z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3205z00zzsaw_defsz00,
		BgL_bgl_za762lambda2377za7623438z00, BGl_z62lambda2377z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3124z00zzsaw_defsz00,
		BgL_bgl_za762lambda2098za7623439z00, BGl_z62lambda2098z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3206z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3440za7,
		BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3125z00zzsaw_defsz00,
		BgL_bgl_za762lambda2129za7623441z00, BGl_z62lambda2129z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23442z00,
		BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3207z00zzsaw_defsz00,
		BgL_bgl_za762lambda2370za7623443z00, BGl_z62lambda2370z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3126z00zzsaw_defsz00,
		BgL_bgl_za762lambda2128za7623444z00, BGl_z62lambda2128z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3208z00zzsaw_defsz00,
		BgL_bgl_za762lambda2368za7623445z00, BGl_z62lambda2368z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3127z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3446za7,
		BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2funzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3447z00,
		BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3448za7,
		BGl_z62zc3z04anonymousza32389ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3128z00zzsaw_defsz00,
		BgL_bgl_za762lambda2122za7623449z00, BGl_z62lambda2122z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3129z00zzsaw_defsz00,
		BgL_bgl_za762lambda2120za7623450z00, BGl_z62lambda2120z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7f33451z00, BGl_z62rtl_valloczf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73452z00, BGl_z62rtl_getfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2ni3453z00, BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2onexprzf3zd2envzf3zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3454z00,
		BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7f3za7913455za7, BGl_z62rtl_funzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7f3za793456za7, BGl_z62rtl_castzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3457z00, BGl_z62rtl_regzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectedzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3458za7,
		BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23459z00,
		BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3210z00zzsaw_defsz00,
		BgL_bgl_za762lambda2386za7623460z00, BGl_z62lambda2386z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzsaw_defsz00,
		BgL_bgl_za762lambda2384za7623461z00, BGl_z62lambda2384z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3130z00zzsaw_defsz00,
		BgL_bgl_za762lambda2144za7623462z00, BGl_z62lambda2144z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7f33463z00, BGl_z62rtl_boxsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3212z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3464za7,
		BGl_z62zc3z04anonymousza32400ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3131z00zzsaw_defsz00,
		BgL_bgl_za762lambda2143za7623465z00, BGl_z62lambda2143z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzsaw_defsz00,
		BgL_bgl_za762lambda2398za7623466z00, BGl_z62lambda2398z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3132z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3467za7,
		BGl_z62zc3z04anonymousza32139ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23468z00,
		BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzsaw_defsz00,
		BgL_bgl_za762lambda2396za7623469z00, BGl_z62lambda2396z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3133z00zzsaw_defsz00,
		BgL_bgl_za762lambda2137za7623470z00, BGl_z62lambda2137z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3471za7,
		BGl_z62zc3z04anonymousza32412ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3134z00zzsaw_defsz00,
		BgL_bgl_za762lambda2135za7623472z00, BGl_z62lambda2135z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_effectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ef3473z00,
		BGl_z62makezd2rtl_effectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzsaw_defsz00,
		BgL_bgl_za762lambda2410za7623474z00, BGl_z62lambda2410z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3135z00zzsaw_defsz00,
		BgL_bgl_za762lambda2160za7623475z00, BGl_z62lambda2160z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzsaw_defsz00,
		BgL_bgl_za762lambda2408za7623476z00, BGl_z62lambda2408z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3136z00zzsaw_defsz00,
		BgL_bgl_za762lambda2159za7623477z00, BGl_z62lambda2159z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2z52spillzd2setz12zd2envz92zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523478za7,
		BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzsaw_defsz00,
		BgL_bgl_za762lambda2429za7623479z00, BGl_z62lambda2429z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3137z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3480za7,
		BGl_z62zc3z04anonymousza32155ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzsaw_defsz00,
		BgL_bgl_za762lambda2428za7623481z00, BGl_z62lambda2428z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3138z00zzsaw_defsz00,
		BgL_bgl_za762lambda2153za7623482z00, BGl_z62lambda2153z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3139z00zzsaw_defsz00,
		BgL_bgl_za762lambda2151za7623483z00, BGl_z62lambda2151z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2nil3484z00, BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2argszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3485z00,
		BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3067z00zzsaw_defsz00,
		BgL_bgl_string3067za700za7za7s3486za7, "+-- ", 4);
	      DEFINE_STRING(BGl_string3068z00zzsaw_defsz00,
		BgL_bgl_string3068za700za7za7s3487za7, " ", 1);
	      DEFINE_STRING(BGl_string3069z00zzsaw_defsz00,
		BgL_bgl_string3069za700za7za7s3488za7, "| args:", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3489z00,
		BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtlzd2dumpzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtlza7d2dumpza7b03490za7, BGl_z62rtlzd2dumpzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2blockzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2blockza73491za7, BGl_z62makezd2blockzb0zzsaw_defsz00,
		0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23492z00,
		BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3493z00,
		BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo3494z00, BGl_z62rtl_purezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_failzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fa3495z00, BGl_z62makezd2rtl_failzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2patternszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23496z00,
		BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_applyzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2l3497z00,
		BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_selectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3498z00,
		BGl_z62makezd2rtl_selectzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_makeboxzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3499z00,
		BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3300z00zzsaw_defsz00,
		BgL_bgl_za762lambda2718za7623500z00, BGl_z62lambda2718z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3301z00zzsaw_defsz00,
		BgL_bgl_za762lambda2726za7623501z00, BGl_z62lambda2726z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3502za7,
		BGl_z62zc3z04anonymousza32424ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3302z00zzsaw_defsz00,
		BgL_bgl_za762lambda2725za7623503z00, BGl_z62lambda2725z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzsaw_defsz00,
		BgL_bgl_za762lambda2421za7623504z00, BGl_z62lambda2421z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3140z00zzsaw_defsz00,
		BgL_bgl_za762lambda2176za7623505z00, BGl_z62lambda2176z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3303z00zzsaw_defsz00,
		BgL_bgl_za762lambda2732za7623506z00, BGl_z62lambda2732z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzsaw_defsz00,
		BgL_bgl_za762lambda2419za7623507z00, BGl_z62lambda2419z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3141z00zzsaw_defsz00,
		BgL_bgl_za762lambda2175za7623508z00, BGl_z62lambda2175z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3304z00zzsaw_defsz00,
		BgL_bgl_za762lambda2731za7623509z00, BGl_z62lambda2731z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzsaw_defsz00,
		BgL_bgl_za762lambda2448za7623510z00, BGl_z62lambda2448z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3142z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3511za7,
		BGl_z62zc3z04anonymousza32171ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3305z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3512za7,
		BGl_z62zc3z04anonymousza32696ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzsaw_defsz00,
		BgL_bgl_za762lambda2447za7623513z00, BGl_z62lambda2447z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3143z00zzsaw_defsz00,
		BgL_bgl_za762lambda2169za7623514z00, BGl_z62lambda2169z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73515z00,
		BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3306z00zzsaw_defsz00,
		BgL_bgl_za762lambda2694za7623516z00, BGl_z62lambda2694z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzsaw_defsz00,
		BgL_bgl_za762lambda2453za7623517z00, BGl_z62lambda2453z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3144z00zzsaw_defsz00,
		BgL_bgl_za762lambda2167za7623518z00, BGl_z62lambda2167z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3307z00zzsaw_defsz00,
		BgL_bgl_za762lambda2692za7623519z00, BGl_z62lambda2692z62zzsaw_defsz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzsaw_defsz00,
		BgL_bgl_za762lambda2452za7623520z00, BGl_z62lambda2452z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3145z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3521za7,
		BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3070z00zzsaw_defsz00,
		BgL_bgl_string3070za700za7za7s3522za7, "| Basic blocks: ", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3308z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3523za7,
		BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzsaw_defsz00,
		BgL_bgl_za762lambda2459za7623524z00, BGl_z62lambda2459z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3146z00zzsaw_defsz00,
		BgL_bgl_za762lambda2184za7623525z00, BGl_z62lambda2184z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3071z00zzsaw_defsz00,
		BgL_bgl_string3071za700za7za7s3526za7, "(", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3309z00zzsaw_defsz00,
		BgL_bgl_za762lambda2753za7623527z00, BGl_z62lambda2753z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzsaw_defsz00,
		BgL_bgl_za762lambda2458za7623528z00, BGl_z62lambda2458z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3147z00zzsaw_defsz00,
		BgL_bgl_za762lambda2182za7623529z00, BGl_z62lambda2182z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3072z00zzsaw_defsz00,
		BgL_bgl_string3072za700za7za7s3530za7, ")", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3229z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3531za7,
		BGl_z62zc3z04anonymousza32443ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3148z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3532za7,
		BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_movzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_mo3533z00, BGl_z62makezd2rtl_movzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3149z00zzsaw_defsz00,
		BgL_bgl_za762lambda2194za7623534z00, BGl_z62lambda2194z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7f33535z00, BGl_z62rtl_selectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th3536z00, BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_failzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3537z00,
		BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3538za7,
		BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vlengthzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vl3539z00,
		BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2fromtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3540z00,
		BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3541za7, BGl_z62rtl_protectedzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funcallzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3542z00,
		BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2argsza2zd2envza2zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2arg3543z00,
		BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3544z00,
		BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3545z00, BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3310z00zzsaw_defsz00,
		BgL_bgl_za762lambda2752za7623546z00, BGl_z62lambda2752z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3311z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3547za7,
		BGl_z62zc3z04anonymousza32774ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzsaw_defsz00,
		BgL_bgl_za762lambda2440za7623548z00, BGl_z62lambda2440z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3312z00zzsaw_defsz00,
		BgL_bgl_za762lambda2773za7623549z00, BGl_z62lambda2773z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3231z00zzsaw_defsz00,
		BgL_bgl_za762lambda2437za7623550z00, BGl_z62lambda2437z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3150z00zzsaw_defsz00,
		BgL_bgl_za762lambda2192za7623551z00, BGl_z62lambda2192z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3313z00zzsaw_defsz00,
		BgL_bgl_za762lambda2772za7623552z00, BGl_z62lambda2772z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3232z00zzsaw_defsz00,
		BgL_bgl_za762lambda2478za7623553z00, BGl_z62lambda2478z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3151z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3554za7,
		BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3555za7,
		BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3314z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3556za7,
		BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3233z00zzsaw_defsz00,
		BgL_bgl_za762lambda2477za7623557z00, BGl_z62lambda2477z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3152z00zzsaw_defsz00,
		BgL_bgl_za762lambda2204za7623558z00, BGl_z62lambda2204z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3559z00,
		BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3315z00zzsaw_defsz00,
		BgL_bgl_za762lambda2780za7623560z00, BGl_z62lambda2780z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3234z00zzsaw_defsz00,
		BgL_bgl_za762lambda2485za7623561z00, BGl_z62lambda2485z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3153z00zzsaw_defsz00,
		BgL_bgl_za762lambda2202za7623562z00, BGl_z62lambda2202z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_globalrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_gl3563z00,
		BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3322z00zzsaw_defsz00,
		BgL_bgl_string3322za700za7za7s3564za7, "", 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3316z00zzsaw_defsz00,
		BgL_bgl_za762lambda2779za7623565z00, BGl_z62lambda2779z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3235z00zzsaw_defsz00,
		BgL_bgl_za762lambda2484za7623566z00, BGl_z62lambda2484z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3154z00zzsaw_defsz00,
		BgL_bgl_za762lambda2221za7623567z00, BGl_z62lambda2221z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3073z00zzsaw_defsz00,
		BgL_bgl_za762lambda1967za7623568z00, BGl_z62lambda1967z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73569z00,
		BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza73570za7, BGl_z62rtl_ifzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3317z00zzsaw_defsz00,
		BgL_bgl_za762lambda2786za7623571z00, BGl_z62lambda2786z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3236z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3572za7,
		BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3155z00zzsaw_defsz00,
		BgL_bgl_za762lambda2220za7623573z00, BGl_z62lambda2220z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3074z00zzsaw_defsz00,
		BgL_bgl_za762lambda1966za7623574z00, BGl_z62lambda1966z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3324z00zzsaw_defsz00,
		BgL_bgl_string3324za700za7za7s3575za7, "dump1751", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3318z00zzsaw_defsz00,
		BgL_bgl_za762lambda2785za7623576z00, BGl_z62lambda2785z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3237z00zzsaw_defsz00,
		BgL_bgl_za762lambda2470za7623577z00, BGl_z62lambda2470z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3156z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3578za7,
		BGl_z62zc3z04anonymousza32216ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3075z00zzsaw_defsz00,
		BgL_bgl_za762lambda1972za7623579z00, BGl_z62lambda1972z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3319z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3580za7,
		BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3238z00zzsaw_defsz00,
		BgL_bgl_za762lambda2468za7623581z00, BGl_z62lambda2468z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3157z00zzsaw_defsz00,
		BgL_bgl_za762lambda2214za7623582z00, BGl_z62lambda2214z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3076z00zzsaw_defsz00,
		BgL_bgl_za762lambda1971za7623583z00, BGl_z62lambda1971z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3326z00zzsaw_defsz00,
		BgL_bgl_string3326za700za7za7s3584za7, "dump-fun1759", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3239z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3585za7,
		BGl_z62zc3z04anonymousza32500ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3158z00zzsaw_defsz00,
		BgL_bgl_za762lambda2212za7623586z00, BGl_z62lambda2212z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3077z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3587za7,
		BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3159z00zzsaw_defsz00,
		BgL_bgl_za762lambda2236za7623588z00, BGl_z62lambda2236z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3078z00zzsaw_defsz00,
		BgL_bgl_za762lambda1978za7623589z00, BGl_z62lambda1978z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3328z00zzsaw_defsz00,
		BgL_bgl_string3328za700za7za7s3590za7, "shape", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3079z00zzsaw_defsz00,
		BgL_bgl_za762lambda1977za7623591z00, BGl_z62lambda1977z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7f3za793592za7, BGl_z62rtl_vsetzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7f3za73593za7, BGl_z62rtl_applyzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2ni3594z00, BGl_z62rtl_failzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpza2zd2envz70zzsaw_defsz00,
		BgL_bgl_za762dumpza7a2za7c0za7za7s3595za7, BGl_z62dumpza2zc0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3596z00,
		BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2patternszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23597z00,
		BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2rettypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3598za7,
		BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3320z00zzsaw_defsz00,
		BgL_bgl_za762lambda2744za7623599z00, BGl_z62lambda2744z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3321z00zzsaw_defsz00,
		BgL_bgl_za762lambda2741za7623600z00, BGl_z62lambda2741z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3240z00zzsaw_defsz00,
		BgL_bgl_za762lambda2495za7623601z00, BGl_z62lambda2495z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3241z00zzsaw_defsz00,
		BgL_bgl_za762lambda2493za7623602z00, BGl_z62lambda2493z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3160z00zzsaw_defsz00,
		BgL_bgl_za762lambda2235za7623603z00, BGl_z62lambda2235z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3323z00zzsaw_defsz00,
		BgL_bgl_za762dump1751za762za7za73604z00, BGl_z62dump1751z62zzsaw_defsz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3242z00zzsaw_defsz00,
		BgL_bgl_za762lambda2523za7623605z00, BGl_z62lambda2523z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3161z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3606za7,
		BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3080z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3607za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3243z00zzsaw_defsz00,
		BgL_bgl_za762lambda2522za7623608z00, BGl_z62lambda2522z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3162z00zzsaw_defsz00,
		BgL_bgl_za762lambda2229za7623609z00, BGl_z62lambda2229z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3081z00zzsaw_defsz00,
		BgL_bgl_za762lambda1985za7623610z00, BGl_z62lambda1985z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3611za7,
		BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2hardwarezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2har3612z00,
		BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3331z00zzsaw_defsz00,
		BgL_bgl_string3331za700za7za7s3613za7, "dump", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3325z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2fun1753614z00, BGl_z62dumpzd2fun1759zb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3244z00zzsaw_defsz00,
		BgL_bgl_za762lambda2529za7623615z00, BGl_z62lambda2529z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3163z00zzsaw_defsz00,
		BgL_bgl_za762lambda2227za7623616z00, BGl_z62lambda2227z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3082z00zzsaw_defsz00,
		BgL_bgl_za762lambda1984za7623617z00, BGl_z62lambda1984z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3245z00zzsaw_defsz00,
		BgL_bgl_za762lambda2528za7623618z00, BGl_z62lambda2528z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3164z00zzsaw_defsz00,
		BgL_bgl_za762lambda2251za7623619z00, BGl_z62lambda2251z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3083z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3620za7,
		BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7f3za793621za7, BGl_z62rtl_purezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3327z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_i3622z00,
		BGl_z62shapezd2rtl_ins1748zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3246z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3623za7,
		BGl_z62zc3z04anonymousza32514ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3165z00zzsaw_defsz00,
		BgL_bgl_za762lambda2250za7623624z00, BGl_z62lambda2250z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3084z00zzsaw_defsz00,
		BgL_bgl_za762lambda1992za7623625z00, BGl_z62lambda1992z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3247z00zzsaw_defsz00,
		BgL_bgl_za762lambda2510za7623626z00, BGl_z62lambda2510z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3166z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3627za7,
		BGl_z62zc3z04anonymousza32246ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3085z00zzsaw_defsz00,
		BgL_bgl_za762lambda1991za7623628z00, BGl_z62lambda1991z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3335z00zzsaw_defsz00,
		BgL_bgl_string3335za700za7za7s3629za7, "dump-fun", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3329z00zzsaw_defsz00,
		BgL_bgl_za762shapeza7d2rtl_r3630z00,
		BGl_z62shapezd2rtl_reg1750zb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3248z00zzsaw_defsz00,
		BgL_bgl_za762lambda2507za7623631z00, BGl_z62lambda2507z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3167z00zzsaw_defsz00,
		BgL_bgl_za762lambda2244za7623632z00, BGl_z62lambda2244z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3086z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3633za7,
		BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3249z00zzsaw_defsz00,
		BgL_bgl_za762lambda2554za7623634z00, BGl_z62lambda2554z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3168z00zzsaw_defsz00,
		BgL_bgl_za762lambda2242za7623635z00, BGl_z62lambda2242z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3087z00zzsaw_defsz00,
		BgL_bgl_za762lambda1999za7623636z00, BGl_z62lambda1999z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3169z00zzsaw_defsz00,
		BgL_bgl_za762lambda2266za7623637z00, BGl_z62lambda2266z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3088z00zzsaw_defsz00,
		BgL_bgl_za762lambda1998za7623638z00, BGl_z62lambda1998z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3089z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3639za7,
		BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2succszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3640z00, BGl_z62blockzd2succszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7f3za7913641za7, BGl_z62rtl_inszf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_returnzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3642z00,
		BGl_z62makezd2rtl_returnzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3643z00,
		BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ni3644z00, BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_effectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23645z00,
		BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc3646z00, BGl_z62rtl_funzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3330z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2block13647z00,
		BGl_z62dumpzd2block1754zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3250z00zzsaw_defsz00,
		BgL_bgl_za762lambda2553za7623648z00, BGl_z62lambda2553z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3332z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_in3649z00,
		BGl_z62dumpzd2rtl_ins1756zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3251z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3650za7,
		BGl_z62zc3z04anonymousza32547ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3170z00zzsaw_defsz00,
		BgL_bgl_za762lambda2265za7623651z00, BGl_z62lambda2265z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3333z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2rtl_re3652z00,
		BGl_z62dumpzd2rtl_reg1758zb0zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3252z00zzsaw_defsz00,
		BgL_bgl_za762lambda2542za7623653z00, BGl_z62lambda2542z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3171z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3654za7,
		BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3090z00zzsaw_defsz00,
		BgL_bgl_za762lambda1959za7623655z00, BGl_z62lambda1959z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3656z00, BGl_z62rtl_newzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3334z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23657za7,
		BGl_z62dumpzd2funzd2rtl_fun1763z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzsaw_defsz00,
		BgL_bgl_za762lambda2538za7623658z00, BGl_z62lambda2538z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3172z00zzsaw_defsz00,
		BgL_bgl_za762lambda2259za7623659z00, BGl_z62lambda2259z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3091z00zzsaw_defsz00,
		BgL_bgl_za762lambda1957za7623660z00, BGl_z62lambda1957z62zzsaw_defsz00, 0L,
		BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3661za7,
		BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3173z00zzsaw_defsz00,
		BgL_bgl_za762lambda2257za7623662z00, BGl_z62lambda2257z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3092z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3663za7,
		BGl_z62zc3z04anonymousza32017ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3336z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23664za7,
		BGl_z62dumpzd2funzd2rtl_loadi1765z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3255z00zzsaw_defsz00,
		BgL_bgl_za762lambda2566za7623665z00, BGl_z62lambda2566z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3174z00zzsaw_defsz00,
		BgL_bgl_za762lambda2282za7623666z00, BGl_z62lambda2282z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3093z00zzsaw_defsz00,
		BgL_bgl_za762lambda2016za7623667z00, BGl_z62lambda2016z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3337z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23668za7,
		BGl_z62dumpzd2funzd2rtl_mov1767z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3256z00zzsaw_defsz00,
		BgL_bgl_za762lambda2564za7623669z00, BGl_z62lambda2564z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3175z00zzsaw_defsz00,
		BgL_bgl_za762lambda2281za7623670z00, BGl_z62lambda2281z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3094z00zzsaw_defsz00,
		BgL_bgl_za762lambda2015za7623671z00, BGl_z62lambda2015z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3338z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23672za7,
		BGl_z62dumpzd2funzd2rtl_loadg1769z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3257z00zzsaw_defsz00,
		BgL_bgl_za762lambda2586za7623673z00, BGl_z62lambda2586z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3176z00zzsaw_defsz00,
		BgL_bgl_za762lambda2288za7623674z00, BGl_z62lambda2288z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3095z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3675za7,
		BGl_z62zc3z04anonymousza32010ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3345z00zzsaw_defsz00,
		BgL_bgl_string3345za700za7za7s3676za7, "::", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3339z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23677za7,
		BGl_z62dumpzd2funzd2rtl_loadfun1771z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3258z00zzsaw_defsz00,
		BgL_bgl_za762lambda2585za7623678z00, BGl_z62lambda2585z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3177z00zzsaw_defsz00,
		BgL_bgl_za762lambda2287za7623679z00, BGl_z62lambda2287z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3096z00zzsaw_defsz00,
		BgL_bgl_za762lambda2008za7623680z00, BGl_z62lambda2008z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7f33681z00, BGl_z62rtl_returnzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3346z00zzsaw_defsz00,
		BgL_bgl_string3346za700za7za7s3682za7, "[", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3259z00zzsaw_defsz00,
		BgL_bgl_za762lambda2592za7623683z00, BGl_z62lambda2592z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3178z00zzsaw_defsz00,
		BgL_bgl_za762lambda2293za7623684z00, BGl_z62lambda2293z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3097z00zzsaw_defsz00,
		BgL_bgl_za762lambda2006za7623685z00, BGl_z62lambda2006z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3347z00zzsaw_defsz00,
		BgL_bgl_string3347za700za7za7s3686za7, " <- ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3179z00zzsaw_defsz00,
		BgL_bgl_za762lambda2292za7623687z00, BGl_z62lambda2292z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3098z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3688za7,
		BGl_z62zc3z04anonymousza32030ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3348z00zzsaw_defsz00,
		BgL_bgl_string3348za700za7za7s3689za7, " (", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3099z00zzsaw_defsz00,
		BgL_bgl_za762lambda2026za7623690z00, BGl_z62lambda2026z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3349z00zzsaw_defsz00,
		BgL_bgl_string3349za700za7za7s3691za7, "]", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7f3za7913692za7, BGl_z62rtl_newzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2ty3693z00,
		BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3694z00,
		BGl_z62makezd2rtl_protectzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_callzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2va3695z00,
		BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73696z00,
		BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3340z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23697za7,
		BGl_z62dumpzd2funzd2rtl_globalr1773z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3341z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23698za7,
		BGl_z62dumpzd2funzd2rtl_ifeq1775z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3260z00zzsaw_defsz00,
		BgL_bgl_za762lambda2591za7623699z00, BGl_z62lambda2591z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3342z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23700za7,
		BGl_z62dumpzd2funzd2rtl_ifne1777z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3261z00zzsaw_defsz00,
		BgL_bgl_za762lambda2597za7623701z00, BGl_z62lambda2597z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3180z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3702za7,
		BGl_z62zc3z04anonymousza32276ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3343z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23703za7,
		BGl_z62dumpzd2funzd2rtl_go1779z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3262z00zzsaw_defsz00,
		BgL_bgl_za762lambda2596za7623704z00, BGl_z62lambda2596z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3181z00zzsaw_defsz00,
		BgL_bgl_za762lambda2274za7623705z00, BGl_z62lambda2274z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3350z00zzsaw_defsz00,
		BgL_bgl_string3350za700za7za7s3706za7, "(block ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3344z00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7d23707za7,
		BGl_z62dumpzd2funzd2rtl_call1781z62zzsaw_defsz00, 0L, BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3263z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3708za7,
		BGl_z62zc3z04anonymousza32581ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3182z00zzsaw_defsz00,
		BgL_bgl_za762lambda2272za7623709z00, BGl_z62lambda2272z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3351z00zzsaw_defsz00,
		BgL_bgl_string3351za700za7za7s3710za7, ":preds ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3264z00zzsaw_defsz00,
		BgL_bgl_za762lambda2579za7623711z00, BGl_z62lambda2579z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3183z00zzsaw_defsz00,
		BgL_bgl_za762lambda2310za7623712z00, BGl_z62lambda2310z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3352z00zzsaw_defsz00,
		BgL_bgl_string3352za700za7za7s3713za7, ":succs ", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3265z00zzsaw_defsz00,
		BgL_bgl_za762lambda2577za7623714z00, BGl_z62lambda2577z62zzsaw_defsz00, 0L,
		BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3184z00zzsaw_defsz00,
		BgL_bgl_za762lambda2309za7623715z00, BGl_z62lambda2309z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3353z00zzsaw_defsz00,
		BgL_bgl_string3353za700za7za7s3716za7, ")\n", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3266z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3717za7,
		BGl_z62zc3z04anonymousza32608ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3185z00zzsaw_defsz00,
		BgL_bgl_za762lambda2316za7623718z00, BGl_z62lambda2316z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3354z00zzsaw_defsz00,
		BgL_bgl_string3354za700za7za7s3719za7, "*", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3267z00zzsaw_defsz00,
		BgL_bgl_za762lambda2605za7623720z00, BGl_z62lambda2605z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3186z00zzsaw_defsz00,
		BgL_bgl_za762lambda2315za7623721z00, BGl_z62lambda2315z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3355z00zzsaw_defsz00,
		BgL_bgl_string3355za700za7za7s3722za7, "%", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3268z00zzsaw_defsz00,
		BgL_bgl_za762lambda2603za7623723z00, BGl_z62lambda2603z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3187z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3724za7,
		BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STRING(BGl_string3356z00zzsaw_defsz00,
		BgL_bgl_string3356za700za7za7s3725za7, "!", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3269z00zzsaw_defsz00,
		BgL_bgl_za762lambda2624za7623726z00, BGl_z62lambda2624z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3188z00zzsaw_defsz00,
		BgL_bgl_za762lambda2302za7623727z00, BGl_z62lambda2302z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3357z00zzsaw_defsz00,
		BgL_bgl_string3357za700za7za7s3728za7, "$", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3189z00zzsaw_defsz00,
		BgL_bgl_za762lambda2299za7623729z00, BGl_z62lambda2299z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3358z00zzsaw_defsz00,
		BgL_bgl_string3358za700za7za7s3730za7, "@", 1);
	      DEFINE_STRING(BGl_string3359z00zzsaw_defsz00,
		BgL_bgl_string3359za700za7za7s3731za7, "saw_defs", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2destzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des3732z00, BGl_z62rtl_inszd2destzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3733z00,
		BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nil3734z00, BGl_z62rtl_regzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3735z00,
		BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3736z00, BGl_z62rtl_regzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3270z00zzsaw_defsz00,
		BgL_bgl_za762lambda2623za7623737z00, BGl_z62lambda2623z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3271z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3738za7,
		BGl_z62zc3z04anonymousza32618ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3190z00zzsaw_defsz00,
		BgL_bgl_za762lambda2333za7623739z00, BGl_z62lambda2333z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3272z00zzsaw_defsz00,
		BgL_bgl_za762lambda2616za7623740z00, BGl_z62lambda2616z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3191z00zzsaw_defsz00,
		BgL_bgl_za762lambda2332za7623741z00, BGl_z62lambda2332z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3360z00zzsaw_defsz00,
		BgL_bgl_string3360za700za7za7s3742za7,
		"_ block pair first succs preds int label rtl_ins args fun dest %spill rtl_protected rtl_protect rtl_cast_null rtl_cast fromtype totype rtl_pragma format rtl_funcall rtl_lightfuncall rettype funs symbol rtl_apply rtl_call rtl_new pair-nil constr rtl_boxset rtl_vset rtl_setfield rtl_storeg rtl_effect rtl_boxref rtl_makebox rtl_instanceof rtl_vlength rtl_vref rtl_valloc vtype rtl_getfield objtype bstring rtl_globalref rtl_loadfun rtl_loadg rtl_loadi constant rtl_mov rtl_nop rtl_pure rtl_go to rtl_ifne rtl_ifeq then rtl_switch labels rtl_select patterns rtl_if rtl_notseq rtl_fail rtl_jumpexit rtl_return rtl_last rtl_fun loc saw_defs rtl_reg hardware key name onexpr? obj var type #(\"\" \" \" \"  \" \"   \" \"    \" \"     \" \"      \" \"       \") ",
		739);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3273z00zzsaw_defsz00,
		BgL_bgl_za762lambda2614za7623743z00, BGl_z62lambda2614z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3192z00zzsaw_defsz00,
		BgL_bgl_za762lambda2338za7623744z00, BGl_z62lambda2338z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3274z00zzsaw_defsz00,
		BgL_bgl_za762lambda2642za7623745z00, BGl_z62lambda2642z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3193z00zzsaw_defsz00,
		BgL_bgl_za762lambda2337za7623746z00, BGl_z62lambda2337z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_switchzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_sw3747z00,
		BGl_z62makezd2rtl_switchzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3275z00zzsaw_defsz00,
		BgL_bgl_za762lambda2641za7623748z00, BGl_z62lambda2641z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3194z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3749za7,
		BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3276z00zzsaw_defsz00,
		BgL_bgl_za762lambda2649za7623750z00, BGl_z62lambda2649z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3195z00zzsaw_defsz00,
		BgL_bgl_za762lambda2325za7623751z00, BGl_z62lambda2325z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzsaw_defsz00,
		BgL_bgl_za762lambda2648za7623752z00, BGl_z62lambda2648z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3196z00zzsaw_defsz00,
		BgL_bgl_za762lambda2323za7623753z00, BGl_z62lambda2323z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3278z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3754za7,
		BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3197z00zzsaw_defsz00,
		BgL_bgl_za762lambda2356za7623755z00, BGl_z62lambda2356z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzsaw_defsz00,
		BgL_bgl_za762lambda2634za7623756z00, BGl_z62lambda2634z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3198z00zzsaw_defsz00,
		BgL_bgl_za762lambda2355za7623757z00, BGl_z62lambda2355z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2nil3758z00, BGl_z62rtl_movzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3199z00zzsaw_defsz00,
		BgL_bgl_za762lambda2362za7623759z00, BGl_z62lambda2362z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2labelzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label3760z00, BGl_z62blockzd2labelzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3761z00,
		BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7f33762z00, BGl_z62rtl_storegzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73763z00,
		BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73764z00,
		BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadfunzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3765z00,
		BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzsaw_defsz00,
		BgL_bgl_za762lambda2632za7623766z00, BGl_z62lambda2632z62zzsaw_defsz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzsaw_defsz00,
		BgL_bgl_za762lambda2665za7623767z00, BGl_z62lambda2665z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3282z00zzsaw_defsz00,
		BgL_bgl_za762lambda2664za7623768z00, BGl_z62lambda2664z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3769za7,
		BGl_z62zc3z04anonymousza32660ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzsaw_defsz00,
		BgL_bgl_za762lambda2658za7623770z00, BGl_z62lambda2658z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzsaw_defsz00,
		BgL_bgl_za762lambda2656za7623771z00, BGl_z62lambda2656z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73772z00,
		BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_notseqzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23773z00,
		BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3286z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3774za7,
		BGl_z62zc3z04anonymousza32676ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3287z00zzsaw_defsz00,
		BgL_bgl_za762lambda2674za7623775z00, BGl_z62lambda2674z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3288z00zzsaw_defsz00,
		BgL_bgl_za762lambda2672za7623776z00, BGl_z62lambda2672z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3289z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3777za7,
		BGl_z62zc3z04anonymousza32686ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2predszd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3778z00, BGl_z62blockzd2predszb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3779z00,
		BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7f3780z00, BGl_z62rtl_loadfunzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d3781z00,
		BGl_z62rtl_protectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2formatzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23782z00,
		BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2lo3783z00, BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2vt3784z00,
		BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3785z00, BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7f3za793786za7, BGl_z62rtl_lastzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2inszd2rhszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2insza7d23787za7,
		BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3290z00zzsaw_defsz00,
		BgL_bgl_za762lambda2684za7623788z00, BGl_z62lambda2684z62zzsaw_defsz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3291z00zzsaw_defsz00,
		BgL_bgl_za762lambda2682za7623789z00, BGl_z62lambda2682z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3292z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3790za7,
		BGl_z62zc3z04anonymousza32704ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3293z00zzsaw_defsz00,
		BgL_bgl_za762lambda2703za7623791z00, BGl_z62lambda2703z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3294z00zzsaw_defsz00,
		BgL_bgl_za762lambda2702za7623792z00, BGl_z62lambda2702z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3295z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3793za7,
		BGl_z62zc3z04anonymousza32712ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23794z00,
		BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3296z00zzsaw_defsz00,
		BgL_bgl_za762lambda2711za7623795z00, BGl_z62lambda2711z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3297z00zzsaw_defsz00,
		BgL_bgl_za762lambda2710za7623796z00, BGl_z62lambda2710z62zzsaw_defsz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3298z00zzsaw_defsz00,
		BgL_bgl_za762za7c3za704anonymo3797za7,
		BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3299z00zzsaw_defsz00,
		BgL_bgl_za762lambda2719za7623798z00, BGl_z62lambda2719z62zzsaw_defsz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadfunzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3799z00,
		BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectedzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protected3800za7,
		BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7f33801z00, BGl_z62rtl_notseqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2constantzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2c3802z00,
		BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73803z00,
		BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2tozd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2toza7d3804za7,
		BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7f3za793805za7, BGl_z62rtl_ifnezf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ni3806z00, BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7f3za73807za7, BGl_z62rtl_loadgzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73808z00,
		BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3809za7,
		BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vs3810z00, BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadizd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3811z00,
		BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2labelszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23812z00,
		BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2lo3813z00, BGl_z62rtl_castzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2n3814z00, BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_jumpexitzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73815z00,
		BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxsetzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3816z00,
		BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_gozd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_go3817z00, BGl_z62makezd2rtl_gozb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23818z00,
		BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3819za7,
		BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2nilza73820za7, BGl_z62rtl_gozd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7d2lo3821z00, BGl_z62rtl_callzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23822z00,
		BGl_z62rtl_selectzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2ni3823z00, BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2loc3824z00, BGl_z62rtl_inszd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7f33825z00, BGl_z62rtl_pragmazf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3826z00,
		BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3827za7,
		BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73828za7,
		BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23829z00,
		BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lightfuncallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3830za7,
		BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_vrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_vr3831z00, BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2onexprzf3zd2setz12zd2envz33zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2one3832z00,
		BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vsetzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3833z00,
		BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_jumpexitzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ju3834z00,
		BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7f3835z00, BGl_z62rtl_funcallzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3836za7,
		BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23837z00,
		BGl_z62rtl_valloczd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7f3za791za73838z00, BGl_z62rtl_ifzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3839za7,
		BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_boxrefzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_bo3840z00,
		BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadfunzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadfunza7d3841z00,
		BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2loc3842z00, BGl_z62rtl_newzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73843z00, BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_storegzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23844z00,
		BGl_z62rtl_storegzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3845za7,
		BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7f3za791za73846z00, BGl_z62rtl_gozf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_callzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_callza7f3za793847za7, BGl_z62rtl_callzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_lastzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo3848z00, BGl_z62rtl_lastzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73849z00,
		BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_returnzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23850z00,
		BGl_z62rtl_returnzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7f33851z00, BGl_z62rtl_effectzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2fromtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2fr3852z00,
		BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23853z00,
		BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3854za7,
		BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_nopzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc3855z00, BGl_z62rtl_nopzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2predszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2preds3856z00,
		BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_notseqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no3857z00,
		BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2typ3858z00,
		BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_pragmazd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23859z00,
		BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2firstzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first3860z00,
		BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_cast_nullzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3861z00,
		BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2typ3862z00,
		BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7f3863z00, BGl_z62rtl_vlengthzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_nopzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_no3864z00, BGl_z62makezd2rtl_nopzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2thenzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th3865z00, BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7f3za793866za7, BGl_z62rtl_ifeqzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23867z00,
		BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_lightfuncallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_li3868z00,
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_newzd2constrzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3869z00,
		BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2l3870z00,
		BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3871za7, BGl_z62rtl_globalrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_setfieldzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73872z00, BGl_z62rtl_setfieldzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_instanceofzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3873za7,
		BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_applyzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_applyza7d2n3874z00, BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73875z00,
		BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3876z00, BGl_z62makezd2rtl_ifzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vrefzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty3877z00,
		BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_effectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_effectza7d23878z00,
		BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7f3za7913879za7, BGl_z62rtl_regzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_purezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pu3880z00, BGl_z62makezd2rtl_purezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7d2lo3881z00, BGl_z62rtl_failzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_regzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_re3882z00, BGl_z62makezd2rtl_regzb0zzsaw_defsz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxrefzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7d23883z00,
		BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifnezd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3884z00, BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_cast_nullzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3885za7,
		BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_getfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ge3886z00,
		BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funcallzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3887z00,
		BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_applyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ap3888z00,
		BGl_z62makezd2rtl_applyzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_castzd2totypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to3889z00,
		BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3890za7,
		BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2fun3891z00, BGl_z62rtl_inszd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_purezd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2lo3892z00,
		BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2namezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3893za7,
		BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_protectzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d3894z00,
		BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73895z00,
		BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3896za7, BGl_z62rtl_instanceofzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_selectzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23897z00,
		BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2labelszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23898z00,
		BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2lo3899z00, BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_newzd2constrzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_newza7d2con3900z00,
		BGl_z62rtl_newzd2constrzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_setfieldzd2objtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_setfieldza73901z00,
		BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2locza73902za7,
		BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762blockza7f3za791za7za73903za7, BGl_z62blockzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_castzd2totypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_castza7d2to3904z00,
		BGl_z62rtl_castzd2totypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_storegzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_st3905z00,
		BGl_z62makezd2rtl_storegzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_inszd2z52spillzd2envz52zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2za7523906za7,
		BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_pragmazd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3907z00,
		BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_boxrefza7f33908z00, BGl_z62rtl_boxrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23909z00,
		BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23910z00,
		BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3911z00,
		BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_notseqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_notseqza7d23912z00,
		BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_purezd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_pureza7d2ni3913z00, BGl_z62rtl_purezd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_instanceofzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in3914z00,
		BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_movzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc3915z00,
		BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifnezd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2th3916z00,
		BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_failzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_failza7f3za793917za7, BGl_z62rtl_failzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_cast_nullzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_cast_null3918za7, BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7f3za73919za7, BGl_z62rtl_loadizf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_getfieldzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73920z00,
		BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_ifeqzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_if3921z00, BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_nopzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_nopza7d2loc3922z00,
		BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2keyzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2key3923z00, BGl_z62rtl_regzd2keyzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2vtypezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3924z00,
		BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_ifeqzd2thenzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2th3925z00,
		BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7d2loc3926z00, BGl_z62rtl_movzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifza7d2nilza73927za7, BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_returnzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_returnza7d23928z00,
		BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_getfieldzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_getfieldza73929z00,
		BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_movzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_movza7f3za7913930za7, BGl_z62rtl_movzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7f3za793931za7, BGl_z62rtl_vrefzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_fu3932z00, BGl_z62makezd2rtl_funzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_storegzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_storegza7d23933z00,
		BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_setfieldzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_se3934z00,
		BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vlengthzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3935z00,
		BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3936za7,
		BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_globalrefzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3937za7,
		BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23938z00,
		BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_regzd2namezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2nam3939z00, BGl_z62rtl_regzd2namezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_funzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2loc3940z00,
		BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_blockzd2firstzd2envz00zzsaw_defsz00,
		BgL_bgl_za762blockza7d2first3941z00, BGl_z62blockzd2firstzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funcallzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funcallza7d3942z00,
		BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lastzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lastza7d2lo3943z00,
		BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_funzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_funza7d2nil3944z00, BGl_z62rtl_funzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_boxsetzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23945z00,
		BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2funza7b03946za7, BGl_z62dumpzd2funzb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2basiczd2blockszd2envzd2zzsaw_defsz00,
		BgL_bgl_za762dumpza7d2basicza73947za7,
		BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_lightfuncallzd2funszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_lightfunc3948za7,
		BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_inszd2destzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_insza7d2des3949z00,
		BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_loadgzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_lo3950z00,
		BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_switchzd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23951z00,
		BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2lo3952z00, BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_globalrefzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_globalref3953za7,
		BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2labelzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2label3954z00,
		BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_vlengthzd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vlengthza7d3955z00,
		BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_jumpexitzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_jumpexitza73956z00,
		BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_regza7d2var3957z00,
		BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadizd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadiza7d2l3958z00, BGl_z62rtl_loadizd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_inszd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_in3959z00, BGl_z62makezd2rtl_inszb0zzsaw_defsz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_protectedzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_pr3960z00,
		BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23961z00,
		BGl_z62rtl_switchzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_gozd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_goza7d2locza73962za7, BGl_z62rtl_gozd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7d23963z00,
		BGl_z62rtl_switchzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vrefzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vrefza7d2ty3964z00, BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_valloczd2typezd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23965z00,
		BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifnezd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifneza7d2lo3966z00, BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_selectzd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_selectza7d23967z00,
		BGl_z62rtl_selectzd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_switchzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_switchza7f33968z00, BGl_z62rtl_switchzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7d3969z00,
		BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_newzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ne3970z00, BGl_z62makezd2rtl_newzb0zzsaw_defsz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_instanceofzd2loczd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_instanceo3971za7,
		BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_loadgzd2varzd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v3972z00,
		BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_pragmazd2loczd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762rtl_pragmaza7d23973z00,
		BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_blockzd2succszd2setz12zd2envzc0zzsaw_defsz00,
		BgL_bgl_za762blockza7d2succs3974z00,
		BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_protectzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_protectza7d3975z00,
		BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_ifeqzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_ifeqza7d2ni3976z00, BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2n3977z00, BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_loadgzd2varzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_loadgza7d2v3978z00, BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_boxsetzd2nilzd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_boxsetza7d23979z00,
		BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_makeboxzf3zd2envz21zzsaw_defsz00,
		BgL_bgl_za762rtl_makeboxza7f3980z00, BGl_z62rtl_makeboxzf3z91zzsaw_defsz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rtl_callzd2envz00zzsaw_defsz00,
		BgL_bgl_za762makeza7d2rtl_ca3981z00, BGl_z62makezd2rtl_callzb0zzsaw_defsz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_vsetzd2vtypezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vsetza7d2vt3982z00,
		BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_valloczd2typezd2envz00zzsaw_defsz00,
		BgL_bgl_za762rtl_vallocza7d23983z00,
		BGl_z62rtl_valloczd2typezb0zzsaw_defsz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_rtl_insz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funcallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_funz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_newz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_pragmaz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifeqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_boxsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vlengthz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_purez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_makeboxz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vsetz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lightfuncallz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_regz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_vallocz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_cast_nullz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadfunz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_movz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_nopz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_jumpexitz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_switchz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_goz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifnez00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_instanceofz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_setfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_ifz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_callz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_selectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_storegz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_lastz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_returnz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_applyz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadgz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_loadiz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_notseqz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_failz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_castz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_globalrefz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_getfieldz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_effectz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_rtl_protectedz00zzsaw_defsz00));
		     ADD_ROOT((void *) (&BGl_blockz00zzsaw_defsz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long
		BgL_checksumz00_9529, char *BgL_fromz00_9530)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_defsz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_defsz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_defsz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_defsz00();
					BGl_cnstzd2initzd2zzsaw_defsz00();
					BGl_importedzd2moduleszd2initz00zzsaw_defsz00();
					BGl_objectzd2initzd2zzsaw_defsz00();
					BGl_genericzd2initzd2zzsaw_defsz00();
					BGl_methodzd2initzd2zzsaw_defsz00();
					return BGl_toplevelzd2initzd2zzsaw_defsz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_defs");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_defs");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 1 */
				obj_t BgL_cportz00_8178;

				{	/* SawMill/defs.scm 1 */
					obj_t BgL_stringz00_8186;

					BgL_stringz00_8186 = BGl_string3360z00zzsaw_defsz00;
					{	/* SawMill/defs.scm 1 */
						obj_t BgL_startz00_8187;

						BgL_startz00_8187 = BINT(((long) 0));
						{	/* SawMill/defs.scm 1 */
							obj_t BgL_endz00_8188;

							BgL_endz00_8188 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_8186)));
							{	/* SawMill/defs.scm 1 */

								BgL_cportz00_8178 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_8186, BgL_startz00_8187, BgL_endz00_8188);
				}}}}
				{
					long BgL_iz00_8179;

					BgL_iz00_8179 = ((long) 80);
				BgL_loopz00_8180:
					if ((BgL_iz00_8179 == ((long) -1)))
						{	/* SawMill/defs.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/defs.scm 1 */
							{	/* SawMill/defs.scm 1 */
								obj_t BgL_arg3362z00_8182;

								{	/* SawMill/defs.scm 1 */

									{	/* SawMill/defs.scm 1 */
										obj_t BgL_locationz00_8184;

										BgL_locationz00_8184 = BBOOL(((bool_t) 0));
										{	/* SawMill/defs.scm 1 */

											BgL_arg3362z00_8182 =
												BGl_readz00zz__readerz00(BgL_cportz00_8178,
												BgL_locationz00_8184);
										}
									}
								}
								{	/* SawMill/defs.scm 1 */
									int BgL_tmpz00_9563;

									BgL_tmpz00_9563 = (int) (BgL_iz00_8179);
									CNST_TABLE_SET(BgL_tmpz00_9563, BgL_arg3362z00_8182);
							}}
							{	/* SawMill/defs.scm 1 */
								int BgL_auxz00_8185;

								BgL_auxz00_8185 = (int) ((BgL_iz00_8179 - ((long) 1)));
								{
									long BgL_iz00_9568;

									BgL_iz00_9568 = (long) (BgL_auxz00_8185);
									BgL_iz00_8179 = BgL_iz00_9568;
									goto BgL_loopz00_8180;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_defsz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1856;

				BgL_headz00_1856 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1857;
					obj_t BgL_tailz00_1858;

					BgL_prevz00_1857 = BgL_headz00_1856;
					BgL_tailz00_1858 = BgL_l1z00_1;
				BgL_loopz00_1859:
					if (PAIRP(BgL_tailz00_1858))
						{
							obj_t BgL_newzd2prevzd2_1861;

							BgL_newzd2prevzd2_1861 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1858), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1857, BgL_newzd2prevzd2_1861);
							{
								obj_t BgL_tailz00_9578;
								obj_t BgL_prevz00_9577;

								BgL_prevz00_9577 = BgL_newzd2prevzd2_1861;
								BgL_tailz00_9578 = CDR(BgL_tailz00_1858);
								BgL_tailz00_1858 = BgL_tailz00_9578;
								BgL_prevz00_1857 = BgL_prevz00_9577;
								goto BgL_loopz00_1859;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1856);
				}
			}
		}

	}



/* make-rtl_reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzd2zzsaw_defsz00(BgL_typez00_bglt BgL_type1484z00_3,
		obj_t BgL_var1485z00_4, obj_t BgL_onexprzf31486zf3_5,
		obj_t BgL_name1487z00_6, obj_t BgL_key1488z00_7,
		obj_t BgL_hardware1489z00_8)
	{
		{	/* SawMill/defs.sch 509 */
			{	/* SawMill/defs.sch 509 */
				BgL_rtl_regz00_bglt BgL_new1338z00_8190;

				{	/* SawMill/defs.sch 509 */
					BgL_rtl_regz00_bglt BgL_new1337z00_8191;

					BgL_new1337z00_8191 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.sch 509 */
						long BgL_arg1789z00_8192;

						BgL_arg1789z00_8192 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1337z00_8191), BgL_arg1789z00_8192);
					}
					{	/* SawMill/defs.sch 509 */
						BgL_objectz00_bglt BgL_tmpz00_9585;

						BgL_tmpz00_9585 = ((BgL_objectz00_bglt) BgL_new1337z00_8191);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_9585, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1337z00_8191);
					BgL_new1338z00_8190 = BgL_new1337z00_8191;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1484z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->BgL_varz00) =
					((obj_t) BgL_var1485z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31486zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->BgL_namez00) =
					((obj_t) BgL_name1487z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->BgL_keyz00) =
					((obj_t) BgL_key1488z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1338z00_8190))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1489z00_8), BUNSPEC);
				return BgL_new1338z00_8190;
			}
		}

	}



/* &make-rtl_reg */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzb0zzsaw_defsz00(obj_t
		BgL_envz00_6505, obj_t BgL_type1484z00_6506, obj_t BgL_var1485z00_6507,
		obj_t BgL_onexprzf31486zf3_6508, obj_t BgL_name1487z00_6509,
		obj_t BgL_key1488z00_6510, obj_t BgL_hardware1489z00_6511)
	{
		{	/* SawMill/defs.sch 509 */
			return
				BGl_makezd2rtl_regzd2zzsaw_defsz00(
				((BgL_typez00_bglt) BgL_type1484z00_6506), BgL_var1485z00_6507,
				BgL_onexprzf31486zf3_6508, BgL_name1487z00_6509, BgL_key1488z00_6510,
				BgL_hardware1489z00_6511);
		}

	}



/* rtl_reg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf3zf3zzsaw_defsz00(obj_t BgL_objz00_9)
	{
		{	/* SawMill/defs.sch 510 */
			{	/* SawMill/defs.sch 510 */
				obj_t BgL_classz00_8193;

				BgL_classz00_8193 = BGl_rtl_regz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_9))
					{	/* SawMill/defs.sch 510 */
						BgL_objectz00_bglt BgL_arg1825z00_8194;

						BgL_arg1825z00_8194 = (BgL_objectz00_bglt) (BgL_objz00_9);
						{	/* SawMill/defs.sch 510 */
							bool_t BgL_arg1822z00_8195;
							bool_t BgL_arg1823z00_8196;

							{	/* SawMill/defs.sch 510 */
								long BgL_idxz00_8197;

								BgL_idxz00_8197 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8194);
								BgL_arg1822z00_8195 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8197 + ((long) 1))) == BgL_classz00_8193);
							}
							{	/* SawMill/defs.sch 510 */
								bool_t BgL_res3007z00_8200;

								{	/* SawMill/defs.sch 510 */
									obj_t BgL_oclassz00_8201;

									{	/* SawMill/defs.sch 510 */
										long BgL_arg1833z00_8202;

										{	/* SawMill/defs.sch 510 */
											long BgL_arg1834z00_8203;

											BgL_arg1834z00_8203 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8194);
											BgL_arg1833z00_8202 = (BgL_arg1834z00_8203 - OBJECT_TYPE);
										}
										BgL_oclassz00_8201 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8202);
									}
									{	/* SawMill/defs.sch 510 */
										bool_t BgL__ortest_1110z00_8204;

										BgL__ortest_1110z00_8204 =
											(BgL_classz00_8193 == BgL_oclassz00_8201);
										if (BgL__ortest_1110z00_8204)
											{	/* SawMill/defs.sch 510 */
												BgL_res3007z00_8200 = BgL__ortest_1110z00_8204;
											}
										else
											{	/* SawMill/defs.sch 510 */
												long BgL_odepthz00_8205;

												BgL_odepthz00_8205 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8201);
												if ((((long) 1) < BgL_odepthz00_8205))
													{	/* SawMill/defs.sch 510 */
														obj_t BgL_arg1821z00_8206;

														BgL_arg1821z00_8206 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8201,
															((long) 1));
														BgL_res3007z00_8200 =
															(BgL_arg1821z00_8206 == BgL_classz00_8193);
													}
												else
													{	/* SawMill/defs.sch 510 */
														BgL_res3007z00_8200 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8196 = BgL_res3007z00_8200;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8195, BgL_arg1823z00_8196);
						}
					}
				else
					{	/* SawMill/defs.sch 510 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg? */
	obj_t BGl_z62rtl_regzf3z91zzsaw_defsz00(obj_t BgL_envz00_6512,
		obj_t BgL_objz00_6513)
	{
		{	/* SawMill/defs.sch 510 */
			return BBOOL(BGl_rtl_regzf3zf3zzsaw_defsz00(BgL_objz00_6513));
		}

	}



/* rtl_reg-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt BGl_rtl_regzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 511 */
			{	/* SawMill/defs.sch 511 */
				obj_t BgL_classz00_4021;

				BgL_classz00_4021 = BGl_rtl_regz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 511 */
					obj_t BgL__ortest_1112z00_4022;

					BgL__ortest_1112z00_4022 = BGL_CLASS_NIL(BgL_classz00_4021);
					if (CBOOL(BgL__ortest_1112z00_4022))
						{	/* SawMill/defs.sch 511 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1112z00_4022);
						}
					else
						{	/* SawMill/defs.sch 511 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4021));
						}
				}
			}
		}

	}



/* &rtl_reg-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6514)
	{
		{	/* SawMill/defs.sch 511 */
			return BGl_rtl_regzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_reg-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_10)
	{
		{	/* SawMill/defs.sch 512 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_10))->BgL_hardwarez00);
		}

	}



/* &rtl_reg-hardware */
	obj_t BGl_z62rtl_regzd2hardwarezb0zzsaw_defsz00(obj_t BgL_envz00_6515,
		obj_t BgL_oz00_6516)
	{
		{	/* SawMill/defs.sch 512 */
			return
				BGl_rtl_regzd2hardwarezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6516));
		}

	}



/* rtl_reg-key */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2keyzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_13)
	{
		{	/* SawMill/defs.sch 514 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_13))->BgL_keyz00);
		}

	}



/* &rtl_reg-key */
	obj_t BGl_z62rtl_regzd2keyzb0zzsaw_defsz00(obj_t BgL_envz00_6517,
		obj_t BgL_oz00_6518)
	{
		{	/* SawMill/defs.sch 514 */
			return
				BGl_rtl_regzd2keyzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6518));
		}

	}



/* rtl_reg-name */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2namezd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/defs.sch 516 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_16))->BgL_namez00);
		}

	}



/* &rtl_reg-name */
	obj_t BGl_z62rtl_regzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_6519,
		obj_t BgL_oz00_6520)
	{
		{	/* SawMill/defs.sch 516 */
			return
				BGl_rtl_regzd2namezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6520));
		}

	}



/* rtl_reg-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_19)
	{
		{	/* SawMill/defs.sch 518 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_19))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg-onexpr? */
	obj_t BGl_z62rtl_regzd2onexprzf3z43zzsaw_defsz00(obj_t BgL_envz00_6521,
		obj_t BgL_oz00_6522)
	{
		{	/* SawMill/defs.sch 518 */
			return
				BGl_rtl_regzd2onexprzf3z21zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6522));
		}

	}



/* rtl_reg-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/defs.sch 519 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_20))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &rtl_reg-onexpr?-set! */
	obj_t BGl_z62rtl_regzd2onexprzf3zd2setz12z83zzsaw_defsz00(obj_t
		BgL_envz00_6523, obj_t BgL_oz00_6524, obj_t BgL_vz00_6525)
	{
		{	/* SawMill/defs.sch 519 */
			return
				BGl_rtl_regzd2onexprzf3zd2setz12ze1zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6524), BgL_vz00_6525);
		}

	}



/* rtl_reg-var */
	BGL_EXPORTED_DEF obj_t BGl_rtl_regzd2varzd2zzsaw_defsz00(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/defs.sch 520 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_22))->BgL_varz00);
		}

	}



/* &rtl_reg-var */
	obj_t BGl_z62rtl_regzd2varzb0zzsaw_defsz00(obj_t BgL_envz00_6526,
		obj_t BgL_oz00_6527)
	{
		{	/* SawMill/defs.sch 520 */
			return
				BGl_rtl_regzd2varzd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6527));
		}

	}



/* rtl_reg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_23,
		obj_t BgL_vz00_24)
	{
		{	/* SawMill/defs.sch 521 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_23))->BgL_varz00) =
				((obj_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &rtl_reg-var-set! */
	obj_t BGl_z62rtl_regzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6528,
		obj_t BgL_oz00_6529, obj_t BgL_vz00_6530)
	{
		{	/* SawMill/defs.sch 521 */
			return
				BGl_rtl_regzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6529), BgL_vz00_6530);
		}

	}



/* rtl_reg-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzd2typezd2zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_25)
	{
		{	/* SawMill/defs.sch 522 */
			return (((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_25))->BgL_typez00);
		}

	}



/* &rtl_reg-type */
	BgL_typez00_bglt BGl_z62rtl_regzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_6531,
		obj_t BgL_oz00_6532)
	{
		{	/* SawMill/defs.sch 522 */
			return
				BGl_rtl_regzd2typezd2zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6532));
		}

	}



/* rtl_reg-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_regz00_bglt BgL_oz00_26,
		BgL_typez00_bglt BgL_vz00_27)
	{
		{	/* SawMill/defs.sch 523 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_oz00_26))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_27), BUNSPEC);
		}

	}



/* &rtl_reg-type-set! */
	obj_t BGl_z62rtl_regzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6533,
		obj_t BgL_oz00_6534, obj_t BgL_vz00_6535)
	{
		{	/* SawMill/defs.sch 523 */
			return
				BGl_rtl_regzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_regz00_bglt) BgL_oz00_6534),
				((BgL_typez00_bglt) BgL_vz00_6535));
		}

	}



/* make-rtl_fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_makezd2rtl_funzd2zzsaw_defsz00(obj_t
		BgL_loc1482z00_28)
	{
		{	/* SawMill/defs.sch 526 */
			{	/* SawMill/defs.sch 526 */
				BgL_rtl_funz00_bglt BgL_new1340z00_8207;

				{	/* SawMill/defs.sch 526 */
					BgL_rtl_funz00_bglt BgL_new1339z00_8208;

					BgL_new1339z00_8208 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.sch 526 */
						long BgL_arg1799z00_8209;

						BgL_arg1799z00_8209 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1339z00_8208), BgL_arg1799z00_8209);
					}
					BgL_new1340z00_8207 = BgL_new1339z00_8208;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1340z00_8207))->BgL_locz00) =
					((obj_t) BgL_loc1482z00_28), BUNSPEC);
				return BgL_new1340z00_8207;
			}
		}

	}



/* &make-rtl_fun */
	BgL_rtl_funz00_bglt BGl_z62makezd2rtl_funzb0zzsaw_defsz00(obj_t
		BgL_envz00_6536, obj_t BgL_loc1482z00_6537)
	{
		{	/* SawMill/defs.sch 526 */
			return BGl_makezd2rtl_funzd2zzsaw_defsz00(BgL_loc1482z00_6537);
		}

	}



/* rtl_fun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funzf3zf3zzsaw_defsz00(obj_t BgL_objz00_29)
	{
		{	/* SawMill/defs.sch 527 */
			{	/* SawMill/defs.sch 527 */
				obj_t BgL_classz00_8210;

				BgL_classz00_8210 = BGl_rtl_funz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_29))
					{	/* SawMill/defs.sch 527 */
						BgL_objectz00_bglt BgL_arg1825z00_8211;

						BgL_arg1825z00_8211 = (BgL_objectz00_bglt) (BgL_objz00_29);
						{	/* SawMill/defs.sch 527 */
							bool_t BgL_arg1822z00_8212;
							bool_t BgL_arg1823z00_8213;

							{	/* SawMill/defs.sch 527 */
								long BgL_idxz00_8214;

								BgL_idxz00_8214 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8211);
								BgL_arg1822z00_8212 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8214 + ((long) 1))) == BgL_classz00_8210);
							}
							{	/* SawMill/defs.sch 527 */
								bool_t BgL_res3008z00_8217;

								{	/* SawMill/defs.sch 527 */
									obj_t BgL_oclassz00_8218;

									{	/* SawMill/defs.sch 527 */
										long BgL_arg1833z00_8219;

										{	/* SawMill/defs.sch 527 */
											long BgL_arg1834z00_8220;

											BgL_arg1834z00_8220 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8211);
											BgL_arg1833z00_8219 = (BgL_arg1834z00_8220 - OBJECT_TYPE);
										}
										BgL_oclassz00_8218 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8219);
									}
									{	/* SawMill/defs.sch 527 */
										bool_t BgL__ortest_1110z00_8221;

										BgL__ortest_1110z00_8221 =
											(BgL_classz00_8210 == BgL_oclassz00_8218);
										if (BgL__ortest_1110z00_8221)
											{	/* SawMill/defs.sch 527 */
												BgL_res3008z00_8217 = BgL__ortest_1110z00_8221;
											}
										else
											{	/* SawMill/defs.sch 527 */
												long BgL_odepthz00_8222;

												BgL_odepthz00_8222 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8218);
												if ((((long) 1) < BgL_odepthz00_8222))
													{	/* SawMill/defs.sch 527 */
														obj_t BgL_arg1821z00_8223;

														BgL_arg1821z00_8223 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8218,
															((long) 1));
														BgL_res3008z00_8217 =
															(BgL_arg1821z00_8223 == BgL_classz00_8210);
													}
												else
													{	/* SawMill/defs.sch 527 */
														BgL_res3008z00_8217 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8213 = BgL_res3008z00_8217;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8212, BgL_arg1823z00_8213);
						}
					}
				else
					{	/* SawMill/defs.sch 527 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fun? */
	obj_t BGl_z62rtl_funzf3z91zzsaw_defsz00(obj_t BgL_envz00_6538,
		obj_t BgL_objz00_6539)
	{
		{	/* SawMill/defs.sch 527 */
			return BBOOL(BGl_rtl_funzf3zf3zzsaw_defsz00(BgL_objz00_6539));
		}

	}



/* rtl_fun-nil */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt BGl_rtl_funzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 528 */
			{	/* SawMill/defs.sch 528 */
				obj_t BgL_classz00_4061;

				BgL_classz00_4061 = BGl_rtl_funz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 528 */
					obj_t BgL__ortest_1112z00_4062;

					BgL__ortest_1112z00_4062 = BGL_CLASS_NIL(BgL_classz00_4061);
					if (CBOOL(BgL__ortest_1112z00_4062))
						{	/* SawMill/defs.sch 528 */
							return ((BgL_rtl_funz00_bglt) BgL__ortest_1112z00_4062);
						}
					else
						{	/* SawMill/defs.sch 528 */
							return
								((BgL_rtl_funz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4061));
						}
				}
			}
		}

	}



/* &rtl_fun-nil */
	BgL_rtl_funz00_bglt BGl_z62rtl_funzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6540)
	{
		{	/* SawMill/defs.sch 528 */
			return BGl_rtl_funzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fun-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_funzd2loczd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_30)
	{
		{	/* SawMill/defs.sch 529 */
			return (((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_30))->BgL_locz00);
		}

	}



/* &rtl_fun-loc */
	obj_t BGl_z62rtl_funzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6541,
		obj_t BgL_oz00_6542)
	{
		{	/* SawMill/defs.sch 529 */
			return
				BGl_rtl_funzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6542));
		}

	}



/* rtl_fun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_31,
		obj_t BgL_vz00_32)
	{
		{	/* SawMill/defs.sch 530 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_oz00_31))->BgL_locz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}

	}



/* &rtl_fun-loc-set! */
	obj_t BGl_z62rtl_funzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6543,
		obj_t BgL_oz00_6544, obj_t BgL_vz00_6545)
	{
		{	/* SawMill/defs.sch 530 */
			return
				BGl_rtl_funzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_6544), BgL_vz00_6545);
		}

	}



/* make-rtl_last */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt
		BGl_makezd2rtl_lastzd2zzsaw_defsz00(obj_t BgL_loc1479z00_33)
	{
		{	/* SawMill/defs.sch 533 */
			{	/* SawMill/defs.sch 533 */
				BgL_rtl_lastz00_bglt BgL_new1342z00_8224;

				{	/* SawMill/defs.sch 533 */
					BgL_rtl_lastz00_bglt BgL_new1341z00_8225;

					BgL_new1341z00_8225 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.sch 533 */
						long BgL_arg1801z00_8226;

						BgL_arg1801z00_8226 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1341z00_8225), BgL_arg1801z00_8226);
					}
					BgL_new1342z00_8224 = BgL_new1341z00_8225;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1342z00_8224)))->BgL_locz00) =
					((obj_t) BgL_loc1479z00_33), BUNSPEC);
				return BgL_new1342z00_8224;
			}
		}

	}



/* &make-rtl_last */
	BgL_rtl_lastz00_bglt BGl_z62makezd2rtl_lastzb0zzsaw_defsz00(obj_t
		BgL_envz00_6546, obj_t BgL_loc1479z00_6547)
	{
		{	/* SawMill/defs.sch 533 */
			return BGl_makezd2rtl_lastzd2zzsaw_defsz00(BgL_loc1479z00_6547);
		}

	}



/* rtl_last? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lastzf3zf3zzsaw_defsz00(obj_t BgL_objz00_34)
	{
		{	/* SawMill/defs.sch 534 */
			{	/* SawMill/defs.sch 534 */
				obj_t BgL_classz00_8227;

				BgL_classz00_8227 = BGl_rtl_lastz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_34))
					{	/* SawMill/defs.sch 534 */
						BgL_objectz00_bglt BgL_arg1825z00_8228;

						BgL_arg1825z00_8228 = (BgL_objectz00_bglt) (BgL_objz00_34);
						{	/* SawMill/defs.sch 534 */
							bool_t BgL_arg1822z00_8229;
							bool_t BgL_arg1823z00_8230;

							{	/* SawMill/defs.sch 534 */
								long BgL_idxz00_8231;

								BgL_idxz00_8231 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8228);
								BgL_arg1822z00_8229 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8231 + ((long) 2))) == BgL_classz00_8227);
							}
							{	/* SawMill/defs.sch 534 */
								bool_t BgL_res3009z00_8234;

								{	/* SawMill/defs.sch 534 */
									obj_t BgL_oclassz00_8235;

									{	/* SawMill/defs.sch 534 */
										long BgL_arg1833z00_8236;

										{	/* SawMill/defs.sch 534 */
											long BgL_arg1834z00_8237;

											BgL_arg1834z00_8237 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8228);
											BgL_arg1833z00_8236 = (BgL_arg1834z00_8237 - OBJECT_TYPE);
										}
										BgL_oclassz00_8235 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8236);
									}
									{	/* SawMill/defs.sch 534 */
										bool_t BgL__ortest_1110z00_8238;

										BgL__ortest_1110z00_8238 =
											(BgL_classz00_8227 == BgL_oclassz00_8235);
										if (BgL__ortest_1110z00_8238)
											{	/* SawMill/defs.sch 534 */
												BgL_res3009z00_8234 = BgL__ortest_1110z00_8238;
											}
										else
											{	/* SawMill/defs.sch 534 */
												long BgL_odepthz00_8239;

												BgL_odepthz00_8239 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8235);
												if ((((long) 2) < BgL_odepthz00_8239))
													{	/* SawMill/defs.sch 534 */
														obj_t BgL_arg1821z00_8240;

														BgL_arg1821z00_8240 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8235,
															((long) 2));
														BgL_res3009z00_8234 =
															(BgL_arg1821z00_8240 == BgL_classz00_8227);
													}
												else
													{	/* SawMill/defs.sch 534 */
														BgL_res3009z00_8234 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8230 = BgL_res3009z00_8234;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8229, BgL_arg1823z00_8230);
						}
					}
				else
					{	/* SawMill/defs.sch 534 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_last? */
	obj_t BGl_z62rtl_lastzf3z91zzsaw_defsz00(obj_t BgL_envz00_6548,
		obj_t BgL_objz00_6549)
	{
		{	/* SawMill/defs.sch 534 */
			return BBOOL(BGl_rtl_lastzf3zf3zzsaw_defsz00(BgL_objz00_6549));
		}

	}



/* rtl_last-nil */
	BGL_EXPORTED_DEF BgL_rtl_lastz00_bglt BGl_rtl_lastzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 535 */
			{	/* SawMill/defs.sch 535 */
				obj_t BgL_classz00_4101;

				BgL_classz00_4101 = BGl_rtl_lastz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 535 */
					obj_t BgL__ortest_1112z00_4102;

					BgL__ortest_1112z00_4102 = BGL_CLASS_NIL(BgL_classz00_4101);
					if (CBOOL(BgL__ortest_1112z00_4102))
						{	/* SawMill/defs.sch 535 */
							return ((BgL_rtl_lastz00_bglt) BgL__ortest_1112z00_4102);
						}
					else
						{	/* SawMill/defs.sch 535 */
							return
								((BgL_rtl_lastz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4101));
						}
				}
			}
		}

	}



/* &rtl_last-nil */
	BgL_rtl_lastz00_bglt BGl_z62rtl_lastzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6550)
	{
		{	/* SawMill/defs.sch 535 */
			return BGl_rtl_lastzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_last-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_lastzd2loczd2zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_35)
	{
		{	/* SawMill/defs.sch 536 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_35)))->BgL_locz00);
		}

	}



/* &rtl_last-loc */
	obj_t BGl_z62rtl_lastzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6551,
		obj_t BgL_oz00_6552)
	{
		{	/* SawMill/defs.sch 536 */
			return
				BGl_rtl_lastzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6552));
		}

	}



/* rtl_last-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_lastz00_bglt
		BgL_oz00_36, obj_t BgL_vz00_37)
	{
		{	/* SawMill/defs.sch 537 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_36)))->BgL_locz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}

	}



/* &rtl_last-loc-set! */
	obj_t BGl_z62rtl_lastzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6553,
		obj_t BgL_oz00_6554, obj_t BgL_vz00_6555)
	{
		{	/* SawMill/defs.sch 537 */
			return
				BGl_rtl_lastzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lastz00_bglt) BgL_oz00_6554), BgL_vz00_6555);
		}

	}



/* make-rtl_return */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt
		BGl_makezd2rtl_returnzd2zzsaw_defsz00(obj_t BgL_loc1476z00_38,
		BgL_typez00_bglt BgL_type1477z00_39)
	{
		{	/* SawMill/defs.sch 540 */
			{	/* SawMill/defs.sch 540 */
				BgL_rtl_returnz00_bglt BgL_new1344z00_8241;

				{	/* SawMill/defs.sch 540 */
					BgL_rtl_returnz00_bglt BgL_new1343z00_8242;

					BgL_new1343z00_8242 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.sch 540 */
						long BgL_arg1805z00_8243;

						BgL_arg1805z00_8243 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1343z00_8242), BgL_arg1805z00_8243);
					}
					BgL_new1344z00_8241 = BgL_new1343z00_8242;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1344z00_8241)))->BgL_locz00) =
					((obj_t) BgL_loc1476z00_38), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1344z00_8241))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1477z00_39), BUNSPEC);
				return BgL_new1344z00_8241;
			}
		}

	}



/* &make-rtl_return */
	BgL_rtl_returnz00_bglt BGl_z62makezd2rtl_returnzb0zzsaw_defsz00(obj_t
		BgL_envz00_6556, obj_t BgL_loc1476z00_6557, obj_t BgL_type1477z00_6558)
	{
		{	/* SawMill/defs.sch 540 */
			return
				BGl_makezd2rtl_returnzd2zzsaw_defsz00(BgL_loc1476z00_6557,
				((BgL_typez00_bglt) BgL_type1477z00_6558));
		}

	}



/* rtl_return? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_returnzf3zf3zzsaw_defsz00(obj_t BgL_objz00_40)
	{
		{	/* SawMill/defs.sch 541 */
			{	/* SawMill/defs.sch 541 */
				obj_t BgL_classz00_8244;

				BgL_classz00_8244 = BGl_rtl_returnz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_40))
					{	/* SawMill/defs.sch 541 */
						BgL_objectz00_bglt BgL_arg1825z00_8245;

						BgL_arg1825z00_8245 = (BgL_objectz00_bglt) (BgL_objz00_40);
						{	/* SawMill/defs.sch 541 */
							bool_t BgL_arg1822z00_8246;
							bool_t BgL_arg1823z00_8247;

							{	/* SawMill/defs.sch 541 */
								long BgL_idxz00_8248;

								BgL_idxz00_8248 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8245);
								BgL_arg1822z00_8246 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8248 + ((long) 3))) == BgL_classz00_8244);
							}
							{	/* SawMill/defs.sch 541 */
								bool_t BgL_res3010z00_8251;

								{	/* SawMill/defs.sch 541 */
									obj_t BgL_oclassz00_8252;

									{	/* SawMill/defs.sch 541 */
										long BgL_arg1833z00_8253;

										{	/* SawMill/defs.sch 541 */
											long BgL_arg1834z00_8254;

											BgL_arg1834z00_8254 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8245);
											BgL_arg1833z00_8253 = (BgL_arg1834z00_8254 - OBJECT_TYPE);
										}
										BgL_oclassz00_8252 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8253);
									}
									{	/* SawMill/defs.sch 541 */
										bool_t BgL__ortest_1110z00_8255;

										BgL__ortest_1110z00_8255 =
											(BgL_classz00_8244 == BgL_oclassz00_8252);
										if (BgL__ortest_1110z00_8255)
											{	/* SawMill/defs.sch 541 */
												BgL_res3010z00_8251 = BgL__ortest_1110z00_8255;
											}
										else
											{	/* SawMill/defs.sch 541 */
												long BgL_odepthz00_8256;

												BgL_odepthz00_8256 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8252);
												if ((((long) 3) < BgL_odepthz00_8256))
													{	/* SawMill/defs.sch 541 */
														obj_t BgL_arg1821z00_8257;

														BgL_arg1821z00_8257 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8252,
															((long) 3));
														BgL_res3010z00_8251 =
															(BgL_arg1821z00_8257 == BgL_classz00_8244);
													}
												else
													{	/* SawMill/defs.sch 541 */
														BgL_res3010z00_8251 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8247 = BgL_res3010z00_8251;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8246, BgL_arg1823z00_8247);
						}
					}
				else
					{	/* SawMill/defs.sch 541 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_return? */
	obj_t BGl_z62rtl_returnzf3z91zzsaw_defsz00(obj_t BgL_envz00_6559,
		obj_t BgL_objz00_6560)
	{
		{	/* SawMill/defs.sch 541 */
			return BBOOL(BGl_rtl_returnzf3zf3zzsaw_defsz00(BgL_objz00_6560));
		}

	}



/* rtl_return-nil */
	BGL_EXPORTED_DEF BgL_rtl_returnz00_bglt BGl_rtl_returnzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 542 */
			{	/* SawMill/defs.sch 542 */
				obj_t BgL_classz00_4141;

				BgL_classz00_4141 = BGl_rtl_returnz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 542 */
					obj_t BgL__ortest_1112z00_4142;

					BgL__ortest_1112z00_4142 = BGL_CLASS_NIL(BgL_classz00_4141);
					if (CBOOL(BgL__ortest_1112z00_4142))
						{	/* SawMill/defs.sch 542 */
							return ((BgL_rtl_returnz00_bglt) BgL__ortest_1112z00_4142);
						}
					else
						{	/* SawMill/defs.sch 542 */
							return
								((BgL_rtl_returnz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4141));
						}
				}
			}
		}

	}



/* &rtl_return-nil */
	BgL_rtl_returnz00_bglt BGl_z62rtl_returnzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6561)
	{
		{	/* SawMill/defs.sch 542 */
			return BGl_rtl_returnzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_return-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_returnzd2typezd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_41)
	{
		{	/* SawMill/defs.sch 543 */
			return (((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_41))->BgL_typez00);
		}

	}



/* &rtl_return-type */
	BgL_typez00_bglt BGl_z62rtl_returnzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6562, obj_t BgL_oz00_6563)
	{
		{	/* SawMill/defs.sch 543 */
			return
				BGl_rtl_returnzd2typezd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6563));
		}

	}



/* rtl_return-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_42, BgL_typez00_bglt BgL_vz00_43)
	{
		{	/* SawMill/defs.sch 544 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_oz00_42))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_43), BUNSPEC);
		}

	}



/* &rtl_return-type-set! */
	obj_t BGl_z62rtl_returnzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6564,
		obj_t BgL_oz00_6565, obj_t BgL_vz00_6566)
	{
		{	/* SawMill/defs.sch 544 */
			return
				BGl_rtl_returnzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6565),
				((BgL_typez00_bglt) BgL_vz00_6566));
		}

	}



/* rtl_return-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2zzsaw_defsz00(BgL_rtl_returnz00_bglt BgL_oz00_44)
	{
		{	/* SawMill/defs.sch 545 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_44)))->BgL_locz00);
		}

	}



/* &rtl_return-loc */
	obj_t BGl_z62rtl_returnzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6567,
		obj_t BgL_oz00_6568)
	{
		{	/* SawMill/defs.sch 545 */
			return
				BGl_rtl_returnzd2loczd2zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6568));
		}

	}



/* rtl_return-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_returnz00_bglt
		BgL_oz00_45, obj_t BgL_vz00_46)
	{
		{	/* SawMill/defs.sch 546 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_45)))->BgL_locz00) =
				((obj_t) BgL_vz00_46), BUNSPEC);
		}

	}



/* &rtl_return-loc-set! */
	obj_t BGl_z62rtl_returnzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6569,
		obj_t BgL_oz00_6570, obj_t BgL_vz00_6571)
	{
		{	/* SawMill/defs.sch 546 */
			return
				BGl_rtl_returnzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_returnz00_bglt) BgL_oz00_6570), BgL_vz00_6571);
		}

	}



/* make-rtl_jumpexit */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(obj_t BgL_loc1474z00_47)
	{
		{	/* SawMill/defs.sch 549 */
			{	/* SawMill/defs.sch 549 */
				BgL_rtl_jumpexitz00_bglt BgL_new1346z00_8258;

				{	/* SawMill/defs.sch 549 */
					BgL_rtl_jumpexitz00_bglt BgL_new1345z00_8259;

					BgL_new1345z00_8259 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.sch 549 */
						long BgL_arg1807z00_8260;

						BgL_arg1807z00_8260 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1345z00_8259), BgL_arg1807z00_8260);
					}
					BgL_new1346z00_8258 = BgL_new1345z00_8259;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1346z00_8258)))->BgL_locz00) =
					((obj_t) BgL_loc1474z00_47), BUNSPEC);
				return BgL_new1346z00_8258;
			}
		}

	}



/* &make-rtl_jumpexit */
	BgL_rtl_jumpexitz00_bglt BGl_z62makezd2rtl_jumpexitzb0zzsaw_defsz00(obj_t
		BgL_envz00_6572, obj_t BgL_loc1474z00_6573)
	{
		{	/* SawMill/defs.sch 549 */
			return BGl_makezd2rtl_jumpexitzd2zzsaw_defsz00(BgL_loc1474z00_6573);
		}

	}



/* rtl_jumpexit? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_48)
	{
		{	/* SawMill/defs.sch 550 */
			{	/* SawMill/defs.sch 550 */
				obj_t BgL_classz00_8261;

				BgL_classz00_8261 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_48))
					{	/* SawMill/defs.sch 550 */
						BgL_objectz00_bglt BgL_arg1825z00_8262;

						BgL_arg1825z00_8262 = (BgL_objectz00_bglt) (BgL_objz00_48);
						{	/* SawMill/defs.sch 550 */
							bool_t BgL_arg1822z00_8263;
							bool_t BgL_arg1823z00_8264;

							{	/* SawMill/defs.sch 550 */
								long BgL_idxz00_8265;

								BgL_idxz00_8265 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8262);
								BgL_arg1822z00_8263 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8265 + ((long) 3))) == BgL_classz00_8261);
							}
							{	/* SawMill/defs.sch 550 */
								bool_t BgL_res3011z00_8268;

								{	/* SawMill/defs.sch 550 */
									obj_t BgL_oclassz00_8269;

									{	/* SawMill/defs.sch 550 */
										long BgL_arg1833z00_8270;

										{	/* SawMill/defs.sch 550 */
											long BgL_arg1834z00_8271;

											BgL_arg1834z00_8271 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8262);
											BgL_arg1833z00_8270 = (BgL_arg1834z00_8271 - OBJECT_TYPE);
										}
										BgL_oclassz00_8269 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8270);
									}
									{	/* SawMill/defs.sch 550 */
										bool_t BgL__ortest_1110z00_8272;

										BgL__ortest_1110z00_8272 =
											(BgL_classz00_8261 == BgL_oclassz00_8269);
										if (BgL__ortest_1110z00_8272)
											{	/* SawMill/defs.sch 550 */
												BgL_res3011z00_8268 = BgL__ortest_1110z00_8272;
											}
										else
											{	/* SawMill/defs.sch 550 */
												long BgL_odepthz00_8273;

												BgL_odepthz00_8273 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8269);
												if ((((long) 3) < BgL_odepthz00_8273))
													{	/* SawMill/defs.sch 550 */
														obj_t BgL_arg1821z00_8274;

														BgL_arg1821z00_8274 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8269,
															((long) 3));
														BgL_res3011z00_8268 =
															(BgL_arg1821z00_8274 == BgL_classz00_8261);
													}
												else
													{	/* SawMill/defs.sch 550 */
														BgL_res3011z00_8268 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8264 = BgL_res3011z00_8268;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8263, BgL_arg1823z00_8264);
						}
					}
				else
					{	/* SawMill/defs.sch 550 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_jumpexit? */
	obj_t BGl_z62rtl_jumpexitzf3z91zzsaw_defsz00(obj_t BgL_envz00_6574,
		obj_t BgL_objz00_6575)
	{
		{	/* SawMill/defs.sch 550 */
			return BBOOL(BGl_rtl_jumpexitzf3zf3zzsaw_defsz00(BgL_objz00_6575));
		}

	}



/* rtl_jumpexit-nil */
	BGL_EXPORTED_DEF BgL_rtl_jumpexitz00_bglt
		BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 551 */
			{	/* SawMill/defs.sch 551 */
				obj_t BgL_classz00_4181;

				BgL_classz00_4181 = BGl_rtl_jumpexitz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 551 */
					obj_t BgL__ortest_1112z00_4182;

					BgL__ortest_1112z00_4182 = BGL_CLASS_NIL(BgL_classz00_4181);
					if (CBOOL(BgL__ortest_1112z00_4182))
						{	/* SawMill/defs.sch 551 */
							return ((BgL_rtl_jumpexitz00_bglt) BgL__ortest_1112z00_4182);
						}
					else
						{	/* SawMill/defs.sch 551 */
							return
								((BgL_rtl_jumpexitz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4181));
						}
				}
			}
		}

	}



/* &rtl_jumpexit-nil */
	BgL_rtl_jumpexitz00_bglt BGl_z62rtl_jumpexitzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6576)
	{
		{	/* SawMill/defs.sch 551 */
			return BGl_rtl_jumpexitzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_jumpexit-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt BgL_oz00_49)
	{
		{	/* SawMill/defs.sch 552 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_49)))->BgL_locz00);
		}

	}



/* &rtl_jumpexit-loc */
	obj_t BGl_z62rtl_jumpexitzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6577,
		obj_t BgL_oz00_6578)
	{
		{	/* SawMill/defs.sch 552 */
			return
				BGl_rtl_jumpexitzd2loczd2zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6578));
		}

	}



/* rtl_jumpexit-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_jumpexitz00_bglt
		BgL_oz00_50, obj_t BgL_vz00_51)
	{
		{	/* SawMill/defs.sch 553 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_50)))->BgL_locz00) =
				((obj_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_jumpexit-loc-set! */
	obj_t BGl_z62rtl_jumpexitzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6579, obj_t BgL_oz00_6580, obj_t BgL_vz00_6581)
	{
		{	/* SawMill/defs.sch 553 */
			return
				BGl_rtl_jumpexitzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_jumpexitz00_bglt) BgL_oz00_6580), BgL_vz00_6581);
		}

	}



/* make-rtl_fail */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt
		BGl_makezd2rtl_failzd2zzsaw_defsz00(obj_t BgL_loc1472z00_52)
	{
		{	/* SawMill/defs.sch 556 */
			{	/* SawMill/defs.sch 556 */
				BgL_rtl_failz00_bglt BgL_new1348z00_8275;

				{	/* SawMill/defs.sch 556 */
					BgL_rtl_failz00_bglt BgL_new1347z00_8276;

					BgL_new1347z00_8276 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.sch 556 */
						long BgL_arg1808z00_8277;

						BgL_arg1808z00_8277 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1347z00_8276), BgL_arg1808z00_8277);
					}
					BgL_new1348z00_8275 = BgL_new1347z00_8276;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1348z00_8275)))->BgL_locz00) =
					((obj_t) BgL_loc1472z00_52), BUNSPEC);
				return BgL_new1348z00_8275;
			}
		}

	}



/* &make-rtl_fail */
	BgL_rtl_failz00_bglt BGl_z62makezd2rtl_failzb0zzsaw_defsz00(obj_t
		BgL_envz00_6582, obj_t BgL_loc1472z00_6583)
	{
		{	/* SawMill/defs.sch 556 */
			return BGl_makezd2rtl_failzd2zzsaw_defsz00(BgL_loc1472z00_6583);
		}

	}



/* rtl_fail? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_failzf3zf3zzsaw_defsz00(obj_t BgL_objz00_53)
	{
		{	/* SawMill/defs.sch 557 */
			{	/* SawMill/defs.sch 557 */
				obj_t BgL_classz00_8278;

				BgL_classz00_8278 = BGl_rtl_failz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_53))
					{	/* SawMill/defs.sch 557 */
						BgL_objectz00_bglt BgL_arg1825z00_8279;

						BgL_arg1825z00_8279 = (BgL_objectz00_bglt) (BgL_objz00_53);
						{	/* SawMill/defs.sch 557 */
							bool_t BgL_arg1822z00_8280;
							bool_t BgL_arg1823z00_8281;

							{	/* SawMill/defs.sch 557 */
								long BgL_idxz00_8282;

								BgL_idxz00_8282 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8279);
								BgL_arg1822z00_8280 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8282 + ((long) 3))) == BgL_classz00_8278);
							}
							{	/* SawMill/defs.sch 557 */
								bool_t BgL_res3012z00_8285;

								{	/* SawMill/defs.sch 557 */
									obj_t BgL_oclassz00_8286;

									{	/* SawMill/defs.sch 557 */
										long BgL_arg1833z00_8287;

										{	/* SawMill/defs.sch 557 */
											long BgL_arg1834z00_8288;

											BgL_arg1834z00_8288 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8279);
											BgL_arg1833z00_8287 = (BgL_arg1834z00_8288 - OBJECT_TYPE);
										}
										BgL_oclassz00_8286 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8287);
									}
									{	/* SawMill/defs.sch 557 */
										bool_t BgL__ortest_1110z00_8289;

										BgL__ortest_1110z00_8289 =
											(BgL_classz00_8278 == BgL_oclassz00_8286);
										if (BgL__ortest_1110z00_8289)
											{	/* SawMill/defs.sch 557 */
												BgL_res3012z00_8285 = BgL__ortest_1110z00_8289;
											}
										else
											{	/* SawMill/defs.sch 557 */
												long BgL_odepthz00_8290;

												BgL_odepthz00_8290 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8286);
												if ((((long) 3) < BgL_odepthz00_8290))
													{	/* SawMill/defs.sch 557 */
														obj_t BgL_arg1821z00_8291;

														BgL_arg1821z00_8291 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8286,
															((long) 3));
														BgL_res3012z00_8285 =
															(BgL_arg1821z00_8291 == BgL_classz00_8278);
													}
												else
													{	/* SawMill/defs.sch 557 */
														BgL_res3012z00_8285 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8281 = BgL_res3012z00_8285;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8280, BgL_arg1823z00_8281);
						}
					}
				else
					{	/* SawMill/defs.sch 557 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_fail? */
	obj_t BGl_z62rtl_failzf3z91zzsaw_defsz00(obj_t BgL_envz00_6584,
		obj_t BgL_objz00_6585)
	{
		{	/* SawMill/defs.sch 557 */
			return BBOOL(BGl_rtl_failzf3zf3zzsaw_defsz00(BgL_objz00_6585));
		}

	}



/* rtl_fail-nil */
	BGL_EXPORTED_DEF BgL_rtl_failz00_bglt BGl_rtl_failzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 558 */
			{	/* SawMill/defs.sch 558 */
				obj_t BgL_classz00_4221;

				BgL_classz00_4221 = BGl_rtl_failz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 558 */
					obj_t BgL__ortest_1112z00_4222;

					BgL__ortest_1112z00_4222 = BGL_CLASS_NIL(BgL_classz00_4221);
					if (CBOOL(BgL__ortest_1112z00_4222))
						{	/* SawMill/defs.sch 558 */
							return ((BgL_rtl_failz00_bglt) BgL__ortest_1112z00_4222);
						}
					else
						{	/* SawMill/defs.sch 558 */
							return
								((BgL_rtl_failz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4221));
						}
				}
			}
		}

	}



/* &rtl_fail-nil */
	BgL_rtl_failz00_bglt BGl_z62rtl_failzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6586)
	{
		{	/* SawMill/defs.sch 558 */
			return BGl_rtl_failzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_fail-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_failzd2loczd2zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_54)
	{
		{	/* SawMill/defs.sch 559 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_54)))->BgL_locz00);
		}

	}



/* &rtl_fail-loc */
	obj_t BGl_z62rtl_failzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6587,
		obj_t BgL_oz00_6588)
	{
		{	/* SawMill/defs.sch 559 */
			return
				BGl_rtl_failzd2loczd2zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6588));
		}

	}



/* rtl_fail-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_failz00_bglt
		BgL_oz00_55, obj_t BgL_vz00_56)
	{
		{	/* SawMill/defs.sch 560 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_55)))->BgL_locz00) =
				((obj_t) BgL_vz00_56), BUNSPEC);
		}

	}



/* &rtl_fail-loc-set! */
	obj_t BGl_z62rtl_failzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6589,
		obj_t BgL_oz00_6590, obj_t BgL_vz00_6591)
	{
		{	/* SawMill/defs.sch 560 */
			return
				BGl_rtl_failzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_failz00_bglt) BgL_oz00_6590), BgL_vz00_6591);
		}

	}



/* make-rtl_notseq */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt
		BGl_makezd2rtl_notseqzd2zzsaw_defsz00(obj_t BgL_loc1470z00_57)
	{
		{	/* SawMill/defs.sch 563 */
			{	/* SawMill/defs.sch 563 */
				BgL_rtl_notseqz00_bglt BgL_new1350z00_8292;

				{	/* SawMill/defs.sch 563 */
					BgL_rtl_notseqz00_bglt BgL_new1349z00_8293;

					BgL_new1349z00_8293 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.sch 563 */
						long BgL_arg1810z00_8294;

						BgL_arg1810z00_8294 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1349z00_8293), BgL_arg1810z00_8294);
					}
					BgL_new1350z00_8292 = BgL_new1349z00_8293;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1350z00_8292)))->BgL_locz00) =
					((obj_t) BgL_loc1470z00_57), BUNSPEC);
				return BgL_new1350z00_8292;
			}
		}

	}



/* &make-rtl_notseq */
	BgL_rtl_notseqz00_bglt BGl_z62makezd2rtl_notseqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6592, obj_t BgL_loc1470z00_6593)
	{
		{	/* SawMill/defs.sch 563 */
			return BGl_makezd2rtl_notseqzd2zzsaw_defsz00(BgL_loc1470z00_6593);
		}

	}



/* rtl_notseq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_notseqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_58)
	{
		{	/* SawMill/defs.sch 564 */
			{	/* SawMill/defs.sch 564 */
				obj_t BgL_classz00_8295;

				BgL_classz00_8295 = BGl_rtl_notseqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_58))
					{	/* SawMill/defs.sch 564 */
						BgL_objectz00_bglt BgL_arg1825z00_8296;

						BgL_arg1825z00_8296 = (BgL_objectz00_bglt) (BgL_objz00_58);
						{	/* SawMill/defs.sch 564 */
							bool_t BgL_arg1822z00_8297;
							bool_t BgL_arg1823z00_8298;

							{	/* SawMill/defs.sch 564 */
								long BgL_idxz00_8299;

								BgL_idxz00_8299 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8296);
								BgL_arg1822z00_8297 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8299 + ((long) 2))) == BgL_classz00_8295);
							}
							{	/* SawMill/defs.sch 564 */
								bool_t BgL_res3013z00_8302;

								{	/* SawMill/defs.sch 564 */
									obj_t BgL_oclassz00_8303;

									{	/* SawMill/defs.sch 564 */
										long BgL_arg1833z00_8304;

										{	/* SawMill/defs.sch 564 */
											long BgL_arg1834z00_8305;

											BgL_arg1834z00_8305 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8296);
											BgL_arg1833z00_8304 = (BgL_arg1834z00_8305 - OBJECT_TYPE);
										}
										BgL_oclassz00_8303 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8304);
									}
									{	/* SawMill/defs.sch 564 */
										bool_t BgL__ortest_1110z00_8306;

										BgL__ortest_1110z00_8306 =
											(BgL_classz00_8295 == BgL_oclassz00_8303);
										if (BgL__ortest_1110z00_8306)
											{	/* SawMill/defs.sch 564 */
												BgL_res3013z00_8302 = BgL__ortest_1110z00_8306;
											}
										else
											{	/* SawMill/defs.sch 564 */
												long BgL_odepthz00_8307;

												BgL_odepthz00_8307 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8303);
												if ((((long) 2) < BgL_odepthz00_8307))
													{	/* SawMill/defs.sch 564 */
														obj_t BgL_arg1821z00_8308;

														BgL_arg1821z00_8308 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8303,
															((long) 2));
														BgL_res3013z00_8302 =
															(BgL_arg1821z00_8308 == BgL_classz00_8295);
													}
												else
													{	/* SawMill/defs.sch 564 */
														BgL_res3013z00_8302 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8298 = BgL_res3013z00_8302;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8297, BgL_arg1823z00_8298);
						}
					}
				else
					{	/* SawMill/defs.sch 564 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_notseq? */
	obj_t BGl_z62rtl_notseqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6594,
		obj_t BgL_objz00_6595)
	{
		{	/* SawMill/defs.sch 564 */
			return BBOOL(BGl_rtl_notseqzf3zf3zzsaw_defsz00(BgL_objz00_6595));
		}

	}



/* rtl_notseq-nil */
	BGL_EXPORTED_DEF BgL_rtl_notseqz00_bglt BGl_rtl_notseqzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 565 */
			{	/* SawMill/defs.sch 565 */
				obj_t BgL_classz00_4261;

				BgL_classz00_4261 = BGl_rtl_notseqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 565 */
					obj_t BgL__ortest_1112z00_4262;

					BgL__ortest_1112z00_4262 = BGL_CLASS_NIL(BgL_classz00_4261);
					if (CBOOL(BgL__ortest_1112z00_4262))
						{	/* SawMill/defs.sch 565 */
							return ((BgL_rtl_notseqz00_bglt) BgL__ortest_1112z00_4262);
						}
					else
						{	/* SawMill/defs.sch 565 */
							return
								((BgL_rtl_notseqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4261));
						}
				}
			}
		}

	}



/* &rtl_notseq-nil */
	BgL_rtl_notseqz00_bglt BGl_z62rtl_notseqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6596)
	{
		{	/* SawMill/defs.sch 565 */
			return BGl_rtl_notseqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_notseq-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2zzsaw_defsz00(BgL_rtl_notseqz00_bglt BgL_oz00_59)
	{
		{	/* SawMill/defs.sch 566 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_59)))->BgL_locz00);
		}

	}



/* &rtl_notseq-loc */
	obj_t BGl_z62rtl_notseqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6597,
		obj_t BgL_oz00_6598)
	{
		{	/* SawMill/defs.sch 566 */
			return
				BGl_rtl_notseqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6598));
		}

	}



/* rtl_notseq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_notseqz00_bglt
		BgL_oz00_60, obj_t BgL_vz00_61)
	{
		{	/* SawMill/defs.sch 567 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_60)))->BgL_locz00) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &rtl_notseq-loc-set! */
	obj_t BGl_z62rtl_notseqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6599,
		obj_t BgL_oz00_6600, obj_t BgL_vz00_6601)
	{
		{	/* SawMill/defs.sch 567 */
			return
				BGl_rtl_notseqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_notseqz00_bglt) BgL_oz00_6600), BgL_vz00_6601);
		}

	}



/* make-rtl_if */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_makezd2rtl_ifzd2zzsaw_defsz00(obj_t
		BgL_loc1468z00_62)
	{
		{	/* SawMill/defs.sch 570 */
			{	/* SawMill/defs.sch 570 */
				BgL_rtl_ifz00_bglt BgL_new1352z00_8309;

				{	/* SawMill/defs.sch 570 */
					BgL_rtl_ifz00_bglt BgL_new1351z00_8310;

					BgL_new1351z00_8310 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.sch 570 */
						long BgL_arg1811z00_8311;

						BgL_arg1811z00_8311 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1351z00_8310), BgL_arg1811z00_8311);
					}
					BgL_new1352z00_8309 = BgL_new1351z00_8310;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1352z00_8309)))->BgL_locz00) =
					((obj_t) BgL_loc1468z00_62), BUNSPEC);
				return BgL_new1352z00_8309;
			}
		}

	}



/* &make-rtl_if */
	BgL_rtl_ifz00_bglt BGl_z62makezd2rtl_ifzb0zzsaw_defsz00(obj_t BgL_envz00_6602,
		obj_t BgL_loc1468z00_6603)
	{
		{	/* SawMill/defs.sch 570 */
			return BGl_makezd2rtl_ifzd2zzsaw_defsz00(BgL_loc1468z00_6603);
		}

	}



/* rtl_if? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifzf3zf3zzsaw_defsz00(obj_t BgL_objz00_63)
	{
		{	/* SawMill/defs.sch 571 */
			{	/* SawMill/defs.sch 571 */
				obj_t BgL_classz00_8312;

				BgL_classz00_8312 = BGl_rtl_ifz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_63))
					{	/* SawMill/defs.sch 571 */
						BgL_objectz00_bglt BgL_arg1825z00_8313;

						BgL_arg1825z00_8313 = (BgL_objectz00_bglt) (BgL_objz00_63);
						{	/* SawMill/defs.sch 571 */
							bool_t BgL_arg1822z00_8314;
							bool_t BgL_arg1823z00_8315;

							{	/* SawMill/defs.sch 571 */
								long BgL_idxz00_8316;

								BgL_idxz00_8316 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8313);
								BgL_arg1822z00_8314 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8316 + ((long) 3))) == BgL_classz00_8312);
							}
							{	/* SawMill/defs.sch 571 */
								bool_t BgL_res3014z00_8319;

								{	/* SawMill/defs.sch 571 */
									obj_t BgL_oclassz00_8320;

									{	/* SawMill/defs.sch 571 */
										long BgL_arg1833z00_8321;

										{	/* SawMill/defs.sch 571 */
											long BgL_arg1834z00_8322;

											BgL_arg1834z00_8322 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8313);
											BgL_arg1833z00_8321 = (BgL_arg1834z00_8322 - OBJECT_TYPE);
										}
										BgL_oclassz00_8320 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8321);
									}
									{	/* SawMill/defs.sch 571 */
										bool_t BgL__ortest_1110z00_8323;

										BgL__ortest_1110z00_8323 =
											(BgL_classz00_8312 == BgL_oclassz00_8320);
										if (BgL__ortest_1110z00_8323)
											{	/* SawMill/defs.sch 571 */
												BgL_res3014z00_8319 = BgL__ortest_1110z00_8323;
											}
										else
											{	/* SawMill/defs.sch 571 */
												long BgL_odepthz00_8324;

												BgL_odepthz00_8324 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8320);
												if ((((long) 3) < BgL_odepthz00_8324))
													{	/* SawMill/defs.sch 571 */
														obj_t BgL_arg1821z00_8325;

														BgL_arg1821z00_8325 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8320,
															((long) 3));
														BgL_res3014z00_8319 =
															(BgL_arg1821z00_8325 == BgL_classz00_8312);
													}
												else
													{	/* SawMill/defs.sch 571 */
														BgL_res3014z00_8319 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8315 = BgL_res3014z00_8319;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8314, BgL_arg1823z00_8315);
						}
					}
				else
					{	/* SawMill/defs.sch 571 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_if? */
	obj_t BGl_z62rtl_ifzf3z91zzsaw_defsz00(obj_t BgL_envz00_6604,
		obj_t BgL_objz00_6605)
	{
		{	/* SawMill/defs.sch 571 */
			return BBOOL(BGl_rtl_ifzf3zf3zzsaw_defsz00(BgL_objz00_6605));
		}

	}



/* rtl_if-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifz00_bglt BGl_rtl_ifzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 572 */
			{	/* SawMill/defs.sch 572 */
				obj_t BgL_classz00_4301;

				BgL_classz00_4301 = BGl_rtl_ifz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 572 */
					obj_t BgL__ortest_1112z00_4302;

					BgL__ortest_1112z00_4302 = BGL_CLASS_NIL(BgL_classz00_4301);
					if (CBOOL(BgL__ortest_1112z00_4302))
						{	/* SawMill/defs.sch 572 */
							return ((BgL_rtl_ifz00_bglt) BgL__ortest_1112z00_4302);
						}
					else
						{	/* SawMill/defs.sch 572 */
							return
								((BgL_rtl_ifz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4301));
						}
				}
			}
		}

	}



/* &rtl_if-nil */
	BgL_rtl_ifz00_bglt BGl_z62rtl_ifzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6606)
	{
		{	/* SawMill/defs.sch 572 */
			return BGl_rtl_ifzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_if-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifzd2loczd2zzsaw_defsz00(BgL_rtl_ifz00_bglt
		BgL_oz00_64)
	{
		{	/* SawMill/defs.sch 573 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_64)))->BgL_locz00);
		}

	}



/* &rtl_if-loc */
	obj_t BGl_z62rtl_ifzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6607,
		obj_t BgL_oz00_6608)
	{
		{	/* SawMill/defs.sch 573 */
			return
				BGl_rtl_ifzd2loczd2zzsaw_defsz00(((BgL_rtl_ifz00_bglt) BgL_oz00_6608));
		}

	}



/* rtl_if-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifz00_bglt BgL_oz00_65,
		obj_t BgL_vz00_66)
	{
		{	/* SawMill/defs.sch 574 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_65)))->BgL_locz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &rtl_if-loc-set! */
	obj_t BGl_z62rtl_ifzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6609,
		obj_t BgL_oz00_6610, obj_t BgL_vz00_6611)
	{
		{	/* SawMill/defs.sch 574 */
			return
				BGl_rtl_ifzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifz00_bglt) BgL_oz00_6610), BgL_vz00_6611);
		}

	}



/* make-rtl_select */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt
		BGl_makezd2rtl_selectzd2zzsaw_defsz00(obj_t BgL_loc1463z00_67,
		BgL_typez00_bglt BgL_type1464z00_68, obj_t BgL_patterns1465z00_69)
	{
		{	/* SawMill/defs.sch 577 */
			{	/* SawMill/defs.sch 577 */
				BgL_rtl_selectz00_bglt BgL_new1354z00_8326;

				{	/* SawMill/defs.sch 577 */
					BgL_rtl_selectz00_bglt BgL_new1353z00_8327;

					BgL_new1353z00_8327 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.sch 577 */
						long BgL_arg1817z00_8328;

						BgL_arg1817z00_8328 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1353z00_8327), BgL_arg1817z00_8328);
					}
					BgL_new1354z00_8326 = BgL_new1353z00_8327;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1354z00_8326)))->BgL_locz00) =
					((obj_t) BgL_loc1463z00_67), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1354z00_8326))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1464z00_68), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1354z00_8326))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1465z00_69), BUNSPEC);
				return BgL_new1354z00_8326;
			}
		}

	}



/* &make-rtl_select */
	BgL_rtl_selectz00_bglt BGl_z62makezd2rtl_selectzb0zzsaw_defsz00(obj_t
		BgL_envz00_6612, obj_t BgL_loc1463z00_6613, obj_t BgL_type1464z00_6614,
		obj_t BgL_patterns1465z00_6615)
	{
		{	/* SawMill/defs.sch 577 */
			return
				BGl_makezd2rtl_selectzd2zzsaw_defsz00(BgL_loc1463z00_6613,
				((BgL_typez00_bglt) BgL_type1464z00_6614), BgL_patterns1465z00_6615);
		}

	}



/* rtl_select? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_selectzf3zf3zzsaw_defsz00(obj_t BgL_objz00_70)
	{
		{	/* SawMill/defs.sch 578 */
			{	/* SawMill/defs.sch 578 */
				obj_t BgL_classz00_8329;

				BgL_classz00_8329 = BGl_rtl_selectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_70))
					{	/* SawMill/defs.sch 578 */
						BgL_objectz00_bglt BgL_arg1825z00_8330;

						BgL_arg1825z00_8330 = (BgL_objectz00_bglt) (BgL_objz00_70);
						{	/* SawMill/defs.sch 578 */
							bool_t BgL_arg1822z00_8331;
							bool_t BgL_arg1823z00_8332;

							{	/* SawMill/defs.sch 578 */
								long BgL_idxz00_8333;

								BgL_idxz00_8333 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8330);
								BgL_arg1822z00_8331 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8333 + ((long) 3))) == BgL_classz00_8329);
							}
							{	/* SawMill/defs.sch 578 */
								bool_t BgL_res3015z00_8336;

								{	/* SawMill/defs.sch 578 */
									obj_t BgL_oclassz00_8337;

									{	/* SawMill/defs.sch 578 */
										long BgL_arg1833z00_8338;

										{	/* SawMill/defs.sch 578 */
											long BgL_arg1834z00_8339;

											BgL_arg1834z00_8339 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8330);
											BgL_arg1833z00_8338 = (BgL_arg1834z00_8339 - OBJECT_TYPE);
										}
										BgL_oclassz00_8337 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8338);
									}
									{	/* SawMill/defs.sch 578 */
										bool_t BgL__ortest_1110z00_8340;

										BgL__ortest_1110z00_8340 =
											(BgL_classz00_8329 == BgL_oclassz00_8337);
										if (BgL__ortest_1110z00_8340)
											{	/* SawMill/defs.sch 578 */
												BgL_res3015z00_8336 = BgL__ortest_1110z00_8340;
											}
										else
											{	/* SawMill/defs.sch 578 */
												long BgL_odepthz00_8341;

												BgL_odepthz00_8341 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8337);
												if ((((long) 3) < BgL_odepthz00_8341))
													{	/* SawMill/defs.sch 578 */
														obj_t BgL_arg1821z00_8342;

														BgL_arg1821z00_8342 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8337,
															((long) 3));
														BgL_res3015z00_8336 =
															(BgL_arg1821z00_8342 == BgL_classz00_8329);
													}
												else
													{	/* SawMill/defs.sch 578 */
														BgL_res3015z00_8336 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8332 = BgL_res3015z00_8336;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8331, BgL_arg1823z00_8332);
						}
					}
				else
					{	/* SawMill/defs.sch 578 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_select? */
	obj_t BGl_z62rtl_selectzf3z91zzsaw_defsz00(obj_t BgL_envz00_6616,
		obj_t BgL_objz00_6617)
	{
		{	/* SawMill/defs.sch 578 */
			return BBOOL(BGl_rtl_selectzf3zf3zzsaw_defsz00(BgL_objz00_6617));
		}

	}



/* rtl_select-nil */
	BGL_EXPORTED_DEF BgL_rtl_selectz00_bglt BGl_rtl_selectzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 579 */
			{	/* SawMill/defs.sch 579 */
				obj_t BgL_classz00_4341;

				BgL_classz00_4341 = BGl_rtl_selectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 579 */
					obj_t BgL__ortest_1112z00_4342;

					BgL__ortest_1112z00_4342 = BGL_CLASS_NIL(BgL_classz00_4341);
					if (CBOOL(BgL__ortest_1112z00_4342))
						{	/* SawMill/defs.sch 579 */
							return ((BgL_rtl_selectz00_bglt) BgL__ortest_1112z00_4342);
						}
					else
						{	/* SawMill/defs.sch 579 */
							return
								((BgL_rtl_selectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4341));
						}
				}
			}
		}

	}



/* &rtl_select-nil */
	BgL_rtl_selectz00_bglt BGl_z62rtl_selectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6618)
	{
		{	/* SawMill/defs.sch 579 */
			return BGl_rtl_selectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_select-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_71)
	{
		{	/* SawMill/defs.sch 580 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_71))->BgL_patternsz00);
		}

	}



/* &rtl_select-patterns */
	obj_t BGl_z62rtl_selectzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6619,
		obj_t BgL_oz00_6620)
	{
		{	/* SawMill/defs.sch 580 */
			return
				BGl_rtl_selectzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6620));
		}

	}



/* rtl_select-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_72, obj_t BgL_vz00_73)
	{
		{	/* SawMill/defs.sch 581 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_72))->BgL_patternsz00) =
				((obj_t) BgL_vz00_73), BUNSPEC);
		}

	}



/* &rtl_select-patterns-set! */
	obj_t BGl_z62rtl_selectzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6621, obj_t BgL_oz00_6622, obj_t BgL_vz00_6623)
	{
		{	/* SawMill/defs.sch 581 */
			return
				BGl_rtl_selectzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6622), BgL_vz00_6623);
		}

	}



/* rtl_select-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_selectzd2typezd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_74)
	{
		{	/* SawMill/defs.sch 582 */
			return (((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_74))->BgL_typez00);
		}

	}



/* &rtl_select-type */
	BgL_typez00_bglt BGl_z62rtl_selectzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6624, obj_t BgL_oz00_6625)
	{
		{	/* SawMill/defs.sch 582 */
			return
				BGl_rtl_selectzd2typezd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6625));
		}

	}



/* rtl_select-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_75, BgL_typez00_bglt BgL_vz00_76)
	{
		{	/* SawMill/defs.sch 583 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_oz00_75))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_76), BUNSPEC);
		}

	}



/* &rtl_select-type-set! */
	obj_t BGl_z62rtl_selectzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6626,
		obj_t BgL_oz00_6627, obj_t BgL_vz00_6628)
	{
		{	/* SawMill/defs.sch 583 */
			return
				BGl_rtl_selectzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6627),
				((BgL_typez00_bglt) BgL_vz00_6628));
		}

	}



/* rtl_select-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2zzsaw_defsz00(BgL_rtl_selectz00_bglt BgL_oz00_77)
	{
		{	/* SawMill/defs.sch 584 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_77)))->BgL_locz00);
		}

	}



/* &rtl_select-loc */
	obj_t BGl_z62rtl_selectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6629,
		obj_t BgL_oz00_6630)
	{
		{	/* SawMill/defs.sch 584 */
			return
				BGl_rtl_selectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6630));
		}

	}



/* rtl_select-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_selectz00_bglt
		BgL_oz00_78, obj_t BgL_vz00_79)
	{
		{	/* SawMill/defs.sch 585 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_78)))->BgL_locz00) =
				((obj_t) BgL_vz00_79), BUNSPEC);
		}

	}



/* &rtl_select-loc-set! */
	obj_t BGl_z62rtl_selectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6631,
		obj_t BgL_oz00_6632, obj_t BgL_vz00_6633)
	{
		{	/* SawMill/defs.sch 585 */
			return
				BGl_rtl_selectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_selectz00_bglt) BgL_oz00_6632), BgL_vz00_6633);
		}

	}



/* make-rtl_switch */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt
		BGl_makezd2rtl_switchzd2zzsaw_defsz00(obj_t BgL_loc1458z00_80,
		BgL_typez00_bglt BgL_type1459z00_81, obj_t BgL_patterns1460z00_82,
		obj_t BgL_labels1461z00_83)
	{
		{	/* SawMill/defs.sch 588 */
			{	/* SawMill/defs.sch 588 */
				BgL_rtl_switchz00_bglt BgL_new1356z00_8343;

				{	/* SawMill/defs.sch 588 */
					BgL_rtl_switchz00_bglt BgL_new1355z00_8344;

					BgL_new1355z00_8344 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.sch 588 */
						long BgL_arg1818z00_8345;

						BgL_arg1818z00_8345 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1355z00_8344), BgL_arg1818z00_8345);
					}
					BgL_new1356z00_8343 = BgL_new1355z00_8344;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1356z00_8343)))->BgL_locz00) =
					((obj_t) BgL_loc1458z00_80), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1356z00_8343)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1459z00_81), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1356z00_8343)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1460z00_82), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1356z00_8343))->
						BgL_labelsz00) = ((obj_t) BgL_labels1461z00_83), BUNSPEC);
				return BgL_new1356z00_8343;
			}
		}

	}



/* &make-rtl_switch */
	BgL_rtl_switchz00_bglt BGl_z62makezd2rtl_switchzb0zzsaw_defsz00(obj_t
		BgL_envz00_6634, obj_t BgL_loc1458z00_6635, obj_t BgL_type1459z00_6636,
		obj_t BgL_patterns1460z00_6637, obj_t BgL_labels1461z00_6638)
	{
		{	/* SawMill/defs.sch 588 */
			return
				BGl_makezd2rtl_switchzd2zzsaw_defsz00(BgL_loc1458z00_6635,
				((BgL_typez00_bglt) BgL_type1459z00_6636), BgL_patterns1460z00_6637,
				BgL_labels1461z00_6638);
		}

	}



/* rtl_switch? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_switchzf3zf3zzsaw_defsz00(obj_t BgL_objz00_84)
	{
		{	/* SawMill/defs.sch 589 */
			{	/* SawMill/defs.sch 589 */
				obj_t BgL_classz00_8346;

				BgL_classz00_8346 = BGl_rtl_switchz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_84))
					{	/* SawMill/defs.sch 589 */
						BgL_objectz00_bglt BgL_arg1825z00_8347;

						BgL_arg1825z00_8347 = (BgL_objectz00_bglt) (BgL_objz00_84);
						{	/* SawMill/defs.sch 589 */
							bool_t BgL_arg1822z00_8348;
							bool_t BgL_arg1823z00_8349;

							{	/* SawMill/defs.sch 589 */
								long BgL_idxz00_8350;

								BgL_idxz00_8350 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8347);
								BgL_arg1822z00_8348 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8350 + ((long) 4))) == BgL_classz00_8346);
							}
							{	/* SawMill/defs.sch 589 */
								bool_t BgL_res3016z00_8353;

								{	/* SawMill/defs.sch 589 */
									obj_t BgL_oclassz00_8354;

									{	/* SawMill/defs.sch 589 */
										long BgL_arg1833z00_8355;

										{	/* SawMill/defs.sch 589 */
											long BgL_arg1834z00_8356;

											BgL_arg1834z00_8356 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8347);
											BgL_arg1833z00_8355 = (BgL_arg1834z00_8356 - OBJECT_TYPE);
										}
										BgL_oclassz00_8354 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8355);
									}
									{	/* SawMill/defs.sch 589 */
										bool_t BgL__ortest_1110z00_8357;

										BgL__ortest_1110z00_8357 =
											(BgL_classz00_8346 == BgL_oclassz00_8354);
										if (BgL__ortest_1110z00_8357)
											{	/* SawMill/defs.sch 589 */
												BgL_res3016z00_8353 = BgL__ortest_1110z00_8357;
											}
										else
											{	/* SawMill/defs.sch 589 */
												long BgL_odepthz00_8358;

												BgL_odepthz00_8358 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8354);
												if ((((long) 4) < BgL_odepthz00_8358))
													{	/* SawMill/defs.sch 589 */
														obj_t BgL_arg1821z00_8359;

														BgL_arg1821z00_8359 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8354,
															((long) 4));
														BgL_res3016z00_8353 =
															(BgL_arg1821z00_8359 == BgL_classz00_8346);
													}
												else
													{	/* SawMill/defs.sch 589 */
														BgL_res3016z00_8353 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8349 = BgL_res3016z00_8353;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8348, BgL_arg1823z00_8349);
						}
					}
				else
					{	/* SawMill/defs.sch 589 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_switch? */
	obj_t BGl_z62rtl_switchzf3z91zzsaw_defsz00(obj_t BgL_envz00_6639,
		obj_t BgL_objz00_6640)
	{
		{	/* SawMill/defs.sch 589 */
			return BBOOL(BGl_rtl_switchzf3zf3zzsaw_defsz00(BgL_objz00_6640));
		}

	}



/* rtl_switch-nil */
	BGL_EXPORTED_DEF BgL_rtl_switchz00_bglt BGl_rtl_switchzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 590 */
			{	/* SawMill/defs.sch 590 */
				obj_t BgL_classz00_4381;

				BgL_classz00_4381 = BGl_rtl_switchz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 590 */
					obj_t BgL__ortest_1112z00_4382;

					BgL__ortest_1112z00_4382 = BGL_CLASS_NIL(BgL_classz00_4381);
					if (CBOOL(BgL__ortest_1112z00_4382))
						{	/* SawMill/defs.sch 590 */
							return ((BgL_rtl_switchz00_bglt) BgL__ortest_1112z00_4382);
						}
					else
						{	/* SawMill/defs.sch 590 */
							return
								((BgL_rtl_switchz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4381));
						}
				}
			}
		}

	}



/* &rtl_switch-nil */
	BgL_rtl_switchz00_bglt BGl_z62rtl_switchzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6641)
	{
		{	/* SawMill/defs.sch 590 */
			return BGl_rtl_switchzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_switch-labels */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_85)
	{
		{	/* SawMill/defs.sch 591 */
			return (((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_85))->BgL_labelsz00);
		}

	}



/* &rtl_switch-labels */
	obj_t BGl_z62rtl_switchzd2labelszb0zzsaw_defsz00(obj_t BgL_envz00_6642,
		obj_t BgL_oz00_6643)
	{
		{	/* SawMill/defs.sch 591 */
			return
				BGl_rtl_switchzd2labelszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6643));
		}

	}



/* rtl_switch-labels-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* SawMill/defs.sch 592 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_oz00_86))->BgL_labelsz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &rtl_switch-labels-set! */
	obj_t BGl_z62rtl_switchzd2labelszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6644, obj_t BgL_oz00_6645, obj_t BgL_vz00_6646)
	{
		{	/* SawMill/defs.sch 592 */
			return
				BGl_rtl_switchzd2labelszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6645), BgL_vz00_6646);
		}

	}



/* rtl_switch-patterns */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_88)
	{
		{	/* SawMill/defs.sch 593 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_88)))->BgL_patternsz00);
		}

	}



/* &rtl_switch-patterns */
	obj_t BGl_z62rtl_switchzd2patternszb0zzsaw_defsz00(obj_t BgL_envz00_6647,
		obj_t BgL_oz00_6648)
	{
		{	/* SawMill/defs.sch 593 */
			return
				BGl_rtl_switchzd2patternszd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6648));
		}

	}



/* rtl_switch-patterns-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* SawMill/defs.sch 594 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_89)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &rtl_switch-patterns-set! */
	obj_t BGl_z62rtl_switchzd2patternszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6649, obj_t BgL_oz00_6650, obj_t BgL_vz00_6651)
	{
		{	/* SawMill/defs.sch 594 */
			return
				BGl_rtl_switchzd2patternszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6650), BgL_vz00_6651);
		}

	}



/* rtl_switch-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_switchzd2typezd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_91)
	{
		{	/* SawMill/defs.sch 595 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_91)))->BgL_typez00);
		}

	}



/* &rtl_switch-type */
	BgL_typez00_bglt BGl_z62rtl_switchzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6652, obj_t BgL_oz00_6653)
	{
		{	/* SawMill/defs.sch 595 */
			return
				BGl_rtl_switchzd2typezd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6653));
		}

	}



/* rtl_switch-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_92, BgL_typez00_bglt BgL_vz00_93)
	{
		{	/* SawMill/defs.sch 596 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_92)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_93), BUNSPEC);
		}

	}



/* &rtl_switch-type-set! */
	obj_t BGl_z62rtl_switchzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6654,
		obj_t BgL_oz00_6655, obj_t BgL_vz00_6656)
	{
		{	/* SawMill/defs.sch 596 */
			return
				BGl_rtl_switchzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6655),
				((BgL_typez00_bglt) BgL_vz00_6656));
		}

	}



/* rtl_switch-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2zzsaw_defsz00(BgL_rtl_switchz00_bglt BgL_oz00_94)
	{
		{	/* SawMill/defs.sch 597 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_94)))->BgL_locz00);
		}

	}



/* &rtl_switch-loc */
	obj_t BGl_z62rtl_switchzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6657,
		obj_t BgL_oz00_6658)
	{
		{	/* SawMill/defs.sch 597 */
			return
				BGl_rtl_switchzd2loczd2zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6658));
		}

	}



/* rtl_switch-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_switchz00_bglt
		BgL_oz00_95, obj_t BgL_vz00_96)
	{
		{	/* SawMill/defs.sch 598 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_95)))->BgL_locz00) =
				((obj_t) BgL_vz00_96), BUNSPEC);
		}

	}



/* &rtl_switch-loc-set! */
	obj_t BGl_z62rtl_switchzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6659,
		obj_t BgL_oz00_6660, obj_t BgL_vz00_6661)
	{
		{	/* SawMill/defs.sch 598 */
			return
				BGl_rtl_switchzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_switchz00_bglt) BgL_oz00_6660), BgL_vz00_6661);
		}

	}



/* make-rtl_ifeq */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt
		BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(obj_t BgL_loc1455z00_97,
		BgL_blockz00_bglt BgL_then1456z00_98)
	{
		{	/* SawMill/defs.sch 601 */
			{	/* SawMill/defs.sch 601 */
				BgL_rtl_ifeqz00_bglt BgL_new1358z00_8360;

				{	/* SawMill/defs.sch 601 */
					BgL_rtl_ifeqz00_bglt BgL_new1357z00_8361;

					BgL_new1357z00_8361 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.sch 601 */
						long BgL_arg1824z00_8362;

						BgL_arg1824z00_8362 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1357z00_8361), BgL_arg1824z00_8362);
					}
					BgL_new1358z00_8360 = BgL_new1357z00_8361;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1358z00_8360)))->BgL_locz00) =
					((obj_t) BgL_loc1455z00_97), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1358z00_8360))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1456z00_98), BUNSPEC);
				return BgL_new1358z00_8360;
			}
		}

	}



/* &make-rtl_ifeq */
	BgL_rtl_ifeqz00_bglt BGl_z62makezd2rtl_ifeqzb0zzsaw_defsz00(obj_t
		BgL_envz00_6662, obj_t BgL_loc1455z00_6663, obj_t BgL_then1456z00_6664)
	{
		{	/* SawMill/defs.sch 601 */
			return
				BGl_makezd2rtl_ifeqzd2zzsaw_defsz00(BgL_loc1455z00_6663,
				((BgL_blockz00_bglt) BgL_then1456z00_6664));
		}

	}



/* rtl_ifeq? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifeqzf3zf3zzsaw_defsz00(obj_t BgL_objz00_99)
	{
		{	/* SawMill/defs.sch 602 */
			{	/* SawMill/defs.sch 602 */
				obj_t BgL_classz00_8363;

				BgL_classz00_8363 = BGl_rtl_ifeqz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_99))
					{	/* SawMill/defs.sch 602 */
						BgL_objectz00_bglt BgL_arg1825z00_8364;

						BgL_arg1825z00_8364 = (BgL_objectz00_bglt) (BgL_objz00_99);
						{	/* SawMill/defs.sch 602 */
							bool_t BgL_arg1822z00_8365;
							bool_t BgL_arg1823z00_8366;

							{	/* SawMill/defs.sch 602 */
								long BgL_idxz00_8367;

								BgL_idxz00_8367 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8364);
								BgL_arg1822z00_8365 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8367 + ((long) 3))) == BgL_classz00_8363);
							}
							{	/* SawMill/defs.sch 602 */
								bool_t BgL_res3017z00_8370;

								{	/* SawMill/defs.sch 602 */
									obj_t BgL_oclassz00_8371;

									{	/* SawMill/defs.sch 602 */
										long BgL_arg1833z00_8372;

										{	/* SawMill/defs.sch 602 */
											long BgL_arg1834z00_8373;

											BgL_arg1834z00_8373 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8364);
											BgL_arg1833z00_8372 = (BgL_arg1834z00_8373 - OBJECT_TYPE);
										}
										BgL_oclassz00_8371 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8372);
									}
									{	/* SawMill/defs.sch 602 */
										bool_t BgL__ortest_1110z00_8374;

										BgL__ortest_1110z00_8374 =
											(BgL_classz00_8363 == BgL_oclassz00_8371);
										if (BgL__ortest_1110z00_8374)
											{	/* SawMill/defs.sch 602 */
												BgL_res3017z00_8370 = BgL__ortest_1110z00_8374;
											}
										else
											{	/* SawMill/defs.sch 602 */
												long BgL_odepthz00_8375;

												BgL_odepthz00_8375 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8371);
												if ((((long) 3) < BgL_odepthz00_8375))
													{	/* SawMill/defs.sch 602 */
														obj_t BgL_arg1821z00_8376;

														BgL_arg1821z00_8376 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8371,
															((long) 3));
														BgL_res3017z00_8370 =
															(BgL_arg1821z00_8376 == BgL_classz00_8363);
													}
												else
													{	/* SawMill/defs.sch 602 */
														BgL_res3017z00_8370 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8366 = BgL_res3017z00_8370;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8365, BgL_arg1823z00_8366);
						}
					}
				else
					{	/* SawMill/defs.sch 602 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifeq? */
	obj_t BGl_z62rtl_ifeqzf3z91zzsaw_defsz00(obj_t BgL_envz00_6665,
		obj_t BgL_objz00_6666)
	{
		{	/* SawMill/defs.sch 602 */
			return BBOOL(BGl_rtl_ifeqzf3zf3zzsaw_defsz00(BgL_objz00_6666));
		}

	}



/* rtl_ifeq-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifeqz00_bglt BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 603 */
			{	/* SawMill/defs.sch 603 */
				obj_t BgL_classz00_4421;

				BgL_classz00_4421 = BGl_rtl_ifeqz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 603 */
					obj_t BgL__ortest_1112z00_4422;

					BgL__ortest_1112z00_4422 = BGL_CLASS_NIL(BgL_classz00_4421);
					if (CBOOL(BgL__ortest_1112z00_4422))
						{	/* SawMill/defs.sch 603 */
							return ((BgL_rtl_ifeqz00_bglt) BgL__ortest_1112z00_4422);
						}
					else
						{	/* SawMill/defs.sch 603 */
							return
								((BgL_rtl_ifeqz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4421));
						}
				}
			}
		}

	}



/* &rtl_ifeq-nil */
	BgL_rtl_ifeqz00_bglt BGl_z62rtl_ifeqzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6667)
	{
		{	/* SawMill/defs.sch 603 */
			return BGl_rtl_ifeqzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifeq-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt BgL_oz00_100)
	{
		{	/* SawMill/defs.sch 604 */
			return (((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_100))->BgL_thenz00);
		}

	}



/* &rtl_ifeq-then */
	BgL_blockz00_bglt BGl_z62rtl_ifeqzd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6668, obj_t BgL_oz00_6669)
	{
		{	/* SawMill/defs.sch 604 */
			return
				BGl_rtl_ifeqzd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6669));
		}

	}



/* rtl_ifeq-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_101, BgL_blockz00_bglt BgL_vz00_102)
	{
		{	/* SawMill/defs.sch 605 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_oz00_101))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_102), BUNSPEC);
		}

	}



/* &rtl_ifeq-then-set! */
	obj_t BGl_z62rtl_ifeqzd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6670,
		obj_t BgL_oz00_6671, obj_t BgL_vz00_6672)
	{
		{	/* SawMill/defs.sch 605 */
			return
				BGl_rtl_ifeqzd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6671),
				((BgL_blockz00_bglt) BgL_vz00_6672));
		}

	}



/* rtl_ifeq-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_103)
	{
		{	/* SawMill/defs.sch 606 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_103)))->BgL_locz00);
		}

	}



/* &rtl_ifeq-loc */
	obj_t BGl_z62rtl_ifeqzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6673,
		obj_t BgL_oz00_6674)
	{
		{	/* SawMill/defs.sch 606 */
			return
				BGl_rtl_ifeqzd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6674));
		}

	}



/* rtl_ifeq-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifeqz00_bglt
		BgL_oz00_104, obj_t BgL_vz00_105)
	{
		{	/* SawMill/defs.sch 607 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_104)))->BgL_locz00) =
				((obj_t) BgL_vz00_105), BUNSPEC);
		}

	}



/* &rtl_ifeq-loc-set! */
	obj_t BGl_z62rtl_ifeqzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6675,
		obj_t BgL_oz00_6676, obj_t BgL_vz00_6677)
	{
		{	/* SawMill/defs.sch 607 */
			return
				BGl_rtl_ifeqzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifeqz00_bglt) BgL_oz00_6676), BgL_vz00_6677);
		}

	}



/* make-rtl_ifne */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt
		BGl_makezd2rtl_ifnezd2zzsaw_defsz00(obj_t BgL_loc1452z00_106,
		BgL_blockz00_bglt BgL_then1453z00_107)
	{
		{	/* SawMill/defs.sch 610 */
			{	/* SawMill/defs.sch 610 */
				BgL_rtl_ifnez00_bglt BgL_new1360z00_8377;

				{	/* SawMill/defs.sch 610 */
					BgL_rtl_ifnez00_bglt BgL_new1359z00_8378;

					BgL_new1359z00_8378 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.sch 610 */
						long BgL_arg1837z00_8379;

						BgL_arg1837z00_8379 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1359z00_8378), BgL_arg1837z00_8379);
					}
					BgL_new1360z00_8377 = BgL_new1359z00_8378;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1360z00_8377)))->BgL_locz00) =
					((obj_t) BgL_loc1452z00_106), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1360z00_8377))->BgL_thenz00) =
					((BgL_blockz00_bglt) BgL_then1453z00_107), BUNSPEC);
				return BgL_new1360z00_8377;
			}
		}

	}



/* &make-rtl_ifne */
	BgL_rtl_ifnez00_bglt BGl_z62makezd2rtl_ifnezb0zzsaw_defsz00(obj_t
		BgL_envz00_6678, obj_t BgL_loc1452z00_6679, obj_t BgL_then1453z00_6680)
	{
		{	/* SawMill/defs.sch 610 */
			return
				BGl_makezd2rtl_ifnezd2zzsaw_defsz00(BgL_loc1452z00_6679,
				((BgL_blockz00_bglt) BgL_then1453z00_6680));
		}

	}



/* rtl_ifne? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_ifnezf3zf3zzsaw_defsz00(obj_t BgL_objz00_108)
	{
		{	/* SawMill/defs.sch 611 */
			{	/* SawMill/defs.sch 611 */
				obj_t BgL_classz00_8380;

				BgL_classz00_8380 = BGl_rtl_ifnez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_108))
					{	/* SawMill/defs.sch 611 */
						BgL_objectz00_bglt BgL_arg1825z00_8381;

						BgL_arg1825z00_8381 = (BgL_objectz00_bglt) (BgL_objz00_108);
						{	/* SawMill/defs.sch 611 */
							bool_t BgL_arg1822z00_8382;
							bool_t BgL_arg1823z00_8383;

							{	/* SawMill/defs.sch 611 */
								long BgL_idxz00_8384;

								BgL_idxz00_8384 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8381);
								BgL_arg1822z00_8382 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8384 + ((long) 3))) == BgL_classz00_8380);
							}
							{	/* SawMill/defs.sch 611 */
								bool_t BgL_res3018z00_8387;

								{	/* SawMill/defs.sch 611 */
									obj_t BgL_oclassz00_8388;

									{	/* SawMill/defs.sch 611 */
										long BgL_arg1833z00_8389;

										{	/* SawMill/defs.sch 611 */
											long BgL_arg1834z00_8390;

											BgL_arg1834z00_8390 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8381);
											BgL_arg1833z00_8389 = (BgL_arg1834z00_8390 - OBJECT_TYPE);
										}
										BgL_oclassz00_8388 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8389);
									}
									{	/* SawMill/defs.sch 611 */
										bool_t BgL__ortest_1110z00_8391;

										BgL__ortest_1110z00_8391 =
											(BgL_classz00_8380 == BgL_oclassz00_8388);
										if (BgL__ortest_1110z00_8391)
											{	/* SawMill/defs.sch 611 */
												BgL_res3018z00_8387 = BgL__ortest_1110z00_8391;
											}
										else
											{	/* SawMill/defs.sch 611 */
												long BgL_odepthz00_8392;

												BgL_odepthz00_8392 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8388);
												if ((((long) 3) < BgL_odepthz00_8392))
													{	/* SawMill/defs.sch 611 */
														obj_t BgL_arg1821z00_8393;

														BgL_arg1821z00_8393 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8388,
															((long) 3));
														BgL_res3018z00_8387 =
															(BgL_arg1821z00_8393 == BgL_classz00_8380);
													}
												else
													{	/* SawMill/defs.sch 611 */
														BgL_res3018z00_8387 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8383 = BgL_res3018z00_8387;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8382, BgL_arg1823z00_8383);
						}
					}
				else
					{	/* SawMill/defs.sch 611 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ifne? */
	obj_t BGl_z62rtl_ifnezf3z91zzsaw_defsz00(obj_t BgL_envz00_6681,
		obj_t BgL_objz00_6682)
	{
		{	/* SawMill/defs.sch 611 */
			return BBOOL(BGl_rtl_ifnezf3zf3zzsaw_defsz00(BgL_objz00_6682));
		}

	}



/* rtl_ifne-nil */
	BGL_EXPORTED_DEF BgL_rtl_ifnez00_bglt BGl_rtl_ifnezd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 612 */
			{	/* SawMill/defs.sch 612 */
				obj_t BgL_classz00_4461;

				BgL_classz00_4461 = BGl_rtl_ifnez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 612 */
					obj_t BgL__ortest_1112z00_4462;

					BgL__ortest_1112z00_4462 = BGL_CLASS_NIL(BgL_classz00_4461);
					if (CBOOL(BgL__ortest_1112z00_4462))
						{	/* SawMill/defs.sch 612 */
							return ((BgL_rtl_ifnez00_bglt) BgL__ortest_1112z00_4462);
						}
					else
						{	/* SawMill/defs.sch 612 */
							return
								((BgL_rtl_ifnez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4461));
						}
				}
			}
		}

	}



/* &rtl_ifne-nil */
	BgL_rtl_ifnez00_bglt BGl_z62rtl_ifnezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6683)
	{
		{	/* SawMill/defs.sch 612 */
			return BGl_rtl_ifnezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ifne-then */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt BgL_oz00_109)
	{
		{	/* SawMill/defs.sch 613 */
			return (((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_109))->BgL_thenz00);
		}

	}



/* &rtl_ifne-then */
	BgL_blockz00_bglt BGl_z62rtl_ifnezd2thenzb0zzsaw_defsz00(obj_t
		BgL_envz00_6684, obj_t BgL_oz00_6685)
	{
		{	/* SawMill/defs.sch 613 */
			return
				BGl_rtl_ifnezd2thenzd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6685));
		}

	}



/* rtl_ifne-then-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_110, BgL_blockz00_bglt BgL_vz00_111)
	{
		{	/* SawMill/defs.sch 614 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_oz00_110))->BgL_thenz00) =
				((BgL_blockz00_bglt) BgL_vz00_111), BUNSPEC);
		}

	}



/* &rtl_ifne-then-set! */
	obj_t BGl_z62rtl_ifnezd2thenzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6686,
		obj_t BgL_oz00_6687, obj_t BgL_vz00_6688)
	{
		{	/* SawMill/defs.sch 614 */
			return
				BGl_rtl_ifnezd2thenzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6687),
				((BgL_blockz00_bglt) BgL_vz00_6688));
		}

	}



/* rtl_ifne-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_ifnezd2loczd2zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_112)
	{
		{	/* SawMill/defs.sch 615 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_112)))->BgL_locz00);
		}

	}



/* &rtl_ifne-loc */
	obj_t BGl_z62rtl_ifnezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6689,
		obj_t BgL_oz00_6690)
	{
		{	/* SawMill/defs.sch 615 */
			return
				BGl_rtl_ifnezd2loczd2zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6690));
		}

	}



/* rtl_ifne-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_ifnez00_bglt
		BgL_oz00_113, obj_t BgL_vz00_114)
	{
		{	/* SawMill/defs.sch 616 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_113)))->BgL_locz00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}

	}



/* &rtl_ifne-loc-set! */
	obj_t BGl_z62rtl_ifnezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6691,
		obj_t BgL_oz00_6692, obj_t BgL_vz00_6693)
	{
		{	/* SawMill/defs.sch 616 */
			return
				BGl_rtl_ifnezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_ifnez00_bglt) BgL_oz00_6692), BgL_vz00_6693);
		}

	}



/* make-rtl_go */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_makezd2rtl_gozd2zzsaw_defsz00(obj_t
		BgL_loc1447z00_115, BgL_blockz00_bglt BgL_to1448z00_116)
	{
		{	/* SawMill/defs.sch 619 */
			{	/* SawMill/defs.sch 619 */
				BgL_rtl_goz00_bglt BgL_new1362z00_8394;

				{	/* SawMill/defs.sch 619 */
					BgL_rtl_goz00_bglt BgL_new1361z00_8395;

					BgL_new1361z00_8395 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.sch 619 */
						long BgL_arg1838z00_8396;

						BgL_arg1838z00_8396 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1361z00_8395), BgL_arg1838z00_8396);
					}
					BgL_new1362z00_8394 = BgL_new1361z00_8395;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1362z00_8394)))->BgL_locz00) =
					((obj_t) BgL_loc1447z00_115), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1362z00_8394))->BgL_toz00) =
					((BgL_blockz00_bglt) BgL_to1448z00_116), BUNSPEC);
				return BgL_new1362z00_8394;
			}
		}

	}



/* &make-rtl_go */
	BgL_rtl_goz00_bglt BGl_z62makezd2rtl_gozb0zzsaw_defsz00(obj_t BgL_envz00_6694,
		obj_t BgL_loc1447z00_6695, obj_t BgL_to1448z00_6696)
	{
		{	/* SawMill/defs.sch 619 */
			return
				BGl_makezd2rtl_gozd2zzsaw_defsz00(BgL_loc1447z00_6695,
				((BgL_blockz00_bglt) BgL_to1448z00_6696));
		}

	}



/* rtl_go? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_gozf3zf3zzsaw_defsz00(obj_t BgL_objz00_117)
	{
		{	/* SawMill/defs.sch 620 */
			{	/* SawMill/defs.sch 620 */
				obj_t BgL_classz00_8397;

				BgL_classz00_8397 = BGl_rtl_goz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_117))
					{	/* SawMill/defs.sch 620 */
						BgL_objectz00_bglt BgL_arg1825z00_8398;

						BgL_arg1825z00_8398 = (BgL_objectz00_bglt) (BgL_objz00_117);
						{	/* SawMill/defs.sch 620 */
							bool_t BgL_arg1822z00_8399;
							bool_t BgL_arg1823z00_8400;

							{	/* SawMill/defs.sch 620 */
								long BgL_idxz00_8401;

								BgL_idxz00_8401 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8398);
								BgL_arg1822z00_8399 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8401 + ((long) 3))) == BgL_classz00_8397);
							}
							{	/* SawMill/defs.sch 620 */
								bool_t BgL_res3019z00_8404;

								{	/* SawMill/defs.sch 620 */
									obj_t BgL_oclassz00_8405;

									{	/* SawMill/defs.sch 620 */
										long BgL_arg1833z00_8406;

										{	/* SawMill/defs.sch 620 */
											long BgL_arg1834z00_8407;

											BgL_arg1834z00_8407 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8398);
											BgL_arg1833z00_8406 = (BgL_arg1834z00_8407 - OBJECT_TYPE);
										}
										BgL_oclassz00_8405 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8406);
									}
									{	/* SawMill/defs.sch 620 */
										bool_t BgL__ortest_1110z00_8408;

										BgL__ortest_1110z00_8408 =
											(BgL_classz00_8397 == BgL_oclassz00_8405);
										if (BgL__ortest_1110z00_8408)
											{	/* SawMill/defs.sch 620 */
												BgL_res3019z00_8404 = BgL__ortest_1110z00_8408;
											}
										else
											{	/* SawMill/defs.sch 620 */
												long BgL_odepthz00_8409;

												BgL_odepthz00_8409 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8405);
												if ((((long) 3) < BgL_odepthz00_8409))
													{	/* SawMill/defs.sch 620 */
														obj_t BgL_arg1821z00_8410;

														BgL_arg1821z00_8410 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8405,
															((long) 3));
														BgL_res3019z00_8404 =
															(BgL_arg1821z00_8410 == BgL_classz00_8397);
													}
												else
													{	/* SawMill/defs.sch 620 */
														BgL_res3019z00_8404 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8400 = BgL_res3019z00_8404;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8399, BgL_arg1823z00_8400);
						}
					}
				else
					{	/* SawMill/defs.sch 620 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_go? */
	obj_t BGl_z62rtl_gozf3z91zzsaw_defsz00(obj_t BgL_envz00_6697,
		obj_t BgL_objz00_6698)
	{
		{	/* SawMill/defs.sch 620 */
			return BBOOL(BGl_rtl_gozf3zf3zzsaw_defsz00(BgL_objz00_6698));
		}

	}



/* rtl_go-nil */
	BGL_EXPORTED_DEF BgL_rtl_goz00_bglt BGl_rtl_gozd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 621 */
			{	/* SawMill/defs.sch 621 */
				obj_t BgL_classz00_4501;

				BgL_classz00_4501 = BGl_rtl_goz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 621 */
					obj_t BgL__ortest_1112z00_4502;

					BgL__ortest_1112z00_4502 = BGL_CLASS_NIL(BgL_classz00_4501);
					if (CBOOL(BgL__ortest_1112z00_4502))
						{	/* SawMill/defs.sch 621 */
							return ((BgL_rtl_goz00_bglt) BgL__ortest_1112z00_4502);
						}
					else
						{	/* SawMill/defs.sch 621 */
							return
								((BgL_rtl_goz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4501));
						}
				}
			}
		}

	}



/* &rtl_go-nil */
	BgL_rtl_goz00_bglt BGl_z62rtl_gozd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_6699)
	{
		{	/* SawMill/defs.sch 621 */
			return BGl_rtl_gozd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_go-to */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_rtl_gozd2tozd2zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_118)
	{
		{	/* SawMill/defs.sch 622 */
			return (((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_118))->BgL_toz00);
		}

	}



/* &rtl_go-to */
	BgL_blockz00_bglt BGl_z62rtl_gozd2tozb0zzsaw_defsz00(obj_t BgL_envz00_6700,
		obj_t BgL_oz00_6701)
	{
		{	/* SawMill/defs.sch 622 */
			return
				BGl_rtl_gozd2tozd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6701));
		}

	}



/* rtl_go-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_119,
		BgL_blockz00_bglt BgL_vz00_120)
	{
		{	/* SawMill/defs.sch 623 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_oz00_119))->BgL_toz00) =
				((BgL_blockz00_bglt) BgL_vz00_120), BUNSPEC);
		}

	}



/* &rtl_go-to-set! */
	obj_t BGl_z62rtl_gozd2tozd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6702,
		obj_t BgL_oz00_6703, obj_t BgL_vz00_6704)
	{
		{	/* SawMill/defs.sch 623 */
			return
				BGl_rtl_gozd2tozd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6703),
				((BgL_blockz00_bglt) BgL_vz00_6704));
		}

	}



/* rtl_go-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_gozd2loczd2zzsaw_defsz00(BgL_rtl_goz00_bglt
		BgL_oz00_121)
	{
		{	/* SawMill/defs.sch 624 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_121)))->BgL_locz00);
		}

	}



/* &rtl_go-loc */
	obj_t BGl_z62rtl_gozd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6705,
		obj_t BgL_oz00_6706)
	{
		{	/* SawMill/defs.sch 624 */
			return
				BGl_rtl_gozd2loczd2zzsaw_defsz00(((BgL_rtl_goz00_bglt) BgL_oz00_6706));
		}

	}



/* rtl_go-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_goz00_bglt BgL_oz00_122,
		obj_t BgL_vz00_123)
	{
		{	/* SawMill/defs.sch 625 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_122)))->BgL_locz00) =
				((obj_t) BgL_vz00_123), BUNSPEC);
		}

	}



/* &rtl_go-loc-set! */
	obj_t BGl_z62rtl_gozd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6707,
		obj_t BgL_oz00_6708, obj_t BgL_vz00_6709)
	{
		{	/* SawMill/defs.sch 625 */
			return
				BGl_rtl_gozd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_goz00_bglt) BgL_oz00_6708), BgL_vz00_6709);
		}

	}



/* make-rtl_pure */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt
		BGl_makezd2rtl_purezd2zzsaw_defsz00(obj_t BgL_loc1445z00_124)
	{
		{	/* SawMill/defs.sch 628 */
			{	/* SawMill/defs.sch 628 */
				BgL_rtl_purez00_bglt BgL_new1364z00_8411;

				{	/* SawMill/defs.sch 628 */
					BgL_rtl_purez00_bglt BgL_new1363z00_8412;

					BgL_new1363z00_8412 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.sch 628 */
						long BgL_arg1839z00_8413;

						BgL_arg1839z00_8413 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1363z00_8412), BgL_arg1839z00_8413);
					}
					BgL_new1364z00_8411 = BgL_new1363z00_8412;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1364z00_8411)))->BgL_locz00) =
					((obj_t) BgL_loc1445z00_124), BUNSPEC);
				return BgL_new1364z00_8411;
			}
		}

	}



/* &make-rtl_pure */
	BgL_rtl_purez00_bglt BGl_z62makezd2rtl_purezb0zzsaw_defsz00(obj_t
		BgL_envz00_6710, obj_t BgL_loc1445z00_6711)
	{
		{	/* SawMill/defs.sch 628 */
			return BGl_makezd2rtl_purezd2zzsaw_defsz00(BgL_loc1445z00_6711);
		}

	}



/* rtl_pure? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_purezf3zf3zzsaw_defsz00(obj_t BgL_objz00_125)
	{
		{	/* SawMill/defs.sch 629 */
			{	/* SawMill/defs.sch 629 */
				obj_t BgL_classz00_8414;

				BgL_classz00_8414 = BGl_rtl_purez00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_125))
					{	/* SawMill/defs.sch 629 */
						BgL_objectz00_bglt BgL_arg1825z00_8415;

						BgL_arg1825z00_8415 = (BgL_objectz00_bglt) (BgL_objz00_125);
						{	/* SawMill/defs.sch 629 */
							bool_t BgL_arg1822z00_8416;
							bool_t BgL_arg1823z00_8417;

							{	/* SawMill/defs.sch 629 */
								long BgL_idxz00_8418;

								BgL_idxz00_8418 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8415);
								BgL_arg1822z00_8416 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8418 + ((long) 2))) == BgL_classz00_8414);
							}
							{	/* SawMill/defs.sch 629 */
								bool_t BgL_res3020z00_8421;

								{	/* SawMill/defs.sch 629 */
									obj_t BgL_oclassz00_8422;

									{	/* SawMill/defs.sch 629 */
										long BgL_arg1833z00_8423;

										{	/* SawMill/defs.sch 629 */
											long BgL_arg1834z00_8424;

											BgL_arg1834z00_8424 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8415);
											BgL_arg1833z00_8423 = (BgL_arg1834z00_8424 - OBJECT_TYPE);
										}
										BgL_oclassz00_8422 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8423);
									}
									{	/* SawMill/defs.sch 629 */
										bool_t BgL__ortest_1110z00_8425;

										BgL__ortest_1110z00_8425 =
											(BgL_classz00_8414 == BgL_oclassz00_8422);
										if (BgL__ortest_1110z00_8425)
											{	/* SawMill/defs.sch 629 */
												BgL_res3020z00_8421 = BgL__ortest_1110z00_8425;
											}
										else
											{	/* SawMill/defs.sch 629 */
												long BgL_odepthz00_8426;

												BgL_odepthz00_8426 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8422);
												if ((((long) 2) < BgL_odepthz00_8426))
													{	/* SawMill/defs.sch 629 */
														obj_t BgL_arg1821z00_8427;

														BgL_arg1821z00_8427 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8422,
															((long) 2));
														BgL_res3020z00_8421 =
															(BgL_arg1821z00_8427 == BgL_classz00_8414);
													}
												else
													{	/* SawMill/defs.sch 629 */
														BgL_res3020z00_8421 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8417 = BgL_res3020z00_8421;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8416, BgL_arg1823z00_8417);
						}
					}
				else
					{	/* SawMill/defs.sch 629 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pure? */
	obj_t BGl_z62rtl_purezf3z91zzsaw_defsz00(obj_t BgL_envz00_6712,
		obj_t BgL_objz00_6713)
	{
		{	/* SawMill/defs.sch 629 */
			return BBOOL(BGl_rtl_purezf3zf3zzsaw_defsz00(BgL_objz00_6713));
		}

	}



/* rtl_pure-nil */
	BGL_EXPORTED_DEF BgL_rtl_purez00_bglt BGl_rtl_purezd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 630 */
			{	/* SawMill/defs.sch 630 */
				obj_t BgL_classz00_4541;

				BgL_classz00_4541 = BGl_rtl_purez00zzsaw_defsz00;
				{	/* SawMill/defs.sch 630 */
					obj_t BgL__ortest_1112z00_4542;

					BgL__ortest_1112z00_4542 = BGL_CLASS_NIL(BgL_classz00_4541);
					if (CBOOL(BgL__ortest_1112z00_4542))
						{	/* SawMill/defs.sch 630 */
							return ((BgL_rtl_purez00_bglt) BgL__ortest_1112z00_4542);
						}
					else
						{	/* SawMill/defs.sch 630 */
							return
								((BgL_rtl_purez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4541));
						}
				}
			}
		}

	}



/* &rtl_pure-nil */
	BgL_rtl_purez00_bglt BGl_z62rtl_purezd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6714)
	{
		{	/* SawMill/defs.sch 630 */
			return BGl_rtl_purezd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pure-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_purezd2loczd2zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_126)
	{
		{	/* SawMill/defs.sch 631 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_126)))->BgL_locz00);
		}

	}



/* &rtl_pure-loc */
	obj_t BGl_z62rtl_purezd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6715,
		obj_t BgL_oz00_6716)
	{
		{	/* SawMill/defs.sch 631 */
			return
				BGl_rtl_purezd2loczd2zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6716));
		}

	}



/* rtl_pure-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_purez00_bglt
		BgL_oz00_127, obj_t BgL_vz00_128)
	{
		{	/* SawMill/defs.sch 632 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_127)))->BgL_locz00) =
				((obj_t) BgL_vz00_128), BUNSPEC);
		}

	}



/* &rtl_pure-loc-set! */
	obj_t BGl_z62rtl_purezd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6717,
		obj_t BgL_oz00_6718, obj_t BgL_vz00_6719)
	{
		{	/* SawMill/defs.sch 632 */
			return
				BGl_rtl_purezd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_purez00_bglt) BgL_oz00_6718), BgL_vz00_6719);
		}

	}



/* make-rtl_nop */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_makezd2rtl_nopzd2zzsaw_defsz00(obj_t
		BgL_loc1443z00_129)
	{
		{	/* SawMill/defs.sch 635 */
			{	/* SawMill/defs.sch 635 */
				BgL_rtl_nopz00_bglt BgL_new1366z00_8428;

				{	/* SawMill/defs.sch 635 */
					BgL_rtl_nopz00_bglt BgL_new1365z00_8429;

					BgL_new1365z00_8429 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.sch 635 */
						long BgL_arg1842z00_8430;

						BgL_arg1842z00_8430 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1365z00_8429), BgL_arg1842z00_8430);
					}
					BgL_new1366z00_8428 = BgL_new1365z00_8429;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1366z00_8428)))->BgL_locz00) =
					((obj_t) BgL_loc1443z00_129), BUNSPEC);
				return BgL_new1366z00_8428;
			}
		}

	}



/* &make-rtl_nop */
	BgL_rtl_nopz00_bglt BGl_z62makezd2rtl_nopzb0zzsaw_defsz00(obj_t
		BgL_envz00_6720, obj_t BgL_loc1443z00_6721)
	{
		{	/* SawMill/defs.sch 635 */
			return BGl_makezd2rtl_nopzd2zzsaw_defsz00(BgL_loc1443z00_6721);
		}

	}



/* rtl_nop? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_nopzf3zf3zzsaw_defsz00(obj_t BgL_objz00_130)
	{
		{	/* SawMill/defs.sch 636 */
			{	/* SawMill/defs.sch 636 */
				obj_t BgL_classz00_8431;

				BgL_classz00_8431 = BGl_rtl_nopz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_130))
					{	/* SawMill/defs.sch 636 */
						BgL_objectz00_bglt BgL_arg1825z00_8432;

						BgL_arg1825z00_8432 = (BgL_objectz00_bglt) (BgL_objz00_130);
						{	/* SawMill/defs.sch 636 */
							bool_t BgL_arg1822z00_8433;
							bool_t BgL_arg1823z00_8434;

							{	/* SawMill/defs.sch 636 */
								long BgL_idxz00_8435;

								BgL_idxz00_8435 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8432);
								BgL_arg1822z00_8433 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8435 + ((long) 3))) == BgL_classz00_8431);
							}
							{	/* SawMill/defs.sch 636 */
								bool_t BgL_res3021z00_8438;

								{	/* SawMill/defs.sch 636 */
									obj_t BgL_oclassz00_8439;

									{	/* SawMill/defs.sch 636 */
										long BgL_arg1833z00_8440;

										{	/* SawMill/defs.sch 636 */
											long BgL_arg1834z00_8441;

											BgL_arg1834z00_8441 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8432);
											BgL_arg1833z00_8440 = (BgL_arg1834z00_8441 - OBJECT_TYPE);
										}
										BgL_oclassz00_8439 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8440);
									}
									{	/* SawMill/defs.sch 636 */
										bool_t BgL__ortest_1110z00_8442;

										BgL__ortest_1110z00_8442 =
											(BgL_classz00_8431 == BgL_oclassz00_8439);
										if (BgL__ortest_1110z00_8442)
											{	/* SawMill/defs.sch 636 */
												BgL_res3021z00_8438 = BgL__ortest_1110z00_8442;
											}
										else
											{	/* SawMill/defs.sch 636 */
												long BgL_odepthz00_8443;

												BgL_odepthz00_8443 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8439);
												if ((((long) 3) < BgL_odepthz00_8443))
													{	/* SawMill/defs.sch 636 */
														obj_t BgL_arg1821z00_8444;

														BgL_arg1821z00_8444 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8439,
															((long) 3));
														BgL_res3021z00_8438 =
															(BgL_arg1821z00_8444 == BgL_classz00_8431);
													}
												else
													{	/* SawMill/defs.sch 636 */
														BgL_res3021z00_8438 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8434 = BgL_res3021z00_8438;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8433, BgL_arg1823z00_8434);
						}
					}
				else
					{	/* SawMill/defs.sch 636 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_nop? */
	obj_t BGl_z62rtl_nopzf3z91zzsaw_defsz00(obj_t BgL_envz00_6722,
		obj_t BgL_objz00_6723)
	{
		{	/* SawMill/defs.sch 636 */
			return BBOOL(BGl_rtl_nopzf3zf3zzsaw_defsz00(BgL_objz00_6723));
		}

	}



/* rtl_nop-nil */
	BGL_EXPORTED_DEF BgL_rtl_nopz00_bglt BGl_rtl_nopzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 637 */
			{	/* SawMill/defs.sch 637 */
				obj_t BgL_classz00_4581;

				BgL_classz00_4581 = BGl_rtl_nopz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 637 */
					obj_t BgL__ortest_1112z00_4582;

					BgL__ortest_1112z00_4582 = BGL_CLASS_NIL(BgL_classz00_4581);
					if (CBOOL(BgL__ortest_1112z00_4582))
						{	/* SawMill/defs.sch 637 */
							return ((BgL_rtl_nopz00_bglt) BgL__ortest_1112z00_4582);
						}
					else
						{	/* SawMill/defs.sch 637 */
							return
								((BgL_rtl_nopz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4581));
						}
				}
			}
		}

	}



/* &rtl_nop-nil */
	BgL_rtl_nopz00_bglt BGl_z62rtl_nopzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6724)
	{
		{	/* SawMill/defs.sch 637 */
			return BGl_rtl_nopzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_nop-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_nopzd2loczd2zzsaw_defsz00(BgL_rtl_nopz00_bglt
		BgL_oz00_131)
	{
		{	/* SawMill/defs.sch 638 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_131)))->BgL_locz00);
		}

	}



/* &rtl_nop-loc */
	obj_t BGl_z62rtl_nopzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6725,
		obj_t BgL_oz00_6726)
	{
		{	/* SawMill/defs.sch 638 */
			return
				BGl_rtl_nopzd2loczd2zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6726));
		}

	}



/* rtl_nop-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_nopz00_bglt BgL_oz00_132,
		obj_t BgL_vz00_133)
	{
		{	/* SawMill/defs.sch 639 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_132)))->BgL_locz00) =
				((obj_t) BgL_vz00_133), BUNSPEC);
		}

	}



/* &rtl_nop-loc-set! */
	obj_t BGl_z62rtl_nopzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6727,
		obj_t BgL_oz00_6728, obj_t BgL_vz00_6729)
	{
		{	/* SawMill/defs.sch 639 */
			return
				BGl_rtl_nopzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_nopz00_bglt) BgL_oz00_6728), BgL_vz00_6729);
		}

	}



/* make-rtl_mov */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_makezd2rtl_movzd2zzsaw_defsz00(obj_t
		BgL_loc1441z00_134)
	{
		{	/* SawMill/defs.sch 642 */
			{	/* SawMill/defs.sch 642 */
				BgL_rtl_movz00_bglt BgL_new1368z00_8445;

				{	/* SawMill/defs.sch 642 */
					BgL_rtl_movz00_bglt BgL_new1367z00_8446;

					BgL_new1367z00_8446 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.sch 642 */
						long BgL_arg1848z00_8447;

						BgL_arg1848z00_8447 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1367z00_8446), BgL_arg1848z00_8447);
					}
					BgL_new1368z00_8445 = BgL_new1367z00_8446;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1368z00_8445)))->BgL_locz00) =
					((obj_t) BgL_loc1441z00_134), BUNSPEC);
				return BgL_new1368z00_8445;
			}
		}

	}



/* &make-rtl_mov */
	BgL_rtl_movz00_bglt BGl_z62makezd2rtl_movzb0zzsaw_defsz00(obj_t
		BgL_envz00_6730, obj_t BgL_loc1441z00_6731)
	{
		{	/* SawMill/defs.sch 642 */
			return BGl_makezd2rtl_movzd2zzsaw_defsz00(BgL_loc1441z00_6731);
		}

	}



/* rtl_mov? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_movzf3zf3zzsaw_defsz00(obj_t BgL_objz00_135)
	{
		{	/* SawMill/defs.sch 643 */
			{	/* SawMill/defs.sch 643 */
				obj_t BgL_classz00_8448;

				BgL_classz00_8448 = BGl_rtl_movz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_135))
					{	/* SawMill/defs.sch 643 */
						BgL_objectz00_bglt BgL_arg1825z00_8449;

						BgL_arg1825z00_8449 = (BgL_objectz00_bglt) (BgL_objz00_135);
						{	/* SawMill/defs.sch 643 */
							bool_t BgL_arg1822z00_8450;
							bool_t BgL_arg1823z00_8451;

							{	/* SawMill/defs.sch 643 */
								long BgL_idxz00_8452;

								BgL_idxz00_8452 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8449);
								BgL_arg1822z00_8450 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8452 + ((long) 3))) == BgL_classz00_8448);
							}
							{	/* SawMill/defs.sch 643 */
								bool_t BgL_res3022z00_8455;

								{	/* SawMill/defs.sch 643 */
									obj_t BgL_oclassz00_8456;

									{	/* SawMill/defs.sch 643 */
										long BgL_arg1833z00_8457;

										{	/* SawMill/defs.sch 643 */
											long BgL_arg1834z00_8458;

											BgL_arg1834z00_8458 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8449);
											BgL_arg1833z00_8457 = (BgL_arg1834z00_8458 - OBJECT_TYPE);
										}
										BgL_oclassz00_8456 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8457);
									}
									{	/* SawMill/defs.sch 643 */
										bool_t BgL__ortest_1110z00_8459;

										BgL__ortest_1110z00_8459 =
											(BgL_classz00_8448 == BgL_oclassz00_8456);
										if (BgL__ortest_1110z00_8459)
											{	/* SawMill/defs.sch 643 */
												BgL_res3022z00_8455 = BgL__ortest_1110z00_8459;
											}
										else
											{	/* SawMill/defs.sch 643 */
												long BgL_odepthz00_8460;

												BgL_odepthz00_8460 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8456);
												if ((((long) 3) < BgL_odepthz00_8460))
													{	/* SawMill/defs.sch 643 */
														obj_t BgL_arg1821z00_8461;

														BgL_arg1821z00_8461 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8456,
															((long) 3));
														BgL_res3022z00_8455 =
															(BgL_arg1821z00_8461 == BgL_classz00_8448);
													}
												else
													{	/* SawMill/defs.sch 643 */
														BgL_res3022z00_8455 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8451 = BgL_res3022z00_8455;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8450, BgL_arg1823z00_8451);
						}
					}
				else
					{	/* SawMill/defs.sch 643 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_mov? */
	obj_t BGl_z62rtl_movzf3z91zzsaw_defsz00(obj_t BgL_envz00_6732,
		obj_t BgL_objz00_6733)
	{
		{	/* SawMill/defs.sch 643 */
			return BBOOL(BGl_rtl_movzf3zf3zzsaw_defsz00(BgL_objz00_6733));
		}

	}



/* rtl_mov-nil */
	BGL_EXPORTED_DEF BgL_rtl_movz00_bglt BGl_rtl_movzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 644 */
			{	/* SawMill/defs.sch 644 */
				obj_t BgL_classz00_4621;

				BgL_classz00_4621 = BGl_rtl_movz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 644 */
					obj_t BgL__ortest_1112z00_4622;

					BgL__ortest_1112z00_4622 = BGL_CLASS_NIL(BgL_classz00_4621);
					if (CBOOL(BgL__ortest_1112z00_4622))
						{	/* SawMill/defs.sch 644 */
							return ((BgL_rtl_movz00_bglt) BgL__ortest_1112z00_4622);
						}
					else
						{	/* SawMill/defs.sch 644 */
							return
								((BgL_rtl_movz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4621));
						}
				}
			}
		}

	}



/* &rtl_mov-nil */
	BgL_rtl_movz00_bglt BGl_z62rtl_movzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6734)
	{
		{	/* SawMill/defs.sch 644 */
			return BGl_rtl_movzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_mov-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_movzd2loczd2zzsaw_defsz00(BgL_rtl_movz00_bglt
		BgL_oz00_136)
	{
		{	/* SawMill/defs.sch 645 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_136)))->BgL_locz00);
		}

	}



/* &rtl_mov-loc */
	obj_t BGl_z62rtl_movzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6735,
		obj_t BgL_oz00_6736)
	{
		{	/* SawMill/defs.sch 645 */
			return
				BGl_rtl_movzd2loczd2zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6736));
		}

	}



/* rtl_mov-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_movz00_bglt BgL_oz00_137,
		obj_t BgL_vz00_138)
	{
		{	/* SawMill/defs.sch 646 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_137)))->BgL_locz00) =
				((obj_t) BgL_vz00_138), BUNSPEC);
		}

	}



/* &rtl_mov-loc-set! */
	obj_t BGl_z62rtl_movzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6737,
		obj_t BgL_oz00_6738, obj_t BgL_vz00_6739)
	{
		{	/* SawMill/defs.sch 646 */
			return
				BGl_rtl_movzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_movz00_bglt) BgL_oz00_6738), BgL_vz00_6739);
		}

	}



/* make-rtl_loadi */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt
		BGl_makezd2rtl_loadizd2zzsaw_defsz00(obj_t BgL_loc1436z00_139,
		BgL_atomz00_bglt BgL_constant1437z00_140)
	{
		{	/* SawMill/defs.sch 649 */
			{	/* SawMill/defs.sch 649 */
				BgL_rtl_loadiz00_bglt BgL_new1370z00_8462;

				{	/* SawMill/defs.sch 649 */
					BgL_rtl_loadiz00_bglt BgL_new1369z00_8463;

					BgL_new1369z00_8463 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.sch 649 */
						long BgL_arg1849z00_8464;

						BgL_arg1849z00_8464 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1369z00_8463), BgL_arg1849z00_8464);
					}
					BgL_new1370z00_8462 = BgL_new1369z00_8463;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1370z00_8462)))->BgL_locz00) =
					((obj_t) BgL_loc1436z00_139), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1370z00_8462))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) BgL_constant1437z00_140), BUNSPEC);
				return BgL_new1370z00_8462;
			}
		}

	}



/* &make-rtl_loadi */
	BgL_rtl_loadiz00_bglt BGl_z62makezd2rtl_loadizb0zzsaw_defsz00(obj_t
		BgL_envz00_6740, obj_t BgL_loc1436z00_6741, obj_t BgL_constant1437z00_6742)
	{
		{	/* SawMill/defs.sch 649 */
			return
				BGl_makezd2rtl_loadizd2zzsaw_defsz00(BgL_loc1436z00_6741,
				((BgL_atomz00_bglt) BgL_constant1437z00_6742));
		}

	}



/* rtl_loadi? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadizf3zf3zzsaw_defsz00(obj_t BgL_objz00_141)
	{
		{	/* SawMill/defs.sch 650 */
			{	/* SawMill/defs.sch 650 */
				obj_t BgL_classz00_8465;

				BgL_classz00_8465 = BGl_rtl_loadiz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_141))
					{	/* SawMill/defs.sch 650 */
						BgL_objectz00_bglt BgL_arg1825z00_8466;

						BgL_arg1825z00_8466 = (BgL_objectz00_bglt) (BgL_objz00_141);
						{	/* SawMill/defs.sch 650 */
							bool_t BgL_arg1822z00_8467;
							bool_t BgL_arg1823z00_8468;

							{	/* SawMill/defs.sch 650 */
								long BgL_idxz00_8469;

								BgL_idxz00_8469 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8466);
								BgL_arg1822z00_8467 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8469 + ((long) 3))) == BgL_classz00_8465);
							}
							{	/* SawMill/defs.sch 650 */
								bool_t BgL_res3023z00_8472;

								{	/* SawMill/defs.sch 650 */
									obj_t BgL_oclassz00_8473;

									{	/* SawMill/defs.sch 650 */
										long BgL_arg1833z00_8474;

										{	/* SawMill/defs.sch 650 */
											long BgL_arg1834z00_8475;

											BgL_arg1834z00_8475 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8466);
											BgL_arg1833z00_8474 = (BgL_arg1834z00_8475 - OBJECT_TYPE);
										}
										BgL_oclassz00_8473 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8474);
									}
									{	/* SawMill/defs.sch 650 */
										bool_t BgL__ortest_1110z00_8476;

										BgL__ortest_1110z00_8476 =
											(BgL_classz00_8465 == BgL_oclassz00_8473);
										if (BgL__ortest_1110z00_8476)
											{	/* SawMill/defs.sch 650 */
												BgL_res3023z00_8472 = BgL__ortest_1110z00_8476;
											}
										else
											{	/* SawMill/defs.sch 650 */
												long BgL_odepthz00_8477;

												BgL_odepthz00_8477 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8473);
												if ((((long) 3) < BgL_odepthz00_8477))
													{	/* SawMill/defs.sch 650 */
														obj_t BgL_arg1821z00_8478;

														BgL_arg1821z00_8478 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8473,
															((long) 3));
														BgL_res3023z00_8472 =
															(BgL_arg1821z00_8478 == BgL_classz00_8465);
													}
												else
													{	/* SawMill/defs.sch 650 */
														BgL_res3023z00_8472 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8468 = BgL_res3023z00_8472;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8467, BgL_arg1823z00_8468);
						}
					}
				else
					{	/* SawMill/defs.sch 650 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadi? */
	obj_t BGl_z62rtl_loadizf3z91zzsaw_defsz00(obj_t BgL_envz00_6743,
		obj_t BgL_objz00_6744)
	{
		{	/* SawMill/defs.sch 650 */
			return BBOOL(BGl_rtl_loadizf3zf3zzsaw_defsz00(BgL_objz00_6744));
		}

	}



/* rtl_loadi-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadiz00_bglt BGl_rtl_loadizd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 651 */
			{	/* SawMill/defs.sch 651 */
				obj_t BgL_classz00_4661;

				BgL_classz00_4661 = BGl_rtl_loadiz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 651 */
					obj_t BgL__ortest_1112z00_4662;

					BgL__ortest_1112z00_4662 = BGL_CLASS_NIL(BgL_classz00_4661);
					if (CBOOL(BgL__ortest_1112z00_4662))
						{	/* SawMill/defs.sch 651 */
							return ((BgL_rtl_loadiz00_bglt) BgL__ortest_1112z00_4662);
						}
					else
						{	/* SawMill/defs.sch 651 */
							return
								((BgL_rtl_loadiz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4661));
						}
				}
			}
		}

	}



/* &rtl_loadi-nil */
	BgL_rtl_loadiz00_bglt BGl_z62rtl_loadizd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6745)
	{
		{	/* SawMill/defs.sch 651 */
			return BGl_rtl_loadizd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadi-constant */
	BGL_EXPORTED_DEF BgL_atomz00_bglt
		BGl_rtl_loadizd2constantzd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_142)
	{
		{	/* SawMill/defs.sch 652 */
			return (((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_142))->BgL_constantz00);
		}

	}



/* &rtl_loadi-constant */
	BgL_atomz00_bglt BGl_z62rtl_loadizd2constantzb0zzsaw_defsz00(obj_t
		BgL_envz00_6746, obj_t BgL_oz00_6747)
	{
		{	/* SawMill/defs.sch 652 */
			return
				BGl_rtl_loadizd2constantzd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6747));
		}

	}



/* rtl_loadi-constant-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_143, BgL_atomz00_bglt BgL_vz00_144)
	{
		{	/* SawMill/defs.sch 653 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_oz00_143))->BgL_constantz00) =
				((BgL_atomz00_bglt) BgL_vz00_144), BUNSPEC);
		}

	}



/* &rtl_loadi-constant-set! */
	obj_t BGl_z62rtl_loadizd2constantzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6748, obj_t BgL_oz00_6749, obj_t BgL_vz00_6750)
	{
		{	/* SawMill/defs.sch 653 */
			return
				BGl_rtl_loadizd2constantzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6749),
				((BgL_atomz00_bglt) BgL_vz00_6750));
		}

	}



/* rtl_loadi-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2zzsaw_defsz00(BgL_rtl_loadiz00_bglt BgL_oz00_145)
	{
		{	/* SawMill/defs.sch 654 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_145)))->BgL_locz00);
		}

	}



/* &rtl_loadi-loc */
	obj_t BGl_z62rtl_loadizd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6751,
		obj_t BgL_oz00_6752)
	{
		{	/* SawMill/defs.sch 654 */
			return
				BGl_rtl_loadizd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6752));
		}

	}



/* rtl_loadi-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadiz00_bglt
		BgL_oz00_146, obj_t BgL_vz00_147)
	{
		{	/* SawMill/defs.sch 655 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_146)))->BgL_locz00) =
				((obj_t) BgL_vz00_147), BUNSPEC);
		}

	}



/* &rtl_loadi-loc-set! */
	obj_t BGl_z62rtl_loadizd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6753,
		obj_t BgL_oz00_6754, obj_t BgL_vz00_6755)
	{
		{	/* SawMill/defs.sch 655 */
			return
				BGl_rtl_loadizd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadiz00_bglt) BgL_oz00_6754), BgL_vz00_6755);
		}

	}



/* make-rtl_loadg */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt
		BGl_makezd2rtl_loadgzd2zzsaw_defsz00(obj_t BgL_loc1432z00_148,
		BgL_globalz00_bglt BgL_var1433z00_149)
	{
		{	/* SawMill/defs.sch 658 */
			{	/* SawMill/defs.sch 658 */
				BgL_rtl_loadgz00_bglt BgL_new1372z00_8479;

				{	/* SawMill/defs.sch 658 */
					BgL_rtl_loadgz00_bglt BgL_new1371z00_8480;

					BgL_new1371z00_8480 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.sch 658 */
						long BgL_arg1850z00_8481;

						BgL_arg1850z00_8481 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1371z00_8480), BgL_arg1850z00_8481);
					}
					BgL_new1372z00_8479 = BgL_new1371z00_8480;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1372z00_8479)))->BgL_locz00) =
					((obj_t) BgL_loc1432z00_148), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1372z00_8479))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1433z00_149), BUNSPEC);
				return BgL_new1372z00_8479;
			}
		}

	}



/* &make-rtl_loadg */
	BgL_rtl_loadgz00_bglt BGl_z62makezd2rtl_loadgzb0zzsaw_defsz00(obj_t
		BgL_envz00_6756, obj_t BgL_loc1432z00_6757, obj_t BgL_var1433z00_6758)
	{
		{	/* SawMill/defs.sch 658 */
			return
				BGl_makezd2rtl_loadgzd2zzsaw_defsz00(BgL_loc1432z00_6757,
				((BgL_globalz00_bglt) BgL_var1433z00_6758));
		}

	}



/* rtl_loadg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadgzf3zf3zzsaw_defsz00(obj_t BgL_objz00_150)
	{
		{	/* SawMill/defs.sch 659 */
			{	/* SawMill/defs.sch 659 */
				obj_t BgL_classz00_8482;

				BgL_classz00_8482 = BGl_rtl_loadgz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_150))
					{	/* SawMill/defs.sch 659 */
						BgL_objectz00_bglt BgL_arg1825z00_8483;

						BgL_arg1825z00_8483 = (BgL_objectz00_bglt) (BgL_objz00_150);
						{	/* SawMill/defs.sch 659 */
							bool_t BgL_arg1822z00_8484;
							bool_t BgL_arg1823z00_8485;

							{	/* SawMill/defs.sch 659 */
								long BgL_idxz00_8486;

								BgL_idxz00_8486 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8483);
								BgL_arg1822z00_8484 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8486 + ((long) 3))) == BgL_classz00_8482);
							}
							{	/* SawMill/defs.sch 659 */
								bool_t BgL_res3024z00_8489;

								{	/* SawMill/defs.sch 659 */
									obj_t BgL_oclassz00_8490;

									{	/* SawMill/defs.sch 659 */
										long BgL_arg1833z00_8491;

										{	/* SawMill/defs.sch 659 */
											long BgL_arg1834z00_8492;

											BgL_arg1834z00_8492 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8483);
											BgL_arg1833z00_8491 = (BgL_arg1834z00_8492 - OBJECT_TYPE);
										}
										BgL_oclassz00_8490 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8491);
									}
									{	/* SawMill/defs.sch 659 */
										bool_t BgL__ortest_1110z00_8493;

										BgL__ortest_1110z00_8493 =
											(BgL_classz00_8482 == BgL_oclassz00_8490);
										if (BgL__ortest_1110z00_8493)
											{	/* SawMill/defs.sch 659 */
												BgL_res3024z00_8489 = BgL__ortest_1110z00_8493;
											}
										else
											{	/* SawMill/defs.sch 659 */
												long BgL_odepthz00_8494;

												BgL_odepthz00_8494 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8490);
												if ((((long) 3) < BgL_odepthz00_8494))
													{	/* SawMill/defs.sch 659 */
														obj_t BgL_arg1821z00_8495;

														BgL_arg1821z00_8495 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8490,
															((long) 3));
														BgL_res3024z00_8489 =
															(BgL_arg1821z00_8495 == BgL_classz00_8482);
													}
												else
													{	/* SawMill/defs.sch 659 */
														BgL_res3024z00_8489 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8485 = BgL_res3024z00_8489;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8484, BgL_arg1823z00_8485);
						}
					}
				else
					{	/* SawMill/defs.sch 659 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadg? */
	obj_t BGl_z62rtl_loadgzf3z91zzsaw_defsz00(obj_t BgL_envz00_6759,
		obj_t BgL_objz00_6760)
	{
		{	/* SawMill/defs.sch 659 */
			return BBOOL(BGl_rtl_loadgzf3zf3zzsaw_defsz00(BgL_objz00_6760));
		}

	}



/* rtl_loadg-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadgz00_bglt BGl_rtl_loadgzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 660 */
			{	/* SawMill/defs.sch 660 */
				obj_t BgL_classz00_4701;

				BgL_classz00_4701 = BGl_rtl_loadgz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 660 */
					obj_t BgL__ortest_1112z00_4702;

					BgL__ortest_1112z00_4702 = BGL_CLASS_NIL(BgL_classz00_4701);
					if (CBOOL(BgL__ortest_1112z00_4702))
						{	/* SawMill/defs.sch 660 */
							return ((BgL_rtl_loadgz00_bglt) BgL__ortest_1112z00_4702);
						}
					else
						{	/* SawMill/defs.sch 660 */
							return
								((BgL_rtl_loadgz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4701));
						}
				}
			}
		}

	}



/* &rtl_loadg-nil */
	BgL_rtl_loadgz00_bglt BGl_z62rtl_loadgzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6761)
	{
		{	/* SawMill/defs.sch 660 */
			return BGl_rtl_loadgzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadgzd2varzd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_151)
	{
		{	/* SawMill/defs.sch 661 */
			return (((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_151))->BgL_varz00);
		}

	}



/* &rtl_loadg-var */
	BgL_globalz00_bglt BGl_z62rtl_loadgzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_6762, obj_t BgL_oz00_6763)
	{
		{	/* SawMill/defs.sch 661 */
			return
				BGl_rtl_loadgzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6763));
		}

	}



/* rtl_loadg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_152, BgL_globalz00_bglt BgL_vz00_153)
	{
		{	/* SawMill/defs.sch 662 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_oz00_152))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_153), BUNSPEC);
		}

	}



/* &rtl_loadg-var-set! */
	obj_t BGl_z62rtl_loadgzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6764,
		obj_t BgL_oz00_6765, obj_t BgL_vz00_6766)
	{
		{	/* SawMill/defs.sch 662 */
			return
				BGl_rtl_loadgzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6765),
				((BgL_globalz00_bglt) BgL_vz00_6766));
		}

	}



/* rtl_loadg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2zzsaw_defsz00(BgL_rtl_loadgz00_bglt BgL_oz00_154)
	{
		{	/* SawMill/defs.sch 663 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_154)))->BgL_locz00);
		}

	}



/* &rtl_loadg-loc */
	obj_t BGl_z62rtl_loadgzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6767,
		obj_t BgL_oz00_6768)
	{
		{	/* SawMill/defs.sch 663 */
			return
				BGl_rtl_loadgzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6768));
		}

	}



/* rtl_loadg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadgz00_bglt
		BgL_oz00_155, obj_t BgL_vz00_156)
	{
		{	/* SawMill/defs.sch 664 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_155)))->BgL_locz00) =
				((obj_t) BgL_vz00_156), BUNSPEC);
		}

	}



/* &rtl_loadg-loc-set! */
	obj_t BGl_z62rtl_loadgzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6769,
		obj_t BgL_oz00_6770, obj_t BgL_vz00_6771)
	{
		{	/* SawMill/defs.sch 664 */
			return
				BGl_rtl_loadgzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadgz00_bglt) BgL_oz00_6770), BgL_vz00_6771);
		}

	}



/* make-rtl_loadfun */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(obj_t BgL_loc1429z00_157,
		BgL_globalz00_bglt BgL_var1430z00_158)
	{
		{	/* SawMill/defs.sch 667 */
			{	/* SawMill/defs.sch 667 */
				BgL_rtl_loadfunz00_bglt BgL_new1374z00_8496;

				{	/* SawMill/defs.sch 667 */
					BgL_rtl_loadfunz00_bglt BgL_new1373z00_8497;

					BgL_new1373z00_8497 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.sch 667 */
						long BgL_arg1852z00_8498;

						BgL_arg1852z00_8498 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1373z00_8497), BgL_arg1852z00_8498);
					}
					BgL_new1374z00_8496 = BgL_new1373z00_8497;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1374z00_8496)))->BgL_locz00) =
					((obj_t) BgL_loc1429z00_157), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1374z00_8496))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1430z00_158), BUNSPEC);
				return BgL_new1374z00_8496;
			}
		}

	}



/* &make-rtl_loadfun */
	BgL_rtl_loadfunz00_bglt BGl_z62makezd2rtl_loadfunzb0zzsaw_defsz00(obj_t
		BgL_envz00_6772, obj_t BgL_loc1429z00_6773, obj_t BgL_var1430z00_6774)
	{
		{	/* SawMill/defs.sch 667 */
			return
				BGl_makezd2rtl_loadfunzd2zzsaw_defsz00(BgL_loc1429z00_6773,
				((BgL_globalz00_bglt) BgL_var1430z00_6774));
		}

	}



/* rtl_loadfun? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_loadfunzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_159)
	{
		{	/* SawMill/defs.sch 668 */
			{	/* SawMill/defs.sch 668 */
				obj_t BgL_classz00_8499;

				BgL_classz00_8499 = BGl_rtl_loadfunz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_159))
					{	/* SawMill/defs.sch 668 */
						BgL_objectz00_bglt BgL_arg1825z00_8500;

						BgL_arg1825z00_8500 = (BgL_objectz00_bglt) (BgL_objz00_159);
						{	/* SawMill/defs.sch 668 */
							bool_t BgL_arg1822z00_8501;
							bool_t BgL_arg1823z00_8502;

							{	/* SawMill/defs.sch 668 */
								long BgL_idxz00_8503;

								BgL_idxz00_8503 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8500);
								BgL_arg1822z00_8501 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8503 + ((long) 3))) == BgL_classz00_8499);
							}
							{	/* SawMill/defs.sch 668 */
								bool_t BgL_res3025z00_8506;

								{	/* SawMill/defs.sch 668 */
									obj_t BgL_oclassz00_8507;

									{	/* SawMill/defs.sch 668 */
										long BgL_arg1833z00_8508;

										{	/* SawMill/defs.sch 668 */
											long BgL_arg1834z00_8509;

											BgL_arg1834z00_8509 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8500);
											BgL_arg1833z00_8508 = (BgL_arg1834z00_8509 - OBJECT_TYPE);
										}
										BgL_oclassz00_8507 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8508);
									}
									{	/* SawMill/defs.sch 668 */
										bool_t BgL__ortest_1110z00_8510;

										BgL__ortest_1110z00_8510 =
											(BgL_classz00_8499 == BgL_oclassz00_8507);
										if (BgL__ortest_1110z00_8510)
											{	/* SawMill/defs.sch 668 */
												BgL_res3025z00_8506 = BgL__ortest_1110z00_8510;
											}
										else
											{	/* SawMill/defs.sch 668 */
												long BgL_odepthz00_8511;

												BgL_odepthz00_8511 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8507);
												if ((((long) 3) < BgL_odepthz00_8511))
													{	/* SawMill/defs.sch 668 */
														obj_t BgL_arg1821z00_8512;

														BgL_arg1821z00_8512 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8507,
															((long) 3));
														BgL_res3025z00_8506 =
															(BgL_arg1821z00_8512 == BgL_classz00_8499);
													}
												else
													{	/* SawMill/defs.sch 668 */
														BgL_res3025z00_8506 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8502 = BgL_res3025z00_8506;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8501, BgL_arg1823z00_8502);
						}
					}
				else
					{	/* SawMill/defs.sch 668 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_loadfun? */
	obj_t BGl_z62rtl_loadfunzf3z91zzsaw_defsz00(obj_t BgL_envz00_6775,
		obj_t BgL_objz00_6776)
	{
		{	/* SawMill/defs.sch 668 */
			return BBOOL(BGl_rtl_loadfunzf3zf3zzsaw_defsz00(BgL_objz00_6776));
		}

	}



/* rtl_loadfun-nil */
	BGL_EXPORTED_DEF BgL_rtl_loadfunz00_bglt
		BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 669 */
			{	/* SawMill/defs.sch 669 */
				obj_t BgL_classz00_4741;

				BgL_classz00_4741 = BGl_rtl_loadfunz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 669 */
					obj_t BgL__ortest_1112z00_4742;

					BgL__ortest_1112z00_4742 = BGL_CLASS_NIL(BgL_classz00_4741);
					if (CBOOL(BgL__ortest_1112z00_4742))
						{	/* SawMill/defs.sch 669 */
							return ((BgL_rtl_loadfunz00_bglt) BgL__ortest_1112z00_4742);
						}
					else
						{	/* SawMill/defs.sch 669 */
							return
								((BgL_rtl_loadfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4741));
						}
				}
			}
		}

	}



/* &rtl_loadfun-nil */
	BgL_rtl_loadfunz00_bglt BGl_z62rtl_loadfunzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6777)
	{
		{	/* SawMill/defs.sch 669 */
			return BGl_rtl_loadfunzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_loadfun-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_160)
	{
		{	/* SawMill/defs.sch 670 */
			return (((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_160))->BgL_varz00);
		}

	}



/* &rtl_loadfun-var */
	BgL_globalz00_bglt BGl_z62rtl_loadfunzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_6778, obj_t BgL_oz00_6779)
	{
		{	/* SawMill/defs.sch 670 */
			return
				BGl_rtl_loadfunzd2varzd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_6779));
		}

	}



/* rtl_loadfun-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_161, BgL_globalz00_bglt BgL_vz00_162)
	{
		{	/* SawMill/defs.sch 671 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_oz00_161))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_162), BUNSPEC);
		}

	}



/* &rtl_loadfun-var-set! */
	obj_t BGl_z62rtl_loadfunzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6780,
		obj_t BgL_oz00_6781, obj_t BgL_vz00_6782)
	{
		{	/* SawMill/defs.sch 671 */
			return
				BGl_rtl_loadfunzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_6781),
				((BgL_globalz00_bglt) BgL_vz00_6782));
		}

	}



/* rtl_loadfun-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(BgL_rtl_loadfunz00_bglt BgL_oz00_163)
	{
		{	/* SawMill/defs.sch 672 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_163)))->BgL_locz00);
		}

	}



/* &rtl_loadfun-loc */
	obj_t BGl_z62rtl_loadfunzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6783,
		obj_t BgL_oz00_6784)
	{
		{	/* SawMill/defs.sch 672 */
			return
				BGl_rtl_loadfunzd2loczd2zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_6784));
		}

	}



/* rtl_loadfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_loadfunz00_bglt
		BgL_oz00_164, obj_t BgL_vz00_165)
	{
		{	/* SawMill/defs.sch 673 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_164)))->BgL_locz00) =
				((obj_t) BgL_vz00_165), BUNSPEC);
		}

	}



/* &rtl_loadfun-loc-set! */
	obj_t BGl_z62rtl_loadfunzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6785,
		obj_t BgL_oz00_6786, obj_t BgL_vz00_6787)
	{
		{	/* SawMill/defs.sch 673 */
			return
				BGl_rtl_loadfunzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_loadfunz00_bglt) BgL_oz00_6786), BgL_vz00_6787);
		}

	}



/* make-rtl_globalref */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(obj_t BgL_loc1425z00_166,
		BgL_globalz00_bglt BgL_var1426z00_167)
	{
		{	/* SawMill/defs.sch 676 */
			{	/* SawMill/defs.sch 676 */
				BgL_rtl_globalrefz00_bglt BgL_new1376z00_8513;

				{	/* SawMill/defs.sch 676 */
					BgL_rtl_globalrefz00_bglt BgL_new1375z00_8514;

					BgL_new1375z00_8514 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.sch 676 */
						long BgL_arg1854z00_8515;

						BgL_arg1854z00_8515 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1375z00_8514), BgL_arg1854z00_8515);
					}
					BgL_new1376z00_8513 = BgL_new1375z00_8514;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1376z00_8513)))->BgL_locz00) =
					((obj_t) BgL_loc1425z00_166), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1376z00_8513))->
						BgL_varz00) = ((BgL_globalz00_bglt) BgL_var1426z00_167), BUNSPEC);
				return BgL_new1376z00_8513;
			}
		}

	}



/* &make-rtl_globalref */
	BgL_rtl_globalrefz00_bglt BGl_z62makezd2rtl_globalrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_6788, obj_t BgL_loc1425z00_6789, obj_t BgL_var1426z00_6790)
	{
		{	/* SawMill/defs.sch 676 */
			return
				BGl_makezd2rtl_globalrefzd2zzsaw_defsz00(BgL_loc1425z00_6789,
				((BgL_globalz00_bglt) BgL_var1426z00_6790));
		}

	}



/* rtl_globalref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_globalrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_168)
	{
		{	/* SawMill/defs.sch 677 */
			{	/* SawMill/defs.sch 677 */
				obj_t BgL_classz00_8516;

				BgL_classz00_8516 = BGl_rtl_globalrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_168))
					{	/* SawMill/defs.sch 677 */
						BgL_objectz00_bglt BgL_arg1825z00_8517;

						BgL_arg1825z00_8517 = (BgL_objectz00_bglt) (BgL_objz00_168);
						{	/* SawMill/defs.sch 677 */
							bool_t BgL_arg1822z00_8518;
							bool_t BgL_arg1823z00_8519;

							{	/* SawMill/defs.sch 677 */
								long BgL_idxz00_8520;

								BgL_idxz00_8520 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8517);
								BgL_arg1822z00_8518 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8520 + ((long) 3))) == BgL_classz00_8516);
							}
							{	/* SawMill/defs.sch 677 */
								bool_t BgL_res3026z00_8523;

								{	/* SawMill/defs.sch 677 */
									obj_t BgL_oclassz00_8524;

									{	/* SawMill/defs.sch 677 */
										long BgL_arg1833z00_8525;

										{	/* SawMill/defs.sch 677 */
											long BgL_arg1834z00_8526;

											BgL_arg1834z00_8526 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8517);
											BgL_arg1833z00_8525 = (BgL_arg1834z00_8526 - OBJECT_TYPE);
										}
										BgL_oclassz00_8524 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8525);
									}
									{	/* SawMill/defs.sch 677 */
										bool_t BgL__ortest_1110z00_8527;

										BgL__ortest_1110z00_8527 =
											(BgL_classz00_8516 == BgL_oclassz00_8524);
										if (BgL__ortest_1110z00_8527)
											{	/* SawMill/defs.sch 677 */
												BgL_res3026z00_8523 = BgL__ortest_1110z00_8527;
											}
										else
											{	/* SawMill/defs.sch 677 */
												long BgL_odepthz00_8528;

												BgL_odepthz00_8528 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8524);
												if ((((long) 3) < BgL_odepthz00_8528))
													{	/* SawMill/defs.sch 677 */
														obj_t BgL_arg1821z00_8529;

														BgL_arg1821z00_8529 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8524,
															((long) 3));
														BgL_res3026z00_8523 =
															(BgL_arg1821z00_8529 == BgL_classz00_8516);
													}
												else
													{	/* SawMill/defs.sch 677 */
														BgL_res3026z00_8523 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8519 = BgL_res3026z00_8523;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8518, BgL_arg1823z00_8519);
						}
					}
				else
					{	/* SawMill/defs.sch 677 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_globalref? */
	obj_t BGl_z62rtl_globalrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_6791,
		obj_t BgL_objz00_6792)
	{
		{	/* SawMill/defs.sch 677 */
			return BBOOL(BGl_rtl_globalrefzf3zf3zzsaw_defsz00(BgL_objz00_6792));
		}

	}



/* rtl_globalref-nil */
	BGL_EXPORTED_DEF BgL_rtl_globalrefz00_bglt
		BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 678 */
			{	/* SawMill/defs.sch 678 */
				obj_t BgL_classz00_4781;

				BgL_classz00_4781 = BGl_rtl_globalrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 678 */
					obj_t BgL__ortest_1112z00_4782;

					BgL__ortest_1112z00_4782 = BGL_CLASS_NIL(BgL_classz00_4781);
					if (CBOOL(BgL__ortest_1112z00_4782))
						{	/* SawMill/defs.sch 678 */
							return ((BgL_rtl_globalrefz00_bglt) BgL__ortest_1112z00_4782);
						}
					else
						{	/* SawMill/defs.sch 678 */
							return
								((BgL_rtl_globalrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4781));
						}
				}
			}
		}

	}



/* &rtl_globalref-nil */
	BgL_rtl_globalrefz00_bglt BGl_z62rtl_globalrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6793)
	{
		{	/* SawMill/defs.sch 678 */
			return BGl_rtl_globalrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_globalref-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_169)
	{
		{	/* SawMill/defs.sch 679 */
			return (((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_169))->BgL_varz00);
		}

	}



/* &rtl_globalref-var */
	BgL_globalz00_bglt BGl_z62rtl_globalrefzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_6794, obj_t BgL_oz00_6795)
	{
		{	/* SawMill/defs.sch 679 */
			return
				BGl_rtl_globalrefzd2varzd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_6795));
		}

	}



/* rtl_globalref-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_170, BgL_globalz00_bglt BgL_vz00_171)
	{
		{	/* SawMill/defs.sch 680 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_oz00_170))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_171), BUNSPEC);
		}

	}



/* &rtl_globalref-var-set! */
	obj_t BGl_z62rtl_globalrefzd2varzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6796, obj_t BgL_oz00_6797, obj_t BgL_vz00_6798)
	{
		{	/* SawMill/defs.sch 680 */
			return
				BGl_rtl_globalrefzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_6797),
				((BgL_globalz00_bglt) BgL_vz00_6798));
		}

	}



/* rtl_globalref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_172)
	{
		{	/* SawMill/defs.sch 681 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_172)))->BgL_locz00);
		}

	}



/* &rtl_globalref-loc */
	obj_t BGl_z62rtl_globalrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6799,
		obj_t BgL_oz00_6800)
	{
		{	/* SawMill/defs.sch 681 */
			return
				BGl_rtl_globalrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_6800));
		}

	}



/* rtl_globalref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_globalrefz00_bglt
		BgL_oz00_173, obj_t BgL_vz00_174)
	{
		{	/* SawMill/defs.sch 682 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_173)))->BgL_locz00) =
				((obj_t) BgL_vz00_174), BUNSPEC);
		}

	}



/* &rtl_globalref-loc-set! */
	obj_t BGl_z62rtl_globalrefzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6801, obj_t BgL_oz00_6802, obj_t BgL_vz00_6803)
	{
		{	/* SawMill/defs.sch 682 */
			return
				BGl_rtl_globalrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_globalrefz00_bglt) BgL_oz00_6802), BgL_vz00_6803);
		}

	}



/* make-rtl_getfield */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(obj_t BgL_loc1419z00_175,
		obj_t BgL_name1420z00_176, BgL_typez00_bglt BgL_objtype1421z00_177,
		BgL_typez00_bglt BgL_type1422z00_178)
	{
		{	/* SawMill/defs.sch 685 */
			{	/* SawMill/defs.sch 685 */
				BgL_rtl_getfieldz00_bglt BgL_new1378z00_8530;

				{	/* SawMill/defs.sch 685 */
					BgL_rtl_getfieldz00_bglt BgL_new1377z00_8531;

					BgL_new1377z00_8531 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.sch 685 */
						long BgL_arg1855z00_8532;

						BgL_arg1855z00_8532 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1377z00_8531), BgL_arg1855z00_8532);
					}
					BgL_new1378z00_8530 = BgL_new1377z00_8531;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1378z00_8530)))->BgL_locz00) =
					((obj_t) BgL_loc1419z00_175), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1378z00_8530))->
						BgL_namez00) = ((obj_t) BgL_name1420z00_176), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1378z00_8530))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1421z00_177), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1378z00_8530))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1422z00_178), BUNSPEC);
				return BgL_new1378z00_8530;
			}
		}

	}



/* &make-rtl_getfield */
	BgL_rtl_getfieldz00_bglt BGl_z62makezd2rtl_getfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_6804, obj_t BgL_loc1419z00_6805, obj_t BgL_name1420z00_6806,
		obj_t BgL_objtype1421z00_6807, obj_t BgL_type1422z00_6808)
	{
		{	/* SawMill/defs.sch 685 */
			return
				BGl_makezd2rtl_getfieldzd2zzsaw_defsz00(BgL_loc1419z00_6805,
				BgL_name1420z00_6806, ((BgL_typez00_bglt) BgL_objtype1421z00_6807),
				((BgL_typez00_bglt) BgL_type1422z00_6808));
		}

	}



/* rtl_getfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_getfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_179)
	{
		{	/* SawMill/defs.sch 686 */
			{	/* SawMill/defs.sch 686 */
				obj_t BgL_classz00_8533;

				BgL_classz00_8533 = BGl_rtl_getfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_179))
					{	/* SawMill/defs.sch 686 */
						BgL_objectz00_bglt BgL_arg1825z00_8534;

						BgL_arg1825z00_8534 = (BgL_objectz00_bglt) (BgL_objz00_179);
						{	/* SawMill/defs.sch 686 */
							bool_t BgL_arg1822z00_8535;
							bool_t BgL_arg1823z00_8536;

							{	/* SawMill/defs.sch 686 */
								long BgL_idxz00_8537;

								BgL_idxz00_8537 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8534);
								BgL_arg1822z00_8535 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8537 + ((long) 3))) == BgL_classz00_8533);
							}
							{	/* SawMill/defs.sch 686 */
								bool_t BgL_res3027z00_8540;

								{	/* SawMill/defs.sch 686 */
									obj_t BgL_oclassz00_8541;

									{	/* SawMill/defs.sch 686 */
										long BgL_arg1833z00_8542;

										{	/* SawMill/defs.sch 686 */
											long BgL_arg1834z00_8543;

											BgL_arg1834z00_8543 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8534);
											BgL_arg1833z00_8542 = (BgL_arg1834z00_8543 - OBJECT_TYPE);
										}
										BgL_oclassz00_8541 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8542);
									}
									{	/* SawMill/defs.sch 686 */
										bool_t BgL__ortest_1110z00_8544;

										BgL__ortest_1110z00_8544 =
											(BgL_classz00_8533 == BgL_oclassz00_8541);
										if (BgL__ortest_1110z00_8544)
											{	/* SawMill/defs.sch 686 */
												BgL_res3027z00_8540 = BgL__ortest_1110z00_8544;
											}
										else
											{	/* SawMill/defs.sch 686 */
												long BgL_odepthz00_8545;

												BgL_odepthz00_8545 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8541);
												if ((((long) 3) < BgL_odepthz00_8545))
													{	/* SawMill/defs.sch 686 */
														obj_t BgL_arg1821z00_8546;

														BgL_arg1821z00_8546 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8541,
															((long) 3));
														BgL_res3027z00_8540 =
															(BgL_arg1821z00_8546 == BgL_classz00_8533);
													}
												else
													{	/* SawMill/defs.sch 686 */
														BgL_res3027z00_8540 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8536 = BgL_res3027z00_8540;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8535, BgL_arg1823z00_8536);
						}
					}
				else
					{	/* SawMill/defs.sch 686 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_getfield? */
	obj_t BGl_z62rtl_getfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_6809,
		obj_t BgL_objz00_6810)
	{
		{	/* SawMill/defs.sch 686 */
			return BBOOL(BGl_rtl_getfieldzf3zf3zzsaw_defsz00(BgL_objz00_6810));
		}

	}



/* rtl_getfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_getfieldz00_bglt
		BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 687 */
			{	/* SawMill/defs.sch 687 */
				obj_t BgL_classz00_4821;

				BgL_classz00_4821 = BGl_rtl_getfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 687 */
					obj_t BgL__ortest_1112z00_4822;

					BgL__ortest_1112z00_4822 = BGL_CLASS_NIL(BgL_classz00_4821);
					if (CBOOL(BgL__ortest_1112z00_4822))
						{	/* SawMill/defs.sch 687 */
							return ((BgL_rtl_getfieldz00_bglt) BgL__ortest_1112z00_4822);
						}
					else
						{	/* SawMill/defs.sch 687 */
							return
								((BgL_rtl_getfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4821));
						}
				}
			}
		}

	}



/* &rtl_getfield-nil */
	BgL_rtl_getfieldz00_bglt BGl_z62rtl_getfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6811)
	{
		{	/* SawMill/defs.sch 687 */
			return BGl_rtl_getfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_getfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_180)
	{
		{	/* SawMill/defs.sch 688 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_180))->BgL_typez00);
		}

	}



/* &rtl_getfield-type */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6812, obj_t BgL_oz00_6813)
	{
		{	/* SawMill/defs.sch 688 */
			return
				BGl_rtl_getfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6813));
		}

	}



/* rtl_getfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_181, BgL_typez00_bglt BgL_vz00_182)
	{
		{	/* SawMill/defs.sch 689 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_181))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_182), BUNSPEC);
		}

	}



/* &rtl_getfield-type-set! */
	obj_t BGl_z62rtl_getfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6814, obj_t BgL_oz00_6815, obj_t BgL_vz00_6816)
	{
		{	/* SawMill/defs.sch 689 */
			return
				BGl_rtl_getfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6815),
				((BgL_typez00_bglt) BgL_vz00_6816));
		}

	}



/* rtl_getfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_183)
	{
		{	/* SawMill/defs.sch 690 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_183))->BgL_objtypez00);
		}

	}



/* &rtl_getfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_getfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6817, obj_t BgL_oz00_6818)
	{
		{	/* SawMill/defs.sch 690 */
			return
				BGl_rtl_getfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6818));
		}

	}



/* rtl_getfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_184, BgL_typez00_bglt BgL_vz00_185)
	{
		{	/* SawMill/defs.sch 691 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_184))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_185), BUNSPEC);
		}

	}



/* &rtl_getfield-objtype-set! */
	obj_t BGl_z62rtl_getfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6819, obj_t BgL_oz00_6820, obj_t BgL_vz00_6821)
	{
		{	/* SawMill/defs.sch 691 */
			return
				BGl_rtl_getfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6820),
				((BgL_typez00_bglt) BgL_vz00_6821));
		}

	}



/* rtl_getfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_186)
	{
		{	/* SawMill/defs.sch 692 */
			return (((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_186))->BgL_namez00);
		}

	}



/* &rtl_getfield-name */
	obj_t BGl_z62rtl_getfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_6822,
		obj_t BgL_oz00_6823)
	{
		{	/* SawMill/defs.sch 692 */
			return
				BGl_rtl_getfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6823));
		}

	}



/* rtl_getfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_187, obj_t BgL_vz00_188)
	{
		{	/* SawMill/defs.sch 693 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_oz00_187))->BgL_namez00) =
				((obj_t) BgL_vz00_188), BUNSPEC);
		}

	}



/* &rtl_getfield-name-set! */
	obj_t BGl_z62rtl_getfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6824, obj_t BgL_oz00_6825, obj_t BgL_vz00_6826)
	{
		{	/* SawMill/defs.sch 693 */
			return
				BGl_rtl_getfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6825), BgL_vz00_6826);
		}

	}



/* rtl_getfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_189)
	{
		{	/* SawMill/defs.sch 694 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_189)))->BgL_locz00);
		}

	}



/* &rtl_getfield-loc */
	obj_t BGl_z62rtl_getfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6827,
		obj_t BgL_oz00_6828)
	{
		{	/* SawMill/defs.sch 694 */
			return
				BGl_rtl_getfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6828));
		}

	}



/* rtl_getfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_getfieldz00_bglt
		BgL_oz00_190, obj_t BgL_vz00_191)
	{
		{	/* SawMill/defs.sch 695 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_190)))->BgL_locz00) =
				((obj_t) BgL_vz00_191), BUNSPEC);
		}

	}



/* &rtl_getfield-loc-set! */
	obj_t BGl_z62rtl_getfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6829, obj_t BgL_oz00_6830, obj_t BgL_vz00_6831)
	{
		{	/* SawMill/defs.sch 695 */
			return
				BGl_rtl_getfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_getfieldz00_bglt) BgL_oz00_6830), BgL_vz00_6831);
		}

	}



/* make-rtl_valloc */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt
		BGl_makezd2rtl_valloczd2zzsaw_defsz00(obj_t BgL_loc1415z00_192,
		BgL_typez00_bglt BgL_type1416z00_193, BgL_typez00_bglt BgL_vtype1417z00_194)
	{
		{	/* SawMill/defs.sch 698 */
			{	/* SawMill/defs.sch 698 */
				BgL_rtl_vallocz00_bglt BgL_new1380z00_8547;

				{	/* SawMill/defs.sch 698 */
					BgL_rtl_vallocz00_bglt BgL_new1379z00_8548;

					BgL_new1379z00_8548 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.sch 698 */
						long BgL_arg1856z00_8549;

						BgL_arg1856z00_8549 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1379z00_8548), BgL_arg1856z00_8549);
					}
					BgL_new1380z00_8547 = BgL_new1379z00_8548;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1380z00_8547)))->BgL_locz00) =
					((obj_t) BgL_loc1415z00_192), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1380z00_8547))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1416z00_193), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1380z00_8547))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1417z00_194), BUNSPEC);
				return BgL_new1380z00_8547;
			}
		}

	}



/* &make-rtl_valloc */
	BgL_rtl_vallocz00_bglt BGl_z62makezd2rtl_valloczb0zzsaw_defsz00(obj_t
		BgL_envz00_6832, obj_t BgL_loc1415z00_6833, obj_t BgL_type1416z00_6834,
		obj_t BgL_vtype1417z00_6835)
	{
		{	/* SawMill/defs.sch 698 */
			return
				BGl_makezd2rtl_valloczd2zzsaw_defsz00(BgL_loc1415z00_6833,
				((BgL_typez00_bglt) BgL_type1416z00_6834),
				((BgL_typez00_bglt) BgL_vtype1417z00_6835));
		}

	}



/* rtl_valloc? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_valloczf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_195)
	{
		{	/* SawMill/defs.sch 699 */
			{	/* SawMill/defs.sch 699 */
				obj_t BgL_classz00_8550;

				BgL_classz00_8550 = BGl_rtl_vallocz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_195))
					{	/* SawMill/defs.sch 699 */
						BgL_objectz00_bglt BgL_arg1825z00_8551;

						BgL_arg1825z00_8551 = (BgL_objectz00_bglt) (BgL_objz00_195);
						{	/* SawMill/defs.sch 699 */
							bool_t BgL_arg1822z00_8552;
							bool_t BgL_arg1823z00_8553;

							{	/* SawMill/defs.sch 699 */
								long BgL_idxz00_8554;

								BgL_idxz00_8554 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8551);
								BgL_arg1822z00_8552 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8554 + ((long) 3))) == BgL_classz00_8550);
							}
							{	/* SawMill/defs.sch 699 */
								bool_t BgL_res3028z00_8557;

								{	/* SawMill/defs.sch 699 */
									obj_t BgL_oclassz00_8558;

									{	/* SawMill/defs.sch 699 */
										long BgL_arg1833z00_8559;

										{	/* SawMill/defs.sch 699 */
											long BgL_arg1834z00_8560;

											BgL_arg1834z00_8560 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8551);
											BgL_arg1833z00_8559 = (BgL_arg1834z00_8560 - OBJECT_TYPE);
										}
										BgL_oclassz00_8558 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8559);
									}
									{	/* SawMill/defs.sch 699 */
										bool_t BgL__ortest_1110z00_8561;

										BgL__ortest_1110z00_8561 =
											(BgL_classz00_8550 == BgL_oclassz00_8558);
										if (BgL__ortest_1110z00_8561)
											{	/* SawMill/defs.sch 699 */
												BgL_res3028z00_8557 = BgL__ortest_1110z00_8561;
											}
										else
											{	/* SawMill/defs.sch 699 */
												long BgL_odepthz00_8562;

												BgL_odepthz00_8562 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8558);
												if ((((long) 3) < BgL_odepthz00_8562))
													{	/* SawMill/defs.sch 699 */
														obj_t BgL_arg1821z00_8563;

														BgL_arg1821z00_8563 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8558,
															((long) 3));
														BgL_res3028z00_8557 =
															(BgL_arg1821z00_8563 == BgL_classz00_8550);
													}
												else
													{	/* SawMill/defs.sch 699 */
														BgL_res3028z00_8557 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8553 = BgL_res3028z00_8557;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8552, BgL_arg1823z00_8553);
						}
					}
				else
					{	/* SawMill/defs.sch 699 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_valloc? */
	obj_t BGl_z62rtl_valloczf3z91zzsaw_defsz00(obj_t BgL_envz00_6836,
		obj_t BgL_objz00_6837)
	{
		{	/* SawMill/defs.sch 699 */
			return BBOOL(BGl_rtl_valloczf3zf3zzsaw_defsz00(BgL_objz00_6837));
		}

	}



/* rtl_valloc-nil */
	BGL_EXPORTED_DEF BgL_rtl_vallocz00_bglt BGl_rtl_valloczd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 700 */
			{	/* SawMill/defs.sch 700 */
				obj_t BgL_classz00_4861;

				BgL_classz00_4861 = BGl_rtl_vallocz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 700 */
					obj_t BgL__ortest_1112z00_4862;

					BgL__ortest_1112z00_4862 = BGL_CLASS_NIL(BgL_classz00_4861);
					if (CBOOL(BgL__ortest_1112z00_4862))
						{	/* SawMill/defs.sch 700 */
							return ((BgL_rtl_vallocz00_bglt) BgL__ortest_1112z00_4862);
						}
					else
						{	/* SawMill/defs.sch 700 */
							return
								((BgL_rtl_vallocz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4861));
						}
				}
			}
		}

	}



/* &rtl_valloc-nil */
	BgL_rtl_vallocz00_bglt BGl_z62rtl_valloczd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6838)
	{
		{	/* SawMill/defs.sch 700 */
			return BGl_rtl_valloczd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_valloc-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_196)
	{
		{	/* SawMill/defs.sch 701 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_196))->BgL_vtypez00);
		}

	}



/* &rtl_valloc-vtype */
	BgL_typez00_bglt BGl_z62rtl_valloczd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6839, obj_t BgL_oz00_6840)
	{
		{	/* SawMill/defs.sch 701 */
			return
				BGl_rtl_valloczd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6840));
		}

	}



/* rtl_valloc-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_197, BgL_typez00_bglt BgL_vz00_198)
	{
		{	/* SawMill/defs.sch 702 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_197))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_198), BUNSPEC);
		}

	}



/* &rtl_valloc-vtype-set! */
	obj_t BGl_z62rtl_valloczd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6841, obj_t BgL_oz00_6842, obj_t BgL_vz00_6843)
	{
		{	/* SawMill/defs.sch 702 */
			return
				BGl_rtl_valloczd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6842),
				((BgL_typez00_bglt) BgL_vz00_6843));
		}

	}



/* rtl_valloc-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_valloczd2typezd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_199)
	{
		{	/* SawMill/defs.sch 703 */
			return (((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_199))->BgL_typez00);
		}

	}



/* &rtl_valloc-type */
	BgL_typez00_bglt BGl_z62rtl_valloczd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6844, obj_t BgL_oz00_6845)
	{
		{	/* SawMill/defs.sch 703 */
			return
				BGl_rtl_valloczd2typezd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6845));
		}

	}



/* rtl_valloc-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_200, BgL_typez00_bglt BgL_vz00_201)
	{
		{	/* SawMill/defs.sch 704 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_oz00_200))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_201), BUNSPEC);
		}

	}



/* &rtl_valloc-type-set! */
	obj_t BGl_z62rtl_valloczd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6846,
		obj_t BgL_oz00_6847, obj_t BgL_vz00_6848)
	{
		{	/* SawMill/defs.sch 704 */
			return
				BGl_rtl_valloczd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6847),
				((BgL_typez00_bglt) BgL_vz00_6848));
		}

	}



/* rtl_valloc-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2zzsaw_defsz00(BgL_rtl_vallocz00_bglt BgL_oz00_202)
	{
		{	/* SawMill/defs.sch 705 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_202)))->BgL_locz00);
		}

	}



/* &rtl_valloc-loc */
	obj_t BGl_z62rtl_valloczd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6849,
		obj_t BgL_oz00_6850)
	{
		{	/* SawMill/defs.sch 705 */
			return
				BGl_rtl_valloczd2loczd2zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6850));
		}

	}



/* rtl_valloc-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vallocz00_bglt
		BgL_oz00_203, obj_t BgL_vz00_204)
	{
		{	/* SawMill/defs.sch 706 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_203)))->BgL_locz00) =
				((obj_t) BgL_vz00_204), BUNSPEC);
		}

	}



/* &rtl_valloc-loc-set! */
	obj_t BGl_z62rtl_valloczd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6851,
		obj_t BgL_oz00_6852, obj_t BgL_vz00_6853)
	{
		{	/* SawMill/defs.sch 706 */
			return
				BGl_rtl_valloczd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vallocz00_bglt) BgL_oz00_6852), BgL_vz00_6853);
		}

	}



/* make-rtl_vref */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt
		BGl_makezd2rtl_vrefzd2zzsaw_defsz00(obj_t BgL_loc1411z00_205,
		BgL_typez00_bglt BgL_type1412z00_206, BgL_typez00_bglt BgL_vtype1413z00_207)
	{
		{	/* SawMill/defs.sch 709 */
			{	/* SawMill/defs.sch 709 */
				BgL_rtl_vrefz00_bglt BgL_new1382z00_8564;

				{	/* SawMill/defs.sch 709 */
					BgL_rtl_vrefz00_bglt BgL_new1381z00_8565;

					BgL_new1381z00_8565 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.sch 709 */
						long BgL_arg1857z00_8566;

						BgL_arg1857z00_8566 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1381z00_8565), BgL_arg1857z00_8566);
					}
					BgL_new1382z00_8564 = BgL_new1381z00_8565;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1382z00_8564)))->BgL_locz00) =
					((obj_t) BgL_loc1411z00_205), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1382z00_8564))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1412z00_206), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1382z00_8564))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1413z00_207), BUNSPEC);
				return BgL_new1382z00_8564;
			}
		}

	}



/* &make-rtl_vref */
	BgL_rtl_vrefz00_bglt BGl_z62makezd2rtl_vrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_6854, obj_t BgL_loc1411z00_6855, obj_t BgL_type1412z00_6856,
		obj_t BgL_vtype1413z00_6857)
	{
		{	/* SawMill/defs.sch 709 */
			return
				BGl_makezd2rtl_vrefzd2zzsaw_defsz00(BgL_loc1411z00_6855,
				((BgL_typez00_bglt) BgL_type1412z00_6856),
				((BgL_typez00_bglt) BgL_vtype1413z00_6857));
		}

	}



/* rtl_vref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vrefzf3zf3zzsaw_defsz00(obj_t BgL_objz00_208)
	{
		{	/* SawMill/defs.sch 710 */
			{	/* SawMill/defs.sch 710 */
				obj_t BgL_classz00_8567;

				BgL_classz00_8567 = BGl_rtl_vrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_208))
					{	/* SawMill/defs.sch 710 */
						BgL_objectz00_bglt BgL_arg1825z00_8568;

						BgL_arg1825z00_8568 = (BgL_objectz00_bglt) (BgL_objz00_208);
						{	/* SawMill/defs.sch 710 */
							bool_t BgL_arg1822z00_8569;
							bool_t BgL_arg1823z00_8570;

							{	/* SawMill/defs.sch 710 */
								long BgL_idxz00_8571;

								BgL_idxz00_8571 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8568);
								BgL_arg1822z00_8569 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8571 + ((long) 3))) == BgL_classz00_8567);
							}
							{	/* SawMill/defs.sch 710 */
								bool_t BgL_res3029z00_8574;

								{	/* SawMill/defs.sch 710 */
									obj_t BgL_oclassz00_8575;

									{	/* SawMill/defs.sch 710 */
										long BgL_arg1833z00_8576;

										{	/* SawMill/defs.sch 710 */
											long BgL_arg1834z00_8577;

											BgL_arg1834z00_8577 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8568);
											BgL_arg1833z00_8576 = (BgL_arg1834z00_8577 - OBJECT_TYPE);
										}
										BgL_oclassz00_8575 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8576);
									}
									{	/* SawMill/defs.sch 710 */
										bool_t BgL__ortest_1110z00_8578;

										BgL__ortest_1110z00_8578 =
											(BgL_classz00_8567 == BgL_oclassz00_8575);
										if (BgL__ortest_1110z00_8578)
											{	/* SawMill/defs.sch 710 */
												BgL_res3029z00_8574 = BgL__ortest_1110z00_8578;
											}
										else
											{	/* SawMill/defs.sch 710 */
												long BgL_odepthz00_8579;

												BgL_odepthz00_8579 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8575);
												if ((((long) 3) < BgL_odepthz00_8579))
													{	/* SawMill/defs.sch 710 */
														obj_t BgL_arg1821z00_8580;

														BgL_arg1821z00_8580 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8575,
															((long) 3));
														BgL_res3029z00_8574 =
															(BgL_arg1821z00_8580 == BgL_classz00_8567);
													}
												else
													{	/* SawMill/defs.sch 710 */
														BgL_res3029z00_8574 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8570 = BgL_res3029z00_8574;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8569, BgL_arg1823z00_8570);
						}
					}
				else
					{	/* SawMill/defs.sch 710 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vref? */
	obj_t BGl_z62rtl_vrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_6858,
		obj_t BgL_objz00_6859)
	{
		{	/* SawMill/defs.sch 710 */
			return BBOOL(BGl_rtl_vrefzf3zf3zzsaw_defsz00(BgL_objz00_6859));
		}

	}



/* rtl_vref-nil */
	BGL_EXPORTED_DEF BgL_rtl_vrefz00_bglt BGl_rtl_vrefzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 711 */
			{	/* SawMill/defs.sch 711 */
				obj_t BgL_classz00_4901;

				BgL_classz00_4901 = BGl_rtl_vrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 711 */
					obj_t BgL__ortest_1112z00_4902;

					BgL__ortest_1112z00_4902 = BGL_CLASS_NIL(BgL_classz00_4901);
					if (CBOOL(BgL__ortest_1112z00_4902))
						{	/* SawMill/defs.sch 711 */
							return ((BgL_rtl_vrefz00_bglt) BgL__ortest_1112z00_4902);
						}
					else
						{	/* SawMill/defs.sch 711 */
							return
								((BgL_rtl_vrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4901));
						}
				}
			}
		}

	}



/* &rtl_vref-nil */
	BgL_rtl_vrefz00_bglt BGl_z62rtl_vrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6860)
	{
		{	/* SawMill/defs.sch 711 */
			return BGl_rtl_vrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vref-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_209)
	{
		{	/* SawMill/defs.sch 712 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_209))->BgL_vtypez00);
		}

	}



/* &rtl_vref-vtype */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6861, obj_t BgL_oz00_6862)
	{
		{	/* SawMill/defs.sch 712 */
			return
				BGl_rtl_vrefzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6862));
		}

	}



/* rtl_vref-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_210, BgL_typez00_bglt BgL_vz00_211)
	{
		{	/* SawMill/defs.sch 713 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_210))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_211), BUNSPEC);
		}

	}



/* &rtl_vref-vtype-set! */
	obj_t BGl_z62rtl_vrefzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6863,
		obj_t BgL_oz00_6864, obj_t BgL_vz00_6865)
	{
		{	/* SawMill/defs.sch 713 */
			return
				BGl_rtl_vrefzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6864),
				((BgL_typez00_bglt) BgL_vz00_6865));
		}

	}



/* rtl_vref-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vrefzd2typezd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt BgL_oz00_212)
	{
		{	/* SawMill/defs.sch 714 */
			return (((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_212))->BgL_typez00);
		}

	}



/* &rtl_vref-type */
	BgL_typez00_bglt BGl_z62rtl_vrefzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_6866,
		obj_t BgL_oz00_6867)
	{
		{	/* SawMill/defs.sch 714 */
			return
				BGl_rtl_vrefzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6867));
		}

	}



/* rtl_vref-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_213, BgL_typez00_bglt BgL_vz00_214)
	{
		{	/* SawMill/defs.sch 715 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_oz00_213))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_214), BUNSPEC);
		}

	}



/* &rtl_vref-type-set! */
	obj_t BGl_z62rtl_vrefzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6868,
		obj_t BgL_oz00_6869, obj_t BgL_vz00_6870)
	{
		{	/* SawMill/defs.sch 715 */
			return
				BGl_rtl_vrefzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6869),
				((BgL_typez00_bglt) BgL_vz00_6870));
		}

	}



/* rtl_vref-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vrefzd2loczd2zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_215)
	{
		{	/* SawMill/defs.sch 716 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_215)))->BgL_locz00);
		}

	}



/* &rtl_vref-loc */
	obj_t BGl_z62rtl_vrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6871,
		obj_t BgL_oz00_6872)
	{
		{	/* SawMill/defs.sch 716 */
			return
				BGl_rtl_vrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6872));
		}

	}



/* rtl_vref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vrefz00_bglt
		BgL_oz00_216, obj_t BgL_vz00_217)
	{
		{	/* SawMill/defs.sch 717 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_216)))->BgL_locz00) =
				((obj_t) BgL_vz00_217), BUNSPEC);
		}

	}



/* &rtl_vref-loc-set! */
	obj_t BGl_z62rtl_vrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6873,
		obj_t BgL_oz00_6874, obj_t BgL_vz00_6875)
	{
		{	/* SawMill/defs.sch 717 */
			return
				BGl_rtl_vrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vrefz00_bglt) BgL_oz00_6874), BgL_vz00_6875);
		}

	}



/* make-rtl_vlength */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(obj_t BgL_loc1403z00_218,
		BgL_typez00_bglt BgL_type1406z00_219, BgL_typez00_bglt BgL_vtype1407z00_220)
	{
		{	/* SawMill/defs.sch 720 */
			{	/* SawMill/defs.sch 720 */
				BgL_rtl_vlengthz00_bglt BgL_new1384z00_8581;

				{	/* SawMill/defs.sch 720 */
					BgL_rtl_vlengthz00_bglt BgL_new1383z00_8582;

					BgL_new1383z00_8582 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.sch 720 */
						long BgL_arg1858z00_8583;

						BgL_arg1858z00_8583 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1383z00_8582), BgL_arg1858z00_8583);
					}
					BgL_new1384z00_8581 = BgL_new1383z00_8582;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1384z00_8581)))->BgL_locz00) =
					((obj_t) BgL_loc1403z00_218), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1384z00_8581))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1406z00_219), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1384z00_8581))->
						BgL_vtypez00) = ((BgL_typez00_bglt) BgL_vtype1407z00_220), BUNSPEC);
				return BgL_new1384z00_8581;
			}
		}

	}



/* &make-rtl_vlength */
	BgL_rtl_vlengthz00_bglt BGl_z62makezd2rtl_vlengthzb0zzsaw_defsz00(obj_t
		BgL_envz00_6876, obj_t BgL_loc1403z00_6877, obj_t BgL_type1406z00_6878,
		obj_t BgL_vtype1407z00_6879)
	{
		{	/* SawMill/defs.sch 720 */
			return
				BGl_makezd2rtl_vlengthzd2zzsaw_defsz00(BgL_loc1403z00_6877,
				((BgL_typez00_bglt) BgL_type1406z00_6878),
				((BgL_typez00_bglt) BgL_vtype1407z00_6879));
		}

	}



/* rtl_vlength? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vlengthzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_221)
	{
		{	/* SawMill/defs.sch 721 */
			{	/* SawMill/defs.sch 721 */
				obj_t BgL_classz00_8584;

				BgL_classz00_8584 = BGl_rtl_vlengthz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_221))
					{	/* SawMill/defs.sch 721 */
						BgL_objectz00_bglt BgL_arg1825z00_8585;

						BgL_arg1825z00_8585 = (BgL_objectz00_bglt) (BgL_objz00_221);
						{	/* SawMill/defs.sch 721 */
							bool_t BgL_arg1822z00_8586;
							bool_t BgL_arg1823z00_8587;

							{	/* SawMill/defs.sch 721 */
								long BgL_idxz00_8588;

								BgL_idxz00_8588 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8585);
								BgL_arg1822z00_8586 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8588 + ((long) 3))) == BgL_classz00_8584);
							}
							{	/* SawMill/defs.sch 721 */
								bool_t BgL_res3030z00_8591;

								{	/* SawMill/defs.sch 721 */
									obj_t BgL_oclassz00_8592;

									{	/* SawMill/defs.sch 721 */
										long BgL_arg1833z00_8593;

										{	/* SawMill/defs.sch 721 */
											long BgL_arg1834z00_8594;

											BgL_arg1834z00_8594 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8585);
											BgL_arg1833z00_8593 = (BgL_arg1834z00_8594 - OBJECT_TYPE);
										}
										BgL_oclassz00_8592 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8593);
									}
									{	/* SawMill/defs.sch 721 */
										bool_t BgL__ortest_1110z00_8595;

										BgL__ortest_1110z00_8595 =
											(BgL_classz00_8584 == BgL_oclassz00_8592);
										if (BgL__ortest_1110z00_8595)
											{	/* SawMill/defs.sch 721 */
												BgL_res3030z00_8591 = BgL__ortest_1110z00_8595;
											}
										else
											{	/* SawMill/defs.sch 721 */
												long BgL_odepthz00_8596;

												BgL_odepthz00_8596 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8592);
												if ((((long) 3) < BgL_odepthz00_8596))
													{	/* SawMill/defs.sch 721 */
														obj_t BgL_arg1821z00_8597;

														BgL_arg1821z00_8597 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8592,
															((long) 3));
														BgL_res3030z00_8591 =
															(BgL_arg1821z00_8597 == BgL_classz00_8584);
													}
												else
													{	/* SawMill/defs.sch 721 */
														BgL_res3030z00_8591 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8587 = BgL_res3030z00_8591;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8586, BgL_arg1823z00_8587);
						}
					}
				else
					{	/* SawMill/defs.sch 721 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vlength? */
	obj_t BGl_z62rtl_vlengthzf3z91zzsaw_defsz00(obj_t BgL_envz00_6880,
		obj_t BgL_objz00_6881)
	{
		{	/* SawMill/defs.sch 721 */
			return BBOOL(BGl_rtl_vlengthzf3zf3zzsaw_defsz00(BgL_objz00_6881));
		}

	}



/* rtl_vlength-nil */
	BGL_EXPORTED_DEF BgL_rtl_vlengthz00_bglt
		BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 722 */
			{	/* SawMill/defs.sch 722 */
				obj_t BgL_classz00_4941;

				BgL_classz00_4941 = BGl_rtl_vlengthz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 722 */
					obj_t BgL__ortest_1112z00_4942;

					BgL__ortest_1112z00_4942 = BGL_CLASS_NIL(BgL_classz00_4941);
					if (CBOOL(BgL__ortest_1112z00_4942))
						{	/* SawMill/defs.sch 722 */
							return ((BgL_rtl_vlengthz00_bglt) BgL__ortest_1112z00_4942);
						}
					else
						{	/* SawMill/defs.sch 722 */
							return
								((BgL_rtl_vlengthz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4941));
						}
				}
			}
		}

	}



/* &rtl_vlength-nil */
	BgL_rtl_vlengthz00_bglt BGl_z62rtl_vlengthzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6882)
	{
		{	/* SawMill/defs.sch 722 */
			return BGl_rtl_vlengthzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vlength-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_222)
	{
		{	/* SawMill/defs.sch 723 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_222))->BgL_vtypez00);
		}

	}



/* &rtl_vlength-vtype */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6883, obj_t BgL_oz00_6884)
	{
		{	/* SawMill/defs.sch 723 */
			return
				BGl_rtl_vlengthzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6884));
		}

	}



/* rtl_vlength-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_223, BgL_typez00_bglt BgL_vz00_224)
	{
		{	/* SawMill/defs.sch 724 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_223))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_224), BUNSPEC);
		}

	}



/* &rtl_vlength-vtype-set! */
	obj_t BGl_z62rtl_vlengthzd2vtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6885, obj_t BgL_oz00_6886, obj_t BgL_vz00_6887)
	{
		{	/* SawMill/defs.sch 724 */
			return
				BGl_rtl_vlengthzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6886),
				((BgL_typez00_bglt) BgL_vz00_6887));
		}

	}



/* rtl_vlength-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_225)
	{
		{	/* SawMill/defs.sch 725 */
			return (((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_225))->BgL_typez00);
		}

	}



/* &rtl_vlength-type */
	BgL_typez00_bglt BGl_z62rtl_vlengthzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6888, obj_t BgL_oz00_6889)
	{
		{	/* SawMill/defs.sch 725 */
			return
				BGl_rtl_vlengthzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6889));
		}

	}



/* rtl_vlength-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_226, BgL_typez00_bglt BgL_vz00_227)
	{
		{	/* SawMill/defs.sch 726 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_oz00_226))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_227), BUNSPEC);
		}

	}



/* &rtl_vlength-type-set! */
	obj_t BGl_z62rtl_vlengthzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6890, obj_t BgL_oz00_6891, obj_t BgL_vz00_6892)
	{
		{	/* SawMill/defs.sch 726 */
			return
				BGl_rtl_vlengthzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6891),
				((BgL_typez00_bglt) BgL_vz00_6892));
		}

	}



/* rtl_vlength-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(BgL_rtl_vlengthz00_bglt BgL_oz00_228)
	{
		{	/* SawMill/defs.sch 727 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_228)))->BgL_locz00);
		}

	}



/* &rtl_vlength-loc */
	obj_t BGl_z62rtl_vlengthzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6893,
		obj_t BgL_oz00_6894)
	{
		{	/* SawMill/defs.sch 727 */
			return
				BGl_rtl_vlengthzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6894));
		}

	}



/* rtl_vlength-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vlengthz00_bglt
		BgL_oz00_229, obj_t BgL_vz00_230)
	{
		{	/* SawMill/defs.sch 728 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_229)))->BgL_locz00) =
				((obj_t) BgL_vz00_230), BUNSPEC);
		}

	}



/* &rtl_vlength-loc-set! */
	obj_t BGl_z62rtl_vlengthzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6895,
		obj_t BgL_oz00_6896, obj_t BgL_vz00_6897)
	{
		{	/* SawMill/defs.sch 728 */
			return
				BGl_rtl_vlengthzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vlengthz00_bglt) BgL_oz00_6896), BgL_vz00_6897);
		}

	}



/* make-rtl_instanceof */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(obj_t BgL_loc1400z00_231,
		BgL_typez00_bglt BgL_type1401z00_232)
	{
		{	/* SawMill/defs.sch 731 */
			{	/* SawMill/defs.sch 731 */
				BgL_rtl_instanceofz00_bglt BgL_new1386z00_8598;

				{	/* SawMill/defs.sch 731 */
					BgL_rtl_instanceofz00_bglt BgL_new1385z00_8599;

					BgL_new1385z00_8599 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.sch 731 */
						long BgL_arg1862z00_8600;

						BgL_arg1862z00_8600 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1385z00_8599), BgL_arg1862z00_8600);
					}
					BgL_new1386z00_8598 = BgL_new1385z00_8599;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1386z00_8598)))->BgL_locz00) =
					((obj_t) BgL_loc1400z00_231), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1386z00_8598))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1401z00_232), BUNSPEC);
				return BgL_new1386z00_8598;
			}
		}

	}



/* &make-rtl_instanceof */
	BgL_rtl_instanceofz00_bglt BGl_z62makezd2rtl_instanceofzb0zzsaw_defsz00(obj_t
		BgL_envz00_6898, obj_t BgL_loc1400z00_6899, obj_t BgL_type1401z00_6900)
	{
		{	/* SawMill/defs.sch 731 */
			return
				BGl_makezd2rtl_instanceofzd2zzsaw_defsz00(BgL_loc1400z00_6899,
				((BgL_typez00_bglt) BgL_type1401z00_6900));
		}

	}



/* rtl_instanceof? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_instanceofzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_233)
	{
		{	/* SawMill/defs.sch 732 */
			{	/* SawMill/defs.sch 732 */
				obj_t BgL_classz00_8601;

				BgL_classz00_8601 = BGl_rtl_instanceofz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_233))
					{	/* SawMill/defs.sch 732 */
						BgL_objectz00_bglt BgL_arg1825z00_8602;

						BgL_arg1825z00_8602 = (BgL_objectz00_bglt) (BgL_objz00_233);
						{	/* SawMill/defs.sch 732 */
							bool_t BgL_arg1822z00_8603;
							bool_t BgL_arg1823z00_8604;

							{	/* SawMill/defs.sch 732 */
								long BgL_idxz00_8605;

								BgL_idxz00_8605 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8602);
								BgL_arg1822z00_8603 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8605 + ((long) 3))) == BgL_classz00_8601);
							}
							{	/* SawMill/defs.sch 732 */
								bool_t BgL_res3031z00_8608;

								{	/* SawMill/defs.sch 732 */
									obj_t BgL_oclassz00_8609;

									{	/* SawMill/defs.sch 732 */
										long BgL_arg1833z00_8610;

										{	/* SawMill/defs.sch 732 */
											long BgL_arg1834z00_8611;

											BgL_arg1834z00_8611 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8602);
											BgL_arg1833z00_8610 = (BgL_arg1834z00_8611 - OBJECT_TYPE);
										}
										BgL_oclassz00_8609 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8610);
									}
									{	/* SawMill/defs.sch 732 */
										bool_t BgL__ortest_1110z00_8612;

										BgL__ortest_1110z00_8612 =
											(BgL_classz00_8601 == BgL_oclassz00_8609);
										if (BgL__ortest_1110z00_8612)
											{	/* SawMill/defs.sch 732 */
												BgL_res3031z00_8608 = BgL__ortest_1110z00_8612;
											}
										else
											{	/* SawMill/defs.sch 732 */
												long BgL_odepthz00_8613;

												BgL_odepthz00_8613 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8609);
												if ((((long) 3) < BgL_odepthz00_8613))
													{	/* SawMill/defs.sch 732 */
														obj_t BgL_arg1821z00_8614;

														BgL_arg1821z00_8614 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8609,
															((long) 3));
														BgL_res3031z00_8608 =
															(BgL_arg1821z00_8614 == BgL_classz00_8601);
													}
												else
													{	/* SawMill/defs.sch 732 */
														BgL_res3031z00_8608 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8604 = BgL_res3031z00_8608;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8603, BgL_arg1823z00_8604);
						}
					}
				else
					{	/* SawMill/defs.sch 732 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_instanceof? */
	obj_t BGl_z62rtl_instanceofzf3z91zzsaw_defsz00(obj_t BgL_envz00_6901,
		obj_t BgL_objz00_6902)
	{
		{	/* SawMill/defs.sch 732 */
			return BBOOL(BGl_rtl_instanceofzf3zf3zzsaw_defsz00(BgL_objz00_6902));
		}

	}



/* rtl_instanceof-nil */
	BGL_EXPORTED_DEF BgL_rtl_instanceofz00_bglt
		BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 733 */
			{	/* SawMill/defs.sch 733 */
				obj_t BgL_classz00_4981;

				BgL_classz00_4981 = BGl_rtl_instanceofz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 733 */
					obj_t BgL__ortest_1112z00_4982;

					BgL__ortest_1112z00_4982 = BGL_CLASS_NIL(BgL_classz00_4981);
					if (CBOOL(BgL__ortest_1112z00_4982))
						{	/* SawMill/defs.sch 733 */
							return ((BgL_rtl_instanceofz00_bglt) BgL__ortest_1112z00_4982);
						}
					else
						{	/* SawMill/defs.sch 733 */
							return
								((BgL_rtl_instanceofz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4981));
						}
				}
			}
		}

	}



/* &rtl_instanceof-nil */
	BgL_rtl_instanceofz00_bglt BGl_z62rtl_instanceofzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6903)
	{
		{	/* SawMill/defs.sch 733 */
			return BGl_rtl_instanceofzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_instanceof-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_234)
	{
		{	/* SawMill/defs.sch 734 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_234))->BgL_typez00);
		}

	}



/* &rtl_instanceof-type */
	BgL_typez00_bglt BGl_z62rtl_instanceofzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6904, obj_t BgL_oz00_6905)
	{
		{	/* SawMill/defs.sch 734 */
			return
				BGl_rtl_instanceofzd2typezd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_6905));
		}

	}



/* rtl_instanceof-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00
		(BgL_rtl_instanceofz00_bglt BgL_oz00_235, BgL_typez00_bglt BgL_vz00_236)
	{
		{	/* SawMill/defs.sch 735 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_oz00_235))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_236), BUNSPEC);
		}

	}



/* &rtl_instanceof-type-set! */
	obj_t BGl_z62rtl_instanceofzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6906, obj_t BgL_oz00_6907, obj_t BgL_vz00_6908)
	{
		{	/* SawMill/defs.sch 735 */
			return
				BGl_rtl_instanceofzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_6907),
				((BgL_typez00_bglt) BgL_vz00_6908));
		}

	}



/* rtl_instanceof-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_237)
	{
		{	/* SawMill/defs.sch 736 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_237)))->BgL_locz00);
		}

	}



/* &rtl_instanceof-loc */
	obj_t BGl_z62rtl_instanceofzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6909,
		obj_t BgL_oz00_6910)
	{
		{	/* SawMill/defs.sch 736 */
			return
				BGl_rtl_instanceofzd2loczd2zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_6910));
		}

	}



/* rtl_instanceof-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_instanceofz00_bglt
		BgL_oz00_238, obj_t BgL_vz00_239)
	{
		{	/* SawMill/defs.sch 737 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_238)))->BgL_locz00) =
				((obj_t) BgL_vz00_239), BUNSPEC);
		}

	}



/* &rtl_instanceof-loc-set! */
	obj_t BGl_z62rtl_instanceofzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6911, obj_t BgL_oz00_6912, obj_t BgL_vz00_6913)
	{
		{	/* SawMill/defs.sch 737 */
			return
				BGl_rtl_instanceofzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_instanceofz00_bglt) BgL_oz00_6912), BgL_vz00_6913);
		}

	}



/* make-rtl_makebox */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(obj_t BgL_loc1398z00_240)
	{
		{	/* SawMill/defs.sch 740 */
			{	/* SawMill/defs.sch 740 */
				BgL_rtl_makeboxz00_bglt BgL_new1388z00_8615;

				{	/* SawMill/defs.sch 740 */
					BgL_rtl_makeboxz00_bglt BgL_new1387z00_8616;

					BgL_new1387z00_8616 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.sch 740 */
						long BgL_arg1863z00_8617;

						BgL_arg1863z00_8617 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1387z00_8616), BgL_arg1863z00_8617);
					}
					BgL_new1388z00_8615 = BgL_new1387z00_8616;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1388z00_8615)))->BgL_locz00) =
					((obj_t) BgL_loc1398z00_240), BUNSPEC);
				return BgL_new1388z00_8615;
			}
		}

	}



/* &make-rtl_makebox */
	BgL_rtl_makeboxz00_bglt BGl_z62makezd2rtl_makeboxzb0zzsaw_defsz00(obj_t
		BgL_envz00_6914, obj_t BgL_loc1398z00_6915)
	{
		{	/* SawMill/defs.sch 740 */
			return BGl_makezd2rtl_makeboxzd2zzsaw_defsz00(BgL_loc1398z00_6915);
		}

	}



/* rtl_makebox? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_makeboxzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_241)
	{
		{	/* SawMill/defs.sch 741 */
			{	/* SawMill/defs.sch 741 */
				obj_t BgL_classz00_8618;

				BgL_classz00_8618 = BGl_rtl_makeboxz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_241))
					{	/* SawMill/defs.sch 741 */
						BgL_objectz00_bglt BgL_arg1825z00_8619;

						BgL_arg1825z00_8619 = (BgL_objectz00_bglt) (BgL_objz00_241);
						{	/* SawMill/defs.sch 741 */
							bool_t BgL_arg1822z00_8620;
							bool_t BgL_arg1823z00_8621;

							{	/* SawMill/defs.sch 741 */
								long BgL_idxz00_8622;

								BgL_idxz00_8622 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8619);
								BgL_arg1822z00_8620 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8622 + ((long) 3))) == BgL_classz00_8618);
							}
							{	/* SawMill/defs.sch 741 */
								bool_t BgL_res3032z00_8625;

								{	/* SawMill/defs.sch 741 */
									obj_t BgL_oclassz00_8626;

									{	/* SawMill/defs.sch 741 */
										long BgL_arg1833z00_8627;

										{	/* SawMill/defs.sch 741 */
											long BgL_arg1834z00_8628;

											BgL_arg1834z00_8628 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8619);
											BgL_arg1833z00_8627 = (BgL_arg1834z00_8628 - OBJECT_TYPE);
										}
										BgL_oclassz00_8626 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8627);
									}
									{	/* SawMill/defs.sch 741 */
										bool_t BgL__ortest_1110z00_8629;

										BgL__ortest_1110z00_8629 =
											(BgL_classz00_8618 == BgL_oclassz00_8626);
										if (BgL__ortest_1110z00_8629)
											{	/* SawMill/defs.sch 741 */
												BgL_res3032z00_8625 = BgL__ortest_1110z00_8629;
											}
										else
											{	/* SawMill/defs.sch 741 */
												long BgL_odepthz00_8630;

												BgL_odepthz00_8630 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8626);
												if ((((long) 3) < BgL_odepthz00_8630))
													{	/* SawMill/defs.sch 741 */
														obj_t BgL_arg1821z00_8631;

														BgL_arg1821z00_8631 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8626,
															((long) 3));
														BgL_res3032z00_8625 =
															(BgL_arg1821z00_8631 == BgL_classz00_8618);
													}
												else
													{	/* SawMill/defs.sch 741 */
														BgL_res3032z00_8625 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8621 = BgL_res3032z00_8625;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8620, BgL_arg1823z00_8621);
						}
					}
				else
					{	/* SawMill/defs.sch 741 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_makebox? */
	obj_t BGl_z62rtl_makeboxzf3z91zzsaw_defsz00(obj_t BgL_envz00_6916,
		obj_t BgL_objz00_6917)
	{
		{	/* SawMill/defs.sch 741 */
			return BBOOL(BGl_rtl_makeboxzf3zf3zzsaw_defsz00(BgL_objz00_6917));
		}

	}



/* rtl_makebox-nil */
	BGL_EXPORTED_DEF BgL_rtl_makeboxz00_bglt
		BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 742 */
			{	/* SawMill/defs.sch 742 */
				obj_t BgL_classz00_5021;

				BgL_classz00_5021 = BGl_rtl_makeboxz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 742 */
					obj_t BgL__ortest_1112z00_5022;

					BgL__ortest_1112z00_5022 = BGL_CLASS_NIL(BgL_classz00_5021);
					if (CBOOL(BgL__ortest_1112z00_5022))
						{	/* SawMill/defs.sch 742 */
							return ((BgL_rtl_makeboxz00_bglt) BgL__ortest_1112z00_5022);
						}
					else
						{	/* SawMill/defs.sch 742 */
							return
								((BgL_rtl_makeboxz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5021));
						}
				}
			}
		}

	}



/* &rtl_makebox-nil */
	BgL_rtl_makeboxz00_bglt BGl_z62rtl_makeboxzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6918)
	{
		{	/* SawMill/defs.sch 742 */
			return BGl_rtl_makeboxzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_makebox-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(BgL_rtl_makeboxz00_bglt BgL_oz00_242)
	{
		{	/* SawMill/defs.sch 743 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_242)))->BgL_locz00);
		}

	}



/* &rtl_makebox-loc */
	obj_t BGl_z62rtl_makeboxzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6919,
		obj_t BgL_oz00_6920)
	{
		{	/* SawMill/defs.sch 743 */
			return
				BGl_rtl_makeboxzd2loczd2zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_6920));
		}

	}



/* rtl_makebox-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_makeboxz00_bglt
		BgL_oz00_243, obj_t BgL_vz00_244)
	{
		{	/* SawMill/defs.sch 744 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_243)))->BgL_locz00) =
				((obj_t) BgL_vz00_244), BUNSPEC);
		}

	}



/* &rtl_makebox-loc-set! */
	obj_t BGl_z62rtl_makeboxzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6921,
		obj_t BgL_oz00_6922, obj_t BgL_vz00_6923)
	{
		{	/* SawMill/defs.sch 744 */
			return
				BGl_rtl_makeboxzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_makeboxz00_bglt) BgL_oz00_6922), BgL_vz00_6923);
		}

	}



/* make-rtl_boxref */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt
		BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(obj_t BgL_loc1396z00_245)
	{
		{	/* SawMill/defs.sch 747 */
			{	/* SawMill/defs.sch 747 */
				BgL_rtl_boxrefz00_bglt BgL_new1390z00_8632;

				{	/* SawMill/defs.sch 747 */
					BgL_rtl_boxrefz00_bglt BgL_new1389z00_8633;

					BgL_new1389z00_8633 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.sch 747 */
						long BgL_arg1865z00_8634;

						BgL_arg1865z00_8634 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1389z00_8633), BgL_arg1865z00_8634);
					}
					BgL_new1390z00_8632 = BgL_new1389z00_8633;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1390z00_8632)))->BgL_locz00) =
					((obj_t) BgL_loc1396z00_245), BUNSPEC);
				return BgL_new1390z00_8632;
			}
		}

	}



/* &make-rtl_boxref */
	BgL_rtl_boxrefz00_bglt BGl_z62makezd2rtl_boxrefzb0zzsaw_defsz00(obj_t
		BgL_envz00_6924, obj_t BgL_loc1396z00_6925)
	{
		{	/* SawMill/defs.sch 747 */
			return BGl_makezd2rtl_boxrefzd2zzsaw_defsz00(BgL_loc1396z00_6925);
		}

	}



/* rtl_boxref? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxrefzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_246)
	{
		{	/* SawMill/defs.sch 748 */
			{	/* SawMill/defs.sch 748 */
				obj_t BgL_classz00_8635;

				BgL_classz00_8635 = BGl_rtl_boxrefz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_246))
					{	/* SawMill/defs.sch 748 */
						BgL_objectz00_bglt BgL_arg1825z00_8636;

						BgL_arg1825z00_8636 = (BgL_objectz00_bglt) (BgL_objz00_246);
						{	/* SawMill/defs.sch 748 */
							bool_t BgL_arg1822z00_8637;
							bool_t BgL_arg1823z00_8638;

							{	/* SawMill/defs.sch 748 */
								long BgL_idxz00_8639;

								BgL_idxz00_8639 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8636);
								BgL_arg1822z00_8637 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8639 + ((long) 3))) == BgL_classz00_8635);
							}
							{	/* SawMill/defs.sch 748 */
								bool_t BgL_res3033z00_8642;

								{	/* SawMill/defs.sch 748 */
									obj_t BgL_oclassz00_8643;

									{	/* SawMill/defs.sch 748 */
										long BgL_arg1833z00_8644;

										{	/* SawMill/defs.sch 748 */
											long BgL_arg1834z00_8645;

											BgL_arg1834z00_8645 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8636);
											BgL_arg1833z00_8644 = (BgL_arg1834z00_8645 - OBJECT_TYPE);
										}
										BgL_oclassz00_8643 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8644);
									}
									{	/* SawMill/defs.sch 748 */
										bool_t BgL__ortest_1110z00_8646;

										BgL__ortest_1110z00_8646 =
											(BgL_classz00_8635 == BgL_oclassz00_8643);
										if (BgL__ortest_1110z00_8646)
											{	/* SawMill/defs.sch 748 */
												BgL_res3033z00_8642 = BgL__ortest_1110z00_8646;
											}
										else
											{	/* SawMill/defs.sch 748 */
												long BgL_odepthz00_8647;

												BgL_odepthz00_8647 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8643);
												if ((((long) 3) < BgL_odepthz00_8647))
													{	/* SawMill/defs.sch 748 */
														obj_t BgL_arg1821z00_8648;

														BgL_arg1821z00_8648 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8643,
															((long) 3));
														BgL_res3033z00_8642 =
															(BgL_arg1821z00_8648 == BgL_classz00_8635);
													}
												else
													{	/* SawMill/defs.sch 748 */
														BgL_res3033z00_8642 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8638 = BgL_res3033z00_8642;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8637, BgL_arg1823z00_8638);
						}
					}
				else
					{	/* SawMill/defs.sch 748 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxref? */
	obj_t BGl_z62rtl_boxrefzf3z91zzsaw_defsz00(obj_t BgL_envz00_6926,
		obj_t BgL_objz00_6927)
	{
		{	/* SawMill/defs.sch 748 */
			return BBOOL(BGl_rtl_boxrefzf3zf3zzsaw_defsz00(BgL_objz00_6927));
		}

	}



/* rtl_boxref-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxrefz00_bglt BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 749 */
			{	/* SawMill/defs.sch 749 */
				obj_t BgL_classz00_5061;

				BgL_classz00_5061 = BGl_rtl_boxrefz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 749 */
					obj_t BgL__ortest_1112z00_5062;

					BgL__ortest_1112z00_5062 = BGL_CLASS_NIL(BgL_classz00_5061);
					if (CBOOL(BgL__ortest_1112z00_5062))
						{	/* SawMill/defs.sch 749 */
							return ((BgL_rtl_boxrefz00_bglt) BgL__ortest_1112z00_5062);
						}
					else
						{	/* SawMill/defs.sch 749 */
							return
								((BgL_rtl_boxrefz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5061));
						}
				}
			}
		}

	}



/* &rtl_boxref-nil */
	BgL_rtl_boxrefz00_bglt BGl_z62rtl_boxrefzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6928)
	{
		{	/* SawMill/defs.sch 749 */
			return BGl_rtl_boxrefzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxref-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(BgL_rtl_boxrefz00_bglt BgL_oz00_247)
	{
		{	/* SawMill/defs.sch 750 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_247)))->BgL_locz00);
		}

	}



/* &rtl_boxref-loc */
	obj_t BGl_z62rtl_boxrefzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6929,
		obj_t BgL_oz00_6930)
	{
		{	/* SawMill/defs.sch 750 */
			return
				BGl_rtl_boxrefzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_6930));
		}

	}



/* rtl_boxref-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxrefz00_bglt
		BgL_oz00_248, obj_t BgL_vz00_249)
	{
		{	/* SawMill/defs.sch 751 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_248)))->BgL_locz00) =
				((obj_t) BgL_vz00_249), BUNSPEC);
		}

	}



/* &rtl_boxref-loc-set! */
	obj_t BGl_z62rtl_boxrefzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6931,
		obj_t BgL_oz00_6932, obj_t BgL_vz00_6933)
	{
		{	/* SawMill/defs.sch 751 */
			return
				BGl_rtl_boxrefzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxrefz00_bglt) BgL_oz00_6932), BgL_vz00_6933);
		}

	}



/* make-rtl_effect */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt
		BGl_makezd2rtl_effectzd2zzsaw_defsz00(obj_t BgL_loc1394z00_250)
	{
		{	/* SawMill/defs.sch 754 */
			{	/* SawMill/defs.sch 754 */
				BgL_rtl_effectz00_bglt BgL_new1392z00_8649;

				{	/* SawMill/defs.sch 754 */
					BgL_rtl_effectz00_bglt BgL_new1391z00_8650;

					BgL_new1391z00_8650 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.sch 754 */
						long BgL_arg1867z00_8651;

						BgL_arg1867z00_8651 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1391z00_8650), BgL_arg1867z00_8651);
					}
					BgL_new1392z00_8649 = BgL_new1391z00_8650;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1392z00_8649)))->BgL_locz00) =
					((obj_t) BgL_loc1394z00_250), BUNSPEC);
				return BgL_new1392z00_8649;
			}
		}

	}



/* &make-rtl_effect */
	BgL_rtl_effectz00_bglt BGl_z62makezd2rtl_effectzb0zzsaw_defsz00(obj_t
		BgL_envz00_6934, obj_t BgL_loc1394z00_6935)
	{
		{	/* SawMill/defs.sch 754 */
			return BGl_makezd2rtl_effectzd2zzsaw_defsz00(BgL_loc1394z00_6935);
		}

	}



/* rtl_effect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_effectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_251)
	{
		{	/* SawMill/defs.sch 755 */
			{	/* SawMill/defs.sch 755 */
				obj_t BgL_classz00_8652;

				BgL_classz00_8652 = BGl_rtl_effectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_251))
					{	/* SawMill/defs.sch 755 */
						BgL_objectz00_bglt BgL_arg1825z00_8653;

						BgL_arg1825z00_8653 = (BgL_objectz00_bglt) (BgL_objz00_251);
						{	/* SawMill/defs.sch 755 */
							bool_t BgL_arg1822z00_8654;
							bool_t BgL_arg1823z00_8655;

							{	/* SawMill/defs.sch 755 */
								long BgL_idxz00_8656;

								BgL_idxz00_8656 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8653);
								BgL_arg1822z00_8654 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8656 + ((long) 2))) == BgL_classz00_8652);
							}
							{	/* SawMill/defs.sch 755 */
								bool_t BgL_res3034z00_8659;

								{	/* SawMill/defs.sch 755 */
									obj_t BgL_oclassz00_8660;

									{	/* SawMill/defs.sch 755 */
										long BgL_arg1833z00_8661;

										{	/* SawMill/defs.sch 755 */
											long BgL_arg1834z00_8662;

											BgL_arg1834z00_8662 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8653);
											BgL_arg1833z00_8661 = (BgL_arg1834z00_8662 - OBJECT_TYPE);
										}
										BgL_oclassz00_8660 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8661);
									}
									{	/* SawMill/defs.sch 755 */
										bool_t BgL__ortest_1110z00_8663;

										BgL__ortest_1110z00_8663 =
											(BgL_classz00_8652 == BgL_oclassz00_8660);
										if (BgL__ortest_1110z00_8663)
											{	/* SawMill/defs.sch 755 */
												BgL_res3034z00_8659 = BgL__ortest_1110z00_8663;
											}
										else
											{	/* SawMill/defs.sch 755 */
												long BgL_odepthz00_8664;

												BgL_odepthz00_8664 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8660);
												if ((((long) 2) < BgL_odepthz00_8664))
													{	/* SawMill/defs.sch 755 */
														obj_t BgL_arg1821z00_8665;

														BgL_arg1821z00_8665 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8660,
															((long) 2));
														BgL_res3034z00_8659 =
															(BgL_arg1821z00_8665 == BgL_classz00_8652);
													}
												else
													{	/* SawMill/defs.sch 755 */
														BgL_res3034z00_8659 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8655 = BgL_res3034z00_8659;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8654, BgL_arg1823z00_8655);
						}
					}
				else
					{	/* SawMill/defs.sch 755 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_effect? */
	obj_t BGl_z62rtl_effectzf3z91zzsaw_defsz00(obj_t BgL_envz00_6936,
		obj_t BgL_objz00_6937)
	{
		{	/* SawMill/defs.sch 755 */
			return BBOOL(BGl_rtl_effectzf3zf3zzsaw_defsz00(BgL_objz00_6937));
		}

	}



/* rtl_effect-nil */
	BGL_EXPORTED_DEF BgL_rtl_effectz00_bglt BGl_rtl_effectzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 756 */
			{	/* SawMill/defs.sch 756 */
				obj_t BgL_classz00_5101;

				BgL_classz00_5101 = BGl_rtl_effectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 756 */
					obj_t BgL__ortest_1112z00_5102;

					BgL__ortest_1112z00_5102 = BGL_CLASS_NIL(BgL_classz00_5101);
					if (CBOOL(BgL__ortest_1112z00_5102))
						{	/* SawMill/defs.sch 756 */
							return ((BgL_rtl_effectz00_bglt) BgL__ortest_1112z00_5102);
						}
					else
						{	/* SawMill/defs.sch 756 */
							return
								((BgL_rtl_effectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5101));
						}
				}
			}
		}

	}



/* &rtl_effect-nil */
	BgL_rtl_effectz00_bglt BGl_z62rtl_effectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6938)
	{
		{	/* SawMill/defs.sch 756 */
			return BGl_rtl_effectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_effect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2zzsaw_defsz00(BgL_rtl_effectz00_bglt BgL_oz00_252)
	{
		{	/* SawMill/defs.sch 757 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_252)))->BgL_locz00);
		}

	}



/* &rtl_effect-loc */
	obj_t BGl_z62rtl_effectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6939,
		obj_t BgL_oz00_6940)
	{
		{	/* SawMill/defs.sch 757 */
			return
				BGl_rtl_effectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_6940));
		}

	}



/* rtl_effect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_effectz00_bglt
		BgL_oz00_253, obj_t BgL_vz00_254)
	{
		{	/* SawMill/defs.sch 758 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_253)))->BgL_locz00) =
				((obj_t) BgL_vz00_254), BUNSPEC);
		}

	}



/* &rtl_effect-loc-set! */
	obj_t BGl_z62rtl_effectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6941,
		obj_t BgL_oz00_6942, obj_t BgL_vz00_6943)
	{
		{	/* SawMill/defs.sch 758 */
			return
				BGl_rtl_effectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_effectz00_bglt) BgL_oz00_6942), BgL_vz00_6943);
		}

	}



/* make-rtl_storeg */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt
		BGl_makezd2rtl_storegzd2zzsaw_defsz00(obj_t BgL_loc1391z00_255,
		BgL_globalz00_bglt BgL_var1392z00_256)
	{
		{	/* SawMill/defs.sch 761 */
			{	/* SawMill/defs.sch 761 */
				BgL_rtl_storegz00_bglt BgL_new1394z00_8666;

				{	/* SawMill/defs.sch 761 */
					BgL_rtl_storegz00_bglt BgL_new1393z00_8667;

					BgL_new1393z00_8667 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.sch 761 */
						long BgL_arg1869z00_8668;

						BgL_arg1869z00_8668 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1393z00_8667), BgL_arg1869z00_8668);
					}
					BgL_new1394z00_8666 = BgL_new1393z00_8667;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1394z00_8666)))->BgL_locz00) =
					((obj_t) BgL_loc1391z00_255), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1394z00_8666))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1392z00_256), BUNSPEC);
				return BgL_new1394z00_8666;
			}
		}

	}



/* &make-rtl_storeg */
	BgL_rtl_storegz00_bglt BGl_z62makezd2rtl_storegzb0zzsaw_defsz00(obj_t
		BgL_envz00_6944, obj_t BgL_loc1391z00_6945, obj_t BgL_var1392z00_6946)
	{
		{	/* SawMill/defs.sch 761 */
			return
				BGl_makezd2rtl_storegzd2zzsaw_defsz00(BgL_loc1391z00_6945,
				((BgL_globalz00_bglt) BgL_var1392z00_6946));
		}

	}



/* rtl_storeg? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_storegzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_257)
	{
		{	/* SawMill/defs.sch 762 */
			{	/* SawMill/defs.sch 762 */
				obj_t BgL_classz00_8669;

				BgL_classz00_8669 = BGl_rtl_storegz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_257))
					{	/* SawMill/defs.sch 762 */
						BgL_objectz00_bglt BgL_arg1825z00_8670;

						BgL_arg1825z00_8670 = (BgL_objectz00_bglt) (BgL_objz00_257);
						{	/* SawMill/defs.sch 762 */
							bool_t BgL_arg1822z00_8671;
							bool_t BgL_arg1823z00_8672;

							{	/* SawMill/defs.sch 762 */
								long BgL_idxz00_8673;

								BgL_idxz00_8673 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8670);
								BgL_arg1822z00_8671 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8673 + ((long) 3))) == BgL_classz00_8669);
							}
							{	/* SawMill/defs.sch 762 */
								bool_t BgL_res3035z00_8676;

								{	/* SawMill/defs.sch 762 */
									obj_t BgL_oclassz00_8677;

									{	/* SawMill/defs.sch 762 */
										long BgL_arg1833z00_8678;

										{	/* SawMill/defs.sch 762 */
											long BgL_arg1834z00_8679;

											BgL_arg1834z00_8679 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8670);
											BgL_arg1833z00_8678 = (BgL_arg1834z00_8679 - OBJECT_TYPE);
										}
										BgL_oclassz00_8677 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8678);
									}
									{	/* SawMill/defs.sch 762 */
										bool_t BgL__ortest_1110z00_8680;

										BgL__ortest_1110z00_8680 =
											(BgL_classz00_8669 == BgL_oclassz00_8677);
										if (BgL__ortest_1110z00_8680)
											{	/* SawMill/defs.sch 762 */
												BgL_res3035z00_8676 = BgL__ortest_1110z00_8680;
											}
										else
											{	/* SawMill/defs.sch 762 */
												long BgL_odepthz00_8681;

												BgL_odepthz00_8681 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8677);
												if ((((long) 3) < BgL_odepthz00_8681))
													{	/* SawMill/defs.sch 762 */
														obj_t BgL_arg1821z00_8682;

														BgL_arg1821z00_8682 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8677,
															((long) 3));
														BgL_res3035z00_8676 =
															(BgL_arg1821z00_8682 == BgL_classz00_8669);
													}
												else
													{	/* SawMill/defs.sch 762 */
														BgL_res3035z00_8676 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8672 = BgL_res3035z00_8676;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8671, BgL_arg1823z00_8672);
						}
					}
				else
					{	/* SawMill/defs.sch 762 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_storeg? */
	obj_t BGl_z62rtl_storegzf3z91zzsaw_defsz00(obj_t BgL_envz00_6947,
		obj_t BgL_objz00_6948)
	{
		{	/* SawMill/defs.sch 762 */
			return BBOOL(BGl_rtl_storegzf3zf3zzsaw_defsz00(BgL_objz00_6948));
		}

	}



/* rtl_storeg-nil */
	BGL_EXPORTED_DEF BgL_rtl_storegz00_bglt BGl_rtl_storegzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 763 */
			{	/* SawMill/defs.sch 763 */
				obj_t BgL_classz00_5141;

				BgL_classz00_5141 = BGl_rtl_storegz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 763 */
					obj_t BgL__ortest_1112z00_5142;

					BgL__ortest_1112z00_5142 = BGL_CLASS_NIL(BgL_classz00_5141);
					if (CBOOL(BgL__ortest_1112z00_5142))
						{	/* SawMill/defs.sch 763 */
							return ((BgL_rtl_storegz00_bglt) BgL__ortest_1112z00_5142);
						}
					else
						{	/* SawMill/defs.sch 763 */
							return
								((BgL_rtl_storegz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5141));
						}
				}
			}
		}

	}



/* &rtl_storeg-nil */
	BgL_rtl_storegz00_bglt BGl_z62rtl_storegzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6949)
	{
		{	/* SawMill/defs.sch 763 */
			return BGl_rtl_storegzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_storeg-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_storegzd2varzd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_258)
	{
		{	/* SawMill/defs.sch 764 */
			return (((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_258))->BgL_varz00);
		}

	}



/* &rtl_storeg-var */
	BgL_globalz00_bglt BGl_z62rtl_storegzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_6950, obj_t BgL_oz00_6951)
	{
		{	/* SawMill/defs.sch 764 */
			return
				BGl_rtl_storegzd2varzd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_6951));
		}

	}



/* rtl_storeg-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_259, BgL_globalz00_bglt BgL_vz00_260)
	{
		{	/* SawMill/defs.sch 765 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_oz00_259))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_260), BUNSPEC);
		}

	}



/* &rtl_storeg-var-set! */
	obj_t BGl_z62rtl_storegzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6952,
		obj_t BgL_oz00_6953, obj_t BgL_vz00_6954)
	{
		{	/* SawMill/defs.sch 765 */
			return
				BGl_rtl_storegzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_6953),
				((BgL_globalz00_bglt) BgL_vz00_6954));
		}

	}



/* rtl_storeg-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2zzsaw_defsz00(BgL_rtl_storegz00_bglt BgL_oz00_261)
	{
		{	/* SawMill/defs.sch 766 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_261)))->BgL_locz00);
		}

	}



/* &rtl_storeg-loc */
	obj_t BGl_z62rtl_storegzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6955,
		obj_t BgL_oz00_6956)
	{
		{	/* SawMill/defs.sch 766 */
			return
				BGl_rtl_storegzd2loczd2zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_6956));
		}

	}



/* rtl_storeg-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_storegz00_bglt
		BgL_oz00_262, obj_t BgL_vz00_263)
	{
		{	/* SawMill/defs.sch 767 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_262)))->BgL_locz00) =
				((obj_t) BgL_vz00_263), BUNSPEC);
		}

	}



/* &rtl_storeg-loc-set! */
	obj_t BGl_z62rtl_storegzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6957,
		obj_t BgL_oz00_6958, obj_t BgL_vz00_6959)
	{
		{	/* SawMill/defs.sch 767 */
			return
				BGl_rtl_storegzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_storegz00_bglt) BgL_oz00_6958), BgL_vz00_6959);
		}

	}



/* make-rtl_setfield */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(obj_t BgL_loc1386z00_264,
		obj_t BgL_name1387z00_265, BgL_typez00_bglt BgL_objtype1388z00_266,
		BgL_typez00_bglt BgL_type1389z00_267)
	{
		{	/* SawMill/defs.sch 770 */
			{	/* SawMill/defs.sch 770 */
				BgL_rtl_setfieldz00_bglt BgL_new1396z00_8683;

				{	/* SawMill/defs.sch 770 */
					BgL_rtl_setfieldz00_bglt BgL_new1395z00_8684;

					BgL_new1395z00_8684 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.sch 770 */
						long BgL_arg1870z00_8685;

						BgL_arg1870z00_8685 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1395z00_8684), BgL_arg1870z00_8685);
					}
					BgL_new1396z00_8683 = BgL_new1395z00_8684;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1396z00_8683)))->BgL_locz00) =
					((obj_t) BgL_loc1386z00_264), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1396z00_8683))->
						BgL_namez00) = ((obj_t) BgL_name1387z00_265), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1396z00_8683))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) BgL_objtype1388z00_266), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1396z00_8683))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1389z00_267), BUNSPEC);
				return BgL_new1396z00_8683;
			}
		}

	}



/* &make-rtl_setfield */
	BgL_rtl_setfieldz00_bglt BGl_z62makezd2rtl_setfieldzb0zzsaw_defsz00(obj_t
		BgL_envz00_6960, obj_t BgL_loc1386z00_6961, obj_t BgL_name1387z00_6962,
		obj_t BgL_objtype1388z00_6963, obj_t BgL_type1389z00_6964)
	{
		{	/* SawMill/defs.sch 770 */
			return
				BGl_makezd2rtl_setfieldzd2zzsaw_defsz00(BgL_loc1386z00_6961,
				BgL_name1387z00_6962, ((BgL_typez00_bglt) BgL_objtype1388z00_6963),
				((BgL_typez00_bglt) BgL_type1389z00_6964));
		}

	}



/* rtl_setfield? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_setfieldzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_268)
	{
		{	/* SawMill/defs.sch 771 */
			{	/* SawMill/defs.sch 771 */
				obj_t BgL_classz00_8686;

				BgL_classz00_8686 = BGl_rtl_setfieldz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_268))
					{	/* SawMill/defs.sch 771 */
						BgL_objectz00_bglt BgL_arg1825z00_8687;

						BgL_arg1825z00_8687 = (BgL_objectz00_bglt) (BgL_objz00_268);
						{	/* SawMill/defs.sch 771 */
							bool_t BgL_arg1822z00_8688;
							bool_t BgL_arg1823z00_8689;

							{	/* SawMill/defs.sch 771 */
								long BgL_idxz00_8690;

								BgL_idxz00_8690 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8687);
								BgL_arg1822z00_8688 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8690 + ((long) 3))) == BgL_classz00_8686);
							}
							{	/* SawMill/defs.sch 771 */
								bool_t BgL_res3036z00_8693;

								{	/* SawMill/defs.sch 771 */
									obj_t BgL_oclassz00_8694;

									{	/* SawMill/defs.sch 771 */
										long BgL_arg1833z00_8695;

										{	/* SawMill/defs.sch 771 */
											long BgL_arg1834z00_8696;

											BgL_arg1834z00_8696 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8687);
											BgL_arg1833z00_8695 = (BgL_arg1834z00_8696 - OBJECT_TYPE);
										}
										BgL_oclassz00_8694 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8695);
									}
									{	/* SawMill/defs.sch 771 */
										bool_t BgL__ortest_1110z00_8697;

										BgL__ortest_1110z00_8697 =
											(BgL_classz00_8686 == BgL_oclassz00_8694);
										if (BgL__ortest_1110z00_8697)
											{	/* SawMill/defs.sch 771 */
												BgL_res3036z00_8693 = BgL__ortest_1110z00_8697;
											}
										else
											{	/* SawMill/defs.sch 771 */
												long BgL_odepthz00_8698;

												BgL_odepthz00_8698 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8694);
												if ((((long) 3) < BgL_odepthz00_8698))
													{	/* SawMill/defs.sch 771 */
														obj_t BgL_arg1821z00_8699;

														BgL_arg1821z00_8699 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8694,
															((long) 3));
														BgL_res3036z00_8693 =
															(BgL_arg1821z00_8699 == BgL_classz00_8686);
													}
												else
													{	/* SawMill/defs.sch 771 */
														BgL_res3036z00_8693 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8689 = BgL_res3036z00_8693;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8688, BgL_arg1823z00_8689);
						}
					}
				else
					{	/* SawMill/defs.sch 771 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_setfield? */
	obj_t BGl_z62rtl_setfieldzf3z91zzsaw_defsz00(obj_t BgL_envz00_6965,
		obj_t BgL_objz00_6966)
	{
		{	/* SawMill/defs.sch 771 */
			return BBOOL(BGl_rtl_setfieldzf3zf3zzsaw_defsz00(BgL_objz00_6966));
		}

	}



/* rtl_setfield-nil */
	BGL_EXPORTED_DEF BgL_rtl_setfieldz00_bglt
		BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 772 */
			{	/* SawMill/defs.sch 772 */
				obj_t BgL_classz00_5181;

				BgL_classz00_5181 = BGl_rtl_setfieldz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 772 */
					obj_t BgL__ortest_1112z00_5182;

					BgL__ortest_1112z00_5182 = BGL_CLASS_NIL(BgL_classz00_5181);
					if (CBOOL(BgL__ortest_1112z00_5182))
						{	/* SawMill/defs.sch 772 */
							return ((BgL_rtl_setfieldz00_bglt) BgL__ortest_1112z00_5182);
						}
					else
						{	/* SawMill/defs.sch 772 */
							return
								((BgL_rtl_setfieldz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5181));
						}
				}
			}
		}

	}



/* &rtl_setfield-nil */
	BgL_rtl_setfieldz00_bglt BGl_z62rtl_setfieldzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6967)
	{
		{	/* SawMill/defs.sch 772 */
			return BGl_rtl_setfieldzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_setfield-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_269)
	{
		{	/* SawMill/defs.sch 773 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_269))->BgL_typez00);
		}

	}



/* &rtl_setfield-type */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_6968, obj_t BgL_oz00_6969)
	{
		{	/* SawMill/defs.sch 773 */
			return
				BGl_rtl_setfieldzd2typezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6969));
		}

	}



/* rtl_setfield-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_270, BgL_typez00_bglt BgL_vz00_271)
	{
		{	/* SawMill/defs.sch 774 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_270))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_271), BUNSPEC);
		}

	}



/* &rtl_setfield-type-set! */
	obj_t BGl_z62rtl_setfieldzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6970, obj_t BgL_oz00_6971, obj_t BgL_vz00_6972)
	{
		{	/* SawMill/defs.sch 774 */
			return
				BGl_rtl_setfieldzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6971),
				((BgL_typez00_bglt) BgL_vz00_6972));
		}

	}



/* rtl_setfield-objtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_272)
	{
		{	/* SawMill/defs.sch 775 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_272))->BgL_objtypez00);
		}

	}



/* &rtl_setfield-objtype */
	BgL_typez00_bglt BGl_z62rtl_setfieldzd2objtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6973, obj_t BgL_oz00_6974)
	{
		{	/* SawMill/defs.sch 775 */
			return
				BGl_rtl_setfieldzd2objtypezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6974));
		}

	}



/* rtl_setfield-objtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_273, BgL_typez00_bglt BgL_vz00_274)
	{
		{	/* SawMill/defs.sch 776 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_273))->BgL_objtypez00) =
				((BgL_typez00_bglt) BgL_vz00_274), BUNSPEC);
		}

	}



/* &rtl_setfield-objtype-set! */
	obj_t BGl_z62rtl_setfieldzd2objtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6975, obj_t BgL_oz00_6976, obj_t BgL_vz00_6977)
	{
		{	/* SawMill/defs.sch 776 */
			return
				BGl_rtl_setfieldzd2objtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6976),
				((BgL_typez00_bglt) BgL_vz00_6977));
		}

	}



/* rtl_setfield-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_275)
	{
		{	/* SawMill/defs.sch 777 */
			return (((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_275))->BgL_namez00);
		}

	}



/* &rtl_setfield-name */
	obj_t BGl_z62rtl_setfieldzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_6978,
		obj_t BgL_oz00_6979)
	{
		{	/* SawMill/defs.sch 777 */
			return
				BGl_rtl_setfieldzd2namezd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6979));
		}

	}



/* rtl_setfield-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_276, obj_t BgL_vz00_277)
	{
		{	/* SawMill/defs.sch 778 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_oz00_276))->BgL_namez00) =
				((obj_t) BgL_vz00_277), BUNSPEC);
		}

	}



/* &rtl_setfield-name-set! */
	obj_t BGl_z62rtl_setfieldzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6980, obj_t BgL_oz00_6981, obj_t BgL_vz00_6982)
	{
		{	/* SawMill/defs.sch 778 */
			return
				BGl_rtl_setfieldzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6981), BgL_vz00_6982);
		}

	}



/* rtl_setfield-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_278)
	{
		{	/* SawMill/defs.sch 779 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_278)))->BgL_locz00);
		}

	}



/* &rtl_setfield-loc */
	obj_t BGl_z62rtl_setfieldzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_6983,
		obj_t BgL_oz00_6984)
	{
		{	/* SawMill/defs.sch 779 */
			return
				BGl_rtl_setfieldzd2loczd2zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6984));
		}

	}



/* rtl_setfield-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_setfieldz00_bglt
		BgL_oz00_279, obj_t BgL_vz00_280)
	{
		{	/* SawMill/defs.sch 780 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_279)))->BgL_locz00) =
				((obj_t) BgL_vz00_280), BUNSPEC);
		}

	}



/* &rtl_setfield-loc-set! */
	obj_t BGl_z62rtl_setfieldzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_6985, obj_t BgL_oz00_6986, obj_t BgL_vz00_6987)
	{
		{	/* SawMill/defs.sch 780 */
			return
				BGl_rtl_setfieldzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_setfieldz00_bglt) BgL_oz00_6986), BgL_vz00_6987);
		}

	}



/* make-rtl_vset */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt
		BGl_makezd2rtl_vsetzd2zzsaw_defsz00(obj_t BgL_loc1381z00_281,
		BgL_typez00_bglt BgL_type1382z00_282, BgL_typez00_bglt BgL_vtype1383z00_283)
	{
		{	/* SawMill/defs.sch 783 */
			{	/* SawMill/defs.sch 783 */
				BgL_rtl_vsetz00_bglt BgL_new1398z00_8700;

				{	/* SawMill/defs.sch 783 */
					BgL_rtl_vsetz00_bglt BgL_new1397z00_8701;

					BgL_new1397z00_8701 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.sch 783 */
						long BgL_arg1871z00_8702;

						BgL_arg1871z00_8702 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1397z00_8701), BgL_arg1871z00_8702);
					}
					BgL_new1398z00_8700 = BgL_new1397z00_8701;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1398z00_8700)))->BgL_locz00) =
					((obj_t) BgL_loc1381z00_281), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1398z00_8700))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1382z00_282), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1398z00_8700))->BgL_vtypez00) =
					((BgL_typez00_bglt) BgL_vtype1383z00_283), BUNSPEC);
				return BgL_new1398z00_8700;
			}
		}

	}



/* &make-rtl_vset */
	BgL_rtl_vsetz00_bglt BGl_z62makezd2rtl_vsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_6988, obj_t BgL_loc1381z00_6989, obj_t BgL_type1382z00_6990,
		obj_t BgL_vtype1383z00_6991)
	{
		{	/* SawMill/defs.sch 783 */
			return
				BGl_makezd2rtl_vsetzd2zzsaw_defsz00(BgL_loc1381z00_6989,
				((BgL_typez00_bglt) BgL_type1382z00_6990),
				((BgL_typez00_bglt) BgL_vtype1383z00_6991));
		}

	}



/* rtl_vset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_vsetzf3zf3zzsaw_defsz00(obj_t BgL_objz00_284)
	{
		{	/* SawMill/defs.sch 784 */
			{	/* SawMill/defs.sch 784 */
				obj_t BgL_classz00_8703;

				BgL_classz00_8703 = BGl_rtl_vsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_284))
					{	/* SawMill/defs.sch 784 */
						BgL_objectz00_bglt BgL_arg1825z00_8704;

						BgL_arg1825z00_8704 = (BgL_objectz00_bglt) (BgL_objz00_284);
						{	/* SawMill/defs.sch 784 */
							bool_t BgL_arg1822z00_8705;
							bool_t BgL_arg1823z00_8706;

							{	/* SawMill/defs.sch 784 */
								long BgL_idxz00_8707;

								BgL_idxz00_8707 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8704);
								BgL_arg1822z00_8705 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8707 + ((long) 3))) == BgL_classz00_8703);
							}
							{	/* SawMill/defs.sch 784 */
								bool_t BgL_res3037z00_8710;

								{	/* SawMill/defs.sch 784 */
									obj_t BgL_oclassz00_8711;

									{	/* SawMill/defs.sch 784 */
										long BgL_arg1833z00_8712;

										{	/* SawMill/defs.sch 784 */
											long BgL_arg1834z00_8713;

											BgL_arg1834z00_8713 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8704);
											BgL_arg1833z00_8712 = (BgL_arg1834z00_8713 - OBJECT_TYPE);
										}
										BgL_oclassz00_8711 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8712);
									}
									{	/* SawMill/defs.sch 784 */
										bool_t BgL__ortest_1110z00_8714;

										BgL__ortest_1110z00_8714 =
											(BgL_classz00_8703 == BgL_oclassz00_8711);
										if (BgL__ortest_1110z00_8714)
											{	/* SawMill/defs.sch 784 */
												BgL_res3037z00_8710 = BgL__ortest_1110z00_8714;
											}
										else
											{	/* SawMill/defs.sch 784 */
												long BgL_odepthz00_8715;

												BgL_odepthz00_8715 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8711);
												if ((((long) 3) < BgL_odepthz00_8715))
													{	/* SawMill/defs.sch 784 */
														obj_t BgL_arg1821z00_8716;

														BgL_arg1821z00_8716 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8711,
															((long) 3));
														BgL_res3037z00_8710 =
															(BgL_arg1821z00_8716 == BgL_classz00_8703);
													}
												else
													{	/* SawMill/defs.sch 784 */
														BgL_res3037z00_8710 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8706 = BgL_res3037z00_8710;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8705, BgL_arg1823z00_8706);
						}
					}
				else
					{	/* SawMill/defs.sch 784 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_vset? */
	obj_t BGl_z62rtl_vsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_6992,
		obj_t BgL_objz00_6993)
	{
		{	/* SawMill/defs.sch 784 */
			return BBOOL(BGl_rtl_vsetzf3zf3zzsaw_defsz00(BgL_objz00_6993));
		}

	}



/* rtl_vset-nil */
	BGL_EXPORTED_DEF BgL_rtl_vsetz00_bglt BGl_rtl_vsetzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 785 */
			{	/* SawMill/defs.sch 785 */
				obj_t BgL_classz00_5221;

				BgL_classz00_5221 = BGl_rtl_vsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 785 */
					obj_t BgL__ortest_1112z00_5222;

					BgL__ortest_1112z00_5222 = BGL_CLASS_NIL(BgL_classz00_5221);
					if (CBOOL(BgL__ortest_1112z00_5222))
						{	/* SawMill/defs.sch 785 */
							return ((BgL_rtl_vsetz00_bglt) BgL__ortest_1112z00_5222);
						}
					else
						{	/* SawMill/defs.sch 785 */
							return
								((BgL_rtl_vsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5221));
						}
				}
			}
		}

	}



/* &rtl_vset-nil */
	BgL_rtl_vsetz00_bglt BGl_z62rtl_vsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_6994)
	{
		{	/* SawMill/defs.sch 785 */
			return BGl_rtl_vsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_vset-vtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_285)
	{
		{	/* SawMill/defs.sch 786 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_285))->BgL_vtypez00);
		}

	}



/* &rtl_vset-vtype */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2vtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_6995, obj_t BgL_oz00_6996)
	{
		{	/* SawMill/defs.sch 786 */
			return
				BGl_rtl_vsetzd2vtypezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_6996));
		}

	}



/* rtl_vset-vtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_286, BgL_typez00_bglt BgL_vz00_287)
	{
		{	/* SawMill/defs.sch 787 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_286))->BgL_vtypez00) =
				((BgL_typez00_bglt) BgL_vz00_287), BUNSPEC);
		}

	}



/* &rtl_vset-vtype-set! */
	obj_t BGl_z62rtl_vsetzd2vtypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_6997,
		obj_t BgL_oz00_6998, obj_t BgL_vz00_6999)
	{
		{	/* SawMill/defs.sch 787 */
			return
				BGl_rtl_vsetzd2vtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_6998),
				((BgL_typez00_bglt) BgL_vz00_6999));
		}

	}



/* rtl_vset-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_vsetzd2typezd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt BgL_oz00_288)
	{
		{	/* SawMill/defs.sch 788 */
			return (((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_288))->BgL_typez00);
		}

	}



/* &rtl_vset-type */
	BgL_typez00_bglt BGl_z62rtl_vsetzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7000,
		obj_t BgL_oz00_7001)
	{
		{	/* SawMill/defs.sch 788 */
			return
				BGl_rtl_vsetzd2typezd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7001));
		}

	}



/* rtl_vset-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_289, BgL_typez00_bglt BgL_vz00_290)
	{
		{	/* SawMill/defs.sch 789 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_oz00_289))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_290), BUNSPEC);
		}

	}



/* &rtl_vset-type-set! */
	obj_t BGl_z62rtl_vsetzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7002,
		obj_t BgL_oz00_7003, obj_t BgL_vz00_7004)
	{
		{	/* SawMill/defs.sch 789 */
			return
				BGl_rtl_vsetzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7003),
				((BgL_typez00_bglt) BgL_vz00_7004));
		}

	}



/* rtl_vset-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_vsetzd2loczd2zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_291)
	{
		{	/* SawMill/defs.sch 790 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_291)))->BgL_locz00);
		}

	}



/* &rtl_vset-loc */
	obj_t BGl_z62rtl_vsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7005,
		obj_t BgL_oz00_7006)
	{
		{	/* SawMill/defs.sch 790 */
			return
				BGl_rtl_vsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7006));
		}

	}



/* rtl_vset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_vsetz00_bglt
		BgL_oz00_292, obj_t BgL_vz00_293)
	{
		{	/* SawMill/defs.sch 791 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_292)))->BgL_locz00) =
				((obj_t) BgL_vz00_293), BUNSPEC);
		}

	}



/* &rtl_vset-loc-set! */
	obj_t BGl_z62rtl_vsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7007,
		obj_t BgL_oz00_7008, obj_t BgL_vz00_7009)
	{
		{	/* SawMill/defs.sch 791 */
			return
				BGl_rtl_vsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_vsetz00_bglt) BgL_oz00_7008), BgL_vz00_7009);
		}

	}



/* make-rtl_boxset */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt
		BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(obj_t BgL_loc1379z00_294)
	{
		{	/* SawMill/defs.sch 794 */
			{	/* SawMill/defs.sch 794 */
				BgL_rtl_boxsetz00_bglt BgL_new1400z00_8717;

				{	/* SawMill/defs.sch 794 */
					BgL_rtl_boxsetz00_bglt BgL_new1399z00_8718;

					BgL_new1399z00_8718 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.sch 794 */
						long BgL_arg1872z00_8719;

						BgL_arg1872z00_8719 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1399z00_8718), BgL_arg1872z00_8719);
					}
					BgL_new1400z00_8717 = BgL_new1399z00_8718;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1400z00_8717)))->BgL_locz00) =
					((obj_t) BgL_loc1379z00_294), BUNSPEC);
				return BgL_new1400z00_8717;
			}
		}

	}



/* &make-rtl_boxset */
	BgL_rtl_boxsetz00_bglt BGl_z62makezd2rtl_boxsetzb0zzsaw_defsz00(obj_t
		BgL_envz00_7010, obj_t BgL_loc1379z00_7011)
	{
		{	/* SawMill/defs.sch 794 */
			return BGl_makezd2rtl_boxsetzd2zzsaw_defsz00(BgL_loc1379z00_7011);
		}

	}



/* rtl_boxset? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_boxsetzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_295)
	{
		{	/* SawMill/defs.sch 795 */
			{	/* SawMill/defs.sch 795 */
				obj_t BgL_classz00_8720;

				BgL_classz00_8720 = BGl_rtl_boxsetz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_295))
					{	/* SawMill/defs.sch 795 */
						BgL_objectz00_bglt BgL_arg1825z00_8721;

						BgL_arg1825z00_8721 = (BgL_objectz00_bglt) (BgL_objz00_295);
						{	/* SawMill/defs.sch 795 */
							bool_t BgL_arg1822z00_8722;
							bool_t BgL_arg1823z00_8723;

							{	/* SawMill/defs.sch 795 */
								long BgL_idxz00_8724;

								BgL_idxz00_8724 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8721);
								BgL_arg1822z00_8722 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8724 + ((long) 3))) == BgL_classz00_8720);
							}
							{	/* SawMill/defs.sch 795 */
								bool_t BgL_res3038z00_8727;

								{	/* SawMill/defs.sch 795 */
									obj_t BgL_oclassz00_8728;

									{	/* SawMill/defs.sch 795 */
										long BgL_arg1833z00_8729;

										{	/* SawMill/defs.sch 795 */
											long BgL_arg1834z00_8730;

											BgL_arg1834z00_8730 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8721);
											BgL_arg1833z00_8729 = (BgL_arg1834z00_8730 - OBJECT_TYPE);
										}
										BgL_oclassz00_8728 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8729);
									}
									{	/* SawMill/defs.sch 795 */
										bool_t BgL__ortest_1110z00_8731;

										BgL__ortest_1110z00_8731 =
											(BgL_classz00_8720 == BgL_oclassz00_8728);
										if (BgL__ortest_1110z00_8731)
											{	/* SawMill/defs.sch 795 */
												BgL_res3038z00_8727 = BgL__ortest_1110z00_8731;
											}
										else
											{	/* SawMill/defs.sch 795 */
												long BgL_odepthz00_8732;

												BgL_odepthz00_8732 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8728);
												if ((((long) 3) < BgL_odepthz00_8732))
													{	/* SawMill/defs.sch 795 */
														obj_t BgL_arg1821z00_8733;

														BgL_arg1821z00_8733 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8728,
															((long) 3));
														BgL_res3038z00_8727 =
															(BgL_arg1821z00_8733 == BgL_classz00_8720);
													}
												else
													{	/* SawMill/defs.sch 795 */
														BgL_res3038z00_8727 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8723 = BgL_res3038z00_8727;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8722, BgL_arg1823z00_8723);
						}
					}
				else
					{	/* SawMill/defs.sch 795 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_boxset? */
	obj_t BGl_z62rtl_boxsetzf3z91zzsaw_defsz00(obj_t BgL_envz00_7012,
		obj_t BgL_objz00_7013)
	{
		{	/* SawMill/defs.sch 795 */
			return BBOOL(BGl_rtl_boxsetzf3zf3zzsaw_defsz00(BgL_objz00_7013));
		}

	}



/* rtl_boxset-nil */
	BGL_EXPORTED_DEF BgL_rtl_boxsetz00_bglt BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 796 */
			{	/* SawMill/defs.sch 796 */
				obj_t BgL_classz00_5261;

				BgL_classz00_5261 = BGl_rtl_boxsetz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 796 */
					obj_t BgL__ortest_1112z00_5262;

					BgL__ortest_1112z00_5262 = BGL_CLASS_NIL(BgL_classz00_5261);
					if (CBOOL(BgL__ortest_1112z00_5262))
						{	/* SawMill/defs.sch 796 */
							return ((BgL_rtl_boxsetz00_bglt) BgL__ortest_1112z00_5262);
						}
					else
						{	/* SawMill/defs.sch 796 */
							return
								((BgL_rtl_boxsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5261));
						}
				}
			}
		}

	}



/* &rtl_boxset-nil */
	BgL_rtl_boxsetz00_bglt BGl_z62rtl_boxsetzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7014)
	{
		{	/* SawMill/defs.sch 796 */
			return BGl_rtl_boxsetzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_boxset-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(BgL_rtl_boxsetz00_bglt BgL_oz00_296)
	{
		{	/* SawMill/defs.sch 797 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_296)))->BgL_locz00);
		}

	}



/* &rtl_boxset-loc */
	obj_t BGl_z62rtl_boxsetzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7015,
		obj_t BgL_oz00_7016)
	{
		{	/* SawMill/defs.sch 797 */
			return
				BGl_rtl_boxsetzd2loczd2zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7016));
		}

	}



/* rtl_boxset-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_boxsetz00_bglt
		BgL_oz00_297, obj_t BgL_vz00_298)
	{
		{	/* SawMill/defs.sch 798 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_297)))->BgL_locz00) =
				((obj_t) BgL_vz00_298), BUNSPEC);
		}

	}



/* &rtl_boxset-loc-set! */
	obj_t BGl_z62rtl_boxsetzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7017,
		obj_t BgL_oz00_7018, obj_t BgL_vz00_7019)
	{
		{	/* SawMill/defs.sch 798 */
			return
				BGl_rtl_boxsetzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_boxsetz00_bglt) BgL_oz00_7018), BgL_vz00_7019);
		}

	}



/* make-rtl_new */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_makezd2rtl_newzd2zzsaw_defsz00(obj_t
		BgL_loc1374z00_299, BgL_typez00_bglt BgL_type1376z00_300,
		obj_t BgL_constr1377z00_301)
	{
		{	/* SawMill/defs.sch 801 */
			{	/* SawMill/defs.sch 801 */
				BgL_rtl_newz00_bglt BgL_new1402z00_8734;

				{	/* SawMill/defs.sch 801 */
					BgL_rtl_newz00_bglt BgL_new1401z00_8735;

					BgL_new1401z00_8735 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.sch 801 */
						long BgL_arg1875z00_8736;

						BgL_arg1875z00_8736 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1401z00_8735), BgL_arg1875z00_8736);
					}
					BgL_new1402z00_8734 = BgL_new1401z00_8735;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1402z00_8734)))->BgL_locz00) =
					((obj_t) BgL_loc1374z00_299), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1402z00_8734))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1376z00_300), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1402z00_8734))->BgL_constrz00) =
					((obj_t) BgL_constr1377z00_301), BUNSPEC);
				return BgL_new1402z00_8734;
			}
		}

	}



/* &make-rtl_new */
	BgL_rtl_newz00_bglt BGl_z62makezd2rtl_newzb0zzsaw_defsz00(obj_t
		BgL_envz00_7020, obj_t BgL_loc1374z00_7021, obj_t BgL_type1376z00_7022,
		obj_t BgL_constr1377z00_7023)
	{
		{	/* SawMill/defs.sch 801 */
			return
				BGl_makezd2rtl_newzd2zzsaw_defsz00(BgL_loc1374z00_7021,
				((BgL_typez00_bglt) BgL_type1376z00_7022), BgL_constr1377z00_7023);
		}

	}



/* rtl_new? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_newzf3zf3zzsaw_defsz00(obj_t BgL_objz00_302)
	{
		{	/* SawMill/defs.sch 802 */
			{	/* SawMill/defs.sch 802 */
				obj_t BgL_classz00_8737;

				BgL_classz00_8737 = BGl_rtl_newz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_302))
					{	/* SawMill/defs.sch 802 */
						BgL_objectz00_bglt BgL_arg1825z00_8738;

						BgL_arg1825z00_8738 = (BgL_objectz00_bglt) (BgL_objz00_302);
						{	/* SawMill/defs.sch 802 */
							bool_t BgL_arg1822z00_8739;
							bool_t BgL_arg1823z00_8740;

							{	/* SawMill/defs.sch 802 */
								long BgL_idxz00_8741;

								BgL_idxz00_8741 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8738);
								BgL_arg1822z00_8739 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8741 + ((long) 2))) == BgL_classz00_8737);
							}
							{	/* SawMill/defs.sch 802 */
								bool_t BgL_res3039z00_8744;

								{	/* SawMill/defs.sch 802 */
									obj_t BgL_oclassz00_8745;

									{	/* SawMill/defs.sch 802 */
										long BgL_arg1833z00_8746;

										{	/* SawMill/defs.sch 802 */
											long BgL_arg1834z00_8747;

											BgL_arg1834z00_8747 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8738);
											BgL_arg1833z00_8746 = (BgL_arg1834z00_8747 - OBJECT_TYPE);
										}
										BgL_oclassz00_8745 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8746);
									}
									{	/* SawMill/defs.sch 802 */
										bool_t BgL__ortest_1110z00_8748;

										BgL__ortest_1110z00_8748 =
											(BgL_classz00_8737 == BgL_oclassz00_8745);
										if (BgL__ortest_1110z00_8748)
											{	/* SawMill/defs.sch 802 */
												BgL_res3039z00_8744 = BgL__ortest_1110z00_8748;
											}
										else
											{	/* SawMill/defs.sch 802 */
												long BgL_odepthz00_8749;

												BgL_odepthz00_8749 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8745);
												if ((((long) 2) < BgL_odepthz00_8749))
													{	/* SawMill/defs.sch 802 */
														obj_t BgL_arg1821z00_8750;

														BgL_arg1821z00_8750 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8745,
															((long) 2));
														BgL_res3039z00_8744 =
															(BgL_arg1821z00_8750 == BgL_classz00_8737);
													}
												else
													{	/* SawMill/defs.sch 802 */
														BgL_res3039z00_8744 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8740 = BgL_res3039z00_8744;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8739, BgL_arg1823z00_8740);
						}
					}
				else
					{	/* SawMill/defs.sch 802 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_new? */
	obj_t BGl_z62rtl_newzf3z91zzsaw_defsz00(obj_t BgL_envz00_7024,
		obj_t BgL_objz00_7025)
	{
		{	/* SawMill/defs.sch 802 */
			return BBOOL(BGl_rtl_newzf3zf3zzsaw_defsz00(BgL_objz00_7025));
		}

	}



/* rtl_new-nil */
	BGL_EXPORTED_DEF BgL_rtl_newz00_bglt BGl_rtl_newzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 803 */
			{	/* SawMill/defs.sch 803 */
				obj_t BgL_classz00_5301;

				BgL_classz00_5301 = BGl_rtl_newz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 803 */
					obj_t BgL__ortest_1112z00_5302;

					BgL__ortest_1112z00_5302 = BGL_CLASS_NIL(BgL_classz00_5301);
					if (CBOOL(BgL__ortest_1112z00_5302))
						{	/* SawMill/defs.sch 803 */
							return ((BgL_rtl_newz00_bglt) BgL__ortest_1112z00_5302);
						}
					else
						{	/* SawMill/defs.sch 803 */
							return
								((BgL_rtl_newz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5301));
						}
				}
			}
		}

	}



/* &rtl_new-nil */
	BgL_rtl_newz00_bglt BGl_z62rtl_newzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7026)
	{
		{	/* SawMill/defs.sch 803 */
			return BGl_rtl_newzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_new-constr */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_303)
	{
		{	/* SawMill/defs.sch 804 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_303))->BgL_constrz00);
		}

	}



/* &rtl_new-constr */
	obj_t BGl_z62rtl_newzd2constrzb0zzsaw_defsz00(obj_t BgL_envz00_7027,
		obj_t BgL_oz00_7028)
	{
		{	/* SawMill/defs.sch 804 */
			return
				BGl_rtl_newzd2constrzd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7028));
		}

	}



/* rtl_new-constr-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_304, obj_t BgL_vz00_305)
	{
		{	/* SawMill/defs.sch 805 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_304))->BgL_constrz00) =
				((obj_t) BgL_vz00_305), BUNSPEC);
		}

	}



/* &rtl_new-constr-set! */
	obj_t BGl_z62rtl_newzd2constrzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7029,
		obj_t BgL_oz00_7030, obj_t BgL_vz00_7031)
	{
		{	/* SawMill/defs.sch 805 */
			return
				BGl_rtl_newzd2constrzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7030), BgL_vz00_7031);
		}

	}



/* rtl_new-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_newzd2typezd2zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_306)
	{
		{	/* SawMill/defs.sch 806 */
			return (((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_306))->BgL_typez00);
		}

	}



/* &rtl_new-type */
	BgL_typez00_bglt BGl_z62rtl_newzd2typezb0zzsaw_defsz00(obj_t BgL_envz00_7032,
		obj_t BgL_oz00_7033)
	{
		{	/* SawMill/defs.sch 806 */
			return
				BGl_rtl_newzd2typezd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7033));
		}

	}



/* rtl_new-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_307, BgL_typez00_bglt BgL_vz00_308)
	{
		{	/* SawMill/defs.sch 807 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_oz00_307))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_308), BUNSPEC);
		}

	}



/* &rtl_new-type-set! */
	obj_t BGl_z62rtl_newzd2typezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7034,
		obj_t BgL_oz00_7035, obj_t BgL_vz00_7036)
	{
		{	/* SawMill/defs.sch 807 */
			return
				BGl_rtl_newzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7035),
				((BgL_typez00_bglt) BgL_vz00_7036));
		}

	}



/* rtl_new-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_newzd2loczd2zzsaw_defsz00(BgL_rtl_newz00_bglt
		BgL_oz00_309)
	{
		{	/* SawMill/defs.sch 808 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_309)))->BgL_locz00);
		}

	}



/* &rtl_new-loc */
	obj_t BGl_z62rtl_newzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7037,
		obj_t BgL_oz00_7038)
	{
		{	/* SawMill/defs.sch 808 */
			return
				BGl_rtl_newzd2loczd2zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7038));
		}

	}



/* rtl_new-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_newz00_bglt BgL_oz00_310,
		obj_t BgL_vz00_311)
	{
		{	/* SawMill/defs.sch 809 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_310)))->BgL_locz00) =
				((obj_t) BgL_vz00_311), BUNSPEC);
		}

	}



/* &rtl_new-loc-set! */
	obj_t BGl_z62rtl_newzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7039,
		obj_t BgL_oz00_7040, obj_t BgL_vz00_7041)
	{
		{	/* SawMill/defs.sch 809 */
			return
				BGl_rtl_newzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_newz00_bglt) BgL_oz00_7040), BgL_vz00_7041);
		}

	}



/* make-rtl_call */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt
		BGl_makezd2rtl_callzd2zzsaw_defsz00(obj_t BgL_loc1371z00_312,
		BgL_globalz00_bglt BgL_var1372z00_313)
	{
		{	/* SawMill/defs.sch 812 */
			{	/* SawMill/defs.sch 812 */
				BgL_rtl_callz00_bglt BgL_new1404z00_8751;

				{	/* SawMill/defs.sch 812 */
					BgL_rtl_callz00_bglt BgL_new1403z00_8752;

					BgL_new1403z00_8752 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.sch 812 */
						long BgL_arg1877z00_8753;

						BgL_arg1877z00_8753 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1403z00_8752), BgL_arg1877z00_8753);
					}
					BgL_new1404z00_8751 = BgL_new1403z00_8752;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1404z00_8751)))->BgL_locz00) =
					((obj_t) BgL_loc1371z00_312), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1404z00_8751))->BgL_varz00) =
					((BgL_globalz00_bglt) BgL_var1372z00_313), BUNSPEC);
				return BgL_new1404z00_8751;
			}
		}

	}



/* &make-rtl_call */
	BgL_rtl_callz00_bglt BGl_z62makezd2rtl_callzb0zzsaw_defsz00(obj_t
		BgL_envz00_7042, obj_t BgL_loc1371z00_7043, obj_t BgL_var1372z00_7044)
	{
		{	/* SawMill/defs.sch 812 */
			return
				BGl_makezd2rtl_callzd2zzsaw_defsz00(BgL_loc1371z00_7043,
				((BgL_globalz00_bglt) BgL_var1372z00_7044));
		}

	}



/* rtl_call? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_callzf3zf3zzsaw_defsz00(obj_t BgL_objz00_314)
	{
		{	/* SawMill/defs.sch 813 */
			{	/* SawMill/defs.sch 813 */
				obj_t BgL_classz00_8754;

				BgL_classz00_8754 = BGl_rtl_callz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_314))
					{	/* SawMill/defs.sch 813 */
						BgL_objectz00_bglt BgL_arg1825z00_8755;

						BgL_arg1825z00_8755 = (BgL_objectz00_bglt) (BgL_objz00_314);
						{	/* SawMill/defs.sch 813 */
							bool_t BgL_arg1822z00_8756;
							bool_t BgL_arg1823z00_8757;

							{	/* SawMill/defs.sch 813 */
								long BgL_idxz00_8758;

								BgL_idxz00_8758 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8755);
								BgL_arg1822z00_8756 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8758 + ((long) 2))) == BgL_classz00_8754);
							}
							{	/* SawMill/defs.sch 813 */
								bool_t BgL_res3040z00_8761;

								{	/* SawMill/defs.sch 813 */
									obj_t BgL_oclassz00_8762;

									{	/* SawMill/defs.sch 813 */
										long BgL_arg1833z00_8763;

										{	/* SawMill/defs.sch 813 */
											long BgL_arg1834z00_8764;

											BgL_arg1834z00_8764 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8755);
											BgL_arg1833z00_8763 = (BgL_arg1834z00_8764 - OBJECT_TYPE);
										}
										BgL_oclassz00_8762 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8763);
									}
									{	/* SawMill/defs.sch 813 */
										bool_t BgL__ortest_1110z00_8765;

										BgL__ortest_1110z00_8765 =
											(BgL_classz00_8754 == BgL_oclassz00_8762);
										if (BgL__ortest_1110z00_8765)
											{	/* SawMill/defs.sch 813 */
												BgL_res3040z00_8761 = BgL__ortest_1110z00_8765;
											}
										else
											{	/* SawMill/defs.sch 813 */
												long BgL_odepthz00_8766;

												BgL_odepthz00_8766 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8762);
												if ((((long) 2) < BgL_odepthz00_8766))
													{	/* SawMill/defs.sch 813 */
														obj_t BgL_arg1821z00_8767;

														BgL_arg1821z00_8767 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8762,
															((long) 2));
														BgL_res3040z00_8761 =
															(BgL_arg1821z00_8767 == BgL_classz00_8754);
													}
												else
													{	/* SawMill/defs.sch 813 */
														BgL_res3040z00_8761 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8757 = BgL_res3040z00_8761;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8756, BgL_arg1823z00_8757);
						}
					}
				else
					{	/* SawMill/defs.sch 813 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_call? */
	obj_t BGl_z62rtl_callzf3z91zzsaw_defsz00(obj_t BgL_envz00_7045,
		obj_t BgL_objz00_7046)
	{
		{	/* SawMill/defs.sch 813 */
			return BBOOL(BGl_rtl_callzf3zf3zzsaw_defsz00(BgL_objz00_7046));
		}

	}



/* rtl_call-nil */
	BGL_EXPORTED_DEF BgL_rtl_callz00_bglt BGl_rtl_callzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 814 */
			{	/* SawMill/defs.sch 814 */
				obj_t BgL_classz00_5341;

				BgL_classz00_5341 = BGl_rtl_callz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 814 */
					obj_t BgL__ortest_1112z00_5342;

					BgL__ortest_1112z00_5342 = BGL_CLASS_NIL(BgL_classz00_5341);
					if (CBOOL(BgL__ortest_1112z00_5342))
						{	/* SawMill/defs.sch 814 */
							return ((BgL_rtl_callz00_bglt) BgL__ortest_1112z00_5342);
						}
					else
						{	/* SawMill/defs.sch 814 */
							return
								((BgL_rtl_callz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5341));
						}
				}
			}
		}

	}



/* &rtl_call-nil */
	BgL_rtl_callz00_bglt BGl_z62rtl_callzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7047)
	{
		{	/* SawMill/defs.sch 814 */
			return BGl_rtl_callzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_call-var */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_rtl_callzd2varzd2zzsaw_defsz00(BgL_rtl_callz00_bglt BgL_oz00_315)
	{
		{	/* SawMill/defs.sch 815 */
			return (((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_315))->BgL_varz00);
		}

	}



/* &rtl_call-var */
	BgL_globalz00_bglt BGl_z62rtl_callzd2varzb0zzsaw_defsz00(obj_t
		BgL_envz00_7048, obj_t BgL_oz00_7049)
	{
		{	/* SawMill/defs.sch 815 */
			return
				BGl_rtl_callzd2varzd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7049));
		}

	}



/* rtl_call-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_316, BgL_globalz00_bglt BgL_vz00_317)
	{
		{	/* SawMill/defs.sch 816 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_oz00_316))->BgL_varz00) =
				((BgL_globalz00_bglt) BgL_vz00_317), BUNSPEC);
		}

	}



/* &rtl_call-var-set! */
	obj_t BGl_z62rtl_callzd2varzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7050,
		obj_t BgL_oz00_7051, obj_t BgL_vz00_7052)
	{
		{	/* SawMill/defs.sch 816 */
			return
				BGl_rtl_callzd2varzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7051),
				((BgL_globalz00_bglt) BgL_vz00_7052));
		}

	}



/* rtl_call-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_callzd2loczd2zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_318)
	{
		{	/* SawMill/defs.sch 817 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_318)))->BgL_locz00);
		}

	}



/* &rtl_call-loc */
	obj_t BGl_z62rtl_callzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7053,
		obj_t BgL_oz00_7054)
	{
		{	/* SawMill/defs.sch 817 */
			return
				BGl_rtl_callzd2loczd2zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7054));
		}

	}



/* rtl_call-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_callz00_bglt
		BgL_oz00_319, obj_t BgL_vz00_320)
	{
		{	/* SawMill/defs.sch 818 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_319)))->BgL_locz00) =
				((obj_t) BgL_vz00_320), BUNSPEC);
		}

	}



/* &rtl_call-loc-set! */
	obj_t BGl_z62rtl_callzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7055,
		obj_t BgL_oz00_7056, obj_t BgL_vz00_7057)
	{
		{	/* SawMill/defs.sch 818 */
			return
				BGl_rtl_callzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_callz00_bglt) BgL_oz00_7056), BgL_vz00_7057);
		}

	}



/* make-rtl_apply */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt
		BGl_makezd2rtl_applyzd2zzsaw_defsz00(obj_t BgL_loc1369z00_321)
	{
		{	/* SawMill/defs.sch 821 */
			{	/* SawMill/defs.sch 821 */
				BgL_rtl_applyz00_bglt BgL_new1406z00_8768;

				{	/* SawMill/defs.sch 821 */
					BgL_rtl_applyz00_bglt BgL_new1405z00_8769;

					BgL_new1405z00_8769 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.sch 821 */
						long BgL_arg1878z00_8770;

						BgL_arg1878z00_8770 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1405z00_8769), BgL_arg1878z00_8770);
					}
					BgL_new1406z00_8768 = BgL_new1405z00_8769;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1406z00_8768)))->BgL_locz00) =
					((obj_t) BgL_loc1369z00_321), BUNSPEC);
				return BgL_new1406z00_8768;
			}
		}

	}



/* &make-rtl_apply */
	BgL_rtl_applyz00_bglt BGl_z62makezd2rtl_applyzb0zzsaw_defsz00(obj_t
		BgL_envz00_7058, obj_t BgL_loc1369z00_7059)
	{
		{	/* SawMill/defs.sch 821 */
			return BGl_makezd2rtl_applyzd2zzsaw_defsz00(BgL_loc1369z00_7059);
		}

	}



/* rtl_apply? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_applyzf3zf3zzsaw_defsz00(obj_t BgL_objz00_322)
	{
		{	/* SawMill/defs.sch 822 */
			{	/* SawMill/defs.sch 822 */
				obj_t BgL_classz00_8771;

				BgL_classz00_8771 = BGl_rtl_applyz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_322))
					{	/* SawMill/defs.sch 822 */
						BgL_objectz00_bglt BgL_arg1825z00_8772;

						BgL_arg1825z00_8772 = (BgL_objectz00_bglt) (BgL_objz00_322);
						{	/* SawMill/defs.sch 822 */
							bool_t BgL_arg1822z00_8773;
							bool_t BgL_arg1823z00_8774;

							{	/* SawMill/defs.sch 822 */
								long BgL_idxz00_8775;

								BgL_idxz00_8775 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8772);
								BgL_arg1822z00_8773 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8775 + ((long) 2))) == BgL_classz00_8771);
							}
							{	/* SawMill/defs.sch 822 */
								bool_t BgL_res3041z00_8778;

								{	/* SawMill/defs.sch 822 */
									obj_t BgL_oclassz00_8779;

									{	/* SawMill/defs.sch 822 */
										long BgL_arg1833z00_8780;

										{	/* SawMill/defs.sch 822 */
											long BgL_arg1834z00_8781;

											BgL_arg1834z00_8781 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8772);
											BgL_arg1833z00_8780 = (BgL_arg1834z00_8781 - OBJECT_TYPE);
										}
										BgL_oclassz00_8779 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8780);
									}
									{	/* SawMill/defs.sch 822 */
										bool_t BgL__ortest_1110z00_8782;

										BgL__ortest_1110z00_8782 =
											(BgL_classz00_8771 == BgL_oclassz00_8779);
										if (BgL__ortest_1110z00_8782)
											{	/* SawMill/defs.sch 822 */
												BgL_res3041z00_8778 = BgL__ortest_1110z00_8782;
											}
										else
											{	/* SawMill/defs.sch 822 */
												long BgL_odepthz00_8783;

												BgL_odepthz00_8783 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8779);
												if ((((long) 2) < BgL_odepthz00_8783))
													{	/* SawMill/defs.sch 822 */
														obj_t BgL_arg1821z00_8784;

														BgL_arg1821z00_8784 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8779,
															((long) 2));
														BgL_res3041z00_8778 =
															(BgL_arg1821z00_8784 == BgL_classz00_8771);
													}
												else
													{	/* SawMill/defs.sch 822 */
														BgL_res3041z00_8778 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8774 = BgL_res3041z00_8778;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8773, BgL_arg1823z00_8774);
						}
					}
				else
					{	/* SawMill/defs.sch 822 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_apply? */
	obj_t BGl_z62rtl_applyzf3z91zzsaw_defsz00(obj_t BgL_envz00_7060,
		obj_t BgL_objz00_7061)
	{
		{	/* SawMill/defs.sch 822 */
			return BBOOL(BGl_rtl_applyzf3zf3zzsaw_defsz00(BgL_objz00_7061));
		}

	}



/* rtl_apply-nil */
	BGL_EXPORTED_DEF BgL_rtl_applyz00_bglt BGl_rtl_applyzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 823 */
			{	/* SawMill/defs.sch 823 */
				obj_t BgL_classz00_5381;

				BgL_classz00_5381 = BGl_rtl_applyz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 823 */
					obj_t BgL__ortest_1112z00_5382;

					BgL__ortest_1112z00_5382 = BGL_CLASS_NIL(BgL_classz00_5381);
					if (CBOOL(BgL__ortest_1112z00_5382))
						{	/* SawMill/defs.sch 823 */
							return ((BgL_rtl_applyz00_bglt) BgL__ortest_1112z00_5382);
						}
					else
						{	/* SawMill/defs.sch 823 */
							return
								((BgL_rtl_applyz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5381));
						}
				}
			}
		}

	}



/* &rtl_apply-nil */
	BgL_rtl_applyz00_bglt BGl_z62rtl_applyzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7062)
	{
		{	/* SawMill/defs.sch 823 */
			return BGl_rtl_applyzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_apply-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2zzsaw_defsz00(BgL_rtl_applyz00_bglt BgL_oz00_323)
	{
		{	/* SawMill/defs.sch 824 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_323)))->BgL_locz00);
		}

	}



/* &rtl_apply-loc */
	obj_t BGl_z62rtl_applyzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7063,
		obj_t BgL_oz00_7064)
	{
		{	/* SawMill/defs.sch 824 */
			return
				BGl_rtl_applyzd2loczd2zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7064));
		}

	}



/* rtl_apply-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_applyz00_bglt
		BgL_oz00_324, obj_t BgL_vz00_325)
	{
		{	/* SawMill/defs.sch 825 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_324)))->BgL_locz00) =
				((obj_t) BgL_vz00_325), BUNSPEC);
		}

	}



/* &rtl_apply-loc-set! */
	obj_t BGl_z62rtl_applyzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7065,
		obj_t BgL_oz00_7066, obj_t BgL_vz00_7067)
	{
		{	/* SawMill/defs.sch 825 */
			return
				BGl_rtl_applyzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_applyz00_bglt) BgL_oz00_7066), BgL_vz00_7067);
		}

	}



/* make-rtl_lightfuncall */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(obj_t BgL_loc1363z00_326,
		obj_t BgL_name1364z00_327, obj_t BgL_funs1365z00_328,
		obj_t BgL_rettype1366z00_329)
	{
		{	/* SawMill/defs.sch 828 */
			{	/* SawMill/defs.sch 828 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1408z00_8785;

				{	/* SawMill/defs.sch 828 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1407z00_8786;

					BgL_new1407z00_8786 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.sch 828 */
						long BgL_arg1880z00_8787;

						BgL_arg1880z00_8787 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1407z00_8786), BgL_arg1880z00_8787);
					}
					BgL_new1408z00_8785 = BgL_new1407z00_8786;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1408z00_8785)))->BgL_locz00) =
					((obj_t) BgL_loc1363z00_326), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1408z00_8785))->
						BgL_namez00) = ((obj_t) BgL_name1364z00_327), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1408z00_8785))->
						BgL_funsz00) = ((obj_t) BgL_funs1365z00_328), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1408z00_8785))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1366z00_329), BUNSPEC);
				return BgL_new1408z00_8785;
			}
		}

	}



/* &make-rtl_lightfuncall */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62makezd2rtl_lightfuncallzb0zzsaw_defsz00(obj_t BgL_envz00_7068,
		obj_t BgL_loc1363z00_7069, obj_t BgL_name1364z00_7070,
		obj_t BgL_funs1365z00_7071, obj_t BgL_rettype1366z00_7072)
	{
		{	/* SawMill/defs.sch 828 */
			return
				BGl_makezd2rtl_lightfuncallzd2zzsaw_defsz00(BgL_loc1363z00_7069,
				BgL_name1364z00_7070, BgL_funs1365z00_7071, BgL_rettype1366z00_7072);
		}

	}



/* rtl_lightfuncall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_330)
	{
		{	/* SawMill/defs.sch 829 */
			{	/* SawMill/defs.sch 829 */
				obj_t BgL_classz00_8788;

				BgL_classz00_8788 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_330))
					{	/* SawMill/defs.sch 829 */
						BgL_objectz00_bglt BgL_arg1825z00_8789;

						BgL_arg1825z00_8789 = (BgL_objectz00_bglt) (BgL_objz00_330);
						{	/* SawMill/defs.sch 829 */
							bool_t BgL_arg1822z00_8790;
							bool_t BgL_arg1823z00_8791;

							{	/* SawMill/defs.sch 829 */
								long BgL_idxz00_8792;

								BgL_idxz00_8792 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8789);
								BgL_arg1822z00_8790 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8792 + ((long) 2))) == BgL_classz00_8788);
							}
							{	/* SawMill/defs.sch 829 */
								bool_t BgL_res3042z00_8795;

								{	/* SawMill/defs.sch 829 */
									obj_t BgL_oclassz00_8796;

									{	/* SawMill/defs.sch 829 */
										long BgL_arg1833z00_8797;

										{	/* SawMill/defs.sch 829 */
											long BgL_arg1834z00_8798;

											BgL_arg1834z00_8798 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8789);
											BgL_arg1833z00_8797 = (BgL_arg1834z00_8798 - OBJECT_TYPE);
										}
										BgL_oclassz00_8796 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8797);
									}
									{	/* SawMill/defs.sch 829 */
										bool_t BgL__ortest_1110z00_8799;

										BgL__ortest_1110z00_8799 =
											(BgL_classz00_8788 == BgL_oclassz00_8796);
										if (BgL__ortest_1110z00_8799)
											{	/* SawMill/defs.sch 829 */
												BgL_res3042z00_8795 = BgL__ortest_1110z00_8799;
											}
										else
											{	/* SawMill/defs.sch 829 */
												long BgL_odepthz00_8800;

												BgL_odepthz00_8800 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8796);
												if ((((long) 2) < BgL_odepthz00_8800))
													{	/* SawMill/defs.sch 829 */
														obj_t BgL_arg1821z00_8801;

														BgL_arg1821z00_8801 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8796,
															((long) 2));
														BgL_res3042z00_8795 =
															(BgL_arg1821z00_8801 == BgL_classz00_8788);
													}
												else
													{	/* SawMill/defs.sch 829 */
														BgL_res3042z00_8795 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8791 = BgL_res3042z00_8795;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8790, BgL_arg1823z00_8791);
						}
					}
				else
					{	/* SawMill/defs.sch 829 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_lightfuncall? */
	obj_t BGl_z62rtl_lightfuncallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7073,
		obj_t BgL_objz00_7074)
	{
		{	/* SawMill/defs.sch 829 */
			return BBOOL(BGl_rtl_lightfuncallzf3zf3zzsaw_defsz00(BgL_objz00_7074));
		}

	}



/* rtl_lightfuncall-nil */
	BGL_EXPORTED_DEF BgL_rtl_lightfuncallz00_bglt
		BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 830 */
			{	/* SawMill/defs.sch 830 */
				obj_t BgL_classz00_5421;

				BgL_classz00_5421 = BGl_rtl_lightfuncallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 830 */
					obj_t BgL__ortest_1112z00_5422;

					BgL__ortest_1112z00_5422 = BGL_CLASS_NIL(BgL_classz00_5421);
					if (CBOOL(BgL__ortest_1112z00_5422))
						{	/* SawMill/defs.sch 830 */
							return ((BgL_rtl_lightfuncallz00_bglt) BgL__ortest_1112z00_5422);
						}
					else
						{	/* SawMill/defs.sch 830 */
							return
								((BgL_rtl_lightfuncallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5421));
						}
				}
			}
		}

	}



/* &rtl_lightfuncall-nil */
	BgL_rtl_lightfuncallz00_bglt
		BGl_z62rtl_lightfuncallzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7075)
	{
		{	/* SawMill/defs.sch 830 */
			return BGl_rtl_lightfuncallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_lightfuncall-rettype */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_331)
	{
		{	/* SawMill/defs.sch 831 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_331))->
				BgL_rettypez00);
		}

	}



/* &rtl_lightfuncall-rettype */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezb0zzsaw_defsz00(obj_t BgL_envz00_7076,
		obj_t BgL_oz00_7077)
	{
		{	/* SawMill/defs.sch 831 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7077));
		}

	}



/* rtl_lightfuncall-rettype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_332, obj_t BgL_vz00_333)
	{
		{	/* SawMill/defs.sch 832 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_332))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_333), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-rettype-set! */
	obj_t BGl_z62rtl_lightfuncallzd2rettypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7078, obj_t BgL_oz00_7079, obj_t BgL_vz00_7080)
	{
		{	/* SawMill/defs.sch 832 */
			return
				BGl_rtl_lightfuncallzd2rettypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7079), BgL_vz00_7080);
		}

	}



/* rtl_lightfuncall-funs */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_334)
	{
		{	/* SawMill/defs.sch 833 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_334))->BgL_funsz00);
		}

	}



/* &rtl_lightfuncall-funs */
	obj_t BGl_z62rtl_lightfuncallzd2funszb0zzsaw_defsz00(obj_t BgL_envz00_7081,
		obj_t BgL_oz00_7082)
	{
		{	/* SawMill/defs.sch 833 */
			return
				BGl_rtl_lightfuncallzd2funszd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7082));
		}

	}



/* rtl_lightfuncall-funs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_335, obj_t BgL_vz00_336)
	{
		{	/* SawMill/defs.sch 834 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_335))->BgL_funsz00) =
				((obj_t) BgL_vz00_336), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-funs-set! */
	obj_t BGl_z62rtl_lightfuncallzd2funszd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7083, obj_t BgL_oz00_7084, obj_t BgL_vz00_7085)
	{
		{	/* SawMill/defs.sch 834 */
			return
				BGl_rtl_lightfuncallzd2funszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7084), BgL_vz00_7085);
		}

	}



/* rtl_lightfuncall-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_337)
	{
		{	/* SawMill/defs.sch 835 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_337))->BgL_namez00);
		}

	}



/* &rtl_lightfuncall-name */
	obj_t BGl_z62rtl_lightfuncallzd2namezb0zzsaw_defsz00(obj_t BgL_envz00_7086,
		obj_t BgL_oz00_7087)
	{
		{	/* SawMill/defs.sch 835 */
			return
				BGl_rtl_lightfuncallzd2namezd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7087));
		}

	}



/* rtl_lightfuncall-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_338, obj_t BgL_vz00_339)
	{
		{	/* SawMill/defs.sch 836 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_oz00_338))->BgL_namez00) =
				((obj_t) BgL_vz00_339), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-name-set! */
	obj_t BGl_z62rtl_lightfuncallzd2namezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7088, obj_t BgL_oz00_7089, obj_t BgL_vz00_7090)
	{
		{	/* SawMill/defs.sch 836 */
			return
				BGl_rtl_lightfuncallzd2namezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7089), BgL_vz00_7090);
		}

	}



/* rtl_lightfuncall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(BgL_rtl_lightfuncallz00_bglt
		BgL_oz00_340)
	{
		{	/* SawMill/defs.sch 837 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_340)))->BgL_locz00);
		}

	}



/* &rtl_lightfuncall-loc */
	obj_t BGl_z62rtl_lightfuncallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7091,
		obj_t BgL_oz00_7092)
	{
		{	/* SawMill/defs.sch 837 */
			return
				BGl_rtl_lightfuncallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7092));
		}

	}



/* rtl_lightfuncall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00
		(BgL_rtl_lightfuncallz00_bglt BgL_oz00_341, obj_t BgL_vz00_342)
	{
		{	/* SawMill/defs.sch 838 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_341)))->BgL_locz00) =
				((obj_t) BgL_vz00_342), BUNSPEC);
		}

	}



/* &rtl_lightfuncall-loc-set! */
	obj_t BGl_z62rtl_lightfuncallzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7093, obj_t BgL_oz00_7094, obj_t BgL_vz00_7095)
	{
		{	/* SawMill/defs.sch 838 */
			return
				BGl_rtl_lightfuncallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7094), BgL_vz00_7095);
		}

	}



/* make-rtl_funcall */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_makezd2rtl_funcallzd2zzsaw_defsz00(obj_t BgL_loc1361z00_343)
	{
		{	/* SawMill/defs.sch 841 */
			{	/* SawMill/defs.sch 841 */
				BgL_rtl_funcallz00_bglt BgL_new1410z00_8802;

				{	/* SawMill/defs.sch 841 */
					BgL_rtl_funcallz00_bglt BgL_new1409z00_8803;

					BgL_new1409z00_8803 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.sch 841 */
						long BgL_arg1882z00_8804;

						BgL_arg1882z00_8804 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1409z00_8803), BgL_arg1882z00_8804);
					}
					BgL_new1410z00_8802 = BgL_new1409z00_8803;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1410z00_8802)))->BgL_locz00) =
					((obj_t) BgL_loc1361z00_343), BUNSPEC);
				return BgL_new1410z00_8802;
			}
		}

	}



/* &make-rtl_funcall */
	BgL_rtl_funcallz00_bglt BGl_z62makezd2rtl_funcallzb0zzsaw_defsz00(obj_t
		BgL_envz00_7096, obj_t BgL_loc1361z00_7097)
	{
		{	/* SawMill/defs.sch 841 */
			return BGl_makezd2rtl_funcallzd2zzsaw_defsz00(BgL_loc1361z00_7097);
		}

	}



/* rtl_funcall? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_funcallzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_344)
	{
		{	/* SawMill/defs.sch 842 */
			{	/* SawMill/defs.sch 842 */
				obj_t BgL_classz00_8805;

				BgL_classz00_8805 = BGl_rtl_funcallz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_344))
					{	/* SawMill/defs.sch 842 */
						BgL_objectz00_bglt BgL_arg1825z00_8806;

						BgL_arg1825z00_8806 = (BgL_objectz00_bglt) (BgL_objz00_344);
						{	/* SawMill/defs.sch 842 */
							bool_t BgL_arg1822z00_8807;
							bool_t BgL_arg1823z00_8808;

							{	/* SawMill/defs.sch 842 */
								long BgL_idxz00_8809;

								BgL_idxz00_8809 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8806);
								BgL_arg1822z00_8807 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8809 + ((long) 2))) == BgL_classz00_8805);
							}
							{	/* SawMill/defs.sch 842 */
								bool_t BgL_res3043z00_8812;

								{	/* SawMill/defs.sch 842 */
									obj_t BgL_oclassz00_8813;

									{	/* SawMill/defs.sch 842 */
										long BgL_arg1833z00_8814;

										{	/* SawMill/defs.sch 842 */
											long BgL_arg1834z00_8815;

											BgL_arg1834z00_8815 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8806);
											BgL_arg1833z00_8814 = (BgL_arg1834z00_8815 - OBJECT_TYPE);
										}
										BgL_oclassz00_8813 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8814);
									}
									{	/* SawMill/defs.sch 842 */
										bool_t BgL__ortest_1110z00_8816;

										BgL__ortest_1110z00_8816 =
											(BgL_classz00_8805 == BgL_oclassz00_8813);
										if (BgL__ortest_1110z00_8816)
											{	/* SawMill/defs.sch 842 */
												BgL_res3043z00_8812 = BgL__ortest_1110z00_8816;
											}
										else
											{	/* SawMill/defs.sch 842 */
												long BgL_odepthz00_8817;

												BgL_odepthz00_8817 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8813);
												if ((((long) 2) < BgL_odepthz00_8817))
													{	/* SawMill/defs.sch 842 */
														obj_t BgL_arg1821z00_8818;

														BgL_arg1821z00_8818 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8813,
															((long) 2));
														BgL_res3043z00_8812 =
															(BgL_arg1821z00_8818 == BgL_classz00_8805);
													}
												else
													{	/* SawMill/defs.sch 842 */
														BgL_res3043z00_8812 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8808 = BgL_res3043z00_8812;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8807, BgL_arg1823z00_8808);
						}
					}
				else
					{	/* SawMill/defs.sch 842 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_funcall? */
	obj_t BGl_z62rtl_funcallzf3z91zzsaw_defsz00(obj_t BgL_envz00_7098,
		obj_t BgL_objz00_7099)
	{
		{	/* SawMill/defs.sch 842 */
			return BBOOL(BGl_rtl_funcallzf3zf3zzsaw_defsz00(BgL_objz00_7099));
		}

	}



/* rtl_funcall-nil */
	BGL_EXPORTED_DEF BgL_rtl_funcallz00_bglt
		BGl_rtl_funcallzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 843 */
			{	/* SawMill/defs.sch 843 */
				obj_t BgL_classz00_5461;

				BgL_classz00_5461 = BGl_rtl_funcallz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 843 */
					obj_t BgL__ortest_1112z00_5462;

					BgL__ortest_1112z00_5462 = BGL_CLASS_NIL(BgL_classz00_5461);
					if (CBOOL(BgL__ortest_1112z00_5462))
						{	/* SawMill/defs.sch 843 */
							return ((BgL_rtl_funcallz00_bglt) BgL__ortest_1112z00_5462);
						}
					else
						{	/* SawMill/defs.sch 843 */
							return
								((BgL_rtl_funcallz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5461));
						}
				}
			}
		}

	}



/* &rtl_funcall-nil */
	BgL_rtl_funcallz00_bglt BGl_z62rtl_funcallzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7100)
	{
		{	/* SawMill/defs.sch 843 */
			return BGl_rtl_funcallzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_funcall-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2zzsaw_defsz00(BgL_rtl_funcallz00_bglt BgL_oz00_345)
	{
		{	/* SawMill/defs.sch 844 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_345)))->BgL_locz00);
		}

	}



/* &rtl_funcall-loc */
	obj_t BGl_z62rtl_funcallzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7101,
		obj_t BgL_oz00_7102)
	{
		{	/* SawMill/defs.sch 844 */
			return
				BGl_rtl_funcallzd2loczd2zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7102));
		}

	}



/* rtl_funcall-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_funcallz00_bglt
		BgL_oz00_346, obj_t BgL_vz00_347)
	{
		{	/* SawMill/defs.sch 845 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_346)))->BgL_locz00) =
				((obj_t) BgL_vz00_347), BUNSPEC);
		}

	}



/* &rtl_funcall-loc-set! */
	obj_t BGl_z62rtl_funcallzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7103,
		obj_t BgL_oz00_7104, obj_t BgL_vz00_7105)
	{
		{	/* SawMill/defs.sch 845 */
			return
				BGl_rtl_funcallzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_funcallz00_bglt) BgL_oz00_7104), BgL_vz00_7105);
		}

	}



/* make-rtl_pragma */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt
		BGl_makezd2rtl_pragmazd2zzsaw_defsz00(obj_t BgL_loc1358z00_348,
		obj_t BgL_format1359z00_349)
	{
		{	/* SawMill/defs.sch 848 */
			{	/* SawMill/defs.sch 848 */
				BgL_rtl_pragmaz00_bglt BgL_new1412z00_8819;

				{	/* SawMill/defs.sch 848 */
					BgL_rtl_pragmaz00_bglt BgL_new1411z00_8820;

					BgL_new1411z00_8820 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.sch 848 */
						long BgL_arg1883z00_8821;

						BgL_arg1883z00_8821 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1411z00_8820), BgL_arg1883z00_8821);
					}
					BgL_new1412z00_8819 = BgL_new1411z00_8820;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1412z00_8819)))->BgL_locz00) =
					((obj_t) BgL_loc1358z00_348), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1412z00_8819))->
						BgL_formatz00) = ((obj_t) BgL_format1359z00_349), BUNSPEC);
				return BgL_new1412z00_8819;
			}
		}

	}



/* &make-rtl_pragma */
	BgL_rtl_pragmaz00_bglt BGl_z62makezd2rtl_pragmazb0zzsaw_defsz00(obj_t
		BgL_envz00_7106, obj_t BgL_loc1358z00_7107, obj_t BgL_format1359z00_7108)
	{
		{	/* SawMill/defs.sch 848 */
			return
				BGl_makezd2rtl_pragmazd2zzsaw_defsz00(BgL_loc1358z00_7107,
				BgL_format1359z00_7108);
		}

	}



/* rtl_pragma? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_pragmazf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_350)
	{
		{	/* SawMill/defs.sch 849 */
			{	/* SawMill/defs.sch 849 */
				obj_t BgL_classz00_8822;

				BgL_classz00_8822 = BGl_rtl_pragmaz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_350))
					{	/* SawMill/defs.sch 849 */
						BgL_objectz00_bglt BgL_arg1825z00_8823;

						BgL_arg1825z00_8823 = (BgL_objectz00_bglt) (BgL_objz00_350);
						{	/* SawMill/defs.sch 849 */
							bool_t BgL_arg1822z00_8824;
							bool_t BgL_arg1823z00_8825;

							{	/* SawMill/defs.sch 849 */
								long BgL_idxz00_8826;

								BgL_idxz00_8826 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8823);
								BgL_arg1822z00_8824 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8826 + ((long) 2))) == BgL_classz00_8822);
							}
							{	/* SawMill/defs.sch 849 */
								bool_t BgL_res3044z00_8829;

								{	/* SawMill/defs.sch 849 */
									obj_t BgL_oclassz00_8830;

									{	/* SawMill/defs.sch 849 */
										long BgL_arg1833z00_8831;

										{	/* SawMill/defs.sch 849 */
											long BgL_arg1834z00_8832;

											BgL_arg1834z00_8832 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8823);
											BgL_arg1833z00_8831 = (BgL_arg1834z00_8832 - OBJECT_TYPE);
										}
										BgL_oclassz00_8830 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8831);
									}
									{	/* SawMill/defs.sch 849 */
										bool_t BgL__ortest_1110z00_8833;

										BgL__ortest_1110z00_8833 =
											(BgL_classz00_8822 == BgL_oclassz00_8830);
										if (BgL__ortest_1110z00_8833)
											{	/* SawMill/defs.sch 849 */
												BgL_res3044z00_8829 = BgL__ortest_1110z00_8833;
											}
										else
											{	/* SawMill/defs.sch 849 */
												long BgL_odepthz00_8834;

												BgL_odepthz00_8834 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8830);
												if ((((long) 2) < BgL_odepthz00_8834))
													{	/* SawMill/defs.sch 849 */
														obj_t BgL_arg1821z00_8835;

														BgL_arg1821z00_8835 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8830,
															((long) 2));
														BgL_res3044z00_8829 =
															(BgL_arg1821z00_8835 == BgL_classz00_8822);
													}
												else
													{	/* SawMill/defs.sch 849 */
														BgL_res3044z00_8829 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8825 = BgL_res3044z00_8829;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8824, BgL_arg1823z00_8825);
						}
					}
				else
					{	/* SawMill/defs.sch 849 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_pragma? */
	obj_t BGl_z62rtl_pragmazf3z91zzsaw_defsz00(obj_t BgL_envz00_7109,
		obj_t BgL_objz00_7110)
	{
		{	/* SawMill/defs.sch 849 */
			return BBOOL(BGl_rtl_pragmazf3zf3zzsaw_defsz00(BgL_objz00_7110));
		}

	}



/* rtl_pragma-nil */
	BGL_EXPORTED_DEF BgL_rtl_pragmaz00_bglt BGl_rtl_pragmazd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 850 */
			{	/* SawMill/defs.sch 850 */
				obj_t BgL_classz00_5501;

				BgL_classz00_5501 = BGl_rtl_pragmaz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 850 */
					obj_t BgL__ortest_1112z00_5502;

					BgL__ortest_1112z00_5502 = BGL_CLASS_NIL(BgL_classz00_5501);
					if (CBOOL(BgL__ortest_1112z00_5502))
						{	/* SawMill/defs.sch 850 */
							return ((BgL_rtl_pragmaz00_bglt) BgL__ortest_1112z00_5502);
						}
					else
						{	/* SawMill/defs.sch 850 */
							return
								((BgL_rtl_pragmaz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5501));
						}
				}
			}
		}

	}



/* &rtl_pragma-nil */
	BgL_rtl_pragmaz00_bglt BGl_z62rtl_pragmazd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7111)
	{
		{	/* SawMill/defs.sch 850 */
			return BGl_rtl_pragmazd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_pragma-format */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_351)
	{
		{	/* SawMill/defs.sch 851 */
			return (((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_351))->BgL_formatz00);
		}

	}



/* &rtl_pragma-format */
	obj_t BGl_z62rtl_pragmazd2formatzb0zzsaw_defsz00(obj_t BgL_envz00_7112,
		obj_t BgL_oz00_7113)
	{
		{	/* SawMill/defs.sch 851 */
			return
				BGl_rtl_pragmazd2formatzd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7113));
		}

	}



/* rtl_pragma-format-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_352, obj_t BgL_vz00_353)
	{
		{	/* SawMill/defs.sch 852 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_oz00_352))->BgL_formatz00) =
				((obj_t) BgL_vz00_353), BUNSPEC);
		}

	}



/* &rtl_pragma-format-set! */
	obj_t BGl_z62rtl_pragmazd2formatzd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7114, obj_t BgL_oz00_7115, obj_t BgL_vz00_7116)
	{
		{	/* SawMill/defs.sch 852 */
			return
				BGl_rtl_pragmazd2formatzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7115), BgL_vz00_7116);
		}

	}



/* rtl_pragma-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2zzsaw_defsz00(BgL_rtl_pragmaz00_bglt BgL_oz00_354)
	{
		{	/* SawMill/defs.sch 853 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_354)))->BgL_locz00);
		}

	}



/* &rtl_pragma-loc */
	obj_t BGl_z62rtl_pragmazd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7117,
		obj_t BgL_oz00_7118)
	{
		{	/* SawMill/defs.sch 853 */
			return
				BGl_rtl_pragmazd2loczd2zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7118));
		}

	}



/* rtl_pragma-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_pragmaz00_bglt
		BgL_oz00_355, obj_t BgL_vz00_356)
	{
		{	/* SawMill/defs.sch 854 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_355)))->BgL_locz00) =
				((obj_t) BgL_vz00_356), BUNSPEC);
		}

	}



/* &rtl_pragma-loc-set! */
	obj_t BGl_z62rtl_pragmazd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7119,
		obj_t BgL_oz00_7120, obj_t BgL_vz00_7121)
	{
		{	/* SawMill/defs.sch 854 */
			return
				BGl_rtl_pragmazd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_pragmaz00_bglt) BgL_oz00_7120), BgL_vz00_7121);
		}

	}



/* make-rtl_cast */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt
		BGl_makezd2rtl_castzd2zzsaw_defsz00(obj_t BgL_loc1354z00_357,
		BgL_typez00_bglt BgL_totype1355z00_358,
		BgL_typez00_bglt BgL_fromtype1356z00_359)
	{
		{	/* SawMill/defs.sch 857 */
			{	/* SawMill/defs.sch 857 */
				BgL_rtl_castz00_bglt BgL_new1414z00_8836;

				{	/* SawMill/defs.sch 857 */
					BgL_rtl_castz00_bglt BgL_new1413z00_8837;

					BgL_new1413z00_8837 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.sch 857 */
						long BgL_arg1884z00_8838;

						BgL_arg1884z00_8838 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1413z00_8837), BgL_arg1884z00_8838);
					}
					BgL_new1414z00_8836 = BgL_new1413z00_8837;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1414z00_8836)))->BgL_locz00) =
					((obj_t) BgL_loc1354z00_357), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1414z00_8836))->
						BgL_totypez00) =
					((BgL_typez00_bglt) BgL_totype1355z00_358), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1414z00_8836))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) BgL_fromtype1356z00_359), BUNSPEC);
				return BgL_new1414z00_8836;
			}
		}

	}



/* &make-rtl_cast */
	BgL_rtl_castz00_bglt BGl_z62makezd2rtl_castzb0zzsaw_defsz00(obj_t
		BgL_envz00_7122, obj_t BgL_loc1354z00_7123, obj_t BgL_totype1355z00_7124,
		obj_t BgL_fromtype1356z00_7125)
	{
		{	/* SawMill/defs.sch 857 */
			return
				BGl_makezd2rtl_castzd2zzsaw_defsz00(BgL_loc1354z00_7123,
				((BgL_typez00_bglt) BgL_totype1355z00_7124),
				((BgL_typez00_bglt) BgL_fromtype1356z00_7125));
		}

	}



/* rtl_cast? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_castzf3zf3zzsaw_defsz00(obj_t BgL_objz00_360)
	{
		{	/* SawMill/defs.sch 858 */
			{	/* SawMill/defs.sch 858 */
				obj_t BgL_classz00_8839;

				BgL_classz00_8839 = BGl_rtl_castz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_360))
					{	/* SawMill/defs.sch 858 */
						BgL_objectz00_bglt BgL_arg1825z00_8840;

						BgL_arg1825z00_8840 = (BgL_objectz00_bglt) (BgL_objz00_360);
						{	/* SawMill/defs.sch 858 */
							bool_t BgL_arg1822z00_8841;
							bool_t BgL_arg1823z00_8842;

							{	/* SawMill/defs.sch 858 */
								long BgL_idxz00_8843;

								BgL_idxz00_8843 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8840);
								BgL_arg1822z00_8841 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8843 + ((long) 2))) == BgL_classz00_8839);
							}
							{	/* SawMill/defs.sch 858 */
								bool_t BgL_res3045z00_8846;

								{	/* SawMill/defs.sch 858 */
									obj_t BgL_oclassz00_8847;

									{	/* SawMill/defs.sch 858 */
										long BgL_arg1833z00_8848;

										{	/* SawMill/defs.sch 858 */
											long BgL_arg1834z00_8849;

											BgL_arg1834z00_8849 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8840);
											BgL_arg1833z00_8848 = (BgL_arg1834z00_8849 - OBJECT_TYPE);
										}
										BgL_oclassz00_8847 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8848);
									}
									{	/* SawMill/defs.sch 858 */
										bool_t BgL__ortest_1110z00_8850;

										BgL__ortest_1110z00_8850 =
											(BgL_classz00_8839 == BgL_oclassz00_8847);
										if (BgL__ortest_1110z00_8850)
											{	/* SawMill/defs.sch 858 */
												BgL_res3045z00_8846 = BgL__ortest_1110z00_8850;
											}
										else
											{	/* SawMill/defs.sch 858 */
												long BgL_odepthz00_8851;

												BgL_odepthz00_8851 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8847);
												if ((((long) 2) < BgL_odepthz00_8851))
													{	/* SawMill/defs.sch 858 */
														obj_t BgL_arg1821z00_8852;

														BgL_arg1821z00_8852 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8847,
															((long) 2));
														BgL_res3045z00_8846 =
															(BgL_arg1821z00_8852 == BgL_classz00_8839);
													}
												else
													{	/* SawMill/defs.sch 858 */
														BgL_res3045z00_8846 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8842 = BgL_res3045z00_8846;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8841, BgL_arg1823z00_8842);
						}
					}
				else
					{	/* SawMill/defs.sch 858 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast? */
	obj_t BGl_z62rtl_castzf3z91zzsaw_defsz00(obj_t BgL_envz00_7126,
		obj_t BgL_objz00_7127)
	{
		{	/* SawMill/defs.sch 858 */
			return BBOOL(BGl_rtl_castzf3zf3zzsaw_defsz00(BgL_objz00_7127));
		}

	}



/* rtl_cast-nil */
	BGL_EXPORTED_DEF BgL_rtl_castz00_bglt BGl_rtl_castzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 859 */
			{	/* SawMill/defs.sch 859 */
				obj_t BgL_classz00_5541;

				BgL_classz00_5541 = BGl_rtl_castz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 859 */
					obj_t BgL__ortest_1112z00_5542;

					BgL__ortest_1112z00_5542 = BGL_CLASS_NIL(BgL_classz00_5541);
					if (CBOOL(BgL__ortest_1112z00_5542))
						{	/* SawMill/defs.sch 859 */
							return ((BgL_rtl_castz00_bglt) BgL__ortest_1112z00_5542);
						}
					else
						{	/* SawMill/defs.sch 859 */
							return
								((BgL_rtl_castz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5541));
						}
				}
			}
		}

	}



/* &rtl_cast-nil */
	BgL_rtl_castz00_bglt BGl_z62rtl_castzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7128)
	{
		{	/* SawMill/defs.sch 859 */
			return BGl_rtl_castzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast-fromtype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_361)
	{
		{	/* SawMill/defs.sch 860 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_361))->BgL_fromtypez00);
		}

	}



/* &rtl_cast-fromtype */
	BgL_typez00_bglt BGl_z62rtl_castzd2fromtypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7129, obj_t BgL_oz00_7130)
	{
		{	/* SawMill/defs.sch 860 */
			return
				BGl_rtl_castzd2fromtypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7130));
		}

	}



/* rtl_cast-fromtype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_362, BgL_typez00_bglt BgL_vz00_363)
	{
		{	/* SawMill/defs.sch 861 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_362))->BgL_fromtypez00) =
				((BgL_typez00_bglt) BgL_vz00_363), BUNSPEC);
		}

	}



/* &rtl_cast-fromtype-set! */
	obj_t BGl_z62rtl_castzd2fromtypezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7131, obj_t BgL_oz00_7132, obj_t BgL_vz00_7133)
	{
		{	/* SawMill/defs.sch 861 */
			return
				BGl_rtl_castzd2fromtypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7132),
				((BgL_typez00_bglt) BgL_vz00_7133));
		}

	}



/* rtl_cast-totype */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_castzd2totypezd2zzsaw_defsz00(BgL_rtl_castz00_bglt BgL_oz00_364)
	{
		{	/* SawMill/defs.sch 862 */
			return (((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_364))->BgL_totypez00);
		}

	}



/* &rtl_cast-totype */
	BgL_typez00_bglt BGl_z62rtl_castzd2totypezb0zzsaw_defsz00(obj_t
		BgL_envz00_7134, obj_t BgL_oz00_7135)
	{
		{	/* SawMill/defs.sch 862 */
			return
				BGl_rtl_castzd2totypezd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7135));
		}

	}



/* rtl_cast-totype-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_365, BgL_typez00_bglt BgL_vz00_366)
	{
		{	/* SawMill/defs.sch 863 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_oz00_365))->BgL_totypez00) =
				((BgL_typez00_bglt) BgL_vz00_366), BUNSPEC);
		}

	}



/* &rtl_cast-totype-set! */
	obj_t BGl_z62rtl_castzd2totypezd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7136,
		obj_t BgL_oz00_7137, obj_t BgL_vz00_7138)
	{
		{	/* SawMill/defs.sch 863 */
			return
				BGl_rtl_castzd2totypezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7137),
				((BgL_typez00_bglt) BgL_vz00_7138));
		}

	}



/* rtl_cast-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_castzd2loczd2zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_367)
	{
		{	/* SawMill/defs.sch 864 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_367)))->BgL_locz00);
		}

	}



/* &rtl_cast-loc */
	obj_t BGl_z62rtl_castzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7139,
		obj_t BgL_oz00_7140)
	{
		{	/* SawMill/defs.sch 864 */
			return
				BGl_rtl_castzd2loczd2zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7140));
		}

	}



/* rtl_cast-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_castz00_bglt
		BgL_oz00_368, obj_t BgL_vz00_369)
	{
		{	/* SawMill/defs.sch 865 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_368)))->BgL_locz00) =
				((obj_t) BgL_vz00_369), BUNSPEC);
		}

	}



/* &rtl_cast-loc-set! */
	obj_t BGl_z62rtl_castzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7141,
		obj_t BgL_oz00_7142, obj_t BgL_vz00_7143)
	{
		{	/* SawMill/defs.sch 865 */
			return
				BGl_rtl_castzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_castz00_bglt) BgL_oz00_7142), BgL_vz00_7143);
		}

	}



/* make-rtl_cast_null */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(obj_t BgL_loc1351z00_370,
		BgL_typez00_bglt BgL_type1352z00_371)
	{
		{	/* SawMill/defs.sch 868 */
			{	/* SawMill/defs.sch 868 */
				BgL_rtl_cast_nullz00_bglt BgL_new1416z00_8853;

				{	/* SawMill/defs.sch 868 */
					BgL_rtl_cast_nullz00_bglt BgL_new1415z00_8854;

					BgL_new1415z00_8854 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.sch 868 */
						long BgL_arg1885z00_8855;

						BgL_arg1885z00_8855 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1415z00_8854), BgL_arg1885z00_8855);
					}
					BgL_new1416z00_8853 = BgL_new1415z00_8854;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1416z00_8853)))->BgL_locz00) =
					((obj_t) BgL_loc1351z00_370), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1416z00_8853))->
						BgL_typez00) = ((BgL_typez00_bglt) BgL_type1352z00_371), BUNSPEC);
				return BgL_new1416z00_8853;
			}
		}

	}



/* &make-rtl_cast_null */
	BgL_rtl_cast_nullz00_bglt BGl_z62makezd2rtl_cast_nullzb0zzsaw_defsz00(obj_t
		BgL_envz00_7144, obj_t BgL_loc1351z00_7145, obj_t BgL_type1352z00_7146)
	{
		{	/* SawMill/defs.sch 868 */
			return
				BGl_makezd2rtl_cast_nullzd2zzsaw_defsz00(BgL_loc1351z00_7145,
				((BgL_typez00_bglt) BgL_type1352z00_7146));
		}

	}



/* rtl_cast_null? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_372)
	{
		{	/* SawMill/defs.sch 869 */
			{	/* SawMill/defs.sch 869 */
				obj_t BgL_classz00_8856;

				BgL_classz00_8856 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_372))
					{	/* SawMill/defs.sch 869 */
						BgL_objectz00_bglt BgL_arg1825z00_8857;

						BgL_arg1825z00_8857 = (BgL_objectz00_bglt) (BgL_objz00_372);
						{	/* SawMill/defs.sch 869 */
							bool_t BgL_arg1822z00_8858;
							bool_t BgL_arg1823z00_8859;

							{	/* SawMill/defs.sch 869 */
								long BgL_idxz00_8860;

								BgL_idxz00_8860 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8857);
								BgL_arg1822z00_8858 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8860 + ((long) 2))) == BgL_classz00_8856);
							}
							{	/* SawMill/defs.sch 869 */
								bool_t BgL_res3046z00_8863;

								{	/* SawMill/defs.sch 869 */
									obj_t BgL_oclassz00_8864;

									{	/* SawMill/defs.sch 869 */
										long BgL_arg1833z00_8865;

										{	/* SawMill/defs.sch 869 */
											long BgL_arg1834z00_8866;

											BgL_arg1834z00_8866 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8857);
											BgL_arg1833z00_8865 = (BgL_arg1834z00_8866 - OBJECT_TYPE);
										}
										BgL_oclassz00_8864 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8865);
									}
									{	/* SawMill/defs.sch 869 */
										bool_t BgL__ortest_1110z00_8867;

										BgL__ortest_1110z00_8867 =
											(BgL_classz00_8856 == BgL_oclassz00_8864);
										if (BgL__ortest_1110z00_8867)
											{	/* SawMill/defs.sch 869 */
												BgL_res3046z00_8863 = BgL__ortest_1110z00_8867;
											}
										else
											{	/* SawMill/defs.sch 869 */
												long BgL_odepthz00_8868;

												BgL_odepthz00_8868 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8864);
												if ((((long) 2) < BgL_odepthz00_8868))
													{	/* SawMill/defs.sch 869 */
														obj_t BgL_arg1821z00_8869;

														BgL_arg1821z00_8869 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8864,
															((long) 2));
														BgL_res3046z00_8863 =
															(BgL_arg1821z00_8869 == BgL_classz00_8856);
													}
												else
													{	/* SawMill/defs.sch 869 */
														BgL_res3046z00_8863 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8859 = BgL_res3046z00_8863;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8858, BgL_arg1823z00_8859);
						}
					}
				else
					{	/* SawMill/defs.sch 869 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_cast_null? */
	obj_t BGl_z62rtl_cast_nullzf3z91zzsaw_defsz00(obj_t BgL_envz00_7147,
		obj_t BgL_objz00_7148)
	{
		{	/* SawMill/defs.sch 869 */
			return BBOOL(BGl_rtl_cast_nullzf3zf3zzsaw_defsz00(BgL_objz00_7148));
		}

	}



/* rtl_cast_null-nil */
	BGL_EXPORTED_DEF BgL_rtl_cast_nullz00_bglt
		BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 870 */
			{	/* SawMill/defs.sch 870 */
				obj_t BgL_classz00_5581;

				BgL_classz00_5581 = BGl_rtl_cast_nullz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 870 */
					obj_t BgL__ortest_1112z00_5582;

					BgL__ortest_1112z00_5582 = BGL_CLASS_NIL(BgL_classz00_5581);
					if (CBOOL(BgL__ortest_1112z00_5582))
						{	/* SawMill/defs.sch 870 */
							return ((BgL_rtl_cast_nullz00_bglt) BgL__ortest_1112z00_5582);
						}
					else
						{	/* SawMill/defs.sch 870 */
							return
								((BgL_rtl_cast_nullz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5581));
						}
				}
			}
		}

	}



/* &rtl_cast_null-nil */
	BgL_rtl_cast_nullz00_bglt BGl_z62rtl_cast_nullzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7149)
	{
		{	/* SawMill/defs.sch 870 */
			return BGl_rtl_cast_nullzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_cast_null-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_373)
	{
		{	/* SawMill/defs.sch 871 */
			return (((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_373))->BgL_typez00);
		}

	}



/* &rtl_cast_null-type */
	BgL_typez00_bglt BGl_z62rtl_cast_nullzd2typezb0zzsaw_defsz00(obj_t
		BgL_envz00_7150, obj_t BgL_oz00_7151)
	{
		{	/* SawMill/defs.sch 871 */
			return
				BGl_rtl_cast_nullzd2typezd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7151));
		}

	}



/* rtl_cast_null-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_374, BgL_typez00_bglt BgL_vz00_375)
	{
		{	/* SawMill/defs.sch 872 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_oz00_374))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_375), BUNSPEC);
		}

	}



/* &rtl_cast_null-type-set! */
	obj_t BGl_z62rtl_cast_nullzd2typezd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7152, obj_t BgL_oz00_7153, obj_t BgL_vz00_7154)
	{
		{	/* SawMill/defs.sch 872 */
			return
				BGl_rtl_cast_nullzd2typezd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7153),
				((BgL_typez00_bglt) BgL_vz00_7154));
		}

	}



/* rtl_cast_null-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_376)
	{
		{	/* SawMill/defs.sch 873 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_376)))->BgL_locz00);
		}

	}



/* &rtl_cast_null-loc */
	obj_t BGl_z62rtl_cast_nullzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7155,
		obj_t BgL_oz00_7156)
	{
		{	/* SawMill/defs.sch 873 */
			return
				BGl_rtl_cast_nullzd2loczd2zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7156));
		}

	}



/* rtl_cast_null-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_cast_nullz00_bglt
		BgL_oz00_377, obj_t BgL_vz00_378)
	{
		{	/* SawMill/defs.sch 874 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_377)))->BgL_locz00) =
				((obj_t) BgL_vz00_378), BUNSPEC);
		}

	}



/* &rtl_cast_null-loc-set! */
	obj_t BGl_z62rtl_cast_nullzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7157, obj_t BgL_oz00_7158, obj_t BgL_vz00_7159)
	{
		{	/* SawMill/defs.sch 874 */
			return
				BGl_rtl_cast_nullzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7158), BgL_vz00_7159);
		}

	}



/* make-rtl_protect */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_makezd2rtl_protectzd2zzsaw_defsz00(obj_t BgL_loc1348z00_379)
	{
		{	/* SawMill/defs.sch 877 */
			{	/* SawMill/defs.sch 877 */
				BgL_rtl_protectz00_bglt BgL_new1418z00_8870;

				{	/* SawMill/defs.sch 877 */
					BgL_rtl_protectz00_bglt BgL_new1417z00_8871;

					BgL_new1417z00_8871 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.sch 877 */
						long BgL_arg1886z00_8872;

						BgL_arg1886z00_8872 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1417z00_8871), BgL_arg1886z00_8872);
					}
					BgL_new1418z00_8870 = BgL_new1417z00_8871;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1418z00_8870)))->BgL_locz00) =
					((obj_t) BgL_loc1348z00_379), BUNSPEC);
				return BgL_new1418z00_8870;
			}
		}

	}



/* &make-rtl_protect */
	BgL_rtl_protectz00_bglt BGl_z62makezd2rtl_protectzb0zzsaw_defsz00(obj_t
		BgL_envz00_7160, obj_t BgL_loc1348z00_7161)
	{
		{	/* SawMill/defs.sch 877 */
			return BGl_makezd2rtl_protectzd2zzsaw_defsz00(BgL_loc1348z00_7161);
		}

	}



/* rtl_protect? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_380)
	{
		{	/* SawMill/defs.sch 878 */
			{	/* SawMill/defs.sch 878 */
				obj_t BgL_classz00_8873;

				BgL_classz00_8873 = BGl_rtl_protectz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_380))
					{	/* SawMill/defs.sch 878 */
						BgL_objectz00_bglt BgL_arg1825z00_8874;

						BgL_arg1825z00_8874 = (BgL_objectz00_bglt) (BgL_objz00_380);
						{	/* SawMill/defs.sch 878 */
							bool_t BgL_arg1822z00_8875;
							bool_t BgL_arg1823z00_8876;

							{	/* SawMill/defs.sch 878 */
								long BgL_idxz00_8877;

								BgL_idxz00_8877 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8874);
								BgL_arg1822z00_8875 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8877 + ((long) 2))) == BgL_classz00_8873);
							}
							{	/* SawMill/defs.sch 878 */
								bool_t BgL_res3047z00_8880;

								{	/* SawMill/defs.sch 878 */
									obj_t BgL_oclassz00_8881;

									{	/* SawMill/defs.sch 878 */
										long BgL_arg1833z00_8882;

										{	/* SawMill/defs.sch 878 */
											long BgL_arg1834z00_8883;

											BgL_arg1834z00_8883 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8874);
											BgL_arg1833z00_8882 = (BgL_arg1834z00_8883 - OBJECT_TYPE);
										}
										BgL_oclassz00_8881 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8882);
									}
									{	/* SawMill/defs.sch 878 */
										bool_t BgL__ortest_1110z00_8884;

										BgL__ortest_1110z00_8884 =
											(BgL_classz00_8873 == BgL_oclassz00_8881);
										if (BgL__ortest_1110z00_8884)
											{	/* SawMill/defs.sch 878 */
												BgL_res3047z00_8880 = BgL__ortest_1110z00_8884;
											}
										else
											{	/* SawMill/defs.sch 878 */
												long BgL_odepthz00_8885;

												BgL_odepthz00_8885 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8881);
												if ((((long) 2) < BgL_odepthz00_8885))
													{	/* SawMill/defs.sch 878 */
														obj_t BgL_arg1821z00_8886;

														BgL_arg1821z00_8886 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8881,
															((long) 2));
														BgL_res3047z00_8880 =
															(BgL_arg1821z00_8886 == BgL_classz00_8873);
													}
												else
													{	/* SawMill/defs.sch 878 */
														BgL_res3047z00_8880 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8876 = BgL_res3047z00_8880;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8875, BgL_arg1823z00_8876);
						}
					}
				else
					{	/* SawMill/defs.sch 878 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protect? */
	obj_t BGl_z62rtl_protectzf3z91zzsaw_defsz00(obj_t BgL_envz00_7162,
		obj_t BgL_objz00_7163)
	{
		{	/* SawMill/defs.sch 878 */
			return BBOOL(BGl_rtl_protectzf3zf3zzsaw_defsz00(BgL_objz00_7163));
		}

	}



/* rtl_protect-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectz00_bglt
		BGl_rtl_protectzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 879 */
			{	/* SawMill/defs.sch 879 */
				obj_t BgL_classz00_5621;

				BgL_classz00_5621 = BGl_rtl_protectz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 879 */
					obj_t BgL__ortest_1112z00_5622;

					BgL__ortest_1112z00_5622 = BGL_CLASS_NIL(BgL_classz00_5621);
					if (CBOOL(BgL__ortest_1112z00_5622))
						{	/* SawMill/defs.sch 879 */
							return ((BgL_rtl_protectz00_bglt) BgL__ortest_1112z00_5622);
						}
					else
						{	/* SawMill/defs.sch 879 */
							return
								((BgL_rtl_protectz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5621));
						}
				}
			}
		}

	}



/* &rtl_protect-nil */
	BgL_rtl_protectz00_bglt BGl_z62rtl_protectzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7164)
	{
		{	/* SawMill/defs.sch 879 */
			return BGl_rtl_protectzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protect-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2zzsaw_defsz00(BgL_rtl_protectz00_bglt BgL_oz00_381)
	{
		{	/* SawMill/defs.sch 880 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_381)))->BgL_locz00);
		}

	}



/* &rtl_protect-loc */
	obj_t BGl_z62rtl_protectzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7165,
		obj_t BgL_oz00_7166)
	{
		{	/* SawMill/defs.sch 880 */
			return
				BGl_rtl_protectzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7166));
		}

	}



/* rtl_protect-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectz00_bglt
		BgL_oz00_382, obj_t BgL_vz00_383)
	{
		{	/* SawMill/defs.sch 881 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_382)))->BgL_locz00) =
				((obj_t) BgL_vz00_383), BUNSPEC);
		}

	}



/* &rtl_protect-loc-set! */
	obj_t BGl_z62rtl_protectzd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7167,
		obj_t BgL_oz00_7168, obj_t BgL_vz00_7169)
	{
		{	/* SawMill/defs.sch 881 */
			return
				BGl_rtl_protectzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectz00_bglt) BgL_oz00_7168), BgL_vz00_7169);
		}

	}



/* make-rtl_protected */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_makezd2rtl_protectedzd2zzsaw_defsz00(obj_t BgL_loc1345z00_384)
	{
		{	/* SawMill/defs.sch 884 */
			{	/* SawMill/defs.sch 884 */
				BgL_rtl_protectedz00_bglt BgL_new1420z00_8887;

				{	/* SawMill/defs.sch 884 */
					BgL_rtl_protectedz00_bglt BgL_new1419z00_8888;

					BgL_new1419z00_8888 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.sch 884 */
						long BgL_arg1887z00_8889;

						BgL_arg1887z00_8889 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1419z00_8888), BgL_arg1887z00_8889);
					}
					BgL_new1420z00_8887 = BgL_new1419z00_8888;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1420z00_8887)))->BgL_locz00) =
					((obj_t) BgL_loc1345z00_384), BUNSPEC);
				return BgL_new1420z00_8887;
			}
		}

	}



/* &make-rtl_protected */
	BgL_rtl_protectedz00_bglt BGl_z62makezd2rtl_protectedzb0zzsaw_defsz00(obj_t
		BgL_envz00_7170, obj_t BgL_loc1345z00_7171)
	{
		{	/* SawMill/defs.sch 884 */
			return BGl_makezd2rtl_protectedzd2zzsaw_defsz00(BgL_loc1345z00_7171);
		}

	}



/* rtl_protected? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_protectedzf3zf3zzsaw_defsz00(obj_t
		BgL_objz00_385)
	{
		{	/* SawMill/defs.sch 885 */
			{	/* SawMill/defs.sch 885 */
				obj_t BgL_classz00_8890;

				BgL_classz00_8890 = BGl_rtl_protectedz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_385))
					{	/* SawMill/defs.sch 885 */
						BgL_objectz00_bglt BgL_arg1825z00_8891;

						BgL_arg1825z00_8891 = (BgL_objectz00_bglt) (BgL_objz00_385);
						{	/* SawMill/defs.sch 885 */
							bool_t BgL_arg1822z00_8892;
							bool_t BgL_arg1823z00_8893;

							{	/* SawMill/defs.sch 885 */
								long BgL_idxz00_8894;

								BgL_idxz00_8894 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8891);
								BgL_arg1822z00_8892 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8894 + ((long) 2))) == BgL_classz00_8890);
							}
							{	/* SawMill/defs.sch 885 */
								bool_t BgL_res3048z00_8897;

								{	/* SawMill/defs.sch 885 */
									obj_t BgL_oclassz00_8898;

									{	/* SawMill/defs.sch 885 */
										long BgL_arg1833z00_8899;

										{	/* SawMill/defs.sch 885 */
											long BgL_arg1834z00_8900;

											BgL_arg1834z00_8900 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8891);
											BgL_arg1833z00_8899 = (BgL_arg1834z00_8900 - OBJECT_TYPE);
										}
										BgL_oclassz00_8898 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8899);
									}
									{	/* SawMill/defs.sch 885 */
										bool_t BgL__ortest_1110z00_8901;

										BgL__ortest_1110z00_8901 =
											(BgL_classz00_8890 == BgL_oclassz00_8898);
										if (BgL__ortest_1110z00_8901)
											{	/* SawMill/defs.sch 885 */
												BgL_res3048z00_8897 = BgL__ortest_1110z00_8901;
											}
										else
											{	/* SawMill/defs.sch 885 */
												long BgL_odepthz00_8902;

												BgL_odepthz00_8902 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8898);
												if ((((long) 2) < BgL_odepthz00_8902))
													{	/* SawMill/defs.sch 885 */
														obj_t BgL_arg1821z00_8903;

														BgL_arg1821z00_8903 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8898,
															((long) 2));
														BgL_res3048z00_8897 =
															(BgL_arg1821z00_8903 == BgL_classz00_8890);
													}
												else
													{	/* SawMill/defs.sch 885 */
														BgL_res3048z00_8897 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8893 = BgL_res3048z00_8897;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8892, BgL_arg1823z00_8893);
						}
					}
				else
					{	/* SawMill/defs.sch 885 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_protected? */
	obj_t BGl_z62rtl_protectedzf3z91zzsaw_defsz00(obj_t BgL_envz00_7172,
		obj_t BgL_objz00_7173)
	{
		{	/* SawMill/defs.sch 885 */
			return BBOOL(BGl_rtl_protectedzf3zf3zzsaw_defsz00(BgL_objz00_7173));
		}

	}



/* rtl_protected-nil */
	BGL_EXPORTED_DEF BgL_rtl_protectedz00_bglt
		BGl_rtl_protectedzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 886 */
			{	/* SawMill/defs.sch 886 */
				obj_t BgL_classz00_5661;

				BgL_classz00_5661 = BGl_rtl_protectedz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 886 */
					obj_t BgL__ortest_1112z00_5662;

					BgL__ortest_1112z00_5662 = BGL_CLASS_NIL(BgL_classz00_5661);
					if (CBOOL(BgL__ortest_1112z00_5662))
						{	/* SawMill/defs.sch 886 */
							return ((BgL_rtl_protectedz00_bglt) BgL__ortest_1112z00_5662);
						}
					else
						{	/* SawMill/defs.sch 886 */
							return
								((BgL_rtl_protectedz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5661));
						}
				}
			}
		}

	}



/* &rtl_protected-nil */
	BgL_rtl_protectedz00_bglt BGl_z62rtl_protectedzd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7174)
	{
		{	/* SawMill/defs.sch 886 */
			return BGl_rtl_protectedzd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_protected-loc */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_386)
	{
		{	/* SawMill/defs.sch 887 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_386)))->BgL_locz00);
		}

	}



/* &rtl_protected-loc */
	obj_t BGl_z62rtl_protectedzd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7175,
		obj_t BgL_oz00_7176)
	{
		{	/* SawMill/defs.sch 887 */
			return
				BGl_rtl_protectedzd2loczd2zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7176));
		}

	}



/* rtl_protected-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_protectedz00_bglt
		BgL_oz00_387, obj_t BgL_vz00_388)
	{
		{	/* SawMill/defs.sch 888 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_387)))->BgL_locz00) =
				((obj_t) BgL_vz00_388), BUNSPEC);
		}

	}



/* &rtl_protected-loc-set! */
	obj_t BGl_z62rtl_protectedzd2loczd2setz12z70zzsaw_defsz00(obj_t
		BgL_envz00_7177, obj_t BgL_oz00_7178, obj_t BgL_vz00_7179)
	{
		{	/* SawMill/defs.sch 888 */
			return
				BGl_rtl_protectedzd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_protectedz00_bglt) BgL_oz00_7178), BgL_vz00_7179);
		}

	}



/* make-rtl_ins */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_makezd2rtl_inszd2zzsaw_defsz00(obj_t
		BgL_loc1339z00_389, obj_t BgL_z52spill1340z52_390,
		obj_t BgL_dest1341z00_391, BgL_rtl_funz00_bglt BgL_fun1342z00_392,
		obj_t BgL_args1343z00_393)
	{
		{	/* SawMill/defs.sch 891 */
			{	/* SawMill/defs.sch 891 */
				BgL_rtl_insz00_bglt BgL_new1422z00_8904;

				{	/* SawMill/defs.sch 891 */
					BgL_rtl_insz00_bglt BgL_new1421z00_8905;

					BgL_new1421z00_8905 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.sch 891 */
						long BgL_arg1888z00_8906;

						BgL_arg1888z00_8906 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1421z00_8905), BgL_arg1888z00_8906);
					}
					{	/* SawMill/defs.sch 891 */
						BgL_objectz00_bglt BgL_tmpz00_11712;

						BgL_tmpz00_11712 = ((BgL_objectz00_bglt) BgL_new1421z00_8905);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11712, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1421z00_8905);
					BgL_new1422z00_8904 = BgL_new1421z00_8905;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1422z00_8904))->BgL_locz00) =
					((obj_t) BgL_loc1339z00_389), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1422z00_8904))->
						BgL_z52spillz52) = ((obj_t) BgL_z52spill1340z52_390), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1422z00_8904))->BgL_destz00) =
					((obj_t) BgL_dest1341z00_391), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1422z00_8904))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) BgL_fun1342z00_392), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1422z00_8904))->BgL_argsz00) =
					((obj_t) BgL_args1343z00_393), BUNSPEC);
				return BgL_new1422z00_8904;
			}
		}

	}



/* &make-rtl_ins */
	BgL_rtl_insz00_bglt BGl_z62makezd2rtl_inszb0zzsaw_defsz00(obj_t
		BgL_envz00_7180, obj_t BgL_loc1339z00_7181, obj_t BgL_z52spill1340z52_7182,
		obj_t BgL_dest1341z00_7183, obj_t BgL_fun1342z00_7184,
		obj_t BgL_args1343z00_7185)
	{
		{	/* SawMill/defs.sch 891 */
			return
				BGl_makezd2rtl_inszd2zzsaw_defsz00(BgL_loc1339z00_7181,
				BgL_z52spill1340z52_7182, BgL_dest1341z00_7183,
				((BgL_rtl_funz00_bglt) BgL_fun1342z00_7184), BgL_args1343z00_7185);
		}

	}



/* rtl_ins? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_inszf3zf3zzsaw_defsz00(obj_t BgL_objz00_394)
	{
		{	/* SawMill/defs.sch 892 */
			{	/* SawMill/defs.sch 892 */
				obj_t BgL_classz00_8907;

				BgL_classz00_8907 = BGl_rtl_insz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_394))
					{	/* SawMill/defs.sch 892 */
						BgL_objectz00_bglt BgL_arg1825z00_8908;

						BgL_arg1825z00_8908 = (BgL_objectz00_bglt) (BgL_objz00_394);
						{	/* SawMill/defs.sch 892 */
							bool_t BgL_arg1822z00_8909;
							bool_t BgL_arg1823z00_8910;

							{	/* SawMill/defs.sch 892 */
								long BgL_idxz00_8911;

								BgL_idxz00_8911 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8908);
								BgL_arg1822z00_8909 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8911 + ((long) 1))) == BgL_classz00_8907);
							}
							{	/* SawMill/defs.sch 892 */
								bool_t BgL_res3049z00_8914;

								{	/* SawMill/defs.sch 892 */
									obj_t BgL_oclassz00_8915;

									{	/* SawMill/defs.sch 892 */
										long BgL_arg1833z00_8916;

										{	/* SawMill/defs.sch 892 */
											long BgL_arg1834z00_8917;

											BgL_arg1834z00_8917 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8908);
											BgL_arg1833z00_8916 = (BgL_arg1834z00_8917 - OBJECT_TYPE);
										}
										BgL_oclassz00_8915 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8916);
									}
									{	/* SawMill/defs.sch 892 */
										bool_t BgL__ortest_1110z00_8918;

										BgL__ortest_1110z00_8918 =
											(BgL_classz00_8907 == BgL_oclassz00_8915);
										if (BgL__ortest_1110z00_8918)
											{	/* SawMill/defs.sch 892 */
												BgL_res3049z00_8914 = BgL__ortest_1110z00_8918;
											}
										else
											{	/* SawMill/defs.sch 892 */
												long BgL_odepthz00_8919;

												BgL_odepthz00_8919 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8915);
												if ((((long) 1) < BgL_odepthz00_8919))
													{	/* SawMill/defs.sch 892 */
														obj_t BgL_arg1821z00_8920;

														BgL_arg1821z00_8920 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8915,
															((long) 1));
														BgL_res3049z00_8914 =
															(BgL_arg1821z00_8920 == BgL_classz00_8907);
													}
												else
													{	/* SawMill/defs.sch 892 */
														BgL_res3049z00_8914 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8910 = BgL_res3049z00_8914;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8909, BgL_arg1823z00_8910);
						}
					}
				else
					{	/* SawMill/defs.sch 892 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_ins? */
	obj_t BGl_z62rtl_inszf3z91zzsaw_defsz00(obj_t BgL_envz00_7186,
		obj_t BgL_objz00_7187)
	{
		{	/* SawMill/defs.sch 892 */
			return BBOOL(BGl_rtl_inszf3zf3zzsaw_defsz00(BgL_objz00_7187));
		}

	}



/* rtl_ins-nil */
	BGL_EXPORTED_DEF BgL_rtl_insz00_bglt BGl_rtl_inszd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 893 */
			{	/* SawMill/defs.sch 893 */
				obj_t BgL_classz00_5702;

				BgL_classz00_5702 = BGl_rtl_insz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 893 */
					obj_t BgL__ortest_1112z00_5703;

					BgL__ortest_1112z00_5703 = BGL_CLASS_NIL(BgL_classz00_5702);
					if (CBOOL(BgL__ortest_1112z00_5703))
						{	/* SawMill/defs.sch 893 */
							return ((BgL_rtl_insz00_bglt) BgL__ortest_1112z00_5703);
						}
					else
						{	/* SawMill/defs.sch 893 */
							return
								((BgL_rtl_insz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5702));
						}
				}
			}
		}

	}



/* &rtl_ins-nil */
	BgL_rtl_insz00_bglt BGl_z62rtl_inszd2nilzb0zzsaw_defsz00(obj_t
		BgL_envz00_7188)
	{
		{	/* SawMill/defs.sch 893 */
			return BGl_rtl_inszd2nilzd2zzsaw_defsz00();
		}

	}



/* rtl_ins-args */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2argszd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_395)
	{
		{	/* SawMill/defs.sch 894 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_395))->BgL_argsz00);
		}

	}



/* &rtl_ins-args */
	obj_t BGl_z62rtl_inszd2argszb0zzsaw_defsz00(obj_t BgL_envz00_7189,
		obj_t BgL_oz00_7190)
	{
		{	/* SawMill/defs.sch 894 */
			return
				BGl_rtl_inszd2argszd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7190));
		}

	}



/* rtl_ins-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_396, obj_t BgL_vz00_397)
	{
		{	/* SawMill/defs.sch 895 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_396))->BgL_argsz00) =
				((obj_t) BgL_vz00_397), BUNSPEC);
		}

	}



/* &rtl_ins-args-set! */
	obj_t BGl_z62rtl_inszd2argszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7191,
		obj_t BgL_oz00_7192, obj_t BgL_vz00_7193)
	{
		{	/* SawMill/defs.sch 895 */
			return
				BGl_rtl_inszd2argszd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7192), BgL_vz00_7193);
		}

	}



/* rtl_ins-fun */
	BGL_EXPORTED_DEF BgL_rtl_funz00_bglt
		BGl_rtl_inszd2funzd2zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_398)
	{
		{	/* SawMill/defs.sch 896 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_398))->BgL_funz00);
		}

	}



/* &rtl_ins-fun */
	BgL_rtl_funz00_bglt BGl_z62rtl_inszd2funzb0zzsaw_defsz00(obj_t
		BgL_envz00_7194, obj_t BgL_oz00_7195)
	{
		{	/* SawMill/defs.sch 896 */
			return
				BGl_rtl_inszd2funzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7195));
		}

	}



/* rtl_ins-fun-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_399,
		BgL_rtl_funz00_bglt BgL_vz00_400)
	{
		{	/* SawMill/defs.sch 897 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_399))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) BgL_vz00_400), BUNSPEC);
		}

	}



/* &rtl_ins-fun-set! */
	obj_t BGl_z62rtl_inszd2funzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7196,
		obj_t BgL_oz00_7197, obj_t BgL_vz00_7198)
	{
		{	/* SawMill/defs.sch 897 */
			return
				BGl_rtl_inszd2funzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7197),
				((BgL_rtl_funz00_bglt) BgL_vz00_7198));
		}

	}



/* rtl_ins-dest */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2destzd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_401)
	{
		{	/* SawMill/defs.sch 898 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_401))->BgL_destz00);
		}

	}



/* &rtl_ins-dest */
	obj_t BGl_z62rtl_inszd2destzb0zzsaw_defsz00(obj_t BgL_envz00_7199,
		obj_t BgL_oz00_7200)
	{
		{	/* SawMill/defs.sch 898 */
			return
				BGl_rtl_inszd2destzd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7200));
		}

	}



/* rtl_ins-dest-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_402, obj_t BgL_vz00_403)
	{
		{	/* SawMill/defs.sch 899 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_402))->BgL_destz00) =
				((obj_t) BgL_vz00_403), BUNSPEC);
		}

	}



/* &rtl_ins-dest-set! */
	obj_t BGl_z62rtl_inszd2destzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7201,
		obj_t BgL_oz00_7202, obj_t BgL_vz00_7203)
	{
		{	/* SawMill/defs.sch 899 */
			return
				BGl_rtl_inszd2destzd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7202), BgL_vz00_7203);
		}

	}



/* rtl_ins-%spill */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillz80zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_404)
	{
		{	/* SawMill/defs.sch 900 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_404))->BgL_z52spillz52);
		}

	}



/* &rtl_ins-%spill */
	obj_t BGl_z62rtl_inszd2z52spillze2zzsaw_defsz00(obj_t BgL_envz00_7204,
		obj_t BgL_oz00_7205)
	{
		{	/* SawMill/defs.sch 900 */
			return
				BGl_rtl_inszd2z52spillz80zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7205));
		}

	}



/* rtl_ins-%spill-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_405, obj_t BgL_vz00_406)
	{
		{	/* SawMill/defs.sch 901 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_405))->BgL_z52spillz52) =
				((obj_t) BgL_vz00_406), BUNSPEC);
		}

	}



/* &rtl_ins-%spill-set! */
	obj_t BGl_z62rtl_inszd2z52spillzd2setz12z22zzsaw_defsz00(obj_t
		BgL_envz00_7206, obj_t BgL_oz00_7207, obj_t BgL_vz00_7208)
	{
		{	/* SawMill/defs.sch 901 */
			return
				BGl_rtl_inszd2z52spillzd2setz12z40zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7207), BgL_vz00_7208);
		}

	}



/* rtl_ins-loc */
	BGL_EXPORTED_DEF obj_t BGl_rtl_inszd2loczd2zzsaw_defsz00(BgL_rtl_insz00_bglt
		BgL_oz00_407)
	{
		{	/* SawMill/defs.sch 902 */
			return (((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_407))->BgL_locz00);
		}

	}



/* &rtl_ins-loc */
	obj_t BGl_z62rtl_inszd2loczb0zzsaw_defsz00(obj_t BgL_envz00_7209,
		obj_t BgL_oz00_7210)
	{
		{	/* SawMill/defs.sch 902 */
			return
				BGl_rtl_inszd2loczd2zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7210));
		}

	}



/* rtl_ins-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_408,
		obj_t BgL_vz00_409)
	{
		{	/* SawMill/defs.sch 903 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_408))->BgL_locz00) =
				((obj_t) BgL_vz00_409), BUNSPEC);
		}

	}



/* &rtl_ins-loc-set! */
	obj_t BGl_z62rtl_inszd2loczd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7211,
		obj_t BgL_oz00_7212, obj_t BgL_vz00_7213)
	{
		{	/* SawMill/defs.sch 903 */
			return
				BGl_rtl_inszd2loczd2setz12z12zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7212), BgL_vz00_7213);
		}

	}



/* make-block */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_makezd2blockzd2zzsaw_defsz00(int
		BgL_label1334z00_410, obj_t BgL_preds1335z00_411,
		obj_t BgL_succs1336z00_412, obj_t BgL_first1337z00_413)
	{
		{	/* SawMill/defs.sch 906 */
			{	/* SawMill/defs.sch 906 */
				BgL_blockz00_bglt BgL_new1424z00_8921;

				{	/* SawMill/defs.sch 906 */
					BgL_blockz00_bglt BgL_new1423z00_8922;

					BgL_new1423z00_8922 =
						((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_blockz00_bgl))));
					{	/* SawMill/defs.sch 906 */
						long BgL_arg1890z00_8923;

						BgL_arg1890z00_8923 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1423z00_8922), BgL_arg1890z00_8923);
					}
					{	/* SawMill/defs.sch 906 */
						BgL_objectz00_bglt BgL_tmpz00_11785;

						BgL_tmpz00_11785 = ((BgL_objectz00_bglt) BgL_new1423z00_8922);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_11785, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1423z00_8922);
					BgL_new1424z00_8921 = BgL_new1423z00_8922;
				}
				((((BgL_blockz00_bglt) COBJECT(BgL_new1424z00_8921))->BgL_labelz00) =
					((int) BgL_label1334z00_410), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1424z00_8921))->BgL_predsz00) =
					((obj_t) BgL_preds1335z00_411), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1424z00_8921))->BgL_succsz00) =
					((obj_t) BgL_succs1336z00_412), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(BgL_new1424z00_8921))->BgL_firstz00) =
					((obj_t) BgL_first1337z00_413), BUNSPEC);
				return BgL_new1424z00_8921;
			}
		}

	}



/* &make-block */
	BgL_blockz00_bglt BGl_z62makezd2blockzb0zzsaw_defsz00(obj_t BgL_envz00_7214,
		obj_t BgL_label1334z00_7215, obj_t BgL_preds1335z00_7216,
		obj_t BgL_succs1336z00_7217, obj_t BgL_first1337z00_7218)
	{
		{	/* SawMill/defs.sch 906 */
			return
				BGl_makezd2blockzd2zzsaw_defsz00(CINT(BgL_label1334z00_7215),
				BgL_preds1335z00_7216, BgL_succs1336z00_7217, BgL_first1337z00_7218);
		}

	}



/* block? */
	BGL_EXPORTED_DEF bool_t BGl_blockzf3zf3zzsaw_defsz00(obj_t BgL_objz00_414)
	{
		{	/* SawMill/defs.sch 907 */
			{	/* SawMill/defs.sch 907 */
				obj_t BgL_classz00_8924;

				BgL_classz00_8924 = BGl_blockz00zzsaw_defsz00;
				if (BGL_OBJECTP(BgL_objz00_414))
					{	/* SawMill/defs.sch 907 */
						BgL_objectz00_bglt BgL_arg1825z00_8925;

						BgL_arg1825z00_8925 = (BgL_objectz00_bglt) (BgL_objz00_414);
						{	/* SawMill/defs.sch 907 */
							bool_t BgL_arg1822z00_8926;
							bool_t BgL_arg1823z00_8927;

							{	/* SawMill/defs.sch 907 */
								long BgL_idxz00_8928;

								BgL_idxz00_8928 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_8925);
								BgL_arg1822z00_8926 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_8928 + ((long) 1))) == BgL_classz00_8924);
							}
							{	/* SawMill/defs.sch 907 */
								bool_t BgL_res3050z00_8931;

								{	/* SawMill/defs.sch 907 */
									obj_t BgL_oclassz00_8932;

									{	/* SawMill/defs.sch 907 */
										long BgL_arg1833z00_8933;

										{	/* SawMill/defs.sch 907 */
											long BgL_arg1834z00_8934;

											BgL_arg1834z00_8934 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_8925);
											BgL_arg1833z00_8933 = (BgL_arg1834z00_8934 - OBJECT_TYPE);
										}
										BgL_oclassz00_8932 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_8933);
									}
									{	/* SawMill/defs.sch 907 */
										bool_t BgL__ortest_1110z00_8935;

										BgL__ortest_1110z00_8935 =
											(BgL_classz00_8924 == BgL_oclassz00_8932);
										if (BgL__ortest_1110z00_8935)
											{	/* SawMill/defs.sch 907 */
												BgL_res3050z00_8931 = BgL__ortest_1110z00_8935;
											}
										else
											{	/* SawMill/defs.sch 907 */
												long BgL_odepthz00_8936;

												BgL_odepthz00_8936 =
													BGL_CLASS_DEPTH(BgL_oclassz00_8932);
												if ((((long) 1) < BgL_odepthz00_8936))
													{	/* SawMill/defs.sch 907 */
														obj_t BgL_arg1821z00_8937;

														BgL_arg1821z00_8937 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8932,
															((long) 1));
														BgL_res3050z00_8931 =
															(BgL_arg1821z00_8937 == BgL_classz00_8924);
													}
												else
													{	/* SawMill/defs.sch 907 */
														BgL_res3050z00_8931 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_8927 = BgL_res3050z00_8931;
							}
							return
								BGL_ISA_C_BACKEND(BgL_arg1822z00_8926, BgL_arg1823z00_8927);
						}
					}
				else
					{	/* SawMill/defs.sch 907 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &block? */
	obj_t BGl_z62blockzf3z91zzsaw_defsz00(obj_t BgL_envz00_7219,
		obj_t BgL_objz00_7220)
	{
		{	/* SawMill/defs.sch 907 */
			return BBOOL(BGl_blockzf3zf3zzsaw_defsz00(BgL_objz00_7220));
		}

	}



/* block-nil */
	BGL_EXPORTED_DEF BgL_blockz00_bglt BGl_blockzd2nilzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.sch 908 */
			{	/* SawMill/defs.sch 908 */
				obj_t BgL_classz00_5743;

				BgL_classz00_5743 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/defs.sch 908 */
					obj_t BgL__ortest_1112z00_5744;

					BgL__ortest_1112z00_5744 = BGL_CLASS_NIL(BgL_classz00_5743);
					if (CBOOL(BgL__ortest_1112z00_5744))
						{	/* SawMill/defs.sch 908 */
							return ((BgL_blockz00_bglt) BgL__ortest_1112z00_5744);
						}
					else
						{	/* SawMill/defs.sch 908 */
							return
								((BgL_blockz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_5743));
						}
				}
			}
		}

	}



/* &block-nil */
	BgL_blockz00_bglt BGl_z62blockzd2nilzb0zzsaw_defsz00(obj_t BgL_envz00_7221)
	{
		{	/* SawMill/defs.sch 908 */
			return BGl_blockzd2nilzd2zzsaw_defsz00();
		}

	}



/* block-first */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2firstzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_415)
	{
		{	/* SawMill/defs.sch 909 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_415))->BgL_firstz00);
		}

	}



/* &block-first */
	obj_t BGl_z62blockzd2firstzb0zzsaw_defsz00(obj_t BgL_envz00_7222,
		obj_t BgL_oz00_7223)
	{
		{	/* SawMill/defs.sch 909 */
			return
				BGl_blockzd2firstzd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7223));
		}

	}



/* block-first-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_416,
		obj_t BgL_vz00_417)
	{
		{	/* SawMill/defs.sch 910 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_416))->BgL_firstz00) =
				((obj_t) BgL_vz00_417), BUNSPEC);
		}

	}



/* &block-first-set! */
	obj_t BGl_z62blockzd2firstzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7224,
		obj_t BgL_oz00_7225, obj_t BgL_vz00_7226)
	{
		{	/* SawMill/defs.sch 910 */
			return
				BGl_blockzd2firstzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7225), BgL_vz00_7226);
		}

	}



/* block-succs */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2succszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_418)
	{
		{	/* SawMill/defs.sch 911 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_418))->BgL_succsz00);
		}

	}



/* &block-succs */
	obj_t BGl_z62blockzd2succszb0zzsaw_defsz00(obj_t BgL_envz00_7227,
		obj_t BgL_oz00_7228)
	{
		{	/* SawMill/defs.sch 911 */
			return
				BGl_blockzd2succszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7228));
		}

	}



/* block-succs-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2succszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_419,
		obj_t BgL_vz00_420)
	{
		{	/* SawMill/defs.sch 912 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_419))->BgL_succsz00) =
				((obj_t) BgL_vz00_420), BUNSPEC);
		}

	}



/* &block-succs-set! */
	obj_t BGl_z62blockzd2succszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7229,
		obj_t BgL_oz00_7230, obj_t BgL_vz00_7231)
	{
		{	/* SawMill/defs.sch 912 */
			return
				BGl_blockzd2succszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7230), BgL_vz00_7231);
		}

	}



/* block-preds */
	BGL_EXPORTED_DEF obj_t BGl_blockzd2predszd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_421)
	{
		{	/* SawMill/defs.sch 913 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_421))->BgL_predsz00);
		}

	}



/* &block-preds */
	obj_t BGl_z62blockzd2predszb0zzsaw_defsz00(obj_t BgL_envz00_7232,
		obj_t BgL_oz00_7233)
	{
		{	/* SawMill/defs.sch 913 */
			return
				BGl_blockzd2predszd2zzsaw_defsz00(((BgL_blockz00_bglt) BgL_oz00_7233));
		}

	}



/* block-preds-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2predszd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_422,
		obj_t BgL_vz00_423)
	{
		{	/* SawMill/defs.sch 914 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_422))->BgL_predsz00) =
				((obj_t) BgL_vz00_423), BUNSPEC);
		}

	}



/* &block-preds-set! */
	obj_t BGl_z62blockzd2predszd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7234,
		obj_t BgL_oz00_7235, obj_t BgL_vz00_7236)
	{
		{	/* SawMill/defs.sch 914 */
			return
				BGl_blockzd2predszd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7235), BgL_vz00_7236);
		}

	}



/* block-label */
	BGL_EXPORTED_DEF int BGl_blockzd2labelzd2zzsaw_defsz00(BgL_blockz00_bglt
		BgL_oz00_424)
	{
		{	/* SawMill/defs.sch 915 */
			return (((BgL_blockz00_bglt) COBJECT(BgL_oz00_424))->BgL_labelz00);
		}

	}



/* &block-label */
	obj_t BGl_z62blockzd2labelzb0zzsaw_defsz00(obj_t BgL_envz00_7237,
		obj_t BgL_oz00_7238)
	{
		{	/* SawMill/defs.sch 915 */
			return
				BINT(BGl_blockzd2labelzd2zzsaw_defsz00(
					((BgL_blockz00_bglt) BgL_oz00_7238)));
		}

	}



/* block-label-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(BgL_blockz00_bglt BgL_oz00_425,
		int BgL_vz00_426)
	{
		{	/* SawMill/defs.sch 916 */
			return
				((((BgL_blockz00_bglt) COBJECT(BgL_oz00_425))->BgL_labelz00) =
				((int) BgL_vz00_426), BUNSPEC);
		}

	}



/* &block-label-set! */
	obj_t BGl_z62blockzd2labelzd2setz12z70zzsaw_defsz00(obj_t BgL_envz00_7239,
		obj_t BgL_oz00_7240, obj_t BgL_vz00_7241)
	{
		{	/* SawMill/defs.sch 916 */
			return
				BGl_blockzd2labelzd2setz12z12zzsaw_defsz00(
				((BgL_blockz00_bglt) BgL_oz00_7240), CINT(BgL_vz00_7241));
		}

	}



/* rtl_ins-args* */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_insz00_427)
	{
		{	/* SawMill/defs.scm 96 */
			{	/* SawMill/defs.scm 97 */
				obj_t BgL_g1425z00_1996;

				BgL_g1425z00_1996 =
					(((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_427))->BgL_argsz00);
				{
					obj_t BgL_argsz00_1999;
					obj_t BgL_resz00_2000;

					BgL_argsz00_1999 = BgL_g1425z00_1996;
					BgL_resz00_2000 = BNIL;
				BgL_zc3z04anonymousza31891ze3z87_2001:
					if (NULLP(BgL_argsz00_1999))
						{	/* SawMill/defs.scm 100 */
							return BgL_resz00_2000;
						}
					else
						{	/* SawMill/defs.scm 102 */
							bool_t BgL_test4164z00_11851;

							{	/* SawMill/defs.scm 102 */
								obj_t BgL_arg1910z00_2016;

								BgL_arg1910z00_2016 = CAR(((obj_t) BgL_argsz00_1999));
								{	/* SawMill/defs.scm 102 */
									obj_t BgL_classz00_5747;

									BgL_classz00_5747 = BGl_rtl_regz00zzsaw_defsz00;
									if (BGL_OBJECTP(BgL_arg1910z00_2016))
										{	/* SawMill/defs.scm 102 */
											BgL_objectz00_bglt BgL_arg1825z00_5749;

											BgL_arg1825z00_5749 =
												(BgL_objectz00_bglt) (BgL_arg1910z00_2016);
											{	/* SawMill/defs.scm 102 */
												bool_t BgL_arg1822z00_5752;
												bool_t BgL_arg1823z00_5753;

												{	/* SawMill/defs.scm 102 */
													long BgL_idxz00_5756;

													BgL_idxz00_5756 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5749);
													BgL_arg1822z00_5752 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5756 + ((long) 1))) ==
														BgL_classz00_5747);
												}
												{	/* SawMill/defs.scm 102 */
													bool_t BgL_res3051z00_5778;

													{	/* SawMill/defs.scm 102 */
														obj_t BgL_oclassz00_5764;

														{	/* SawMill/defs.scm 102 */
															long BgL_arg1833z00_5770;

															{	/* SawMill/defs.scm 102 */
																long BgL_arg1834z00_5771;

																BgL_arg1834z00_5771 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5749);
																BgL_arg1833z00_5770 =
																	(BgL_arg1834z00_5771 - OBJECT_TYPE);
															}
															BgL_oclassz00_5764 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5770);
														}
														{	/* SawMill/defs.scm 102 */
															bool_t BgL__ortest_1110z00_5765;

															BgL__ortest_1110z00_5765 =
																(BgL_classz00_5747 == BgL_oclassz00_5764);
															if (BgL__ortest_1110z00_5765)
																{	/* SawMill/defs.scm 102 */
																	BgL_res3051z00_5778 =
																		BgL__ortest_1110z00_5765;
																}
															else
																{	/* SawMill/defs.scm 102 */
																	long BgL_odepthz00_5766;

																	BgL_odepthz00_5766 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5764);
																	if ((((long) 1) < BgL_odepthz00_5766))
																		{	/* SawMill/defs.scm 102 */
																			obj_t BgL_arg1821z00_5768;

																			BgL_arg1821z00_5768 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5764, ((long) 1));
																			BgL_res3051z00_5778 =
																				(BgL_arg1821z00_5768 ==
																				BgL_classz00_5747);
																		}
																	else
																		{	/* SawMill/defs.scm 102 */
																			BgL_res3051z00_5778 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5753 = BgL_res3051z00_5778;
												}
												BgL_test4164z00_11851 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5752,
													BgL_arg1823z00_5753);
											}
										}
									else
										{	/* SawMill/defs.scm 102 */
											BgL_test4164z00_11851 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test4164z00_11851)
								{	/* SawMill/defs.scm 103 */
									obj_t BgL_arg1896z00_2005;
									obj_t BgL_arg1897z00_2006;

									BgL_arg1896z00_2005 = CDR(((obj_t) BgL_argsz00_1999));
									{	/* SawMill/defs.scm 103 */
										obj_t BgL_arg1898z00_2007;

										BgL_arg1898z00_2007 = CAR(((obj_t) BgL_argsz00_1999));
										BgL_arg1897z00_2006 =
											MAKE_YOUNG_PAIR(BgL_arg1898z00_2007, BgL_resz00_2000);
									}
									{
										obj_t BgL_resz00_11878;
										obj_t BgL_argsz00_11877;

										BgL_argsz00_11877 = BgL_arg1896z00_2005;
										BgL_resz00_11878 = BgL_arg1897z00_2006;
										BgL_resz00_2000 = BgL_resz00_11878;
										BgL_argsz00_1999 = BgL_argsz00_11877;
										goto BgL_zc3z04anonymousza31891ze3z87_2001;
									}
								}
							else
								{	/* SawMill/defs.scm 104 */
									bool_t BgL_test4168z00_11879;

									{	/* SawMill/defs.scm 104 */
										obj_t BgL_arg1909z00_2015;

										BgL_arg1909z00_2015 = CAR(((obj_t) BgL_argsz00_1999));
										{	/* SawMill/defs.scm 104 */
											obj_t BgL_classz00_5782;

											BgL_classz00_5782 = BGl_rtl_insz00zzsaw_defsz00;
											if (BGL_OBJECTP(BgL_arg1909z00_2015))
												{	/* SawMill/defs.scm 104 */
													BgL_objectz00_bglt BgL_arg1825z00_5784;

													BgL_arg1825z00_5784 =
														(BgL_objectz00_bglt) (BgL_arg1909z00_2015);
													{	/* SawMill/defs.scm 104 */
														bool_t BgL_arg1822z00_5787;
														bool_t BgL_arg1823z00_5788;

														{	/* SawMill/defs.scm 104 */
															long BgL_idxz00_5791;

															BgL_idxz00_5791 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5784);
															BgL_arg1822z00_5787 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_5791 + ((long) 1))) ==
																BgL_classz00_5782);
														}
														{	/* SawMill/defs.scm 104 */
															bool_t BgL_res3052z00_5813;

															{	/* SawMill/defs.scm 104 */
																obj_t BgL_oclassz00_5799;

																{	/* SawMill/defs.scm 104 */
																	long BgL_arg1833z00_5805;

																	{	/* SawMill/defs.scm 104 */
																		long BgL_arg1834z00_5806;

																		BgL_arg1834z00_5806 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5784);
																		BgL_arg1833z00_5805 =
																			(BgL_arg1834z00_5806 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_5799 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_5805);
																}
																{	/* SawMill/defs.scm 104 */
																	bool_t BgL__ortest_1110z00_5800;

																	BgL__ortest_1110z00_5800 =
																		(BgL_classz00_5782 == BgL_oclassz00_5799);
																	if (BgL__ortest_1110z00_5800)
																		{	/* SawMill/defs.scm 104 */
																			BgL_res3052z00_5813 =
																				BgL__ortest_1110z00_5800;
																		}
																	else
																		{	/* SawMill/defs.scm 104 */
																			long BgL_odepthz00_5801;

																			BgL_odepthz00_5801 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_5799);
																			if ((((long) 1) < BgL_odepthz00_5801))
																				{	/* SawMill/defs.scm 104 */
																					obj_t BgL_arg1821z00_5803;

																					BgL_arg1821z00_5803 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_5799, ((long) 1));
																					BgL_res3052z00_5813 =
																						(BgL_arg1821z00_5803 ==
																						BgL_classz00_5782);
																				}
																			else
																				{	/* SawMill/defs.scm 104 */
																					BgL_res3052z00_5813 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_5788 = BgL_res3052z00_5813;
														}
														BgL_test4168z00_11879 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_5787,
															BgL_arg1823z00_5788);
													}
												}
											else
												{	/* SawMill/defs.scm 104 */
													BgL_test4168z00_11879 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test4168z00_11879)
										{	/* SawMill/defs.scm 105 */
											obj_t BgL_arg1904z00_2010;
											obj_t BgL_arg1905z00_2011;

											BgL_arg1904z00_2010 = CDR(((obj_t) BgL_argsz00_1999));
											{	/* SawMill/defs.scm 105 */
												obj_t BgL_arg1906z00_2012;

												{	/* SawMill/defs.scm 105 */
													obj_t BgL_arg1907z00_2013;

													BgL_arg1907z00_2013 = CAR(((obj_t) BgL_argsz00_1999));
													BgL_arg1906z00_2012 =
														BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
														((BgL_rtl_insz00_bglt) BgL_arg1907z00_2013));
												}
												BgL_arg1905z00_2011 =
													BGl_appendzd221011zd2zzsaw_defsz00
													(BgL_arg1906z00_2012, BgL_resz00_2000);
											}
											{
												obj_t BgL_resz00_11908;
												obj_t BgL_argsz00_11907;

												BgL_argsz00_11907 = BgL_arg1904z00_2010;
												BgL_resz00_11908 = BgL_arg1905z00_2011;
												BgL_resz00_2000 = BgL_resz00_11908;
												BgL_argsz00_1999 = BgL_argsz00_11907;
												goto BgL_zc3z04anonymousza31891ze3z87_2001;
											}
										}
									else
										{	/* SawMill/defs.scm 107 */
											obj_t BgL_arg1908z00_2014;

											BgL_arg1908z00_2014 = CDR(((obj_t) BgL_argsz00_1999));
											{
												obj_t BgL_argsz00_11911;

												BgL_argsz00_11911 = BgL_arg1908z00_2014;
												BgL_argsz00_1999 = BgL_argsz00_11911;
												goto BgL_zc3z04anonymousza31891ze3z87_2001;
											}
										}
								}
						}
				}
			}
		}

	}



/* &rtl_ins-args* */
	obj_t BGl_z62rtl_inszd2argsza2z12zzsaw_defsz00(obj_t BgL_envz00_7242,
		obj_t BgL_insz00_7243)
	{
		{	/* SawMill/defs.scm 96 */
			return
				BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_insz00_7243));
		}

	}



/* dump-basic-blocks */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(obj_t
		BgL_idz00_430, obj_t BgL_vz00_431, obj_t BgL_paramsz00_432,
		obj_t BgL_lz00_433)
	{
		{	/* SawMill/defs.scm 147 */
			{	/* SawMill/defs.scm 148 */
				obj_t BgL_port1630z00_2018;

				BgL_port1630z00_2018 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 148 */
					obj_t BgL_tmpz00_11914;

					BgL_tmpz00_11914 = ((obj_t) BgL_port1630z00_2018);
					bgl_display_string(BGl_string3067z00zzsaw_defsz00, BgL_tmpz00_11914);
				}
				bgl_display_obj(BgL_idz00_430, BgL_port1630z00_2018);
				{	/* SawMill/defs.scm 148 */
					obj_t BgL_tmpz00_11918;

					BgL_tmpz00_11918 = ((obj_t) BgL_port1630z00_2018);
					bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_11918);
				}
				bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_vz00_431),
					BgL_port1630z00_2018);
				{	/* SawMill/defs.scm 148 */
					obj_t BgL_tmpz00_11923;

					BgL_tmpz00_11923 = ((obj_t) BgL_port1630z00_2018);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_11923);
			}}
			bgl_display_string(BGl_string3069z00zzsaw_defsz00,
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			if (NULLP(BgL_paramsz00_432))
				{	/* SawMill/defs.scm 150 */
					BNIL;
				}
			else
				{	/* SawMill/defs.scm 150 */
					obj_t BgL_head1633z00_2022;

					BgL_head1633z00_2022 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1631z00_2024;
						obj_t BgL_tail1634z00_2025;

						BgL_l1631z00_2024 = BgL_paramsz00_432;
						BgL_tail1634z00_2025 = BgL_head1633z00_2022;
					BgL_zc3z04anonymousza31913ze3z87_2026:
						if (NULLP(BgL_l1631z00_2024))
							{	/* SawMill/defs.scm 150 */
								CDR(BgL_head1633z00_2022);
							}
						else
							{	/* SawMill/defs.scm 150 */
								obj_t BgL_newtail1635z00_2028;

								{	/* SawMill/defs.scm 150 */
									obj_t BgL_arg1917z00_2030;

									{	/* SawMill/defs.scm 150 */
										obj_t BgL_az00_2031;

										BgL_az00_2031 = CAR(((obj_t) BgL_l1631z00_2024));
										bgl_display_string(BGl_string3068z00zzsaw_defsz00,
											BGl_za2tracezd2portza2zd2zztools_tracez00);
										BgL_arg1917z00_2030 =
											BGl_dumpz00zzsaw_defsz00(BgL_az00_2031,
											BGl_za2tracezd2portza2zd2zztools_tracez00,
											(int) (((long) 0)));
									}
									BgL_newtail1635z00_2028 =
										MAKE_YOUNG_PAIR(BgL_arg1917z00_2030, BNIL);
								}
								SET_CDR(BgL_tail1634z00_2025, BgL_newtail1635z00_2028);
								{	/* SawMill/defs.scm 150 */
									obj_t BgL_arg1916z00_2029;

									BgL_arg1916z00_2029 = CDR(((obj_t) BgL_l1631z00_2024));
									{
										obj_t BgL_tail1634z00_11943;
										obj_t BgL_l1631z00_11942;

										BgL_l1631z00_11942 = BgL_arg1916z00_2029;
										BgL_tail1634z00_11943 = BgL_newtail1635z00_2028;
										BgL_tail1634z00_2025 = BgL_tail1634z00_11943;
										BgL_l1631z00_2024 = BgL_l1631z00_11942;
										goto BgL_zc3z04anonymousza31913ze3z87_2026;
									}
								}
							}
					}
				}
			bgl_display_char(((unsigned char) 10),
				BGl_za2tracezd2portza2zd2zztools_tracez00);
			{	/* SawMill/defs.scm 155 */
				obj_t BgL_port1636z00_2033;

				BgL_port1636z00_2033 = BGl_za2tracezd2portza2zd2zztools_tracez00;
				{	/* SawMill/defs.scm 155 */
					obj_t BgL_tmpz00_11945;

					BgL_tmpz00_11945 = ((obj_t) BgL_port1636z00_2033);
					bgl_display_string(BGl_string3070z00zzsaw_defsz00, BgL_tmpz00_11945);
				}
				{	/* SawMill/defs.scm 155 */
					obj_t BgL_tmpz00_11948;

					BgL_tmpz00_11948 = ((obj_t) BgL_port1636z00_2033);
					bgl_display_char(((unsigned char) 10), BgL_tmpz00_11948);
			}}
			{
				obj_t BgL_l1637z00_2035;

				{	/* SawMill/defs.scm 156 */
					bool_t BgL_tmpz00_11951;

					BgL_l1637z00_2035 = BgL_lz00_433;
				BgL_zc3z04anonymousza31918ze3z87_2036:
					if (PAIRP(BgL_l1637z00_2035))
						{	/* SawMill/defs.scm 156 */
							{	/* SawMill/defs.scm 157 */
								obj_t BgL_bz00_2038;

								BgL_bz00_2038 = CAR(BgL_l1637z00_2035);
								{	/* SawMill/defs.scm 157 */
									obj_t BgL_portz00_5835;

									BgL_portz00_5835 = BGl_za2tracezd2portza2zd2zztools_tracez00;
									BGl_dumpz00zzsaw_defsz00(BgL_bz00_2038, BgL_portz00_5835,
										(int) (((long) 0)));
									bgl_display_char(((unsigned char) 10), BgL_portz00_5835);
								}
								bgl_display_char(((unsigned char) 10),
									BGl_za2tracezd2portza2zd2zztools_tracez00);
							}
							{
								obj_t BgL_l1637z00_11959;

								BgL_l1637z00_11959 = CDR(BgL_l1637z00_2035);
								BgL_l1637z00_2035 = BgL_l1637z00_11959;
								goto BgL_zc3z04anonymousza31918ze3z87_2036;
							}
						}
					else
						{	/* SawMill/defs.scm 156 */
							BgL_tmpz00_11951 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_11951);
				}
			}
		}

	}



/* &dump-basic-blocks */
	obj_t BGl_z62dumpzd2basiczd2blocksz62zzsaw_defsz00(obj_t BgL_envz00_7244,
		obj_t BgL_idz00_7245, obj_t BgL_vz00_7246, obj_t BgL_paramsz00_7247,
		obj_t BgL_lz00_7248)
	{
		{	/* SawMill/defs.scm 147 */
			return
				BGl_dumpzd2basiczd2blocksz00zzsaw_defsz00(BgL_idz00_7245, BgL_vz00_7246,
				BgL_paramsz00_7247, BgL_lz00_7248);
		}

	}



/* rtl-dump */
	BGL_EXPORTED_DEF obj_t BGl_rtlzd2dumpzd2zzsaw_defsz00(obj_t BgL_objz00_434,
		obj_t BgL_portz00_435)
	{
		{	/* SawMill/defs.scm 164 */
			BGl_dumpz00zzsaw_defsz00(BgL_objz00_434, BgL_portz00_435,
				(int) (((long) 0)));
			return bgl_display_char(((unsigned char) 10), BgL_portz00_435);
		}

	}



/* &rtl-dump */
	obj_t BGl_z62rtlzd2dumpzb0zzsaw_defsz00(obj_t BgL_envz00_7249,
		obj_t BgL_objz00_7250, obj_t BgL_portz00_7251)
	{
		{	/* SawMill/defs.scm 164 */
			return BGl_rtlzd2dumpzd2zzsaw_defsz00(BgL_objz00_7250, BgL_portz00_7251);
		}

	}



/* dump-margin */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2marginzd2zzsaw_defsz00(obj_t BgL_pz00_436,
		int BgL_mz00_437)
	{
		{	/* SawMill/defs.scm 171 */
			{	/* SawMill/defs.scm 172 */
				obj_t BgL_mgsz00_2041;

				BgL_mgsz00_2041 = CNST_TABLE_REF(((long) 0));
				if (((long) (BgL_mz00_437) < VECTOR_LENGTH(BgL_mgsz00_2041)))
					{	/* SawMill/defs.scm 173 */
						return
							bgl_display_obj(VECTOR_REF(BgL_mgsz00_2041,
								(long) (BgL_mz00_437)), BgL_pz00_436);
					}
				else
					{	/* SawMill/defs.scm 173 */
						return
							bgl_display_obj(make_string(
								(long) (BgL_mz00_437), ((unsigned char) ' ')), BgL_pz00_436);
		}}}

	}



/* &dump-margin */
	obj_t BGl_z62dumpzd2marginzb0zzsaw_defsz00(obj_t BgL_envz00_7252,
		obj_t BgL_pz00_7253, obj_t BgL_mz00_7254)
	{
		{	/* SawMill/defs.scm 171 */
			return
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_7253, CINT(BgL_mz00_7254));
		}

	}



/* dump* */
	BGL_EXPORTED_DEF obj_t BGl_dumpza2za2zzsaw_defsz00(obj_t BgL_oz00_441,
		obj_t BgL_pz00_442, int BgL_mz00_443)
	{
		{	/* SawMill/defs.scm 198 */
			if (NULLP(BgL_oz00_441))
				{	/* SawMill/defs.scm 200 */
					return BUNSPEC;
				}
			else
				{	/* SawMill/defs.scm 200 */
					if (NULLP(CDR(((obj_t) BgL_oz00_441))))
						{	/* SawMill/defs.scm 203 */
							obj_t BgL_arg1931z00_2050;

							BgL_arg1931z00_2050 = CAR(((obj_t) BgL_oz00_441));
							return
								BGl_dumpz00zzsaw_defsz00(BgL_arg1931z00_2050, BgL_pz00_442,
								BgL_mz00_443);
						}
					else
						{
							obj_t BgL_oz00_2052;

							{	/* SawMill/defs.scm 205 */
								bool_t BgL_tmpz00_11989;

								BgL_oz00_2052 = BgL_oz00_441;
							BgL_zc3z04anonymousza31932ze3z87_2053:
								{	/* SawMill/defs.scm 206 */
									obj_t BgL_arg1933z00_2054;

									BgL_arg1933z00_2054 = CAR(((obj_t) BgL_oz00_2052));
									BGl_dumpz00zzsaw_defsz00(BgL_arg1933z00_2054, BgL_pz00_442,
										BgL_mz00_443);
								}
								{	/* SawMill/defs.scm 207 */
									bool_t BgL_test4178z00_11993;

									{	/* SawMill/defs.scm 207 */
										obj_t BgL_tmpz00_11994;

										BgL_tmpz00_11994 = CDR(((obj_t) BgL_oz00_2052));
										BgL_test4178z00_11993 = PAIRP(BgL_tmpz00_11994);
									}
									if (BgL_test4178z00_11993)
										{	/* SawMill/defs.scm 207 */
											bgl_display_char(((unsigned char) 10), BgL_pz00_442);
											BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_442,
												BgL_mz00_443);
											{	/* SawMill/defs.scm 210 */
												obj_t BgL_arg1937z00_2057;

												BgL_arg1937z00_2057 = CDR(((obj_t) BgL_oz00_2052));
												{
													obj_t BgL_oz00_12002;

													BgL_oz00_12002 = BgL_arg1937z00_2057;
													BgL_oz00_2052 = BgL_oz00_12002;
													goto BgL_zc3z04anonymousza31932ze3z87_2053;
												}
											}
										}
									else
										{	/* SawMill/defs.scm 207 */
											BgL_tmpz00_11989 = ((bool_t) 0);
										}
								}
								return BBOOL(BgL_tmpz00_11989);
							}
						}
				}
		}

	}



/* &dump* */
	obj_t BGl_z62dumpza2zc0zzsaw_defsz00(obj_t BgL_envz00_7255,
		obj_t BgL_oz00_7256, obj_t BgL_pz00_7257, obj_t BgL_mz00_7258)
	{
		{	/* SawMill/defs.scm 198 */
			return
				BGl_dumpza2za2zzsaw_defsz00(BgL_oz00_7256, BgL_pz00_7257,
				CINT(BgL_mz00_7258));
		}

	}



/* dump-args */
	bool_t BGl_dumpzd2argszd2zzsaw_defsz00(obj_t BgL_argsz00_444,
		obj_t BgL_pz00_445)
	{
		{	/* SawMill/defs.scm 215 */
			{
				obj_t BgL_argsz00_2062;

				BgL_argsz00_2062 = BgL_argsz00_444;
			BgL_zc3z04anonymousza31940ze3z87_2063:
				if (PAIRP(BgL_argsz00_2062))
					{	/* SawMill/defs.scm 218 */
						obj_t BgL_az00_2065;

						BgL_az00_2065 = CAR(BgL_argsz00_2062);
						{	/* SawMill/defs.scm 220 */
							bool_t BgL_test4180z00_12009;

							{	/* SawMill/defs.scm 220 */
								obj_t BgL_classz00_5853;

								BgL_classz00_5853 = BGl_rtl_regz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_az00_2065))
									{	/* SawMill/defs.scm 220 */
										BgL_objectz00_bglt BgL_arg1825z00_5855;

										BgL_arg1825z00_5855 = (BgL_objectz00_bglt) (BgL_az00_2065);
										{	/* SawMill/defs.scm 220 */
											bool_t BgL_arg1822z00_5858;
											bool_t BgL_arg1823z00_5859;

											{	/* SawMill/defs.scm 220 */
												long BgL_idxz00_5862;

												BgL_idxz00_5862 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5855);
												BgL_arg1822z00_5858 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5862 + ((long) 1))) ==
													BgL_classz00_5853);
											}
											{	/* SawMill/defs.scm 220 */
												bool_t BgL_res3053z00_5884;

												{	/* SawMill/defs.scm 220 */
													obj_t BgL_oclassz00_5870;

													{	/* SawMill/defs.scm 220 */
														long BgL_arg1833z00_5876;

														{	/* SawMill/defs.scm 220 */
															long BgL_arg1834z00_5877;

															BgL_arg1834z00_5877 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5855);
															BgL_arg1833z00_5876 =
																(BgL_arg1834z00_5877 - OBJECT_TYPE);
														}
														BgL_oclassz00_5870 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5876);
													}
													{	/* SawMill/defs.scm 220 */
														bool_t BgL__ortest_1110z00_5871;

														BgL__ortest_1110z00_5871 =
															(BgL_classz00_5853 == BgL_oclassz00_5870);
														if (BgL__ortest_1110z00_5871)
															{	/* SawMill/defs.scm 220 */
																BgL_res3053z00_5884 = BgL__ortest_1110z00_5871;
															}
														else
															{	/* SawMill/defs.scm 220 */
																long BgL_odepthz00_5872;

																BgL_odepthz00_5872 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5870);
																if ((((long) 1) < BgL_odepthz00_5872))
																	{	/* SawMill/defs.scm 220 */
																		obj_t BgL_arg1821z00_5874;

																		BgL_arg1821z00_5874 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5870, ((long) 1));
																		BgL_res3053z00_5884 =
																			(BgL_arg1821z00_5874 ==
																			BgL_classz00_5853);
																	}
																else
																	{	/* SawMill/defs.scm 220 */
																		BgL_res3053z00_5884 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5859 = BgL_res3053z00_5884;
											}
											BgL_test4180z00_12009 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5858,
												BgL_arg1823z00_5859);
										}
									}
								else
									{	/* SawMill/defs.scm 220 */
										BgL_test4180z00_12009 = ((bool_t) 0);
									}
							}
							if (BgL_test4180z00_12009)
								{	/* SawMill/defs.scm 220 */
									{	/* SawMill/defs.scm 221 */
										obj_t BgL_tmpz00_12028;

										BgL_tmpz00_12028 = ((obj_t) BgL_pz00_445);
										bgl_display_string(BGl_string3068z00zzsaw_defsz00,
											BgL_tmpz00_12028);
									}
									BGl_dumpz00zzsaw_defsz00(BgL_az00_2065, BgL_pz00_445,
										(int) (((long) 0)));
								}
							else
								{	/* SawMill/defs.scm 223 */
									bool_t BgL_test4184z00_12033;

									{	/* SawMill/defs.scm 223 */
										obj_t BgL_classz00_5887;

										BgL_classz00_5887 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_az00_2065))
											{	/* SawMill/defs.scm 223 */
												BgL_objectz00_bglt BgL_arg1825z00_5889;

												BgL_arg1825z00_5889 =
													(BgL_objectz00_bglt) (BgL_az00_2065);
												{	/* SawMill/defs.scm 223 */
													bool_t BgL_arg1822z00_5892;
													bool_t BgL_arg1823z00_5893;

													{	/* SawMill/defs.scm 223 */
														long BgL_idxz00_5896;

														BgL_idxz00_5896 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5889);
														BgL_arg1822z00_5892 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5896 + ((long) 1))) ==
															BgL_classz00_5887);
													}
													{	/* SawMill/defs.scm 223 */
														bool_t BgL_res3054z00_5918;

														{	/* SawMill/defs.scm 223 */
															obj_t BgL_oclassz00_5904;

															{	/* SawMill/defs.scm 223 */
																long BgL_arg1833z00_5910;

																{	/* SawMill/defs.scm 223 */
																	long BgL_arg1834z00_5911;

																	BgL_arg1834z00_5911 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5889);
																	BgL_arg1833z00_5910 =
																		(BgL_arg1834z00_5911 - OBJECT_TYPE);
																}
																BgL_oclassz00_5904 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_5910);
															}
															{	/* SawMill/defs.scm 223 */
																bool_t BgL__ortest_1110z00_5905;

																BgL__ortest_1110z00_5905 =
																	(BgL_classz00_5887 == BgL_oclassz00_5904);
																if (BgL__ortest_1110z00_5905)
																	{	/* SawMill/defs.scm 223 */
																		BgL_res3054z00_5918 =
																			BgL__ortest_1110z00_5905;
																	}
																else
																	{	/* SawMill/defs.scm 223 */
																		long BgL_odepthz00_5906;

																		BgL_odepthz00_5906 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_5904);
																		if ((((long) 1) < BgL_odepthz00_5906))
																			{	/* SawMill/defs.scm 223 */
																				obj_t BgL_arg1821z00_5908;

																				BgL_arg1821z00_5908 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_5904, ((long) 1));
																				BgL_res3054z00_5918 =
																					(BgL_arg1821z00_5908 ==
																					BgL_classz00_5887);
																			}
																		else
																			{	/* SawMill/defs.scm 223 */
																				BgL_res3054z00_5918 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_5893 = BgL_res3054z00_5918;
													}
													BgL_test4184z00_12033 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_5892,
														BgL_arg1823z00_5893);
												}
											}
										else
											{	/* SawMill/defs.scm 223 */
												BgL_test4184z00_12033 = ((bool_t) 0);
											}
									}
									if (BgL_test4184z00_12033)
										{	/* SawMill/defs.scm 223 */
											{	/* SawMill/defs.scm 224 */
												obj_t BgL_tmpz00_12052;

												BgL_tmpz00_12052 = ((obj_t) BgL_pz00_445);
												bgl_display_string(BGl_string3068z00zzsaw_defsz00,
													BgL_tmpz00_12052);
											}
											{	/* SawMill/defs.scm 270 */
												obj_t BgL_tmpz00_12055;

												BgL_tmpz00_12055 = ((obj_t) BgL_pz00_445);
												bgl_display_string(BGl_string3071z00zzsaw_defsz00,
													BgL_tmpz00_12055);
											}
											{	/* SawMill/defs.scm 271 */
												BgL_rtl_funz00_bglt BgL_arg1945z00_5923;
												obj_t BgL_arg1946z00_5924;
												obj_t BgL_arg1947z00_5925;

												BgL_arg1945z00_5923 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_az00_2065)))->
													BgL_funz00);
												BgL_arg1946z00_5924 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2065)))->BgL_destz00);
												BgL_arg1947z00_5925 =
													(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
																BgL_az00_2065)))->BgL_argsz00);
												BGl_dumpzd2funzd2zzsaw_defsz00(BgL_arg1945z00_5923,
													BgL_arg1946z00_5924, BgL_arg1947z00_5925,
													BgL_pz00_445, BINT(((long) 0)));
											}
											{	/* SawMill/defs.scm 272 */
												obj_t BgL_tmpz00_12066;

												BgL_tmpz00_12066 = ((obj_t) BgL_pz00_445);
												bgl_display_string(BGl_string3072z00zzsaw_defsz00,
													BgL_tmpz00_12066);
										}}
									else
										{	/* SawMill/defs.scm 223 */
											{	/* SawMill/defs.scm 227 */
												obj_t BgL_tmpz00_12069;

												BgL_tmpz00_12069 = ((obj_t) BgL_pz00_445);
												bgl_display_string(BGl_string3068z00zzsaw_defsz00,
													BgL_tmpz00_12069);
											}
											bgl_display_obj(BgL_az00_2065, BgL_pz00_445);
										}
								}
						}
						{
							obj_t BgL_argsz00_12073;

							BgL_argsz00_12073 = CDR(BgL_argsz00_2062);
							BgL_argsz00_2062 = BgL_argsz00_12073;
							goto BgL_zc3z04anonymousza31940ze3z87_2063;
						}
					}
				else
					{	/* SawMill/defs.scm 217 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* dump-ins-rhs */
	BGL_EXPORTED_DEF obj_t
		BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(BgL_rtl_insz00_bglt BgL_oz00_452,
		obj_t BgL_pz00_453, obj_t BgL_mz00_454)
	{
		{	/* SawMill/defs.scm 268 */
			{	/* SawMill/defs.scm 270 */
				obj_t BgL_tmpz00_12075;

				BgL_tmpz00_12075 = ((obj_t) BgL_pz00_453);
				bgl_display_string(BGl_string3071z00zzsaw_defsz00, BgL_tmpz00_12075);
			}
			BGl_dumpzd2funzd2zzsaw_defsz00(
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_452))->BgL_funz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_452))->BgL_destz00),
				(((BgL_rtl_insz00_bglt) COBJECT(BgL_oz00_452))->BgL_argsz00),
				BgL_pz00_453, BgL_mz00_454);
			{	/* SawMill/defs.scm 272 */
				obj_t BgL_tmpz00_12082;

				BgL_tmpz00_12082 = ((obj_t) BgL_pz00_453);
				return
					bgl_display_string(BGl_string3072z00zzsaw_defsz00, BgL_tmpz00_12082);
			}
		}

	}



/* &dump-ins-rhs */
	obj_t BGl_z62dumpzd2inszd2rhsz62zzsaw_defsz00(obj_t BgL_envz00_7259,
		obj_t BgL_oz00_7260, obj_t BgL_pz00_7261, obj_t BgL_mz00_7262)
	{
		{	/* SawMill/defs.scm 268 */
			return
				BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_7260), BgL_pz00_7261, BgL_mz00_7262);
		}

	}



/* show-fun */
	obj_t BGl_showzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt BgL_oz00_458,
		obj_t BgL_pz00_459)
	{
		{	/* SawMill/defs.scm 286 */
			{	/* SawMill/defs.scm 287 */
				obj_t BgL_cz00_2074;

				{	/* SawMill/defs.scm 287 */
					obj_t BgL_arg1950z00_2077;

					{	/* SawMill/defs.scm 287 */
						obj_t BgL_arg1951z00_2078;

						{	/* SawMill/defs.scm 287 */
							long BgL_arg1833z00_5938;

							{	/* SawMill/defs.scm 287 */
								long BgL_arg1834z00_5939;

								BgL_arg1834z00_5939 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_458));
								BgL_arg1833z00_5938 = (BgL_arg1834z00_5939 - OBJECT_TYPE);
							}
							BgL_arg1951z00_2078 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5938);
						}
						BgL_arg1950z00_2077 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1951z00_2078);
					}
					{	/* SawMill/defs.scm 287 */
						obj_t BgL_arg1463z00_5946;

						BgL_arg1463z00_5946 = SYMBOL_TO_STRING(BgL_arg1950z00_2077);
						BgL_cz00_2074 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1463z00_5946);
				}}
				return
					bgl_display_obj(c_substring(BgL_cz00_2074, ((long) 4),
						STRING_LENGTH(BgL_cz00_2074)), BgL_pz00_459);
		}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			{	/* SawMill/defs.scm 12 */
				obj_t BgL_arg1955z00_2082;
				obj_t BgL_arg1956z00_2083;

				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1659z00_2099;

					BgL_v1659z00_2099 = create_vector(((long) 6));
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1962z00_2100;

						BgL_arg1962z00_2100 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3074z00zzsaw_defsz00,
							BGl_proc3073z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1659z00_2099, ((long) 0), BgL_arg1962z00_2100);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1968z00_2110;

						BgL_arg1968z00_2110 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3076z00zzsaw_defsz00,
							BGl_proc3075z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1659z00_2099, ((long) 1), BgL_arg1968z00_2110);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1973z00_2120;

						BgL_arg1973z00_2120 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc3079z00zzsaw_defsz00,
							BGl_proc3078z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3077z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1659z00_2099, ((long) 2), BgL_arg1973z00_2120);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1980z00_2133;

						BgL_arg1980z00_2133 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3082z00zzsaw_defsz00,
							BGl_proc3081z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3080z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1659z00_2099, ((long) 3), BgL_arg1980z00_2133);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1987z00_2147;

						BgL_arg1987z00_2147 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc3085z00zzsaw_defsz00,
							BGl_proc3084z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3083z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1659z00_2099, ((long) 4), BgL_arg1987z00_2147);
					}
					{	/* SawMill/defs.scm 12 */
						obj_t BgL_arg1994z00_2161;

						BgL_arg1994z00_2161 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc3088z00zzsaw_defsz00,
							BGl_proc3087z00zzsaw_defsz00, ((bool_t) 1), ((bool_t) 0), BFALSE,
							BGl_proc3086z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1659z00_2099, ((long) 5), BgL_arg1994z00_2161);
					}
					BgL_arg1955z00_2082 = BgL_v1659z00_2099;
				}
				{	/* SawMill/defs.scm 12 */
					obj_t BgL_v1660z00_2174;

					BgL_v1660z00_2174 = create_vector(((long) 0));
					BgL_arg1956z00_2083 = BgL_v1660z00_2174;
				}
				BGl_rtl_regz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 24220), BGl_proc3091z00zzsaw_defsz00,
					BGl_proc3090z00zzsaw_defsz00, BFALSE, BGl_proc3089z00zzsaw_defsz00,
					BFALSE, BgL_arg1955z00_2082, BgL_arg1956z00_2083);
			}
			{	/* SawMill/defs.scm 20 */
				obj_t BgL_arg2004z00_2181;
				obj_t BgL_arg2005z00_2182;

				{	/* SawMill/defs.scm 20 */
					obj_t BgL_v1661z00_2193;

					BgL_v1661z00_2193 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 20 */
						obj_t BgL_arg2011z00_2194;

						BgL_arg2011z00_2194 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3094z00zzsaw_defsz00,
							BGl_proc3093z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3092z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1661z00_2193, ((long) 0), BgL_arg2011z00_2194);
					}
					BgL_arg2004z00_2181 = BgL_v1661z00_2193;
				}
				{	/* SawMill/defs.scm 20 */
					obj_t BgL_v1662z00_2207;

					BgL_v1662z00_2207 = create_vector(((long) 0));
					BgL_arg2005z00_2182 = BgL_v1662z00_2207;
				}
				BGl_rtl_funz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 50121), BGl_proc3097z00zzsaw_defsz00,
					BGl_proc3096z00zzsaw_defsz00, BFALSE, BGl_proc3095z00zzsaw_defsz00,
					BFALSE, BgL_arg2004z00_2181, BgL_arg2005z00_2182);
			}
			{	/* SawMill/defs.scm 22 */
				obj_t BgL_arg2022z00_2214;
				obj_t BgL_arg2023z00_2215;

				{	/* SawMill/defs.scm 22 */
					obj_t BgL_v1663z00_2226;

					BgL_v1663z00_2226 = create_vector(((long) 0));
					BgL_arg2022z00_2214 = BgL_v1663z00_2226;
				}
				{	/* SawMill/defs.scm 22 */
					obj_t BgL_v1664z00_2227;

					BgL_v1664z00_2227 = create_vector(((long) 0));
					BgL_arg2023z00_2215 = BgL_v1664z00_2227;
				}
				BGl_rtl_lastz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 12)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 46348), BGl_proc3100z00zzsaw_defsz00,
					BGl_proc3099z00zzsaw_defsz00, BFALSE, BGl_proc3098z00zzsaw_defsz00,
					BFALSE, BgL_arg2022z00_2214, BgL_arg2023z00_2215);
			}
			{	/* SawMill/defs.scm 23 */
				obj_t BgL_arg2035z00_2234;
				obj_t BgL_arg2036z00_2235;

				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1665z00_2247;

					BgL_v1665z00_2247 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 23 */
						obj_t BgL_arg2043z00_2248;

						BgL_arg2043z00_2248 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3102z00zzsaw_defsz00,
							BGl_proc3101z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1665z00_2247, ((long) 0), BgL_arg2043z00_2248);
					}
					BgL_arg2035z00_2234 = BgL_v1665z00_2247;
				}
				{	/* SawMill/defs.scm 23 */
					obj_t BgL_v1666z00_2258;

					BgL_v1666z00_2258 = create_vector(((long) 0));
					BgL_arg2036z00_2235 = BgL_v1666z00_2258;
				}
				BGl_rtl_returnz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 2933), BGl_proc3105z00zzsaw_defsz00,
					BGl_proc3104z00zzsaw_defsz00, BFALSE, BGl_proc3103z00zzsaw_defsz00,
					BFALSE, BgL_arg2035z00_2234, BgL_arg2036z00_2235);
			}
			{	/* SawMill/defs.scm 24 */
				obj_t BgL_arg2052z00_2265;
				obj_t BgL_arg2053z00_2266;

				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1667z00_2277;

					BgL_v1667z00_2277 = create_vector(((long) 0));
					BgL_arg2052z00_2265 = BgL_v1667z00_2277;
				}
				{	/* SawMill/defs.scm 24 */
					obj_t BgL_v1668z00_2278;

					BgL_v1668z00_2278 = create_vector(((long) 0));
					BgL_arg2053z00_2266 = BgL_v1668z00_2278;
				}
				BGl_rtl_jumpexitz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 2291), BGl_proc3108z00zzsaw_defsz00,
					BGl_proc3107z00zzsaw_defsz00, BFALSE, BGl_proc3106z00zzsaw_defsz00,
					BFALSE, BgL_arg2052z00_2265, BgL_arg2053z00_2266);
			}
			{	/* SawMill/defs.scm 25 */
				obj_t BgL_arg2063z00_2285;
				obj_t BgL_arg2064z00_2286;

				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1669z00_2297;

					BgL_v1669z00_2297 = create_vector(((long) 0));
					BgL_arg2063z00_2285 = BgL_v1669z00_2297;
				}
				{	/* SawMill/defs.scm 25 */
					obj_t BgL_v1670z00_2298;

					BgL_v1670z00_2298 = create_vector(((long) 0));
					BgL_arg2064z00_2286 = BgL_v1670z00_2298;
				}
				BGl_rtl_failz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 15)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_lastz00zzsaw_defsz00,
					((long) 45401), BGl_proc3111z00zzsaw_defsz00,
					BGl_proc3110z00zzsaw_defsz00, BFALSE, BGl_proc3109z00zzsaw_defsz00,
					BFALSE, BgL_arg2063z00_2285, BgL_arg2064z00_2286);
			}
			{	/* SawMill/defs.scm 27 */
				obj_t BgL_arg2074z00_2305;
				obj_t BgL_arg2075z00_2306;

				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1671z00_2317;

					BgL_v1671z00_2317 = create_vector(((long) 0));
					BgL_arg2074z00_2305 = BgL_v1671z00_2317;
				}
				{	/* SawMill/defs.scm 27 */
					obj_t BgL_v1672z00_2318;

					BgL_v1672z00_2318 = create_vector(((long) 0));
					BgL_arg2075z00_2306 = BgL_v1672z00_2318;
				}
				BGl_rtl_notseqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 16)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 57578), BGl_proc3114z00zzsaw_defsz00,
					BGl_proc3113z00zzsaw_defsz00, BFALSE, BGl_proc3112z00zzsaw_defsz00,
					BFALSE, BgL_arg2074z00_2305, BgL_arg2075z00_2306);
			}
			{	/* SawMill/defs.scm 28 */
				obj_t BgL_arg2086z00_2325;
				obj_t BgL_arg2087z00_2326;

				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1673z00_2337;

					BgL_v1673z00_2337 = create_vector(((long) 0));
					BgL_arg2086z00_2325 = BgL_v1673z00_2337;
				}
				{	/* SawMill/defs.scm 28 */
					obj_t BgL_v1674z00_2338;

					BgL_v1674z00_2338 = create_vector(((long) 0));
					BgL_arg2087z00_2326 = BgL_v1674z00_2338;
				}
				BGl_rtl_ifz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 17)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 31216), BGl_proc3117z00zzsaw_defsz00,
					BGl_proc3116z00zzsaw_defsz00, BFALSE, BGl_proc3115z00zzsaw_defsz00,
					BFALSE, BgL_arg2086z00_2325, BgL_arg2087z00_2326);
			}
			{	/* SawMill/defs.scm 29 */
				obj_t BgL_arg2096z00_2345;
				obj_t BgL_arg2097z00_2346;

				{	/* SawMill/defs.scm 29 */
					obj_t BgL_v1675z00_2359;

					BgL_v1675z00_2359 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 29 */
						obj_t BgL_arg2104z00_2360;

						BgL_arg2104z00_2360 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3119z00zzsaw_defsz00,
							BGl_proc3118z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1675z00_2359, ((long) 0), BgL_arg2104z00_2360);
					}
					{	/* SawMill/defs.scm 29 */
						obj_t BgL_arg2109z00_2370;

						BgL_arg2109z00_2370 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									18)), BGl_proc3121z00zzsaw_defsz00,
							BGl_proc3120z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1675z00_2359, ((long) 1), BgL_arg2109z00_2370);
					}
					BgL_arg2096z00_2345 = BgL_v1675z00_2359;
				}
				{	/* SawMill/defs.scm 29 */
					obj_t BgL_v1676z00_2380;

					BgL_v1676z00_2380 = create_vector(((long) 0));
					BgL_arg2097z00_2346 = BgL_v1676z00_2380;
				}
				BGl_rtl_selectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 6346), BGl_proc3124z00zzsaw_defsz00,
					BGl_proc3123z00zzsaw_defsz00, BFALSE, BGl_proc3122z00zzsaw_defsz00,
					BFALSE, BgL_arg2096z00_2345, BgL_arg2097z00_2346);
			}
			{	/* SawMill/defs.scm 30 */
				obj_t BgL_arg2118z00_2387;
				obj_t BgL_arg2119z00_2388;

				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1677z00_2402;

					BgL_v1677z00_2402 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 30 */
						obj_t BgL_arg2125z00_2403;

						BgL_arg2125z00_2403 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									20)), BGl_proc3126z00zzsaw_defsz00,
							BGl_proc3125z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1677z00_2402, ((long) 0), BgL_arg2125z00_2403);
					}
					BgL_arg2118z00_2387 = BgL_v1677z00_2402;
				}
				{	/* SawMill/defs.scm 30 */
					obj_t BgL_v1678z00_2413;

					BgL_v1678z00_2413 = create_vector(((long) 0));
					BgL_arg2119z00_2388 = BgL_v1678z00_2413;
				}
				BGl_rtl_switchz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 21)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_selectz00zzsaw_defsz00,
					((long) 61548), BGl_proc3129z00zzsaw_defsz00,
					BGl_proc3128z00zzsaw_defsz00, BFALSE, BGl_proc3127z00zzsaw_defsz00,
					BFALSE, BgL_arg2118z00_2387, BgL_arg2119z00_2388);
			}
			{	/* SawMill/defs.scm 31 */
				obj_t BgL_arg2133z00_2420;
				obj_t BgL_arg2134z00_2421;

				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1679z00_2433;

					BgL_v1679z00_2433 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 31 */
						obj_t BgL_arg2140z00_2434;

						BgL_arg2140z00_2434 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3131z00zzsaw_defsz00,
							BGl_proc3130z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1679z00_2433, ((long) 0), BgL_arg2140z00_2434);
					}
					BgL_arg2133z00_2420 = BgL_v1679z00_2433;
				}
				{	/* SawMill/defs.scm 31 */
					obj_t BgL_v1680z00_2444;

					BgL_v1680z00_2444 = create_vector(((long) 0));
					BgL_arg2134z00_2421 = BgL_v1680z00_2444;
				}
				BGl_rtl_ifeqz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 23)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 50772), BGl_proc3134z00zzsaw_defsz00,
					BGl_proc3133z00zzsaw_defsz00, BFALSE, BGl_proc3132z00zzsaw_defsz00,
					BFALSE, BgL_arg2133z00_2420, BgL_arg2134z00_2421);
			}
			{	/* SawMill/defs.scm 32 */
				obj_t BgL_arg2149z00_2451;
				obj_t BgL_arg2150z00_2452;

				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1681z00_2464;

					BgL_v1681z00_2464 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 32 */
						obj_t BgL_arg2156z00_2465;

						BgL_arg2156z00_2465 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									22)), BGl_proc3136z00zzsaw_defsz00,
							BGl_proc3135z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1681z00_2464, ((long) 0), BgL_arg2156z00_2465);
					}
					BgL_arg2149z00_2451 = BgL_v1681z00_2464;
				}
				{	/* SawMill/defs.scm 32 */
					obj_t BgL_v1682z00_2475;

					BgL_v1682z00_2475 = create_vector(((long) 0));
					BgL_arg2150z00_2452 = BgL_v1682z00_2475;
				}
				BGl_rtl_ifnez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 43703), BGl_proc3139z00zzsaw_defsz00,
					BGl_proc3138z00zzsaw_defsz00, BFALSE, BGl_proc3137z00zzsaw_defsz00,
					BFALSE, BgL_arg2149z00_2451, BgL_arg2150z00_2452);
			}
			{	/* SawMill/defs.scm 33 */
				obj_t BgL_arg2165z00_2482;
				obj_t BgL_arg2166z00_2483;

				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1683z00_2495;

					BgL_v1683z00_2495 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 33 */
						obj_t BgL_arg2172z00_2496;

						BgL_arg2172z00_2496 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									25)), BGl_proc3141z00zzsaw_defsz00,
							BGl_proc3140z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1683z00_2495, ((long) 0), BgL_arg2172z00_2496);
					}
					BgL_arg2165z00_2482 = BgL_v1683z00_2495;
				}
				{	/* SawMill/defs.scm 33 */
					obj_t BgL_v1684z00_2506;

					BgL_v1684z00_2506 = create_vector(((long) 0));
					BgL_arg2166z00_2483 = BgL_v1684z00_2506;
				}
				BGl_rtl_goz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_notseqz00zzsaw_defsz00,
					((long) 55455), BGl_proc3144z00zzsaw_defsz00,
					BGl_proc3143z00zzsaw_defsz00, BFALSE, BGl_proc3142z00zzsaw_defsz00,
					BFALSE, BgL_arg2165z00_2482, BgL_arg2166z00_2483);
			}
			{	/* SawMill/defs.scm 35 */
				obj_t BgL_arg2180z00_2513;
				obj_t BgL_arg2181z00_2514;

				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1685z00_2525;

					BgL_v1685z00_2525 = create_vector(((long) 0));
					BgL_arg2180z00_2513 = BgL_v1685z00_2525;
				}
				{	/* SawMill/defs.scm 35 */
					obj_t BgL_v1686z00_2526;

					BgL_v1686z00_2526 = create_vector(((long) 0));
					BgL_arg2181z00_2514 = BgL_v1686z00_2526;
				}
				BGl_rtl_purez00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 28820), BGl_proc3147z00zzsaw_defsz00,
					BGl_proc3146z00zzsaw_defsz00, BFALSE, BGl_proc3145z00zzsaw_defsz00,
					BFALSE, BgL_arg2180z00_2513, BgL_arg2181z00_2514);
			}
			{	/* SawMill/defs.scm 36 */
				obj_t BgL_arg2190z00_2533;
				obj_t BgL_arg2191z00_2534;

				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1687z00_2545;

					BgL_v1687z00_2545 = create_vector(((long) 0));
					BgL_arg2190z00_2533 = BgL_v1687z00_2545;
				}
				{	/* SawMill/defs.scm 36 */
					obj_t BgL_v1688z00_2546;

					BgL_v1688z00_2546 = create_vector(((long) 0));
					BgL_arg2191z00_2534 = BgL_v1688z00_2546;
				}
				BGl_rtl_nopz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 28)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 27632), BGl_proc3150z00zzsaw_defsz00,
					BGl_proc3149z00zzsaw_defsz00, BFALSE, BGl_proc3148z00zzsaw_defsz00,
					BFALSE, BgL_arg2190z00_2533, BgL_arg2191z00_2534);
			}
			{	/* SawMill/defs.scm 37 */
				obj_t BgL_arg2200z00_2553;
				obj_t BgL_arg2201z00_2554;

				{	/* SawMill/defs.scm 37 */
					obj_t BgL_v1689z00_2565;

					BgL_v1689z00_2565 = create_vector(((long) 0));
					BgL_arg2200z00_2553 = BgL_v1689z00_2565;
				}
				{	/* SawMill/defs.scm 37 */
					obj_t BgL_v1690z00_2566;

					BgL_v1690z00_2566 = create_vector(((long) 0));
					BgL_arg2201z00_2554 = BgL_v1690z00_2566;
				}
				BGl_rtl_movz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 29)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 12799), BGl_proc3153z00zzsaw_defsz00,
					BGl_proc3152z00zzsaw_defsz00, BFALSE, BGl_proc3151z00zzsaw_defsz00,
					BFALSE, BgL_arg2200z00_2553, BgL_arg2201z00_2554);
			}
			{	/* SawMill/defs.scm 38 */
				obj_t BgL_arg2210z00_2573;
				obj_t BgL_arg2211z00_2574;

				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1691z00_2586;

					BgL_v1691z00_2586 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 38 */
						obj_t BgL_arg2217z00_2587;

						BgL_arg2217z00_2587 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									30)), BGl_proc3155z00zzsaw_defsz00,
							BGl_proc3154z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_atomz00zzast_nodez00);
						VECTOR_SET(BgL_v1691z00_2586, ((long) 0), BgL_arg2217z00_2587);
					}
					BgL_arg2210z00_2573 = BgL_v1691z00_2586;
				}
				{	/* SawMill/defs.scm 38 */
					obj_t BgL_v1692z00_2597;

					BgL_v1692z00_2597 = create_vector(((long) 0));
					BgL_arg2211z00_2574 = BgL_v1692z00_2597;
				}
				BGl_rtl_loadiz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 31)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 16623), BGl_proc3158z00zzsaw_defsz00,
					BGl_proc3157z00zzsaw_defsz00, BFALSE, BGl_proc3156z00zzsaw_defsz00,
					BFALSE, BgL_arg2210z00_2573, BgL_arg2211z00_2574);
			}
			{	/* SawMill/defs.scm 39 */
				obj_t BgL_arg2225z00_2604;
				obj_t BgL_arg2226z00_2605;

				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1693z00_2617;

					BgL_v1693z00_2617 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 39 */
						obj_t BgL_arg2232z00_2618;

						BgL_arg2232z00_2618 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3160z00zzsaw_defsz00,
							BGl_proc3159z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1693z00_2617, ((long) 0), BgL_arg2232z00_2618);
					}
					BgL_arg2225z00_2604 = BgL_v1693z00_2617;
				}
				{	/* SawMill/defs.scm 39 */
					obj_t BgL_v1694z00_2628;

					BgL_v1694z00_2628 = create_vector(((long) 0));
					BgL_arg2226z00_2605 = BgL_v1694z00_2628;
				}
				BGl_rtl_loadgz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 32)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 34672), BGl_proc3163z00zzsaw_defsz00,
					BGl_proc3162z00zzsaw_defsz00, BFALSE, BGl_proc3161z00zzsaw_defsz00,
					BFALSE, BgL_arg2225z00_2604, BgL_arg2226z00_2605);
			}
			{	/* SawMill/defs.scm 40 */
				obj_t BgL_arg2240z00_2635;
				obj_t BgL_arg2241z00_2636;

				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1695z00_2648;

					BgL_v1695z00_2648 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 40 */
						obj_t BgL_arg2247z00_2649;

						BgL_arg2247z00_2649 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3165z00zzsaw_defsz00,
							BGl_proc3164z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1695z00_2648, ((long) 0), BgL_arg2247z00_2649);
					}
					BgL_arg2240z00_2635 = BgL_v1695z00_2648;
				}
				{	/* SawMill/defs.scm 40 */
					obj_t BgL_v1696z00_2659;

					BgL_v1696z00_2659 = create_vector(((long) 0));
					BgL_arg2241z00_2636 = BgL_v1696z00_2659;
				}
				BGl_rtl_loadfunz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 33)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 13326), BGl_proc3168z00zzsaw_defsz00,
					BGl_proc3167z00zzsaw_defsz00, BFALSE, BGl_proc3166z00zzsaw_defsz00,
					BFALSE, BgL_arg2240z00_2635, BgL_arg2241z00_2636);
			}
			{	/* SawMill/defs.scm 41 */
				obj_t BgL_arg2255z00_2666;
				obj_t BgL_arg2256z00_2667;

				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1697z00_2679;

					BgL_v1697z00_2679 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 41 */
						obj_t BgL_arg2262z00_2680;

						BgL_arg2262z00_2680 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3170z00zzsaw_defsz00,
							BGl_proc3169z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1697z00_2679, ((long) 0), BgL_arg2262z00_2680);
					}
					BgL_arg2255z00_2666 = BgL_v1697z00_2679;
				}
				{	/* SawMill/defs.scm 41 */
					obj_t BgL_v1698z00_2690;

					BgL_v1698z00_2690 = create_vector(((long) 0));
					BgL_arg2256z00_2667 = BgL_v1698z00_2690;
				}
				BGl_rtl_globalrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 34)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 23593), BGl_proc3173z00zzsaw_defsz00,
					BGl_proc3172z00zzsaw_defsz00, BFALSE, BGl_proc3171z00zzsaw_defsz00,
					BFALSE, BgL_arg2255z00_2666, BgL_arg2256z00_2667);
			}
			{	/* SawMill/defs.scm 42 */
				obj_t BgL_arg2270z00_2697;
				obj_t BgL_arg2271z00_2698;

				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1699z00_2712;

					BgL_v1699z00_2712 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2277z00_2713;

						BgL_arg2277z00_2713 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3175z00zzsaw_defsz00,
							BGl_proc3174z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1699z00_2712, ((long) 0), BgL_arg2277z00_2713);
					}
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2283z00_2723;

						BgL_arg2283z00_2723 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3177z00zzsaw_defsz00,
							BGl_proc3176z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1699z00_2712, ((long) 1), BgL_arg2283z00_2723);
					}
					{	/* SawMill/defs.scm 42 */
						obj_t BgL_arg2289z00_2733;

						BgL_arg2289z00_2733 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3179z00zzsaw_defsz00,
							BGl_proc3178z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1699z00_2712, ((long) 2), BgL_arg2289z00_2733);
					}
					BgL_arg2270z00_2697 = BgL_v1699z00_2712;
				}
				{	/* SawMill/defs.scm 42 */
					obj_t BgL_v1700z00_2743;

					BgL_v1700z00_2743 = create_vector(((long) 0));
					BgL_arg2271z00_2698 = BgL_v1700z00_2743;
				}
				BGl_rtl_getfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 37)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 51124), BGl_proc3182z00zzsaw_defsz00,
					BGl_proc3181z00zzsaw_defsz00, BFALSE, BGl_proc3180z00zzsaw_defsz00,
					BFALSE, BgL_arg2270z00_2697, BgL_arg2271z00_2698);
			}
			{	/* SawMill/defs.scm 43 */
				obj_t BgL_arg2297z00_2750;
				obj_t BgL_arg2298z00_2751;

				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1701z00_2764;

					BgL_v1701z00_2764 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 43 */
						obj_t BgL_arg2306z00_2765;

						BgL_arg2306z00_2765 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3184z00zzsaw_defsz00,
							BGl_proc3183z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1701z00_2764, ((long) 0), BgL_arg2306z00_2765);
					}
					{	/* SawMill/defs.scm 43 */
						obj_t BgL_arg2311z00_2775;

						BgL_arg2311z00_2775 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3186z00zzsaw_defsz00,
							BGl_proc3185z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1701z00_2764, ((long) 1), BgL_arg2311z00_2775);
					}
					BgL_arg2297z00_2750 = BgL_v1701z00_2764;
				}
				{	/* SawMill/defs.scm 43 */
					obj_t BgL_v1702z00_2785;

					BgL_v1702z00_2785 = create_vector(((long) 0));
					BgL_arg2298z00_2751 = BgL_v1702z00_2785;
				}
				BGl_rtl_vallocz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 39)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 58150), BGl_proc3189z00zzsaw_defsz00,
					BGl_proc3188z00zzsaw_defsz00, BFALSE, BGl_proc3187z00zzsaw_defsz00,
					BFALSE, BgL_arg2297z00_2750, BgL_arg2298z00_2751);
			}
			{	/* SawMill/defs.scm 44 */
				obj_t BgL_arg2321z00_2792;
				obj_t BgL_arg2322z00_2793;

				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1703z00_2806;

					BgL_v1703z00_2806 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2328z00_2807;

						BgL_arg2328z00_2807 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3191z00zzsaw_defsz00,
							BGl_proc3190z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1703z00_2806, ((long) 0), BgL_arg2328z00_2807);
					}
					{	/* SawMill/defs.scm 44 */
						obj_t BgL_arg2334z00_2817;

						BgL_arg2334z00_2817 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3193z00zzsaw_defsz00,
							BGl_proc3192z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1703z00_2806, ((long) 1), BgL_arg2334z00_2817);
					}
					BgL_arg2321z00_2792 = BgL_v1703z00_2806;
				}
				{	/* SawMill/defs.scm 44 */
					obj_t BgL_v1704z00_2827;

					BgL_v1704z00_2827 = create_vector(((long) 0));
					BgL_arg2322z00_2793 = BgL_v1704z00_2827;
				}
				BGl_rtl_vrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 40)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 12596), BGl_proc3196z00zzsaw_defsz00,
					BGl_proc3195z00zzsaw_defsz00, BFALSE, BGl_proc3194z00zzsaw_defsz00,
					BFALSE, BgL_arg2321z00_2792, BgL_arg2322z00_2793);
			}
			{	/* SawMill/defs.scm 45 */
				obj_t BgL_arg2343z00_2834;
				obj_t BgL_arg2346z00_2835;

				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1705z00_2848;

					BgL_v1705z00_2848 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2352z00_2849;

						BgL_arg2352z00_2849 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3198z00zzsaw_defsz00,
							BGl_proc3197z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1705z00_2848, ((long) 0), BgL_arg2352z00_2849);
					}
					{	/* SawMill/defs.scm 45 */
						obj_t BgL_arg2357z00_2859;

						BgL_arg2357z00_2859 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3200z00zzsaw_defsz00,
							BGl_proc3199z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1705z00_2848, ((long) 1), BgL_arg2357z00_2859);
					}
					BgL_arg2343z00_2834 = BgL_v1705z00_2848;
				}
				{	/* SawMill/defs.scm 45 */
					obj_t BgL_v1706z00_2869;

					BgL_v1706z00_2869 = create_vector(((long) 0));
					BgL_arg2346z00_2835 = BgL_v1706z00_2869;
				}
				BGl_rtl_vlengthz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 41)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 48015), BGl_proc3203z00zzsaw_defsz00,
					BGl_proc3202z00zzsaw_defsz00, BFALSE, BGl_proc3201z00zzsaw_defsz00,
					BFALSE, BgL_arg2343z00_2834, BgL_arg2346z00_2835);
			}
			{	/* SawMill/defs.scm 46 */
				obj_t BgL_arg2366z00_2876;
				obj_t BgL_arg2367z00_2877;

				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1707z00_2889;

					BgL_v1707z00_2889 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 46 */
						obj_t BgL_arg2374z00_2890;

						BgL_arg2374z00_2890 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3205z00zzsaw_defsz00,
							BGl_proc3204z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1707z00_2889, ((long) 0), BgL_arg2374z00_2890);
					}
					BgL_arg2366z00_2876 = BgL_v1707z00_2889;
				}
				{	/* SawMill/defs.scm 46 */
					obj_t BgL_v1708z00_2900;

					BgL_v1708z00_2900 = create_vector(((long) 0));
					BgL_arg2367z00_2877 = BgL_v1708z00_2900;
				}
				BGl_rtl_instanceofz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 42)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 47751), BGl_proc3208z00zzsaw_defsz00,
					BGl_proc3207z00zzsaw_defsz00, BFALSE, BGl_proc3206z00zzsaw_defsz00,
					BFALSE, BgL_arg2366z00_2876, BgL_arg2367z00_2877);
			}
			{	/* SawMill/defs.scm 47 */
				obj_t BgL_arg2382z00_2907;
				obj_t BgL_arg2383z00_2908;

				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1709z00_2919;

					BgL_v1709z00_2919 = create_vector(((long) 0));
					BgL_arg2382z00_2907 = BgL_v1709z00_2919;
				}
				{	/* SawMill/defs.scm 47 */
					obj_t BgL_v1710z00_2920;

					BgL_v1710z00_2920 = create_vector(((long) 0));
					BgL_arg2383z00_2908 = BgL_v1710z00_2920;
				}
				BGl_rtl_makeboxz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 43)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 40746), BGl_proc3211z00zzsaw_defsz00,
					BGl_proc3210z00zzsaw_defsz00, BFALSE, BGl_proc3209z00zzsaw_defsz00,
					BFALSE, BgL_arg2382z00_2907, BgL_arg2383z00_2908);
			}
			{	/* SawMill/defs.scm 48 */
				obj_t BgL_arg2394z00_2927;
				obj_t BgL_arg2395z00_2928;

				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1711z00_2939;

					BgL_v1711z00_2939 = create_vector(((long) 0));
					BgL_arg2394z00_2927 = BgL_v1711z00_2939;
				}
				{	/* SawMill/defs.scm 48 */
					obj_t BgL_v1712z00_2940;

					BgL_v1712z00_2940 = create_vector(((long) 0));
					BgL_arg2395z00_2928 = BgL_v1712z00_2940;
				}
				BGl_rtl_boxrefz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 44)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_purez00zzsaw_defsz00,
					((long) 52683), BGl_proc3214z00zzsaw_defsz00,
					BGl_proc3213z00zzsaw_defsz00, BFALSE, BGl_proc3212z00zzsaw_defsz00,
					BFALSE, BgL_arg2394z00_2927, BgL_arg2395z00_2928);
			}
			{	/* SawMill/defs.scm 50 */
				obj_t BgL_arg2406z00_2947;
				obj_t BgL_arg2407z00_2948;

				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1713z00_2959;

					BgL_v1713z00_2959 = create_vector(((long) 0));
					BgL_arg2406z00_2947 = BgL_v1713z00_2959;
				}
				{	/* SawMill/defs.scm 50 */
					obj_t BgL_v1714z00_2960;

					BgL_v1714z00_2960 = create_vector(((long) 0));
					BgL_arg2407z00_2948 = BgL_v1714z00_2960;
				}
				BGl_rtl_effectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 45)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 9927), BGl_proc3217z00zzsaw_defsz00,
					BGl_proc3216z00zzsaw_defsz00, BFALSE, BGl_proc3215z00zzsaw_defsz00,
					BFALSE, BgL_arg2406z00_2947, BgL_arg2407z00_2948);
			}
			{	/* SawMill/defs.scm 51 */
				obj_t BgL_arg2416z00_2967;
				obj_t BgL_arg2418z00_2968;

				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1715z00_2980;

					BgL_v1715z00_2980 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 51 */
						obj_t BgL_arg2425z00_2981;

						BgL_arg2425z00_2981 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3219z00zzsaw_defsz00,
							BGl_proc3218z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1715z00_2980, ((long) 0), BgL_arg2425z00_2981);
					}
					BgL_arg2416z00_2967 = BgL_v1715z00_2980;
				}
				{	/* SawMill/defs.scm 51 */
					obj_t BgL_v1716z00_2991;

					BgL_v1716z00_2991 = create_vector(((long) 0));
					BgL_arg2418z00_2968 = BgL_v1716z00_2991;
				}
				BGl_rtl_storegz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 46)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 10162), BGl_proc3222z00zzsaw_defsz00,
					BGl_proc3221z00zzsaw_defsz00, BFALSE, BGl_proc3220z00zzsaw_defsz00,
					BFALSE, BgL_arg2416z00_2967, BgL_arg2418z00_2968);
			}
			{	/* SawMill/defs.scm 52 */
				obj_t BgL_arg2434z00_2998;
				obj_t BgL_arg2436z00_2999;

				{	/* SawMill/defs.scm 52 */
					obj_t BgL_v1717z00_3013;

					BgL_v1717z00_3013 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 52 */
						obj_t BgL_arg2444z00_3014;

						BgL_arg2444z00_3014 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3224z00zzsaw_defsz00,
							BGl_proc3223z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1717z00_3013, ((long) 0), BgL_arg2444z00_3014);
					}
					{	/* SawMill/defs.scm 52 */
						obj_t BgL_arg2449z00_3024;

						BgL_arg2449z00_3024 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									36)), BGl_proc3226z00zzsaw_defsz00,
							BGl_proc3225z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1717z00_3013, ((long) 1), BgL_arg2449z00_3024);
					}
					{	/* SawMill/defs.scm 52 */
						obj_t BgL_arg2454z00_3034;

						BgL_arg2454z00_3034 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3228z00zzsaw_defsz00,
							BGl_proc3227z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1717z00_3013, ((long) 2), BgL_arg2454z00_3034);
					}
					BgL_arg2434z00_2998 = BgL_v1717z00_3013;
				}
				{	/* SawMill/defs.scm 52 */
					obj_t BgL_v1718z00_3044;

					BgL_v1718z00_3044 = create_vector(((long) 0));
					BgL_arg2436z00_2999 = BgL_v1718z00_3044;
				}
				BGl_rtl_setfieldz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 47)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 44593), BGl_proc3231z00zzsaw_defsz00,
					BGl_proc3230z00zzsaw_defsz00, BFALSE, BGl_proc3229z00zzsaw_defsz00,
					BFALSE, BgL_arg2434z00_2998, BgL_arg2436z00_2999);
			}
			{	/* SawMill/defs.scm 53 */
				obj_t BgL_arg2464z00_3051;
				obj_t BgL_arg2467z00_3052;

				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1719z00_3065;

					BgL_v1719z00_3065 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 53 */
						obj_t BgL_arg2473z00_3066;

						BgL_arg2473z00_3066 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3233z00zzsaw_defsz00,
							BGl_proc3232z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1719z00_3065, ((long) 0), BgL_arg2473z00_3066);
					}
					{	/* SawMill/defs.scm 53 */
						obj_t BgL_arg2479z00_3076;

						BgL_arg2479z00_3076 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									38)), BGl_proc3235z00zzsaw_defsz00,
							BGl_proc3234z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1719z00_3065, ((long) 1), BgL_arg2479z00_3076);
					}
					BgL_arg2464z00_3051 = BgL_v1719z00_3065;
				}
				{	/* SawMill/defs.scm 53 */
					obj_t BgL_v1720z00_3086;

					BgL_v1720z00_3086 = create_vector(((long) 0));
					BgL_arg2467z00_3052 = BgL_v1720z00_3086;
				}
				BGl_rtl_vsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 48)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 41652), BGl_proc3238z00zzsaw_defsz00,
					BGl_proc3237z00zzsaw_defsz00, BFALSE, BGl_proc3236z00zzsaw_defsz00,
					BFALSE, BgL_arg2464z00_3051, BgL_arg2467z00_3052);
			}
			{	/* SawMill/defs.scm 54 */
				obj_t BgL_arg2491z00_3093;
				obj_t BgL_arg2492z00_3094;

				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1721z00_3105;

					BgL_v1721z00_3105 = create_vector(((long) 0));
					BgL_arg2491z00_3093 = BgL_v1721z00_3105;
				}
				{	/* SawMill/defs.scm 54 */
					obj_t BgL_v1722z00_3106;

					BgL_v1722z00_3106 = create_vector(((long) 0));
					BgL_arg2492z00_3094 = BgL_v1722z00_3106;
				}
				BGl_rtl_boxsetz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 49)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_effectz00zzsaw_defsz00,
					((long) 28043), BGl_proc3241z00zzsaw_defsz00,
					BGl_proc3240z00zzsaw_defsz00, BFALSE, BGl_proc3239z00zzsaw_defsz00,
					BFALSE, BgL_arg2491z00_3093, BgL_arg2492z00_3094);
			}
			{	/* SawMill/defs.scm 56 */
				obj_t BgL_arg2504z00_3113;
				obj_t BgL_arg2506z00_3114;

				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1723z00_3127;

					BgL_v1723z00_3127 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2519z00_3128;

						BgL_arg2519z00_3128 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3243z00zzsaw_defsz00,
							BGl_proc3242z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1723z00_3127, ((long) 0), BgL_arg2519z00_3128);
					}
					{	/* SawMill/defs.scm 56 */
						obj_t BgL_arg2525z00_3138;

						BgL_arg2525z00_3138 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									50)), BGl_proc3245z00zzsaw_defsz00,
							BGl_proc3244z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1723z00_3127, ((long) 1), BgL_arg2525z00_3138);
					}
					BgL_arg2504z00_3113 = BgL_v1723z00_3127;
				}
				{	/* SawMill/defs.scm 56 */
					obj_t BgL_v1724z00_3148;

					BgL_v1724z00_3148 = create_vector(((long) 0));
					BgL_arg2506z00_3114 = BgL_v1724z00_3148;
				}
				BGl_rtl_newz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 52)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 55659), BGl_proc3248z00zzsaw_defsz00,
					BGl_proc3247z00zzsaw_defsz00, BFALSE, BGl_proc3246z00zzsaw_defsz00,
					BFALSE, BgL_arg2504z00_3113, BgL_arg2506z00_3114);
			}
			{	/* SawMill/defs.scm 57 */
				obj_t BgL_arg2535z00_3155;
				obj_t BgL_arg2537z00_3156;

				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1725z00_3168;

					BgL_v1725z00_3168 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 57 */
						obj_t BgL_arg2548z00_3169;

						BgL_arg2548z00_3169 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									2)), BGl_proc3250z00zzsaw_defsz00,
							BGl_proc3249z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_globalz00zzast_varz00);
						VECTOR_SET(BgL_v1725z00_3168, ((long) 0), BgL_arg2548z00_3169);
					}
					BgL_arg2535z00_3155 = BgL_v1725z00_3168;
				}
				{	/* SawMill/defs.scm 57 */
					obj_t BgL_v1726z00_3179;

					BgL_v1726z00_3179 = create_vector(((long) 0));
					BgL_arg2537z00_3156 = BgL_v1726z00_3179;
				}
				BGl_rtl_callz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 53)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 39022), BGl_proc3253z00zzsaw_defsz00,
					BGl_proc3252z00zzsaw_defsz00, BFALSE, BGl_proc3251z00zzsaw_defsz00,
					BFALSE, BgL_arg2535z00_3155, BgL_arg2537z00_3156);
			}
			{	/* SawMill/defs.scm 58 */
				obj_t BgL_arg2562z00_3186;
				obj_t BgL_arg2563z00_3187;

				{	/* SawMill/defs.scm 58 */
					obj_t BgL_v1727z00_3198;

					BgL_v1727z00_3198 = create_vector(((long) 0));
					BgL_arg2562z00_3186 = BgL_v1727z00_3198;
				}
				{	/* SawMill/defs.scm 58 */
					obj_t BgL_v1728z00_3199;

					BgL_v1728z00_3199 = create_vector(((long) 0));
					BgL_arg2563z00_3187 = BgL_v1728z00_3199;
				}
				BGl_rtl_applyz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 54)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 20926), BGl_proc3256z00zzsaw_defsz00,
					BGl_proc3255z00zzsaw_defsz00, BFALSE, BGl_proc3254z00zzsaw_defsz00,
					BFALSE, BgL_arg2562z00_3186, BgL_arg2563z00_3187);
			}
			{	/* SawMill/defs.scm 59 */
				obj_t BgL_arg2574z00_3206;
				obj_t BgL_arg2576z00_3207;

				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1729z00_3221;

					BgL_v1729z00_3221 = create_vector(((long) 3));
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2582z00_3222;

						BgL_arg2582z00_3222 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc3258z00zzsaw_defsz00,
							BGl_proc3257z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 55)));
						VECTOR_SET(BgL_v1729z00_3221, ((long) 0), BgL_arg2582z00_3222);
					}
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2587z00_3232;

						BgL_arg2587z00_3232 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									56)), BGl_proc3260z00zzsaw_defsz00,
							BGl_proc3259z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1729z00_3221, ((long) 1), BgL_arg2587z00_3232);
					}
					{	/* SawMill/defs.scm 59 */
						obj_t BgL_arg2593z00_3242;

						BgL_arg2593z00_3242 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									57)), BGl_proc3262z00zzsaw_defsz00,
							BGl_proc3261z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1729z00_3221, ((long) 2), BgL_arg2593z00_3242);
					}
					BgL_arg2574z00_3206 = BgL_v1729z00_3221;
				}
				{	/* SawMill/defs.scm 59 */
					obj_t BgL_v1730z00_3252;

					BgL_v1730z00_3252 = create_vector(((long) 0));
					BgL_arg2576z00_3207 = BgL_v1730z00_3252;
				}
				BGl_rtl_lightfuncallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 58)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 38185), BGl_proc3265z00zzsaw_defsz00,
					BGl_proc3264z00zzsaw_defsz00, BFALSE, BGl_proc3263z00zzsaw_defsz00,
					BFALSE, BgL_arg2574z00_3206, BgL_arg2576z00_3207);
			}
			{	/* SawMill/defs.scm 60 */
				obj_t BgL_arg2601z00_3259;
				obj_t BgL_arg2602z00_3260;

				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1731z00_3271;

					BgL_v1731z00_3271 = create_vector(((long) 0));
					BgL_arg2601z00_3259 = BgL_v1731z00_3271;
				}
				{	/* SawMill/defs.scm 60 */
					obj_t BgL_v1732z00_3272;

					BgL_v1732z00_3272 = create_vector(((long) 0));
					BgL_arg2602z00_3260 = BgL_v1732z00_3272;
				}
				BGl_rtl_funcallz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 59)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 41503), BGl_proc3268z00zzsaw_defsz00,
					BGl_proc3267z00zzsaw_defsz00, BFALSE, BGl_proc3266z00zzsaw_defsz00,
					BFALSE, BgL_arg2601z00_3259, BgL_arg2602z00_3260);
			}
			{	/* SawMill/defs.scm 61 */
				obj_t BgL_arg2612z00_3279;
				obj_t BgL_arg2613z00_3280;

				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1733z00_3292;

					BgL_v1733z00_3292 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 61 */
						obj_t BgL_arg2619z00_3293;

						BgL_arg2619z00_3293 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									60)), BGl_proc3270z00zzsaw_defsz00,
							BGl_proc3269z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 35)));
						VECTOR_SET(BgL_v1733z00_3292, ((long) 0), BgL_arg2619z00_3293);
					}
					BgL_arg2612z00_3279 = BgL_v1733z00_3292;
				}
				{	/* SawMill/defs.scm 61 */
					obj_t BgL_v1734z00_3303;

					BgL_v1734z00_3303 = create_vector(((long) 0));
					BgL_arg2613z00_3280 = BgL_v1734z00_3303;
				}
				BGl_rtl_pragmaz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 61)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 34490), BGl_proc3273z00zzsaw_defsz00,
					BGl_proc3272z00zzsaw_defsz00, BFALSE, BGl_proc3271z00zzsaw_defsz00,
					BFALSE, BgL_arg2612z00_3279, BgL_arg2613z00_3280);
			}
			{	/* SawMill/defs.scm 62 */
				obj_t BgL_arg2630z00_3310;
				obj_t BgL_arg2631z00_3311;

				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1735z00_3324;

					BgL_v1735z00_3324 = create_vector(((long) 2));
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2638z00_3325;

						BgL_arg2638z00_3325 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									62)), BGl_proc3275z00zzsaw_defsz00,
							BGl_proc3274z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1735z00_3324, ((long) 0), BgL_arg2638z00_3325);
					}
					{	/* SawMill/defs.scm 62 */
						obj_t BgL_arg2644z00_3335;

						BgL_arg2644z00_3335 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									63)), BGl_proc3277z00zzsaw_defsz00,
							BGl_proc3276z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1735z00_3324, ((long) 1), BgL_arg2644z00_3335);
					}
					BgL_arg2630z00_3310 = BgL_v1735z00_3324;
				}
				{	/* SawMill/defs.scm 62 */
					obj_t BgL_v1736z00_3345;

					BgL_v1736z00_3345 = create_vector(((long) 0));
					BgL_arg2631z00_3311 = BgL_v1736z00_3345;
				}
				BGl_rtl_castz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 64)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 9526), BGl_proc3280z00zzsaw_defsz00,
					BGl_proc3279z00zzsaw_defsz00, BFALSE, BGl_proc3278z00zzsaw_defsz00,
					BFALSE, BgL_arg2630z00_3310, BgL_arg2631z00_3311);
			}
			{	/* SawMill/defs.scm 63 */
				obj_t BgL_arg2654z00_3352;
				obj_t BgL_arg2655z00_3353;

				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1737z00_3365;

					BgL_v1737z00_3365 = create_vector(((long) 1));
					{	/* SawMill/defs.scm 63 */
						obj_t BgL_arg2661z00_3366;

						BgL_arg2661z00_3366 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc3282z00zzsaw_defsz00,
							BGl_proc3281z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1737z00_3365, ((long) 0), BgL_arg2661z00_3366);
					}
					BgL_arg2654z00_3352 = BgL_v1737z00_3365;
				}
				{	/* SawMill/defs.scm 63 */
					obj_t BgL_v1738z00_3376;

					BgL_v1738z00_3376 = create_vector(((long) 0));
					BgL_arg2655z00_3353 = BgL_v1738z00_3376;
				}
				BGl_rtl_cast_nullz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 65)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 56783), BGl_proc3285z00zzsaw_defsz00,
					BGl_proc3284z00zzsaw_defsz00, BFALSE, BGl_proc3283z00zzsaw_defsz00,
					BFALSE, BgL_arg2654z00_3352, BgL_arg2655z00_3353);
			}
			{	/* SawMill/defs.scm 64 */
				obj_t BgL_arg2669z00_3383;
				obj_t BgL_arg2671z00_3384;

				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1739z00_3395;

					BgL_v1739z00_3395 = create_vector(((long) 0));
					BgL_arg2669z00_3383 = BgL_v1739z00_3395;
				}
				{	/* SawMill/defs.scm 64 */
					obj_t BgL_v1740z00_3396;

					BgL_v1740z00_3396 = create_vector(((long) 0));
					BgL_arg2671z00_3384 = BgL_v1740z00_3396;
				}
				BGl_rtl_protectz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 66)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 65043), BGl_proc3288z00zzsaw_defsz00,
					BGl_proc3287z00zzsaw_defsz00, BFALSE, BGl_proc3286z00zzsaw_defsz00,
					BFALSE, BgL_arg2669z00_3383, BgL_arg2671z00_3384);
			}
			{	/* SawMill/defs.scm 65 */
				obj_t BgL_arg2680z00_3403;
				obj_t BgL_arg2681z00_3404;

				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1741z00_3415;

					BgL_v1741z00_3415 = create_vector(((long) 0));
					BgL_arg2680z00_3403 = BgL_v1741z00_3415;
				}
				{	/* SawMill/defs.scm 65 */
					obj_t BgL_v1742z00_3416;

					BgL_v1742z00_3416 = create_vector(((long) 0));
					BgL_arg2681z00_3404 = BgL_v1742z00_3416;
				}
				BGl_rtl_protectedz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 67)),
					CNST_TABLE_REF(((long) 9)), BGl_rtl_funz00zzsaw_defsz00,
					((long) 3034), BGl_proc3291z00zzsaw_defsz00,
					BGl_proc3290z00zzsaw_defsz00, BFALSE, BGl_proc3289z00zzsaw_defsz00,
					BFALSE, BgL_arg2680z00_3403, BgL_arg2681z00_3404);
			}
			{	/* SawMill/defs.scm 68 */
				obj_t BgL_arg2690z00_3423;
				obj_t BgL_arg2691z00_3424;

				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1743z00_3439;

					BgL_v1743z00_3439 = create_vector(((long) 5));
					{	/* SawMill/defs.scm 68 */
						obj_t BgL_arg2697z00_3440;

						BgL_arg2697z00_3440 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc3294z00zzsaw_defsz00,
							BGl_proc3293z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3292z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1743z00_3439, ((long) 0), BgL_arg2697z00_3440);
					}
					{	/* SawMill/defs.scm 68 */
						obj_t BgL_arg2705z00_3453;

						BgL_arg2705z00_3453 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									68)), BGl_proc3297z00zzsaw_defsz00,
							BGl_proc3296z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3295z00zzsaw_defsz00, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1743z00_3439, ((long) 1), BgL_arg2705z00_3453);
					}
					{	/* SawMill/defs.scm 68 */
						obj_t BgL_arg2714z00_3466;

						BgL_arg2714z00_3466 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									69)), BGl_proc3300z00zzsaw_defsz00,
							BGl_proc3299z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3298z00zzsaw_defsz00, CNST_TABLE_REF(((long) 3)));
						VECTOR_SET(BgL_v1743z00_3439, ((long) 2), BgL_arg2714z00_3466);
					}
					{	/* SawMill/defs.scm 68 */
						obj_t BgL_arg2721z00_3479;

						BgL_arg2721z00_3479 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									70)), BGl_proc3302z00zzsaw_defsz00,
							BGl_proc3301z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, BGl_rtl_funz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1743z00_3439, ((long) 3), BgL_arg2721z00_3479);
					}
					{	/* SawMill/defs.scm 68 */
						obj_t BgL_arg2727z00_3489;

						BgL_arg2727z00_3489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									71)), BGl_proc3304z00zzsaw_defsz00,
							BGl_proc3303z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1743z00_3439, ((long) 4), BgL_arg2727z00_3489);
					}
					BgL_arg2690z00_3423 = BgL_v1743z00_3439;
				}
				{	/* SawMill/defs.scm 68 */
					obj_t BgL_v1744z00_3499;

					BgL_v1744z00_3499 = create_vector(((long) 0));
					BgL_arg2691z00_3424 = BgL_v1744z00_3499;
				}
				BGl_rtl_insz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 72)),
					CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
					((long) 17433), BGl_proc3307z00zzsaw_defsz00,
					BGl_proc3306z00zzsaw_defsz00, BFALSE, BGl_proc3305z00zzsaw_defsz00,
					BFALSE, BgL_arg2690z00_3423, BgL_arg2691z00_3424);
			}
			{	/* SawMill/defs.scm 76 */
				obj_t BgL_arg2738z00_3506;
				obj_t BgL_arg2740z00_3507;

				{	/* SawMill/defs.scm 76 */
					obj_t BgL_v1745z00_3521;

					BgL_v1745z00_3521 = create_vector(((long) 4));
					{	/* SawMill/defs.scm 76 */
						obj_t BgL_arg2747z00_3522;

						BgL_arg2747z00_3522 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									73)), BGl_proc3310z00zzsaw_defsz00,
							BGl_proc3309z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3308z00zzsaw_defsz00, CNST_TABLE_REF(((long) 74)));
						VECTOR_SET(BgL_v1745z00_3521, ((long) 0), BgL_arg2747z00_3522);
					}
					{	/* SawMill/defs.scm 76 */
						obj_t BgL_arg2762z00_3535;

						BgL_arg2762z00_3535 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									75)), BGl_proc3313z00zzsaw_defsz00,
							BGl_proc3312z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3311z00zzsaw_defsz00, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1745z00_3521, ((long) 1), BgL_arg2762z00_3535);
					}
					{	/* SawMill/defs.scm 76 */
						obj_t BgL_arg2775z00_3548;

						BgL_arg2775z00_3548 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									76)), BGl_proc3316z00zzsaw_defsz00,
							BGl_proc3315z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BGl_proc3314z00zzsaw_defsz00, CNST_TABLE_REF(((long) 51)));
						VECTOR_SET(BgL_v1745z00_3521, ((long) 2), BgL_arg2775z00_3548);
					}
					{	/* SawMill/defs.scm 76 */
						obj_t BgL_arg2782z00_3561;

						BgL_arg2782z00_3561 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									77)), BGl_proc3318z00zzsaw_defsz00,
							BGl_proc3317z00zzsaw_defsz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 78)));
						VECTOR_SET(BgL_v1745z00_3521, ((long) 3), BgL_arg2782z00_3561);
					}
					BgL_arg2738z00_3506 = BgL_v1745z00_3521;
				}
				{	/* SawMill/defs.scm 76 */
					obj_t BgL_v1746z00_3571;

					BgL_v1746z00_3571 = create_vector(((long) 0));
					BgL_arg2740z00_3507 = BgL_v1746z00_3571;
				}
				return (BGl_blockz00zzsaw_defsz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 79)),
						CNST_TABLE_REF(((long) 9)), BGl_objectz00zz__objectz00,
						((long) 9992), BGl_proc3321z00zzsaw_defsz00,
						BGl_proc3320z00zzsaw_defsz00, BFALSE, BGl_proc3319z00zzsaw_defsz00,
						BFALSE, BgL_arg2738z00_3506, BgL_arg2740z00_3507), BUNSPEC);
		}}

	}



/* &<@anonymous:2746> */
	obj_t BGl_z62zc3z04anonymousza32746ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7512,
		obj_t BgL_new1336z00_7513)
	{
		{	/* SawMill/defs.scm 76 */
			{
				BgL_blockz00_bglt BgL_auxz00_12499;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_new1336z00_7513)))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1336z00_7513)))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1336z00_7513)))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
									BgL_new1336z00_7513)))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				BgL_auxz00_12499 = ((BgL_blockz00_bglt) BgL_new1336z00_7513);
				return ((obj_t) BgL_auxz00_12499);
			}
		}

	}



/* &lambda2744 */
	BgL_blockz00_bglt BGl_z62lambda2744z62zzsaw_defsz00(obj_t BgL_envz00_7514)
	{
		{	/* SawMill/defs.scm 76 */
			{	/* SawMill/defs.scm 76 */
				BgL_blockz00_bglt BgL_new1335z00_8939;

				BgL_new1335z00_8939 =
					((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockz00_bgl))));
				{	/* SawMill/defs.scm 76 */
					long BgL_arg2745z00_8940;

					BgL_arg2745z00_8940 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1335z00_8939), BgL_arg2745z00_8940);
				}
				{	/* SawMill/defs.scm 76 */
					BgL_objectz00_bglt BgL_tmpz00_12516;

					BgL_tmpz00_12516 = ((BgL_objectz00_bglt) BgL_new1335z00_8939);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12516, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1335z00_8939);
				return BgL_new1335z00_8939;
			}
		}

	}



/* &lambda2741 */
	BgL_blockz00_bglt BGl_z62lambda2741z62zzsaw_defsz00(obj_t BgL_envz00_7515,
		obj_t BgL_label1331z00_7516, obj_t BgL_preds1332z00_7517,
		obj_t BgL_succs1333z00_7518, obj_t BgL_first1334z00_7519)
	{
		{	/* SawMill/defs.scm 76 */
			{	/* SawMill/defs.scm 76 */
				int BgL_label1331z00_8941;

				BgL_label1331z00_8941 = CINT(BgL_label1331z00_7516);
				{	/* SawMill/defs.scm 76 */
					BgL_blockz00_bglt BgL_new1523z00_8945;

					{	/* SawMill/defs.scm 76 */
						BgL_blockz00_bglt BgL_new1522z00_8946;

						BgL_new1522z00_8946 =
							((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						{	/* SawMill/defs.scm 76 */
							long BgL_arg2743z00_8947;

							BgL_arg2743z00_8947 = BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1522z00_8946),
								BgL_arg2743z00_8947);
						}
						{	/* SawMill/defs.scm 76 */
							BgL_objectz00_bglt BgL_tmpz00_12525;

							BgL_tmpz00_12525 = ((BgL_objectz00_bglt) BgL_new1522z00_8946);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12525, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1522z00_8946);
						BgL_new1523z00_8945 = BgL_new1522z00_8946;
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_new1523z00_8945))->BgL_labelz00) =
						((int) BgL_label1331z00_8941), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1523z00_8945))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1332z00_7517)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1523z00_8945))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1333z00_7518)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(BgL_new1523z00_8945))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1334z00_7519)), BUNSPEC);
					return BgL_new1523z00_8945;
				}
			}
		}

	}



/* &lambda2786 */
	obj_t BGl_z62lambda2786z62zzsaw_defsz00(obj_t BgL_envz00_7520,
		obj_t BgL_oz00_7521, obj_t BgL_vz00_7522)
	{
		{	/* SawMill/defs.scm 76 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7521)))->BgL_firstz00) = ((obj_t)
					((obj_t) BgL_vz00_7522)), BUNSPEC);
		}

	}



/* &lambda2785 */
	obj_t BGl_z62lambda2785z62zzsaw_defsz00(obj_t BgL_envz00_7523,
		obj_t BgL_oz00_7524)
	{
		{	/* SawMill/defs.scm 76 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7524)))->BgL_firstz00);
		}

	}



/* &<@anonymous:2781> */
	obj_t BGl_z62zc3z04anonymousza32781ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7525)
	{
		{	/* SawMill/defs.scm 76 */
			return BNIL;
		}

	}



/* &lambda2780 */
	obj_t BGl_z62lambda2780z62zzsaw_defsz00(obj_t BgL_envz00_7526,
		obj_t BgL_oz00_7527, obj_t BgL_vz00_7528)
	{
		{	/* SawMill/defs.scm 76 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7527)))->BgL_succsz00) = ((obj_t)
					((obj_t) BgL_vz00_7528)), BUNSPEC);
		}

	}



/* &lambda2779 */
	obj_t BGl_z62lambda2779z62zzsaw_defsz00(obj_t BgL_envz00_7529,
		obj_t BgL_oz00_7530)
	{
		{	/* SawMill/defs.scm 76 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7530)))->BgL_succsz00);
		}

	}



/* &<@anonymous:2774> */
	obj_t BGl_z62zc3z04anonymousza32774ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7531)
	{
		{	/* SawMill/defs.scm 76 */
			return BNIL;
		}

	}



/* &lambda2773 */
	obj_t BGl_z62lambda2773z62zzsaw_defsz00(obj_t BgL_envz00_7532,
		obj_t BgL_oz00_7533, obj_t BgL_vz00_7534)
	{
		{	/* SawMill/defs.scm 76 */
			return
				((((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7533)))->BgL_predsz00) = ((obj_t)
					((obj_t) BgL_vz00_7534)), BUNSPEC);
		}

	}



/* &lambda2772 */
	obj_t BGl_z62lambda2772z62zzsaw_defsz00(obj_t BgL_envz00_7535,
		obj_t BgL_oz00_7536)
	{
		{	/* SawMill/defs.scm 76 */
			return
				(((BgL_blockz00_bglt) COBJECT(
						((BgL_blockz00_bglt) BgL_oz00_7536)))->BgL_predsz00);
		}

	}



/* &<@anonymous:2754> */
	obj_t BGl_z62zc3z04anonymousza32754ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7537)
	{
		{	/* SawMill/defs.scm 76 */
			return BINT(((long) 0));
		}

	}



/* &lambda2753 */
	obj_t BGl_z62lambda2753z62zzsaw_defsz00(obj_t BgL_envz00_7538,
		obj_t BgL_oz00_7539, obj_t BgL_vz00_7540)
	{
		{	/* SawMill/defs.scm 76 */
			{	/* SawMill/defs.scm 76 */
				int BgL_vz00_8958;

				BgL_vz00_8958 = CINT(BgL_vz00_7540);
				return
					((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_7539)))->BgL_labelz00) =
					((int) BgL_vz00_8958), BUNSPEC);
		}}

	}



/* &lambda2752 */
	obj_t BGl_z62lambda2752z62zzsaw_defsz00(obj_t BgL_envz00_7541,
		obj_t BgL_oz00_7542)
	{
		{	/* SawMill/defs.scm 76 */
			return
				BINT(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_7542)))->BgL_labelz00));
		}

	}



/* &<@anonymous:2696> */
	obj_t BGl_z62zc3z04anonymousza32696ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7543,
		obj_t BgL_new1329z00_7544)
	{
		{	/* SawMill/defs.scm 68 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_12558;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1329z00_7544)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1329z00_7544)))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1329z00_7544)))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_12565;

					{	/* SawMill/defs.scm 68 */
						obj_t BgL_classz00_8961;

						BgL_classz00_8961 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 68 */
							obj_t BgL__ortest_1112z00_8962;

							BgL__ortest_1112z00_8962 = BGL_CLASS_NIL(BgL_classz00_8961);
							if (CBOOL(BgL__ortest_1112z00_8962))
								{	/* SawMill/defs.scm 68 */
									BgL_auxz00_12565 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1112z00_8962);
								}
							else
								{	/* SawMill/defs.scm 68 */
									BgL_auxz00_12565 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8961));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_new1329z00_7544)))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_auxz00_12565), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1329z00_7544)))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12558 = ((BgL_rtl_insz00_bglt) BgL_new1329z00_7544);
				return ((obj_t) BgL_auxz00_12558);
			}
		}

	}



/* &lambda2694 */
	BgL_rtl_insz00_bglt BGl_z62lambda2694z62zzsaw_defsz00(obj_t BgL_envz00_7545)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_insz00_bglt BgL_new1328z00_8963;

				BgL_new1328z00_8963 =
					((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_insz00_bgl))));
				{	/* SawMill/defs.scm 68 */
					long BgL_arg2695z00_8964;

					BgL_arg2695z00_8964 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1328z00_8963), BgL_arg2695z00_8964);
				}
				{	/* SawMill/defs.scm 68 */
					BgL_objectz00_bglt BgL_tmpz00_12582;

					BgL_tmpz00_12582 = ((BgL_objectz00_bglt) BgL_new1328z00_8963);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12582, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1328z00_8963);
				return BgL_new1328z00_8963;
			}
		}

	}



/* &lambda2692 */
	BgL_rtl_insz00_bglt BGl_z62lambda2692z62zzsaw_defsz00(obj_t BgL_envz00_7546,
		obj_t BgL_loc1323z00_7547, obj_t BgL_z52spill1324z52_7548,
		obj_t BgL_dest1325z00_7549, obj_t BgL_fun1326z00_7550,
		obj_t BgL_args1327z00_7551)
	{
		{	/* SawMill/defs.scm 68 */
			{	/* SawMill/defs.scm 68 */
				BgL_rtl_insz00_bglt BgL_new1521z00_8968;

				{	/* SawMill/defs.scm 68 */
					BgL_rtl_insz00_bglt BgL_new1520z00_8969;

					BgL_new1520z00_8969 =
						((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_insz00_bgl))));
					{	/* SawMill/defs.scm 68 */
						long BgL_arg2693z00_8970;

						BgL_arg2693z00_8970 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1520z00_8969), BgL_arg2693z00_8970);
					}
					{	/* SawMill/defs.scm 68 */
						BgL_objectz00_bglt BgL_tmpz00_12590;

						BgL_tmpz00_12590 = ((BgL_objectz00_bglt) BgL_new1520z00_8969);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_12590, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1520z00_8969);
					BgL_new1521z00_8968 = BgL_new1520z00_8969;
				}
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1521z00_8968))->BgL_locz00) =
					((obj_t) BgL_loc1323z00_7547), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1521z00_8968))->
						BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1324z52_7548)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1521z00_8968))->BgL_destz00) =
					((obj_t) BgL_dest1325z00_7549), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1521z00_8968))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1326z00_7550)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1521z00_8968))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1327z00_7551)), BUNSPEC);
				return BgL_new1521z00_8968;
			}
		}

	}



/* &lambda2732 */
	obj_t BGl_z62lambda2732z62zzsaw_defsz00(obj_t BgL_envz00_7552,
		obj_t BgL_oz00_7553, obj_t BgL_vz00_7554)
	{
		{	/* SawMill/defs.scm 68 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7553)))->BgL_argsz00) = ((obj_t)
					((obj_t) BgL_vz00_7554)), BUNSPEC);
		}

	}



/* &lambda2731 */
	obj_t BGl_z62lambda2731z62zzsaw_defsz00(obj_t BgL_envz00_7555,
		obj_t BgL_oz00_7556)
	{
		{	/* SawMill/defs.scm 68 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7556)))->BgL_argsz00);
		}

	}



/* &lambda2726 */
	obj_t BGl_z62lambda2726z62zzsaw_defsz00(obj_t BgL_envz00_7557,
		obj_t BgL_oz00_7558, obj_t BgL_vz00_7559)
	{
		{	/* SawMill/defs.scm 68 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7558)))->BgL_funz00) =
				((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_vz00_7559)), BUNSPEC);
		}

	}



/* &lambda2725 */
	BgL_rtl_funz00_bglt BGl_z62lambda2725z62zzsaw_defsz00(obj_t BgL_envz00_7560,
		obj_t BgL_oz00_7561)
	{
		{	/* SawMill/defs.scm 68 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7561)))->BgL_funz00);
		}

	}



/* &<@anonymous:2720> */
	obj_t BGl_z62zc3z04anonymousza32720ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7562)
	{
		{	/* SawMill/defs.scm 68 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2719 */
	obj_t BGl_z62lambda2719z62zzsaw_defsz00(obj_t BgL_envz00_7563,
		obj_t BgL_oz00_7564, obj_t BgL_vz00_7565)
	{
		{	/* SawMill/defs.scm 68 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7564)))->BgL_destz00) =
				((obj_t) BgL_vz00_7565), BUNSPEC);
		}

	}



/* &lambda2718 */
	obj_t BGl_z62lambda2718z62zzsaw_defsz00(obj_t BgL_envz00_7566,
		obj_t BgL_oz00_7567)
	{
		{	/* SawMill/defs.scm 68 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7567)))->BgL_destz00);
		}

	}



/* &<@anonymous:2712> */
	obj_t BGl_z62zc3z04anonymousza32712ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7568)
	{
		{	/* SawMill/defs.scm 68 */
			return BNIL;
		}

	}



/* &lambda2711 */
	obj_t BGl_z62lambda2711z62zzsaw_defsz00(obj_t BgL_envz00_7569,
		obj_t BgL_oz00_7570, obj_t BgL_vz00_7571)
	{
		{	/* SawMill/defs.scm 68 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7570)))->BgL_z52spillz52) =
				((obj_t) ((obj_t) BgL_vz00_7571)), BUNSPEC);
		}

	}



/* &lambda2710 */
	obj_t BGl_z62lambda2710z62zzsaw_defsz00(obj_t BgL_envz00_7572,
		obj_t BgL_oz00_7573)
	{
		{	/* SawMill/defs.scm 68 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7573)))->BgL_z52spillz52);
		}

	}



/* &<@anonymous:2704> */
	obj_t BGl_z62zc3z04anonymousza32704ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7574)
	{
		{	/* SawMill/defs.scm 68 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2703 */
	obj_t BGl_z62lambda2703z62zzsaw_defsz00(obj_t BgL_envz00_7575,
		obj_t BgL_oz00_7576, obj_t BgL_vz00_7577)
	{
		{	/* SawMill/defs.scm 68 */
			return
				((((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_oz00_7576)))->BgL_locz00) =
				((obj_t) BgL_vz00_7577), BUNSPEC);
		}

	}



/* &lambda2702 */
	obj_t BGl_z62lambda2702z62zzsaw_defsz00(obj_t BgL_envz00_7578,
		obj_t BgL_oz00_7579)
	{
		{	/* SawMill/defs.scm 68 */
			return
				(((BgL_rtl_insz00_bglt) COBJECT(
						((BgL_rtl_insz00_bglt) BgL_oz00_7579)))->BgL_locz00);
		}

	}



/* &<@anonymous:2686> */
	obj_t BGl_z62zc3z04anonymousza32686ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7580,
		obj_t BgL_new1321z00_7581)
	{
		{	/* SawMill/defs.scm 65 */
			{
				BgL_rtl_protectedz00_bglt BgL_auxz00_12627;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectedz00_bglt) BgL_new1321z00_7581))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12627 = ((BgL_rtl_protectedz00_bglt) BgL_new1321z00_7581);
				return ((obj_t) BgL_auxz00_12627);
			}
		}

	}



/* &lambda2684 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2684z62zzsaw_defsz00(obj_t
		BgL_envz00_7582)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_protectedz00_bglt BgL_new1320z00_8985;

				BgL_new1320z00_8985 =
					((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectedz00_bgl))));
				{	/* SawMill/defs.scm 65 */
					long BgL_arg2685z00_8986;

					BgL_arg2685z00_8986 =
						BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1320z00_8985), BgL_arg2685z00_8986);
				}
				return BgL_new1320z00_8985;
			}
		}

	}



/* &lambda2682 */
	BgL_rtl_protectedz00_bglt BGl_z62lambda2682z62zzsaw_defsz00(obj_t
		BgL_envz00_7583, obj_t BgL_loc1319z00_7584)
	{
		{	/* SawMill/defs.scm 65 */
			{	/* SawMill/defs.scm 65 */
				BgL_rtl_protectedz00_bglt BgL_new1519z00_8987;

				{	/* SawMill/defs.scm 65 */
					BgL_rtl_protectedz00_bglt BgL_new1518z00_8988;

					BgL_new1518z00_8988 =
						((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectedz00_bgl))));
					{	/* SawMill/defs.scm 65 */
						long BgL_arg2683z00_8989;

						BgL_arg2683z00_8989 =
							BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1518z00_8988), BgL_arg2683z00_8989);
					}
					BgL_new1519z00_8987 = BgL_new1518z00_8988;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1519z00_8987)))->BgL_locz00) =
					((obj_t) BgL_loc1319z00_7584), BUNSPEC);
				return BgL_new1519z00_8987;
			}
		}

	}



/* &<@anonymous:2676> */
	obj_t BGl_z62zc3z04anonymousza32676ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7585,
		obj_t BgL_new1317z00_7586)
	{
		{	/* SawMill/defs.scm 64 */
			{
				BgL_rtl_protectz00_bglt BgL_auxz00_12643;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_protectz00_bglt) BgL_new1317z00_7586))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12643 = ((BgL_rtl_protectz00_bglt) BgL_new1317z00_7586);
				return ((obj_t) BgL_auxz00_12643);
			}
		}

	}



/* &lambda2674 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2674z62zzsaw_defsz00(obj_t
		BgL_envz00_7587)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_protectz00_bglt BgL_new1316z00_8991;

				BgL_new1316z00_8991 =
					((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_protectz00_bgl))));
				{	/* SawMill/defs.scm 64 */
					long BgL_arg2675z00_8992;

					BgL_arg2675z00_8992 = BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1316z00_8991), BgL_arg2675z00_8992);
				}
				return BgL_new1316z00_8991;
			}
		}

	}



/* &lambda2672 */
	BgL_rtl_protectz00_bglt BGl_z62lambda2672z62zzsaw_defsz00(obj_t
		BgL_envz00_7588, obj_t BgL_loc1315z00_7589)
	{
		{	/* SawMill/defs.scm 64 */
			{	/* SawMill/defs.scm 64 */
				BgL_rtl_protectz00_bglt BgL_new1517z00_8993;

				{	/* SawMill/defs.scm 64 */
					BgL_rtl_protectz00_bglt BgL_new1516z00_8994;

					BgL_new1516z00_8994 =
						((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_protectz00_bgl))));
					{	/* SawMill/defs.scm 64 */
						long BgL_arg2673z00_8995;

						BgL_arg2673z00_8995 =
							BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1516z00_8994), BgL_arg2673z00_8995);
					}
					BgL_new1517z00_8993 = BgL_new1516z00_8994;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1517z00_8993)))->BgL_locz00) =
					((obj_t) BgL_loc1315z00_7589), BUNSPEC);
				return BgL_new1517z00_8993;
			}
		}

	}



/* &<@anonymous:2660> */
	obj_t BGl_z62zc3z04anonymousza32660ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7590,
		obj_t BgL_new1313z00_7591)
	{
		{	/* SawMill/defs.scm 63 */
			{
				BgL_rtl_cast_nullz00_bglt BgL_auxz00_12659;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_cast_nullz00_bglt) BgL_new1313z00_7591))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12663;

					{	/* SawMill/defs.scm 63 */
						obj_t BgL_classz00_8997;

						BgL_classz00_8997 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 63 */
							obj_t BgL__ortest_1112z00_8998;

							BgL__ortest_1112z00_8998 = BGL_CLASS_NIL(BgL_classz00_8997);
							if (CBOOL(BgL__ortest_1112z00_8998))
								{	/* SawMill/defs.scm 63 */
									BgL_auxz00_12663 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_8998);
								}
							else
								{	/* SawMill/defs.scm 63 */
									BgL_auxz00_12663 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_8997));
								}
						}
					}
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(
									((BgL_rtl_cast_nullz00_bglt) BgL_new1313z00_7591)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12663), BUNSPEC);
				}
				BgL_auxz00_12659 = ((BgL_rtl_cast_nullz00_bglt) BgL_new1313z00_7591);
				return ((obj_t) BgL_auxz00_12659);
			}
		}

	}



/* &lambda2658 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2658z62zzsaw_defsz00(obj_t
		BgL_envz00_7592)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_cast_nullz00_bglt BgL_new1312z00_8999;

				BgL_new1312z00_8999 =
					((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_cast_nullz00_bgl))));
				{	/* SawMill/defs.scm 63 */
					long BgL_arg2659z00_9000;

					BgL_arg2659z00_9000 =
						BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1312z00_8999), BgL_arg2659z00_9000);
				}
				return BgL_new1312z00_8999;
			}
		}

	}



/* &lambda2656 */
	BgL_rtl_cast_nullz00_bglt BGl_z62lambda2656z62zzsaw_defsz00(obj_t
		BgL_envz00_7593, obj_t BgL_loc1310z00_7594, obj_t BgL_type1311z00_7595)
	{
		{	/* SawMill/defs.scm 63 */
			{	/* SawMill/defs.scm 63 */
				BgL_rtl_cast_nullz00_bglt BgL_new1515z00_9002;

				{	/* SawMill/defs.scm 63 */
					BgL_rtl_cast_nullz00_bglt BgL_new1514z00_9003;

					BgL_new1514z00_9003 =
						((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_cast_nullz00_bgl))));
					{	/* SawMill/defs.scm 63 */
						long BgL_arg2657z00_9004;

						BgL_arg2657z00_9004 =
							BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1514z00_9003), BgL_arg2657z00_9004);
					}
					BgL_new1515z00_9002 = BgL_new1514z00_9003;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1515z00_9002)))->BgL_locz00) =
					((obj_t) BgL_loc1310z00_7594), BUNSPEC);
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1515z00_9002))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1311z00_7595)),
					BUNSPEC);
				return BgL_new1515z00_9002;
			}
		}

	}



/* &lambda2665 */
	obj_t BGl_z62lambda2665z62zzsaw_defsz00(obj_t BgL_envz00_7596,
		obj_t BgL_oz00_7597, obj_t BgL_vz00_7598)
	{
		{	/* SawMill/defs.scm 63 */
			return
				((((BgL_rtl_cast_nullz00_bglt) COBJECT(
							((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7597)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7598)), BUNSPEC);
		}

	}



/* &lambda2664 */
	BgL_typez00_bglt BGl_z62lambda2664z62zzsaw_defsz00(obj_t BgL_envz00_7599,
		obj_t BgL_oz00_7600)
	{
		{	/* SawMill/defs.scm 63 */
			return
				(((BgL_rtl_cast_nullz00_bglt) COBJECT(
						((BgL_rtl_cast_nullz00_bglt) BgL_oz00_7600)))->BgL_typez00);
		}

	}



/* &<@anonymous:2637> */
	obj_t BGl_z62zc3z04anonymousza32637ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7601,
		obj_t BgL_new1308z00_7602)
	{
		{	/* SawMill/defs.scm 62 */
			{
				BgL_rtl_castz00_bglt BgL_auxz00_12691;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_castz00_bglt) BgL_new1308z00_7602))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12695;

					{	/* SawMill/defs.scm 62 */
						obj_t BgL_classz00_9009;

						BgL_classz00_9009 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 62 */
							obj_t BgL__ortest_1112z00_9010;

							BgL__ortest_1112z00_9010 = BGL_CLASS_NIL(BgL_classz00_9009);
							if (CBOOL(BgL__ortest_1112z00_9010))
								{	/* SawMill/defs.scm 62 */
									BgL_auxz00_12695 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9010);
								}
							else
								{	/* SawMill/defs.scm 62 */
									BgL_auxz00_12695 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9009));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1308z00_7602)))->
							BgL_totypez00) = ((BgL_typez00_bglt) BgL_auxz00_12695), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12704;

					{	/* SawMill/defs.scm 62 */
						obj_t BgL_classz00_9011;

						BgL_classz00_9011 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 62 */
							obj_t BgL__ortest_1112z00_9012;

							BgL__ortest_1112z00_9012 = BGL_CLASS_NIL(BgL_classz00_9011);
							if (CBOOL(BgL__ortest_1112z00_9012))
								{	/* SawMill/defs.scm 62 */
									BgL_auxz00_12704 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9012);
								}
							else
								{	/* SawMill/defs.scm 62 */
									BgL_auxz00_12704 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9011));
								}
						}
					}
					((((BgL_rtl_castz00_bglt) COBJECT(
									((BgL_rtl_castz00_bglt) BgL_new1308z00_7602)))->
							BgL_fromtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_12704), BUNSPEC);
				}
				BgL_auxz00_12691 = ((BgL_rtl_castz00_bglt) BgL_new1308z00_7602);
				return ((obj_t) BgL_auxz00_12691);
			}
		}

	}



/* &lambda2634 */
	BgL_rtl_castz00_bglt BGl_z62lambda2634z62zzsaw_defsz00(obj_t BgL_envz00_7603)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_castz00_bglt BgL_new1307z00_9013;

				BgL_new1307z00_9013 =
					((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_castz00_bgl))));
				{	/* SawMill/defs.scm 62 */
					long BgL_arg2636z00_9014;

					BgL_arg2636z00_9014 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1307z00_9013), BgL_arg2636z00_9014);
				}
				return BgL_new1307z00_9013;
			}
		}

	}



/* &lambda2632 */
	BgL_rtl_castz00_bglt BGl_z62lambda2632z62zzsaw_defsz00(obj_t BgL_envz00_7604,
		obj_t BgL_loc1304z00_7605, obj_t BgL_totype1305z00_7606,
		obj_t BgL_fromtype1306z00_7607)
	{
		{	/* SawMill/defs.scm 62 */
			{	/* SawMill/defs.scm 62 */
				BgL_rtl_castz00_bglt BgL_new1513z00_9017;

				{	/* SawMill/defs.scm 62 */
					BgL_rtl_castz00_bglt BgL_new1512z00_9018;

					BgL_new1512z00_9018 =
						((BgL_rtl_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_castz00_bgl))));
					{	/* SawMill/defs.scm 62 */
						long BgL_arg2633z00_9019;

						BgL_arg2633z00_9019 = BGL_CLASS_NUM(BGl_rtl_castz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1512z00_9018), BgL_arg2633z00_9019);
					}
					BgL_new1513z00_9017 = BgL_new1512z00_9018;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1513z00_9017)))->BgL_locz00) =
					((obj_t) BgL_loc1304z00_7605), BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1513z00_9017))->
						BgL_totypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_totype1305z00_7606)),
					BUNSPEC);
				((((BgL_rtl_castz00_bglt) COBJECT(BgL_new1513z00_9017))->
						BgL_fromtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_fromtype1306z00_7607)),
					BUNSPEC);
				return BgL_new1513z00_9017;
			}
		}

	}



/* &lambda2649 */
	obj_t BGl_z62lambda2649z62zzsaw_defsz00(obj_t BgL_envz00_7608,
		obj_t BgL_oz00_7609, obj_t BgL_vz00_7610)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7609)))->BgL_fromtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7610)), BUNSPEC);
		}

	}



/* &lambda2648 */
	BgL_typez00_bglt BGl_z62lambda2648z62zzsaw_defsz00(obj_t BgL_envz00_7611,
		obj_t BgL_oz00_7612)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7612)))->BgL_fromtypez00);
		}

	}



/* &lambda2642 */
	obj_t BGl_z62lambda2642z62zzsaw_defsz00(obj_t BgL_envz00_7613,
		obj_t BgL_oz00_7614, obj_t BgL_vz00_7615)
	{
		{	/* SawMill/defs.scm 62 */
			return
				((((BgL_rtl_castz00_bglt) COBJECT(
							((BgL_rtl_castz00_bglt) BgL_oz00_7614)))->BgL_totypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7615)), BUNSPEC);
		}

	}



/* &lambda2641 */
	BgL_typez00_bglt BGl_z62lambda2641z62zzsaw_defsz00(obj_t BgL_envz00_7616,
		obj_t BgL_oz00_7617)
	{
		{	/* SawMill/defs.scm 62 */
			return
				(((BgL_rtl_castz00_bglt) COBJECT(
						((BgL_rtl_castz00_bglt) BgL_oz00_7617)))->BgL_totypez00);
		}

	}



/* &<@anonymous:2618> */
	obj_t BGl_z62zc3z04anonymousza32618ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7618,
		obj_t BgL_new1302z00_7619)
	{
		{	/* SawMill/defs.scm 61 */
			{
				BgL_rtl_pragmaz00_bglt BgL_auxz00_12739;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_pragmaz00_bglt) BgL_new1302z00_7619))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(((BgL_rtl_pragmaz00_bglt)
									BgL_new1302z00_7619)))->BgL_formatz00) =
					((obj_t) BGl_string3322z00zzsaw_defsz00), BUNSPEC);
				BgL_auxz00_12739 = ((BgL_rtl_pragmaz00_bglt) BgL_new1302z00_7619);
				return ((obj_t) BgL_auxz00_12739);
			}
		}

	}



/* &lambda2616 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2616z62zzsaw_defsz00(obj_t
		BgL_envz00_7620)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_pragmaz00_bglt BgL_new1301z00_9027;

				BgL_new1301z00_9027 =
					((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_pragmaz00_bgl))));
				{	/* SawMill/defs.scm 61 */
					long BgL_arg2617z00_9028;

					BgL_arg2617z00_9028 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1301z00_9027), BgL_arg2617z00_9028);
				}
				return BgL_new1301z00_9027;
			}
		}

	}



/* &lambda2614 */
	BgL_rtl_pragmaz00_bglt BGl_z62lambda2614z62zzsaw_defsz00(obj_t
		BgL_envz00_7621, obj_t BgL_loc1299z00_7622, obj_t BgL_format1300z00_7623)
	{
		{	/* SawMill/defs.scm 61 */
			{	/* SawMill/defs.scm 61 */
				BgL_rtl_pragmaz00_bglt BgL_new1511z00_9030;

				{	/* SawMill/defs.scm 61 */
					BgL_rtl_pragmaz00_bglt BgL_new1510z00_9031;

					BgL_new1510z00_9031 =
						((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_pragmaz00_bgl))));
					{	/* SawMill/defs.scm 61 */
						long BgL_arg2615z00_9032;

						BgL_arg2615z00_9032 = BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1510z00_9031), BgL_arg2615z00_9032);
					}
					BgL_new1511z00_9030 = BgL_new1510z00_9031;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1511z00_9030)))->BgL_locz00) =
					((obj_t) BgL_loc1299z00_7622), BUNSPEC);
				((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1511z00_9030))->
						BgL_formatz00) =
					((obj_t) ((obj_t) BgL_format1300z00_7623)), BUNSPEC);
				return BgL_new1511z00_9030;
			}
		}

	}



/* &lambda2624 */
	obj_t BGl_z62lambda2624z62zzsaw_defsz00(obj_t BgL_envz00_7624,
		obj_t BgL_oz00_7625, obj_t BgL_vz00_7626)
	{
		{	/* SawMill/defs.scm 61 */
			return
				((((BgL_rtl_pragmaz00_bglt) COBJECT(
							((BgL_rtl_pragmaz00_bglt) BgL_oz00_7625)))->BgL_formatz00) =
				((obj_t) ((obj_t) BgL_vz00_7626)), BUNSPEC);
		}

	}



/* &lambda2623 */
	obj_t BGl_z62lambda2623z62zzsaw_defsz00(obj_t BgL_envz00_7627,
		obj_t BgL_oz00_7628)
	{
		{	/* SawMill/defs.scm 61 */
			return
				(((BgL_rtl_pragmaz00_bglt) COBJECT(
						((BgL_rtl_pragmaz00_bglt) BgL_oz00_7628)))->BgL_formatz00);
		}

	}



/* &<@anonymous:2608> */
	obj_t BGl_z62zc3z04anonymousza32608ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7629,
		obj_t BgL_new1297z00_7630)
	{
		{	/* SawMill/defs.scm 60 */
			{
				BgL_rtl_funcallz00_bglt BgL_auxz00_12764;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_funcallz00_bglt) BgL_new1297z00_7630))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12764 = ((BgL_rtl_funcallz00_bglt) BgL_new1297z00_7630);
				return ((obj_t) BgL_auxz00_12764);
			}
		}

	}



/* &lambda2605 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2605z62zzsaw_defsz00(obj_t
		BgL_envz00_7631)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_funcallz00_bglt BgL_new1296z00_9037;

				BgL_new1296z00_9037 =
					((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funcallz00_bgl))));
				{	/* SawMill/defs.scm 60 */
					long BgL_arg2607z00_9038;

					BgL_arg2607z00_9038 = BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1296z00_9037), BgL_arg2607z00_9038);
				}
				return BgL_new1296z00_9037;
			}
		}

	}



/* &lambda2603 */
	BgL_rtl_funcallz00_bglt BGl_z62lambda2603z62zzsaw_defsz00(obj_t
		BgL_envz00_7632, obj_t BgL_loc1295z00_7633)
	{
		{	/* SawMill/defs.scm 60 */
			{	/* SawMill/defs.scm 60 */
				BgL_rtl_funcallz00_bglt BgL_new1509z00_9039;

				{	/* SawMill/defs.scm 60 */
					BgL_rtl_funcallz00_bglt BgL_new1508z00_9040;

					BgL_new1508z00_9040 =
						((BgL_rtl_funcallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funcallz00_bgl))));
					{	/* SawMill/defs.scm 60 */
						long BgL_arg2604z00_9041;

						BgL_arg2604z00_9041 =
							BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1508z00_9040), BgL_arg2604z00_9041);
					}
					BgL_new1509z00_9039 = BgL_new1508z00_9040;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1509z00_9039)))->BgL_locz00) =
					((obj_t) BgL_loc1295z00_7633), BUNSPEC);
				return BgL_new1509z00_9039;
			}
		}

	}



/* &<@anonymous:2581> */
	obj_t BGl_z62zc3z04anonymousza32581ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7634,
		obj_t BgL_new1293z00_7635)
	{
		{	/* SawMill/defs.scm 59 */
			{
				BgL_rtl_lightfuncallz00_bglt BgL_auxz00_12780;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lightfuncallz00_bglt) BgL_new1293z00_7635))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1293z00_7635)))->
						BgL_namez00) = ((obj_t) CNST_TABLE_REF(((long) 80))), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1293z00_7635)))->
						BgL_funsz00) = ((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt)
							COBJECT(((BgL_rtl_lightfuncallz00_bglt) BgL_new1293z00_7635)))->
						BgL_rettypez00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12780 = ((BgL_rtl_lightfuncallz00_bglt) BgL_new1293z00_7635);
				return ((obj_t) BgL_auxz00_12780);
			}
		}

	}



/* &lambda2579 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2579z62zzsaw_defsz00(obj_t
		BgL_envz00_7636)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1292z00_9043;

				BgL_new1292z00_9043 =
					((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lightfuncallz00_bgl))));
				{	/* SawMill/defs.scm 59 */
					long BgL_arg2580z00_9044;

					BgL_arg2580z00_9044 =
						BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1292z00_9043), BgL_arg2580z00_9044);
				}
				return BgL_new1292z00_9043;
			}
		}

	}



/* &lambda2577 */
	BgL_rtl_lightfuncallz00_bglt BGl_z62lambda2577z62zzsaw_defsz00(obj_t
		BgL_envz00_7637, obj_t BgL_loc1288z00_7638, obj_t BgL_name1289z00_7639,
		obj_t BgL_funs1290z00_7640, obj_t BgL_rettype1291z00_7641)
	{
		{	/* SawMill/defs.scm 59 */
			{	/* SawMill/defs.scm 59 */
				BgL_rtl_lightfuncallz00_bglt BgL_new1507z00_9047;

				{	/* SawMill/defs.scm 59 */
					BgL_rtl_lightfuncallz00_bglt BgL_new1506z00_9048;

					BgL_new1506z00_9048 =
						((BgL_rtl_lightfuncallz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lightfuncallz00_bgl))));
					{	/* SawMill/defs.scm 59 */
						long BgL_arg2578z00_9049;

						BgL_arg2578z00_9049 =
							BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1506z00_9048), BgL_arg2578z00_9049);
					}
					BgL_new1507z00_9047 = BgL_new1506z00_9048;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1507z00_9047)))->BgL_locz00) =
					((obj_t) BgL_loc1288z00_7638), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1507z00_9047))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1289z00_7639)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1507z00_9047))->
						BgL_funsz00) = ((obj_t) ((obj_t) BgL_funs1290z00_7640)), BUNSPEC);
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(BgL_new1507z00_9047))->
						BgL_rettypez00) = ((obj_t) BgL_rettype1291z00_7641), BUNSPEC);
				return BgL_new1507z00_9047;
			}
		}

	}



/* &lambda2597 */
	obj_t BGl_z62lambda2597z62zzsaw_defsz00(obj_t BgL_envz00_7642,
		obj_t BgL_oz00_7643, obj_t BgL_vz00_7644)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7643)))->
					BgL_rettypez00) = ((obj_t) BgL_vz00_7644), BUNSPEC);
		}

	}



/* &lambda2596 */
	obj_t BGl_z62lambda2596z62zzsaw_defsz00(obj_t BgL_envz00_7645,
		obj_t BgL_oz00_7646)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7646)))->BgL_rettypez00);
		}

	}



/* &lambda2592 */
	obj_t BGl_z62lambda2592z62zzsaw_defsz00(obj_t BgL_envz00_7647,
		obj_t BgL_oz00_7648, obj_t BgL_vz00_7649)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7648)))->BgL_funsz00) =
				((obj_t) ((obj_t) BgL_vz00_7649)), BUNSPEC);
		}

	}



/* &lambda2591 */
	obj_t BGl_z62lambda2591z62zzsaw_defsz00(obj_t BgL_envz00_7650,
		obj_t BgL_oz00_7651)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7651)))->BgL_funsz00);
		}

	}



/* &lambda2586 */
	obj_t BGl_z62lambda2586z62zzsaw_defsz00(obj_t BgL_envz00_7652,
		obj_t BgL_oz00_7653, obj_t BgL_vz00_7654)
	{
		{	/* SawMill/defs.scm 59 */
			return
				((((BgL_rtl_lightfuncallz00_bglt) COBJECT(
							((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7653)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7654)), BUNSPEC);
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzsaw_defsz00(obj_t BgL_envz00_7655,
		obj_t BgL_oz00_7656)
	{
		{	/* SawMill/defs.scm 59 */
			return
				(((BgL_rtl_lightfuncallz00_bglt) COBJECT(
						((BgL_rtl_lightfuncallz00_bglt) BgL_oz00_7656)))->BgL_namez00);
		}

	}



/* &<@anonymous:2568> */
	obj_t BGl_z62zc3z04anonymousza32568ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7657,
		obj_t BgL_new1286z00_7658)
	{
		{	/* SawMill/defs.scm 58 */
			{
				BgL_rtl_applyz00_bglt BgL_auxz00_12822;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_applyz00_bglt) BgL_new1286z00_7658))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12822 = ((BgL_rtl_applyz00_bglt) BgL_new1286z00_7658);
				return ((obj_t) BgL_auxz00_12822);
			}
		}

	}



/* &lambda2566 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2566z62zzsaw_defsz00(obj_t BgL_envz00_7659)
	{
		{	/* SawMill/defs.scm 58 */
			{	/* SawMill/defs.scm 58 */
				BgL_rtl_applyz00_bglt BgL_new1285z00_9059;

				BgL_new1285z00_9059 =
					((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_applyz00_bgl))));
				{	/* SawMill/defs.scm 58 */
					long BgL_arg2567z00_9060;

					BgL_arg2567z00_9060 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1285z00_9059), BgL_arg2567z00_9060);
				}
				return BgL_new1285z00_9059;
			}
		}

	}



/* &lambda2564 */
	BgL_rtl_applyz00_bglt BGl_z62lambda2564z62zzsaw_defsz00(obj_t BgL_envz00_7660,
		obj_t BgL_loc1284z00_7661)
	{
		{	/* SawMill/defs.scm 58 */
			{	/* SawMill/defs.scm 58 */
				BgL_rtl_applyz00_bglt BgL_new1505z00_9061;

				{	/* SawMill/defs.scm 58 */
					BgL_rtl_applyz00_bglt BgL_new1504z00_9062;

					BgL_new1504z00_9062 =
						((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_applyz00_bgl))));
					{	/* SawMill/defs.scm 58 */
						long BgL_arg2565z00_9063;

						BgL_arg2565z00_9063 = BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1504z00_9062), BgL_arg2565z00_9063);
					}
					BgL_new1505z00_9061 = BgL_new1504z00_9062;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1505z00_9061)))->BgL_locz00) =
					((obj_t) BgL_loc1284z00_7661), BUNSPEC);
				return BgL_new1505z00_9061;
			}
		}

	}



/* &<@anonymous:2547> */
	obj_t BGl_z62zc3z04anonymousza32547ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7662,
		obj_t BgL_new1282z00_7663)
	{
		{	/* SawMill/defs.scm 57 */
			{
				BgL_rtl_callz00_bglt BgL_auxz00_12838;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_callz00_bglt) BgL_new1282z00_7663))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_12842;

					{	/* SawMill/defs.scm 57 */
						obj_t BgL_classz00_9065;

						BgL_classz00_9065 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 57 */
							obj_t BgL__ortest_1112z00_9066;

							BgL__ortest_1112z00_9066 = BGL_CLASS_NIL(BgL_classz00_9065);
							if (CBOOL(BgL__ortest_1112z00_9066))
								{	/* SawMill/defs.scm 57 */
									BgL_auxz00_12842 =
										((BgL_globalz00_bglt) BgL__ortest_1112z00_9066);
								}
							else
								{	/* SawMill/defs.scm 57 */
									BgL_auxz00_12842 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9065));
								}
						}
					}
					((((BgL_rtl_callz00_bglt) COBJECT(
									((BgL_rtl_callz00_bglt) BgL_new1282z00_7663)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_12842), BUNSPEC);
				}
				BgL_auxz00_12838 = ((BgL_rtl_callz00_bglt) BgL_new1282z00_7663);
				return ((obj_t) BgL_auxz00_12838);
			}
		}

	}



/* &lambda2542 */
	BgL_rtl_callz00_bglt BGl_z62lambda2542z62zzsaw_defsz00(obj_t BgL_envz00_7664)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_callz00_bglt BgL_new1281z00_9067;

				BgL_new1281z00_9067 =
					((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_callz00_bgl))));
				{	/* SawMill/defs.scm 57 */
					long BgL_arg2546z00_9068;

					BgL_arg2546z00_9068 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1281z00_9067), BgL_arg2546z00_9068);
				}
				return BgL_new1281z00_9067;
			}
		}

	}



/* &lambda2538 */
	BgL_rtl_callz00_bglt BGl_z62lambda2538z62zzsaw_defsz00(obj_t BgL_envz00_7665,
		obj_t BgL_loc1279z00_7666, obj_t BgL_var1280z00_7667)
	{
		{	/* SawMill/defs.scm 57 */
			{	/* SawMill/defs.scm 57 */
				BgL_rtl_callz00_bglt BgL_new1503z00_9070;

				{	/* SawMill/defs.scm 57 */
					BgL_rtl_callz00_bglt BgL_new1502z00_9071;

					BgL_new1502z00_9071 =
						((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_callz00_bgl))));
					{	/* SawMill/defs.scm 57 */
						long BgL_arg2541z00_9072;

						BgL_arg2541z00_9072 = BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1502z00_9071), BgL_arg2541z00_9072);
					}
					BgL_new1503z00_9070 = BgL_new1502z00_9071;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1503z00_9070)))->BgL_locz00) =
					((obj_t) BgL_loc1279z00_7666), BUNSPEC);
				((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1503z00_9070))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1280z00_7667)),
					BUNSPEC);
				return BgL_new1503z00_9070;
			}
		}

	}



/* &lambda2554 */
	obj_t BGl_z62lambda2554z62zzsaw_defsz00(obj_t BgL_envz00_7668,
		obj_t BgL_oz00_7669, obj_t BgL_vz00_7670)
	{
		{	/* SawMill/defs.scm 57 */
			return
				((((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_oz00_7669)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7670)), BUNSPEC);
		}

	}



/* &lambda2553 */
	BgL_globalz00_bglt BGl_z62lambda2553z62zzsaw_defsz00(obj_t BgL_envz00_7671,
		obj_t BgL_oz00_7672)
	{
		{	/* SawMill/defs.scm 57 */
			return
				(((BgL_rtl_callz00_bglt) COBJECT(
						((BgL_rtl_callz00_bglt) BgL_oz00_7672)))->BgL_varz00);
		}

	}



/* &<@anonymous:2514> */
	obj_t BGl_z62zc3z04anonymousza32514ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7673,
		obj_t BgL_new1277z00_7674)
	{
		{	/* SawMill/defs.scm 56 */
			{
				BgL_rtl_newz00_bglt BgL_auxz00_12870;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_newz00_bglt) BgL_new1277z00_7674))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12874;

					{	/* SawMill/defs.scm 56 */
						obj_t BgL_classz00_9077;

						BgL_classz00_9077 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 56 */
							obj_t BgL__ortest_1112z00_9078;

							BgL__ortest_1112z00_9078 = BGL_CLASS_NIL(BgL_classz00_9077);
							if (CBOOL(BgL__ortest_1112z00_9078))
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_12874 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9078);
								}
							else
								{	/* SawMill/defs.scm 56 */
									BgL_auxz00_12874 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9077));
								}
						}
					}
					((((BgL_rtl_newz00_bglt) COBJECT(
									((BgL_rtl_newz00_bglt) BgL_new1277z00_7674)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_12874), BUNSPEC);
				}
				((((BgL_rtl_newz00_bglt) COBJECT(
								((BgL_rtl_newz00_bglt) BgL_new1277z00_7674)))->BgL_constrz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_12870 = ((BgL_rtl_newz00_bglt) BgL_new1277z00_7674);
				return ((obj_t) BgL_auxz00_12870);
			}
		}

	}



/* &lambda2510 */
	BgL_rtl_newz00_bglt BGl_z62lambda2510z62zzsaw_defsz00(obj_t BgL_envz00_7675)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_newz00_bglt BgL_new1276z00_9079;

				BgL_new1276z00_9079 =
					((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_newz00_bgl))));
				{	/* SawMill/defs.scm 56 */
					long BgL_arg2513z00_9080;

					BgL_arg2513z00_9080 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1276z00_9079), BgL_arg2513z00_9080);
				}
				return BgL_new1276z00_9079;
			}
		}

	}



/* &lambda2507 */
	BgL_rtl_newz00_bglt BGl_z62lambda2507z62zzsaw_defsz00(obj_t BgL_envz00_7676,
		obj_t BgL_loc1273z00_7677, obj_t BgL_type1274z00_7678,
		obj_t BgL_constr1275z00_7679)
	{
		{	/* SawMill/defs.scm 56 */
			{	/* SawMill/defs.scm 56 */
				BgL_rtl_newz00_bglt BgL_new1501z00_9083;

				{	/* SawMill/defs.scm 56 */
					BgL_rtl_newz00_bglt BgL_new1500z00_9084;

					BgL_new1500z00_9084 =
						((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_newz00_bgl))));
					{	/* SawMill/defs.scm 56 */
						long BgL_arg2509z00_9085;

						BgL_arg2509z00_9085 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1500z00_9084), BgL_arg2509z00_9085);
					}
					BgL_new1501z00_9083 = BgL_new1500z00_9084;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1501z00_9083)))->BgL_locz00) =
					((obj_t) BgL_loc1273z00_7677), BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1501z00_9083))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1274z00_7678)),
					BUNSPEC);
				((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1501z00_9083))->BgL_constrz00) =
					((obj_t) ((obj_t) BgL_constr1275z00_7679)), BUNSPEC);
				return BgL_new1501z00_9083;
			}
		}

	}



/* &lambda2529 */
	obj_t BGl_z62lambda2529z62zzsaw_defsz00(obj_t BgL_envz00_7680,
		obj_t BgL_oz00_7681, obj_t BgL_vz00_7682)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7681)))->BgL_constrz00) = ((obj_t)
					((obj_t) BgL_vz00_7682)), BUNSPEC);
		}

	}



/* &lambda2528 */
	obj_t BGl_z62lambda2528z62zzsaw_defsz00(obj_t BgL_envz00_7683,
		obj_t BgL_oz00_7684)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7684)))->BgL_constrz00);
		}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzsaw_defsz00(obj_t BgL_envz00_7685,
		obj_t BgL_oz00_7686, obj_t BgL_vz00_7687)
	{
		{	/* SawMill/defs.scm 56 */
			return
				((((BgL_rtl_newz00_bglt) COBJECT(
							((BgL_rtl_newz00_bglt) BgL_oz00_7686)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7687)), BUNSPEC);
		}

	}



/* &lambda2522 */
	BgL_typez00_bglt BGl_z62lambda2522z62zzsaw_defsz00(obj_t BgL_envz00_7688,
		obj_t BgL_oz00_7689)
	{
		{	/* SawMill/defs.scm 56 */
			return
				(((BgL_rtl_newz00_bglt) COBJECT(
						((BgL_rtl_newz00_bglt) BgL_oz00_7689)))->BgL_typez00);
		}

	}



/* &<@anonymous:2500> */
	obj_t BGl_z62zc3z04anonymousza32500ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7690,
		obj_t BgL_new1271z00_7691)
	{
		{	/* SawMill/defs.scm 54 */
			{
				BgL_rtl_boxsetz00_bglt BgL_auxz00_12911;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxsetz00_bglt) BgL_new1271z00_7691))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_12911 = ((BgL_rtl_boxsetz00_bglt) BgL_new1271z00_7691);
				return ((obj_t) BgL_auxz00_12911);
			}
		}

	}



/* &lambda2495 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2495z62zzsaw_defsz00(obj_t
		BgL_envz00_7692)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_boxsetz00_bglt BgL_new1270z00_9093;

				BgL_new1270z00_9093 =
					((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxsetz00_bgl))));
				{	/* SawMill/defs.scm 54 */
					long BgL_arg2499z00_9094;

					BgL_arg2499z00_9094 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1270z00_9093), BgL_arg2499z00_9094);
				}
				return BgL_new1270z00_9093;
			}
		}

	}



/* &lambda2493 */
	BgL_rtl_boxsetz00_bglt BGl_z62lambda2493z62zzsaw_defsz00(obj_t
		BgL_envz00_7693, obj_t BgL_loc1269z00_7694)
	{
		{	/* SawMill/defs.scm 54 */
			{	/* SawMill/defs.scm 54 */
				BgL_rtl_boxsetz00_bglt BgL_new1499z00_9095;

				{	/* SawMill/defs.scm 54 */
					BgL_rtl_boxsetz00_bglt BgL_new1498z00_9096;

					BgL_new1498z00_9096 =
						((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxsetz00_bgl))));
					{	/* SawMill/defs.scm 54 */
						long BgL_arg2494z00_9097;

						BgL_arg2494z00_9097 = BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1498z00_9096), BgL_arg2494z00_9097);
					}
					BgL_new1499z00_9095 = BgL_new1498z00_9096;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1499z00_9095)))->BgL_locz00) =
					((obj_t) BgL_loc1269z00_7694), BUNSPEC);
				return BgL_new1499z00_9095;
			}
		}

	}



/* &<@anonymous:2472> */
	obj_t BGl_z62zc3z04anonymousza32472ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7695,
		obj_t BgL_new1267z00_7696)
	{
		{	/* SawMill/defs.scm 53 */
			{
				BgL_rtl_vsetz00_bglt BgL_auxz00_12927;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vsetz00_bglt) BgL_new1267z00_7696))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12931;

					{	/* SawMill/defs.scm 53 */
						obj_t BgL_classz00_9099;

						BgL_classz00_9099 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 53 */
							obj_t BgL__ortest_1112z00_9100;

							BgL__ortest_1112z00_9100 = BGL_CLASS_NIL(BgL_classz00_9099);
							if (CBOOL(BgL__ortest_1112z00_9100))
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_12931 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9100);
								}
							else
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_12931 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9099));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1267z00_7696)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_12931), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12940;

					{	/* SawMill/defs.scm 53 */
						obj_t BgL_classz00_9101;

						BgL_classz00_9101 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 53 */
							obj_t BgL__ortest_1112z00_9102;

							BgL__ortest_1112z00_9102 = BGL_CLASS_NIL(BgL_classz00_9101);
							if (CBOOL(BgL__ortest_1112z00_9102))
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_12940 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9102);
								}
							else
								{	/* SawMill/defs.scm 53 */
									BgL_auxz00_12940 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9101));
								}
						}
					}
					((((BgL_rtl_vsetz00_bglt) COBJECT(
									((BgL_rtl_vsetz00_bglt) BgL_new1267z00_7696)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_12940), BUNSPEC);
				}
				BgL_auxz00_12927 = ((BgL_rtl_vsetz00_bglt) BgL_new1267z00_7696);
				return ((obj_t) BgL_auxz00_12927);
			}
		}

	}



/* &lambda2470 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2470z62zzsaw_defsz00(obj_t BgL_envz00_7697)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_vsetz00_bglt BgL_new1266z00_9103;

				BgL_new1266z00_9103 =
					((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vsetz00_bgl))));
				{	/* SawMill/defs.scm 53 */
					long BgL_arg2471z00_9104;

					BgL_arg2471z00_9104 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1266z00_9103), BgL_arg2471z00_9104);
				}
				return BgL_new1266z00_9103;
			}
		}

	}



/* &lambda2468 */
	BgL_rtl_vsetz00_bglt BGl_z62lambda2468z62zzsaw_defsz00(obj_t BgL_envz00_7698,
		obj_t BgL_loc1263z00_7699, obj_t BgL_type1264z00_7700,
		obj_t BgL_vtype1265z00_7701)
	{
		{	/* SawMill/defs.scm 53 */
			{	/* SawMill/defs.scm 53 */
				BgL_rtl_vsetz00_bglt BgL_new1497z00_9107;

				{	/* SawMill/defs.scm 53 */
					BgL_rtl_vsetz00_bglt BgL_new1496z00_9108;

					BgL_new1496z00_9108 =
						((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vsetz00_bgl))));
					{	/* SawMill/defs.scm 53 */
						long BgL_arg2469z00_9109;

						BgL_arg2469z00_9109 = BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1496z00_9108), BgL_arg2469z00_9109);
					}
					BgL_new1497z00_9107 = BgL_new1496z00_9108;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1497z00_9107)))->BgL_locz00) =
					((obj_t) BgL_loc1263z00_7699), BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1497z00_9107))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1264z00_7700)),
					BUNSPEC);
				((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1497z00_9107))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1265z00_7701)),
					BUNSPEC);
				return BgL_new1497z00_9107;
			}
		}

	}



/* &lambda2485 */
	obj_t BGl_z62lambda2485z62zzsaw_defsz00(obj_t BgL_envz00_7702,
		obj_t BgL_oz00_7703, obj_t BgL_vz00_7704)
	{
		{	/* SawMill/defs.scm 53 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7703)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7704)), BUNSPEC);
		}

	}



/* &lambda2484 */
	BgL_typez00_bglt BGl_z62lambda2484z62zzsaw_defsz00(obj_t BgL_envz00_7705,
		obj_t BgL_oz00_7706)
	{
		{	/* SawMill/defs.scm 53 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7706)))->BgL_vtypez00);
		}

	}



/* &lambda2478 */
	obj_t BGl_z62lambda2478z62zzsaw_defsz00(obj_t BgL_envz00_7707,
		obj_t BgL_oz00_7708, obj_t BgL_vz00_7709)
	{
		{	/* SawMill/defs.scm 53 */
			return
				((((BgL_rtl_vsetz00_bglt) COBJECT(
							((BgL_rtl_vsetz00_bglt) BgL_oz00_7708)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7709)), BUNSPEC);
		}

	}



/* &lambda2477 */
	BgL_typez00_bglt BGl_z62lambda2477z62zzsaw_defsz00(obj_t BgL_envz00_7710,
		obj_t BgL_oz00_7711)
	{
		{	/* SawMill/defs.scm 53 */
			return
				(((BgL_rtl_vsetz00_bglt) COBJECT(
						((BgL_rtl_vsetz00_bglt) BgL_oz00_7711)))->BgL_typez00);
		}

	}



/* &<@anonymous:2443> */
	obj_t BGl_z62zc3z04anonymousza32443ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7712,
		obj_t BgL_new1261z00_7713)
	{
		{	/* SawMill/defs.scm 52 */
			{
				BgL_rtl_setfieldz00_bglt BgL_auxz00_12975;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_setfieldz00_bglt) BgL_new1261z00_7713))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(((BgL_rtl_setfieldz00_bglt)
									BgL_new1261z00_7713)))->BgL_namez00) =
					((obj_t) BGl_string3322z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_12981;

					{	/* SawMill/defs.scm 52 */
						obj_t BgL_classz00_9117;

						BgL_classz00_9117 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 52 */
							obj_t BgL__ortest_1112z00_9118;

							BgL__ortest_1112z00_9118 = BGL_CLASS_NIL(BgL_classz00_9117);
							if (CBOOL(BgL__ortest_1112z00_9118))
								{	/* SawMill/defs.scm 52 */
									BgL_auxz00_12981 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9118);
								}
							else
								{	/* SawMill/defs.scm 52 */
									BgL_auxz00_12981 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9117));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1261z00_7713)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_12981), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_12990;

					{	/* SawMill/defs.scm 52 */
						obj_t BgL_classz00_9119;

						BgL_classz00_9119 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 52 */
							obj_t BgL__ortest_1112z00_9120;

							BgL__ortest_1112z00_9120 = BGL_CLASS_NIL(BgL_classz00_9119);
							if (CBOOL(BgL__ortest_1112z00_9120))
								{	/* SawMill/defs.scm 52 */
									BgL_auxz00_12990 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9120);
								}
							else
								{	/* SawMill/defs.scm 52 */
									BgL_auxz00_12990 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9119));
								}
						}
					}
					((((BgL_rtl_setfieldz00_bglt) COBJECT(
									((BgL_rtl_setfieldz00_bglt) BgL_new1261z00_7713)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_12990), BUNSPEC);
				}
				BgL_auxz00_12975 = ((BgL_rtl_setfieldz00_bglt) BgL_new1261z00_7713);
				return ((obj_t) BgL_auxz00_12975);
			}
		}

	}



/* &lambda2440 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2440z62zzsaw_defsz00(obj_t
		BgL_envz00_7714)
	{
		{	/* SawMill/defs.scm 52 */
			{	/* SawMill/defs.scm 52 */
				BgL_rtl_setfieldz00_bglt BgL_new1260z00_9121;

				BgL_new1260z00_9121 =
					((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_setfieldz00_bgl))));
				{	/* SawMill/defs.scm 52 */
					long BgL_arg2442z00_9122;

					BgL_arg2442z00_9122 = BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1260z00_9121), BgL_arg2442z00_9122);
				}
				return BgL_new1260z00_9121;
			}
		}

	}



/* &lambda2437 */
	BgL_rtl_setfieldz00_bglt BGl_z62lambda2437z62zzsaw_defsz00(obj_t
		BgL_envz00_7715, obj_t BgL_loc1256z00_7716, obj_t BgL_name1257z00_7717,
		obj_t BgL_objtype1258z00_7718, obj_t BgL_type1259z00_7719)
	{
		{	/* SawMill/defs.scm 52 */
			{	/* SawMill/defs.scm 52 */
				BgL_rtl_setfieldz00_bglt BgL_new1495z00_9126;

				{	/* SawMill/defs.scm 52 */
					BgL_rtl_setfieldz00_bglt BgL_new1494z00_9127;

					BgL_new1494z00_9127 =
						((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_setfieldz00_bgl))));
					{	/* SawMill/defs.scm 52 */
						long BgL_arg2439z00_9128;

						BgL_arg2439z00_9128 =
							BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1494z00_9127), BgL_arg2439z00_9128);
					}
					BgL_new1495z00_9126 = BgL_new1494z00_9127;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1495z00_9126)))->BgL_locz00) =
					((obj_t) BgL_loc1256z00_7716), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1495z00_9126))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1257z00_7717)), BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1495z00_9126))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1258z00_7718)),
					BUNSPEC);
				((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1495z00_9126))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1259z00_7719)),
					BUNSPEC);
				return BgL_new1495z00_9126;
			}
		}

	}



/* &lambda2459 */
	obj_t BGl_z62lambda2459z62zzsaw_defsz00(obj_t BgL_envz00_7720,
		obj_t BgL_oz00_7721, obj_t BgL_vz00_7722)
	{
		{	/* SawMill/defs.scm 52 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7721)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7722)), BUNSPEC);
		}

	}



/* &lambda2458 */
	BgL_typez00_bglt BGl_z62lambda2458z62zzsaw_defsz00(obj_t BgL_envz00_7723,
		obj_t BgL_oz00_7724)
	{
		{	/* SawMill/defs.scm 52 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7724)))->BgL_typez00);
		}

	}



/* &lambda2453 */
	obj_t BGl_z62lambda2453z62zzsaw_defsz00(obj_t BgL_envz00_7725,
		obj_t BgL_oz00_7726, obj_t BgL_vz00_7727)
	{
		{	/* SawMill/defs.scm 52 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7726)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7727)), BUNSPEC);
		}

	}



/* &lambda2452 */
	BgL_typez00_bglt BGl_z62lambda2452z62zzsaw_defsz00(obj_t BgL_envz00_7728,
		obj_t BgL_oz00_7729)
	{
		{	/* SawMill/defs.scm 52 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7729)))->BgL_objtypez00);
		}

	}



/* &lambda2448 */
	obj_t BGl_z62lambda2448z62zzsaw_defsz00(obj_t BgL_envz00_7730,
		obj_t BgL_oz00_7731, obj_t BgL_vz00_7732)
	{
		{	/* SawMill/defs.scm 52 */
			return
				((((BgL_rtl_setfieldz00_bglt) COBJECT(
							((BgL_rtl_setfieldz00_bglt) BgL_oz00_7731)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7732)), BUNSPEC);
		}

	}



/* &lambda2447 */
	obj_t BGl_z62lambda2447z62zzsaw_defsz00(obj_t BgL_envz00_7733,
		obj_t BgL_oz00_7734)
	{
		{	/* SawMill/defs.scm 52 */
			return
				(((BgL_rtl_setfieldz00_bglt) COBJECT(
						((BgL_rtl_setfieldz00_bglt) BgL_oz00_7734)))->BgL_namez00);
		}

	}



/* &<@anonymous:2424> */
	obj_t BGl_z62zc3z04anonymousza32424ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7735,
		obj_t BgL_new1254z00_7736)
	{
		{	/* SawMill/defs.scm 51 */
			{
				BgL_rtl_storegz00_bglt BgL_auxz00_13032;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_storegz00_bglt) BgL_new1254z00_7736))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13036;

					{	/* SawMill/defs.scm 51 */
						obj_t BgL_classz00_9139;

						BgL_classz00_9139 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 51 */
							obj_t BgL__ortest_1112z00_9140;

							BgL__ortest_1112z00_9140 = BGL_CLASS_NIL(BgL_classz00_9139);
							if (CBOOL(BgL__ortest_1112z00_9140))
								{	/* SawMill/defs.scm 51 */
									BgL_auxz00_13036 =
										((BgL_globalz00_bglt) BgL__ortest_1112z00_9140);
								}
							else
								{	/* SawMill/defs.scm 51 */
									BgL_auxz00_13036 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9139));
								}
						}
					}
					((((BgL_rtl_storegz00_bglt) COBJECT(
									((BgL_rtl_storegz00_bglt) BgL_new1254z00_7736)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13036), BUNSPEC);
				}
				BgL_auxz00_13032 = ((BgL_rtl_storegz00_bglt) BgL_new1254z00_7736);
				return ((obj_t) BgL_auxz00_13032);
			}
		}

	}



/* &lambda2421 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2421z62zzsaw_defsz00(obj_t
		BgL_envz00_7737)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_storegz00_bglt BgL_new1253z00_9141;

				BgL_new1253z00_9141 =
					((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_storegz00_bgl))));
				{	/* SawMill/defs.scm 51 */
					long BgL_arg2423z00_9142;

					BgL_arg2423z00_9142 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1253z00_9141), BgL_arg2423z00_9142);
				}
				return BgL_new1253z00_9141;
			}
		}

	}



/* &lambda2419 */
	BgL_rtl_storegz00_bglt BGl_z62lambda2419z62zzsaw_defsz00(obj_t
		BgL_envz00_7738, obj_t BgL_loc1251z00_7739, obj_t BgL_var1252z00_7740)
	{
		{	/* SawMill/defs.scm 51 */
			{	/* SawMill/defs.scm 51 */
				BgL_rtl_storegz00_bglt BgL_new1493z00_9144;

				{	/* SawMill/defs.scm 51 */
					BgL_rtl_storegz00_bglt BgL_new1492z00_9145;

					BgL_new1492z00_9145 =
						((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_storegz00_bgl))));
					{	/* SawMill/defs.scm 51 */
						long BgL_arg2420z00_9146;

						BgL_arg2420z00_9146 = BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1492z00_9145), BgL_arg2420z00_9146);
					}
					BgL_new1493z00_9144 = BgL_new1492z00_9145;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1493z00_9144)))->BgL_locz00) =
					((obj_t) BgL_loc1251z00_7739), BUNSPEC);
				((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1493z00_9144))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1252z00_7740)),
					BUNSPEC);
				return BgL_new1493z00_9144;
			}
		}

	}



/* &lambda2429 */
	obj_t BGl_z62lambda2429z62zzsaw_defsz00(obj_t BgL_envz00_7741,
		obj_t BgL_oz00_7742, obj_t BgL_vz00_7743)
	{
		{	/* SawMill/defs.scm 51 */
			return
				((((BgL_rtl_storegz00_bglt) COBJECT(
							((BgL_rtl_storegz00_bglt) BgL_oz00_7742)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7743)), BUNSPEC);
		}

	}



/* &lambda2428 */
	BgL_globalz00_bglt BGl_z62lambda2428z62zzsaw_defsz00(obj_t BgL_envz00_7744,
		obj_t BgL_oz00_7745)
	{
		{	/* SawMill/defs.scm 51 */
			return
				(((BgL_rtl_storegz00_bglt) COBJECT(
						((BgL_rtl_storegz00_bglt) BgL_oz00_7745)))->BgL_varz00);
		}

	}



/* &<@anonymous:2412> */
	obj_t BGl_z62zc3z04anonymousza32412ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7746,
		obj_t BgL_new1249z00_7747)
	{
		{	/* SawMill/defs.scm 50 */
			{
				BgL_rtl_effectz00_bglt BgL_auxz00_13064;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_effectz00_bglt) BgL_new1249z00_7747))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13064 = ((BgL_rtl_effectz00_bglt) BgL_new1249z00_7747);
				return ((obj_t) BgL_auxz00_13064);
			}
		}

	}



/* &lambda2410 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2410z62zzsaw_defsz00(obj_t
		BgL_envz00_7748)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_effectz00_bglt BgL_new1248z00_9151;

				BgL_new1248z00_9151 =
					((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_effectz00_bgl))));
				{	/* SawMill/defs.scm 50 */
					long BgL_arg2411z00_9152;

					BgL_arg2411z00_9152 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1248z00_9151), BgL_arg2411z00_9152);
				}
				return BgL_new1248z00_9151;
			}
		}

	}



/* &lambda2408 */
	BgL_rtl_effectz00_bglt BGl_z62lambda2408z62zzsaw_defsz00(obj_t
		BgL_envz00_7749, obj_t BgL_loc1247z00_7750)
	{
		{	/* SawMill/defs.scm 50 */
			{	/* SawMill/defs.scm 50 */
				BgL_rtl_effectz00_bglt BgL_new1491z00_9153;

				{	/* SawMill/defs.scm 50 */
					BgL_rtl_effectz00_bglt BgL_new1490z00_9154;

					BgL_new1490z00_9154 =
						((BgL_rtl_effectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_effectz00_bgl))));
					{	/* SawMill/defs.scm 50 */
						long BgL_arg2409z00_9155;

						BgL_arg2409z00_9155 = BGL_CLASS_NUM(BGl_rtl_effectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1490z00_9154), BgL_arg2409z00_9155);
					}
					BgL_new1491z00_9153 = BgL_new1490z00_9154;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1491z00_9153)))->BgL_locz00) =
					((obj_t) BgL_loc1247z00_7750), BUNSPEC);
				return BgL_new1491z00_9153;
			}
		}

	}



/* &<@anonymous:2400> */
	obj_t BGl_z62zc3z04anonymousza32400ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7751,
		obj_t BgL_new1245z00_7752)
	{
		{	/* SawMill/defs.scm 48 */
			{
				BgL_rtl_boxrefz00_bglt BgL_auxz00_13080;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_boxrefz00_bglt) BgL_new1245z00_7752))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13080 = ((BgL_rtl_boxrefz00_bglt) BgL_new1245z00_7752);
				return ((obj_t) BgL_auxz00_13080);
			}
		}

	}



/* &lambda2398 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2398z62zzsaw_defsz00(obj_t
		BgL_envz00_7753)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_boxrefz00_bglt BgL_new1243z00_9157;

				BgL_new1243z00_9157 =
					((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_boxrefz00_bgl))));
				{	/* SawMill/defs.scm 48 */
					long BgL_arg2399z00_9158;

					BgL_arg2399z00_9158 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1243z00_9157), BgL_arg2399z00_9158);
				}
				return BgL_new1243z00_9157;
			}
		}

	}



/* &lambda2396 */
	BgL_rtl_boxrefz00_bglt BGl_z62lambda2396z62zzsaw_defsz00(obj_t
		BgL_envz00_7754, obj_t BgL_loc1242z00_7755)
	{
		{	/* SawMill/defs.scm 48 */
			{	/* SawMill/defs.scm 48 */
				BgL_rtl_boxrefz00_bglt BgL_new1489z00_9159;

				{	/* SawMill/defs.scm 48 */
					BgL_rtl_boxrefz00_bglt BgL_new1488z00_9160;

					BgL_new1488z00_9160 =
						((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_boxrefz00_bgl))));
					{	/* SawMill/defs.scm 48 */
						long BgL_arg2397z00_9161;

						BgL_arg2397z00_9161 = BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1488z00_9160), BgL_arg2397z00_9161);
					}
					BgL_new1489z00_9159 = BgL_new1488z00_9160;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1489z00_9159)))->BgL_locz00) =
					((obj_t) BgL_loc1242z00_7755), BUNSPEC);
				return BgL_new1489z00_9159;
			}
		}

	}



/* &<@anonymous:2389> */
	obj_t BGl_z62zc3z04anonymousza32389ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7756,
		obj_t BgL_new1240z00_7757)
	{
		{	/* SawMill/defs.scm 47 */
			{
				BgL_rtl_makeboxz00_bglt BgL_auxz00_13096;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_makeboxz00_bglt) BgL_new1240z00_7757))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13096 = ((BgL_rtl_makeboxz00_bglt) BgL_new1240z00_7757);
				return ((obj_t) BgL_auxz00_13096);
			}
		}

	}



/* &lambda2386 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2386z62zzsaw_defsz00(obj_t
		BgL_envz00_7758)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_makeboxz00_bglt BgL_new1239z00_9163;

				BgL_new1239z00_9163 =
					((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_makeboxz00_bgl))));
				{	/* SawMill/defs.scm 47 */
					long BgL_arg2388z00_9164;

					BgL_arg2388z00_9164 = BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1239z00_9163), BgL_arg2388z00_9164);
				}
				return BgL_new1239z00_9163;
			}
		}

	}



/* &lambda2384 */
	BgL_rtl_makeboxz00_bglt BGl_z62lambda2384z62zzsaw_defsz00(obj_t
		BgL_envz00_7759, obj_t BgL_loc1238z00_7760)
	{
		{	/* SawMill/defs.scm 47 */
			{	/* SawMill/defs.scm 47 */
				BgL_rtl_makeboxz00_bglt BgL_new1487z00_9165;

				{	/* SawMill/defs.scm 47 */
					BgL_rtl_makeboxz00_bglt BgL_new1486z00_9166;

					BgL_new1486z00_9166 =
						((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_makeboxz00_bgl))));
					{	/* SawMill/defs.scm 47 */
						long BgL_arg2385z00_9167;

						BgL_arg2385z00_9167 =
							BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1486z00_9166), BgL_arg2385z00_9167);
					}
					BgL_new1487z00_9165 = BgL_new1486z00_9166;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1487z00_9165)))->BgL_locz00) =
					((obj_t) BgL_loc1238z00_7760), BUNSPEC);
				return BgL_new1487z00_9165;
			}
		}

	}



/* &<@anonymous:2372> */
	obj_t BGl_z62zc3z04anonymousza32372ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7761,
		obj_t BgL_new1236z00_7762)
	{
		{	/* SawMill/defs.scm 46 */
			{
				BgL_rtl_instanceofz00_bglt BgL_auxz00_13112;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_instanceofz00_bglt) BgL_new1236z00_7762))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13116;

					{	/* SawMill/defs.scm 46 */
						obj_t BgL_classz00_9169;

						BgL_classz00_9169 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 46 */
							obj_t BgL__ortest_1112z00_9170;

							BgL__ortest_1112z00_9170 = BGL_CLASS_NIL(BgL_classz00_9169);
							if (CBOOL(BgL__ortest_1112z00_9170))
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13116 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9170);
								}
							else
								{	/* SawMill/defs.scm 46 */
									BgL_auxz00_13116 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9169));
								}
						}
					}
					((((BgL_rtl_instanceofz00_bglt) COBJECT(
									((BgL_rtl_instanceofz00_bglt) BgL_new1236z00_7762)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13116), BUNSPEC);
				}
				BgL_auxz00_13112 = ((BgL_rtl_instanceofz00_bglt) BgL_new1236z00_7762);
				return ((obj_t) BgL_auxz00_13112);
			}
		}

	}



/* &lambda2370 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2370z62zzsaw_defsz00(obj_t
		BgL_envz00_7763)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_instanceofz00_bglt BgL_new1235z00_9171;

				BgL_new1235z00_9171 =
					((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_instanceofz00_bgl))));
				{	/* SawMill/defs.scm 46 */
					long BgL_arg2371z00_9172;

					BgL_arg2371z00_9172 =
						BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1235z00_9171), BgL_arg2371z00_9172);
				}
				return BgL_new1235z00_9171;
			}
		}

	}



/* &lambda2368 */
	BgL_rtl_instanceofz00_bglt BGl_z62lambda2368z62zzsaw_defsz00(obj_t
		BgL_envz00_7764, obj_t BgL_loc1233z00_7765, obj_t BgL_type1234z00_7766)
	{
		{	/* SawMill/defs.scm 46 */
			{	/* SawMill/defs.scm 46 */
				BgL_rtl_instanceofz00_bglt BgL_new1485z00_9174;

				{	/* SawMill/defs.scm 46 */
					BgL_rtl_instanceofz00_bglt BgL_new1484z00_9175;

					BgL_new1484z00_9175 =
						((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_instanceofz00_bgl))));
					{	/* SawMill/defs.scm 46 */
						long BgL_arg2369z00_9176;

						BgL_arg2369z00_9176 =
							BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1484z00_9175), BgL_arg2369z00_9176);
					}
					BgL_new1485z00_9174 = BgL_new1484z00_9175;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1485z00_9174)))->BgL_locz00) =
					((obj_t) BgL_loc1233z00_7765), BUNSPEC);
				((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1485z00_9174))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1234z00_7766)),
					BUNSPEC);
				return BgL_new1485z00_9174;
			}
		}

	}



/* &lambda2378 */
	obj_t BGl_z62lambda2378z62zzsaw_defsz00(obj_t BgL_envz00_7767,
		obj_t BgL_oz00_7768, obj_t BgL_vz00_7769)
	{
		{	/* SawMill/defs.scm 46 */
			return
				((((BgL_rtl_instanceofz00_bglt) COBJECT(
							((BgL_rtl_instanceofz00_bglt) BgL_oz00_7768)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7769)), BUNSPEC);
		}

	}



/* &lambda2377 */
	BgL_typez00_bglt BGl_z62lambda2377z62zzsaw_defsz00(obj_t BgL_envz00_7770,
		obj_t BgL_oz00_7771)
	{
		{	/* SawMill/defs.scm 46 */
			return
				(((BgL_rtl_instanceofz00_bglt) COBJECT(
						((BgL_rtl_instanceofz00_bglt) BgL_oz00_7771)))->BgL_typez00);
		}

	}



/* &<@anonymous:2351> */
	obj_t BGl_z62zc3z04anonymousza32351ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7772,
		obj_t BgL_new1231z00_7773)
	{
		{	/* SawMill/defs.scm 45 */
			{
				BgL_rtl_vlengthz00_bglt BgL_auxz00_13144;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vlengthz00_bglt) BgL_new1231z00_7773))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13148;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9181;

						BgL_classz00_9181 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1112z00_9182;

							BgL__ortest_1112z00_9182 = BGL_CLASS_NIL(BgL_classz00_9181);
							if (CBOOL(BgL__ortest_1112z00_9182))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13148 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9182);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13148 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9181));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1231z00_7773)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13148), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13157;

					{	/* SawMill/defs.scm 45 */
						obj_t BgL_classz00_9183;

						BgL_classz00_9183 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 45 */
							obj_t BgL__ortest_1112z00_9184;

							BgL__ortest_1112z00_9184 = BGL_CLASS_NIL(BgL_classz00_9183);
							if (CBOOL(BgL__ortest_1112z00_9184))
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13157 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9184);
								}
							else
								{	/* SawMill/defs.scm 45 */
									BgL_auxz00_13157 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9183));
								}
						}
					}
					((((BgL_rtl_vlengthz00_bglt) COBJECT(
									((BgL_rtl_vlengthz00_bglt) BgL_new1231z00_7773)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13157), BUNSPEC);
				}
				BgL_auxz00_13144 = ((BgL_rtl_vlengthz00_bglt) BgL_new1231z00_7773);
				return ((obj_t) BgL_auxz00_13144);
			}
		}

	}



/* &lambda2349 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2349z62zzsaw_defsz00(obj_t
		BgL_envz00_7774)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_vlengthz00_bglt BgL_new1230z00_9185;

				BgL_new1230z00_9185 =
					((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vlengthz00_bgl))));
				{	/* SawMill/defs.scm 45 */
					long BgL_arg2350z00_9186;

					BgL_arg2350z00_9186 = BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1230z00_9185), BgL_arg2350z00_9186);
				}
				return BgL_new1230z00_9185;
			}
		}

	}



/* &lambda2347 */
	BgL_rtl_vlengthz00_bglt BGl_z62lambda2347z62zzsaw_defsz00(obj_t
		BgL_envz00_7775, obj_t BgL_loc1227z00_7776, obj_t BgL_type1228z00_7777,
		obj_t BgL_vtype1229z00_7778)
	{
		{	/* SawMill/defs.scm 45 */
			{	/* SawMill/defs.scm 45 */
				BgL_rtl_vlengthz00_bglt BgL_new1483z00_9189;

				{	/* SawMill/defs.scm 45 */
					BgL_rtl_vlengthz00_bglt BgL_new1482z00_9190;

					BgL_new1482z00_9190 =
						((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vlengthz00_bgl))));
					{	/* SawMill/defs.scm 45 */
						long BgL_arg2348z00_9191;

						BgL_arg2348z00_9191 =
							BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1482z00_9190), BgL_arg2348z00_9191);
					}
					BgL_new1483z00_9189 = BgL_new1482z00_9190;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1483z00_9189)))->BgL_locz00) =
					((obj_t) BgL_loc1227z00_7776), BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1483z00_9189))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1228z00_7777)),
					BUNSPEC);
				((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1483z00_9189))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1229z00_7778)),
					BUNSPEC);
				return BgL_new1483z00_9189;
			}
		}

	}



/* &lambda2362 */
	obj_t BGl_z62lambda2362z62zzsaw_defsz00(obj_t BgL_envz00_7779,
		obj_t BgL_oz00_7780, obj_t BgL_vz00_7781)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_7780)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7781)), BUNSPEC);
		}

	}



/* &lambda2361 */
	BgL_typez00_bglt BGl_z62lambda2361z62zzsaw_defsz00(obj_t BgL_envz00_7782,
		obj_t BgL_oz00_7783)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_7783)))->BgL_vtypez00);
		}

	}



/* &lambda2356 */
	obj_t BGl_z62lambda2356z62zzsaw_defsz00(obj_t BgL_envz00_7784,
		obj_t BgL_oz00_7785, obj_t BgL_vz00_7786)
	{
		{	/* SawMill/defs.scm 45 */
			return
				((((BgL_rtl_vlengthz00_bglt) COBJECT(
							((BgL_rtl_vlengthz00_bglt) BgL_oz00_7785)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7786)), BUNSPEC);
		}

	}



/* &lambda2355 */
	BgL_typez00_bglt BGl_z62lambda2355z62zzsaw_defsz00(obj_t BgL_envz00_7787,
		obj_t BgL_oz00_7788)
	{
		{	/* SawMill/defs.scm 45 */
			return
				(((BgL_rtl_vlengthz00_bglt) COBJECT(
						((BgL_rtl_vlengthz00_bglt) BgL_oz00_7788)))->BgL_typez00);
		}

	}



/* &<@anonymous:2327> */
	obj_t BGl_z62zc3z04anonymousza32327ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7789,
		obj_t BgL_new1225z00_7790)
	{
		{	/* SawMill/defs.scm 44 */
			{
				BgL_rtl_vrefz00_bglt BgL_auxz00_13192;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vrefz00_bglt) BgL_new1225z00_7790))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13196;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9199;

						BgL_classz00_9199 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1112z00_9200;

							BgL__ortest_1112z00_9200 = BGL_CLASS_NIL(BgL_classz00_9199);
							if (CBOOL(BgL__ortest_1112z00_9200))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13196 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9200);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13196 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9199));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1225z00_7790)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13196), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13205;

					{	/* SawMill/defs.scm 44 */
						obj_t BgL_classz00_9201;

						BgL_classz00_9201 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 44 */
							obj_t BgL__ortest_1112z00_9202;

							BgL__ortest_1112z00_9202 = BGL_CLASS_NIL(BgL_classz00_9201);
							if (CBOOL(BgL__ortest_1112z00_9202))
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13205 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9202);
								}
							else
								{	/* SawMill/defs.scm 44 */
									BgL_auxz00_13205 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9201));
								}
						}
					}
					((((BgL_rtl_vrefz00_bglt) COBJECT(
									((BgL_rtl_vrefz00_bglt) BgL_new1225z00_7790)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13205), BUNSPEC);
				}
				BgL_auxz00_13192 = ((BgL_rtl_vrefz00_bglt) BgL_new1225z00_7790);
				return ((obj_t) BgL_auxz00_13192);
			}
		}

	}



/* &lambda2325 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2325z62zzsaw_defsz00(obj_t BgL_envz00_7791)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_vrefz00_bglt BgL_new1224z00_9203;

				BgL_new1224z00_9203 =
					((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vrefz00_bgl))));
				{	/* SawMill/defs.scm 44 */
					long BgL_arg2326z00_9204;

					BgL_arg2326z00_9204 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1224z00_9203), BgL_arg2326z00_9204);
				}
				return BgL_new1224z00_9203;
			}
		}

	}



/* &lambda2323 */
	BgL_rtl_vrefz00_bglt BGl_z62lambda2323z62zzsaw_defsz00(obj_t BgL_envz00_7792,
		obj_t BgL_loc1221z00_7793, obj_t BgL_type1222z00_7794,
		obj_t BgL_vtype1223z00_7795)
	{
		{	/* SawMill/defs.scm 44 */
			{	/* SawMill/defs.scm 44 */
				BgL_rtl_vrefz00_bglt BgL_new1481z00_9207;

				{	/* SawMill/defs.scm 44 */
					BgL_rtl_vrefz00_bglt BgL_new1480z00_9208;

					BgL_new1480z00_9208 =
						((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vrefz00_bgl))));
					{	/* SawMill/defs.scm 44 */
						long BgL_arg2324z00_9209;

						BgL_arg2324z00_9209 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1480z00_9208), BgL_arg2324z00_9209);
					}
					BgL_new1481z00_9207 = BgL_new1480z00_9208;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1481z00_9207)))->BgL_locz00) =
					((obj_t) BgL_loc1221z00_7793), BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1481z00_9207))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1222z00_7794)),
					BUNSPEC);
				((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1481z00_9207))->BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1223z00_7795)),
					BUNSPEC);
				return BgL_new1481z00_9207;
			}
		}

	}



/* &lambda2338 */
	obj_t BGl_z62lambda2338z62zzsaw_defsz00(obj_t BgL_envz00_7796,
		obj_t BgL_oz00_7797, obj_t BgL_vz00_7798)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_7797)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7798)), BUNSPEC);
		}

	}



/* &lambda2337 */
	BgL_typez00_bglt BGl_z62lambda2337z62zzsaw_defsz00(obj_t BgL_envz00_7799,
		obj_t BgL_oz00_7800)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_7800)))->BgL_vtypez00);
		}

	}



/* &lambda2333 */
	obj_t BGl_z62lambda2333z62zzsaw_defsz00(obj_t BgL_envz00_7801,
		obj_t BgL_oz00_7802, obj_t BgL_vz00_7803)
	{
		{	/* SawMill/defs.scm 44 */
			return
				((((BgL_rtl_vrefz00_bglt) COBJECT(
							((BgL_rtl_vrefz00_bglt) BgL_oz00_7802)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7803)), BUNSPEC);
		}

	}



/* &lambda2332 */
	BgL_typez00_bglt BGl_z62lambda2332z62zzsaw_defsz00(obj_t BgL_envz00_7804,
		obj_t BgL_oz00_7805)
	{
		{	/* SawMill/defs.scm 44 */
			return
				(((BgL_rtl_vrefz00_bglt) COBJECT(
						((BgL_rtl_vrefz00_bglt) BgL_oz00_7805)))->BgL_typez00);
		}

	}



/* &<@anonymous:2305> */
	obj_t BGl_z62zc3z04anonymousza32305ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7806,
		obj_t BgL_new1219z00_7807)
	{
		{	/* SawMill/defs.scm 43 */
			{
				BgL_rtl_vallocz00_bglt BgL_auxz00_13240;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_vallocz00_bglt) BgL_new1219z00_7807))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13244;

					{	/* SawMill/defs.scm 43 */
						obj_t BgL_classz00_9217;

						BgL_classz00_9217 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 43 */
							obj_t BgL__ortest_1112z00_9218;

							BgL__ortest_1112z00_9218 = BGL_CLASS_NIL(BgL_classz00_9217);
							if (CBOOL(BgL__ortest_1112z00_9218))
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13244 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9218);
								}
							else
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13244 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9217));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1219z00_7807)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13244), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13253;

					{	/* SawMill/defs.scm 43 */
						obj_t BgL_classz00_9219;

						BgL_classz00_9219 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 43 */
							obj_t BgL__ortest_1112z00_9220;

							BgL__ortest_1112z00_9220 = BGL_CLASS_NIL(BgL_classz00_9219);
							if (CBOOL(BgL__ortest_1112z00_9220))
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13253 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9220);
								}
							else
								{	/* SawMill/defs.scm 43 */
									BgL_auxz00_13253 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9219));
								}
						}
					}
					((((BgL_rtl_vallocz00_bglt) COBJECT(
									((BgL_rtl_vallocz00_bglt) BgL_new1219z00_7807)))->
							BgL_vtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13253), BUNSPEC);
				}
				BgL_auxz00_13240 = ((BgL_rtl_vallocz00_bglt) BgL_new1219z00_7807);
				return ((obj_t) BgL_auxz00_13240);
			}
		}

	}



/* &lambda2302 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2302z62zzsaw_defsz00(obj_t
		BgL_envz00_7808)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_vallocz00_bglt BgL_new1218z00_9221;

				BgL_new1218z00_9221 =
					((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_vallocz00_bgl))));
				{	/* SawMill/defs.scm 43 */
					long BgL_arg2304z00_9222;

					BgL_arg2304z00_9222 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1218z00_9221), BgL_arg2304z00_9222);
				}
				return BgL_new1218z00_9221;
			}
		}

	}



/* &lambda2299 */
	BgL_rtl_vallocz00_bglt BGl_z62lambda2299z62zzsaw_defsz00(obj_t
		BgL_envz00_7809, obj_t BgL_loc1215z00_7810, obj_t BgL_type1216z00_7811,
		obj_t BgL_vtype1217z00_7812)
	{
		{	/* SawMill/defs.scm 43 */
			{	/* SawMill/defs.scm 43 */
				BgL_rtl_vallocz00_bglt BgL_new1479z00_9225;

				{	/* SawMill/defs.scm 43 */
					BgL_rtl_vallocz00_bglt BgL_new1478z00_9226;

					BgL_new1478z00_9226 =
						((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_vallocz00_bgl))));
					{	/* SawMill/defs.scm 43 */
						long BgL_arg2301z00_9227;

						BgL_arg2301z00_9227 = BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1478z00_9226), BgL_arg2301z00_9227);
					}
					BgL_new1479z00_9225 = BgL_new1478z00_9226;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1479z00_9225)))->BgL_locz00) =
					((obj_t) BgL_loc1215z00_7810), BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1479z00_9225))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1216z00_7811)),
					BUNSPEC);
				((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1479z00_9225))->
						BgL_vtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vtype1217z00_7812)),
					BUNSPEC);
				return BgL_new1479z00_9225;
			}
		}

	}



/* &lambda2316 */
	obj_t BGl_z62lambda2316z62zzsaw_defsz00(obj_t BgL_envz00_7813,
		obj_t BgL_oz00_7814, obj_t BgL_vz00_7815)
	{
		{	/* SawMill/defs.scm 43 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_7814)))->BgL_vtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7815)), BUNSPEC);
		}

	}



/* &lambda2315 */
	BgL_typez00_bglt BGl_z62lambda2315z62zzsaw_defsz00(obj_t BgL_envz00_7816,
		obj_t BgL_oz00_7817)
	{
		{	/* SawMill/defs.scm 43 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_7817)))->BgL_vtypez00);
		}

	}



/* &lambda2310 */
	obj_t BGl_z62lambda2310z62zzsaw_defsz00(obj_t BgL_envz00_7818,
		obj_t BgL_oz00_7819, obj_t BgL_vz00_7820)
	{
		{	/* SawMill/defs.scm 43 */
			return
				((((BgL_rtl_vallocz00_bglt) COBJECT(
							((BgL_rtl_vallocz00_bglt) BgL_oz00_7819)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7820)), BUNSPEC);
		}

	}



/* &lambda2309 */
	BgL_typez00_bglt BGl_z62lambda2309z62zzsaw_defsz00(obj_t BgL_envz00_7821,
		obj_t BgL_oz00_7822)
	{
		{	/* SawMill/defs.scm 43 */
			return
				(((BgL_rtl_vallocz00_bglt) COBJECT(
						((BgL_rtl_vallocz00_bglt) BgL_oz00_7822)))->BgL_typez00);
		}

	}



/* &<@anonymous:2276> */
	obj_t BGl_z62zc3z04anonymousza32276ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7823,
		obj_t BgL_new1213z00_7824)
	{
		{	/* SawMill/defs.scm 42 */
			{
				BgL_rtl_getfieldz00_bglt BgL_auxz00_13288;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_getfieldz00_bglt) BgL_new1213z00_7824))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(((BgL_rtl_getfieldz00_bglt)
									BgL_new1213z00_7824)))->BgL_namez00) =
					((obj_t) BGl_string3322z00zzsaw_defsz00), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13294;

					{	/* SawMill/defs.scm 42 */
						obj_t BgL_classz00_9235;

						BgL_classz00_9235 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 42 */
							obj_t BgL__ortest_1112z00_9236;

							BgL__ortest_1112z00_9236 = BGL_CLASS_NIL(BgL_classz00_9235);
							if (CBOOL(BgL__ortest_1112z00_9236))
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13294 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9236);
								}
							else
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13294 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9235));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1213z00_7824)))->
							BgL_objtypez00) = ((BgL_typez00_bglt) BgL_auxz00_13294), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_13303;

					{	/* SawMill/defs.scm 42 */
						obj_t BgL_classz00_9237;

						BgL_classz00_9237 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 42 */
							obj_t BgL__ortest_1112z00_9238;

							BgL__ortest_1112z00_9238 = BGL_CLASS_NIL(BgL_classz00_9237);
							if (CBOOL(BgL__ortest_1112z00_9238))
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13303 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9238);
								}
							else
								{	/* SawMill/defs.scm 42 */
									BgL_auxz00_13303 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9237));
								}
						}
					}
					((((BgL_rtl_getfieldz00_bglt) COBJECT(
									((BgL_rtl_getfieldz00_bglt) BgL_new1213z00_7824)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13303), BUNSPEC);
				}
				BgL_auxz00_13288 = ((BgL_rtl_getfieldz00_bglt) BgL_new1213z00_7824);
				return ((obj_t) BgL_auxz00_13288);
			}
		}

	}



/* &lambda2274 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2274z62zzsaw_defsz00(obj_t
		BgL_envz00_7825)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_getfieldz00_bglt BgL_new1212z00_9239;

				BgL_new1212z00_9239 =
					((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_getfieldz00_bgl))));
				{	/* SawMill/defs.scm 42 */
					long BgL_arg2275z00_9240;

					BgL_arg2275z00_9240 = BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1212z00_9239), BgL_arg2275z00_9240);
				}
				return BgL_new1212z00_9239;
			}
		}

	}



/* &lambda2272 */
	BgL_rtl_getfieldz00_bglt BGl_z62lambda2272z62zzsaw_defsz00(obj_t
		BgL_envz00_7826, obj_t BgL_loc1208z00_7827, obj_t BgL_name1209z00_7828,
		obj_t BgL_objtype1210z00_7829, obj_t BgL_type1211z00_7830)
	{
		{	/* SawMill/defs.scm 42 */
			{	/* SawMill/defs.scm 42 */
				BgL_rtl_getfieldz00_bglt BgL_new1477z00_9244;

				{	/* SawMill/defs.scm 42 */
					BgL_rtl_getfieldz00_bglt BgL_new1476z00_9245;

					BgL_new1476z00_9245 =
						((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_getfieldz00_bgl))));
					{	/* SawMill/defs.scm 42 */
						long BgL_arg2273z00_9246;

						BgL_arg2273z00_9246 =
							BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1476z00_9245), BgL_arg2273z00_9246);
					}
					BgL_new1477z00_9244 = BgL_new1476z00_9245;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1477z00_9244)))->BgL_locz00) =
					((obj_t) BgL_loc1208z00_7827), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1477z00_9244))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1209z00_7828)), BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1477z00_9244))->
						BgL_objtypez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_objtype1210z00_7829)),
					BUNSPEC);
				((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1477z00_9244))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1211z00_7830)),
					BUNSPEC);
				return BgL_new1477z00_9244;
			}
		}

	}



/* &lambda2293 */
	obj_t BGl_z62lambda2293z62zzsaw_defsz00(obj_t BgL_envz00_7831,
		obj_t BgL_oz00_7832, obj_t BgL_vz00_7833)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_7832)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7833)), BUNSPEC);
		}

	}



/* &lambda2292 */
	BgL_typez00_bglt BGl_z62lambda2292z62zzsaw_defsz00(obj_t BgL_envz00_7834,
		obj_t BgL_oz00_7835)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_7835)))->BgL_typez00);
		}

	}



/* &lambda2288 */
	obj_t BGl_z62lambda2288z62zzsaw_defsz00(obj_t BgL_envz00_7836,
		obj_t BgL_oz00_7837, obj_t BgL_vz00_7838)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_7837)))->BgL_objtypez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7838)), BUNSPEC);
		}

	}



/* &lambda2287 */
	BgL_typez00_bglt BGl_z62lambda2287z62zzsaw_defsz00(obj_t BgL_envz00_7839,
		obj_t BgL_oz00_7840)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_7840)))->BgL_objtypez00);
		}

	}



/* &lambda2282 */
	obj_t BGl_z62lambda2282z62zzsaw_defsz00(obj_t BgL_envz00_7841,
		obj_t BgL_oz00_7842, obj_t BgL_vz00_7843)
	{
		{	/* SawMill/defs.scm 42 */
			return
				((((BgL_rtl_getfieldz00_bglt) COBJECT(
							((BgL_rtl_getfieldz00_bglt) BgL_oz00_7842)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_7843)), BUNSPEC);
		}

	}



/* &lambda2281 */
	obj_t BGl_z62lambda2281z62zzsaw_defsz00(obj_t BgL_envz00_7844,
		obj_t BgL_oz00_7845)
	{
		{	/* SawMill/defs.scm 42 */
			return
				(((BgL_rtl_getfieldz00_bglt) COBJECT(
						((BgL_rtl_getfieldz00_bglt) BgL_oz00_7845)))->BgL_namez00);
		}

	}



/* &<@anonymous:2261> */
	obj_t BGl_z62zc3z04anonymousza32261ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7846,
		obj_t BgL_new1206z00_7847)
	{
		{	/* SawMill/defs.scm 41 */
			{
				BgL_rtl_globalrefz00_bglt BgL_auxz00_13345;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_globalrefz00_bglt) BgL_new1206z00_7847))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13349;

					{	/* SawMill/defs.scm 41 */
						obj_t BgL_classz00_9257;

						BgL_classz00_9257 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 41 */
							obj_t BgL__ortest_1112z00_9258;

							BgL__ortest_1112z00_9258 = BGL_CLASS_NIL(BgL_classz00_9257);
							if (CBOOL(BgL__ortest_1112z00_9258))
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13349 =
										((BgL_globalz00_bglt) BgL__ortest_1112z00_9258);
								}
							else
								{	/* SawMill/defs.scm 41 */
									BgL_auxz00_13349 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9257));
								}
						}
					}
					((((BgL_rtl_globalrefz00_bglt) COBJECT(
									((BgL_rtl_globalrefz00_bglt) BgL_new1206z00_7847)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13349), BUNSPEC);
				}
				BgL_auxz00_13345 = ((BgL_rtl_globalrefz00_bglt) BgL_new1206z00_7847);
				return ((obj_t) BgL_auxz00_13345);
			}
		}

	}



/* &lambda2259 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2259z62zzsaw_defsz00(obj_t
		BgL_envz00_7848)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_globalrefz00_bglt BgL_new1205z00_9259;

				BgL_new1205z00_9259 =
					((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_globalrefz00_bgl))));
				{	/* SawMill/defs.scm 41 */
					long BgL_arg2260z00_9260;

					BgL_arg2260z00_9260 =
						BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1205z00_9259), BgL_arg2260z00_9260);
				}
				return BgL_new1205z00_9259;
			}
		}

	}



/* &lambda2257 */
	BgL_rtl_globalrefz00_bglt BGl_z62lambda2257z62zzsaw_defsz00(obj_t
		BgL_envz00_7849, obj_t BgL_loc1203z00_7850, obj_t BgL_var1204z00_7851)
	{
		{	/* SawMill/defs.scm 41 */
			{	/* SawMill/defs.scm 41 */
				BgL_rtl_globalrefz00_bglt BgL_new1475z00_9262;

				{	/* SawMill/defs.scm 41 */
					BgL_rtl_globalrefz00_bglt BgL_new1474z00_9263;

					BgL_new1474z00_9263 =
						((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_globalrefz00_bgl))));
					{	/* SawMill/defs.scm 41 */
						long BgL_arg2258z00_9264;

						BgL_arg2258z00_9264 =
							BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1474z00_9263), BgL_arg2258z00_9264);
					}
					BgL_new1475z00_9262 = BgL_new1474z00_9263;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1475z00_9262)))->BgL_locz00) =
					((obj_t) BgL_loc1203z00_7850), BUNSPEC);
				((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1475z00_9262))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1204z00_7851)),
					BUNSPEC);
				return BgL_new1475z00_9262;
			}
		}

	}



/* &lambda2266 */
	obj_t BGl_z62lambda2266z62zzsaw_defsz00(obj_t BgL_envz00_7852,
		obj_t BgL_oz00_7853, obj_t BgL_vz00_7854)
	{
		{	/* SawMill/defs.scm 41 */
			return
				((((BgL_rtl_globalrefz00_bglt) COBJECT(
							((BgL_rtl_globalrefz00_bglt) BgL_oz00_7853)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7854)), BUNSPEC);
		}

	}



/* &lambda2265 */
	BgL_globalz00_bglt BGl_z62lambda2265z62zzsaw_defsz00(obj_t BgL_envz00_7855,
		obj_t BgL_oz00_7856)
	{
		{	/* SawMill/defs.scm 41 */
			return
				(((BgL_rtl_globalrefz00_bglt) COBJECT(
						((BgL_rtl_globalrefz00_bglt) BgL_oz00_7856)))->BgL_varz00);
		}

	}



/* &<@anonymous:2246> */
	obj_t BGl_z62zc3z04anonymousza32246ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7857,
		obj_t BgL_new1201z00_7858)
	{
		{	/* SawMill/defs.scm 40 */
			{
				BgL_rtl_loadfunz00_bglt BgL_auxz00_13377;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadfunz00_bglt) BgL_new1201z00_7858))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13381;

					{	/* SawMill/defs.scm 40 */
						obj_t BgL_classz00_9269;

						BgL_classz00_9269 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 40 */
							obj_t BgL__ortest_1112z00_9270;

							BgL__ortest_1112z00_9270 = BGL_CLASS_NIL(BgL_classz00_9269);
							if (CBOOL(BgL__ortest_1112z00_9270))
								{	/* SawMill/defs.scm 40 */
									BgL_auxz00_13381 =
										((BgL_globalz00_bglt) BgL__ortest_1112z00_9270);
								}
							else
								{	/* SawMill/defs.scm 40 */
									BgL_auxz00_13381 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9269));
								}
						}
					}
					((((BgL_rtl_loadfunz00_bglt) COBJECT(
									((BgL_rtl_loadfunz00_bglt) BgL_new1201z00_7858)))->
							BgL_varz00) = ((BgL_globalz00_bglt) BgL_auxz00_13381), BUNSPEC);
				}
				BgL_auxz00_13377 = ((BgL_rtl_loadfunz00_bglt) BgL_new1201z00_7858);
				return ((obj_t) BgL_auxz00_13377);
			}
		}

	}



/* &lambda2244 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2244z62zzsaw_defsz00(obj_t
		BgL_envz00_7859)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_loadfunz00_bglt BgL_new1200z00_9271;

				BgL_new1200z00_9271 =
					((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadfunz00_bgl))));
				{	/* SawMill/defs.scm 40 */
					long BgL_arg2245z00_9272;

					BgL_arg2245z00_9272 = BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1200z00_9271), BgL_arg2245z00_9272);
				}
				return BgL_new1200z00_9271;
			}
		}

	}



/* &lambda2242 */
	BgL_rtl_loadfunz00_bglt BGl_z62lambda2242z62zzsaw_defsz00(obj_t
		BgL_envz00_7860, obj_t BgL_loc1198z00_7861, obj_t BgL_var1199z00_7862)
	{
		{	/* SawMill/defs.scm 40 */
			{	/* SawMill/defs.scm 40 */
				BgL_rtl_loadfunz00_bglt BgL_new1473z00_9274;

				{	/* SawMill/defs.scm 40 */
					BgL_rtl_loadfunz00_bglt BgL_new1472z00_9275;

					BgL_new1472z00_9275 =
						((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadfunz00_bgl))));
					{	/* SawMill/defs.scm 40 */
						long BgL_arg2243z00_9276;

						BgL_arg2243z00_9276 =
							BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1472z00_9275), BgL_arg2243z00_9276);
					}
					BgL_new1473z00_9274 = BgL_new1472z00_9275;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1473z00_9274)))->BgL_locz00) =
					((obj_t) BgL_loc1198z00_7861), BUNSPEC);
				((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1473z00_9274))->
						BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1199z00_7862)),
					BUNSPEC);
				return BgL_new1473z00_9274;
			}
		}

	}



/* &lambda2251 */
	obj_t BGl_z62lambda2251z62zzsaw_defsz00(obj_t BgL_envz00_7863,
		obj_t BgL_oz00_7864, obj_t BgL_vz00_7865)
	{
		{	/* SawMill/defs.scm 40 */
			return
				((((BgL_rtl_loadfunz00_bglt) COBJECT(
							((BgL_rtl_loadfunz00_bglt) BgL_oz00_7864)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7865)), BUNSPEC);
		}

	}



/* &lambda2250 */
	BgL_globalz00_bglt BGl_z62lambda2250z62zzsaw_defsz00(obj_t BgL_envz00_7866,
		obj_t BgL_oz00_7867)
	{
		{	/* SawMill/defs.scm 40 */
			return
				(((BgL_rtl_loadfunz00_bglt) COBJECT(
						((BgL_rtl_loadfunz00_bglt) BgL_oz00_7867)))->BgL_varz00);
		}

	}



/* &<@anonymous:2231> */
	obj_t BGl_z62zc3z04anonymousza32231ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7868,
		obj_t BgL_new1195z00_7869)
	{
		{	/* SawMill/defs.scm 39 */
			{
				BgL_rtl_loadgz00_bglt BgL_auxz00_13409;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadgz00_bglt) BgL_new1195z00_7869))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalz00_bglt BgL_auxz00_13413;

					{	/* SawMill/defs.scm 39 */
						obj_t BgL_classz00_9281;

						BgL_classz00_9281 = BGl_globalz00zzast_varz00;
						{	/* SawMill/defs.scm 39 */
							obj_t BgL__ortest_1112z00_9282;

							BgL__ortest_1112z00_9282 = BGL_CLASS_NIL(BgL_classz00_9281);
							if (CBOOL(BgL__ortest_1112z00_9282))
								{	/* SawMill/defs.scm 39 */
									BgL_auxz00_13413 =
										((BgL_globalz00_bglt) BgL__ortest_1112z00_9282);
								}
							else
								{	/* SawMill/defs.scm 39 */
									BgL_auxz00_13413 =
										((BgL_globalz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9281));
								}
						}
					}
					((((BgL_rtl_loadgz00_bglt) COBJECT(
									((BgL_rtl_loadgz00_bglt) BgL_new1195z00_7869)))->BgL_varz00) =
						((BgL_globalz00_bglt) BgL_auxz00_13413), BUNSPEC);
				}
				BgL_auxz00_13409 = ((BgL_rtl_loadgz00_bglt) BgL_new1195z00_7869);
				return ((obj_t) BgL_auxz00_13409);
			}
		}

	}



/* &lambda2229 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2229z62zzsaw_defsz00(obj_t BgL_envz00_7870)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_loadgz00_bglt BgL_new1194z00_9283;

				BgL_new1194z00_9283 =
					((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadgz00_bgl))));
				{	/* SawMill/defs.scm 39 */
					long BgL_arg2230z00_9284;

					BgL_arg2230z00_9284 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1194z00_9283), BgL_arg2230z00_9284);
				}
				return BgL_new1194z00_9283;
			}
		}

	}



/* &lambda2227 */
	BgL_rtl_loadgz00_bglt BGl_z62lambda2227z62zzsaw_defsz00(obj_t BgL_envz00_7871,
		obj_t BgL_loc1192z00_7872, obj_t BgL_var1193z00_7873)
	{
		{	/* SawMill/defs.scm 39 */
			{	/* SawMill/defs.scm 39 */
				BgL_rtl_loadgz00_bglt BgL_new1471z00_9286;

				{	/* SawMill/defs.scm 39 */
					BgL_rtl_loadgz00_bglt BgL_new1470z00_9287;

					BgL_new1470z00_9287 =
						((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadgz00_bgl))));
					{	/* SawMill/defs.scm 39 */
						long BgL_arg2228z00_9288;

						BgL_arg2228z00_9288 = BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1470z00_9287), BgL_arg2228z00_9288);
					}
					BgL_new1471z00_9286 = BgL_new1470z00_9287;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1471z00_9286)))->BgL_locz00) =
					((obj_t) BgL_loc1192z00_7872), BUNSPEC);
				((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1471z00_9286))->BgL_varz00) =
					((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_var1193z00_7873)),
					BUNSPEC);
				return BgL_new1471z00_9286;
			}
		}

	}



/* &lambda2236 */
	obj_t BGl_z62lambda2236z62zzsaw_defsz00(obj_t BgL_envz00_7874,
		obj_t BgL_oz00_7875, obj_t BgL_vz00_7876)
	{
		{	/* SawMill/defs.scm 39 */
			return
				((((BgL_rtl_loadgz00_bglt) COBJECT(
							((BgL_rtl_loadgz00_bglt) BgL_oz00_7875)))->BgL_varz00) =
				((BgL_globalz00_bglt) ((BgL_globalz00_bglt) BgL_vz00_7876)), BUNSPEC);
		}

	}



/* &lambda2235 */
	BgL_globalz00_bglt BGl_z62lambda2235z62zzsaw_defsz00(obj_t BgL_envz00_7877,
		obj_t BgL_oz00_7878)
	{
		{	/* SawMill/defs.scm 39 */
			return
				(((BgL_rtl_loadgz00_bglt) COBJECT(
						((BgL_rtl_loadgz00_bglt) BgL_oz00_7878)))->BgL_varz00);
		}

	}



/* &<@anonymous:2216> */
	obj_t BGl_z62zc3z04anonymousza32216ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7879,
		obj_t BgL_new1190z00_7880)
	{
		{	/* SawMill/defs.scm 38 */
			{
				BgL_rtl_loadiz00_bglt BgL_auxz00_13441;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_loadiz00_bglt) BgL_new1190z00_7880))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_atomz00_bglt BgL_auxz00_13445;

					{	/* SawMill/defs.scm 38 */
						obj_t BgL_classz00_9293;

						BgL_classz00_9293 = BGl_atomz00zzast_nodez00;
						{	/* SawMill/defs.scm 38 */
							obj_t BgL__ortest_1112z00_9294;

							BgL__ortest_1112z00_9294 = BGL_CLASS_NIL(BgL_classz00_9293);
							if (CBOOL(BgL__ortest_1112z00_9294))
								{	/* SawMill/defs.scm 38 */
									BgL_auxz00_13445 =
										((BgL_atomz00_bglt) BgL__ortest_1112z00_9294);
								}
							else
								{	/* SawMill/defs.scm 38 */
									BgL_auxz00_13445 =
										((BgL_atomz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9293));
								}
						}
					}
					((((BgL_rtl_loadiz00_bglt) COBJECT(
									((BgL_rtl_loadiz00_bglt) BgL_new1190z00_7880)))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) BgL_auxz00_13445), BUNSPEC);
				}
				BgL_auxz00_13441 = ((BgL_rtl_loadiz00_bglt) BgL_new1190z00_7880);
				return ((obj_t) BgL_auxz00_13441);
			}
		}

	}



/* &lambda2214 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2214z62zzsaw_defsz00(obj_t BgL_envz00_7881)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_loadiz00_bglt BgL_new1189z00_9295;

				BgL_new1189z00_9295 =
					((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_loadiz00_bgl))));
				{	/* SawMill/defs.scm 38 */
					long BgL_arg2215z00_9296;

					BgL_arg2215z00_9296 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1189z00_9295), BgL_arg2215z00_9296);
				}
				return BgL_new1189z00_9295;
			}
		}

	}



/* &lambda2212 */
	BgL_rtl_loadiz00_bglt BGl_z62lambda2212z62zzsaw_defsz00(obj_t BgL_envz00_7882,
		obj_t BgL_loc1187z00_7883, obj_t BgL_constant1188z00_7884)
	{
		{	/* SawMill/defs.scm 38 */
			{	/* SawMill/defs.scm 38 */
				BgL_rtl_loadiz00_bglt BgL_new1469z00_9298;

				{	/* SawMill/defs.scm 38 */
					BgL_rtl_loadiz00_bglt BgL_new1468z00_9299;

					BgL_new1468z00_9299 =
						((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_loadiz00_bgl))));
					{	/* SawMill/defs.scm 38 */
						long BgL_arg2213z00_9300;

						BgL_arg2213z00_9300 = BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1468z00_9299), BgL_arg2213z00_9300);
					}
					BgL_new1469z00_9298 = BgL_new1468z00_9299;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1469z00_9298)))->BgL_locz00) =
					((obj_t) BgL_loc1187z00_7883), BUNSPEC);
				((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1469z00_9298))->
						BgL_constantz00) =
					((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_constant1188z00_7884)),
					BUNSPEC);
				return BgL_new1469z00_9298;
			}
		}

	}



/* &lambda2221 */
	obj_t BGl_z62lambda2221z62zzsaw_defsz00(obj_t BgL_envz00_7885,
		obj_t BgL_oz00_7886, obj_t BgL_vz00_7887)
	{
		{	/* SawMill/defs.scm 38 */
			return
				((((BgL_rtl_loadiz00_bglt) COBJECT(
							((BgL_rtl_loadiz00_bglt) BgL_oz00_7886)))->BgL_constantz00) =
				((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_vz00_7887)), BUNSPEC);
		}

	}



/* &lambda2220 */
	BgL_atomz00_bglt BGl_z62lambda2220z62zzsaw_defsz00(obj_t BgL_envz00_7888,
		obj_t BgL_oz00_7889)
	{
		{	/* SawMill/defs.scm 38 */
			return
				(((BgL_rtl_loadiz00_bglt) COBJECT(
						((BgL_rtl_loadiz00_bglt) BgL_oz00_7889)))->BgL_constantz00);
		}

	}



/* &<@anonymous:2206> */
	obj_t BGl_z62zc3z04anonymousza32206ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7890,
		obj_t BgL_new1185z00_7891)
	{
		{	/* SawMill/defs.scm 37 */
			{
				BgL_rtl_movz00_bglt BgL_auxz00_13473;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_movz00_bglt) BgL_new1185z00_7891))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13473 = ((BgL_rtl_movz00_bglt) BgL_new1185z00_7891);
				return ((obj_t) BgL_auxz00_13473);
			}
		}

	}



/* &lambda2204 */
	BgL_rtl_movz00_bglt BGl_z62lambda2204z62zzsaw_defsz00(obj_t BgL_envz00_7892)
	{
		{	/* SawMill/defs.scm 37 */
			{	/* SawMill/defs.scm 37 */
				BgL_rtl_movz00_bglt BgL_new1184z00_9305;

				BgL_new1184z00_9305 =
					((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_movz00_bgl))));
				{	/* SawMill/defs.scm 37 */
					long BgL_arg2205z00_9306;

					BgL_arg2205z00_9306 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1184z00_9305), BgL_arg2205z00_9306);
				}
				return BgL_new1184z00_9305;
			}
		}

	}



/* &lambda2202 */
	BgL_rtl_movz00_bglt BGl_z62lambda2202z62zzsaw_defsz00(obj_t BgL_envz00_7893,
		obj_t BgL_loc1183z00_7894)
	{
		{	/* SawMill/defs.scm 37 */
			{	/* SawMill/defs.scm 37 */
				BgL_rtl_movz00_bglt BgL_new1467z00_9307;

				{	/* SawMill/defs.scm 37 */
					BgL_rtl_movz00_bglt BgL_new1466z00_9308;

					BgL_new1466z00_9308 =
						((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_movz00_bgl))));
					{	/* SawMill/defs.scm 37 */
						long BgL_arg2203z00_9309;

						BgL_arg2203z00_9309 = BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1466z00_9308), BgL_arg2203z00_9309);
					}
					BgL_new1467z00_9307 = BgL_new1466z00_9308;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1467z00_9307)))->BgL_locz00) =
					((obj_t) BgL_loc1183z00_7894), BUNSPEC);
				return BgL_new1467z00_9307;
			}
		}

	}



/* &<@anonymous:2196> */
	obj_t BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7895,
		obj_t BgL_new1181z00_7896)
	{
		{	/* SawMill/defs.scm 36 */
			{
				BgL_rtl_nopz00_bglt BgL_auxz00_13489;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_nopz00_bglt) BgL_new1181z00_7896))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13489 = ((BgL_rtl_nopz00_bglt) BgL_new1181z00_7896);
				return ((obj_t) BgL_auxz00_13489);
			}
		}

	}



/* &lambda2194 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2194z62zzsaw_defsz00(obj_t BgL_envz00_7897)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_nopz00_bglt BgL_new1180z00_9311;

				BgL_new1180z00_9311 =
					((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_nopz00_bgl))));
				{	/* SawMill/defs.scm 36 */
					long BgL_arg2195z00_9312;

					BgL_arg2195z00_9312 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_9311), BgL_arg2195z00_9312);
				}
				return BgL_new1180z00_9311;
			}
		}

	}



/* &lambda2192 */
	BgL_rtl_nopz00_bglt BGl_z62lambda2192z62zzsaw_defsz00(obj_t BgL_envz00_7898,
		obj_t BgL_loc1178z00_7899)
	{
		{	/* SawMill/defs.scm 36 */
			{	/* SawMill/defs.scm 36 */
				BgL_rtl_nopz00_bglt BgL_new1465z00_9313;

				{	/* SawMill/defs.scm 36 */
					BgL_rtl_nopz00_bglt BgL_new1464z00_9314;

					BgL_new1464z00_9314 =
						((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_nopz00_bgl))));
					{	/* SawMill/defs.scm 36 */
						long BgL_arg2193z00_9315;

						BgL_arg2193z00_9315 = BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1464z00_9314), BgL_arg2193z00_9315);
					}
					BgL_new1465z00_9313 = BgL_new1464z00_9314;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1465z00_9313)))->BgL_locz00) =
					((obj_t) BgL_loc1178z00_7899), BUNSPEC);
				return BgL_new1465z00_9313;
			}
		}

	}



/* &<@anonymous:2186> */
	obj_t BGl_z62zc3z04anonymousza32186ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7900,
		obj_t BgL_new1176z00_7901)
	{
		{	/* SawMill/defs.scm 35 */
			{
				BgL_rtl_purez00_bglt BgL_auxz00_13505;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_purez00_bglt) BgL_new1176z00_7901))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13505 = ((BgL_rtl_purez00_bglt) BgL_new1176z00_7901);
				return ((obj_t) BgL_auxz00_13505);
			}
		}

	}



/* &lambda2184 */
	BgL_rtl_purez00_bglt BGl_z62lambda2184z62zzsaw_defsz00(obj_t BgL_envz00_7902)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_purez00_bglt BgL_new1175z00_9317;

				BgL_new1175z00_9317 =
					((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_purez00_bgl))));
				{	/* SawMill/defs.scm 35 */
					long BgL_arg2185z00_9318;

					BgL_arg2185z00_9318 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1175z00_9317), BgL_arg2185z00_9318);
				}
				return BgL_new1175z00_9317;
			}
		}

	}



/* &lambda2182 */
	BgL_rtl_purez00_bglt BGl_z62lambda2182z62zzsaw_defsz00(obj_t BgL_envz00_7903,
		obj_t BgL_loc1174z00_7904)
	{
		{	/* SawMill/defs.scm 35 */
			{	/* SawMill/defs.scm 35 */
				BgL_rtl_purez00_bglt BgL_new1463z00_9319;

				{	/* SawMill/defs.scm 35 */
					BgL_rtl_purez00_bglt BgL_new1462z00_9320;

					BgL_new1462z00_9320 =
						((BgL_rtl_purez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_purez00_bgl))));
					{	/* SawMill/defs.scm 35 */
						long BgL_arg2183z00_9321;

						BgL_arg2183z00_9321 = BGL_CLASS_NUM(BGl_rtl_purez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1462z00_9320), BgL_arg2183z00_9321);
					}
					BgL_new1463z00_9319 = BgL_new1462z00_9320;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1463z00_9319)))->BgL_locz00) =
					((obj_t) BgL_loc1174z00_7904), BUNSPEC);
				return BgL_new1463z00_9319;
			}
		}

	}



/* &<@anonymous:2171> */
	obj_t BGl_z62zc3z04anonymousza32171ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7905,
		obj_t BgL_new1172z00_7906)
	{
		{	/* SawMill/defs.scm 33 */
			{
				BgL_rtl_goz00_bglt BgL_auxz00_13521;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_goz00_bglt) BgL_new1172z00_7906))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13525;

					{	/* SawMill/defs.scm 33 */
						obj_t BgL_classz00_9323;

						BgL_classz00_9323 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 33 */
							obj_t BgL__ortest_1112z00_9324;

							BgL__ortest_1112z00_9324 = BGL_CLASS_NIL(BgL_classz00_9323);
							if (CBOOL(BgL__ortest_1112z00_9324))
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_13525 =
										((BgL_blockz00_bglt) BgL__ortest_1112z00_9324);
								}
							else
								{	/* SawMill/defs.scm 33 */
									BgL_auxz00_13525 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9323));
								}
						}
					}
					((((BgL_rtl_goz00_bglt) COBJECT(
									((BgL_rtl_goz00_bglt) BgL_new1172z00_7906)))->BgL_toz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13525), BUNSPEC);
				}
				BgL_auxz00_13521 = ((BgL_rtl_goz00_bglt) BgL_new1172z00_7906);
				return ((obj_t) BgL_auxz00_13521);
			}
		}

	}



/* &lambda2169 */
	BgL_rtl_goz00_bglt BGl_z62lambda2169z62zzsaw_defsz00(obj_t BgL_envz00_7907)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_goz00_bglt BgL_new1171z00_9325;

				BgL_new1171z00_9325 =
					((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_goz00_bgl))));
				{	/* SawMill/defs.scm 33 */
					long BgL_arg2170z00_9326;

					BgL_arg2170z00_9326 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1171z00_9325), BgL_arg2170z00_9326);
				}
				return BgL_new1171z00_9325;
			}
		}

	}



/* &lambda2167 */
	BgL_rtl_goz00_bglt BGl_z62lambda2167z62zzsaw_defsz00(obj_t BgL_envz00_7908,
		obj_t BgL_loc1169z00_7909, obj_t BgL_to1170z00_7910)
	{
		{	/* SawMill/defs.scm 33 */
			{	/* SawMill/defs.scm 33 */
				BgL_rtl_goz00_bglt BgL_new1461z00_9328;

				{	/* SawMill/defs.scm 33 */
					BgL_rtl_goz00_bglt BgL_new1460z00_9329;

					BgL_new1460z00_9329 =
						((BgL_rtl_goz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_goz00_bgl))));
					{	/* SawMill/defs.scm 33 */
						long BgL_arg2168z00_9330;

						BgL_arg2168z00_9330 = BGL_CLASS_NUM(BGl_rtl_goz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1460z00_9329), BgL_arg2168z00_9330);
					}
					BgL_new1461z00_9328 = BgL_new1460z00_9329;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1461z00_9328)))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_7909), BUNSPEC);
				((((BgL_rtl_goz00_bglt) COBJECT(BgL_new1461z00_9328))->BgL_toz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_to1170z00_7910)),
					BUNSPEC);
				return BgL_new1461z00_9328;
			}
		}

	}



/* &lambda2176 */
	obj_t BGl_z62lambda2176z62zzsaw_defsz00(obj_t BgL_envz00_7911,
		obj_t BgL_oz00_7912, obj_t BgL_vz00_7913)
	{
		{	/* SawMill/defs.scm 33 */
			return
				((((BgL_rtl_goz00_bglt) COBJECT(
							((BgL_rtl_goz00_bglt) BgL_oz00_7912)))->BgL_toz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_7913)), BUNSPEC);
		}

	}



/* &lambda2175 */
	BgL_blockz00_bglt BGl_z62lambda2175z62zzsaw_defsz00(obj_t BgL_envz00_7914,
		obj_t BgL_oz00_7915)
	{
		{	/* SawMill/defs.scm 33 */
			return
				(((BgL_rtl_goz00_bglt) COBJECT(
						((BgL_rtl_goz00_bglt) BgL_oz00_7915)))->BgL_toz00);
		}

	}



/* &<@anonymous:2155> */
	obj_t BGl_z62zc3z04anonymousza32155ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7916,
		obj_t BgL_new1167z00_7917)
	{
		{	/* SawMill/defs.scm 32 */
			{
				BgL_rtl_ifnez00_bglt BgL_auxz00_13553;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifnez00_bglt) BgL_new1167z00_7917))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13557;

					{	/* SawMill/defs.scm 32 */
						obj_t BgL_classz00_9335;

						BgL_classz00_9335 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 32 */
							obj_t BgL__ortest_1112z00_9336;

							BgL__ortest_1112z00_9336 = BGL_CLASS_NIL(BgL_classz00_9335);
							if (CBOOL(BgL__ortest_1112z00_9336))
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_13557 =
										((BgL_blockz00_bglt) BgL__ortest_1112z00_9336);
								}
							else
								{	/* SawMill/defs.scm 32 */
									BgL_auxz00_13557 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9335));
								}
						}
					}
					((((BgL_rtl_ifnez00_bglt) COBJECT(
									((BgL_rtl_ifnez00_bglt) BgL_new1167z00_7917)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13557), BUNSPEC);
				}
				BgL_auxz00_13553 = ((BgL_rtl_ifnez00_bglt) BgL_new1167z00_7917);
				return ((obj_t) BgL_auxz00_13553);
			}
		}

	}



/* &lambda2153 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2153z62zzsaw_defsz00(obj_t BgL_envz00_7918)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_ifnez00_bglt BgL_new1166z00_9337;

				BgL_new1166z00_9337 =
					((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifnez00_bgl))));
				{	/* SawMill/defs.scm 32 */
					long BgL_arg2154z00_9338;

					BgL_arg2154z00_9338 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_9337), BgL_arg2154z00_9338);
				}
				return BgL_new1166z00_9337;
			}
		}

	}



/* &lambda2151 */
	BgL_rtl_ifnez00_bglt BGl_z62lambda2151z62zzsaw_defsz00(obj_t BgL_envz00_7919,
		obj_t BgL_loc1164z00_7920, obj_t BgL_then1165z00_7921)
	{
		{	/* SawMill/defs.scm 32 */
			{	/* SawMill/defs.scm 32 */
				BgL_rtl_ifnez00_bglt BgL_new1459z00_9340;

				{	/* SawMill/defs.scm 32 */
					BgL_rtl_ifnez00_bglt BgL_new1458z00_9341;

					BgL_new1458z00_9341 =
						((BgL_rtl_ifnez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifnez00_bgl))));
					{	/* SawMill/defs.scm 32 */
						long BgL_arg2152z00_9342;

						BgL_arg2152z00_9342 = BGL_CLASS_NUM(BGl_rtl_ifnez00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1458z00_9341), BgL_arg2152z00_9342);
					}
					BgL_new1459z00_9340 = BgL_new1458z00_9341;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1459z00_9340)))->BgL_locz00) =
					((obj_t) BgL_loc1164z00_7920), BUNSPEC);
				((((BgL_rtl_ifnez00_bglt) COBJECT(BgL_new1459z00_9340))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1165z00_7921)),
					BUNSPEC);
				return BgL_new1459z00_9340;
			}
		}

	}



/* &lambda2160 */
	obj_t BGl_z62lambda2160z62zzsaw_defsz00(obj_t BgL_envz00_7922,
		obj_t BgL_oz00_7923, obj_t BgL_vz00_7924)
	{
		{	/* SawMill/defs.scm 32 */
			return
				((((BgL_rtl_ifnez00_bglt) COBJECT(
							((BgL_rtl_ifnez00_bglt) BgL_oz00_7923)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_7924)), BUNSPEC);
		}

	}



/* &lambda2159 */
	BgL_blockz00_bglt BGl_z62lambda2159z62zzsaw_defsz00(obj_t BgL_envz00_7925,
		obj_t BgL_oz00_7926)
	{
		{	/* SawMill/defs.scm 32 */
			return
				(((BgL_rtl_ifnez00_bglt) COBJECT(
						((BgL_rtl_ifnez00_bglt) BgL_oz00_7926)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2139> */
	obj_t BGl_z62zc3z04anonymousza32139ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7927,
		obj_t BgL_new1162z00_7928)
	{
		{	/* SawMill/defs.scm 31 */
			{
				BgL_rtl_ifeqz00_bglt BgL_auxz00_13585;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifeqz00_bglt) BgL_new1162z00_7928))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_13589;

					{	/* SawMill/defs.scm 31 */
						obj_t BgL_classz00_9347;

						BgL_classz00_9347 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/defs.scm 31 */
							obj_t BgL__ortest_1112z00_9348;

							BgL__ortest_1112z00_9348 = BGL_CLASS_NIL(BgL_classz00_9347);
							if (CBOOL(BgL__ortest_1112z00_9348))
								{	/* SawMill/defs.scm 31 */
									BgL_auxz00_13589 =
										((BgL_blockz00_bglt) BgL__ortest_1112z00_9348);
								}
							else
								{	/* SawMill/defs.scm 31 */
									BgL_auxz00_13589 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9347));
								}
						}
					}
					((((BgL_rtl_ifeqz00_bglt) COBJECT(
									((BgL_rtl_ifeqz00_bglt) BgL_new1162z00_7928)))->BgL_thenz00) =
						((BgL_blockz00_bglt) BgL_auxz00_13589), BUNSPEC);
				}
				BgL_auxz00_13585 = ((BgL_rtl_ifeqz00_bglt) BgL_new1162z00_7928);
				return ((obj_t) BgL_auxz00_13585);
			}
		}

	}



/* &lambda2137 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2137z62zzsaw_defsz00(obj_t BgL_envz00_7929)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifeqz00_bglt BgL_new1161z00_9349;

				BgL_new1161z00_9349 =
					((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifeqz00_bgl))));
				{	/* SawMill/defs.scm 31 */
					long BgL_arg2138z00_9350;

					BgL_arg2138z00_9350 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1161z00_9349), BgL_arg2138z00_9350);
				}
				return BgL_new1161z00_9349;
			}
		}

	}



/* &lambda2135 */
	BgL_rtl_ifeqz00_bglt BGl_z62lambda2135z62zzsaw_defsz00(obj_t BgL_envz00_7930,
		obj_t BgL_loc1159z00_7931, obj_t BgL_then1160z00_7932)
	{
		{	/* SawMill/defs.scm 31 */
			{	/* SawMill/defs.scm 31 */
				BgL_rtl_ifeqz00_bglt BgL_new1457z00_9352;

				{	/* SawMill/defs.scm 31 */
					BgL_rtl_ifeqz00_bglt BgL_new1456z00_9353;

					BgL_new1456z00_9353 =
						((BgL_rtl_ifeqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifeqz00_bgl))));
					{	/* SawMill/defs.scm 31 */
						long BgL_arg2136z00_9354;

						BgL_arg2136z00_9354 = BGL_CLASS_NUM(BGl_rtl_ifeqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1456z00_9353), BgL_arg2136z00_9354);
					}
					BgL_new1457z00_9352 = BgL_new1456z00_9353;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1457z00_9352)))->BgL_locz00) =
					((obj_t) BgL_loc1159z00_7931), BUNSPEC);
				((((BgL_rtl_ifeqz00_bglt) COBJECT(BgL_new1457z00_9352))->BgL_thenz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_then1160z00_7932)),
					BUNSPEC);
				return BgL_new1457z00_9352;
			}
		}

	}



/* &lambda2144 */
	obj_t BGl_z62lambda2144z62zzsaw_defsz00(obj_t BgL_envz00_7933,
		obj_t BgL_oz00_7934, obj_t BgL_vz00_7935)
	{
		{	/* SawMill/defs.scm 31 */
			return
				((((BgL_rtl_ifeqz00_bglt) COBJECT(
							((BgL_rtl_ifeqz00_bglt) BgL_oz00_7934)))->BgL_thenz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_7935)), BUNSPEC);
		}

	}



/* &lambda2143 */
	BgL_blockz00_bglt BGl_z62lambda2143z62zzsaw_defsz00(obj_t BgL_envz00_7936,
		obj_t BgL_oz00_7937)
	{
		{	/* SawMill/defs.scm 31 */
			return
				(((BgL_rtl_ifeqz00_bglt) COBJECT(
						((BgL_rtl_ifeqz00_bglt) BgL_oz00_7937)))->BgL_thenz00);
		}

	}



/* &<@anonymous:2124> */
	obj_t BGl_z62zc3z04anonymousza32124ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7938,
		obj_t BgL_new1157z00_7939)
	{
		{	/* SawMill/defs.scm 30 */
			{
				BgL_rtl_switchz00_bglt BgL_auxz00_13617;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1157z00_7939))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13621;

					{	/* SawMill/defs.scm 30 */
						obj_t BgL_classz00_9359;

						BgL_classz00_9359 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 30 */
							obj_t BgL__ortest_1112z00_9360;

							BgL__ortest_1112z00_9360 = BGL_CLASS_NIL(BgL_classz00_9359);
							if (CBOOL(BgL__ortest_1112z00_9360))
								{	/* SawMill/defs.scm 30 */
									BgL_auxz00_13621 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9360);
								}
							else
								{	/* SawMill/defs.scm 30 */
									BgL_auxz00_13621 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9359));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt)
										((BgL_rtl_switchz00_bglt) BgL_new1157z00_7939))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13621), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt)
									((BgL_rtl_switchz00_bglt) BgL_new1157z00_7939))))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(((BgL_rtl_switchz00_bglt)
									BgL_new1157z00_7939)))->BgL_labelsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13617 = ((BgL_rtl_switchz00_bglt) BgL_new1157z00_7939);
				return ((obj_t) BgL_auxz00_13617);
			}
		}

	}



/* &lambda2122 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2122z62zzsaw_defsz00(obj_t
		BgL_envz00_7940)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_switchz00_bglt BgL_new1155z00_9361;

				BgL_new1155z00_9361 =
					((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_switchz00_bgl))));
				{	/* SawMill/defs.scm 30 */
					long BgL_arg2123z00_9362;

					BgL_arg2123z00_9362 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1155z00_9361), BgL_arg2123z00_9362);
				}
				return BgL_new1155z00_9361;
			}
		}

	}



/* &lambda2120 */
	BgL_rtl_switchz00_bglt BGl_z62lambda2120z62zzsaw_defsz00(obj_t
		BgL_envz00_7941, obj_t BgL_loc1151z00_7942, obj_t BgL_type1152z00_7943,
		obj_t BgL_patterns1153z00_7944, obj_t BgL_labels1154z00_7945)
	{
		{	/* SawMill/defs.scm 30 */
			{	/* SawMill/defs.scm 30 */
				BgL_rtl_switchz00_bglt BgL_new1455z00_9364;

				{	/* SawMill/defs.scm 30 */
					BgL_rtl_switchz00_bglt BgL_new1454z00_9365;

					BgL_new1454z00_9365 =
						((BgL_rtl_switchz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_switchz00_bgl))));
					{	/* SawMill/defs.scm 30 */
						long BgL_arg2121z00_9366;

						BgL_arg2121z00_9366 = BGL_CLASS_NUM(BGl_rtl_switchz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1454z00_9365), BgL_arg2121z00_9366);
					}
					BgL_new1455z00_9364 = BgL_new1454z00_9365;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1455z00_9364)))->BgL_locz00) =
					((obj_t) BgL_loc1151z00_7942), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1455z00_9364)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1152z00_7943)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(((BgL_rtl_selectz00_bglt)
									BgL_new1455z00_9364)))->BgL_patternsz00) =
					((obj_t) BgL_patterns1153z00_7944), BUNSPEC);
				((((BgL_rtl_switchz00_bglt) COBJECT(BgL_new1455z00_9364))->
						BgL_labelsz00) = ((obj_t) BgL_labels1154z00_7945), BUNSPEC);
				return BgL_new1455z00_9364;
			}
		}

	}



/* &lambda2129 */
	obj_t BGl_z62lambda2129z62zzsaw_defsz00(obj_t BgL_envz00_7946,
		obj_t BgL_oz00_7947, obj_t BgL_vz00_7948)
	{
		{	/* SawMill/defs.scm 30 */
			return
				((((BgL_rtl_switchz00_bglt) COBJECT(
							((BgL_rtl_switchz00_bglt) BgL_oz00_7947)))->BgL_labelsz00) =
				((obj_t) BgL_vz00_7948), BUNSPEC);
		}

	}



/* &lambda2128 */
	obj_t BGl_z62lambda2128z62zzsaw_defsz00(obj_t BgL_envz00_7949,
		obj_t BgL_oz00_7950)
	{
		{	/* SawMill/defs.scm 30 */
			return
				(((BgL_rtl_switchz00_bglt) COBJECT(
						((BgL_rtl_switchz00_bglt) BgL_oz00_7950)))->BgL_labelsz00);
		}

	}



/* &<@anonymous:2103> */
	obj_t BGl_z62zc3z04anonymousza32103ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7951,
		obj_t BgL_new1149z00_7952)
	{
		{	/* SawMill/defs.scm 29 */
			{
				BgL_rtl_selectz00_bglt BgL_auxz00_13658;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_selectz00_bglt) BgL_new1149z00_7952))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13662;

					{	/* SawMill/defs.scm 29 */
						obj_t BgL_classz00_9370;

						BgL_classz00_9370 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 29 */
							obj_t BgL__ortest_1112z00_9371;

							BgL__ortest_1112z00_9371 = BGL_CLASS_NIL(BgL_classz00_9370);
							if (CBOOL(BgL__ortest_1112z00_9371))
								{	/* SawMill/defs.scm 29 */
									BgL_auxz00_13662 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9371);
								}
							else
								{	/* SawMill/defs.scm 29 */
									BgL_auxz00_13662 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9370));
								}
						}
					}
					((((BgL_rtl_selectz00_bglt) COBJECT(
									((BgL_rtl_selectz00_bglt) BgL_new1149z00_7952)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13662), BUNSPEC);
				}
				((((BgL_rtl_selectz00_bglt) COBJECT(
								((BgL_rtl_selectz00_bglt) BgL_new1149z00_7952)))->
						BgL_patternsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13658 = ((BgL_rtl_selectz00_bglt) BgL_new1149z00_7952);
				return ((obj_t) BgL_auxz00_13658);
			}
		}

	}



/* &lambda2101 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2101z62zzsaw_defsz00(obj_t
		BgL_envz00_7953)
	{
		{	/* SawMill/defs.scm 29 */
			{	/* SawMill/defs.scm 29 */
				BgL_rtl_selectz00_bglt BgL_new1148z00_9372;

				BgL_new1148z00_9372 =
					((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_selectz00_bgl))));
				{	/* SawMill/defs.scm 29 */
					long BgL_arg2102z00_9373;

					BgL_arg2102z00_9373 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1148z00_9372), BgL_arg2102z00_9373);
				}
				return BgL_new1148z00_9372;
			}
		}

	}



/* &lambda2098 */
	BgL_rtl_selectz00_bglt BGl_z62lambda2098z62zzsaw_defsz00(obj_t
		BgL_envz00_7954, obj_t BgL_loc1145z00_7955, obj_t BgL_type1146z00_7956,
		obj_t BgL_patterns1147z00_7957)
	{
		{	/* SawMill/defs.scm 29 */
			{	/* SawMill/defs.scm 29 */
				BgL_rtl_selectz00_bglt BgL_new1453z00_9375;

				{	/* SawMill/defs.scm 29 */
					BgL_rtl_selectz00_bglt BgL_new1452z00_9376;

					BgL_new1452z00_9376 =
						((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_selectz00_bgl))));
					{	/* SawMill/defs.scm 29 */
						long BgL_arg2100z00_9377;

						BgL_arg2100z00_9377 = BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1452z00_9376), BgL_arg2100z00_9377);
					}
					BgL_new1453z00_9375 = BgL_new1452z00_9376;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1453z00_9375)))->BgL_locz00) =
					((obj_t) BgL_loc1145z00_7955), BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1453z00_9375))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1146z00_7956)),
					BUNSPEC);
				((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1453z00_9375))->
						BgL_patternsz00) = ((obj_t) BgL_patterns1147z00_7957), BUNSPEC);
				return BgL_new1453z00_9375;
			}
		}

	}



/* &lambda2114 */
	obj_t BGl_z62lambda2114z62zzsaw_defsz00(obj_t BgL_envz00_7958,
		obj_t BgL_oz00_7959, obj_t BgL_vz00_7960)
	{
		{	/* SawMill/defs.scm 29 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_7959)))->BgL_patternsz00) =
				((obj_t) BgL_vz00_7960), BUNSPEC);
		}

	}



/* &lambda2113 */
	obj_t BGl_z62lambda2113z62zzsaw_defsz00(obj_t BgL_envz00_7961,
		obj_t BgL_oz00_7962)
	{
		{	/* SawMill/defs.scm 29 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_7962)))->BgL_patternsz00);
		}

	}



/* &lambda2108 */
	obj_t BGl_z62lambda2108z62zzsaw_defsz00(obj_t BgL_envz00_7963,
		obj_t BgL_oz00_7964, obj_t BgL_vz00_7965)
	{
		{	/* SawMill/defs.scm 29 */
			return
				((((BgL_rtl_selectz00_bglt) COBJECT(
							((BgL_rtl_selectz00_bglt) BgL_oz00_7964)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7965)), BUNSPEC);
		}

	}



/* &lambda2107 */
	BgL_typez00_bglt BGl_z62lambda2107z62zzsaw_defsz00(obj_t BgL_envz00_7966,
		obj_t BgL_oz00_7967)
	{
		{	/* SawMill/defs.scm 29 */
			return
				(((BgL_rtl_selectz00_bglt) COBJECT(
						((BgL_rtl_selectz00_bglt) BgL_oz00_7967)))->BgL_typez00);
		}

	}



/* &<@anonymous:2092> */
	obj_t BGl_z62zc3z04anonymousza32092ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7968,
		obj_t BgL_new1143z00_7969)
	{
		{	/* SawMill/defs.scm 28 */
			{
				BgL_rtl_ifz00_bglt BgL_auxz00_13697;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_ifz00_bglt) BgL_new1143z00_7969))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13697 = ((BgL_rtl_ifz00_bglt) BgL_new1143z00_7969);
				return ((obj_t) BgL_auxz00_13697);
			}
		}

	}



/* &lambda2090 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2090z62zzsaw_defsz00(obj_t BgL_envz00_7970)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_ifz00_bglt BgL_new1142z00_9384;

				BgL_new1142z00_9384 =
					((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_ifz00_bgl))));
				{	/* SawMill/defs.scm 28 */
					long BgL_arg2091z00_9385;

					BgL_arg2091z00_9385 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1142z00_9384), BgL_arg2091z00_9385);
				}
				return BgL_new1142z00_9384;
			}
		}

	}



/* &lambda2088 */
	BgL_rtl_ifz00_bglt BGl_z62lambda2088z62zzsaw_defsz00(obj_t BgL_envz00_7971,
		obj_t BgL_loc1141z00_7972)
	{
		{	/* SawMill/defs.scm 28 */
			{	/* SawMill/defs.scm 28 */
				BgL_rtl_ifz00_bglt BgL_new1451z00_9386;

				{	/* SawMill/defs.scm 28 */
					BgL_rtl_ifz00_bglt BgL_new1450z00_9387;

					BgL_new1450z00_9387 =
						((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_ifz00_bgl))));
					{	/* SawMill/defs.scm 28 */
						long BgL_arg2089z00_9388;

						BgL_arg2089z00_9388 = BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1450z00_9387), BgL_arg2089z00_9388);
					}
					BgL_new1451z00_9386 = BgL_new1450z00_9387;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1451z00_9386)))->BgL_locz00) =
					((obj_t) BgL_loc1141z00_7972), BUNSPEC);
				return BgL_new1451z00_9386;
			}
		}

	}



/* &<@anonymous:2082> */
	obj_t BGl_z62zc3z04anonymousza32082ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7973,
		obj_t BgL_new1139z00_7974)
	{
		{	/* SawMill/defs.scm 27 */
			{
				BgL_rtl_notseqz00_bglt BgL_auxz00_13713;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_notseqz00_bglt) BgL_new1139z00_7974))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13713 = ((BgL_rtl_notseqz00_bglt) BgL_new1139z00_7974);
				return ((obj_t) BgL_auxz00_13713);
			}
		}

	}



/* &lambda2078 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2078z62zzsaw_defsz00(obj_t
		BgL_envz00_7975)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_notseqz00_bglt BgL_new1138z00_9390;

				BgL_new1138z00_9390 =
					((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_notseqz00_bgl))));
				{	/* SawMill/defs.scm 27 */
					long BgL_arg2081z00_9391;

					BgL_arg2081z00_9391 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1138z00_9390), BgL_arg2081z00_9391);
				}
				return BgL_new1138z00_9390;
			}
		}

	}



/* &lambda2076 */
	BgL_rtl_notseqz00_bglt BGl_z62lambda2076z62zzsaw_defsz00(obj_t
		BgL_envz00_7976, obj_t BgL_loc1137z00_7977)
	{
		{	/* SawMill/defs.scm 27 */
			{	/* SawMill/defs.scm 27 */
				BgL_rtl_notseqz00_bglt BgL_new1449z00_9392;

				{	/* SawMill/defs.scm 27 */
					BgL_rtl_notseqz00_bglt BgL_new1448z00_9393;

					BgL_new1448z00_9393 =
						((BgL_rtl_notseqz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_notseqz00_bgl))));
					{	/* SawMill/defs.scm 27 */
						long BgL_arg2077z00_9394;

						BgL_arg2077z00_9394 = BGL_CLASS_NUM(BGl_rtl_notseqz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1448z00_9393), BgL_arg2077z00_9394);
					}
					BgL_new1449z00_9392 = BgL_new1448z00_9393;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1449z00_9392)))->BgL_locz00) =
					((obj_t) BgL_loc1137z00_7977), BUNSPEC);
				return BgL_new1449z00_9392;
			}
		}

	}



/* &<@anonymous:2069> */
	obj_t BGl_z62zc3z04anonymousza32069ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7978,
		obj_t BgL_new1135z00_7979)
	{
		{	/* SawMill/defs.scm 25 */
			{
				BgL_rtl_failz00_bglt BgL_auxz00_13729;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_failz00_bglt) BgL_new1135z00_7979))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13729 = ((BgL_rtl_failz00_bglt) BgL_new1135z00_7979);
				return ((obj_t) BgL_auxz00_13729);
			}
		}

	}



/* &lambda2067 */
	BgL_rtl_failz00_bglt BGl_z62lambda2067z62zzsaw_defsz00(obj_t BgL_envz00_7980)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_failz00_bglt BgL_new1134z00_9396;

				BgL_new1134z00_9396 =
					((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_failz00_bgl))));
				{	/* SawMill/defs.scm 25 */
					long BgL_arg2068z00_9397;

					BgL_arg2068z00_9397 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1134z00_9396), BgL_arg2068z00_9397);
				}
				return BgL_new1134z00_9396;
			}
		}

	}



/* &lambda2065 */
	BgL_rtl_failz00_bglt BGl_z62lambda2065z62zzsaw_defsz00(obj_t BgL_envz00_7981,
		obj_t BgL_loc1132z00_7982)
	{
		{	/* SawMill/defs.scm 25 */
			{	/* SawMill/defs.scm 25 */
				BgL_rtl_failz00_bglt BgL_new1447z00_9398;

				{	/* SawMill/defs.scm 25 */
					BgL_rtl_failz00_bglt BgL_new1446z00_9399;

					BgL_new1446z00_9399 =
						((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_failz00_bgl))));
					{	/* SawMill/defs.scm 25 */
						long BgL_arg2066z00_9400;

						BgL_arg2066z00_9400 = BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1446z00_9399), BgL_arg2066z00_9400);
					}
					BgL_new1447z00_9398 = BgL_new1446z00_9399;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1447z00_9398)))->BgL_locz00) =
					((obj_t) BgL_loc1132z00_7982), BUNSPEC);
				return BgL_new1447z00_9398;
			}
		}

	}



/* &<@anonymous:2059> */
	obj_t BGl_z62zc3z04anonymousza32059ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7983,
		obj_t BgL_new1130z00_7984)
	{
		{	/* SawMill/defs.scm 24 */
			{
				BgL_rtl_jumpexitz00_bglt BgL_auxz00_13745;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_jumpexitz00_bglt) BgL_new1130z00_7984))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13745 = ((BgL_rtl_jumpexitz00_bglt) BgL_new1130z00_7984);
				return ((obj_t) BgL_auxz00_13745);
			}
		}

	}



/* &lambda2056 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2056z62zzsaw_defsz00(obj_t
		BgL_envz00_7985)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_jumpexitz00_bglt BgL_new1129z00_9402;

				BgL_new1129z00_9402 =
					((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_jumpexitz00_bgl))));
				{	/* SawMill/defs.scm 24 */
					long BgL_arg2058z00_9403;

					BgL_arg2058z00_9403 = BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_9402), BgL_arg2058z00_9403);
				}
				return BgL_new1129z00_9402;
			}
		}

	}



/* &lambda2054 */
	BgL_rtl_jumpexitz00_bglt BGl_z62lambda2054z62zzsaw_defsz00(obj_t
		BgL_envz00_7986, obj_t BgL_loc1126z00_7987)
	{
		{	/* SawMill/defs.scm 24 */
			{	/* SawMill/defs.scm 24 */
				BgL_rtl_jumpexitz00_bglt BgL_new1445z00_9404;

				{	/* SawMill/defs.scm 24 */
					BgL_rtl_jumpexitz00_bglt BgL_new1444z00_9405;

					BgL_new1444z00_9405 =
						((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_jumpexitz00_bgl))));
					{	/* SawMill/defs.scm 24 */
						long BgL_arg2055z00_9406;

						BgL_arg2055z00_9406 =
							BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1444z00_9405), BgL_arg2055z00_9406);
					}
					BgL_new1445z00_9404 = BgL_new1444z00_9405;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1445z00_9404)))->BgL_locz00) =
					((obj_t) BgL_loc1126z00_7987), BUNSPEC);
				return BgL_new1445z00_9404;
			}
		}

	}



/* &<@anonymous:2042> */
	obj_t BGl_z62zc3z04anonymousza32042ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7988,
		obj_t BgL_new1124z00_7989)
	{
		{	/* SawMill/defs.scm 23 */
			{
				BgL_rtl_returnz00_bglt BgL_auxz00_13761;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_returnz00_bglt) BgL_new1124z00_7989))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_13765;

					{	/* SawMill/defs.scm 23 */
						obj_t BgL_classz00_9408;

						BgL_classz00_9408 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 23 */
							obj_t BgL__ortest_1112z00_9409;

							BgL__ortest_1112z00_9409 = BGL_CLASS_NIL(BgL_classz00_9408);
							if (CBOOL(BgL__ortest_1112z00_9409))
								{	/* SawMill/defs.scm 23 */
									BgL_auxz00_13765 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9409);
								}
							else
								{	/* SawMill/defs.scm 23 */
									BgL_auxz00_13765 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9408));
								}
						}
					}
					((((BgL_rtl_returnz00_bglt) COBJECT(
									((BgL_rtl_returnz00_bglt) BgL_new1124z00_7989)))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_13765), BUNSPEC);
				}
				BgL_auxz00_13761 = ((BgL_rtl_returnz00_bglt) BgL_new1124z00_7989);
				return ((obj_t) BgL_auxz00_13761);
			}
		}

	}



/* &lambda2040 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2040z62zzsaw_defsz00(obj_t
		BgL_envz00_7990)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_returnz00_bglt BgL_new1123z00_9410;

				BgL_new1123z00_9410 =
					((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_returnz00_bgl))));
				{	/* SawMill/defs.scm 23 */
					long BgL_arg2041z00_9411;

					BgL_arg2041z00_9411 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1123z00_9410), BgL_arg2041z00_9411);
				}
				return BgL_new1123z00_9410;
			}
		}

	}



/* &lambda2037 */
	BgL_rtl_returnz00_bglt BGl_z62lambda2037z62zzsaw_defsz00(obj_t
		BgL_envz00_7991, obj_t BgL_loc1120z00_7992, obj_t BgL_type1121z00_7993)
	{
		{	/* SawMill/defs.scm 23 */
			{	/* SawMill/defs.scm 23 */
				BgL_rtl_returnz00_bglt BgL_new1443z00_9413;

				{	/* SawMill/defs.scm 23 */
					BgL_rtl_returnz00_bglt BgL_new1442z00_9414;

					BgL_new1442z00_9414 =
						((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_returnz00_bgl))));
					{	/* SawMill/defs.scm 23 */
						long BgL_arg2039z00_9415;

						BgL_arg2039z00_9415 = BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1442z00_9414), BgL_arg2039z00_9415);
					}
					BgL_new1443z00_9413 = BgL_new1442z00_9414;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1443z00_9413)))->BgL_locz00) =
					((obj_t) BgL_loc1120z00_7992), BUNSPEC);
				((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1443z00_9413))->
						BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1121z00_7993)),
					BUNSPEC);
				return BgL_new1443z00_9413;
			}
		}

	}



/* &lambda2047 */
	obj_t BGl_z62lambda2047z62zzsaw_defsz00(obj_t BgL_envz00_7994,
		obj_t BgL_oz00_7995, obj_t BgL_vz00_7996)
	{
		{	/* SawMill/defs.scm 23 */
			return
				((((BgL_rtl_returnz00_bglt) COBJECT(
							((BgL_rtl_returnz00_bglt) BgL_oz00_7995)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_7996)), BUNSPEC);
		}

	}



/* &lambda2046 */
	BgL_typez00_bglt BGl_z62lambda2046z62zzsaw_defsz00(obj_t BgL_envz00_7997,
		obj_t BgL_oz00_7998)
	{
		{	/* SawMill/defs.scm 23 */
			return
				(((BgL_rtl_returnz00_bglt) COBJECT(
						((BgL_rtl_returnz00_bglt) BgL_oz00_7998)))->BgL_typez00);
		}

	}



/* &<@anonymous:2030> */
	obj_t BGl_z62zc3z04anonymousza32030ze3ze5zzsaw_defsz00(obj_t BgL_envz00_7999,
		obj_t BgL_new1118z00_8000)
	{
		{	/* SawMill/defs.scm 22 */
			{
				BgL_rtl_lastz00_bglt BgL_auxz00_13793;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt)
									((BgL_rtl_lastz00_bglt) BgL_new1118z00_8000))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13793 = ((BgL_rtl_lastz00_bglt) BgL_new1118z00_8000);
				return ((obj_t) BgL_auxz00_13793);
			}
		}

	}



/* &lambda2026 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2026z62zzsaw_defsz00(obj_t BgL_envz00_8001)
	{
		{	/* SawMill/defs.scm 22 */
			{	/* SawMill/defs.scm 22 */
				BgL_rtl_lastz00_bglt BgL_new1117z00_9420;

				BgL_new1117z00_9420 =
					((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_lastz00_bgl))));
				{	/* SawMill/defs.scm 22 */
					long BgL_arg2029z00_9421;

					BgL_arg2029z00_9421 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1117z00_9420), BgL_arg2029z00_9421);
				}
				return BgL_new1117z00_9420;
			}
		}

	}



/* &lambda2024 */
	BgL_rtl_lastz00_bglt BGl_z62lambda2024z62zzsaw_defsz00(obj_t BgL_envz00_8002,
		obj_t BgL_loc1116z00_8003)
	{
		{	/* SawMill/defs.scm 22 */
			{	/* SawMill/defs.scm 22 */
				BgL_rtl_lastz00_bglt BgL_new1441z00_9422;

				{	/* SawMill/defs.scm 22 */
					BgL_rtl_lastz00_bglt BgL_new1440z00_9423;

					BgL_new1440z00_9423 =
						((BgL_rtl_lastz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_lastz00_bgl))));
					{	/* SawMill/defs.scm 22 */
						long BgL_arg2025z00_9424;

						BgL_arg2025z00_9424 = BGL_CLASS_NUM(BGl_rtl_lastz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1440z00_9423), BgL_arg2025z00_9424);
					}
					BgL_new1441z00_9422 = BgL_new1440z00_9423;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1441z00_9422)))->BgL_locz00) =
					((obj_t) BgL_loc1116z00_8003), BUNSPEC);
				return BgL_new1441z00_9422;
			}
		}

	}



/* &<@anonymous:2010> */
	obj_t BGl_z62zc3z04anonymousza32010ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8004,
		obj_t BgL_new1114z00_8005)
	{
		{	/* SawMill/defs.scm 20 */
			{
				BgL_rtl_funz00_bglt BgL_auxz00_13809;

				((((BgL_rtl_funz00_bglt) COBJECT(
								((BgL_rtl_funz00_bglt) BgL_new1114z00_8005)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13809 = ((BgL_rtl_funz00_bglt) BgL_new1114z00_8005);
				return ((obj_t) BgL_auxz00_13809);
			}
		}

	}



/* &lambda2008 */
	BgL_rtl_funz00_bglt BGl_z62lambda2008z62zzsaw_defsz00(obj_t BgL_envz00_8006)
	{
		{	/* SawMill/defs.scm 20 */
			{	/* SawMill/defs.scm 20 */
				BgL_rtl_funz00_bglt BgL_new1113z00_9426;

				BgL_new1113z00_9426 =
					((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_funz00_bgl))));
				{	/* SawMill/defs.scm 20 */
					long BgL_arg2009z00_9427;

					BgL_arg2009z00_9427 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1113z00_9426), BgL_arg2009z00_9427);
				}
				return BgL_new1113z00_9426;
			}
		}

	}



/* &lambda2006 */
	BgL_rtl_funz00_bglt BGl_z62lambda2006z62zzsaw_defsz00(obj_t BgL_envz00_8007,
		obj_t BgL_loc1112z00_8008)
	{
		{	/* SawMill/defs.scm 20 */
			{	/* SawMill/defs.scm 20 */
				BgL_rtl_funz00_bglt BgL_new1439z00_9428;

				{	/* SawMill/defs.scm 20 */
					BgL_rtl_funz00_bglt BgL_new1438z00_9429;

					BgL_new1438z00_9429 =
						((BgL_rtl_funz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_funz00_bgl))));
					{	/* SawMill/defs.scm 20 */
						long BgL_arg2007z00_9430;

						BgL_arg2007z00_9430 = BGL_CLASS_NUM(BGl_rtl_funz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1438z00_9429), BgL_arg2007z00_9430);
					}
					BgL_new1439z00_9428 = BgL_new1438z00_9429;
				}
				((((BgL_rtl_funz00_bglt) COBJECT(BgL_new1439z00_9428))->BgL_locz00) =
					((obj_t) BgL_loc1112z00_8008), BUNSPEC);
				return BgL_new1439z00_9428;
			}
		}

	}



/* &<@anonymous:2017> */
	obj_t BGl_z62zc3z04anonymousza32017ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8009)
	{
		{	/* SawMill/defs.scm 20 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda2016 */
	obj_t BGl_z62lambda2016z62zzsaw_defsz00(obj_t BgL_envz00_8010,
		obj_t BgL_oz00_8011, obj_t BgL_vz00_8012)
	{
		{	/* SawMill/defs.scm 20 */
			return
				((((BgL_rtl_funz00_bglt) COBJECT(
							((BgL_rtl_funz00_bglt) BgL_oz00_8011)))->BgL_locz00) =
				((obj_t) BgL_vz00_8012), BUNSPEC);
		}

	}



/* &lambda2015 */
	obj_t BGl_z62lambda2015z62zzsaw_defsz00(obj_t BgL_envz00_8013,
		obj_t BgL_oz00_8014)
	{
		{	/* SawMill/defs.scm 20 */
			return
				(((BgL_rtl_funz00_bglt) COBJECT(
						((BgL_rtl_funz00_bglt) BgL_oz00_8014)))->BgL_locz00);
		}

	}



/* &<@anonymous:1961> */
	obj_t BGl_z62zc3z04anonymousza31961ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8015,
		obj_t BgL_new1110z00_8016)
	{
		{	/* SawMill/defs.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_13828;

				{
					BgL_typez00_bglt BgL_auxz00_13829;

					{	/* SawMill/defs.scm 12 */
						obj_t BgL_classz00_9434;

						BgL_classz00_9434 = BGl_typez00zztype_typez00;
						{	/* SawMill/defs.scm 12 */
							obj_t BgL__ortest_1112z00_9435;

							BgL__ortest_1112z00_9435 = BGL_CLASS_NIL(BgL_classz00_9434);
							if (CBOOL(BgL__ortest_1112z00_9435))
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_13829 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_9435);
								}
							else
								{	/* SawMill/defs.scm 12 */
									BgL_auxz00_13829 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_9434));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_new1110z00_8016)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_13829), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1110z00_8016)))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8016)))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8016)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8016)))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1110z00_8016)))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_13828 = ((BgL_rtl_regz00_bglt) BgL_new1110z00_8016);
				return ((obj_t) BgL_auxz00_13828);
			}
		}

	}



/* &lambda1959 */
	BgL_rtl_regz00_bglt BGl_z62lambda1959z62zzsaw_defsz00(obj_t BgL_envz00_8017)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1109z00_9436;

				BgL_new1109z00_9436 =
					((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_regz00_bgl))));
				{	/* SawMill/defs.scm 12 */
					long BgL_arg1960z00_9437;

					BgL_arg1960z00_9437 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1109z00_9436), BgL_arg1960z00_9437);
				}
				{	/* SawMill/defs.scm 12 */
					BgL_objectz00_bglt BgL_tmpz00_13854;

					BgL_tmpz00_13854 = ((BgL_objectz00_bglt) BgL_new1109z00_9436);
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13854, BFALSE);
				}
				((BgL_objectz00_bglt) BgL_new1109z00_9436);
				return BgL_new1109z00_9436;
			}
		}

	}



/* &lambda1957 */
	BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_defsz00(obj_t BgL_envz00_8018,
		obj_t BgL_type1102z00_8019, obj_t BgL_var1103z00_8020,
		obj_t BgL_onexprzf31104zf3_8021, obj_t BgL_name1105z00_8022,
		obj_t BgL_key1106z00_8023, obj_t BgL_hardware1107z00_8024)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1437z00_9439;

				{	/* SawMill/defs.scm 12 */
					BgL_rtl_regz00_bglt BgL_new1436z00_9440;

					BgL_new1436z00_9440 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/defs.scm 12 */
						long BgL_arg1958z00_9441;

						BgL_arg1958z00_9441 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1436z00_9440), BgL_arg1958z00_9441);
					}
					{	/* SawMill/defs.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_13862;

						BgL_tmpz00_13862 = ((BgL_objectz00_bglt) BgL_new1436z00_9440);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_13862, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1436z00_9440);
					BgL_new1437z00_9439 = BgL_new1436z00_9440;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1102z00_8019)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->BgL_varz00) =
					((obj_t) BgL_var1103z00_8020), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->
						BgL_onexprzf3zf3) = ((obj_t) BgL_onexprzf31104zf3_8021), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->BgL_namez00) =
					((obj_t) BgL_name1105z00_8022), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->BgL_keyz00) =
					((obj_t) BgL_key1106z00_8023), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1437z00_9439))->
						BgL_hardwarez00) = ((obj_t) BgL_hardware1107z00_8024), BUNSPEC);
				return BgL_new1437z00_9439;
			}
		}

	}



/* &<@anonymous:2000> */
	obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8025)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zzsaw_defsz00(obj_t BgL_envz00_8026,
		obj_t BgL_oz00_8027, obj_t BgL_vz00_8028)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8027)))->BgL_hardwarez00) =
				((obj_t) BgL_vz00_8028), BUNSPEC);
		}

	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zzsaw_defsz00(obj_t BgL_envz00_8029,
		obj_t BgL_oz00_8030)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8030)))->BgL_hardwarez00);
		}

	}



/* &<@anonymous:1993> */
	obj_t BGl_z62zc3z04anonymousza31993ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8031)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 17 */

				{	/* SawMill/defs.scm 17 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zzsaw_defsz00(obj_t BgL_envz00_8032,
		obj_t BgL_oz00_8033, obj_t BgL_vz00_8034)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8033)))->BgL_keyz00) =
				((obj_t) BgL_vz00_8034), BUNSPEC);
		}

	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zzsaw_defsz00(obj_t BgL_envz00_8035,
		obj_t BgL_oz00_8036)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8036)))->BgL_keyz00);
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8037)
	{
		{	/* SawMill/defs.scm 12 */
			{	/* SawMill/defs.scm 16 */

				{	/* SawMill/defs.scm 16 */

					return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
				}
			}
		}

	}



/* &lambda1985 */
	obj_t BGl_z62lambda1985z62zzsaw_defsz00(obj_t BgL_envz00_8038,
		obj_t BgL_oz00_8039, obj_t BgL_vz00_8040)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8039)))->BgL_namez00) =
				((obj_t) BgL_vz00_8040), BUNSPEC);
		}

	}



/* &lambda1984 */
	obj_t BGl_z62lambda1984z62zzsaw_defsz00(obj_t BgL_envz00_8041,
		obj_t BgL_oz00_8042)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8042)))->BgL_namez00);
		}

	}



/* &<@anonymous:1979> */
	obj_t BGl_z62zc3z04anonymousza31979ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8043)
	{
		{	/* SawMill/defs.scm 12 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1978 */
	obj_t BGl_z62lambda1978z62zzsaw_defsz00(obj_t BgL_envz00_8044,
		obj_t BgL_oz00_8045, obj_t BgL_vz00_8046)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8045)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_8046), BUNSPEC);
		}

	}



/* &lambda1977 */
	obj_t BGl_z62lambda1977z62zzsaw_defsz00(obj_t BgL_envz00_8047,
		obj_t BgL_oz00_8048)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8048)))->BgL_onexprzf3zf3);
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zzsaw_defsz00(obj_t BgL_envz00_8049,
		obj_t BgL_oz00_8050, obj_t BgL_vz00_8051)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8050)))->BgL_varz00) =
				((obj_t) BgL_vz00_8051), BUNSPEC);
		}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zzsaw_defsz00(obj_t BgL_envz00_8052,
		obj_t BgL_oz00_8053)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8053)))->BgL_varz00);
		}

	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zzsaw_defsz00(obj_t BgL_envz00_8054,
		obj_t BgL_oz00_8055, obj_t BgL_vz00_8056)
	{
		{	/* SawMill/defs.scm 12 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_8055)))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_8056)), BUNSPEC);
		}

	}



/* &lambda1966 */
	BgL_typez00_bglt BGl_z62lambda1966z62zzsaw_defsz00(obj_t BgL_envz00_8057,
		obj_t BgL_oz00_8058)
	{
		{	/* SawMill/defs.scm 12 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_8058)))->BgL_typez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_proc3323z00zzsaw_defsz00, BFALSE, BGl_string3324z00zzsaw_defsz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_proc3325z00zzsaw_defsz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string3326z00zzsaw_defsz00);
		}

	}



/* &dump-fun1759 */
	obj_t BGl_z62dumpzd2fun1759zb0zzsaw_defsz00(obj_t BgL_envz00_8061,
		obj_t BgL_oz00_8062, obj_t BgL_destz00_8063, obj_t BgL_argsz00_8064,
		obj_t BgL_pz00_8065, obj_t BgL_mz00_8066)
	{
		{	/* SawMill/defs.scm 293 */
			return BUNSPEC;
		}

	}



/* &dump1751 */
	obj_t BGl_z62dump1751z62zzsaw_defsz00(obj_t BgL_envz00_8067,
		obj_t BgL_oz00_8068, obj_t BgL_pz00_8069, obj_t BgL_mz00_8070)
	{
		{	/* SawMill/defs.scm 180 */
			{	/* SawMill/defs.scm 182 */
				int BgL_mz00_9457;

				BgL_mz00_9457 = CINT(BgL_mz00_8070);
				{	/* SawMill/defs.scm 182 */
					bool_t BgL_test4219z00_13905;

					if (STRINGP(BgL_oz00_8068))
						{	/* SawMill/defs.scm 182 */
							BgL_test4219z00_13905 = ((bool_t) 1);
						}
					else
						{	/* SawMill/defs.scm 182 */
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_oz00_8068))
								{	/* SawMill/defs.scm 182 */
									BgL_test4219z00_13905 = ((bool_t) 1);
								}
							else
								{	/* SawMill/defs.scm 182 */
									BgL_test4219z00_13905 = SYMBOLP(BgL_oz00_8068);
								}
						}
					if (BgL_test4219z00_13905)
						{	/* SawMill/defs.scm 182 */
							return bgl_display_obj(BgL_oz00_8068, ((obj_t) BgL_pz00_8069));
						}
					else
						{	/* SawMill/defs.scm 182 */
							if (PAIRP(BgL_oz00_8068))
								{
									obj_t BgL_l1639z00_9459;

									{	/* SawMill/defs.scm 185 */
										bool_t BgL_tmpz00_13915;

										BgL_l1639z00_9459 = BgL_oz00_8068;
									BgL_zc3z04anonymousza32793ze3z87_9458:
										if (PAIRP(BgL_l1639z00_9459))
											{	/* SawMill/defs.scm 185 */
												{	/* SawMill/defs.scm 186 */
													obj_t BgL_oz00_9460;

													BgL_oz00_9460 = CAR(BgL_l1639z00_9459);
													BGl_dumpz00zzsaw_defsz00(BgL_oz00_9460,
														((obj_t) BgL_pz00_8069), BgL_mz00_9457);
													{	/* SawMill/defs.scm 187 */
														obj_t BgL_tmpz00_13921;

														BgL_tmpz00_13921 = ((obj_t) BgL_pz00_8069);
														bgl_display_char(((unsigned char) 10),
															BgL_tmpz00_13921);
													}
													if (((long) (BgL_mz00_9457) > ((long) 0)))
														{	/* SawMill/defs.scm 188 */
															BGl_dumpzd2marginzd2zzsaw_defsz00(
																((obj_t) BgL_pz00_8069), BgL_mz00_9457);
														}
													else
														{	/* SawMill/defs.scm 190 */
															obj_t BgL_tmpz00_13929;

															BgL_tmpz00_13929 = ((obj_t) BgL_pz00_8069);
															bgl_display_char(((unsigned char) 10),
																BgL_tmpz00_13929);
												}}
												{
													obj_t BgL_l1639z00_13932;

													BgL_l1639z00_13932 = CDR(BgL_l1639z00_9459);
													BgL_l1639z00_9459 = BgL_l1639z00_13932;
													goto BgL_zc3z04anonymousza32793ze3z87_9458;
												}
											}
										else
											{	/* SawMill/defs.scm 185 */
												BgL_tmpz00_13915 = ((bool_t) 1);
											}
										return BBOOL(BgL_tmpz00_13915);
									}
								}
							else
								{	/* SawMill/defs.scm 193 */
									obj_t BgL_list2797z00_9461;

									BgL_list2797z00_9461 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_pz00_8069), BNIL);
									return
										BGl_writez00zz__r4_output_6_10_3z00(BgL_oz00_8068,
										BgL_list2797z00_9461);
								}
						}
				}
			}
		}

	}



/* dump */
	BGL_EXPORTED_DEF obj_t BGl_dumpz00zzsaw_defsz00(obj_t BgL_oz00_438,
		obj_t BgL_pz00_439, int BgL_mz00_440)
	{
		{	/* SawMill/defs.scm 180 */
			if (BGL_OBJECTP(BgL_oz00_438))
				{	/* SawMill/defs.scm 180 */
					obj_t BgL_method1752z00_3605;

					{	/* SawMill/defs.scm 180 */
						obj_t BgL_res3059z00_6372;

						{	/* SawMill/defs.scm 180 */
							long BgL_objzd2classzd2numz00_6343;

							BgL_objzd2classzd2numz00_6343 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_438));
							{	/* SawMill/defs.scm 180 */
								obj_t BgL_arg1829z00_6344;

								BgL_arg1829z00_6344 =
									PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00,
									(int) (((long) 1)));
								{	/* SawMill/defs.scm 180 */
									int BgL_offsetz00_6347;

									BgL_offsetz00_6347 = (int) (BgL_objzd2classzd2numz00_6343);
									{	/* SawMill/defs.scm 180 */
										long BgL_offsetz00_6348;

										BgL_offsetz00_6348 =
											((long) (BgL_offsetz00_6347) - OBJECT_TYPE);
										{	/* SawMill/defs.scm 180 */
											long BgL_modz00_6349;

											BgL_modz00_6349 =
												(BgL_offsetz00_6348 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/defs.scm 180 */
												long BgL_restz00_6351;

												BgL_restz00_6351 =
													(BgL_offsetz00_6348 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/defs.scm 180 */

													{	/* SawMill/defs.scm 180 */
														obj_t BgL_bucketz00_6353;

														BgL_bucketz00_6353 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_6344), BgL_modz00_6349);
														BgL_res3059z00_6372 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_6353), BgL_restz00_6351);
						}}}}}}}}
						BgL_method1752z00_3605 = BgL_res3059z00_6372;
					}
					return
						PROCEDURE_ENTRY(BgL_method1752z00_3605) (BgL_method1752z00_3605,
						BgL_oz00_438, BgL_pz00_439, BINT(BgL_mz00_440), BEOA);
				}
			else
				{	/* SawMill/defs.scm 180 */
					obj_t BgL_fun2805z00_3606;

					BgL_fun2805z00_3606 =
						PROCEDURE_REF(BGl_dumpzd2envzd2zzsaw_defsz00, (int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun2805z00_3606) (BgL_fun2805z00_3606,
						BgL_oz00_438, BgL_pz00_439, BINT(BgL_mz00_440), BEOA);
				}
		}

	}



/* &dump */
	obj_t BGl_z62dumpz62zzsaw_defsz00(obj_t BgL_envz00_8071, obj_t BgL_oz00_8072,
		obj_t BgL_pz00_8073, obj_t BgL_mz00_8074)
	{
		{	/* SawMill/defs.scm 180 */
			return
				BGl_dumpz00zzsaw_defsz00(BgL_oz00_8072, BgL_pz00_8073,
				CINT(BgL_mz00_8074));
		}

	}



/* dump-fun */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2funzd2zzsaw_defsz00(BgL_rtl_funz00_bglt
		BgL_oz00_460, obj_t BgL_destz00_461, obj_t BgL_argsz00_462,
		obj_t BgL_pz00_463, obj_t BgL_mz00_464)
	{
		{	/* SawMill/defs.scm 293 */
			{	/* SawMill/defs.scm 293 */
				obj_t BgL_method1761z00_3607;

				{	/* SawMill/defs.scm 293 */
					obj_t BgL_res3065z00_6404;

					{	/* SawMill/defs.scm 293 */
						long BgL_objzd2classzd2numz00_6375;

						BgL_objzd2classzd2numz00_6375 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_460));
						{	/* SawMill/defs.scm 293 */
							obj_t BgL_arg1829z00_6376;

							BgL_arg1829z00_6376 =
								PROCEDURE_REF(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
								(int) (((long) 1)));
							{	/* SawMill/defs.scm 293 */
								int BgL_offsetz00_6379;

								BgL_offsetz00_6379 = (int) (BgL_objzd2classzd2numz00_6375);
								{	/* SawMill/defs.scm 293 */
									long BgL_offsetz00_6380;

									BgL_offsetz00_6380 =
										((long) (BgL_offsetz00_6379) - OBJECT_TYPE);
									{	/* SawMill/defs.scm 293 */
										long BgL_modz00_6381;

										BgL_modz00_6381 =
											(BgL_offsetz00_6380 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/defs.scm 293 */
											long BgL_restz00_6383;

											BgL_restz00_6383 =
												(BgL_offsetz00_6380 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/defs.scm 293 */

												{	/* SawMill/defs.scm 293 */
													obj_t BgL_bucketz00_6385;

													BgL_bucketz00_6385 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_6376), BgL_modz00_6381);
													BgL_res3065z00_6404 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_6385), BgL_restz00_6383);
					}}}}}}}}
					BgL_method1761z00_3607 = BgL_res3065z00_6404;
				}
				return
					PROCEDURE_ENTRY(BgL_method1761z00_3607) (BgL_method1761z00_3607,
					((obj_t) BgL_oz00_460), BgL_destz00_461, BgL_argsz00_462,
					BgL_pz00_463, BgL_mz00_464, BEOA);
			}
		}

	}



/* &dump-fun */
	obj_t BGl_z62dumpzd2funzb0zzsaw_defsz00(obj_t BgL_envz00_8075,
		obj_t BgL_oz00_8076, obj_t BgL_destz00_8077, obj_t BgL_argsz00_8078,
		obj_t BgL_pz00_8079, obj_t BgL_mz00_8080)
	{
		{	/* SawMill/defs.scm 293 */
			return
				BGl_dumpzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8076), BgL_destz00_8077,
				BgL_argsz00_8078, BgL_pz00_8079, BgL_mz00_8080);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3327z00zzsaw_defsz00, BGl_string3328z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3329z00zzsaw_defsz00, BGl_string3328z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_blockz00zzsaw_defsz00,
				BGl_proc3330z00zzsaw_defsz00, BGl_string3331z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc3332z00zzsaw_defsz00, BGl_string3331z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00, BGl_rtl_regz00zzsaw_defsz00,
				BGl_proc3333z00zzsaw_defsz00, BGl_string3331z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_funz00zzsaw_defsz00,
				BGl_proc3334z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadiz00zzsaw_defsz00,
				BGl_proc3336z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_movz00zzsaw_defsz00,
				BGl_proc3337z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc3338z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_loadfunz00zzsaw_defsz00,
				BGl_proc3339z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc3340z00zzsaw_defsz00,
				BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifeqz00zzsaw_defsz00,
				BGl_proc3341z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_ifnez00zzsaw_defsz00,
				BGl_proc3342z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_goz00zzsaw_defsz00,
				BGl_proc3343z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2funzd2envz00zzsaw_defsz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc3344z00zzsaw_defsz00, BGl_string3335z00zzsaw_defsz00);
		}

	}



/* &dump-fun-rtl_call1781 */
	obj_t BGl_z62dumpzd2funzd2rtl_call1781z62zzsaw_defsz00(obj_t BgL_envz00_8097,
		obj_t BgL_oz00_8098, obj_t BgL_destz00_8099, obj_t BgL_argsz00_8100,
		obj_t BgL_pz00_8101, obj_t BgL_mz00_8102)
	{
		{	/* SawMill/defs.scm 379 */
			{	/* SawMill/defs.scm 381 */
				obj_t BgL_arg2920z00_9463;

				{	/* SawMill/defs.scm 381 */
					obj_t BgL_ouz00_9464;
					obj_t BgL_oaz00_9465;

					BgL_ouz00_9464 = BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
					BgL_oaz00_9465 = BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
					BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BFALSE;
					{	/* SawMill/defs.scm 385 */
						obj_t BgL_rz00_9466;

						{	/* SawMill/defs.scm 385 */
							BgL_globalz00_bglt BgL_arg2921z00_9467;

							BgL_arg2921z00_9467 =
								(((BgL_rtl_callz00_bglt) COBJECT(
										((BgL_rtl_callz00_bglt) BgL_oz00_8098)))->BgL_varz00);
							BgL_rz00_9466 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2921z00_9467));
						}
						BGl_za2userzd2shapezf3za2z21zzengine_paramz00 = BgL_ouz00_9464;
						BGl_za2accesszd2shapezf3za2z21zzengine_paramz00 = BgL_oaz00_9465;
						BgL_arg2920z00_9463 = BgL_rz00_9466;
					}
				}
				bgl_display_obj(BgL_arg2920z00_9463, BgL_pz00_8101);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8100, BgL_pz00_8101));
		}

	}



/* &dump-fun-rtl_go1779 */
	obj_t BGl_z62dumpzd2funzd2rtl_go1779z62zzsaw_defsz00(obj_t BgL_envz00_8103,
		obj_t BgL_oz00_8104, obj_t BgL_destz00_8105, obj_t BgL_argsz00_8106,
		obj_t BgL_pz00_8107, obj_t BgL_mz00_8108)
	{
		{	/* SawMill/defs.scm 369 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_goz00_bglt) BgL_oz00_8104)), BgL_pz00_8107);
			{	/* SawMill/defs.scm 372 */
				obj_t BgL_tmpz00_14044;

				BgL_tmpz00_14044 = ((obj_t) BgL_pz00_8107);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14044);
			}
			{	/* SawMill/defs.scm 373 */
				int BgL_arg2918z00_9469;

				BgL_arg2918z00_9469 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_goz00_bglt) COBJECT(
										((BgL_rtl_goz00_bglt) BgL_oz00_8104)))->BgL_toz00)))->
					BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2918z00_9469), BgL_pz00_8107);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8106, BgL_pz00_8107));
		}

	}



/* &dump-fun-rtl_ifne1777 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifne1777z62zzsaw_defsz00(obj_t BgL_envz00_8109,
		obj_t BgL_oz00_8110, obj_t BgL_destz00_8111, obj_t BgL_argsz00_8112,
		obj_t BgL_pz00_8113, obj_t BgL_mz00_8114)
	{
		{	/* SawMill/defs.scm 359 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifnez00_bglt) BgL_oz00_8110)), BgL_pz00_8113);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8112, BgL_pz00_8113);
			{	/* SawMill/defs.scm 363 */
				obj_t BgL_tmpz00_14058;

				BgL_tmpz00_14058 = ((obj_t) BgL_pz00_8113);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14058);
			}
			{	/* SawMill/defs.scm 364 */
				int BgL_arg2915z00_9471;

				BgL_arg2915z00_9471 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifnez00_bglt) COBJECT(
										((BgL_rtl_ifnez00_bglt) BgL_oz00_8110)))->BgL_thenz00)))->
					BgL_labelz00);
				return bgl_display_obj(BINT(BgL_arg2915z00_9471), BgL_pz00_8113);
			}
		}

	}



/* &dump-fun-rtl_ifeq1775 */
	obj_t BGl_z62dumpzd2funzd2rtl_ifeq1775z62zzsaw_defsz00(obj_t BgL_envz00_8115,
		obj_t BgL_oz00_8116, obj_t BgL_destz00_8117, obj_t BgL_argsz00_8118,
		obj_t BgL_pz00_8119, obj_t BgL_mz00_8120)
	{
		{	/* SawMill/defs.scm 349 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_ifeqz00_bglt) BgL_oz00_8116)), BgL_pz00_8119);
			BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8118, BgL_pz00_8119);
			{	/* SawMill/defs.scm 353 */
				obj_t BgL_tmpz00_14070;

				BgL_tmpz00_14070 = ((obj_t) BgL_pz00_8119);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14070);
			}
			{	/* SawMill/defs.scm 354 */
				int BgL_arg2913z00_9473;

				BgL_arg2913z00_9473 =
					(((BgL_blockz00_bglt) COBJECT(
							(((BgL_rtl_ifeqz00_bglt) COBJECT(
										((BgL_rtl_ifeqz00_bglt) BgL_oz00_8116)))->BgL_thenz00)))->
					BgL_labelz00);
				return bgl_display_obj(BINT(BgL_arg2913z00_9473), BgL_pz00_8119);
			}
		}

	}



/* &dump-fun-rtl_globalr1773 */
	obj_t BGl_z62dumpzd2funzd2rtl_globalr1773z62zzsaw_defsz00(obj_t
		BgL_envz00_8121, obj_t BgL_oz00_8122, obj_t BgL_destz00_8123,
		obj_t BgL_argsz00_8124, obj_t BgL_pz00_8125, obj_t BgL_mz00_8126)
	{
		{	/* SawMill/defs.scm 340 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_globalrefz00_bglt) BgL_oz00_8122)), BgL_pz00_8125);
			{	/* SawMill/defs.scm 342 */
				obj_t BgL_tmpz00_14081;

				BgL_tmpz00_14081 = ((obj_t) BgL_pz00_8125);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14081);
			}
			{	/* SawMill/defs.scm 343 */
				obj_t BgL_arg2884z00_9475;

				{	/* SawMill/defs.scm 343 */
					BgL_globalz00_bglt BgL_arg2887z00_9476;

					BgL_arg2887z00_9476 =
						(((BgL_rtl_globalrefz00_bglt) COBJECT(
								((BgL_rtl_globalrefz00_bglt) BgL_oz00_8122)))->BgL_varz00);
					BgL_arg2884z00_9475 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2887z00_9476));
				}
				bgl_display_obj(BgL_arg2884z00_9475, BgL_pz00_8125);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8124, BgL_pz00_8125));
		}

	}



/* &dump-fun-rtl_loadfun1771 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadfun1771z62zzsaw_defsz00(obj_t
		BgL_envz00_8127, obj_t BgL_oz00_8128, obj_t BgL_destz00_8129,
		obj_t BgL_argsz00_8130, obj_t BgL_pz00_8131, obj_t BgL_mz00_8132)
	{
		{	/* SawMill/defs.scm 331 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadfunz00_bglt) BgL_oz00_8128)), BgL_pz00_8131);
			{	/* SawMill/defs.scm 333 */
				obj_t BgL_tmpz00_14094;

				BgL_tmpz00_14094 = ((obj_t) BgL_pz00_8131);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14094);
			}
			{	/* SawMill/defs.scm 334 */
				obj_t BgL_arg2882z00_9478;

				{	/* SawMill/defs.scm 334 */
					BgL_globalz00_bglt BgL_arg2883z00_9479;

					BgL_arg2883z00_9479 =
						(((BgL_rtl_loadfunz00_bglt) COBJECT(
								((BgL_rtl_loadfunz00_bglt) BgL_oz00_8128)))->BgL_varz00);
					BgL_arg2882z00_9478 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2883z00_9479));
				}
				bgl_display_obj(BgL_arg2882z00_9478, BgL_pz00_8131);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8130, BgL_pz00_8131));
		}

	}



/* &dump-fun-rtl_loadg1769 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadg1769z62zzsaw_defsz00(obj_t BgL_envz00_8133,
		obj_t BgL_oz00_8134, obj_t BgL_destz00_8135, obj_t BgL_argsz00_8136,
		obj_t BgL_pz00_8137, obj_t BgL_mz00_8138)
	{
		{	/* SawMill/defs.scm 322 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadgz00_bglt) BgL_oz00_8134)), BgL_pz00_8137);
			{	/* SawMill/defs.scm 324 */
				obj_t BgL_tmpz00_14107;

				BgL_tmpz00_14107 = ((obj_t) BgL_pz00_8137);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14107);
			}
			{	/* SawMill/defs.scm 325 */
				obj_t BgL_arg2880z00_9481;

				{	/* SawMill/defs.scm 325 */
					BgL_globalz00_bglt BgL_arg2881z00_9482;

					BgL_arg2881z00_9482 =
						(((BgL_rtl_loadgz00_bglt) COBJECT(
								((BgL_rtl_loadgz00_bglt) BgL_oz00_8134)))->BgL_varz00);
					BgL_arg2880z00_9481 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2881z00_9482));
				}
				bgl_display_obj(BgL_arg2880z00_9481, BgL_pz00_8137);
			}
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8136, BgL_pz00_8137));
		}

	}



/* &dump-fun-rtl_mov1767 */
	obj_t BGl_z62dumpzd2funzd2rtl_mov1767z62zzsaw_defsz00(obj_t BgL_envz00_8139,
		obj_t BgL_oz00_8140, obj_t BgL_destz00_8141, obj_t BgL_argsz00_8142,
		obj_t BgL_pz00_8143, obj_t BgL_mz00_8144)
	{
		{	/* SawMill/defs.scm 315 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_movz00_bglt) BgL_oz00_8140)), BgL_pz00_8143);
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8142, BgL_pz00_8143));
		}

	}



/* &dump-fun-rtl_loadi1765 */
	obj_t BGl_z62dumpzd2funzd2rtl_loadi1765z62zzsaw_defsz00(obj_t BgL_envz00_8145,
		obj_t BgL_oz00_8146, obj_t BgL_destz00_8147, obj_t BgL_argsz00_8148,
		obj_t BgL_pz00_8149, obj_t BgL_mz00_8150)
	{
		{	/* SawMill/defs.scm 306 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt)
					((BgL_rtl_loadiz00_bglt) BgL_oz00_8146)), BgL_pz00_8149);
			{	/* SawMill/defs.scm 308 */
				obj_t BgL_tmpz00_14125;

				BgL_tmpz00_14125 = ((obj_t) BgL_pz00_8149);
				bgl_display_string(BGl_string3068z00zzsaw_defsz00, BgL_tmpz00_14125);
			}
			bgl_display_obj(
				(((BgL_atomz00_bglt) COBJECT(
							(((BgL_rtl_loadiz00_bglt) COBJECT(
										((BgL_rtl_loadiz00_bglt) BgL_oz00_8146)))->
								BgL_constantz00)))->BgL_valuez00), BgL_pz00_8149);
			return BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8148,
					BgL_pz00_8149));
		}

	}



/* &dump-fun-rtl_fun1763 */
	obj_t BGl_z62dumpzd2funzd2rtl_fun1763z62zzsaw_defsz00(obj_t BgL_envz00_8151,
		obj_t BgL_oz00_8152, obj_t BgL_destz00_8153, obj_t BgL_argsz00_8154,
		obj_t BgL_pz00_8155, obj_t BgL_mz00_8156)
	{
		{	/* SawMill/defs.scm 299 */
			BGl_showzd2funzd2zzsaw_defsz00(
				((BgL_rtl_funz00_bglt) BgL_oz00_8152), BgL_pz00_8155);
			return
				BBOOL(BGl_dumpzd2argszd2zzsaw_defsz00(BgL_argsz00_8154, BgL_pz00_8155));
		}

	}



/* &dump-rtl_reg1758 */
	obj_t BGl_z62dumpzd2rtl_reg1758zb0zzsaw_defsz00(obj_t BgL_envz00_8157,
		obj_t BgL_oz00_8158, obj_t BgL_pz00_8159, obj_t BgL_mz00_8160)
	{
		{	/* SawMill/defs.scm 277 */
			{	/* SawMill/defs.scm 278 */
				obj_t BgL_arg2872z00_9487;

				BgL_arg2872z00_9487 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_rtl_regz00_bglt) BgL_oz00_8158)));
				bgl_display_obj(BgL_arg2872z00_9487, BgL_pz00_8159);
			}
			if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
				{	/* SawMill/defs.scm 279 */
					{	/* SawMill/defs.scm 280 */
						obj_t BgL_tmpz00_14144;

						BgL_tmpz00_14144 = ((obj_t) BgL_pz00_8159);
						bgl_display_string(BGl_string3345z00zzsaw_defsz00,
							BgL_tmpz00_14144);
					}
					{	/* SawMill/defs.scm 281 */
						obj_t BgL_arg2876z00_9488;

						{	/* SawMill/defs.scm 281 */
							BgL_typez00_bglt BgL_arg2877z00_9489;

							BgL_arg2877z00_9489 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8158)))->BgL_typez00);
							BgL_arg2876z00_9488 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_arg2877z00_9489));
						}
						return bgl_display_obj(BgL_arg2876z00_9488, BgL_pz00_8159);
					}
				}
			else
				{	/* SawMill/defs.scm 279 */
					return BFALSE;
				}
		}

	}



/* &dump-rtl_ins1756 */
	obj_t BGl_z62dumpzd2rtl_ins1756zb0zzsaw_defsz00(obj_t BgL_envz00_8161,
		obj_t BgL_oz00_8162, obj_t BgL_pz00_8163, obj_t BgL_mz00_8164)
	{
		{	/* SawMill/defs.scm 249 */
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8162)))->BgL_destz00)))
				{	/* SawMill/defs.scm 251 */
					{	/* SawMill/defs.scm 252 */
						obj_t BgL_tmpz00_14156;

						BgL_tmpz00_14156 = ((obj_t) BgL_pz00_8163);
						bgl_display_string(BGl_string3346z00zzsaw_defsz00,
							BgL_tmpz00_14156);
					}
					BGl_dumpz00zzsaw_defsz00(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_8162)))->BgL_destz00),
						BgL_pz00_8163, CINT(BgL_mz00_8164));
					{	/* SawMill/defs.scm 254 */
						obj_t BgL_tmpz00_14163;

						BgL_tmpz00_14163 = ((obj_t) BgL_pz00_8163);
						bgl_display_string(BGl_string3347z00zzsaw_defsz00,
							BgL_tmpz00_14163);
					}
				}
			else
				{	/* SawMill/defs.scm 251 */
					BFALSE;
				}
			BGl_dumpzd2inszd2rhsz00zzsaw_defsz00(
				((BgL_rtl_insz00_bglt) BgL_oz00_8162), BgL_pz00_8163, BgL_mz00_8164);
			if (NULLP(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8162)))->BgL_z52spillz52)))
				{	/* SawMill/defs.scm 256 */
					BFALSE;
				}
			else
				{	/* SawMill/defs.scm 256 */
					{	/* SawMill/defs.scm 257 */
						obj_t BgL_tmpz00_14172;

						BgL_tmpz00_14172 = ((obj_t) BgL_pz00_8163);
						bgl_display_string(BGl_string3348z00zzsaw_defsz00,
							BgL_tmpz00_14172);
					}
					{	/* SawMill/defs.scm 258 */
						obj_t BgL_g1658z00_9491;

						BgL_g1658z00_9491 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_8162)))->BgL_z52spillz52);
						{
							obj_t BgL_l1656z00_9493;

							BgL_l1656z00_9493 = BgL_g1658z00_9491;
						BgL_zc3z04anonymousza32866ze3z87_9492:
							if (PAIRP(BgL_l1656z00_9493))
								{	/* SawMill/defs.scm 258 */
									{	/* SawMill/defs.scm 259 */
										obj_t BgL_rz00_9494;

										BgL_rz00_9494 = CAR(BgL_l1656z00_9493);
										bgl_display_obj(BGl_shapez00zztools_shapez00(BgL_rz00_9494),
											BgL_pz00_8163);
										{	/* SawMill/defs.scm 260 */
											obj_t BgL_tmpz00_14182;

											BgL_tmpz00_14182 = ((obj_t) BgL_pz00_8163);
											bgl_display_string(BGl_string3068z00zzsaw_defsz00,
												BgL_tmpz00_14182);
										}
									}
									{
										obj_t BgL_l1656z00_14185;

										BgL_l1656z00_14185 = CDR(BgL_l1656z00_9493);
										BgL_l1656z00_9493 = BgL_l1656z00_14185;
										goto BgL_zc3z04anonymousza32866ze3z87_9492;
									}
								}
							else
								{	/* SawMill/defs.scm 258 */
									((bool_t) 1);
								}
						}
					}
					{	/* SawMill/defs.scm 262 */
						obj_t BgL_tmpz00_14187;

						BgL_tmpz00_14187 = ((obj_t) BgL_pz00_8163);
						bgl_display_string(BGl_string3072z00zzsaw_defsz00,
							BgL_tmpz00_14187);
					}
				}
			if (CBOOL(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_oz00_8162)))->BgL_destz00)))
				{	/* SawMill/defs.scm 263 */
					obj_t BgL_tmpz00_14194;

					BgL_tmpz00_14194 = ((obj_t) BgL_pz00_8163);
					return
						bgl_display_string(BGl_string3349z00zzsaw_defsz00,
						BgL_tmpz00_14194);
				}
			else
				{	/* SawMill/defs.scm 263 */
					return BFALSE;
				}
		}

	}



/* &dump-block1754 */
	obj_t BGl_z62dumpzd2block1754zb0zzsaw_defsz00(obj_t BgL_envz00_8165,
		obj_t BgL_oz00_8166, obj_t BgL_pz00_8167, obj_t BgL_mz00_8168)
	{
		{	/* SawMill/defs.scm 234 */
			{	/* SawMill/defs.scm 236 */
				obj_t BgL_tmpz00_14197;

				BgL_tmpz00_14197 = ((obj_t) BgL_pz00_8167);
				bgl_display_string(BGl_string3350z00zzsaw_defsz00, BgL_tmpz00_14197);
			}
			{	/* SawMill/defs.scm 236 */
				int BgL_arg2834z00_9496;

				BgL_arg2834z00_9496 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8166)))->BgL_labelz00);
				bgl_display_obj(BINT(BgL_arg2834z00_9496), BgL_pz00_8167);
			}
			{	/* SawMill/defs.scm 236 */
				obj_t BgL_tmpz00_14204;

				BgL_tmpz00_14204 = ((obj_t) BgL_pz00_8167);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14204);
			}
			{	/* SawMill/defs.scm 238 */
				long BgL_arg2836z00_9497;

				BgL_arg2836z00_9497 = ((long) CINT(BgL_mz00_8168) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8167,
					(int) (BgL_arg2836z00_9497));
			}
			{	/* SawMill/defs.scm 239 */
				obj_t BgL_tmpz00_14211;

				BgL_tmpz00_14211 = ((obj_t) BgL_pz00_8167);
				bgl_display_string(BGl_string3351z00zzsaw_defsz00, BgL_tmpz00_14211);
			}
			{	/* SawMill/defs.scm 239 */
				obj_t BgL_arg2837z00_9498;

				{	/* SawMill/defs.scm 239 */
					obj_t BgL_l1642z00_9499;

					BgL_l1642z00_9499 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8166)))->BgL_predsz00);
					if (NULLP(BgL_l1642z00_9499))
						{	/* SawMill/defs.scm 239 */
							BgL_arg2837z00_9498 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 239 */
							obj_t BgL_head1644z00_9500;

							{	/* SawMill/defs.scm 239 */
								int BgL_arg2844z00_9501;

								BgL_arg2844z00_9501 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1642z00_9499))))->BgL_labelz00);
								BgL_head1644z00_9500 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2844z00_9501), BNIL);
							}
							{	/* SawMill/defs.scm 239 */
								obj_t BgL_g1647z00_9502;

								BgL_g1647z00_9502 = CDR(BgL_l1642z00_9499);
								{
									obj_t BgL_l1642z00_9504;
									obj_t BgL_tail1645z00_9505;

									BgL_l1642z00_9504 = BgL_g1647z00_9502;
									BgL_tail1645z00_9505 = BgL_head1644z00_9500;
								BgL_zc3z04anonymousza32839ze3z87_9503:
									if (NULLP(BgL_l1642z00_9504))
										{	/* SawMill/defs.scm 239 */
											BgL_arg2837z00_9498 = BgL_head1644z00_9500;
										}
									else
										{	/* SawMill/defs.scm 239 */
											obj_t BgL_newtail1646z00_9506;

											{	/* SawMill/defs.scm 239 */
												int BgL_arg2842z00_9507;

												BgL_arg2842z00_9507 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1642z00_9504)))))->
													BgL_labelz00);
												BgL_newtail1646z00_9506 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2842z00_9507), BNIL);
											}
											SET_CDR(BgL_tail1645z00_9505, BgL_newtail1646z00_9506);
											{	/* SawMill/defs.scm 239 */
												obj_t BgL_arg2841z00_9508;

												BgL_arg2841z00_9508 = CDR(((obj_t) BgL_l1642z00_9504));
												{
													obj_t BgL_tail1645z00_14236;
													obj_t BgL_l1642z00_14235;

													BgL_l1642z00_14235 = BgL_arg2841z00_9508;
													BgL_tail1645z00_14236 = BgL_newtail1646z00_9506;
													BgL_tail1645z00_9505 = BgL_tail1645z00_14236;
													BgL_l1642z00_9504 = BgL_l1642z00_14235;
													goto BgL_zc3z04anonymousza32839ze3z87_9503;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2837z00_9498, BgL_pz00_8167);
			}
			{	/* SawMill/defs.scm 239 */
				obj_t BgL_tmpz00_14238;

				BgL_tmpz00_14238 = ((obj_t) BgL_pz00_8167);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14238);
			}
			{	/* SawMill/defs.scm 240 */
				long BgL_arg2846z00_9509;

				BgL_arg2846z00_9509 = ((long) CINT(BgL_mz00_8168) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8167,
					(int) (BgL_arg2846z00_9509));
			}
			{	/* SawMill/defs.scm 241 */
				obj_t BgL_tmpz00_14245;

				BgL_tmpz00_14245 = ((obj_t) BgL_pz00_8167);
				bgl_display_string(BGl_string3352z00zzsaw_defsz00, BgL_tmpz00_14245);
			}
			{	/* SawMill/defs.scm 241 */
				obj_t BgL_arg2847z00_9510;

				{	/* SawMill/defs.scm 241 */
					obj_t BgL_l1649z00_9511;

					BgL_l1649z00_9511 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_oz00_8166)))->BgL_succsz00);
					if (NULLP(BgL_l1649z00_9511))
						{	/* SawMill/defs.scm 241 */
							BgL_arg2847z00_9510 = BNIL;
						}
					else
						{	/* SawMill/defs.scm 241 */
							obj_t BgL_head1651z00_9512;

							{	/* SawMill/defs.scm 241 */
								int BgL_arg2854z00_9513;

								BgL_arg2854z00_9513 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt)
												CAR(BgL_l1649z00_9511))))->BgL_labelz00);
								BgL_head1651z00_9512 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2854z00_9513), BNIL);
							}
							{	/* SawMill/defs.scm 241 */
								obj_t BgL_g1654z00_9514;

								BgL_g1654z00_9514 = CDR(BgL_l1649z00_9511);
								{
									obj_t BgL_l1649z00_9516;
									obj_t BgL_tail1652z00_9517;

									BgL_l1649z00_9516 = BgL_g1654z00_9514;
									BgL_tail1652z00_9517 = BgL_head1651z00_9512;
								BgL_zc3z04anonymousza32849ze3z87_9515:
									if (NULLP(BgL_l1649z00_9516))
										{	/* SawMill/defs.scm 241 */
											BgL_arg2847z00_9510 = BgL_head1651z00_9512;
										}
									else
										{	/* SawMill/defs.scm 241 */
											obj_t BgL_newtail1653z00_9518;

											{	/* SawMill/defs.scm 241 */
												int BgL_arg2852z00_9519;

												BgL_arg2852z00_9519 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1649z00_9516)))))->
													BgL_labelz00);
												BgL_newtail1653z00_9518 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2852z00_9519), BNIL);
											}
											SET_CDR(BgL_tail1652z00_9517, BgL_newtail1653z00_9518);
											{	/* SawMill/defs.scm 241 */
												obj_t BgL_arg2851z00_9520;

												BgL_arg2851z00_9520 = CDR(((obj_t) BgL_l1649z00_9516));
												{
													obj_t BgL_tail1652z00_14270;
													obj_t BgL_l1649z00_14269;

													BgL_l1649z00_14269 = BgL_arg2851z00_9520;
													BgL_tail1652z00_14270 = BgL_newtail1653z00_9518;
													BgL_tail1652z00_9517 = BgL_tail1652z00_14270;
													BgL_l1649z00_9516 = BgL_l1649z00_14269;
													goto BgL_zc3z04anonymousza32849ze3z87_9515;
												}
											}
										}
								}
							}
						}
				}
				bgl_display_obj(BgL_arg2847z00_9510, BgL_pz00_8167);
			}
			{	/* SawMill/defs.scm 241 */
				obj_t BgL_tmpz00_14272;

				BgL_tmpz00_14272 = ((obj_t) BgL_pz00_8167);
				bgl_display_char(((unsigned char) 10), BgL_tmpz00_14272);
			}
			{	/* SawMill/defs.scm 242 */
				long BgL_arg2856z00_9521;

				BgL_arg2856z00_9521 = ((long) CINT(BgL_mz00_8168) + ((long) 1));
				BGl_dumpzd2marginzd2zzsaw_defsz00(BgL_pz00_8167,
					(int) (BgL_arg2856z00_9521));
			}
			{	/* SawMill/defs.scm 243 */
				obj_t BgL_arg2857z00_9522;
				long BgL_arg2861z00_9523;

				BgL_arg2857z00_9522 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_8166)))->BgL_firstz00);
				BgL_arg2861z00_9523 = ((long) CINT(BgL_mz00_8168) + ((long) 1));
				BGl_dumpza2za2zzsaw_defsz00(BgL_arg2857z00_9522, BgL_pz00_8167,
					(int) (BgL_arg2861z00_9523));
			}
			{	/* SawMill/defs.scm 244 */
				obj_t BgL_tmpz00_14285;

				BgL_tmpz00_14285 = ((obj_t) BgL_pz00_8167);
				return
					bgl_display_string(BGl_string3353z00zzsaw_defsz00, BgL_tmpz00_14285);
			}
		}

	}



/* &shape-rtl_reg1750 */
	obj_t BGl_z62shapezd2rtl_reg1750zb0zzsaw_defsz00(obj_t BgL_envz00_8169,
		obj_t BgL_oz00_8170)
	{
		{	/* SawMill/defs.scm 120 */
			{	/* SawMill/defs.scm 121 */
				obj_t BgL_pz00_9525;

				{	/* SawMill/defs.scm 121 */

					{	/* SawMill/defs.scm 121 */

						BgL_pz00_9525 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				if (CBOOL(
						(((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->BgL_onexprzf3zf3)))
					{	/* SawMill/defs.scm 124 */
						bgl_display_string(BGl_string3354z00zzsaw_defsz00, BgL_pz00_9525);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->BgL_namez00),
							BgL_pz00_9525);
					}
				else
					{	/* SawMill/defs.scm 124 */
						if (CBOOL(
								(((BgL_rtl_regz00_bglt) COBJECT(
											((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->
									BgL_hardwarez00)))
							{	/* SawMill/defs.scm 127 */
								bgl_display_string(BGl_string3355z00zzsaw_defsz00,
									BgL_pz00_9525);
								bgl_display_obj((((BgL_rtl_regz00_bglt)
											COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->
										BgL_hardwarez00), BgL_pz00_9525);
							}
						else
							{	/* SawMill/defs.scm 127 */
								if (CBOOL(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->BgL_varz00)))
									{	/* SawMill/defs.scm 130 */
										bgl_display_string(BGl_string3356z00zzsaw_defsz00,
											BgL_pz00_9525);
										{	/* SawMill/defs.scm 132 */
											obj_t BgL_arg2826z00_9526;

											BgL_arg2826z00_9526 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															(((BgL_rtl_regz00_bglt) COBJECT(
																		((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->
																BgL_varz00))))->BgL_idz00);
											bgl_display_obj(BgL_arg2826z00_9526, BgL_pz00_9525);
										}
									}
								else
									{	/* SawMill/defs.scm 130 */
										bgl_display_string(BGl_string3357z00zzsaw_defsz00,
											BgL_pz00_9525);
										bgl_display_obj((((BgL_rtl_regz00_bglt)
													COBJECT(((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->
												BgL_namez00), BgL_pz00_9525);
									}
							}
					}
				if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 136 */
						bgl_display_string(BGl_string3345z00zzsaw_defsz00, BgL_pz00_9525);
						bgl_display_obj(
							(((BgL_typez00_bglt) COBJECT(
										(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->
											BgL_typez00)))->BgL_idz00), BgL_pz00_9525);
					}
				else
					{	/* SawMill/defs.scm 136 */
						BFALSE;
					}
				if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
					{	/* SawMill/defs.scm 139 */
						bgl_display_string(BGl_string3358z00zzsaw_defsz00, BgL_pz00_9525);
						bgl_display_obj(
							(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_8170)))->BgL_keyz00),
							BgL_pz00_9525);
					}
				else
					{	/* SawMill/defs.scm 139 */
						BFALSE;
					}
				return bgl_close_output_port(BgL_pz00_9525);
			}
		}

	}



/* &shape-rtl_ins1748 */
	obj_t BGl_z62shapezd2rtl_ins1748zb0zzsaw_defsz00(obj_t BgL_envz00_8171,
		obj_t BgL_iz00_8172)
	{
		{	/* SawMill/defs.scm 112 */
			{	/* SawMill/defs.scm 115 */
				obj_t BgL_zc3z04anonymousza32820ze3z87_9528;

				BgL_zc3z04anonymousza32820ze3z87_9528 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32820ze3ze5zzsaw_defsz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza32820ze3z87_9528,
					(int) (((long) 0)), ((obj_t) ((BgL_rtl_insz00_bglt) BgL_iz00_8172)));
				return
					BGl_callzd2withzd2outputzd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza32820ze3z87_9528);
			}
		}

	}



/* &<@anonymous:2820> */
	obj_t BGl_z62zc3z04anonymousza32820ze3ze5zzsaw_defsz00(obj_t BgL_envz00_8173,
		obj_t BgL_opz00_8175)
	{
		{	/* SawMill/defs.scm 114 */
			{	/* SawMill/defs.scm 115 */
				BgL_rtl_insz00_bglt BgL_iz00_8174;

				BgL_iz00_8174 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_8173, (int) (((long) 0))));
				return
					BGl_dumpz00zzsaw_defsz00(
					((obj_t) BgL_iz00_8174), BgL_opz00_8175, (int) (((long) 0)));
		}}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_defsz00()
	{
		{	/* SawMill/defs.scm 1 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string3359z00zzsaw_defsz00));
		}

	}

#ifdef __cplusplus
}
#endif
