/*===========================================================================*/
/*   (SawMill/expr.scm)                                                      */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/expr.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_iregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_iregz00_bglt;

	typedef struct BgL_pregz00_bgl
	{
		obj_t BgL_indexz00;
		obj_t BgL_statusz00;
	}              *BgL_pregz00_bglt;

	typedef struct BgL_inlinedz00_bgl
	{
	}                 *BgL_inlinedz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2getfza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_z62effectszd2rtl_getfield1595zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_pregz00zzsaw_exprz00 = BUNSPEC;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt BGl_z62lambda1954z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_feffectz00_bglt BGl_za2fullza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1960z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2loadgza2z00zzsaw_exprz00;
	static obj_t BGl_z62lambda1968z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1969z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_exprz00();
	static obj_t BGl_z62effectszd2rtl_call1609zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t BGl_z62lambda1973z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1974z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	static BgL_rtl_regz00_bglt BGl_z62lambda1981z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62lambda1984z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_exprz00();
	static BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_exprz00(obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2vrefza2z00zzsaw_exprz00;
	static BgL_feffectz00_bglt BGl_za2storegza2z00zzsaw_exprz00;
	static obj_t BGl_z62effectszd2rtl_setfield1597zb0zzsaw_exprz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_protect1607zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_exprz00();
	static BgL_feffectz00_bglt BGl_za2noeffectza2z00zzsaw_exprz00;
	static obj_t BGl_z62lambda1995z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1996z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt BGl_za2boxrefza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_apply1599zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_inlinedz00zzsaw_exprz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_exprz00();
	static obj_t BGl_z62effectszd2rtl_boxset1593zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62usefullz62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_pragma1605zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_boxref1591zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_iregz00zzsaw_exprz00 = BUNSPEC;
	static obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt BGl_za2prefza2z00zzsaw_exprz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t, obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2009z62zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_loadg1583zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t, obj_t);
	static BgL_rtl_insz00_bglt BGl_z62lambda2012z62zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static BgL_rtl_insz00_bglt BGl_z62lambda2015z62zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static BgL_feffectz00_bglt BGl_za2setfza2z00zzsaw_exprz00;
	static obj_t BGl_xxz00zzsaw_exprz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_storeg1585zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_funcall1603zb0zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static long BGl_za2countza2z00zzsaw_exprz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzsaw_exprz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00();
	static obj_t BGl_z62effects1580z62zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t, obj_t);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static BgL_feffectz00_bglt BGl_za2vsetza2z00zzsaw_exprz00;
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	static obj_t BGl_z62effectszd2rtl_vset1589zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_za2boxsetza2z00zzsaw_exprz00;
	static bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62effectszd2rtl_vref1587zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62effectszd2rtl_lightfun1601zb0zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_z62acceptzd2foldingzf31578z43zzsaw_exprz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t, obj_t);
	static obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt);
	static BgL_feffectz00_bglt BGl_za2psetza2z00zzsaw_exprz00;
	static obj_t __cnst[28];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zzsaw_exprz00,
		BgL_bgl_za762usefullza762za7za7s2199z00, BGl_z62usefullz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zzsaw_exprz00,
		BgL_bgl_za762lambda1969za7622200z00, BGl_z62lambda1969z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zzsaw_exprz00,
		BgL_bgl_za762lambda1968za7622201z00, BGl_z62lambda1968z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zzsaw_exprz00,
		BgL_bgl_za762lambda1974za7622202z00, BGl_z62lambda1974z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zzsaw_exprz00,
		BgL_bgl_za762lambda1973za7622203z00, BGl_z62lambda1973z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zzsaw_exprz00,
		BgL_bgl_za762lambda1960za7622204z00, BGl_z62lambda1960z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2205za7,
		BGl_z62zc3z04anonymousza31959ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zzsaw_exprz00,
		BgL_bgl_za762lambda1957za7622206z00, BGl_z62lambda1957z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zzsaw_exprz00,
		BgL_bgl_za762lambda1954za7622207z00, BGl_z62lambda1954z62zzsaw_exprz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_exprz00,
		BgL_bgl_za762lambda1996za7622208z00, BGl_z62lambda1996z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_exprz00,
		BgL_bgl_za762lambda1995za7622209z00, BGl_z62lambda1995z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_exprz00,
		BgL_bgl_za762lambda2002za7622210z00, BGl_z62lambda2002z62zzsaw_exprz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_exprz00,
		BgL_bgl_za762lambda2001za7622211z00, BGl_z62lambda2001z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_exprz00,
		BgL_bgl_za762lambda1987za7622212z00, BGl_z62lambda1987z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2213za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2177z00zzsaw_exprz00,
		BgL_bgl_string2177za700za7za7s2214za7, "accept-folding?1578", 19);
	      DEFINE_STRING(BGl_string2179z00zzsaw_exprz00,
		BgL_bgl_string2179za700za7za7s2215za7, "effects1580", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_exprz00,
		BgL_bgl_za762lambda1984za7622216z00, BGl_z62lambda1984z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_exprz00,
		BgL_bgl_za762lambda1981za7622217z00, BGl_z62lambda1981z62zzsaw_exprz00, 0L,
		BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_exprz00,
		BgL_bgl_za762lambda2015za7622218z00, BGl_z62lambda2015z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_exprz00,
		BgL_bgl_za762za7c3za704anonymo2219za7,
		BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_exprz00,
		BgL_bgl_za762lambda2012za7622220z00, BGl_z62lambda2012z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2181z00zzsaw_exprz00,
		BgL_bgl_string2181za700za7za7s2221za7, "effects", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_exprz00,
		BgL_bgl_za762lambda2009za7622222z00, BGl_z62lambda2009z62zzsaw_exprz00, 0L,
		BUNSPEC, 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2223z00,
		BGl_z62acceptzd2foldingzf31578z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_exprz00,
		BgL_bgl_za762effects1580za762224z00, BGl_z62effects1580z62zzsaw_exprz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2225z00,
		BGl_z62effectszd2rtl_loadg1583zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2226z00,
		BGl_z62effectszd2rtl_storeg1585zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2227z00,
		BGl_z62effectszd2rtl_vref1587zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2228z00,
		BGl_z62effectszd2rtl_vset1589zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2229z00,
		BGl_z62effectszd2rtl_boxref1591zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2230z00,
		BGl_z62effectszd2rtl_boxset1593zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2231z00,
		BGl_z62effectszd2rtl_getfield1595zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2232z00,
		BGl_z62effectszd2rtl_setfield1597zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2195z00zzsaw_exprz00,
		BgL_bgl_string2195za700za7za7s2233za7, "saw_expr", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2234z00,
		BGl_z62effectszd2rtl_apply1599zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2196z00zzsaw_exprz00,
		BgL_bgl_string2196za700za7za7s2235za7,
		"inlined preg saw_expr ireg status obj index (print (global-id var) \" has no effect\") ko ok written readen reset c-write-char c-current-output-port (output-port) $tvector-descr-set! procedure-set! procedure-ref make-fx-procedure foreign $cons (procedure) top (field) (box) (vector) (memory) ",
		290);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2236z00,
		BGl_z62effectszd2rtl_lightfun1601zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2237z00,
		BGl_z62effectszd2rtl_funcall1603zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2238z00,
		BGl_z62effectszd2rtl_pragma1605zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2239z00,
		BGl_z62effectszd2rtl_protect1607zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_exprz00,
		BgL_bgl_za762effectsza7d2rtl2240z00,
		BGl_z62effectszd2rtl_call1609zb0zzsaw_exprz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_prezd2buildzd2treezd2envzd2zzsaw_exprz00,
		BgL_bgl_za762preza7d2buildza7d2241za7,
		BGl_z62prezd2buildzd2treez62zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
		BgL_bgl_za762acceptza7d2fold2242z00,
		BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2treezd2envz00zzsaw_exprz00,
		BgL_bgl_za762buildza7d2treeza72243za7, BGl_z62buildzd2treezb0zzsaw_exprz00,
		0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_effectszd2envzd2zzsaw_exprz00,
		BgL_bgl_za762effectsza762za7za7s2244z00, BGl_z62effectsz62zzsaw_exprz00, 0L,
		BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2getfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_pregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2fullza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2loadgza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2storegza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2noeffectza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxrefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_inlinedz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_iregz00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2prefza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2setfza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2vsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2boxsetza2z00zzsaw_exprz00));
		     ADD_ROOT((void *) (&BGl_za2psetza2z00zzsaw_exprz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_exprz00(long
		BgL_checksumz00_4145, char *BgL_fromz00_4146)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_exprz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_exprz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_exprz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_exprz00();
					BGl_cnstzd2initzd2zzsaw_exprz00();
					BGl_importedzd2moduleszd2initz00zzsaw_exprz00();
					BGl_objectzd2initzd2zzsaw_exprz00();
					BGl_genericzd2initzd2zzsaw_exprz00();
					BGl_methodzd2initzd2zzsaw_exprz00();
					return BGl_toplevelzd2initzd2zzsaw_exprz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_expr");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_expr");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 1 */
				obj_t BgL_cportz00_4009;

				{	/* SawMill/expr.scm 1 */
					obj_t BgL_stringz00_4017;

					BgL_stringz00_4017 = BGl_string2196z00zzsaw_exprz00;
					{	/* SawMill/expr.scm 1 */
						obj_t BgL_startz00_4018;

						BgL_startz00_4018 = BINT(((long) 0));
						{	/* SawMill/expr.scm 1 */
							obj_t BgL_endz00_4019;

							BgL_endz00_4019 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4017)));
							{	/* SawMill/expr.scm 1 */

								BgL_cportz00_4009 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4017, BgL_startz00_4018, BgL_endz00_4019);
				}}}}
				{
					long BgL_iz00_4010;

					BgL_iz00_4010 = ((long) 27);
				BgL_loopz00_4011:
					if ((BgL_iz00_4010 == ((long) -1)))
						{	/* SawMill/expr.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/expr.scm 1 */
							{	/* SawMill/expr.scm 1 */
								obj_t BgL_arg2198z00_4013;

								{	/* SawMill/expr.scm 1 */

									{	/* SawMill/expr.scm 1 */
										obj_t BgL_locationz00_4015;

										BgL_locationz00_4015 = BBOOL(((bool_t) 0));
										{	/* SawMill/expr.scm 1 */

											BgL_arg2198z00_4013 =
												BGl_readz00zz__readerz00(BgL_cportz00_4009,
												BgL_locationz00_4015);
										}
									}
								}
								{	/* SawMill/expr.scm 1 */
									int BgL_tmpz00_4178;

									BgL_tmpz00_4178 = (int) (BgL_iz00_4010);
									CNST_TABLE_SET(BgL_tmpz00_4178, BgL_arg2198z00_4013);
							}}
							{	/* SawMill/expr.scm 1 */
								int BgL_auxz00_4016;

								BgL_auxz00_4016 = (int) ((BgL_iz00_4010 - ((long) 1)));
								{
									long BgL_iz00_4183;

									BgL_iz00_4183 = (long) (BgL_auxz00_4016);
									BgL_iz00_4010 = BgL_iz00_4183;
									goto BgL_loopz00_4011;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			BGl_za2countza2z00zzsaw_exprz00 = ((long) 0);
			{	/* SawMill/expr.scm 218 */
				BgL_feffectz00_bglt BgL_new1224z00_1981;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1223z00_1982;

					BgL_new1223z00_1982 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1612z00_1983;

						BgL_arg1612z00_1983 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_1982), BgL_arg1612z00_1983);
					}
					BgL_new1224z00_1981 = BgL_new1223z00_1982;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1224z00_1981))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1224z00_1981))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2noeffectza2z00zzsaw_exprz00 = BgL_new1224z00_1981;
			}
			{	/* SawMill/expr.scm 219 */
				BgL_feffectz00_bglt BgL_new1226z00_1984;

				{	/* SawMill/expr.scm 219 */
					BgL_feffectz00_bglt BgL_new1225z00_1985;

					BgL_new1225z00_1985 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 219 */
						long BgL_arg1613z00_1986;

						BgL_arg1613z00_1986 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1225z00_1985), BgL_arg1613z00_1986);
					}
					BgL_new1226z00_1984 = BgL_new1225z00_1985;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1226z00_1984))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1226z00_1984))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2loadgza2z00zzsaw_exprz00 = BgL_new1226z00_1984;
			}
			{	/* SawMill/expr.scm 220 */
				BgL_feffectz00_bglt BgL_new1228z00_1987;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1227z00_1988;

					BgL_new1227z00_1988 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1619z00_1989;

						BgL_arg1619z00_1989 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1227z00_1988), BgL_arg1619z00_1989);
					}
					BgL_new1228z00_1987 = BgL_new1227z00_1988;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1228z00_1987))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1228z00_1987))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				BGl_za2storegza2z00zzsaw_exprz00 = BgL_new1228z00_1987;
			}
			{	/* SawMill/expr.scm 221 */
				BgL_feffectz00_bglt BgL_new1230z00_1990;

				{	/* SawMill/expr.scm 221 */
					BgL_feffectz00_bglt BgL_new1229z00_1991;

					BgL_new1229z00_1991 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 221 */
						long BgL_arg1620z00_1992;

						BgL_arg1620z00_1992 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1229z00_1991), BgL_arg1620z00_1992);
					}
					BgL_new1230z00_1990 = BgL_new1229z00_1991;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1230z00_1990))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1230z00_1990))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2vrefza2z00zzsaw_exprz00 = BgL_new1230z00_1990;
			}
			{	/* SawMill/expr.scm 222 */
				BgL_feffectz00_bglt BgL_new1232z00_1993;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1231z00_1994;

					BgL_new1231z00_1994 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1621z00_1995;

						BgL_arg1621z00_1995 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1231z00_1994), BgL_arg1621z00_1995);
					}
					BgL_new1232z00_1993 = BgL_new1231z00_1994;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1232z00_1993))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1232z00_1993))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				BGl_za2vsetza2z00zzsaw_exprz00 = BgL_new1232z00_1993;
			}
			{	/* SawMill/expr.scm 223 */
				BgL_feffectz00_bglt BgL_new1234z00_1996;

				{	/* SawMill/expr.scm 223 */
					BgL_feffectz00_bglt BgL_new1233z00_1997;

					BgL_new1233z00_1997 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 223 */
						long BgL_arg1632z00_1998;

						BgL_arg1632z00_1998 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_1997), BgL_arg1632z00_1998);
					}
					BgL_new1234z00_1996 = BgL_new1233z00_1997;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1234z00_1996))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1234z00_1996))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2boxrefza2z00zzsaw_exprz00 = BgL_new1234z00_1996;
			}
			{	/* SawMill/expr.scm 224 */
				BgL_feffectz00_bglt BgL_new1236z00_1999;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1235z00_2000;

					BgL_new1235z00_2000 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1633z00_2001;

						BgL_arg1633z00_2001 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_2000), BgL_arg1633z00_2001);
					}
					BgL_new1236z00_1999 = BgL_new1235z00_2000;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1236z00_1999))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1236z00_1999))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 2))), BUNSPEC);
				BGl_za2boxsetza2z00zzsaw_exprz00 = BgL_new1236z00_1999;
			}
			{	/* SawMill/expr.scm 225 */
				BgL_feffectz00_bglt BgL_new1238z00_2002;

				{	/* SawMill/expr.scm 225 */
					BgL_feffectz00_bglt BgL_new1237z00_2003;

					BgL_new1237z00_2003 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 225 */
						long BgL_arg1636z00_2004;

						BgL_arg1636z00_2004 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_2003), BgL_arg1636z00_2004);
					}
					BgL_new1238z00_2002 = BgL_new1237z00_2003;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1238z00_2002))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1238z00_2002))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2getfza2z00zzsaw_exprz00 = BgL_new1238z00_2002;
			}
			{	/* SawMill/expr.scm 226 */
				BgL_feffectz00_bglt BgL_new1240z00_2005;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1239z00_2006;

					BgL_new1239z00_2006 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1647z00_2007;

						BgL_arg1647z00_2007 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_2006), BgL_arg1647z00_2007);
					}
					BgL_new1240z00_2005 = BgL_new1239z00_2006;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1240z00_2005))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1240z00_2005))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 3))), BUNSPEC);
				BGl_za2setfza2z00zzsaw_exprz00 = BgL_new1240z00_2005;
			}
			{	/* SawMill/expr.scm 227 */
				BgL_feffectz00_bglt BgL_new1242z00_2008;

				{	/* SawMill/expr.scm 227 */
					BgL_feffectz00_bglt BgL_new1241z00_2009;

					BgL_new1241z00_2009 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 227 */
						long BgL_arg1652z00_2010;

						BgL_arg1652z00_2010 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1241z00_2009), BgL_arg1652z00_2010);
					}
					BgL_new1242z00_2008 = BgL_new1241z00_2009;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1242z00_2008))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1242z00_2008))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
				BGl_za2fullza2z00zzsaw_exprz00 = BgL_new1242z00_2008;
			}
			{	/* SawMill/expr.scm 266 */
				BgL_feffectz00_bglt BgL_new1248z00_2011;

				{	/* SawMill/expr.scm 266 */
					BgL_feffectz00_bglt BgL_new1247z00_2012;

					BgL_new1247z00_2012 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* SawMill/expr.scm 266 */
						long BgL_arg1656z00_2013;

						BgL_arg1656z00_2013 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1247z00_2012), BgL_arg1656z00_2013);
					}
					BgL_new1248z00_2011 = BgL_new1247z00_2012;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_2011))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1248z00_2011))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2prefza2z00zzsaw_exprz00 = BgL_new1248z00_2011;
			}
			{	/* SawMill/expr.scm 267 */
				BgL_feffectz00_bglt BgL_new1250z00_2014;

				{	/* Ast/var.scm 179 */
					BgL_feffectz00_bglt BgL_new1249z00_2015;

					BgL_new1249z00_2015 =
						((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Ast/var.scm 179 */
						long BgL_arg1657z00_2016;

						BgL_arg1657z00_2016 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1249z00_2015), BgL_arg1657z00_2016);
					}
					BgL_new1250z00_2014 = BgL_new1249z00_2015;
				}
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1250z00_2014))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) COBJECT(BgL_new1250z00_2014))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
				BGl_za2psetza2z00zzsaw_exprz00 = BgL_new1250z00_2014;
			}
			{	/* SawMill/expr.scm 269 */
				BgL_feffectz00_bglt BgL_arg1660z00_2017;

				{	/* SawMill/expr.scm 269 */
					BgL_feffectz00_bglt BgL_new1252z00_2018;

					{	/* SawMill/expr.scm 269 */
						BgL_feffectz00_bglt BgL_new1251z00_2019;

						BgL_new1251z00_2019 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 269 */
							long BgL_arg1665z00_2020;

							BgL_arg1665z00_2020 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1251z00_2019),
								BgL_arg1665z00_2020);
						}
						BgL_new1252z00_2018 = BgL_new1251z00_2019;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1252z00_2018))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1252z00_2018))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1660z00_2017 = BgL_new1252z00_2018;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 6)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1660z00_2017));
			}
			{	/* SawMill/expr.scm 270 */
				BgL_feffectz00_bglt BgL_arg1667z00_2021;

				{	/* SawMill/expr.scm 270 */
					BgL_feffectz00_bglt BgL_new1254z00_2022;

					{	/* SawMill/expr.scm 270 */
						BgL_feffectz00_bglt BgL_new1253z00_2023;

						BgL_new1253z00_2023 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 270 */
							long BgL_arg1668z00_2024;

							BgL_arg1668z00_2024 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1253z00_2023),
								BgL_arg1668z00_2024);
						}
						BgL_new1254z00_2022 = BgL_new1253z00_2023;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1254z00_2022))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1254z00_2022))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1667z00_2021 = BgL_new1254z00_2022;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 8)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1667z00_2021));
			}
			{	/* SawMill/expr.scm 271 */
				BgL_feffectz00_bglt BgL_arg1675z00_2025;

				{	/* SawMill/expr.scm 271 */
					BgL_feffectz00_bglt BgL_new1256z00_2026;

					{	/* SawMill/expr.scm 271 */
						BgL_feffectz00_bglt BgL_new1255z00_2027;

						BgL_new1255z00_2027 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 271 */
							long BgL_arg1676z00_2028;

							BgL_arg1676z00_2028 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1255z00_2027),
								BgL_arg1676z00_2028);
						}
						BgL_new1256z00_2026 = BgL_new1255z00_2027;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1256z00_2026))->BgL_readz00) =
						((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1256z00_2026))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1675z00_2025 = BgL_new1256z00_2026;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 9)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1675z00_2025));
			}
			{	/* SawMill/expr.scm 272 */
				BgL_feffectz00_bglt BgL_arg1678z00_2029;

				{	/* SawMill/expr.scm 272 */
					BgL_feffectz00_bglt BgL_new1258z00_2030;

					{	/* SawMill/expr.scm 272 */
						BgL_feffectz00_bglt BgL_new1257z00_2031;

						BgL_new1257z00_2031 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 272 */
							long BgL_arg1679z00_2032;

							BgL_arg1679z00_2032 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1257z00_2031),
								BgL_arg1679z00_2032);
						}
						BgL_new1258z00_2030 = BgL_new1257z00_2031;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1258z00_2030))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1258z00_2030))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
					BgL_arg1678z00_2029 = BgL_new1258z00_2030;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1678z00_2029));
			}
			{	/* SawMill/expr.scm 273 */
				BgL_feffectz00_bglt BgL_arg1681z00_2033;

				{	/* SawMill/expr.scm 273 */
					BgL_feffectz00_bglt BgL_new1260z00_2034;

					{	/* SawMill/expr.scm 273 */
						BgL_feffectz00_bglt BgL_new1259z00_2035;

						BgL_new1259z00_2035 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 273 */
							long BgL_arg1682z00_2036;

							BgL_arg1682z00_2036 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1259z00_2035),
								BgL_arg1682z00_2036);
						}
						BgL_new1260z00_2034 = BgL_new1259z00_2035;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1260z00_2034))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1260z00_2034))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
					BgL_arg1681z00_2033 = BgL_new1260z00_2034;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 11)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1681z00_2033));
			}
			{	/* SawMill/expr.scm 274 */
				BgL_feffectz00_bglt BgL_arg1694z00_2037;

				{	/* SawMill/expr.scm 274 */
					BgL_feffectz00_bglt BgL_new1262z00_2038;

					{	/* SawMill/expr.scm 274 */
						BgL_feffectz00_bglt BgL_new1261z00_2039;

						BgL_new1261z00_2039 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 274 */
							long BgL_arg1695z00_2040;

							BgL_arg1695z00_2040 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1261z00_2039),
								BgL_arg1695z00_2040);
						}
						BgL_new1262z00_2038 = BgL_new1261z00_2039;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1262z00_2038))->BgL_readz00) =
						((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1262z00_2038))->
							BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
					BgL_arg1694z00_2037 = BgL_new1262z00_2038;
				}
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1694z00_2037));
			}
			{	/* SawMill/expr.scm 275 */
				BgL_feffectz00_bglt BgL_arg1696z00_2041;

				{	/* SawMill/expr.scm 275 */
					BgL_feffectz00_bglt BgL_new1264z00_2042;

					{	/* SawMill/expr.scm 275 */
						BgL_feffectz00_bglt BgL_new1263z00_2043;

						BgL_new1263z00_2043 =
							((BgL_feffectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* SawMill/expr.scm 275 */
							long BgL_arg1699z00_2044;

							BgL_arg1699z00_2044 = BGL_CLASS_NUM(BGl_feffectz00zzast_varz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1263z00_2043),
								BgL_arg1699z00_2044);
						}
						BgL_new1264z00_2042 = BgL_new1263z00_2043;
					}
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2042))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) COBJECT(BgL_new1264z00_2042))->
							BgL_writez00) = ((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
					BgL_arg1696z00_2041 = BgL_new1264z00_2042;
				}
				return
					BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
					CNST_TABLE_REF(((long) 7)), ((obj_t) BgL_arg1696z00_2041));
		}}

	}



/* pre-build-tree */
	BGL_EXPORTED_DEF obj_t
		BGl_prezd2buildzd2treez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bez00_90,
		obj_t BgL_paramsz00_91, obj_t BgL_lz00_92)
	{
		{	/* SawMill/expr.scm 17 */
			BGl_prezd2markzd2localsz00zzsaw_exprz00(BgL_paramsz00_91, BgL_lz00_92);
			BGl_za2countza2z00zzsaw_exprz00 = ((long) 0);
			{
				obj_t BgL_l1536z00_2072;

				{	/* SawMill/expr.scm 20 */
					bool_t BgL_tmpz00_4346;

					BgL_l1536z00_2072 = BgL_lz00_92;
				BgL_zc3z04anonymousza31717ze3z87_2073:
					if (PAIRP(BgL_l1536z00_2072))
						{	/* SawMill/expr.scm 20 */
							{	/* SawMill/expr.scm 22 */
								obj_t BgL_bz00_2075;

								BgL_bz00_2075 = CAR(BgL_l1536z00_2072);
								{	/* SawMill/expr.scm 22 */
									obj_t BgL_lz00_2076;
									obj_t BgL_movesz00_2077;

									BgL_lz00_2076 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2075)))->BgL_firstz00);
									BgL_movesz00_2077 = BNIL;
									{
										obj_t BgL_l1534z00_2079;

										BgL_l1534z00_2079 = BgL_lz00_2076;
									BgL_zc3z04anonymousza31719ze3z87_2080:
										if (PAIRP(BgL_l1534z00_2079))
											{	/* SawMill/expr.scm 23 */
												{	/* SawMill/expr.scm 23 */
													obj_t BgL_insz00_2082;

													BgL_insz00_2082 = CAR(BgL_l1534z00_2079);
													BgL_movesz00_2077 =
														BGl_prezd2analysezd2zzsaw_exprz00(BgL_bez00_90,
														BgL_movesz00_2077, BgL_insz00_2082);
												}
												{
													obj_t BgL_l1534z00_4356;

													BgL_l1534z00_4356 = CDR(BgL_l1534z00_2079);
													BgL_l1534z00_2079 = BgL_l1534z00_4356;
													goto BgL_zc3z04anonymousza31719ze3z87_2080;
												}
											}
										else
											{	/* SawMill/expr.scm 23 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1536z00_4358;

								BgL_l1536z00_4358 = CDR(BgL_l1536z00_2072);
								BgL_l1536z00_2072 = BgL_l1536z00_4358;
								goto BgL_zc3z04anonymousza31717ze3z87_2073;
							}
						}
					else
						{	/* SawMill/expr.scm 20 */
							BgL_tmpz00_4346 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_4346);
				}
			}
		}

	}



/* &pre-build-tree */
	obj_t BGl_z62prezd2buildzd2treez62zzsaw_exprz00(obj_t BgL_envz00_3850,
		obj_t BgL_bez00_3851, obj_t BgL_paramsz00_3852, obj_t BgL_lz00_3853)
	{
		{	/* SawMill/expr.scm 17 */
			return
				BGl_prezd2buildzd2treez00zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3851), BgL_paramsz00_3852,
				BgL_lz00_3853);
		}

	}



/* pre-mark-locals */
	bool_t BGl_prezd2markzd2localsz00zzsaw_exprz00(obj_t BgL_paramsz00_93,
		obj_t BgL_lz00_94)
	{
		{	/* SawMill/expr.scm 27 */
			{	/* SawMill/expr.scm 28 */
				struct bgl_cell BgL_box2249_4007z00;
				obj_t BgL_nz00_4007;

				BgL_nz00_4007 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2249_4007z00);
				{
					obj_t BgL_rz00_2118;
					BgL_blockz00_bglt BgL_bz00_2128;

					{
						obj_t BgL_l1544z00_2094;

						BgL_l1544z00_2094 = BgL_paramsz00_93;
					BgL_zc3z04anonymousza31724ze3z87_2095:
						if (PAIRP(BgL_l1544z00_2094))
							{	/* SawMill/expr.scm 52 */
								BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4007,
									CAR(BgL_l1544z00_2094));
								{
									obj_t BgL_l1544z00_4368;

									BgL_l1544z00_4368 = CDR(BgL_l1544z00_2094);
									BgL_l1544z00_2094 = BgL_l1544z00_4368;
									goto BgL_zc3z04anonymousza31724ze3z87_2095;
								}
							}
						else
							{	/* SawMill/expr.scm 52 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1546z00_2101;

						BgL_l1546z00_2101 = BgL_lz00_94;
					BgL_zc3z04anonymousza31729ze3z87_2102:
						if (PAIRP(BgL_l1546z00_2101))
							{	/* SawMill/expr.scm 53 */
								{	/* SawMill/expr.scm 53 */
									obj_t BgL_arg1731z00_2104;

									BgL_arg1731z00_2104 = CAR(BgL_l1546z00_2101);
									BgL_bz00_2128 = ((BgL_blockz00_bglt) BgL_arg1731z00_2104);
									{	/* SawMill/expr.scm 47 */
										obj_t BgL_g1543z00_2130;

										BgL_g1543z00_2130 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2128))->
											BgL_firstz00);
										{
											obj_t BgL_l1541z00_2132;

											BgL_l1541z00_2132 = BgL_g1543z00_2130;
										BgL_zc3z04anonymousza31751ze3z87_2133:
											if (PAIRP(BgL_l1541z00_2132))
												{	/* SawMill/expr.scm 51 */
													{	/* SawMill/expr.scm 48 */
														obj_t BgL_insz00_2135;

														BgL_insz00_2135 = CAR(BgL_l1541z00_2132);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2135)))->BgL_destz00)))
															{	/* SawMill/expr.scm 49 */
																obj_t BgL_arg1759z00_2138;

																BgL_arg1759z00_2138 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2135)))->BgL_destz00);
																BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4007, BgL_arg1759z00_2138);
															}
														else
															{	/* SawMill/expr.scm 49 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 50 */
															obj_t BgL_g1540z00_2139;

															BgL_g1540z00_2139 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2135)))->
																BgL_argsz00);
															{
																obj_t BgL_l1538z00_2141;

																BgL_l1538z00_2141 = BgL_g1540z00_2139;
															BgL_zc3z04anonymousza31760ze3z87_2142:
																if (PAIRP(BgL_l1538z00_2141))
																	{	/* SawMill/expr.scm 50 */
																		BgL_rz00_2118 = CAR(BgL_l1538z00_2141);
																		{	/* SawMill/expr.scm 37 */
																			obj_t BgL_sz00_2120;

																			BgL_sz00_2120 =
																				BGl_regzd2ze3pregze70zd6zzsaw_exprz00
																				(BgL_nz00_4007, BgL_rz00_2118);
																			if ((BgL_sz00_2120 ==
																					CNST_TABLE_REF(((long) 15))))
																				{	/* SawMill/expr.scm 38 */
																					obj_t BgL_nstatz00_3120;

																					BgL_nstatz00_3120 =
																						CNST_TABLE_REF(((long) 16));
																					{
																						BgL_pregz00_bglt BgL_auxz00_4393;

																						{
																							obj_t BgL_auxz00_4394;

																							{	/* SawMill/expr.scm 29 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4395;
																								BgL_tmpz00_4395 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2118));
																								BgL_auxz00_4394 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4395);
																							}
																							BgL_auxz00_4393 =
																								((BgL_pregz00_bglt)
																								BgL_auxz00_4394);
																						}
																						((((BgL_pregz00_bglt)
																									COBJECT(BgL_auxz00_4393))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3120),
																							BUNSPEC);
																				}}
																			else
																				{	/* SawMill/expr.scm 38 */
																					if (
																						(BgL_sz00_2120 ==
																							CNST_TABLE_REF(((long) 17))))
																						{	/* SawMill/expr.scm 39 */
																							obj_t BgL_nstatz00_3123;

																							BgL_nstatz00_3123 =
																								CNST_TABLE_REF(((long) 18));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4405;
																								{
																									obj_t BgL_auxz00_4406;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4407;
																										BgL_tmpz00_4407 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2118));
																										BgL_auxz00_4406 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4407);
																									}
																									BgL_auxz00_4405 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4406);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4405))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3123),
																									BUNSPEC);
																						}}
																					else
																						{	/* SawMill/expr.scm 40 */
																							obj_t BgL_nstatz00_3126;

																							BgL_nstatz00_3126 =
																								CNST_TABLE_REF(((long) 19));
																							{
																								BgL_pregz00_bglt
																									BgL_auxz00_4414;
																								{
																									obj_t BgL_auxz00_4415;

																									{	/* SawMill/expr.scm 29 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4416;
																										BgL_tmpz00_4416 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2118));
																										BgL_auxz00_4415 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4416);
																									}
																									BgL_auxz00_4414 =
																										((BgL_pregz00_bglt)
																										BgL_auxz00_4415);
																								}
																								((((BgL_pregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4414))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3126),
																									BUNSPEC);
																		}}}}
																		{
																			obj_t BgL_l1538z00_4423;

																			BgL_l1538z00_4423 =
																				CDR(BgL_l1538z00_2141);
																			BgL_l1538z00_2141 = BgL_l1538z00_4423;
																			goto
																				BgL_zc3z04anonymousza31760ze3z87_2142;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 50 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1541z00_4425;

														BgL_l1541z00_4425 = CDR(BgL_l1541z00_2132);
														BgL_l1541z00_2132 = BgL_l1541z00_4425;
														goto BgL_zc3z04anonymousza31751ze3z87_2133;
													}
												}
											else
												{	/* SawMill/expr.scm 51 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1546z00_4428;

									BgL_l1546z00_4428 = CDR(BgL_l1546z00_2101);
									BgL_l1546z00_2101 = BgL_l1546z00_4428;
									goto BgL_zc3z04anonymousza31729ze3z87_2102;
								}
							}
						else
							{	/* SawMill/expr.scm 53 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->preg~0 */
	obj_t BGl_regzd2ze3pregze70zd6zzsaw_exprz00(obj_t BgL_nz00_4004,
		obj_t BgL_rz00_2110)
	{
		{	/* SawMill/expr.scm 35 */
			{	/* SawMill/expr.scm 31 */
				bool_t BgL_test2257z00_4430;

				{	/* SawMill/expr.scm 31 */
					obj_t BgL_classz00_3100;

					BgL_classz00_3100 = BGl_pregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2110))
						{	/* SawMill/expr.scm 31 */
							obj_t BgL_oclassz00_3102;

							{	/* SawMill/expr.scm 31 */
								long BgL_arg1833z00_3104;

								{	/* SawMill/expr.scm 31 */
									long BgL_arg1834z00_3105;

									BgL_arg1834z00_3105 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2110));
									BgL_arg1833z00_3104 = (BgL_arg1834z00_3105 - OBJECT_TYPE);
								}
								BgL_oclassz00_3102 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_3104);
							}
							BgL_test2257z00_4430 = (BgL_oclassz00_3102 == BgL_classz00_3100);
						}
					else
						{	/* SawMill/expr.scm 31 */
							BgL_test2257z00_4430 = ((bool_t) 0);
						}
				}
				if (BgL_test2257z00_4430)
					{
						BgL_pregz00_bglt BgL_auxz00_4438;

						{
							obj_t BgL_auxz00_4439;

							{	/* SawMill/expr.scm 32 */
								BgL_objectz00_bglt BgL_tmpz00_4440;

								BgL_tmpz00_4440 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2110));
								BgL_auxz00_4439 = BGL_OBJECT_WIDENING(BgL_tmpz00_4440);
							}
							BgL_auxz00_4438 = ((BgL_pregz00_bglt) BgL_auxz00_4439);
						}
						return
							(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4438))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 31 */
						{	/* SawMill/expr.scm 33 */
							BgL_pregz00_bglt BgL_wide1199z00_2115;

							BgL_wide1199z00_2115 =
								((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_pregz00_bgl))));
							{	/* SawMill/expr.scm 33 */
								obj_t BgL_auxz00_4451;
								BgL_objectz00_bglt BgL_tmpz00_4447;

								BgL_auxz00_4451 = ((obj_t) BgL_wide1199z00_2115);
								BgL_tmpz00_4447 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2110)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4447, BgL_auxz00_4451);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2110)));
							{	/* SawMill/expr.scm 33 */
								long BgL_arg1742z00_2116;

								BgL_arg1742z00_2116 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2110))),
									BgL_arg1742z00_2116);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2110)));
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4465;

							{
								obj_t BgL_auxz00_4466;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4467;

									BgL_tmpz00_4467 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2110)));
									BgL_auxz00_4466 = BGL_OBJECT_WIDENING(BgL_tmpz00_4467);
								}
								BgL_auxz00_4465 = ((BgL_pregz00_bglt) BgL_auxz00_4466);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4465))->BgL_indexz00) =
								((obj_t) CELL_REF(BgL_nz00_4004)), BUNSPEC);
						}
						{
							BgL_pregz00_bglt BgL_auxz00_4474;

							{
								obj_t BgL_auxz00_4475;

								{	/* SawMill/expr.scm 33 */
									BgL_objectz00_bglt BgL_tmpz00_4476;

									BgL_tmpz00_4476 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2110)));
									BgL_auxz00_4475 = BGL_OBJECT_WIDENING(BgL_tmpz00_4476);
								}
								BgL_auxz00_4474 = ((BgL_pregz00_bglt) BgL_auxz00_4475);
							}
							((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4474))->BgL_statusz00) =
								((obj_t) CNST_TABLE_REF(((long) 15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2110));
						{	/* SawMill/expr.scm 34 */
							obj_t BgL_auxz00_4005;

							BgL_auxz00_4005 =
								ADDFX(CELL_REF(BgL_nz00_4004), BINT(((long) 1)));
							CELL_SET(BgL_nz00_4004, BgL_auxz00_4005);
						}
						return CNST_TABLE_REF(((long) 15));
		}}}

	}



/* reg->preg/write~0 */
	obj_t BGl_regzd2ze3pregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_4006,
		obj_t BgL_rz00_2123)
	{
		{	/* SawMill/expr.scm 45 */
			{	/* SawMill/expr.scm 42 */
				obj_t BgL_sz00_2125;

				BgL_sz00_2125 =
					BGl_regzd2ze3pregze70zd6zzsaw_exprz00(BgL_nz00_4006, BgL_rz00_2123);
				if ((BgL_sz00_2125 == CNST_TABLE_REF(((long) 15))))
					{	/* SawMill/expr.scm 43 */
						obj_t BgL_nstatz00_3129;

						BgL_nstatz00_3129 = CNST_TABLE_REF(((long) 17));
						{
							BgL_pregz00_bglt BgL_auxz00_4494;

							{
								obj_t BgL_auxz00_4495;

								{	/* SawMill/expr.scm 29 */
									BgL_objectz00_bglt BgL_tmpz00_4496;

									BgL_tmpz00_4496 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2123));
									BgL_auxz00_4495 = BGL_OBJECT_WIDENING(BgL_tmpz00_4496);
								}
								BgL_auxz00_4494 = ((BgL_pregz00_bglt) BgL_auxz00_4495);
							}
							return
								((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4494))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3129), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 43 */
						if ((BgL_sz00_2125 == CNST_TABLE_REF(((long) 16))))
							{	/* SawMill/expr.scm 44 */
								obj_t BgL_nstatz00_3132;

								BgL_nstatz00_3132 = CNST_TABLE_REF(((long) 18));
								{
									BgL_pregz00_bglt BgL_auxz00_4506;

									{
										obj_t BgL_auxz00_4507;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4508;

											BgL_tmpz00_4508 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2123));
											BgL_auxz00_4507 = BGL_OBJECT_WIDENING(BgL_tmpz00_4508);
										}
										BgL_auxz00_4506 = ((BgL_pregz00_bglt) BgL_auxz00_4507);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4506))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3132), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 45 */
								obj_t BgL_nstatz00_3135;

								BgL_nstatz00_3135 = CNST_TABLE_REF(((long) 19));
								{
									BgL_pregz00_bglt BgL_auxz00_4515;

									{
										obj_t BgL_auxz00_4516;

										{	/* SawMill/expr.scm 29 */
											BgL_objectz00_bglt BgL_tmpz00_4517;

											BgL_tmpz00_4517 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2123));
											BgL_auxz00_4516 = BGL_OBJECT_WIDENING(BgL_tmpz00_4517);
										}
										BgL_auxz00_4515 = ((BgL_pregz00_bglt) BgL_auxz00_4516);
									}
									return
										((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4515))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3135), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* build-tree */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2treezd2zzsaw_exprz00(BgL_backendz00_bglt
		BgL_bez00_95, obj_t BgL_paramsz00_96, obj_t BgL_lz00_97)
	{
		{	/* SawMill/expr.scm 58 */
			{

				BGl_markzd2localszd2zzsaw_exprz00(BgL_paramsz00_96, BgL_lz00_97);
				{
					obj_t BgL_l1550z00_2157;

					{	/* SawMill/expr.scm 72 */
						bool_t BgL_tmpz00_4524;

						BgL_l1550z00_2157 = BgL_lz00_97;
					BgL_zc3z04anonymousza31767ze3z87_2158:
						if (PAIRP(BgL_l1550z00_2157))
							{	/* SawMill/expr.scm 72 */
								{	/* SawMill/expr.scm 73 */
									obj_t BgL_bz00_2160;

									BgL_bz00_2160 = CAR(BgL_l1550z00_2157);
									{	/* SawMill/expr.scm 73 */
										obj_t BgL_lz00_2161;
										obj_t BgL_movesz00_2162;

										BgL_lz00_2161 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2160)))->BgL_firstz00);
										BgL_movesz00_2162 = BNIL;
										{
											obj_t BgL_l1548z00_2164;

											BgL_l1548z00_2164 = BgL_lz00_2161;
										BgL_zc3z04anonymousza31769ze3z87_2165:
											if (PAIRP(BgL_l1548z00_2164))
												{	/* SawMill/expr.scm 74 */
													{	/* SawMill/expr.scm 74 */
														obj_t BgL_insz00_2167;

														BgL_insz00_2167 = CAR(BgL_l1548z00_2164);
														BgL_movesz00_2162 =
															BGl_analysez00zzsaw_exprz00(BgL_bez00_95,
															BgL_movesz00_2162, BgL_insz00_2167);
													}
													{
														obj_t BgL_l1548z00_4534;

														BgL_l1548z00_4534 = CDR(BgL_l1548z00_2164);
														BgL_l1548z00_2164 = BgL_l1548z00_4534;
														goto BgL_zc3z04anonymousza31769ze3z87_2165;
													}
												}
											else
												{	/* SawMill/expr.scm 74 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/expr.scm 76 */
											obj_t BgL_rz00_2170;

											BgL_rz00_2170 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BGl_proc2155z00zzsaw_exprz00, BgL_lz00_2161);
											{	/* SawMill/expr.scm 77 */
												obj_t BgL_arg1777z00_2171;

												if (NULLP(BgL_rz00_2170))
													{	/* SawMill/expr.scm 77 */
														BgL_rtl_insz00_bglt BgL_arg1781z00_2173;

														{	/* SawMill/expr.scm 60 */
															BgL_rtl_insz00_bglt BgL_new1203z00_2178;

															{	/* SawMill/expr.scm 60 */
																BgL_rtl_insz00_bglt BgL_new1202z00_2182;

																BgL_new1202z00_2182 =
																	((BgL_rtl_insz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_rtl_insz00_bgl))));
																{	/* SawMill/expr.scm 60 */
																	long BgL_arg1789z00_2183;

																	BgL_arg1789z00_2183 =
																		BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1202z00_2182),
																		BgL_arg1789z00_2183);
																}
																{	/* SawMill/expr.scm 60 */
																	BgL_objectz00_bglt BgL_tmpz00_4543;

																	BgL_tmpz00_4543 =
																		((BgL_objectz00_bglt) BgL_new1202z00_2182);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4543,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1202z00_2182);
																BgL_new1203z00_2178 = BgL_new1202z00_2182;
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1203z00_2178))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1203z00_2178))->
																	BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1203z00_2178))->
																	BgL_destz00) = ((obj_t) BFALSE), BUNSPEC);
															{
																BgL_rtl_funz00_bglt BgL_auxz00_4550;

																{	/* SawMill/expr.scm 60 */
																	BgL_rtl_nopz00_bglt BgL_new1205z00_2179;

																	{	/* SawMill/expr.scm 60 */
																		BgL_rtl_nopz00_bglt BgL_new1204z00_2180;

																		BgL_new1204z00_2180 =
																			((BgL_rtl_nopz00_bglt)
																			BOBJECT(GC_MALLOC(sizeof(struct
																						BgL_rtl_nopz00_bgl))));
																		{	/* SawMill/expr.scm 60 */
																			long BgL_arg1788z00_2181;

																			{	/* SawMill/expr.scm 60 */
																				obj_t BgL_classz00_3151;

																				BgL_classz00_3151 =
																					BGl_rtl_nopz00zzsaw_defsz00;
																				BgL_arg1788z00_2181 =
																					BGL_CLASS_NUM(BgL_classz00_3151);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				((BgL_objectz00_bglt)
																					BgL_new1204z00_2180),
																				BgL_arg1788z00_2181);
																		}
																		BgL_new1205z00_2179 = BgL_new1204z00_2180;
																	}
																	((((BgL_rtl_funz00_bglt) COBJECT(
																					((BgL_rtl_funz00_bglt)
																						BgL_new1205z00_2179)))->
																			BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
																	BgL_auxz00_4550 =
																		((BgL_rtl_funz00_bglt) BgL_new1205z00_2179);
																}
																((((BgL_rtl_insz00_bglt)
																			COBJECT(BgL_new1203z00_2178))->
																		BgL_funz00) =
																	((BgL_rtl_funz00_bglt) BgL_auxz00_4550),
																	BUNSPEC);
															}
															((((BgL_rtl_insz00_bglt)
																		COBJECT(BgL_new1203z00_2178))->
																	BgL_argsz00) = ((obj_t) BNIL), BUNSPEC);
															BgL_arg1781z00_2173 = BgL_new1203z00_2178;
														}
														{	/* SawMill/expr.scm 77 */
															obj_t BgL_list1782z00_2174;

															BgL_list1782z00_2174 =
																MAKE_YOUNG_PAIR(
																((obj_t) BgL_arg1781z00_2173), BNIL);
															BgL_arg1777z00_2171 = BgL_list1782z00_2174;
													}}
												else
													{	/* SawMill/expr.scm 77 */
														BgL_arg1777z00_2171 = BgL_rz00_2170;
													}
												((((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_bz00_2160)))->
														BgL_firstz00) =
													((obj_t) ((obj_t) BgL_arg1777z00_2171)), BUNSPEC);
											}
										}
									}
								}
								{
									obj_t BgL_l1550z00_4565;

									BgL_l1550z00_4565 = CDR(BgL_l1550z00_2157);
									BgL_l1550z00_2157 = BgL_l1550z00_4565;
									goto BgL_zc3z04anonymousza31767ze3z87_2158;
								}
							}
						else
							{	/* SawMill/expr.scm 72 */
								BgL_tmpz00_4524 = ((bool_t) 1);
							}
						return BBOOL(BgL_tmpz00_4524);
					}
				}
			}
		}

	}



/* &build-tree */
	obj_t BGl_z62buildzd2treezb0zzsaw_exprz00(obj_t BgL_envz00_3855,
		obj_t BgL_bez00_3856, obj_t BgL_paramsz00_3857, obj_t BgL_lz00_3858)
	{
		{	/* SawMill/expr.scm 58 */
			return
				BGl_buildzd2treezd2zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bez00_3856), BgL_paramsz00_3857,
				BgL_lz00_3858);
		}

	}



/* &usefull */
	obj_t BGl_z62usefullz62zzsaw_exprz00(obj_t BgL_envz00_3859,
		obj_t BgL_insz00_3860)
	{
		{	/* SawMill/expr.scm 69 */
			{	/* SawMill/expr.scm 63 */
				bool_t BgL_tmpz00_4570;

				{
					obj_t BgL_insz00_4022;
					obj_t BgL_destz00_4023;

					{	/* SawMill/expr.scm 70 */
						bool_t BgL_test2264z00_4571;

						{	/* SawMill/expr.scm 70 */
							bool_t BgL_test2265z00_4572;

							{	/* SawMill/expr.scm 70 */
								obj_t BgL_classz00_4055;

								BgL_classz00_4055 = BGl_inlinedz00zzsaw_exprz00;
								if (BGL_OBJECTP(BgL_insz00_3860))
									{	/* SawMill/expr.scm 70 */
										obj_t BgL_oclassz00_4056;

										{	/* SawMill/expr.scm 70 */
											long BgL_arg1833z00_4057;

											{	/* SawMill/expr.scm 70 */
												long BgL_arg1834z00_4058;

												BgL_arg1834z00_4058 =
													BGL_OBJECT_CLASS_NUM(
													((BgL_objectz00_bglt) BgL_insz00_3860));
												BgL_arg1833z00_4057 =
													(BgL_arg1834z00_4058 - OBJECT_TYPE);
											}
											BgL_oclassz00_4056 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4057);
										}
										BgL_test2265z00_4572 =
											(BgL_oclassz00_4056 == BgL_classz00_4055);
									}
								else
									{	/* SawMill/expr.scm 70 */
										BgL_test2265z00_4572 = ((bool_t) 0);
									}
							}
							if (BgL_test2265z00_4572)
								{	/* SawMill/expr.scm 70 */
									BgL_test2264z00_4571 = ((bool_t) 1);
								}
							else
								{	/* SawMill/expr.scm 70 */
									obj_t BgL_arg1801z00_4059;

									BgL_arg1801z00_4059 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_insz00_3860)))->BgL_destz00);
									BgL_insz00_4022 = BgL_insz00_3860;
									BgL_destz00_4023 = BgL_arg1801z00_4059;
								BgL_xzd3xzd3_4021:
									{	/* SawMill/expr.scm 63 */
										BgL_rtl_funz00_bglt BgL_funz00_4024;

										BgL_funz00_4024 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_4022)))->
											BgL_funz00);
										{	/* SawMill/expr.scm 64 */
											bool_t BgL_test2267z00_4584;

											{	/* SawMill/expr.scm 64 */
												obj_t BgL_classz00_4025;

												BgL_classz00_4025 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/expr.scm 64 */
													BgL_objectz00_bglt BgL_arg1825z00_4026;

													{	/* SawMill/expr.scm 64 */
														obj_t BgL_tmpz00_4585;

														BgL_tmpz00_4585 =
															((obj_t) ((BgL_objectz00_bglt) BgL_funz00_4024));
														BgL_arg1825z00_4026 =
															(BgL_objectz00_bglt) (BgL_tmpz00_4585);
													}
													{	/* SawMill/expr.scm 64 */
														bool_t BgL_arg1822z00_4027;
														bool_t BgL_arg1823z00_4028;

														{	/* SawMill/expr.scm 64 */
															long BgL_idxz00_4029;

															BgL_idxz00_4029 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4026);
															BgL_arg1822z00_4027 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4029 + ((long) 3))) ==
																BgL_classz00_4025);
														}
														{	/* SawMill/expr.scm 64 */
															bool_t BgL_res2132z00_4032;

															{	/* SawMill/expr.scm 64 */
																obj_t BgL_oclassz00_4033;

																{	/* SawMill/expr.scm 64 */
																	long BgL_arg1833z00_4034;

																	{	/* SawMill/expr.scm 64 */
																		long BgL_arg1834z00_4035;

																		BgL_arg1834z00_4035 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4026);
																		BgL_arg1833z00_4034 =
																			(BgL_arg1834z00_4035 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4033 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4034);
																}
																{	/* SawMill/expr.scm 64 */
																	bool_t BgL__ortest_1110z00_4036;

																	BgL__ortest_1110z00_4036 =
																		(BgL_classz00_4025 == BgL_oclassz00_4033);
																	if (BgL__ortest_1110z00_4036)
																		{	/* SawMill/expr.scm 64 */
																			BgL_res2132z00_4032 =
																				BgL__ortest_1110z00_4036;
																		}
																	else
																		{	/* SawMill/expr.scm 64 */
																			long BgL_odepthz00_4037;

																			BgL_odepthz00_4037 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4033);
																			if ((((long) 3) < BgL_odepthz00_4037))
																				{	/* SawMill/expr.scm 64 */
																					obj_t BgL_arg1821z00_4038;

																					BgL_arg1821z00_4038 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4033, ((long) 3));
																					BgL_res2132z00_4032 =
																						(BgL_arg1821z00_4038 ==
																						BgL_classz00_4025);
																				}
																			else
																				{	/* SawMill/expr.scm 64 */
																					BgL_res2132z00_4032 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4028 = BgL_res2132z00_4032;
														}
														BgL_test2267z00_4584 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4027,
															BgL_arg1823z00_4028);
													}
												}
											}
											if (BgL_test2267z00_4584)
												{	/* SawMill/expr.scm 65 */
													obj_t BgL_argz00_4039;

													{	/* SawMill/expr.scm 65 */
														obj_t BgL_pairz00_4040;

														BgL_pairz00_4040 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_insz00_4022)))->
															BgL_argsz00);
														BgL_argz00_4039 = CAR(BgL_pairz00_4040);
													}
													{	/* SawMill/expr.scm 66 */
														bool_t BgL_test2270z00_4607;

														{	/* SawMill/expr.scm 66 */
															obj_t BgL_classz00_4041;

															BgL_classz00_4041 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_argz00_4039))
																{	/* SawMill/expr.scm 66 */
																	BgL_objectz00_bglt BgL_arg1825z00_4042;

																	BgL_arg1825z00_4042 =
																		(BgL_objectz00_bglt) (BgL_argz00_4039);
																	{	/* SawMill/expr.scm 66 */
																		bool_t BgL_arg1822z00_4043;
																		bool_t BgL_arg1823z00_4044;

																		{	/* SawMill/expr.scm 66 */
																			long BgL_idxz00_4045;

																			BgL_idxz00_4045 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_4042);
																			BgL_arg1822z00_4043 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_4045 + ((long) 1))) ==
																				BgL_classz00_4041);
																		}
																		{	/* SawMill/expr.scm 66 */
																			bool_t BgL_res2133z00_4048;

																			{	/* SawMill/expr.scm 66 */
																				obj_t BgL_oclassz00_4049;

																				{	/* SawMill/expr.scm 66 */
																					long BgL_arg1833z00_4050;

																					{	/* SawMill/expr.scm 66 */
																						long BgL_arg1834z00_4051;

																						BgL_arg1834z00_4051 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_4042);
																						BgL_arg1833z00_4050 =
																							(BgL_arg1834z00_4051 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_4049 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_4050);
																				}
																				{	/* SawMill/expr.scm 66 */
																					bool_t BgL__ortest_1110z00_4052;

																					BgL__ortest_1110z00_4052 =
																						(BgL_classz00_4041 ==
																						BgL_oclassz00_4049);
																					if (BgL__ortest_1110z00_4052)
																						{	/* SawMill/expr.scm 66 */
																							BgL_res2133z00_4048 =
																								BgL__ortest_1110z00_4052;
																						}
																					else
																						{	/* SawMill/expr.scm 66 */
																							long BgL_odepthz00_4053;

																							BgL_odepthz00_4053 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_4049);
																							if ((((long) 1) <
																									BgL_odepthz00_4053))
																								{	/* SawMill/expr.scm 66 */
																									obj_t BgL_arg1821z00_4054;

																									BgL_arg1821z00_4054 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_4049,
																										((long) 1));
																									BgL_res2133z00_4048 =
																										(BgL_arg1821z00_4054 ==
																										BgL_classz00_4041);
																								}
																							else
																								{	/* SawMill/expr.scm 66 */
																									BgL_res2133z00_4048 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_4044 = BgL_res2133z00_4048;
																		}
																		BgL_test2270z00_4607 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_4043,
																			BgL_arg1823z00_4044);
																	}
																}
															else
																{	/* SawMill/expr.scm 66 */
																	BgL_test2270z00_4607 = ((bool_t) 0);
																}
														}
														if (BgL_test2270z00_4607)
															{
																obj_t BgL_insz00_4626;

																BgL_insz00_4626 = BgL_argz00_4039;
																BgL_insz00_4022 = BgL_insz00_4626;
																goto BgL_xzd3xzd3_4021;
															}
														else
															{	/* SawMill/expr.scm 66 */
																BgL_test2264z00_4571 =
																	(BgL_argz00_4039 == BgL_destz00_4023);
															}
													}
												}
											else
												{	/* SawMill/expr.scm 64 */
													BgL_test2264z00_4571 = ((bool_t) 0);
												}
										}
									}
								}
						}
						if (BgL_test2264z00_4571)
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4570 = ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 70 */
								BgL_tmpz00_4570 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4570);
			}
		}

	}



/* mark-locals */
	bool_t BGl_markzd2localszd2zzsaw_exprz00(obj_t BgL_paramsz00_98,
		obj_t BgL_lz00_99)
	{
		{	/* SawMill/expr.scm 80 */
			{	/* SawMill/expr.scm 81 */
				struct bgl_cell BgL_box2274_4002z00;
				obj_t BgL_nz00_4002;

				BgL_nz00_4002 = MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2274_4002z00);
				{
					obj_t BgL_rz00_2234;
					BgL_blockz00_bglt BgL_bz00_2244;

					{
						obj_t BgL_l1558z00_2210;

						BgL_l1558z00_2210 = BgL_paramsz00_98;
					BgL_zc3z04anonymousza31806ze3z87_2211:
						if (PAIRP(BgL_l1558z00_2210))
							{	/* SawMill/expr.scm 105 */
								BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(BgL_nz00_4002,
									CAR(BgL_l1558z00_2210));
								{
									obj_t BgL_l1558z00_4634;

									BgL_l1558z00_4634 = CDR(BgL_l1558z00_2210);
									BgL_l1558z00_2210 = BgL_l1558z00_4634;
									goto BgL_zc3z04anonymousza31806ze3z87_2211;
								}
							}
						else
							{	/* SawMill/expr.scm 105 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1560z00_2217;

						BgL_l1560z00_2217 = BgL_lz00_99;
					BgL_zc3z04anonymousza31811ze3z87_2218:
						if (PAIRP(BgL_l1560z00_2217))
							{	/* SawMill/expr.scm 106 */
								{	/* SawMill/expr.scm 106 */
									obj_t BgL_arg1817z00_2220;

									BgL_arg1817z00_2220 = CAR(BgL_l1560z00_2217);
									BgL_bz00_2244 = ((BgL_blockz00_bglt) BgL_arg1817z00_2220);
									{	/* SawMill/expr.scm 100 */
										obj_t BgL_g1557z00_2246;

										BgL_g1557z00_2246 =
											(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2244))->
											BgL_firstz00);
										{
											obj_t BgL_l1555z00_2248;

											BgL_l1555z00_2248 = BgL_g1557z00_2246;
										BgL_zc3z04anonymousza31833ze3z87_2249:
											if (PAIRP(BgL_l1555z00_2248))
												{	/* SawMill/expr.scm 104 */
													{	/* SawMill/expr.scm 101 */
														obj_t BgL_insz00_2251;

														BgL_insz00_2251 = CAR(BgL_l1555z00_2248);
														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2251)))->BgL_destz00)))
															{	/* SawMill/expr.scm 102 */
																obj_t BgL_arg1837z00_2254;

																BgL_arg1837z00_2254 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_insz00_2251)))->BgL_destz00);
																BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00
																	(BgL_nz00_4002, BgL_arg1837z00_2254);
															}
														else
															{	/* SawMill/expr.scm 102 */
																BFALSE;
															}
														{	/* SawMill/expr.scm 103 */
															obj_t BgL_g1554z00_2255;

															BgL_g1554z00_2255 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_insz00_2251)))->
																BgL_argsz00);
															{
																obj_t BgL_l1552z00_2257;

																BgL_l1552z00_2257 = BgL_g1554z00_2255;
															BgL_zc3z04anonymousza31838ze3z87_2258:
																if (PAIRP(BgL_l1552z00_2257))
																	{	/* SawMill/expr.scm 103 */
																		BgL_rz00_2234 = CAR(BgL_l1552z00_2257);
																		{	/* SawMill/expr.scm 90 */
																			obj_t BgL_sz00_2236;

																			BgL_sz00_2236 =
																				BGl_regzd2ze3iregze70zd6zzsaw_exprz00
																				(BgL_nz00_4002, BgL_rz00_2234);
																			if ((BgL_sz00_2236 ==
																					CNST_TABLE_REF(((long) 15))))
																				{	/* SawMill/expr.scm 91 */
																					obj_t BgL_nstatz00_3263;

																					BgL_nstatz00_3263 =
																						CNST_TABLE_REF(((long) 16));
																					{
																						BgL_iregz00_bglt BgL_auxz00_4659;

																						{
																							obj_t BgL_auxz00_4660;

																							{	/* SawMill/expr.scm 82 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4661;
																								BgL_tmpz00_4661 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2234));
																								BgL_auxz00_4660 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4661);
																							}
																							BgL_auxz00_4659 =
																								((BgL_iregz00_bglt)
																								BgL_auxz00_4660);
																						}
																						((((BgL_iregz00_bglt)
																									COBJECT(BgL_auxz00_4659))->
																								BgL_statusz00) =
																							((obj_t) BgL_nstatz00_3263),
																							BUNSPEC);
																				}}
																			else
																				{	/* SawMill/expr.scm 91 */
																					if (
																						(BgL_sz00_2236 ==
																							CNST_TABLE_REF(((long) 17))))
																						{	/* SawMill/expr.scm 92 */
																							obj_t BgL_nstatz00_3266;

																							BgL_nstatz00_3266 =
																								CNST_TABLE_REF(((long) 18));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4671;
																								{
																									obj_t BgL_auxz00_4672;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4673;
																										BgL_tmpz00_4673 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2234));
																										BgL_auxz00_4672 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4673);
																									}
																									BgL_auxz00_4671 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4672);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4671))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3266),
																									BUNSPEC);
																						}}
																					else
																						{	/* SawMill/expr.scm 93 */
																							obj_t BgL_nstatz00_3269;

																							BgL_nstatz00_3269 =
																								CNST_TABLE_REF(((long) 19));
																							{
																								BgL_iregz00_bglt
																									BgL_auxz00_4680;
																								{
																									obj_t BgL_auxz00_4681;

																									{	/* SawMill/expr.scm 82 */
																										BgL_objectz00_bglt
																											BgL_tmpz00_4682;
																										BgL_tmpz00_4682 =
																											((BgL_objectz00_bglt) (
																												(BgL_rtl_regz00_bglt)
																												BgL_rz00_2234));
																										BgL_auxz00_4681 =
																											BGL_OBJECT_WIDENING
																											(BgL_tmpz00_4682);
																									}
																									BgL_auxz00_4680 =
																										((BgL_iregz00_bglt)
																										BgL_auxz00_4681);
																								}
																								((((BgL_iregz00_bglt)
																											COBJECT
																											(BgL_auxz00_4680))->
																										BgL_statusz00) =
																									((obj_t) BgL_nstatz00_3269),
																									BUNSPEC);
																		}}}}
																		{
																			obj_t BgL_l1552z00_4689;

																			BgL_l1552z00_4689 =
																				CDR(BgL_l1552z00_2257);
																			BgL_l1552z00_2257 = BgL_l1552z00_4689;
																			goto
																				BgL_zc3z04anonymousza31838ze3z87_2258;
																		}
																	}
																else
																	{	/* SawMill/expr.scm 103 */
																		((bool_t) 1);
																	}
															}
														}
													}
													{
														obj_t BgL_l1555z00_4691;

														BgL_l1555z00_4691 = CDR(BgL_l1555z00_2248);
														BgL_l1555z00_2248 = BgL_l1555z00_4691;
														goto BgL_zc3z04anonymousza31833ze3z87_2249;
													}
												}
											else
												{	/* SawMill/expr.scm 104 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1560z00_4694;

									BgL_l1560z00_4694 = CDR(BgL_l1560z00_2217);
									BgL_l1560z00_2217 = BgL_l1560z00_4694;
									goto BgL_zc3z04anonymousza31811ze3z87_2218;
								}
							}
						else
							{	/* SawMill/expr.scm 106 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* reg->ireg~0 */
	obj_t BGl_regzd2ze3iregze70zd6zzsaw_exprz00(obj_t BgL_nz00_3999,
		obj_t BgL_rz00_2226)
	{
		{	/* SawMill/expr.scm 88 */
			{	/* SawMill/expr.scm 84 */
				bool_t BgL_test2282z00_4696;

				{	/* SawMill/expr.scm 84 */
					obj_t BgL_classz00_3243;

					BgL_classz00_3243 = BGl_iregz00zzsaw_exprz00;
					if (BGL_OBJECTP(BgL_rz00_2226))
						{	/* SawMill/expr.scm 84 */
							obj_t BgL_oclassz00_3245;

							{	/* SawMill/expr.scm 84 */
								long BgL_arg1833z00_3247;

								{	/* SawMill/expr.scm 84 */
									long BgL_arg1834z00_3248;

									BgL_arg1834z00_3248 =
										BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_rz00_2226));
									BgL_arg1833z00_3247 = (BgL_arg1834z00_3248 - OBJECT_TYPE);
								}
								BgL_oclassz00_3245 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_3247);
							}
							BgL_test2282z00_4696 = (BgL_oclassz00_3245 == BgL_classz00_3243);
						}
					else
						{	/* SawMill/expr.scm 84 */
							BgL_test2282z00_4696 = ((bool_t) 0);
						}
				}
				if (BgL_test2282z00_4696)
					{
						BgL_iregz00_bglt BgL_auxz00_4704;

						{
							obj_t BgL_auxz00_4705;

							{	/* SawMill/expr.scm 85 */
								BgL_objectz00_bglt BgL_tmpz00_4706;

								BgL_tmpz00_4706 =
									((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2226));
								BgL_auxz00_4705 = BGL_OBJECT_WIDENING(BgL_tmpz00_4706);
							}
							BgL_auxz00_4704 = ((BgL_iregz00_bglt) BgL_auxz00_4705);
						}
						return
							(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4704))->BgL_statusz00);
					}
				else
					{	/* SawMill/expr.scm 84 */
						{	/* SawMill/expr.scm 86 */
							BgL_iregz00_bglt BgL_wide1208z00_2231;

							BgL_wide1208z00_2231 =
								((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_iregz00_bgl))));
							{	/* SawMill/expr.scm 86 */
								obj_t BgL_auxz00_4717;
								BgL_objectz00_bglt BgL_tmpz00_4713;

								BgL_auxz00_4717 = ((obj_t) BgL_wide1208z00_2231);
								BgL_tmpz00_4713 =
									((BgL_objectz00_bglt)
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2226)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4713, BgL_auxz00_4717);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2226)));
							{	/* SawMill/expr.scm 86 */
								long BgL_arg1824z00_2232;

								BgL_arg1824z00_2232 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2226))),
									BgL_arg1824z00_2232);
							}
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2226)));
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4731;

							{
								obj_t BgL_auxz00_4732;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4733;

									BgL_tmpz00_4733 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2226)));
									BgL_auxz00_4732 = BGL_OBJECT_WIDENING(BgL_tmpz00_4733);
								}
								BgL_auxz00_4731 = ((BgL_iregz00_bglt) BgL_auxz00_4732);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4731))->BgL_indexz00) =
								((obj_t) CELL_REF(BgL_nz00_3999)), BUNSPEC);
						}
						{
							BgL_iregz00_bglt BgL_auxz00_4740;

							{
								obj_t BgL_auxz00_4741;

								{	/* SawMill/expr.scm 86 */
									BgL_objectz00_bglt BgL_tmpz00_4742;

									BgL_tmpz00_4742 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_2226)));
									BgL_auxz00_4741 = BGL_OBJECT_WIDENING(BgL_tmpz00_4742);
								}
								BgL_auxz00_4740 = ((BgL_iregz00_bglt) BgL_auxz00_4741);
							}
							((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4740))->BgL_statusz00) =
								((obj_t) CNST_TABLE_REF(((long) 15))), BUNSPEC);
						}
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_rz00_2226));
						{	/* SawMill/expr.scm 87 */
							obj_t BgL_auxz00_4000;

							BgL_auxz00_4000 =
								ADDFX(CELL_REF(BgL_nz00_3999), BINT(((long) 1)));
							CELL_SET(BgL_nz00_3999, BgL_auxz00_4000);
						}
						return CNST_TABLE_REF(((long) 15));
		}}}

	}



/* reg->ireg/write~0 */
	obj_t BGl_regzd2ze3iregzf2writeze70z24zzsaw_exprz00(obj_t BgL_nz00_4001,
		obj_t BgL_rz00_2239)
	{
		{	/* SawMill/expr.scm 98 */
			{	/* SawMill/expr.scm 95 */
				obj_t BgL_sz00_2241;

				BgL_sz00_2241 =
					BGl_regzd2ze3iregze70zd6zzsaw_exprz00(BgL_nz00_4001, BgL_rz00_2239);
				if ((BgL_sz00_2241 == CNST_TABLE_REF(((long) 15))))
					{	/* SawMill/expr.scm 96 */
						obj_t BgL_nstatz00_3272;

						BgL_nstatz00_3272 = CNST_TABLE_REF(((long) 17));
						{
							BgL_iregz00_bglt BgL_auxz00_4760;

							{
								obj_t BgL_auxz00_4761;

								{	/* SawMill/expr.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4762;

									BgL_tmpz00_4762 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_2239));
									BgL_auxz00_4761 = BGL_OBJECT_WIDENING(BgL_tmpz00_4762);
								}
								BgL_auxz00_4760 = ((BgL_iregz00_bglt) BgL_auxz00_4761);
							}
							return
								((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4760))->
									BgL_statusz00) = ((obj_t) BgL_nstatz00_3272), BUNSPEC);
						}
					}
				else
					{	/* SawMill/expr.scm 96 */
						if ((BgL_sz00_2241 == CNST_TABLE_REF(((long) 16))))
							{	/* SawMill/expr.scm 97 */
								obj_t BgL_nstatz00_3275;

								BgL_nstatz00_3275 = CNST_TABLE_REF(((long) 18));
								{
									BgL_iregz00_bglt BgL_auxz00_4772;

									{
										obj_t BgL_auxz00_4773;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4774;

											BgL_tmpz00_4774 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2239));
											BgL_auxz00_4773 = BGL_OBJECT_WIDENING(BgL_tmpz00_4774);
										}
										BgL_auxz00_4772 = ((BgL_iregz00_bglt) BgL_auxz00_4773);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4772))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3275), BUNSPEC);
								}
							}
						else
							{	/* SawMill/expr.scm 98 */
								obj_t BgL_nstatz00_3278;

								BgL_nstatz00_3278 = CNST_TABLE_REF(((long) 19));
								{
									BgL_iregz00_bglt BgL_auxz00_4781;

									{
										obj_t BgL_auxz00_4782;

										{	/* SawMill/expr.scm 82 */
											BgL_objectz00_bglt BgL_tmpz00_4783;

											BgL_tmpz00_4783 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2239));
											BgL_auxz00_4782 = BGL_OBJECT_WIDENING(BgL_tmpz00_4783);
										}
										BgL_auxz00_4781 = ((BgL_iregz00_bglt) BgL_auxz00_4782);
									}
									return
										((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4781))->
											BgL_statusz00) = ((obj_t) BgL_nstatz00_3278), BUNSPEC);
								}
							}
					}
			}
		}

	}



/* pre-analyse */
	obj_t BGl_prezd2analysezd2zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_100,
		obj_t BgL_movingz00_101, obj_t BgL_insz00_102)
	{
		{	/* SawMill/expr.scm 112 */
			{	/* SawMill/expr.scm 113 */
				obj_t BgL_inszd2effectzd2_2270;
				obj_t BgL_argsz00_2271;

				{	/* SawMill/expr.scm 113 */
					BgL_rtl_funz00_bglt BgL_arg1883z00_2312;

					BgL_arg1883z00_2312 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_funz00);
					BgL_inszd2effectzd2_2270 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1883z00_2312);
				}
				BgL_argsz00_2271 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2292;
					obj_t BgL_rz00_2293;
					obj_t BgL_treez00_2287;
					obj_t BgL_posz00_2288;

					{	/* SawMill/expr.scm 128 */
						obj_t BgL_rz00_2274;
						obj_t BgL_dz00_2275;

						BgL_lz00_2292 = BgL_movingz00_101;
						BgL_rz00_2293 = BNIL;
					BgL_zc3z04anonymousza31863ze3z87_2294:
						if (NULLP(BgL_lz00_2292))
							{	/* SawMill/expr.scm 119 */
								BgL_rz00_2274 = BgL_rz00_2293;
							}
						else
							{	/* SawMill/expr.scm 120 */
								obj_t BgL_g1211z00_2296;

								BgL_g1211z00_2296 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2292)))))->BgL_destz00),
									BgL_argsz00_2271);
								if (CBOOL(BgL_g1211z00_2296))
									{	/* SawMill/expr.scm 120 */
										{	/* SawMill/expr.scm 122 */
											obj_t BgL_arg1865z00_2299;

											BgL_arg1865z00_2299 = CAR(((obj_t) BgL_lz00_2292));
											BgL_treez00_2287 = BgL_arg1865z00_2299;
											BgL_posz00_2288 = BgL_g1211z00_2296;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_100, BgL_insz00_102, BgL_treez00_2287)))
												{	/* SawMill/expr.scm 115 */
													BGl_za2countza2z00zzsaw_exprz00 =
														(((long) 1) + BGl_za2countza2z00zzsaw_exprz00);
													{	/* SawMill/expr.scm 117 */
														obj_t BgL_arg1862z00_2291;

														BgL_arg1862z00_2291 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_treez00_2287)))->
															BgL_destz00);
														((((BgL_rtl_regz00_bglt)
																	COBJECT(((BgL_rtl_regz00_bglt)
																			BgL_arg1862z00_2291)))->
																BgL_onexprzf3zf3) = ((obj_t) BTRUE), BUNSPEC);
												}}
											else
												{	/* SawMill/expr.scm 115 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 123 */
											obj_t BgL_arg1867z00_2300;

											BgL_arg1867z00_2300 = CDR(((obj_t) BgL_lz00_2292));
											{
												obj_t BgL_lz00_4815;

												BgL_lz00_4815 = BgL_arg1867z00_2300;
												BgL_lz00_2292 = BgL_lz00_4815;
												goto BgL_zc3z04anonymousza31863ze3z87_2294;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 124 */
										bool_t BgL_test2289z00_4816;

										{	/* SawMill/expr.scm 124 */
											obj_t BgL_arg1878z00_2307;

											BgL_arg1878z00_2307 = CAR(((obj_t) BgL_lz00_2292));
											BgL_test2289z00_4816 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1878z00_2307,
													BgL_insz00_102, BgL_inszd2effectzd2_2270));
										}
										if (BgL_test2289z00_4816)
											{	/* SawMill/expr.scm 126 */
												obj_t BgL_arg1871z00_2303;

												BgL_arg1871z00_2303 = CDR(((obj_t) BgL_lz00_2292));
												{
													obj_t BgL_lz00_4823;

													BgL_lz00_4823 = BgL_arg1871z00_2303;
													BgL_lz00_2292 = BgL_lz00_4823;
													goto BgL_zc3z04anonymousza31863ze3z87_2294;
												}
											}
										else
											{	/* SawMill/expr.scm 127 */
												obj_t BgL_arg1872z00_2304;
												obj_t BgL_arg1875z00_2305;

												BgL_arg1872z00_2304 = CDR(((obj_t) BgL_lz00_2292));
												{	/* SawMill/expr.scm 127 */
													obj_t BgL_arg1877z00_2306;

													BgL_arg1877z00_2306 = CAR(((obj_t) BgL_lz00_2292));
													BgL_arg1875z00_2305 =
														MAKE_YOUNG_PAIR(BgL_arg1877z00_2306, BgL_rz00_2293);
												}
												{
													obj_t BgL_rz00_4830;
													obj_t BgL_lz00_4829;

													BgL_lz00_4829 = BgL_arg1872z00_2304;
													BgL_rz00_4830 = BgL_arg1875z00_2305;
													BgL_rz00_2293 = BgL_rz00_4830;
													BgL_lz00_2292 = BgL_lz00_4829;
													goto BgL_zc3z04anonymousza31863ze3z87_2294;
												}
											}
									}
							}
						BgL_dz00_2275 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_102)))->BgL_destz00);
						{	/* SawMill/expr.scm 130 */
							bool_t BgL_test2290z00_4833;

							if (CBOOL(BgL_dz00_2275))
								{	/* SawMill/expr.scm 131 */
									bool_t BgL_test2292z00_4836;

									{	/* SawMill/expr.scm 131 */
										obj_t BgL_arg1858z00_2286;

										{
											BgL_pregz00_bglt BgL_auxz00_4837;

											{
												obj_t BgL_auxz00_4838;

												{	/* SawMill/expr.scm 131 */
													BgL_objectz00_bglt BgL_tmpz00_4839;

													BgL_tmpz00_4839 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2275));
													BgL_auxz00_4838 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4839);
												}
												BgL_auxz00_4837 = ((BgL_pregz00_bglt) BgL_auxz00_4838);
											}
											BgL_arg1858z00_2286 =
												(((BgL_pregz00_bglt) COBJECT(BgL_auxz00_4837))->
												BgL_statusz00);
										}
										BgL_test2292z00_4836 =
											(BgL_arg1858z00_2286 == CNST_TABLE_REF(((long) 18)));
									}
									if (BgL_test2292z00_4836)
										{	/* SawMill/expr.scm 132 */
											bool_t BgL_test2293z00_4847;

											{	/* SawMill/expr.scm 132 */
												BgL_rtl_funz00_bglt BgL_arg1857z00_2285;

												BgL_arg1857z00_2285 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_102)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 132 */
													obj_t BgL_classz00_3308;

													BgL_classz00_3308 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 132 */
														BgL_objectz00_bglt BgL_arg1825z00_3310;

														{	/* SawMill/expr.scm 132 */
															obj_t BgL_tmpz00_4850;

															BgL_tmpz00_4850 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1857z00_2285));
															BgL_arg1825z00_3310 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4850);
														}
														{	/* SawMill/expr.scm 132 */
															bool_t BgL_arg1822z00_3313;
															bool_t BgL_arg1823z00_3314;

															{	/* SawMill/expr.scm 132 */
																long BgL_idxz00_3317;

																BgL_idxz00_3317 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3310);
																BgL_arg1822z00_3313 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3317 + ((long) 2))) ==
																	BgL_classz00_3308);
															}
															{	/* SawMill/expr.scm 132 */
																bool_t BgL_res2135z00_3339;

																{	/* SawMill/expr.scm 132 */
																	obj_t BgL_oclassz00_3325;

																	{	/* SawMill/expr.scm 132 */
																		long BgL_arg1833z00_3331;

																		{	/* SawMill/expr.scm 132 */
																			long BgL_arg1834z00_3332;

																			BgL_arg1834z00_3332 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3310);
																			BgL_arg1833z00_3331 =
																				(BgL_arg1834z00_3332 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3325 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3331);
																	}
																	{	/* SawMill/expr.scm 132 */
																		bool_t BgL__ortest_1110z00_3326;

																		BgL__ortest_1110z00_3326 =
																			(BgL_classz00_3308 == BgL_oclassz00_3325);
																		if (BgL__ortest_1110z00_3326)
																			{	/* SawMill/expr.scm 132 */
																				BgL_res2135z00_3339 =
																					BgL__ortest_1110z00_3326;
																			}
																		else
																			{	/* SawMill/expr.scm 132 */
																				long BgL_odepthz00_3327;

																				BgL_odepthz00_3327 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3325);
																				if ((((long) 2) < BgL_odepthz00_3327))
																					{	/* SawMill/expr.scm 132 */
																						obj_t BgL_arg1821z00_3329;

																						BgL_arg1821z00_3329 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3325, ((long) 2));
																						BgL_res2135z00_3339 =
																							(BgL_arg1821z00_3329 ==
																							BgL_classz00_3308);
																					}
																				else
																					{	/* SawMill/expr.scm 132 */
																						BgL_res2135z00_3339 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3314 = BgL_res2135z00_3339;
															}
															BgL_test2293z00_4847 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3313,
																BgL_arg1823z00_3314);
														}
													}
												}
											}
											if (BgL_test2293z00_4847)
												{	/* SawMill/expr.scm 132 */
													BgL_test2290z00_4833 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 132 */
													BgL_test2290z00_4833 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 131 */
											BgL_test2290z00_4833 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 130 */
									BgL_test2290z00_4833 = ((bool_t) 0);
								}
							if (BgL_test2290z00_4833)
								{	/* SawMill/expr.scm 130 */
									return MAKE_YOUNG_PAIR(BgL_insz00_102, BgL_rz00_2274);
								}
							else
								{	/* SawMill/expr.scm 130 */
									return BgL_rz00_2274;
								}
						}
					}
				}
			}
		}

	}



/* analyse */
	obj_t BGl_analysez00zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_103,
		obj_t BgL_movingz00_104, obj_t BgL_insz00_105)
	{
		{	/* SawMill/expr.scm 137 */
			{	/* SawMill/expr.scm 139 */
				obj_t BgL_inszd2effectzd2_2313;
				obj_t BgL_argsz00_2314;

				{	/* SawMill/expr.scm 139 */
					BgL_rtl_funz00_bglt BgL_arg1914z00_2360;

					BgL_arg1914z00_2360 =
						(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_funz00);
					BgL_inszd2effectzd2_2313 =
						BGl_effectsz00zzsaw_exprz00(BgL_arg1914z00_2360);
				}
				BgL_argsz00_2314 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_argsz00);
				{
					obj_t BgL_lz00_2340;
					obj_t BgL_rz00_2341;
					obj_t BgL_treez00_2330;
					obj_t BgL_posz00_2331;

					{	/* SawMill/expr.scm 157 */
						obj_t BgL_rz00_2317;
						obj_t BgL_dz00_2318;

						BgL_lz00_2340 = BgL_movingz00_104;
						BgL_rz00_2341 = BNIL;
					BgL_zc3z04anonymousza31899ze3z87_2342:
						if (NULLP(BgL_lz00_2340))
							{	/* SawMill/expr.scm 147 */
								BgL_rz00_2317 = BgL_rz00_2341;
							}
						else
							{	/* SawMill/expr.scm 148 */
								obj_t BgL_g1217z00_2344;

								BgL_g1217z00_2344 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt)
													CAR(
														((obj_t) BgL_lz00_2340)))))->BgL_destz00),
									BgL_argsz00_2314);
								if (CBOOL(BgL_g1217z00_2344))
									{	/* SawMill/expr.scm 148 */
										{	/* SawMill/expr.scm 150 */
											obj_t BgL_arg1901z00_2347;

											BgL_arg1901z00_2347 = CAR(((obj_t) BgL_lz00_2340));
											BgL_treez00_2330 = BgL_arg1901z00_2347;
											BgL_posz00_2331 = BgL_g1217z00_2344;
											if (CBOOL(BGl_acceptzd2foldingzf3z21zzsaw_exprz00
													(BgL_bz00_103, BgL_insz00_105, BgL_treez00_2330)))
												{	/* SawMill/expr.scm 141 */
													{	/* SawMill/expr.scm 143 */
														obj_t BgL_tmpz00_4889;

														BgL_tmpz00_4889 = ((obj_t) BgL_posz00_2331);
														SET_CAR(BgL_tmpz00_4889, BgL_treez00_2330);
													}
													{	/* SawMill/expr.scm 144 */
														bool_t BgL_test2299z00_4892;

														{	/* SawMill/expr.scm 144 */
															obj_t BgL_classz00_3343;

															BgL_classz00_3343 = BGl_inlinedz00zzsaw_exprz00;
															if (BGL_OBJECTP(BgL_treez00_2330))
																{	/* SawMill/expr.scm 144 */
																	obj_t BgL_oclassz00_3345;

																	{	/* SawMill/expr.scm 144 */
																		long BgL_arg1833z00_3347;

																		{	/* SawMill/expr.scm 144 */
																			long BgL_arg1834z00_3348;

																			BgL_arg1834z00_3348 =
																				BGL_OBJECT_CLASS_NUM(
																				((BgL_objectz00_bglt)
																					BgL_treez00_2330));
																			BgL_arg1833z00_3347 =
																				(BgL_arg1834z00_3348 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3345 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3347);
																	}
																	BgL_test2299z00_4892 =
																		(BgL_oclassz00_3345 == BgL_classz00_3343);
																}
															else
																{	/* SawMill/expr.scm 144 */
																	BgL_test2299z00_4892 = ((bool_t) 0);
																}
														}
														if (BgL_test2299z00_4892)
															{	/* SawMill/expr.scm 144 */
																BFALSE;
															}
														else
															{	/* SawMill/expr.scm 144 */
																{	/* SawMill/expr.scm 144 */
																	BgL_inlinedz00_bglt BgL_wide1215z00_2337;

																	BgL_wide1215z00_2337 =
																		((BgL_inlinedz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_inlinedz00_bgl))));
																	{	/* SawMill/expr.scm 144 */
																		obj_t BgL_auxz00_4905;
																		BgL_objectz00_bglt BgL_tmpz00_4901;

																		BgL_auxz00_4905 =
																			((obj_t) BgL_wide1215z00_2337);
																		BgL_tmpz00_4901 =
																			((BgL_objectz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_treez00_2330)));
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4901,
																			BgL_auxz00_4905);
																	}
																	((BgL_objectz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2330)));
																	{	/* SawMill/expr.scm 144 */
																		long BgL_arg1898z00_2338;

																		BgL_arg1898z00_2338 =
																			BGL_CLASS_NUM
																			(BGl_inlinedz00zzsaw_exprz00);
																		BGL_OBJECT_CLASS_NUM_SET((
																				(BgL_objectz00_bglt) (
																					(BgL_rtl_insz00_bglt) (
																						(BgL_rtl_insz00_bglt)
																						BgL_treez00_2330))),
																			BgL_arg1898z00_2338);
																	}
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt)
																				BgL_treez00_2330)));
																}
																((obj_t)
																	((BgL_rtl_insz00_bglt)
																		((BgL_rtl_insz00_bglt) BgL_treez00_2330)));
												}}}
											else
												{	/* SawMill/expr.scm 141 */
													BFALSE;
												}
										}
										{	/* SawMill/expr.scm 151 */
											obj_t BgL_arg1904z00_2348;

											BgL_arg1904z00_2348 = CDR(((obj_t) BgL_lz00_2340));
											{
												obj_t BgL_lz00_4924;

												BgL_lz00_4924 = BgL_arg1904z00_2348;
												BgL_lz00_2340 = BgL_lz00_4924;
												goto BgL_zc3z04anonymousza31899ze3z87_2342;
											}
										}
									}
								else
									{	/* SawMill/expr.scm 152 */
										bool_t BgL_test2301z00_4925;

										{	/* SawMill/expr.scm 152 */
											obj_t BgL_arg1911z00_2355;

											BgL_arg1911z00_2355 = CAR(((obj_t) BgL_lz00_2340));
											BgL_test2301z00_4925 =
												CBOOL(BGl_xxz00zzsaw_exprz00(BgL_arg1911z00_2355,
													BgL_insz00_105, BgL_inszd2effectzd2_2313));
										}
										if (BgL_test2301z00_4925)
											{	/* SawMill/expr.scm 154 */
												obj_t BgL_arg1907z00_2351;

												BgL_arg1907z00_2351 = CDR(((obj_t) BgL_lz00_2340));
												{
													obj_t BgL_lz00_4932;

													BgL_lz00_4932 = BgL_arg1907z00_2351;
													BgL_lz00_2340 = BgL_lz00_4932;
													goto BgL_zc3z04anonymousza31899ze3z87_2342;
												}
											}
										else
											{	/* SawMill/expr.scm 155 */
												obj_t BgL_arg1908z00_2352;
												obj_t BgL_arg1909z00_2353;

												BgL_arg1908z00_2352 = CDR(((obj_t) BgL_lz00_2340));
												{	/* SawMill/expr.scm 155 */
													obj_t BgL_arg1910z00_2354;

													BgL_arg1910z00_2354 = CAR(((obj_t) BgL_lz00_2340));
													BgL_arg1909z00_2353 =
														MAKE_YOUNG_PAIR(BgL_arg1910z00_2354, BgL_rz00_2341);
												}
												{
													obj_t BgL_rz00_4939;
													obj_t BgL_lz00_4938;

													BgL_lz00_4938 = BgL_arg1908z00_2352;
													BgL_rz00_4939 = BgL_arg1909z00_2353;
													BgL_rz00_2341 = BgL_rz00_4939;
													BgL_lz00_2340 = BgL_lz00_4938;
													goto BgL_zc3z04anonymousza31899ze3z87_2342;
												}
											}
									}
							}
						BgL_dz00_2318 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_insz00_105)))->BgL_destz00);
						{	/* SawMill/expr.scm 159 */
							bool_t BgL_test2302z00_4942;

							if (CBOOL(BgL_dz00_2318))
								{	/* SawMill/expr.scm 160 */
									bool_t BgL_test2304z00_4945;

									{	/* SawMill/expr.scm 160 */
										obj_t BgL_arg1894z00_2329;

										{
											BgL_iregz00_bglt BgL_auxz00_4946;

											{
												obj_t BgL_auxz00_4947;

												{	/* SawMill/expr.scm 160 */
													BgL_objectz00_bglt BgL_tmpz00_4948;

													BgL_tmpz00_4948 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_dz00_2318));
													BgL_auxz00_4947 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_4948);
												}
												BgL_auxz00_4946 = ((BgL_iregz00_bglt) BgL_auxz00_4947);
											}
											BgL_arg1894z00_2329 =
												(((BgL_iregz00_bglt) COBJECT(BgL_auxz00_4946))->
												BgL_statusz00);
										}
										BgL_test2304z00_4945 =
											(BgL_arg1894z00_2329 == CNST_TABLE_REF(((long) 18)));
									}
									if (BgL_test2304z00_4945)
										{	/* SawMill/expr.scm 161 */
											bool_t BgL_test2305z00_4956;

											{	/* SawMill/expr.scm 161 */
												BgL_rtl_funz00_bglt BgL_arg1892z00_2328;

												BgL_arg1892z00_2328 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_insz00_105)))->
													BgL_funz00);
												{	/* SawMill/expr.scm 161 */
													obj_t BgL_classz00_3371;

													BgL_classz00_3371 = BGl_rtl_protectz00zzsaw_defsz00;
													{	/* SawMill/expr.scm 161 */
														BgL_objectz00_bglt BgL_arg1825z00_3373;

														{	/* SawMill/expr.scm 161 */
															obj_t BgL_tmpz00_4959;

															BgL_tmpz00_4959 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg1892z00_2328));
															BgL_arg1825z00_3373 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4959);
														}
														{	/* SawMill/expr.scm 161 */
															bool_t BgL_arg1822z00_3376;
															bool_t BgL_arg1823z00_3377;

															{	/* SawMill/expr.scm 161 */
																long BgL_idxz00_3380;

																BgL_idxz00_3380 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3373);
																BgL_arg1822z00_3376 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3380 + ((long) 2))) ==
																	BgL_classz00_3371);
															}
															{	/* SawMill/expr.scm 161 */
																bool_t BgL_res2136z00_3402;

																{	/* SawMill/expr.scm 161 */
																	obj_t BgL_oclassz00_3388;

																	{	/* SawMill/expr.scm 161 */
																		long BgL_arg1833z00_3394;

																		{	/* SawMill/expr.scm 161 */
																			long BgL_arg1834z00_3395;

																			BgL_arg1834z00_3395 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3373);
																			BgL_arg1833z00_3394 =
																				(BgL_arg1834z00_3395 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3388 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3394);
																	}
																	{	/* SawMill/expr.scm 161 */
																		bool_t BgL__ortest_1110z00_3389;

																		BgL__ortest_1110z00_3389 =
																			(BgL_classz00_3371 == BgL_oclassz00_3388);
																		if (BgL__ortest_1110z00_3389)
																			{	/* SawMill/expr.scm 161 */
																				BgL_res2136z00_3402 =
																					BgL__ortest_1110z00_3389;
																			}
																		else
																			{	/* SawMill/expr.scm 161 */
																				long BgL_odepthz00_3390;

																				BgL_odepthz00_3390 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3388);
																				if ((((long) 2) < BgL_odepthz00_3390))
																					{	/* SawMill/expr.scm 161 */
																						obj_t BgL_arg1821z00_3392;

																						BgL_arg1821z00_3392 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3388, ((long) 2));
																						BgL_res2136z00_3402 =
																							(BgL_arg1821z00_3392 ==
																							BgL_classz00_3371);
																					}
																				else
																					{	/* SawMill/expr.scm 161 */
																						BgL_res2136z00_3402 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3377 = BgL_res2136z00_3402;
															}
															BgL_test2305z00_4956 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3376,
																BgL_arg1823z00_3377);
														}
													}
												}
											}
											if (BgL_test2305z00_4956)
												{	/* SawMill/expr.scm 161 */
													BgL_test2302z00_4942 = ((bool_t) 0);
												}
											else
												{	/* SawMill/expr.scm 161 */
													BgL_test2302z00_4942 = ((bool_t) 1);
												}
										}
									else
										{	/* SawMill/expr.scm 160 */
											BgL_test2302z00_4942 = ((bool_t) 0);
										}
								}
							else
								{	/* SawMill/expr.scm 159 */
									BgL_test2302z00_4942 = ((bool_t) 0);
								}
							if (BgL_test2302z00_4942)
								{	/* SawMill/expr.scm 159 */
									return MAKE_YOUNG_PAIR(BgL_insz00_105, BgL_rz00_2317);
								}
							else
								{	/* SawMill/expr.scm 159 */
									return BgL_rz00_2317;
								}
						}
					}
				}
			}
		}

	}



/* xx */
	obj_t BGl_xxz00zzsaw_exprz00(obj_t BgL_moverz00_112, obj_t BgL_insz00_113,
		obj_t BgL_inszd2effectszd2_114)
	{
		{	/* SawMill/expr.scm 177 */
			{	/* SawMill/expr.scm 178 */
				obj_t BgL__ortest_1219z00_2362;

				BgL__ortest_1219z00_2362 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_insz00_113)))->BgL_destz00),
					(((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_argsz00));
				if (CBOOL(BgL__ortest_1219z00_2362))
					{	/* SawMill/expr.scm 178 */
						return BgL__ortest_1219z00_2362;
					}
				else
					{	/* SawMill/expr.scm 179 */
						bool_t BgL__ortest_1220z00_2363;

						{	/* SawMill/expr.scm 179 */
							obj_t BgL_arg1926z00_2388;

							{	/* SawMill/expr.scm 179 */
								BgL_rtl_funz00_bglt BgL_arg1927z00_2389;

								BgL_arg1927z00_2389 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->BgL_funz00);
								BgL_arg1926z00_2388 =
									BGl_effectsz00zzsaw_exprz00(BgL_arg1927z00_2389);
							}
							BgL__ortest_1220z00_2363 =
								BGl_matcheffectz00zzsaw_exprz00(BgL_arg1926z00_2388,
								BgL_inszd2effectszd2_114);
						}
						if (BgL__ortest_1220z00_2363)
							{	/* SawMill/expr.scm 179 */
								return BBOOL(BgL__ortest_1220z00_2363);
							}
						else
							{	/* SawMill/expr.scm 180 */
								obj_t BgL_g1570z00_2364;

								{	/* SawMill/expr.scm 181 */
									obj_t BgL_hook1566z00_2373;

									BgL_hook1566z00_2373 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
									{	/* SawMill/expr.scm 181 */
										obj_t BgL_g1567z00_2374;

										BgL_g1567z00_2374 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_moverz00_112)))->
											BgL_argsz00);
										{
											obj_t BgL_l1563z00_2376;
											obj_t BgL_h1564z00_2377;

											BgL_l1563z00_2376 = BgL_g1567z00_2374;
											BgL_h1564z00_2377 = BgL_hook1566z00_2373;
										BgL_zc3z04anonymousza31918ze3z87_2378:
											if (NULLP(BgL_l1563z00_2376))
												{	/* SawMill/expr.scm 181 */
													BgL_g1570z00_2364 = CDR(BgL_hook1566z00_2373);
												}
											else
												{	/* SawMill/expr.scm 181 */
													bool_t BgL_test2311z00_4998;

													{	/* SawMill/expr.scm 181 */
														obj_t BgL_arg1925z00_2386;

														BgL_arg1925z00_2386 =
															CAR(((obj_t) BgL_l1563z00_2376));
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_classz00_3410;

															BgL_classz00_3410 = BGl_rtl_insz00zzsaw_defsz00;
															if (BGL_OBJECTP(BgL_arg1925z00_2386))
																{	/* SawMill/expr.scm 181 */
																	BgL_objectz00_bglt BgL_arg1825z00_3412;

																	BgL_arg1825z00_3412 =
																		(BgL_objectz00_bglt) (BgL_arg1925z00_2386);
																	{	/* SawMill/expr.scm 181 */
																		bool_t BgL_arg1822z00_3415;
																		bool_t BgL_arg1823z00_3416;

																		{	/* SawMill/expr.scm 181 */
																			long BgL_idxz00_3419;

																			BgL_idxz00_3419 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3412);
																			BgL_arg1822z00_3415 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3419 + ((long) 1))) ==
																				BgL_classz00_3410);
																		}
																		{	/* SawMill/expr.scm 181 */
																			bool_t BgL_res2137z00_3441;

																			{	/* SawMill/expr.scm 181 */
																				obj_t BgL_oclassz00_3427;

																				{	/* SawMill/expr.scm 181 */
																					long BgL_arg1833z00_3433;

																					{	/* SawMill/expr.scm 181 */
																						long BgL_arg1834z00_3434;

																						BgL_arg1834z00_3434 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3412);
																						BgL_arg1833z00_3433 =
																							(BgL_arg1834z00_3434 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3427 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3433);
																				}
																				{	/* SawMill/expr.scm 181 */
																					bool_t BgL__ortest_1110z00_3428;

																					BgL__ortest_1110z00_3428 =
																						(BgL_classz00_3410 ==
																						BgL_oclassz00_3427);
																					if (BgL__ortest_1110z00_3428)
																						{	/* SawMill/expr.scm 181 */
																							BgL_res2137z00_3441 =
																								BgL__ortest_1110z00_3428;
																						}
																					else
																						{	/* SawMill/expr.scm 181 */
																							long BgL_odepthz00_3429;

																							BgL_odepthz00_3429 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3427);
																							if ((((long) 1) <
																									BgL_odepthz00_3429))
																								{	/* SawMill/expr.scm 181 */
																									obj_t BgL_arg1821z00_3431;

																									BgL_arg1821z00_3431 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3427,
																										((long) 1));
																									BgL_res2137z00_3441 =
																										(BgL_arg1821z00_3431 ==
																										BgL_classz00_3410);
																								}
																							else
																								{	/* SawMill/expr.scm 181 */
																									BgL_res2137z00_3441 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3416 = BgL_res2137z00_3441;
																		}
																		BgL_test2311z00_4998 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3415,
																			BgL_arg1823z00_3416);
																	}
																}
															else
																{	/* SawMill/expr.scm 181 */
																	BgL_test2311z00_4998 = ((bool_t) 0);
																}
														}
													}
													if (BgL_test2311z00_4998)
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_nh1565z00_2382;

															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1923z00_2384;

																BgL_arg1923z00_2384 =
																	CAR(((obj_t) BgL_l1563z00_2376));
																BgL_nh1565z00_2382 =
																	MAKE_YOUNG_PAIR(BgL_arg1923z00_2384, BNIL);
															}
															SET_CDR(BgL_h1564z00_2377, BgL_nh1565z00_2382);
															{	/* SawMill/expr.scm 181 */
																obj_t BgL_arg1922z00_2383;

																BgL_arg1922z00_2383 =
																	CDR(((obj_t) BgL_l1563z00_2376));
																{
																	obj_t BgL_h1564z00_5026;
																	obj_t BgL_l1563z00_5025;

																	BgL_l1563z00_5025 = BgL_arg1922z00_2383;
																	BgL_h1564z00_5026 = BgL_nh1565z00_2382;
																	BgL_h1564z00_2377 = BgL_h1564z00_5026;
																	BgL_l1563z00_2376 = BgL_l1563z00_5025;
																	goto BgL_zc3z04anonymousza31918ze3z87_2378;
																}
															}
														}
													else
														{	/* SawMill/expr.scm 181 */
															obj_t BgL_arg1924z00_2385;

															BgL_arg1924z00_2385 =
																CDR(((obj_t) BgL_l1563z00_2376));
															{
																obj_t BgL_l1563z00_5029;

																BgL_l1563z00_5029 = BgL_arg1924z00_2385;
																BgL_l1563z00_2376 = BgL_l1563z00_5029;
																goto BgL_zc3z04anonymousza31918ze3z87_2378;
															}
														}
												}
										}
									}
								}
								{
									obj_t BgL_l1568z00_2366;

									BgL_l1568z00_2366 = BgL_g1570z00_2364;
								BgL_zc3z04anonymousza31915ze3z87_2367:
									if (NULLP(BgL_l1568z00_2366))
										{	/* SawMill/expr.scm 181 */
											return BFALSE;
										}
									else
										{	/* SawMill/expr.scm 180 */
											obj_t BgL__ortest_1571z00_2369;

											{	/* SawMill/expr.scm 180 */
												obj_t BgL_subz00_2371;

												BgL_subz00_2371 = CAR(((obj_t) BgL_l1568z00_2366));
												BgL__ortest_1571z00_2369 =
													BGl_xxz00zzsaw_exprz00(BgL_subz00_2371,
													BgL_insz00_113, BgL_inszd2effectszd2_114);
											}
											if (CBOOL(BgL__ortest_1571z00_2369))
												{	/* SawMill/expr.scm 181 */
													return BgL__ortest_1571z00_2369;
												}
											else
												{	/* SawMill/expr.scm 181 */
													obj_t BgL_arg1917z00_2370;

													BgL_arg1917z00_2370 =
														CDR(((obj_t) BgL_l1568z00_2366));
													{
														obj_t BgL_l1568z00_5039;

														BgL_l1568z00_5039 = BgL_arg1917z00_2370;
														BgL_l1568z00_2366 = BgL_l1568z00_5039;
														goto BgL_zc3z04anonymousza31915ze3z87_2367;
													}
												}
										}
								}
							}
					}
			}
		}

	}



/* matcheffect */
	bool_t BGl_matcheffectz00zzsaw_exprz00(obj_t BgL_f1z00_115,
		obj_t BgL_f2z00_116)
	{
		{	/* SawMill/expr.scm 199 */
			{	/* SawMill/expr.scm 210 */
				obj_t BgL_w1z00_2394;
				obj_t BgL_w2z00_2395;

				BgL_w1z00_2394 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_writez00);
				BgL_w2z00_2395 =
					(((BgL_feffectz00_bglt) COBJECT(
							((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_writez00);
				{	/* SawMill/expr.scm 211 */
					bool_t BgL__ortest_1221z00_2396;

					BgL__ortest_1221z00_2396 =
						BGl_intersectionzf3ze70z14zzsaw_exprz00(BgL_w1z00_2394,
						BgL_w2z00_2395);
					if (BgL__ortest_1221z00_2396)
						{	/* SawMill/expr.scm 211 */
							return BgL__ortest_1221z00_2396;
						}
					else
						{	/* SawMill/expr.scm 212 */
							bool_t BgL__ortest_1222z00_2397;

							BgL__ortest_1222z00_2397 =
								BGl_intersectionzf3ze70z14zzsaw_exprz00(
								(((BgL_feffectz00_bglt) COBJECT(
											((BgL_feffectz00_bglt) BgL_f1z00_115)))->BgL_readz00),
								BgL_w2z00_2395);
							if (BgL__ortest_1222z00_2397)
								{	/* SawMill/expr.scm 212 */
									return BgL__ortest_1222z00_2397;
								}
							else
								{	/* SawMill/expr.scm 212 */
									return
										BGl_intersectionzf3ze70z14zzsaw_exprz00(
										(((BgL_feffectz00_bglt) COBJECT(
													((BgL_feffectz00_bglt) BgL_f2z00_116)))->BgL_readz00),
										BgL_w1z00_2394);
								}
						}
				}
			}
		}

	}



/* intersection?~0 */
	bool_t BGl_intersectionzf3ze70z14zzsaw_exprz00(obj_t BgL_l1z00_2408,
		obj_t BgL_l2z00_2409)
	{
		{	/* SawMill/expr.scm 209 */
			{
				obj_t BgL_l1z00_2400;
				obj_t BgL_l2z00_2401;

				if (NULLP(BgL_l1z00_2408))
					{	/* SawMill/expr.scm 205 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/expr.scm 205 */
						if (NULLP(BgL_l2z00_2409))
							{	/* SawMill/expr.scm 206 */
								return ((bool_t) 0);
							}
						else
							{	/* SawMill/expr.scm 206 */
								if ((BgL_l1z00_2408 == CNST_TABLE_REF(((long) 4))))
									{	/* SawMill/expr.scm 207 */
										return ((bool_t) 1);
									}
								else
									{	/* SawMill/expr.scm 207 */
										if ((BgL_l2z00_2409 == CNST_TABLE_REF(((long) 4))))
											{	/* SawMill/expr.scm 208 */
												return ((bool_t) 1);
											}
										else
											{	/* SawMill/expr.scm 208 */
												BgL_l1z00_2400 = BgL_l1z00_2408;
												BgL_l2z00_2401 = BgL_l2z00_2409;
											BgL_zc3z04anonymousza31933ze3z87_2402:
												if (NULLP(BgL_l1z00_2400))
													{	/* SawMill/expr.scm 201 */
														return ((bool_t) 0);
													}
												else
													{	/* SawMill/expr.scm 201 */
														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																(CAR(((obj_t) BgL_l1z00_2400)),
																	BgL_l2z00_2401)))
															{	/* SawMill/expr.scm 202 */
																return ((bool_t) 1);
															}
														else
															{
																obj_t BgL_l1z00_5070;

																BgL_l1z00_5070 = CDR(((obj_t) BgL_l1z00_2400));
																BgL_l1z00_2400 = BgL_l1z00_5070;
																goto BgL_zc3z04anonymousza31933ze3z87_2402;
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* manu-effect */
	obj_t BGl_manuzd2effectzd2zzsaw_exprz00(BgL_globalz00_bglt BgL_varz00_133)
	{
		{	/* SawMill/expr.scm 252 */
			{	/* SawMill/expr.scm 253 */
				BgL_valuez00_bglt BgL_funz00_2419;

				BgL_funz00_2419 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_133)))->BgL_valuez00);
				{	/* SawMill/expr.scm 254 */
					bool_t BgL_test2325z00_5075;

					{	/* SawMill/expr.scm 254 */
						obj_t BgL_classz00_3460;

						BgL_classz00_3460 = BGl_funz00zzast_varz00;
						{	/* SawMill/expr.scm 254 */
							BgL_objectz00_bglt BgL_arg1825z00_3462;

							{	/* SawMill/expr.scm 254 */
								obj_t BgL_tmpz00_5076;

								BgL_tmpz00_5076 =
									((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2419));
								BgL_arg1825z00_3462 = (BgL_objectz00_bglt) (BgL_tmpz00_5076);
							}
							{	/* SawMill/expr.scm 254 */
								bool_t BgL_arg1822z00_3465;
								bool_t BgL_arg1823z00_3466;

								{	/* SawMill/expr.scm 254 */
									long BgL_idxz00_3469;

									BgL_idxz00_3469 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3462);
									BgL_arg1822z00_3465 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3469 + ((long) 2))) == BgL_classz00_3460);
								}
								{	/* SawMill/expr.scm 254 */
									bool_t BgL_res2138z00_3491;

									{	/* SawMill/expr.scm 254 */
										obj_t BgL_oclassz00_3477;

										{	/* SawMill/expr.scm 254 */
											long BgL_arg1833z00_3483;

											{	/* SawMill/expr.scm 254 */
												long BgL_arg1834z00_3484;

												BgL_arg1834z00_3484 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3462);
												BgL_arg1833z00_3483 =
													(BgL_arg1834z00_3484 - OBJECT_TYPE);
											}
											BgL_oclassz00_3477 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_3483);
										}
										{	/* SawMill/expr.scm 254 */
											bool_t BgL__ortest_1110z00_3478;

											BgL__ortest_1110z00_3478 =
												(BgL_classz00_3460 == BgL_oclassz00_3477);
											if (BgL__ortest_1110z00_3478)
												{	/* SawMill/expr.scm 254 */
													BgL_res2138z00_3491 = BgL__ortest_1110z00_3478;
												}
											else
												{	/* SawMill/expr.scm 254 */
													long BgL_odepthz00_3479;

													BgL_odepthz00_3479 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3477);
													if ((((long) 2) < BgL_odepthz00_3479))
														{	/* SawMill/expr.scm 254 */
															obj_t BgL_arg1821z00_3481;

															BgL_arg1821z00_3481 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3477,
																((long) 2));
															BgL_res2138z00_3491 =
																(BgL_arg1821z00_3481 == BgL_classz00_3460);
														}
													else
														{	/* SawMill/expr.scm 254 */
															BgL_res2138z00_3491 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_3466 = BgL_res2138z00_3491;
								}
								BgL_test2325z00_5075 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_3465, BgL_arg1823z00_3466);
							}
						}
					}
					if (BgL_test2325z00_5075)
						{	/* SawMill/expr.scm 255 */
							obj_t BgL_effectz00_2421;

							BgL_effectz00_2421 =
								(((BgL_funz00_bglt) COBJECT(
										((BgL_funz00_bglt) BgL_funz00_2419)))->BgL_effectz00);
							{	/* SawMill/expr.scm 256 */
								bool_t BgL_test2328z00_5097;

								{	/* SawMill/expr.scm 256 */
									obj_t BgL_classz00_3493;

									BgL_classz00_3493 = BGl_feffectz00zzast_varz00;
									if (BGL_OBJECTP(BgL_effectz00_2421))
										{	/* SawMill/expr.scm 256 */
											BgL_objectz00_bglt BgL_arg1825z00_3495;

											BgL_arg1825z00_3495 =
												(BgL_objectz00_bglt) (BgL_effectz00_2421);
											{	/* SawMill/expr.scm 256 */
												bool_t BgL_arg1822z00_3498;
												bool_t BgL_arg1823z00_3499;

												{	/* SawMill/expr.scm 256 */
													long BgL_idxz00_3502;

													BgL_idxz00_3502 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3495);
													BgL_arg1822z00_3498 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3502 + ((long) 1))) ==
														BgL_classz00_3493);
												}
												{	/* SawMill/expr.scm 256 */
													bool_t BgL_res2139z00_3524;

													{	/* SawMill/expr.scm 256 */
														obj_t BgL_oclassz00_3510;

														{	/* SawMill/expr.scm 256 */
															long BgL_arg1833z00_3516;

															{	/* SawMill/expr.scm 256 */
																long BgL_arg1834z00_3517;

																BgL_arg1834z00_3517 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3495);
																BgL_arg1833z00_3516 =
																	(BgL_arg1834z00_3517 - OBJECT_TYPE);
															}
															BgL_oclassz00_3510 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_3516);
														}
														{	/* SawMill/expr.scm 256 */
															bool_t BgL__ortest_1110z00_3511;

															BgL__ortest_1110z00_3511 =
																(BgL_classz00_3493 == BgL_oclassz00_3510);
															if (BgL__ortest_1110z00_3511)
																{	/* SawMill/expr.scm 256 */
																	BgL_res2139z00_3524 =
																		BgL__ortest_1110z00_3511;
																}
															else
																{	/* SawMill/expr.scm 256 */
																	long BgL_odepthz00_3512;

																	BgL_odepthz00_3512 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3510);
																	if ((((long) 1) < BgL_odepthz00_3512))
																		{	/* SawMill/expr.scm 256 */
																			obj_t BgL_arg1821z00_3514;

																			BgL_arg1821z00_3514 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3510, ((long) 1));
																			BgL_res2139z00_3524 =
																				(BgL_arg1821z00_3514 ==
																				BgL_classz00_3493);
																		}
																	else
																		{	/* SawMill/expr.scm 256 */
																			BgL_res2139z00_3524 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_3499 = BgL_res2139z00_3524;
												}
												BgL_test2328z00_5097 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_3498,
													BgL_arg1823z00_3499);
											}
										}
									else
										{	/* SawMill/expr.scm 256 */
											BgL_test2328z00_5097 = ((bool_t) 0);
										}
								}
								if (BgL_test2328z00_5097)
									{	/* SawMill/expr.scm 256 */
										return BgL_effectz00_2421;
									}
								else
									{	/* SawMill/expr.scm 256 */
										CNST_TABLE_REF(((long) 20));
										return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
									}
							}
						}
					else
						{	/* SawMill/expr.scm 254 */
							return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			{	/* SawMill/expr.scm 12 */
				obj_t BgL_arg1952z00_2427;
				obj_t BgL_arg1953z00_2428;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1572z00_2457;

					BgL_v1572z00_2457 = create_vector(((long) 2));
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1965z00_2458;

						BgL_arg1965z00_2458 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2157z00zzsaw_exprz00,
							BGl_proc2156z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1572z00_2457, ((long) 0), BgL_arg1965z00_2458);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1970z00_2468;

						BgL_arg1970z00_2468 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2159z00zzsaw_exprz00,
							BGl_proc2158z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1572z00_2457, ((long) 1), BgL_arg1970z00_2468);
					}
					BgL_arg1952z00_2427 = BgL_v1572z00_2457;
				}
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_v1573z00_2478;

					BgL_v1573z00_2478 = create_vector(((long) 0));
					BgL_arg1953z00_2428 = BgL_v1573z00_2478;
				}
				BGl_iregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 24)),
					CNST_TABLE_REF(((long) 25)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 43135), BGl_proc2163z00zzsaw_exprz00,
					BGl_proc2162z00zzsaw_exprz00, BFALSE, BGl_proc2161z00zzsaw_exprz00,
					BGl_proc2160z00zzsaw_exprz00, BgL_arg1952z00_2427,
					BgL_arg1953z00_2428);
			}
			{	/* SawMill/expr.scm 13 */
				obj_t BgL_arg1979z00_2487;
				obj_t BgL_arg1980z00_2488;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1574z00_2517;

					BgL_v1574z00_2517 = create_vector(((long) 2));
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1991z00_2518;

						BgL_arg1991z00_2518 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									21)), BGl_proc2165z00zzsaw_exprz00,
							BGl_proc2164z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1574z00_2517, ((long) 0), BgL_arg1991z00_2518);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1997z00_2528;

						BgL_arg1997z00_2528 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									23)), BGl_proc2167z00zzsaw_exprz00,
							BGl_proc2166z00zzsaw_exprz00, ((bool_t) 0), ((bool_t) 0), BFALSE,
							BFALSE, CNST_TABLE_REF(((long) 22)));
						VECTOR_SET(BgL_v1574z00_2517, ((long) 1), BgL_arg1997z00_2528);
					}
					BgL_arg1979z00_2487 = BgL_v1574z00_2517;
				}
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_v1575z00_2538;

					BgL_v1575z00_2538 = create_vector(((long) 0));
					BgL_arg1980z00_2488 = BgL_v1575z00_2538;
				}
				BGl_pregz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 26)),
					CNST_TABLE_REF(((long) 25)), BGl_rtl_regz00zzsaw_defsz00,
					((long) 27384), BGl_proc2171z00zzsaw_exprz00,
					BGl_proc2170z00zzsaw_exprz00, BFALSE, BGl_proc2169z00zzsaw_exprz00,
					BGl_proc2168z00zzsaw_exprz00, BgL_arg1979z00_2487,
					BgL_arg1980z00_2488);
			}
			{	/* SawMill/expr.scm 14 */
				obj_t BgL_arg2007z00_2547;
				obj_t BgL_arg2008z00_2548;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1576z00_2574;

					BgL_v1576z00_2574 = create_vector(((long) 0));
					BgL_arg2007z00_2547 = BgL_v1576z00_2574;
				}
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_v1577z00_2575;

					BgL_v1577z00_2575 = create_vector(((long) 0));
					BgL_arg2008z00_2548 = BgL_v1577z00_2575;
				}
				return (BGl_inlinedz00zzsaw_exprz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 27)),
						CNST_TABLE_REF(((long) 25)), BGl_rtl_insz00zzsaw_defsz00,
						((long) 5795), BGl_proc2175z00zzsaw_exprz00,
						BGl_proc2174z00zzsaw_exprz00, BFALSE, BGl_proc2173z00zzsaw_exprz00,
						BGl_proc2172z00zzsaw_exprz00, BgL_arg2007z00_2547,
						BgL_arg2008z00_2548), BUNSPEC);
		}}

	}



/* &lambda2015 */
	BgL_rtl_insz00_bglt BGl_z62lambda2015z62zzsaw_exprz00(obj_t BgL_envz00_3881,
		obj_t BgL_o1184z00_3882)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				long BgL_arg2016z00_4061;

				{	/* SawMill/expr.scm 14 */
					obj_t BgL_arg2017z00_4062;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_arg2018z00_4063;

						{	/* SawMill/expr.scm 14 */
							long BgL_arg1833z00_4064;

							{	/* SawMill/expr.scm 14 */
								long BgL_arg1834z00_4065;

								BgL_arg1834z00_4065 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1184z00_3882)));
								BgL_arg1833z00_4064 = (BgL_arg1834z00_4065 - OBJECT_TYPE);
							}
							BgL_arg2018z00_4063 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4064);
						}
						BgL_arg2017z00_4062 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2018z00_4063);
					}
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_tmpz00_5156;

						BgL_tmpz00_5156 = ((obj_t) BgL_arg2017z00_4062);
						BgL_arg2016z00_4061 = BGL_CLASS_NUM(BgL_tmpz00_5156);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1184z00_3882)), BgL_arg2016z00_4061);
			}
			{	/* SawMill/expr.scm 14 */
				BgL_objectz00_bglt BgL_tmpz00_5162;

				BgL_tmpz00_5162 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1184z00_3882));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5162, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1184z00_3882));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1184z00_3882));
		}

	}



/* &<@anonymous:2014> */
	obj_t BGl_z62zc3z04anonymousza32014ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3883,
		obj_t BgL_new1183z00_3884)
	{
		{	/* SawMill/expr.scm 14 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_5170;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1183z00_3884))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1183z00_3884))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1183z00_3884))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_5180;

					{	/* SawMill/expr.scm 14 */
						obj_t BgL_classz00_4067;

						BgL_classz00_4067 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/expr.scm 14 */
							obj_t BgL__ortest_1112z00_4068;

							BgL__ortest_1112z00_4068 = BGL_CLASS_NIL(BgL_classz00_4067);
							if (CBOOL(BgL__ortest_1112z00_4068))
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5180 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1112z00_4068);
								}
							else
								{	/* SawMill/expr.scm 14 */
									BgL_auxz00_5180 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4067));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1183z00_3884))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_5180), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1183z00_3884))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				BgL_auxz00_5170 = ((BgL_rtl_insz00_bglt) BgL_new1183z00_3884);
				return ((obj_t) BgL_auxz00_5170);
			}
		}

	}



/* &lambda2012 */
	BgL_rtl_insz00_bglt BGl_z62lambda2012z62zzsaw_exprz00(obj_t BgL_envz00_3885,
		obj_t BgL_o1180z00_3886)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_inlinedz00_bglt BgL_wide1182z00_4070;

				BgL_wide1182z00_4070 =
					((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_inlinedz00_bgl))));
				{	/* SawMill/expr.scm 14 */
					obj_t BgL_auxz00_5200;
					BgL_objectz00_bglt BgL_tmpz00_5196;

					BgL_auxz00_5200 = ((obj_t) BgL_wide1182z00_4070);
					BgL_tmpz00_5196 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1180z00_3886)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5196, BgL_auxz00_5200);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1180z00_3886)));
				{	/* SawMill/expr.scm 14 */
					long BgL_arg2013z00_4071;

					BgL_arg2013z00_4071 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1180z00_3886))),
						BgL_arg2013z00_4071);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1180z00_3886)));
			}
		}

	}



/* &lambda2009 */
	BgL_rtl_insz00_bglt BGl_z62lambda2009z62zzsaw_exprz00(obj_t BgL_envz00_3887,
		obj_t BgL_loc1175z00_3888, obj_t BgL_z52spill1176z52_3889,
		obj_t BgL_dest1177z00_3890, obj_t BgL_fun1178z00_3891,
		obj_t BgL_args1179z00_3892)
	{
		{	/* SawMill/expr.scm 14 */
			{	/* SawMill/expr.scm 14 */
				BgL_rtl_insz00_bglt BgL_new1278z00_4075;

				{	/* SawMill/expr.scm 14 */
					BgL_rtl_insz00_bglt BgL_tmp1276z00_4076;
					BgL_inlinedz00_bglt BgL_wide1277z00_4077;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_5214;

						{	/* SawMill/expr.scm 14 */
							BgL_rtl_insz00_bglt BgL_new1275z00_4078;

							BgL_new1275z00_4078 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/expr.scm 14 */
								long BgL_arg2011z00_4079;

								BgL_arg2011z00_4079 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1275z00_4078),
									BgL_arg2011z00_4079);
							}
							{	/* SawMill/expr.scm 14 */
								BgL_objectz00_bglt BgL_tmpz00_5219;

								BgL_tmpz00_5219 = ((BgL_objectz00_bglt) BgL_new1275z00_4078);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5219, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1275z00_4078);
							BgL_auxz00_5214 = BgL_new1275z00_4078;
						}
						BgL_tmp1276z00_4076 = ((BgL_rtl_insz00_bglt) BgL_auxz00_5214);
					}
					BgL_wide1277z00_4077 =
						((BgL_inlinedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_inlinedz00_bgl))));
					{	/* SawMill/expr.scm 14 */
						obj_t BgL_auxz00_5227;
						BgL_objectz00_bglt BgL_tmpz00_5225;

						BgL_auxz00_5227 = ((obj_t) BgL_wide1277z00_4077);
						BgL_tmpz00_5225 = ((BgL_objectz00_bglt) BgL_tmp1276z00_4076);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5225, BgL_auxz00_5227);
					}
					((BgL_objectz00_bglt) BgL_tmp1276z00_4076);
					{	/* SawMill/expr.scm 14 */
						long BgL_arg2010z00_4080;

						BgL_arg2010z00_4080 = BGL_CLASS_NUM(BGl_inlinedz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1276z00_4076), BgL_arg2010z00_4080);
					}
					BgL_new1278z00_4075 = ((BgL_rtl_insz00_bglt) BgL_tmp1276z00_4076);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1278z00_4075)))->BgL_locz00) =
					((obj_t) BgL_loc1175z00_3888), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1278z00_4075)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1176z52_3889)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1278z00_4075)))->BgL_destz00) =
					((obj_t) BgL_dest1177z00_3890), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1278z00_4075)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1178z00_3891)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1278z00_4075)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1179z00_3892)), BUNSPEC);
				return BgL_new1278z00_4075;
			}
		}

	}



/* &lambda1987 */
	BgL_rtl_regz00_bglt BGl_z62lambda1987z62zzsaw_exprz00(obj_t BgL_envz00_3893,
		obj_t BgL_o1173z00_3894)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				long BgL_arg1988z00_4082;

				{	/* SawMill/expr.scm 13 */
					obj_t BgL_arg1989z00_4083;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_arg1990z00_4084;

						{	/* SawMill/expr.scm 13 */
							long BgL_arg1833z00_4085;

							{	/* SawMill/expr.scm 13 */
								long BgL_arg1834z00_4086;

								BgL_arg1834z00_4086 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1173z00_3894)));
								BgL_arg1833z00_4085 = (BgL_arg1834z00_4086 - OBJECT_TYPE);
							}
							BgL_arg1990z00_4084 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4085);
						}
						BgL_arg1989z00_4083 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1990z00_4084);
					}
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_tmpz00_5254;

						BgL_tmpz00_5254 = ((obj_t) BgL_arg1989z00_4083);
						BgL_arg1988z00_4082 = BGL_CLASS_NUM(BgL_tmpz00_5254);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1173z00_3894)), BgL_arg1988z00_4082);
			}
			{	/* SawMill/expr.scm 13 */
				BgL_objectz00_bglt BgL_tmpz00_5260;

				BgL_tmpz00_5260 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1173z00_3894));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5260, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1173z00_3894));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1173z00_3894));
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3895,
		obj_t BgL_new1172z00_3896)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5268;

				{
					BgL_typez00_bglt BgL_auxz00_5269;

					{	/* SawMill/expr.scm 13 */
						obj_t BgL_classz00_4088;

						BgL_classz00_4088 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 13 */
							obj_t BgL__ortest_1112z00_4089;

							BgL__ortest_1112z00_4089 = BGL_CLASS_NIL(BgL_classz00_4088);
							if (CBOOL(BgL__ortest_1112z00_4089))
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5269 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4089);
								}
							else
								{	/* SawMill/expr.scm 13 */
									BgL_auxz00_5269 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4088));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1172z00_3896))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5269), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1172z00_3896))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1172z00_3896))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1172z00_3896))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1172z00_3896))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1172z00_3896))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5294;

					{
						obj_t BgL_auxz00_5295;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5296;

							BgL_tmpz00_5296 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1172z00_3896));
							BgL_auxz00_5295 = BGL_OBJECT_WIDENING(BgL_tmpz00_5296);
						}
						BgL_auxz00_5294 = ((BgL_pregz00_bglt) BgL_auxz00_5295);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5294))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5302;

					{
						obj_t BgL_auxz00_5303;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5304;

							BgL_tmpz00_5304 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1172z00_3896));
							BgL_auxz00_5303 = BGL_OBJECT_WIDENING(BgL_tmpz00_5304);
						}
						BgL_auxz00_5302 = ((BgL_pregz00_bglt) BgL_auxz00_5303);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5302))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5268 = ((BgL_rtl_regz00_bglt) BgL_new1172z00_3896);
				return ((obj_t) BgL_auxz00_5268);
			}
		}

	}



/* &lambda1984 */
	BgL_rtl_regz00_bglt BGl_z62lambda1984z62zzsaw_exprz00(obj_t BgL_envz00_3897,
		obj_t BgL_o1169z00_3898)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_pregz00_bglt BgL_wide1171z00_4091;

				BgL_wide1171z00_4091 =
					((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_pregz00_bgl))));
				{	/* SawMill/expr.scm 13 */
					obj_t BgL_auxz00_5317;
					BgL_objectz00_bglt BgL_tmpz00_5313;

					BgL_auxz00_5317 = ((obj_t) BgL_wide1171z00_4091);
					BgL_tmpz00_5313 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1169z00_3898)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5313, BgL_auxz00_5317);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1169z00_3898)));
				{	/* SawMill/expr.scm 13 */
					long BgL_arg1985z00_4092;

					BgL_arg1985z00_4092 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1169z00_3898))),
						BgL_arg1985z00_4092);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1169z00_3898)));
			}
		}

	}



/* &lambda1981 */
	BgL_rtl_regz00_bglt BGl_z62lambda1981z62zzsaw_exprz00(obj_t BgL_envz00_3899,
		obj_t BgL_type1161z00_3900, obj_t BgL_var1162z00_3901,
		obj_t BgL_onexprzf31163zf3_3902, obj_t BgL_name1164z00_3903,
		obj_t BgL_key1165z00_3904, obj_t BgL_hardware1166z00_3905,
		obj_t BgL_index1167z00_3906, obj_t BgL_status1168z00_3907)
	{
		{	/* SawMill/expr.scm 13 */
			{	/* SawMill/expr.scm 13 */
				BgL_rtl_regz00_bglt BgL_new1273z00_4094;

				{	/* SawMill/expr.scm 13 */
					BgL_rtl_regz00_bglt BgL_tmp1271z00_4095;
					BgL_pregz00_bglt BgL_wide1272z00_4096;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5331;

						{	/* SawMill/expr.scm 13 */
							BgL_rtl_regz00_bglt BgL_new1270z00_4097;

							BgL_new1270z00_4097 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 13 */
								long BgL_arg1983z00_4098;

								BgL_arg1983z00_4098 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1270z00_4097),
									BgL_arg1983z00_4098);
							}
							{	/* SawMill/expr.scm 13 */
								BgL_objectz00_bglt BgL_tmpz00_5336;

								BgL_tmpz00_5336 = ((BgL_objectz00_bglt) BgL_new1270z00_4097);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5336, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1270z00_4097);
							BgL_auxz00_5331 = BgL_new1270z00_4097;
						}
						BgL_tmp1271z00_4095 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5331);
					}
					BgL_wide1272z00_4096 =
						((BgL_pregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_pregz00_bgl))));
					{	/* SawMill/expr.scm 13 */
						obj_t BgL_auxz00_5344;
						BgL_objectz00_bglt BgL_tmpz00_5342;

						BgL_auxz00_5344 = ((obj_t) BgL_wide1272z00_4096);
						BgL_tmpz00_5342 = ((BgL_objectz00_bglt) BgL_tmp1271z00_4095);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5342, BgL_auxz00_5344);
					}
					((BgL_objectz00_bglt) BgL_tmp1271z00_4095);
					{	/* SawMill/expr.scm 13 */
						long BgL_arg1982z00_4099;

						BgL_arg1982z00_4099 = BGL_CLASS_NUM(BGl_pregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1271z00_4095), BgL_arg1982z00_4099);
					}
					BgL_new1273z00_4094 = ((BgL_rtl_regz00_bglt) BgL_tmp1271z00_4095);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1273z00_4094)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1161z00_3900)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1273z00_4094)))->BgL_varz00) =
					((obj_t) BgL_var1162z00_3901), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1273z00_4094)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31163zf3_3902), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1273z00_4094)))->BgL_namez00) =
					((obj_t) BgL_name1164z00_3903), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1273z00_4094)))->BgL_keyz00) =
					((obj_t) BgL_key1165z00_3904), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1273z00_4094)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1166z00_3905), BUNSPEC);
				{
					BgL_pregz00_bglt BgL_auxz00_5365;

					{
						obj_t BgL_auxz00_5366;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5367;

							BgL_tmpz00_5367 = ((BgL_objectz00_bglt) BgL_new1273z00_4094);
							BgL_auxz00_5366 = BGL_OBJECT_WIDENING(BgL_tmpz00_5367);
						}
						BgL_auxz00_5365 = ((BgL_pregz00_bglt) BgL_auxz00_5366);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5365))->BgL_indexz00) =
						((obj_t) BgL_index1167z00_3906), BUNSPEC);
				}
				{
					BgL_pregz00_bglt BgL_auxz00_5372;

					{
						obj_t BgL_auxz00_5373;

						{	/* SawMill/expr.scm 13 */
							BgL_objectz00_bglt BgL_tmpz00_5374;

							BgL_tmpz00_5374 = ((BgL_objectz00_bglt) BgL_new1273z00_4094);
							BgL_auxz00_5373 = BGL_OBJECT_WIDENING(BgL_tmpz00_5374);
						}
						BgL_auxz00_5372 = ((BgL_pregz00_bglt) BgL_auxz00_5373);
					}
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5372))->BgL_statusz00) =
						((obj_t) BgL_status1168z00_3907), BUNSPEC);
				}
				return BgL_new1273z00_4094;
			}
		}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zzsaw_exprz00(obj_t BgL_envz00_3908,
		obj_t BgL_oz00_3909, obj_t BgL_vz00_3910)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5379;

				{
					obj_t BgL_auxz00_5380;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5381;

						BgL_tmpz00_5381 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3909));
						BgL_auxz00_5380 = BGL_OBJECT_WIDENING(BgL_tmpz00_5381);
					}
					BgL_auxz00_5379 = ((BgL_pregz00_bglt) BgL_auxz00_5380);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5379))->BgL_statusz00) =
					((obj_t) BgL_vz00_3910), BUNSPEC);
			}
		}

	}



/* &lambda2001 */
	obj_t BGl_z62lambda2001z62zzsaw_exprz00(obj_t BgL_envz00_3911,
		obj_t BgL_oz00_3912)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5387;

				{
					obj_t BgL_auxz00_5388;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5389;

						BgL_tmpz00_5389 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3912));
						BgL_auxz00_5388 = BGL_OBJECT_WIDENING(BgL_tmpz00_5389);
					}
					BgL_auxz00_5387 = ((BgL_pregz00_bglt) BgL_auxz00_5388);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5387))->BgL_statusz00);
			}
		}

	}



/* &lambda1996 */
	obj_t BGl_z62lambda1996z62zzsaw_exprz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914, obj_t BgL_vz00_3915)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5395;

				{
					obj_t BgL_auxz00_5396;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5397;

						BgL_tmpz00_5397 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3914));
						BgL_auxz00_5396 = BGL_OBJECT_WIDENING(BgL_tmpz00_5397);
					}
					BgL_auxz00_5395 = ((BgL_pregz00_bglt) BgL_auxz00_5396);
				}
				return
					((((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5395))->BgL_indexz00) =
					((obj_t) BgL_vz00_3915), BUNSPEC);
			}
		}

	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zzsaw_exprz00(obj_t BgL_envz00_3916,
		obj_t BgL_oz00_3917)
	{
		{	/* SawMill/expr.scm 13 */
			{
				BgL_pregz00_bglt BgL_auxz00_5403;

				{
					obj_t BgL_auxz00_5404;

					{	/* SawMill/expr.scm 13 */
						BgL_objectz00_bglt BgL_tmpz00_5405;

						BgL_tmpz00_5405 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3917));
						BgL_auxz00_5404 = BGL_OBJECT_WIDENING(BgL_tmpz00_5405);
					}
					BgL_auxz00_5403 = ((BgL_pregz00_bglt) BgL_auxz00_5404);
				}
				return (((BgL_pregz00_bglt) COBJECT(BgL_auxz00_5403))->BgL_indexz00);
			}
		}

	}



/* &lambda1960 */
	BgL_rtl_regz00_bglt BGl_z62lambda1960z62zzsaw_exprz00(obj_t BgL_envz00_3918,
		obj_t BgL_o1159z00_3919)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				long BgL_arg1961z00_4105;

				{	/* SawMill/expr.scm 12 */
					obj_t BgL_arg1962z00_4106;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_arg1964z00_4107;

						{	/* SawMill/expr.scm 12 */
							long BgL_arg1833z00_4108;

							{	/* SawMill/expr.scm 12 */
								long BgL_arg1834z00_4109;

								BgL_arg1834z00_4109 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_o1159z00_3919)));
								BgL_arg1833z00_4108 = (BgL_arg1834z00_4109 - OBJECT_TYPE);
							}
							BgL_arg1964z00_4107 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4108);
						}
						BgL_arg1962z00_4106 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1964z00_4107);
					}
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_tmpz00_5417;

						BgL_tmpz00_5417 = ((obj_t) BgL_arg1962z00_4106);
						BgL_arg1961z00_4105 = BGL_CLASS_NUM(BgL_tmpz00_5417);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) BgL_o1159z00_3919)), BgL_arg1961z00_4105);
			}
			{	/* SawMill/expr.scm 12 */
				BgL_objectz00_bglt BgL_tmpz00_5423;

				BgL_tmpz00_5423 =
					((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3919));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5423, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3919));
			return ((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1159z00_3919));
		}

	}



/* &<@anonymous:1959> */
	obj_t BGl_z62zc3z04anonymousza31959ze3ze5zzsaw_exprz00(obj_t BgL_envz00_3920,
		obj_t BgL_new1158z00_3921)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_rtl_regz00_bglt BgL_auxz00_5431;

				{
					BgL_typez00_bglt BgL_auxz00_5432;

					{	/* SawMill/expr.scm 12 */
						obj_t BgL_classz00_4111;

						BgL_classz00_4111 = BGl_typez00zztype_typez00;
						{	/* SawMill/expr.scm 12 */
							obj_t BgL__ortest_1112z00_4112;

							BgL__ortest_1112z00_4112 = BGL_CLASS_NIL(BgL_classz00_4111);
							if (CBOOL(BgL__ortest_1112z00_4112))
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5432 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4112);
								}
							else
								{	/* SawMill/expr.scm 12 */
									BgL_auxz00_5432 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4111));
								}
						}
					}
					((((BgL_rtl_regz00_bglt) COBJECT(
									((BgL_rtl_regz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_new1158z00_3921))))->
							BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5432), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt)
									((BgL_rtl_regz00_bglt) BgL_new1158z00_3921))))->BgL_varz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1158z00_3921))))->BgL_onexprzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1158z00_3921))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1158z00_3921))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_regz00_bglt)
							COBJECT(((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt)
										BgL_new1158z00_3921))))->BgL_hardwarez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5457;

					{
						obj_t BgL_auxz00_5458;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5459;

							BgL_tmpz00_5459 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1158z00_3921));
							BgL_auxz00_5458 = BGL_OBJECT_WIDENING(BgL_tmpz00_5459);
						}
						BgL_auxz00_5457 = ((BgL_iregz00_bglt) BgL_auxz00_5458);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5457))->BgL_indexz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5465;

					{
						obj_t BgL_auxz00_5466;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5467;

							BgL_tmpz00_5467 =
								((BgL_objectz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_new1158z00_3921));
							BgL_auxz00_5466 = BGL_OBJECT_WIDENING(BgL_tmpz00_5467);
						}
						BgL_auxz00_5465 = ((BgL_iregz00_bglt) BgL_auxz00_5466);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5465))->BgL_statusz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5431 = ((BgL_rtl_regz00_bglt) BgL_new1158z00_3921);
				return ((obj_t) BgL_auxz00_5431);
			}
		}

	}



/* &lambda1957 */
	BgL_rtl_regz00_bglt BGl_z62lambda1957z62zzsaw_exprz00(obj_t BgL_envz00_3922,
		obj_t BgL_o1155z00_3923)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_iregz00_bglt BgL_wide1157z00_4114;

				BgL_wide1157z00_4114 =
					((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_iregz00_bgl))));
				{	/* SawMill/expr.scm 12 */
					obj_t BgL_auxz00_5480;
					BgL_objectz00_bglt BgL_tmpz00_5476;

					BgL_auxz00_5480 = ((obj_t) BgL_wide1157z00_4114);
					BgL_tmpz00_5476 =
						((BgL_objectz00_bglt)
						((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1155z00_3923)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5476, BgL_auxz00_5480);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1155z00_3923)));
				{	/* SawMill/expr.scm 12 */
					long BgL_arg1958z00_4115;

					BgL_arg1958z00_4115 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_regz00_bglt)
								((BgL_rtl_regz00_bglt) BgL_o1155z00_3923))),
						BgL_arg1958z00_4115);
				}
				return
					((BgL_rtl_regz00_bglt)
					((BgL_rtl_regz00_bglt) ((BgL_rtl_regz00_bglt) BgL_o1155z00_3923)));
			}
		}

	}



/* &lambda1954 */
	BgL_rtl_regz00_bglt BGl_z62lambda1954z62zzsaw_exprz00(obj_t BgL_envz00_3924,
		obj_t BgL_type1147z00_3925, obj_t BgL_var1148z00_3926,
		obj_t BgL_onexprzf31149zf3_3927, obj_t BgL_name1150z00_3928,
		obj_t BgL_key1151z00_3929, obj_t BgL_hardware1152z00_3930,
		obj_t BgL_index1153z00_3931, obj_t BgL_status1154z00_3932)
	{
		{	/* SawMill/expr.scm 12 */
			{	/* SawMill/expr.scm 12 */
				BgL_rtl_regz00_bglt BgL_new1268z00_4117;

				{	/* SawMill/expr.scm 12 */
					BgL_rtl_regz00_bglt BgL_tmp1266z00_4118;
					BgL_iregz00_bglt BgL_wide1267z00_4119;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_5494;

						{	/* SawMill/expr.scm 12 */
							BgL_rtl_regz00_bglt BgL_new1265z00_4120;

							BgL_new1265z00_4120 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/expr.scm 12 */
								long BgL_arg1956z00_4121;

								BgL_arg1956z00_4121 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1265z00_4120),
									BgL_arg1956z00_4121);
							}
							{	/* SawMill/expr.scm 12 */
								BgL_objectz00_bglt BgL_tmpz00_5499;

								BgL_tmpz00_5499 = ((BgL_objectz00_bglt) BgL_new1265z00_4120);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5499, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1265z00_4120);
							BgL_auxz00_5494 = BgL_new1265z00_4120;
						}
						BgL_tmp1266z00_4118 = ((BgL_rtl_regz00_bglt) BgL_auxz00_5494);
					}
					BgL_wide1267z00_4119 =
						((BgL_iregz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_iregz00_bgl))));
					{	/* SawMill/expr.scm 12 */
						obj_t BgL_auxz00_5507;
						BgL_objectz00_bglt BgL_tmpz00_5505;

						BgL_auxz00_5507 = ((obj_t) BgL_wide1267z00_4119);
						BgL_tmpz00_5505 = ((BgL_objectz00_bglt) BgL_tmp1266z00_4118);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5505, BgL_auxz00_5507);
					}
					((BgL_objectz00_bglt) BgL_tmp1266z00_4118);
					{	/* SawMill/expr.scm 12 */
						long BgL_arg1955z00_4122;

						BgL_arg1955z00_4122 = BGL_CLASS_NUM(BGl_iregz00zzsaw_exprz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1266z00_4118), BgL_arg1955z00_4122);
					}
					BgL_new1268z00_4117 = ((BgL_rtl_regz00_bglt) BgL_tmp1266z00_4118);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1268z00_4117)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1147z00_3925)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1268z00_4117)))->BgL_varz00) =
					((obj_t) BgL_var1148z00_3926), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1268z00_4117)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31149zf3_3927), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1268z00_4117)))->BgL_namez00) =
					((obj_t) BgL_name1150z00_3928), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1268z00_4117)))->BgL_keyz00) =
					((obj_t) BgL_key1151z00_3929), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1268z00_4117)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1152z00_3930), BUNSPEC);
				{
					BgL_iregz00_bglt BgL_auxz00_5528;

					{
						obj_t BgL_auxz00_5529;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5530;

							BgL_tmpz00_5530 = ((BgL_objectz00_bglt) BgL_new1268z00_4117);
							BgL_auxz00_5529 = BGL_OBJECT_WIDENING(BgL_tmpz00_5530);
						}
						BgL_auxz00_5528 = ((BgL_iregz00_bglt) BgL_auxz00_5529);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5528))->BgL_indexz00) =
						((obj_t) BgL_index1153z00_3931), BUNSPEC);
				}
				{
					BgL_iregz00_bglt BgL_auxz00_5535;

					{
						obj_t BgL_auxz00_5536;

						{	/* SawMill/expr.scm 12 */
							BgL_objectz00_bglt BgL_tmpz00_5537;

							BgL_tmpz00_5537 = ((BgL_objectz00_bglt) BgL_new1268z00_4117);
							BgL_auxz00_5536 = BGL_OBJECT_WIDENING(BgL_tmpz00_5537);
						}
						BgL_auxz00_5535 = ((BgL_iregz00_bglt) BgL_auxz00_5536);
					}
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5535))->BgL_statusz00) =
						((obj_t) BgL_status1154z00_3932), BUNSPEC);
				}
				return BgL_new1268z00_4117;
			}
		}

	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zzsaw_exprz00(obj_t BgL_envz00_3933,
		obj_t BgL_oz00_3934, obj_t BgL_vz00_3935)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5542;

				{
					obj_t BgL_auxz00_5543;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5544;

						BgL_tmpz00_5544 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3934));
						BgL_auxz00_5543 = BGL_OBJECT_WIDENING(BgL_tmpz00_5544);
					}
					BgL_auxz00_5542 = ((BgL_iregz00_bglt) BgL_auxz00_5543);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5542))->BgL_statusz00) =
					((obj_t) BgL_vz00_3935), BUNSPEC);
			}
		}

	}



/* &lambda1973 */
	obj_t BGl_z62lambda1973z62zzsaw_exprz00(obj_t BgL_envz00_3936,
		obj_t BgL_oz00_3937)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5550;

				{
					obj_t BgL_auxz00_5551;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5552;

						BgL_tmpz00_5552 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3937));
						BgL_auxz00_5551 = BGL_OBJECT_WIDENING(BgL_tmpz00_5552);
					}
					BgL_auxz00_5550 = ((BgL_iregz00_bglt) BgL_auxz00_5551);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5550))->BgL_statusz00);
			}
		}

	}



/* &lambda1969 */
	obj_t BGl_z62lambda1969z62zzsaw_exprz00(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939, obj_t BgL_vz00_3940)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5558;

				{
					obj_t BgL_auxz00_5559;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5560;

						BgL_tmpz00_5560 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3939));
						BgL_auxz00_5559 = BGL_OBJECT_WIDENING(BgL_tmpz00_5560);
					}
					BgL_auxz00_5558 = ((BgL_iregz00_bglt) BgL_auxz00_5559);
				}
				return
					((((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5558))->BgL_indexz00) =
					((obj_t) BgL_vz00_3940), BUNSPEC);
			}
		}

	}



/* &lambda1968 */
	obj_t BGl_z62lambda1968z62zzsaw_exprz00(obj_t BgL_envz00_3941,
		obj_t BgL_oz00_3942)
	{
		{	/* SawMill/expr.scm 12 */
			{
				BgL_iregz00_bglt BgL_auxz00_5566;

				{
					obj_t BgL_auxz00_5567;

					{	/* SawMill/expr.scm 12 */
						BgL_objectz00_bglt BgL_tmpz00_5568;

						BgL_tmpz00_5568 =
							((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_oz00_3942));
						BgL_auxz00_5567 = BGL_OBJECT_WIDENING(BgL_tmpz00_5568);
					}
					BgL_auxz00_5566 = ((BgL_iregz00_bglt) BgL_auxz00_5567);
				}
				return (((BgL_iregz00_bglt) COBJECT(BgL_auxz00_5566))->BgL_indexz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
				BGl_proc2176z00zzsaw_exprz00, BGl_backendz00zzbackend_backendz00,
				BGl_string2177z00zzsaw_exprz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_proc2178z00zzsaw_exprz00,
				BGl_rtl_funz00zzsaw_defsz00, BGl_string2179z00zzsaw_exprz00);
		}

	}



/* &effects1580 */
	obj_t BGl_z62effects1580z62zzsaw_exprz00(obj_t BgL_envz00_3945,
		obj_t BgL_funz00_3946)
	{
		{	/* SawMill/expr.scm 229 */
			return ((obj_t) BGl_za2noeffectza2z00zzsaw_exprz00);
		}

	}



/* &accept-folding?1578 */
	obj_t BGl_z62acceptzd2foldingzf31578z43zzsaw_exprz00(obj_t BgL_envz00_3947,
		obj_t BgL_bz00_3948, obj_t BgL_insz00_3949, obj_t BgL_treez00_3950)
	{
		{	/* SawMill/expr.scm 166 */
			return BBOOL(((bool_t) 1));
		}

	}



/* accept-folding? */
	BGL_EXPORTED_DEF obj_t
		BGl_acceptzd2foldingzf3z21zzsaw_exprz00(BgL_backendz00_bglt BgL_bz00_106,
		obj_t BgL_insz00_107, obj_t BgL_treez00_108)
	{
		{	/* SawMill/expr.scm 166 */
			{	/* SawMill/expr.scm 166 */
				obj_t BgL_method1579z00_2590;

				{	/* SawMill/expr.scm 166 */
					obj_t BgL_res2144z00_3653;

					{	/* SawMill/expr.scm 166 */
						long BgL_objzd2classzd2numz00_3624;

						BgL_objzd2classzd2numz00_3624 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* SawMill/expr.scm 166 */
							obj_t BgL_arg1829z00_3625;

							BgL_arg1829z00_3625 =
								PROCEDURE_REF(BGl_acceptzd2foldingzf3zd2envzf3zzsaw_exprz00,
								(int) (((long) 1)));
							{	/* SawMill/expr.scm 166 */
								int BgL_offsetz00_3628;

								BgL_offsetz00_3628 = (int) (BgL_objzd2classzd2numz00_3624);
								{	/* SawMill/expr.scm 166 */
									long BgL_offsetz00_3629;

									BgL_offsetz00_3629 =
										((long) (BgL_offsetz00_3628) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 166 */
										long BgL_modz00_3630;

										BgL_modz00_3630 =
											(BgL_offsetz00_3629 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/expr.scm 166 */
											long BgL_restz00_3632;

											BgL_restz00_3632 =
												(BgL_offsetz00_3629 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/expr.scm 166 */

												{	/* SawMill/expr.scm 166 */
													obj_t BgL_bucketz00_3634;

													BgL_bucketz00_3634 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3625), BgL_modz00_3630);
													BgL_res2144z00_3653 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3634), BgL_restz00_3632);
					}}}}}}}}
					BgL_method1579z00_2590 = BgL_res2144z00_3653;
				}
				return
					PROCEDURE_ENTRY(BgL_method1579z00_2590) (BgL_method1579z00_2590,
					((obj_t) BgL_bz00_106), BgL_insz00_107, BgL_treez00_108, BEOA);
			}
		}

	}



/* &accept-folding? */
	obj_t BGl_z62acceptzd2foldingzf3z43zzsaw_exprz00(obj_t BgL_envz00_3951,
		obj_t BgL_bz00_3952, obj_t BgL_insz00_3953, obj_t BgL_treez00_3954)
	{
		{	/* SawMill/expr.scm 166 */
			return
				BGl_acceptzd2foldingzf3z21zzsaw_exprz00(
				((BgL_backendz00_bglt) BgL_bz00_3952), BgL_insz00_3953,
				BgL_treez00_3954);
		}

	}



/* effects */
	obj_t BGl_effectsz00zzsaw_exprz00(BgL_rtl_funz00_bglt BgL_funz00_117)
	{
		{	/* SawMill/expr.scm 229 */
			{	/* SawMill/expr.scm 229 */
				obj_t BgL_method1581z00_2591;

				{	/* SawMill/expr.scm 229 */
					obj_t BgL_res2149z00_3684;

					{	/* SawMill/expr.scm 229 */
						long BgL_objzd2classzd2numz00_3655;

						BgL_objzd2classzd2numz00_3655 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_117));
						{	/* SawMill/expr.scm 229 */
							obj_t BgL_arg1829z00_3656;

							BgL_arg1829z00_3656 =
								PROCEDURE_REF(BGl_effectszd2envzd2zzsaw_exprz00,
								(int) (((long) 1)));
							{	/* SawMill/expr.scm 229 */
								int BgL_offsetz00_3659;

								BgL_offsetz00_3659 = (int) (BgL_objzd2classzd2numz00_3655);
								{	/* SawMill/expr.scm 229 */
									long BgL_offsetz00_3660;

									BgL_offsetz00_3660 =
										((long) (BgL_offsetz00_3659) - OBJECT_TYPE);
									{	/* SawMill/expr.scm 229 */
										long BgL_modz00_3661;

										BgL_modz00_3661 =
											(BgL_offsetz00_3660 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/expr.scm 229 */
											long BgL_restz00_3663;

											BgL_restz00_3663 =
												(BgL_offsetz00_3660 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/expr.scm 229 */

												{	/* SawMill/expr.scm 229 */
													obj_t BgL_bucketz00_3665;

													BgL_bucketz00_3665 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3656), BgL_modz00_3661);
													BgL_res2149z00_3684 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3665), BgL_restz00_3663);
					}}}}}}}}
					BgL_method1581z00_2591 = BgL_res2149z00_3684;
				}
				return
					PROCEDURE_ENTRY(BgL_method1581z00_2591) (BgL_method1581z00_2591,
					((obj_t) BgL_funz00_117), BEOA);
			}
		}

	}



/* &effects */
	obj_t BGl_z62effectsz62zzsaw_exprz00(obj_t BgL_envz00_3955,
		obj_t BgL_funz00_3956)
	{
		{	/* SawMill/expr.scm 229 */
			return
				BGl_effectsz00zzsaw_exprz00(((BgL_rtl_funz00_bglt) BgL_funz00_3956));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_loadgz00zzsaw_defsz00,
				BGl_proc2180z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_storegz00zzsaw_defsz00,
				BGl_proc2182z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vrefz00zzsaw_defsz00,
				BGl_proc2183z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_vsetz00zzsaw_defsz00,
				BGl_proc2184z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxrefz00zzsaw_defsz00,
				BGl_proc2185z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_boxsetz00zzsaw_defsz00,
				BGl_proc2186z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_getfieldz00zzsaw_defsz00,
				BGl_proc2187z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_setfieldz00zzsaw_defsz00,
				BGl_proc2188z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_applyz00zzsaw_defsz00,
				BGl_proc2189z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00, BGl_proc2190z00zzsaw_exprz00,
				BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_funcallz00zzsaw_defsz00,
				BGl_proc2191z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_pragmaz00zzsaw_defsz00,
				BGl_proc2192z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_protectz00zzsaw_defsz00,
				BGl_proc2193z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_effectszd2envzd2zzsaw_exprz00, BGl_rtl_callz00zzsaw_defsz00,
				BGl_proc2194z00zzsaw_exprz00, BGl_string2181z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_call1609 */
	obj_t BGl_z62effectszd2rtl_call1609zb0zzsaw_exprz00(obj_t BgL_envz00_3971,
		obj_t BgL_funz00_3972)
	{
		{	/* SawMill/expr.scm 244 */
			{	/* SawMill/expr.scm 245 */
				BgL_globalz00_bglt BgL_varz00_4130;

				BgL_varz00_4130 =
					(((BgL_rtl_callz00_bglt) COBJECT(
							((BgL_rtl_callz00_bglt) BgL_funz00_3972)))->BgL_varz00);
				{	/* SawMill/expr.scm 246 */
					obj_t BgL__ortest_1243z00_4131;

					BgL__ortest_1243z00_4131 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4130)))->BgL_idz00),
						(((BgL_globalz00_bglt) COBJECT(BgL_varz00_4130))->BgL_modulez00));
					if (CBOOL(BgL__ortest_1243z00_4131))
						{	/* SawMill/expr.scm 246 */
							return BgL__ortest_1243z00_4131;
						}
					else
						{	/* SawMill/expr.scm 246 */
							return BGl_manuzd2effectzd2zzsaw_exprz00(BgL_varz00_4130);
						}
				}
			}
		}

	}



/* &effects-rtl_protect1607 */
	obj_t BGl_z62effectszd2rtl_protect1607zb0zzsaw_exprz00(obj_t BgL_envz00_3973,
		obj_t BgL_funz00_3974)
	{
		{	/* SawMill/expr.scm 242 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_pragma1605 */
	obj_t BGl_z62effectszd2rtl_pragma1605zb0zzsaw_exprz00(obj_t BgL_envz00_3975,
		obj_t BgL_funz00_3976)
	{
		{	/* SawMill/expr.scm 241 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_funcall1603 */
	obj_t BGl_z62effectszd2rtl_funcall1603zb0zzsaw_exprz00(obj_t BgL_envz00_3977,
		obj_t BgL_funz00_3978)
	{
		{	/* SawMill/expr.scm 240 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_lightfun1601 */
	obj_t BGl_z62effectszd2rtl_lightfun1601zb0zzsaw_exprz00(obj_t BgL_envz00_3979,
		obj_t BgL_funz00_3980)
	{
		{	/* SawMill/expr.scm 239 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_apply1599 */
	obj_t BGl_z62effectszd2rtl_apply1599zb0zzsaw_exprz00(obj_t BgL_envz00_3981,
		obj_t BgL_funz00_3982)
	{
		{	/* SawMill/expr.scm 238 */
			return ((obj_t) BGl_za2fullza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_setfield1597 */
	obj_t BGl_z62effectszd2rtl_setfield1597zb0zzsaw_exprz00(obj_t BgL_envz00_3983,
		obj_t BgL_funz00_3984)
	{
		{	/* SawMill/expr.scm 237 */
			return ((obj_t) BGl_za2setfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_getfield1595 */
	obj_t BGl_z62effectszd2rtl_getfield1595zb0zzsaw_exprz00(obj_t BgL_envz00_3985,
		obj_t BgL_funz00_3986)
	{
		{	/* SawMill/expr.scm 236 */
			return ((obj_t) BGl_za2getfza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxset1593 */
	obj_t BGl_z62effectszd2rtl_boxset1593zb0zzsaw_exprz00(obj_t BgL_envz00_3987,
		obj_t BgL_funz00_3988)
	{
		{	/* SawMill/expr.scm 235 */
			return ((obj_t) BGl_za2boxsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_boxref1591 */
	obj_t BGl_z62effectszd2rtl_boxref1591zb0zzsaw_exprz00(obj_t BgL_envz00_3989,
		obj_t BgL_funz00_3990)
	{
		{	/* SawMill/expr.scm 234 */
			return ((obj_t) BGl_za2boxrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vset1589 */
	obj_t BGl_z62effectszd2rtl_vset1589zb0zzsaw_exprz00(obj_t BgL_envz00_3991,
		obj_t BgL_funz00_3992)
	{
		{	/* SawMill/expr.scm 233 */
			return ((obj_t) BGl_za2vsetza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_vref1587 */
	obj_t BGl_z62effectszd2rtl_vref1587zb0zzsaw_exprz00(obj_t BgL_envz00_3993,
		obj_t BgL_funz00_3994)
	{
		{	/* SawMill/expr.scm 232 */
			return ((obj_t) BGl_za2vrefza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_storeg1585 */
	obj_t BGl_z62effectszd2rtl_storeg1585zb0zzsaw_exprz00(obj_t BgL_envz00_3995,
		obj_t BgL_funz00_3996)
	{
		{	/* SawMill/expr.scm 231 */
			return ((obj_t) BGl_za2storegza2z00zzsaw_exprz00);
		}

	}



/* &effects-rtl_loadg1583 */
	obj_t BGl_z62effectszd2rtl_loadg1583zb0zzsaw_exprz00(obj_t BgL_envz00_3997,
		obj_t BgL_funz00_3998)
	{
		{	/* SawMill/expr.scm 230 */
			return ((obj_t) BGl_za2loadgza2z00zzsaw_exprz00);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_exprz00()
	{
		{	/* SawMill/expr.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2195z00zzsaw_exprz00));
		}

	}

#ifdef __cplusplus
}
#endif
