/*===========================================================================*/
/*   (SawMill/node2rtl.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/node2rtl.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                        *BgL_rtl_instanceofz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_funsz00;
		obj_t BgL_rettypez00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_areaz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_blockz00_bgl *BgL_entryz00;
		struct BgL_blockz00_bgl *BgL_exitz00;
	}              *BgL_areaz00_bglt;

	typedef struct BgL_reversedz00_bgl
	{
	}                  *BgL_reversedz00_bglt;

	typedef struct BgL_rlocalz00_bgl
	{
		obj_t BgL_regz00;
		obj_t BgL_codez00;
	}                *BgL_rlocalz00_bglt;


	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vref1709z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt);
	static BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt,
		BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2var1675z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vsetz121711z93zzsaw_node2rtlz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_rtl_pragmaz00zzsaw_defsz00;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 = BUNSPEC;
	static obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt,
		BgL_globalz00_bglt, obj_t);
	static BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2pragma1697z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt,
		BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	extern obj_t BGl_newz00zzast_nodez00;
	extern obj_t BGl_rtl_boxrefz00zzsaw_defsz00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62predicatezd2letzd2var1739z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_rtl_vrefz00zzsaw_defsz00;
	static obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00();
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1715z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2vlength1713z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_boxsetz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vlengthz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt,
		obj_t);
	extern obj_t BGl_rtl_makeboxz00zzsaw_defsz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00();
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sequence1681z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2valloc1707z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32121ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_vsetz00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00();
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2app1691z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_vallocz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_cast_nullz00zzsaw_defsz00;
	extern obj_t BGl_rtl_loadfunz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static bool_t BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00;
	static BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_funz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62predicatezd2conditiona1737zb0zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_reversedz00zzsaw_node2rtlz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00();
	static BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2atom1673z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_z62predicate1732z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_jumpexitz00zzsaw_defsz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2getfield1700z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62predicatezd2atom1735zb0zzsaw_node2rtlz00(obj_t,
		obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1689z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt,
		BgL_areaz00_bglt);
	extern obj_t BGl_rtl_instanceofz00zzsaw_defsz00;
	extern obj_t BGl_rtl_setfieldz00zzsaw_defsz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t, BgL_rtl_regz00_bglt);
	static BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt,
		obj_t, BgL_rtl_regz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t);
	extern obj_t BGl_rtl_ifz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	extern obj_t BGl_rtl_selectz00zzsaw_defsz00;
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static BgL_blockz00_bglt BGl_z62lambda2102z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2103z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2107z62zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2108z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2ze3rtl1670z53zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_storegz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setfield1703z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2116z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt BGl_z62lambda2119z62zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2appzd2ly1693z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1721z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_blockz00_bglt BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_rtl_returnz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2new1705z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2132z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2cast1717z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2135z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_localz00_bglt BGl_z62lambda2138z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_z62lambda2145z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62lambda2146z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_loadgz00zzsaw_defsz00;
	static obj_t BGl_areaz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1719z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2switch1687z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_rtl_failz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2151z62zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t, obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1685z81zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00();
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00();
	static obj_t BGl_z62zc3z04anonymousza32096ze3ze5zzsaw_node2rtlz00(obj_t,
		obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1729z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2fail1725z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static BgL_areaz00_bglt BGl_z62lambda2092z62zzsaw_node2rtlz00(obj_t, obj_t,
		obj_t);
	static BgL_areaz00_bglt BGl_z62lambda2094z62zzsaw_node2rtlz00(obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1727z53zzsaw_node2rtlz00(obj_t, obj_t);
	static obj_t BGl_rlocalz00zzsaw_node2rtlz00 = BUNSPEC;
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121731z41zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1677z53zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setq1679z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt);
	extern obj_t BGl_rtl_getfieldz00zzsaw_defsz00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2funcall1695z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	static obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t);
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1723z81zzsaw_node2rtlz00(obj_t, obj_t);
	extern obj_t BGl_castzd2nullzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	static BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2sync1683z81zzsaw_node2rtlz00(obj_t, obj_t);
	static BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t,
		obj_t);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_rtl_protectedz00zzsaw_defsz00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t,
		BgL_rtl_regz00_bglt);
	static BgL_globalz00_bglt
		BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt);
	static obj_t __cnst[16];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza762za72790za7, BGl_z62predicatez62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2791za7,
		BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2726z00zzsaw_node2rtlz00,
		BgL_bgl_string2726za700za7za7s2792za7, "switch", 6);
	      DEFINE_STRING(BGl_string2727z00zzsaw_node2rtlz00,
		BgL_bgl_string2727za700za7za7s2793za7, "bad constant", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2728z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2103za7622794z00, BGl_z62lambda2103z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2729z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2102za7622795z00, BGl_z62lambda2102z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2730z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2108za7622796z00, BGl_z62lambda2108z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2731z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2107za7622797z00, BGl_z62lambda2107z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2732z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2798za7,
		BGl_z62zc3z04anonymousza32096ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2733z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2094za7622799z00, BGl_z62lambda2094z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2734z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2092za7622800z00, BGl_z62lambda2092z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2735z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2122za7622801z00, BGl_z62lambda2122z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2736z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2802za7,
		BGl_z62zc3z04anonymousza32121ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2737z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2119za7622803z00, BGl_z62lambda2119z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2738z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2116za7622804z00, BGl_z62lambda2116z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2739z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2146za7622805z00, BGl_z62lambda2146z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2748z00zzsaw_node2rtlz00,
		BgL_bgl_string2748za700za7za7s2806za7, "node->rtl1670", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2740z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2145za7622807z00, BGl_z62lambda2145z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2741z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2152za7622808z00, BGl_z62lambda2152z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2742z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2151za7622809z00, BGl_z62lambda2151z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2743z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2138za7622810z00, BGl_z62lambda2138z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2750z00zzsaw_node2rtlz00,
		BgL_bgl_string2750za700za7za7s2811za7, "predicate1732", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2744z00zzsaw_node2rtlz00,
		BgL_bgl_za762za7c3za704anonymo2812za7,
		BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2751z00zzsaw_node2rtlz00,
		BgL_bgl_string2751za700za7za7s2813za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2745z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2135za7622814z00, BGl_z62lambda2135z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2746z00zzsaw_node2rtlz00,
		BgL_bgl_za762lambda2132za7622815z00, BGl_z62lambda2132z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 15);
	      DEFINE_STRING(BGl_string2753z00zzsaw_node2rtlz00,
		BgL_bgl_string2753za700za7za7s2816za7, "node->rtl::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2747z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2817za7,
		BGl_z62nodezd2ze3rtl1670z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2749z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicate17322818za7, BGl_z62predicate1732z62zzsaw_node2rtlz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2819za7,
		BGl_z62nodezd2ze3rtlzd2atom1673z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2820za7,
		BGl_z62nodezd2ze3rtlzd2var1675z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2821za7,
		BGl_z62nodezd2ze3rtlzd2letzd2var1677z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2822za7,
		BGl_z62nodezd2ze3rtlzd2setq1679z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2823za7,
		BGl_z62nodezd2ze3rtlzd2sequence1681z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2824za7,
		BGl_z62nodezd2ze3rtlzd2sync1683z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2759z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2825za7,
		BGl_z62nodezd2ze3rtlzd2conditiona1685z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2760z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2826za7,
		BGl_z62nodezd2ze3rtlzd2switch1687z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2761z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2827za7,
		BGl_z62nodezd2ze3rtlzd2letzd2fun1689z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2828za7,
		BGl_z62nodezd2ze3rtlzd2app1691z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2763z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2829za7,
		BGl_z62nodezd2ze3rtlzd2appzd2ly1693z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2764z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2830za7,
		BGl_z62nodezd2ze3rtlzd2funcall1695z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2765z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2831za7,
		BGl_z62nodezd2ze3rtlzd2pragma1697z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2832za7,
		BGl_z62nodezd2ze3rtlzd2getfield1700z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2767z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2833za7,
		BGl_z62nodezd2ze3rtlzd2setfield1703z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2834za7,
		BGl_z62nodezd2ze3rtlzd2new1705z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2835za7,
		BGl_z62nodezd2ze3rtlzd2valloc1707z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2836za7,
		BGl_z62nodezd2ze3rtlzd2vref1709z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2837za7,
		BGl_z62nodezd2ze3rtlzd2vsetz121711z93zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2772z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2838za7,
		BGl_z62nodezd2ze3rtlzd2vlength1713z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2773z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2839za7,
		BGl_z62nodezd2ze3rtlzd2instanceof1715z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2774z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2840za7,
		BGl_z62nodezd2ze3rtlzd2cast1717z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2775z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2841za7,
		BGl_z62nodezd2ze3rtlzd2castzd2null1719z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2776z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2842za7,
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1721z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2783z00zzsaw_node2rtlz00,
		BgL_bgl_string2783za700za7za7s2843za7, "predicate::area", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2777z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2844za7,
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1723z81zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2778z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2845za7,
		BGl_z62nodezd2ze3rtlzd2fail1725z81zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2779z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2846za7,
		BGl_z62nodezd2ze3rtlzd2makezd2box1727z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2786z00zzsaw_node2rtlz00,
		BgL_bgl_string2786za700za7za7s2847za7, "saw_node2rtl", 12);
	      DEFINE_STRING(BGl_string2787z00zzsaw_node2rtlz00,
		BgL_bgl_string2787za700za7za7s2848za7,
		"light elight node->rtl1670 _ rlocal code obj reg reversed saw_node2rtl area exit entry __evmeaning_address else procedure ",
		122);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2780z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2849za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1729z53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2781z00zzsaw_node2rtlz00,
		BgL_bgl_za762nodeza7d2za7e3rtl2850za7,
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121731z41zzsaw_node2rtlz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2782z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2a2851z00,
		BGl_z62predicatezd2atom1735zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2784z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2c2852z00,
		BGl_z62predicatezd2conditiona1737zb0zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2785z00zzsaw_node2rtlz00,
		BgL_bgl_za762predicateza7d2l2853z00,
		BGl_z62predicatezd2letzd2var1739z62zzsaw_node2rtlz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzd2ze3rtlzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762globalza7d2za7e3r2854za7,
		BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzd2ze3regzd2envze3zzsaw_node2rtlz00,
		BgL_bgl_za762localza7d2za7e3re2855za7,
		BGl_z62localzd2ze3regz53zzsaw_node2rtlz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_reversedz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_areaz00zzsaw_node2rtlz00));
		     ADD_ROOT((void *) (&BGl_rlocalz00zzsaw_node2rtlz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long
		BgL_checksumz00_5993, char *BgL_fromz00_5994)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_node2rtlz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_node2rtlz00();
					BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_cnstzd2initzd2zzsaw_node2rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00();
					BGl_objectzd2initzd2zzsaw_node2rtlz00();
					BGl_genericzd2initzd2zzsaw_node2rtlz00();
					BGl_methodzd2initzd2zzsaw_node2rtlz00();
					return BGl_toplevelzd2initzd2zzsaw_node2rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_node2rtl");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "saw_node2rtl");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 1 */
				obj_t BgL_cportz00_5460;

				{	/* SawMill/node2rtl.scm 1 */
					obj_t BgL_stringz00_5468;

					BgL_stringz00_5468 = BGl_string2787z00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 1 */
						obj_t BgL_startz00_5469;

						BgL_startz00_5469 = BINT(((long) 0));
						{	/* SawMill/node2rtl.scm 1 */
							obj_t BgL_endz00_5470;

							BgL_endz00_5470 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5468)));
							{	/* SawMill/node2rtl.scm 1 */

								BgL_cportz00_5460 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5468, BgL_startz00_5469, BgL_endz00_5470);
				}}}}
				{
					long BgL_iz00_5461;

					BgL_iz00_5461 = ((long) 15);
				BgL_loopz00_5462:
					if ((BgL_iz00_5461 == ((long) -1)))
						{	/* SawMill/node2rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/node2rtl.scm 1 */
							{	/* SawMill/node2rtl.scm 1 */
								obj_t BgL_arg2789z00_5464;

								{	/* SawMill/node2rtl.scm 1 */

									{	/* SawMill/node2rtl.scm 1 */
										obj_t BgL_locationz00_5466;

										BgL_locationz00_5466 = BBOOL(((bool_t) 0));
										{	/* SawMill/node2rtl.scm 1 */

											BgL_arg2789z00_5464 =
												BGl_readz00zz__readerz00(BgL_cportz00_5460,
												BgL_locationz00_5466);
										}
									}
								}
								{	/* SawMill/node2rtl.scm 1 */
									int BgL_tmpz00_6028;

									BgL_tmpz00_6028 = (int) (BgL_iz00_5461);
									CNST_TABLE_SET(BgL_tmpz00_6028, BgL_arg2789z00_5464);
							}}
							{	/* SawMill/node2rtl.scm 1 */
								int BgL_auxz00_5467;

								BgL_auxz00_5467 = (int) ((BgL_iz00_5461 - ((long) 1)));
								{
									long BgL_iz00_6033;

									BgL_iz00_6033 = (long) (BgL_auxz00_5467);
									BgL_iz00_5461 = BgL_iz00_6033;
									goto BgL_loopz00_5462;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_za2reversezd2callzd2argumentza2z00zzsaw_node2rtlz00 = ((bool_t) 0);
			return BUNSPEC;
		}

	}



/* global->rtl */
	BGL_EXPORTED_DEF BgL_blockz00_bglt
		BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(BgL_globalz00_bglt BgL_varz00_96)
	{
		{	/* SawMill/node2rtl.scm 33 */
			{	/* SawMill/node2rtl.scm 34 */
				BgL_areaz00_bglt BgL_az00_2234;

				{	/* SawMill/node2rtl.scm 34 */
					BgL_rtl_returnz00_bglt BgL_arg1788z00_2257;
					obj_t BgL_arg1789z00_2258;

					{	/* SawMill/node2rtl.scm 34 */
						BgL_rtl_returnz00_bglt BgL_new1196z00_2260;

						{	/* SawMill/node2rtl.scm 34 */
							BgL_rtl_returnz00_bglt BgL_new1195z00_2261;

							BgL_new1195z00_2261 =
								((BgL_rtl_returnz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_returnz00_bgl))));
							{	/* SawMill/node2rtl.scm 34 */
								long BgL_arg1799z00_2262;

								BgL_arg1799z00_2262 =
									BGL_CLASS_NUM(BGl_rtl_returnz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1195z00_2261),
									BgL_arg1799z00_2262);
							}
							BgL_new1196z00_2260 = BgL_new1195z00_2261;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1196z00_2260)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_returnz00_bglt) COBJECT(BgL_new1196z00_2260))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) BgL_varz00_96)))->
									BgL_typez00)), BUNSPEC);
						BgL_arg1788z00_2257 = BgL_new1196z00_2260;
					}
					BgL_arg1789z00_2258 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_varz00_96)))->
										BgL_valuez00))))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 34 */
						obj_t BgL_list1790z00_2259;

						BgL_list1790z00_2259 = MAKE_YOUNG_PAIR(BgL_arg1789z00_2258, BNIL);
						BgL_az00_2234 =
							BGl_callza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1788z00_2257),
							BgL_list1790z00_2259);
				}}
				{	/* SawMill/node2rtl.scm 37 */
					struct bgl_cell BgL_box2858_5457z00;
					BgL_blockz00_bglt BgL_rz00_2235;
					obj_t BgL_nz00_5457;

					BgL_rz00_2235 =
						(((BgL_areaz00_bglt) COBJECT(BgL_az00_2234))->BgL_entryz00);
					BgL_nz00_5457 =
						MAKE_CELL_STACK(BINT(((long) 0)), BgL_box2858_5457z00);
					BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5457,
						((obj_t) BgL_rz00_2235));
					return BgL_rz00_2235;
				}
			}
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_node2rtlz00(obj_t BgL_nz00_5455,
		obj_t BgL_bz00_2238)
	{
		{	/* SawMill/node2rtl.scm 38 */
			{	/* SawMill/node2rtl.scm 39 */
				BgL_reversedz00_bglt BgL_wide1199z00_2242;

				BgL_wide1199z00_2242 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 39 */
					obj_t BgL_auxz00_6061;
					BgL_objectz00_bglt BgL_tmpz00_6057;

					BgL_auxz00_6061 = ((obj_t) BgL_wide1199z00_2242);
					BgL_tmpz00_6057 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2238)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6057, BgL_auxz00_6061);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2238)));
				{	/* SawMill/node2rtl.scm 39 */
					long BgL_arg1772z00_2243;

					BgL_arg1772z00_2243 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_bz00_2238))), BgL_arg1772z00_2243);
				}
				((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2238)));
			}
			((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_2238));
			{	/* SawMill/node2rtl.scm 40 */
				int BgL_vz00_3825;

				BgL_vz00_3825 = CINT(CELL_REF(BgL_nz00_5455));
				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_2238)))->BgL_labelz00) =
					((int) BgL_vz00_3825), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 41 */
				obj_t BgL_auxz00_5456;

				BgL_auxz00_5456 = ADDFX(CELL_REF(BgL_nz00_5455), BINT(((long) 1)));
				CELL_SET(BgL_nz00_5455, BgL_auxz00_5456);
			}
			{	/* SawMill/node2rtl.scm 42 */
				obj_t BgL_g1576z00_2245;

				BgL_g1576z00_2245 =
					(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_bz00_2238)))->BgL_succsz00);
				{
					obj_t BgL_l1574z00_2247;

					BgL_l1574z00_2247 = BgL_g1576z00_2245;
				BgL_zc3z04anonymousza31773ze3z87_2248:
					if (PAIRP(BgL_l1574z00_2247))
						{	/* SawMill/node2rtl.scm 45 */
							{	/* SawMill/node2rtl.scm 43 */
								obj_t BgL_sz00_2250;

								BgL_sz00_2250 = CAR(BgL_l1574z00_2247);
								{	/* SawMill/node2rtl.scm 43 */
									obj_t BgL_arg1777z00_2251;

									{	/* SawMill/node2rtl.scm 43 */
										obj_t BgL_arg1781z00_2252;

										BgL_arg1781z00_2252 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_sz00_2250)))->BgL_predsz00);
										BgL_arg1777z00_2251 =
											MAKE_YOUNG_PAIR(BgL_bz00_2238, BgL_arg1781z00_2252);
									}
									{	/* SawMill/node2rtl.scm 43 */
										obj_t BgL_vz00_3831;

										BgL_vz00_3831 = BgL_arg1777z00_2251;
										((((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_sz00_2250)))->
												BgL_predsz00) = ((obj_t) BgL_vz00_3831), BUNSPEC);
									}
								}
								{	/* SawMill/node2rtl.scm 44 */
									bool_t BgL_test2860z00_6092;

									{	/* SawMill/node2rtl.scm 44 */
										obj_t BgL_classz00_3832;

										BgL_classz00_3832 = BGl_reversedz00zzsaw_node2rtlz00;
										if (BGL_OBJECTP(BgL_sz00_2250))
											{	/* SawMill/node2rtl.scm 44 */
												obj_t BgL_oclassz00_3834;

												{	/* SawMill/node2rtl.scm 44 */
													long BgL_arg1833z00_3836;

													{	/* SawMill/node2rtl.scm 44 */
														long BgL_arg1834z00_3837;

														BgL_arg1834z00_3837 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt) BgL_sz00_2250));
														BgL_arg1833z00_3836 =
															(BgL_arg1834z00_3837 - OBJECT_TYPE);
													}
													BgL_oclassz00_3834 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3836);
												}
												BgL_test2860z00_6092 =
													(BgL_oclassz00_3834 == BgL_classz00_3832);
											}
										else
											{	/* SawMill/node2rtl.scm 44 */
												BgL_test2860z00_6092 = ((bool_t) 0);
											}
									}
									if (BgL_test2860z00_6092)
										{	/* SawMill/node2rtl.scm 44 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 44 */
											BGl_dfsze70ze7zzsaw_node2rtlz00(BgL_nz00_5455,
												BgL_sz00_2250);
										}
								}
							}
							{
								obj_t BgL_l1574z00_6101;

								BgL_l1574z00_6101 = CDR(BgL_l1574z00_2247);
								BgL_l1574z00_2247 = BgL_l1574z00_6101;
								goto BgL_zc3z04anonymousza31773ze3z87_2248;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 45 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &global->rtl */
	BgL_blockz00_bglt BGl_z62globalzd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5262, obj_t BgL_varz00_5263)
	{
		{	/* SawMill/node2rtl.scm 33 */
			return
				BGl_globalzd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_globalz00_bglt) BgL_varz00_5263));
		}

	}



/* get-global */
	BgL_globalz00_bglt BGl_getzd2globalzd2zzsaw_node2rtlz00(BgL_globalz00_bglt
		BgL_varz00_97)
	{
		{	/* SawMill/node2rtl.scm 48 */
			BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
				((BgL_variablez00_bglt) BgL_varz00_97));
			if (CBOOL((((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00)))
				{	/* SawMill/node2rtl.scm 52 */
					obj_t BgL_unaliasz00_2266;

					{	/* SawMill/node2rtl.scm 52 */
						obj_t BgL_arg1805z00_2268;
						obj_t BgL_arg1807z00_2269;

						BgL_arg1805z00_2268 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_aliasz00);
						BgL_arg1807z00_2269 =
							(((BgL_globalz00_bglt) COBJECT(BgL_varz00_97))->BgL_modulez00);
						{	/* SawMill/node2rtl.scm 52 */
							obj_t BgL_list1808z00_2270;

							BgL_list1808z00_2270 = MAKE_YOUNG_PAIR(BgL_arg1807z00_2269, BNIL);
							BgL_unaliasz00_2266 =
								BGl_findzd2globalzd2zzast_envz00(BgL_arg1805z00_2268,
								BgL_list1808z00_2270);
						}
					}
					{	/* SawMill/node2rtl.scm 53 */
						bool_t BgL_test2863z00_6114;

						{	/* SawMill/node2rtl.scm 53 */
							obj_t BgL_classz00_3844;

							BgL_classz00_3844 = BGl_globalz00zzast_varz00;
							if (BGL_OBJECTP(BgL_unaliasz00_2266))
								{	/* SawMill/node2rtl.scm 53 */
									BgL_objectz00_bglt BgL_arg1825z00_3846;

									BgL_arg1825z00_3846 =
										(BgL_objectz00_bglt) (BgL_unaliasz00_2266);
									{	/* SawMill/node2rtl.scm 53 */
										bool_t BgL_arg1822z00_3849;
										bool_t BgL_arg1823z00_3850;

										{	/* SawMill/node2rtl.scm 53 */
											long BgL_idxz00_3853;

											BgL_idxz00_3853 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3846);
											BgL_arg1822z00_3849 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3853 + ((long) 2))) == BgL_classz00_3844);
										}
										{	/* SawMill/node2rtl.scm 53 */
											bool_t BgL_res2686z00_3875;

											{	/* SawMill/node2rtl.scm 53 */
												obj_t BgL_oclassz00_3861;

												{	/* SawMill/node2rtl.scm 53 */
													long BgL_arg1833z00_3867;

													{	/* SawMill/node2rtl.scm 53 */
														long BgL_arg1834z00_3868;

														BgL_arg1834z00_3868 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3846);
														BgL_arg1833z00_3867 =
															(BgL_arg1834z00_3868 - OBJECT_TYPE);
													}
													BgL_oclassz00_3861 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3867);
												}
												{	/* SawMill/node2rtl.scm 53 */
													bool_t BgL__ortest_1110z00_3862;

													BgL__ortest_1110z00_3862 =
														(BgL_classz00_3844 == BgL_oclassz00_3861);
													if (BgL__ortest_1110z00_3862)
														{	/* SawMill/node2rtl.scm 53 */
															BgL_res2686z00_3875 = BgL__ortest_1110z00_3862;
														}
													else
														{	/* SawMill/node2rtl.scm 53 */
															long BgL_odepthz00_3863;

															BgL_odepthz00_3863 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3861);
															if ((((long) 2) < BgL_odepthz00_3863))
																{	/* SawMill/node2rtl.scm 53 */
																	obj_t BgL_arg1821z00_3865;

																	BgL_arg1821z00_3865 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3861,
																		((long) 2));
																	BgL_res2686z00_3875 =
																		(BgL_arg1821z00_3865 == BgL_classz00_3844);
																}
															else
																{	/* SawMill/node2rtl.scm 53 */
																	BgL_res2686z00_3875 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3850 = BgL_res2686z00_3875;
										}
										BgL_test2863z00_6114 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3849,
											BgL_arg1823z00_3850);
									}
								}
							else
								{	/* SawMill/node2rtl.scm 53 */
									BgL_test2863z00_6114 = ((bool_t) 0);
								}
						}
						if (BgL_test2863z00_6114)
							{	/* SawMill/node2rtl.scm 53 */
								BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(
									((BgL_variablez00_bglt) BgL_unaliasz00_2266));
								return ((BgL_globalz00_bglt) BgL_unaliasz00_2266);
							}
						else
							{	/* SawMill/node2rtl.scm 53 */
								return BgL_varz00_97;
							}
					}
				}
			else
				{	/* SawMill/node2rtl.scm 51 */
					return BgL_varz00_97;
				}
		}

	}



/* new-reg */
	BgL_rtl_regz00_bglt BGl_newzd2regzd2zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_98)
	{
		{	/* SawMill/node2rtl.scm 63 */
			{	/* SawMill/node2rtl.scm 64 */
				bool_t BgL_test2867z00_6136;

				{	/* SawMill/node2rtl.scm 64 */
					obj_t BgL_classz00_3876;

					BgL_classz00_3876 = BGl_varz00zzast_nodez00;
					{	/* SawMill/node2rtl.scm 64 */
						BgL_objectz00_bglt BgL_arg1825z00_3878;

						{	/* SawMill/node2rtl.scm 64 */
							obj_t BgL_tmpz00_6137;

							BgL_tmpz00_6137 = ((obj_t) BgL_ez00_98);
							BgL_arg1825z00_3878 = (BgL_objectz00_bglt) (BgL_tmpz00_6137);
						}
						{	/* SawMill/node2rtl.scm 64 */
							bool_t BgL_arg1822z00_3881;
							bool_t BgL_arg1823z00_3882;

							{	/* SawMill/node2rtl.scm 64 */
								long BgL_idxz00_3885;

								BgL_idxz00_3885 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3878);
								BgL_arg1822z00_3881 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3885 + ((long) 2))) == BgL_classz00_3876);
							}
							{	/* SawMill/node2rtl.scm 64 */
								bool_t BgL_res2687z00_3907;

								{	/* SawMill/node2rtl.scm 64 */
									obj_t BgL_oclassz00_3893;

									{	/* SawMill/node2rtl.scm 64 */
										long BgL_arg1833z00_3899;

										{	/* SawMill/node2rtl.scm 64 */
											long BgL_arg1834z00_3900;

											BgL_arg1834z00_3900 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3878);
											BgL_arg1833z00_3899 = (BgL_arg1834z00_3900 - OBJECT_TYPE);
										}
										BgL_oclassz00_3893 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3899);
									}
									{	/* SawMill/node2rtl.scm 64 */
										bool_t BgL__ortest_1110z00_3894;

										BgL__ortest_1110z00_3894 =
											(BgL_classz00_3876 == BgL_oclassz00_3893);
										if (BgL__ortest_1110z00_3894)
											{	/* SawMill/node2rtl.scm 64 */
												BgL_res2687z00_3907 = BgL__ortest_1110z00_3894;
											}
										else
											{	/* SawMill/node2rtl.scm 64 */
												long BgL_odepthz00_3895;

												BgL_odepthz00_3895 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3893);
												if ((((long) 2) < BgL_odepthz00_3895))
													{	/* SawMill/node2rtl.scm 64 */
														obj_t BgL_arg1821z00_3897;

														BgL_arg1821z00_3897 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3893,
															((long) 2));
														BgL_res2687z00_3907 =
															(BgL_arg1821z00_3897 == BgL_classz00_3876);
													}
												else
													{	/* SawMill/node2rtl.scm 64 */
														BgL_res2687z00_3907 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3882 = BgL_res2687z00_3907;
							}
							BgL_test2867z00_6136 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3881, BgL_arg1823z00_3882);
						}
					}
				}
				if (BgL_test2867z00_6136)
					{	/* SawMill/node2rtl.scm 65 */
						bool_t BgL_test2870z00_6155;

						{	/* SawMill/node2rtl.scm 65 */
							BgL_valuez00_bglt BgL_arg1848z00_2288;

							BgL_arg1848z00_2288 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_98)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 65 */
								obj_t BgL_classz00_3910;

								BgL_classz00_3910 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 65 */
									BgL_objectz00_bglt BgL_arg1825z00_3912;

									{	/* SawMill/node2rtl.scm 65 */
										obj_t BgL_tmpz00_6159;

										BgL_tmpz00_6159 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1848z00_2288));
										BgL_arg1825z00_3912 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6159);
									}
									{	/* SawMill/node2rtl.scm 65 */
										bool_t BgL_arg1822z00_3915;
										bool_t BgL_arg1823z00_3916;

										{	/* SawMill/node2rtl.scm 65 */
											long BgL_idxz00_3919;

											BgL_idxz00_3919 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3912);
											BgL_arg1822z00_3915 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3919 + ((long) 3))) == BgL_classz00_3910);
										}
										{	/* SawMill/node2rtl.scm 65 */
											bool_t BgL_res2688z00_3941;

											{	/* SawMill/node2rtl.scm 65 */
												obj_t BgL_oclassz00_3927;

												{	/* SawMill/node2rtl.scm 65 */
													long BgL_arg1833z00_3933;

													{	/* SawMill/node2rtl.scm 65 */
														long BgL_arg1834z00_3934;

														BgL_arg1834z00_3934 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3912);
														BgL_arg1833z00_3933 =
															(BgL_arg1834z00_3934 - OBJECT_TYPE);
													}
													BgL_oclassz00_3927 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3933);
												}
												{	/* SawMill/node2rtl.scm 65 */
													bool_t BgL__ortest_1110z00_3928;

													BgL__ortest_1110z00_3928 =
														(BgL_classz00_3910 == BgL_oclassz00_3927);
													if (BgL__ortest_1110z00_3928)
														{	/* SawMill/node2rtl.scm 65 */
															BgL_res2688z00_3941 = BgL__ortest_1110z00_3928;
														}
													else
														{	/* SawMill/node2rtl.scm 65 */
															long BgL_odepthz00_3929;

															BgL_odepthz00_3929 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3927);
															if ((((long) 3) < BgL_odepthz00_3929))
																{	/* SawMill/node2rtl.scm 65 */
																	obj_t BgL_arg1821z00_3931;

																	BgL_arg1821z00_3931 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3927,
																		((long) 3));
																	BgL_res2688z00_3941 =
																		(BgL_arg1821z00_3931 == BgL_classz00_3910);
																}
															else
																{	/* SawMill/node2rtl.scm 65 */
																	BgL_res2688z00_3941 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3916 = BgL_res2688z00_3941;
										}
										BgL_test2870z00_6155 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3915,
											BgL_arg1823z00_3916);
									}
								}
							}
						}
						if (BgL_test2870z00_6155)
							{	/* SawMill/node2rtl.scm 66 */
								BgL_rtl_regz00_bglt BgL_new1203z00_2275;

								{	/* SawMill/node2rtl.scm 67 */
									BgL_rtl_regz00_bglt BgL_new1202z00_2279;

									BgL_new1202z00_2279 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 67 */
										long BgL_arg1824z00_2280;

										BgL_arg1824z00_2280 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1202z00_2279),
											BgL_arg1824z00_2280);
									}
									{	/* SawMill/node2rtl.scm 67 */
										BgL_objectz00_bglt BgL_tmpz00_6182;

										BgL_tmpz00_6182 =
											((BgL_objectz00_bglt) BgL_new1202z00_2279);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6182, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1202z00_2279);
									BgL_new1203z00_2275 = BgL_new1202z00_2279;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
										BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long)
													0)))), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6191;

									{	/* SawMill/node2rtl.scm 69 */

										{	/* SawMill/node2rtl.scm 69 */

											BgL_auxz00_6191 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6191), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6194;

									{	/* SawMill/node2rtl.scm 69 */
										obj_t BgL_arg1817z00_2277;

										{	/* SawMill/node2rtl.scm 69 */
											obj_t BgL_arg1818z00_2278;

											{	/* SawMill/node2rtl.scm 69 */
												obj_t BgL_classz00_3946;

												BgL_classz00_3946 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1818z00_2278 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_3946);
											}
											BgL_arg1817z00_2277 =
												VECTOR_REF(BgL_arg1818z00_2278, ((long) 4));
										}
										BgL_auxz00_6194 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1817z00_2277);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6194), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1203z00_2275))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1203z00_2275;
							}
						else
							{	/* SawMill/node2rtl.scm 70 */
								BgL_rtl_regz00_bglt BgL_new1205z00_2281;

								{	/* SawMill/node2rtl.scm 71 */
									BgL_rtl_regz00_bglt BgL_new1204z00_2286;

									BgL_new1204z00_2286 =
										((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_regz00_bgl))));
									{	/* SawMill/node2rtl.scm 71 */
										long BgL_arg1842z00_2287;

										BgL_arg1842z00_2287 =
											BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1204z00_2286),
											BgL_arg1842z00_2287);
									}
									{	/* SawMill/node2rtl.scm 71 */
										BgL_objectz00_bglt BgL_tmpz00_6204;

										BgL_tmpz00_6204 =
											((BgL_objectz00_bglt) BgL_new1204z00_2286);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6204, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1204z00_2286);
									BgL_new1205z00_2281 = BgL_new1204z00_2286;
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																	BgL_ez00_98)))->BgL_variablez00)))->
											BgL_typez00)), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
										BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
										BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
								{
									obj_t BgL_auxz00_6214;

									{	/* SawMill/node2rtl.scm 73 */

										{	/* SawMill/node2rtl.scm 73 */

											BgL_auxz00_6214 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
									}}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
											BgL_namez00) = ((obj_t) BgL_auxz00_6214), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_6217;

									{	/* SawMill/node2rtl.scm 73 */
										obj_t BgL_arg1838z00_2284;

										{	/* SawMill/node2rtl.scm 73 */
											obj_t BgL_arg1839z00_2285;

											{	/* SawMill/node2rtl.scm 73 */
												obj_t BgL_classz00_3954;

												BgL_classz00_3954 = BGl_rtl_regz00zzsaw_defsz00;
												BgL_arg1839z00_2285 =
													BGL_CLASS_ALL_FIELDS(BgL_classz00_3954);
											}
											BgL_arg1838z00_2284 =
												VECTOR_REF(BgL_arg1839z00_2285, ((long) 4));
										}
										BgL_auxz00_6217 =
											BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
											(BgL_arg1838z00_2284);
									}
									((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
											BgL_keyz00) = ((obj_t) BgL_auxz00_6217), BUNSPEC);
								}
								((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1205z00_2281))->
										BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
								return BgL_new1205z00_2281;
							}
					}
				else
					{	/* SawMill/node2rtl.scm 74 */
						BgL_rtl_regz00_bglt BgL_new1207z00_2290;

						{	/* SawMill/node2rtl.scm 74 */
							BgL_rtl_regz00_bglt BgL_new1206z00_2294;

							BgL_new1206z00_2294 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/node2rtl.scm 74 */
								long BgL_arg1854z00_2295;

								BgL_arg1854z00_2295 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1206z00_2294),
									BgL_arg1854z00_2295);
							}
							{	/* SawMill/node2rtl.scm 74 */
								BgL_objectz00_bglt BgL_tmpz00_6227;

								BgL_tmpz00_6227 = ((BgL_objectz00_bglt) BgL_new1206z00_2294);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6227, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1206z00_2294);
							BgL_new1207z00_2290 = BgL_new1206z00_2294;
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
								BgL_typez00) =
							((BgL_typez00_bglt) BGl_getzd2typezd2zztype_typeofz00(BgL_ez00_98,
									((bool_t) 0))), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
								BgL_varz00) = ((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
								BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
						{
							obj_t BgL_auxz00_6235;

							{	/* SawMill/node2rtl.scm 74 */

								{	/* SawMill/node2rtl.scm 74 */

									BgL_auxz00_6235 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
									BgL_namez00) = ((obj_t) BgL_auxz00_6235), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6238;

							{	/* SawMill/node2rtl.scm 74 */
								obj_t BgL_arg1850z00_2292;

								{	/* SawMill/node2rtl.scm 74 */
									obj_t BgL_arg1852z00_2293;

									{	/* SawMill/node2rtl.scm 74 */
										obj_t BgL_classz00_3960;

										BgL_classz00_3960 = BGl_rtl_regz00zzsaw_defsz00;
										BgL_arg1852z00_2293 =
											BGL_CLASS_ALL_FIELDS(BgL_classz00_3960);
									}
									BgL_arg1850z00_2292 =
										VECTOR_REF(BgL_arg1852z00_2293, ((long) 4));
								}
								BgL_auxz00_6238 =
									BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
									(BgL_arg1850z00_2292);
							}
							((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
									BgL_keyz00) = ((obj_t) BgL_auxz00_6238), BUNSPEC);
						}
						((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1207z00_2290))->
								BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
						return BgL_new1207z00_2290;
					}
			}
		}

	}



/* new-ureg */
	BgL_rtl_regz00_bglt BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_varz00_99)
	{
		{	/* SawMill/node2rtl.scm 76 */
			{	/* SawMill/node2rtl.scm 77 */
				BgL_rtl_regz00_bglt BgL_new1209z00_2296;

				{	/* SawMill/node2rtl.scm 77 */
					BgL_rtl_regz00_bglt BgL_new1208z00_2301;

					BgL_new1208z00_2301 =
						((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regz00_bgl))));
					{	/* SawMill/node2rtl.scm 77 */
						long BgL_arg1862z00_2302;

						BgL_arg1862z00_2302 = BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1208z00_2301), BgL_arg1862z00_2302);
					}
					{	/* SawMill/node2rtl.scm 77 */
						BgL_objectz00_bglt BgL_tmpz00_6248;

						BgL_tmpz00_6248 = ((BgL_objectz00_bglt) BgL_new1208z00_2301);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6248, BFALSE);
					}
					((BgL_objectz00_bglt) BgL_new1208z00_2301);
					BgL_new1209z00_2296 = BgL_new1208z00_2301;
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_variablez00_bglt)
								COBJECT(((BgL_variablez00_bglt) BgL_varz00_99)))->BgL_typez00)),
					BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->BgL_varz00) =
					((obj_t) ((obj_t) BgL_varz00_99)), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->
						BgL_onexprzf3zf3) = ((obj_t) BFALSE), BUNSPEC);
				{
					obj_t BgL_auxz00_6258;

					{	/* SawMill/node2rtl.scm 77 */
						obj_t BgL_arg1855z00_2297;

						{	/* SawMill/node2rtl.scm 77 */
							obj_t BgL_arg1856z00_2298;

							{	/* SawMill/node2rtl.scm 77 */
								obj_t BgL_classz00_3967;

								BgL_classz00_3967 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1856z00_2298 = BGL_CLASS_ALL_FIELDS(BgL_classz00_3967);
							}
							BgL_arg1855z00_2297 = VECTOR_REF(BgL_arg1856z00_2298, ((long) 3));
						}
						BgL_auxz00_6258 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1855z00_2297);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->BgL_namez00) =
						((obj_t) BgL_auxz00_6258), BUNSPEC);
				}
				{
					obj_t BgL_auxz00_6263;

					{	/* SawMill/node2rtl.scm 77 */
						obj_t BgL_arg1857z00_2299;

						{	/* SawMill/node2rtl.scm 77 */
							obj_t BgL_arg1858z00_2300;

							{	/* SawMill/node2rtl.scm 77 */
								obj_t BgL_classz00_3969;

								BgL_classz00_3969 = BGl_rtl_regz00zzsaw_defsz00;
								BgL_arg1858z00_2300 = BGL_CLASS_ALL_FIELDS(BgL_classz00_3969);
							}
							BgL_arg1857z00_2299 = VECTOR_REF(BgL_arg1858z00_2300, ((long) 4));
						}
						BgL_auxz00_6263 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg1857z00_2299);
					}
					((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->BgL_keyz00) =
						((obj_t) BgL_auxz00_6263), BUNSPEC);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(BgL_new1209z00_2296))->
						BgL_hardwarez00) = ((obj_t) BFALSE), BUNSPEC);
				return BgL_new1209z00_2296;
			}
		}

	}



/* local->reg */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_localz00_bglt BgL_varz00_100)
	{
		{	/* SawMill/node2rtl.scm 79 */
			{	/* SawMill/node2rtl.scm 80 */
				bool_t BgL_test2873z00_6269;

				{	/* SawMill/node2rtl.scm 80 */
					obj_t BgL_classz00_3971;

					BgL_classz00_3971 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 80 */
						obj_t BgL_oclassz00_3973;

						{	/* SawMill/node2rtl.scm 80 */
							long BgL_arg1833z00_3975;

							{	/* SawMill/node2rtl.scm 80 */
								long BgL_arg1834z00_3976;

								BgL_arg1834z00_3976 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_varz00_100));
								BgL_arg1833z00_3975 = (BgL_arg1834z00_3976 - OBJECT_TYPE);
							}
							BgL_oclassz00_3973 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_3975);
						}
						BgL_test2873z00_6269 = (BgL_oclassz00_3973 == BgL_classz00_3971);
				}}
				if (BgL_test2873z00_6269)
					{
						obj_t BgL_auxz00_6275;

						{
							BgL_rlocalz00_bglt BgL_auxz00_6276;

							{
								obj_t BgL_auxz00_6277;

								{	/* SawMill/node2rtl.scm 81 */
									BgL_objectz00_bglt BgL_tmpz00_6278;

									BgL_tmpz00_6278 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6277 = BGL_OBJECT_WIDENING(BgL_tmpz00_6278);
								}
								BgL_auxz00_6276 = ((BgL_rlocalz00_bglt) BgL_auxz00_6277);
							}
							BgL_auxz00_6275 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6276))->BgL_regz00);
						}
						return ((BgL_rtl_regz00_bglt) BgL_auxz00_6275);
					}
				else
					{	/* SawMill/node2rtl.scm 82 */
						BgL_rtl_regz00_bglt BgL_rz00_2304;

						BgL_rz00_2304 = BGl_newzd2uregzd2zzsaw_node2rtlz00(BgL_varz00_100);
						{	/* SawMill/node2rtl.scm 83 */
							BgL_rlocalz00_bglt BgL_wide1212z00_2307;

							BgL_wide1212z00_2307 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 83 */
								obj_t BgL_auxz00_6290;
								BgL_objectz00_bglt BgL_tmpz00_6287;

								BgL_auxz00_6290 = ((obj_t) BgL_wide1212z00_2307);
								BgL_tmpz00_6287 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6287, BgL_auxz00_6290);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
							{	/* SawMill/node2rtl.scm 83 */
								long BgL_arg1865z00_2308;

								BgL_arg1865z00_2308 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_100)), BgL_arg1865z00_2308);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6301;

							{
								obj_t BgL_auxz00_6302;

								{	/* SawMill/node2rtl.scm 83 */
									BgL_objectz00_bglt BgL_tmpz00_6303;

									BgL_tmpz00_6303 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6302 = BGL_OBJECT_WIDENING(BgL_tmpz00_6303);
								}
								BgL_auxz00_6301 = ((BgL_rlocalz00_bglt) BgL_auxz00_6302);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6301))->BgL_regz00) =
								((obj_t) ((obj_t) BgL_rz00_2304)), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6310;

							{
								obj_t BgL_auxz00_6311;

								{	/* SawMill/node2rtl.scm 83 */
									BgL_objectz00_bglt BgL_tmpz00_6312;

									BgL_tmpz00_6312 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_varz00_100));
									BgL_auxz00_6311 = BGL_OBJECT_WIDENING(BgL_tmpz00_6312);
								}
								BgL_auxz00_6310 = ((BgL_rlocalz00_bglt) BgL_auxz00_6311);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6310))->BgL_codez00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_varz00_100);
						return BgL_rz00_2304;
					}
			}
		}

	}



/* &local->reg */
	BgL_rtl_regz00_bglt BGl_z62localzd2ze3regz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5264, obj_t BgL_varz00_5265)
	{
		{	/* SawMill/node2rtl.scm 79 */
			return
				BGl_localzd2ze3regz31zzsaw_node2rtlz00(
				((BgL_localz00_bglt) BgL_varz00_5265));
		}

	}



/* bdestination! */
	obj_t BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_blockz00_bglt BgL_bz00_103,
		BgL_rtl_regz00_bglt BgL_regz00_104)
	{
		{	/* SawMill/node2rtl.scm 92 */
			{	/* SawMill/node2rtl.scm 93 */
				obj_t BgL_insz00_2312;

				BgL_insz00_2312 =
					CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
						(((BgL_blockz00_bglt) COBJECT(BgL_bz00_103))->BgL_firstz00)));
				{	/* SawMill/node2rtl.scm 94 */
					bool_t BgL_test2874z00_6324;

					{	/* SawMill/node2rtl.scm 94 */
						bool_t BgL_test2875z00_6325;

						{	/* SawMill/node2rtl.scm 94 */
							BgL_rtl_funz00_bglt BgL_arg1884z00_2326;

							BgL_arg1884z00_2326 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_insz00_2312)))->BgL_funz00);
							{	/* SawMill/node2rtl.scm 94 */
								obj_t BgL_classz00_3998;

								BgL_classz00_3998 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawMill/node2rtl.scm 94 */
									BgL_objectz00_bglt BgL_arg1825z00_4000;

									{	/* SawMill/node2rtl.scm 94 */
										obj_t BgL_tmpz00_6328;

										BgL_tmpz00_6328 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1884z00_2326));
										BgL_arg1825z00_4000 =
											(BgL_objectz00_bglt) (BgL_tmpz00_6328);
									}
									{	/* SawMill/node2rtl.scm 94 */
										bool_t BgL_arg1822z00_4003;
										bool_t BgL_arg1823z00_4004;

										{	/* SawMill/node2rtl.scm 94 */
											long BgL_idxz00_4007;

											BgL_idxz00_4007 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4000);
											BgL_arg1822z00_4003 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4007 + ((long) 3))) == BgL_classz00_3998);
										}
										{	/* SawMill/node2rtl.scm 94 */
											bool_t BgL_res2689z00_4029;

											{	/* SawMill/node2rtl.scm 94 */
												obj_t BgL_oclassz00_4015;

												{	/* SawMill/node2rtl.scm 94 */
													long BgL_arg1833z00_4021;

													{	/* SawMill/node2rtl.scm 94 */
														long BgL_arg1834z00_4022;

														BgL_arg1834z00_4022 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4000);
														BgL_arg1833z00_4021 =
															(BgL_arg1834z00_4022 - OBJECT_TYPE);
													}
													BgL_oclassz00_4015 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4021);
												}
												{	/* SawMill/node2rtl.scm 94 */
													bool_t BgL__ortest_1110z00_4016;

													BgL__ortest_1110z00_4016 =
														(BgL_classz00_3998 == BgL_oclassz00_4015);
													if (BgL__ortest_1110z00_4016)
														{	/* SawMill/node2rtl.scm 94 */
															BgL_res2689z00_4029 = BgL__ortest_1110z00_4016;
														}
													else
														{	/* SawMill/node2rtl.scm 94 */
															long BgL_odepthz00_4017;

															BgL_odepthz00_4017 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4015);
															if ((((long) 3) < BgL_odepthz00_4017))
																{	/* SawMill/node2rtl.scm 94 */
																	obj_t BgL_arg1821z00_4019;

																	BgL_arg1821z00_4019 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4015,
																		((long) 3));
																	BgL_res2689z00_4029 =
																		(BgL_arg1821z00_4019 == BgL_classz00_3998);
																}
															else
																{	/* SawMill/node2rtl.scm 94 */
																	BgL_res2689z00_4029 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4004 = BgL_res2689z00_4029;
										}
										BgL_test2875z00_6325 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4003,
											BgL_arg1823z00_4004);
									}
								}
							}
						}
						if (BgL_test2875z00_6325)
							{	/* SawMill/node2rtl.scm 95 */
								bool_t BgL_test2878z00_6347;

								{	/* SawMill/node2rtl.scm 95 */
									obj_t BgL_tmpz00_6348;

									{	/* SawMill/node2rtl.scm 95 */
										obj_t BgL_pairz00_4031;

										BgL_pairz00_4031 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_insz00_2312)))->
											BgL_argsz00);
										BgL_tmpz00_6348 = CAR(BgL_pairz00_4031);
									}
									BgL_test2878z00_6347 =
										(BgL_tmpz00_6348 == ((obj_t) BgL_regz00_104));
								}
								if (BgL_test2878z00_6347)
									{	/* SawMill/node2rtl.scm 95 */
										BgL_test2874z00_6324 = ((bool_t) 0);
									}
								else
									{	/* SawMill/node2rtl.scm 95 */
										BgL_test2874z00_6324 = ((bool_t) 1);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 94 */
								BgL_test2874z00_6324 = ((bool_t) 1);
							}
					}
					if (BgL_test2874z00_6324)
						{	/* SawMill/node2rtl.scm 94 */
							return
								((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_insz00_2312)))->BgL_destz00) =
								((obj_t) ((obj_t) BgL_regz00_104)), BUNSPEC);
						}
					else
						{	/* SawMill/node2rtl.scm 94 */
							return BFALSE;
						}
				}
			}
		}

	}



/* single* */
	BgL_areaz00_bglt BGl_singleza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_105,
		BgL_rtl_funz00_bglt BgL_funz00_106, obj_t BgL_argsz00_107)
	{
		{	/* SawMill/node2rtl.scm 101 */
			{	/* SawMill/node2rtl.scm 102 */
				BgL_rtl_insz00_bglt BgL_insz00_2329;

				{	/* SawMill/node2rtl.scm 102 */
					BgL_rtl_insz00_bglt BgL_new1215z00_2341;

					{	/* SawMill/node2rtl.scm 102 */
						BgL_rtl_insz00_bglt BgL_new1214z00_2342;

						BgL_new1214z00_2342 =
							((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_insz00_bgl))));
						{	/* SawMill/node2rtl.scm 102 */
							long BgL_arg1894z00_2343;

							BgL_arg1894z00_2343 = BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1214z00_2342),
								BgL_arg1894z00_2343);
						}
						{	/* SawMill/node2rtl.scm 102 */
							BgL_objectz00_bglt BgL_tmpz00_6361;

							BgL_tmpz00_6361 = ((BgL_objectz00_bglt) BgL_new1214z00_2342);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6361, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1214z00_2342);
						BgL_new1215z00_2341 = BgL_new1214z00_2342;
					}
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1215z00_2341))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1215z00_2341))->
							BgL_z52spillz52) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1215z00_2341))->BgL_destz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1215z00_2341))->BgL_funz00) =
						((BgL_rtl_funz00_bglt) BgL_funz00_106), BUNSPEC);
					((((BgL_rtl_insz00_bglt) COBJECT(BgL_new1215z00_2341))->BgL_argsz00) =
						((obj_t) BgL_argsz00_107), BUNSPEC);
					BgL_insz00_2329 = BgL_new1215z00_2341;
				}
				{	/* SawMill/node2rtl.scm 103 */
					bool_t BgL_test2879z00_6370;

					{	/* SawMill/node2rtl.scm 103 */
						obj_t BgL_classz00_4037;

						BgL_classz00_4037 = BGl_nodez00zzast_nodez00;
						if (BGL_OBJECTP(BgL_ez00_105))
							{	/* SawMill/node2rtl.scm 103 */
								BgL_objectz00_bglt BgL_arg1825z00_4039;

								BgL_arg1825z00_4039 = (BgL_objectz00_bglt) (BgL_ez00_105);
								{	/* SawMill/node2rtl.scm 103 */
									bool_t BgL_arg1822z00_4042;
									bool_t BgL_arg1823z00_4043;

									{	/* SawMill/node2rtl.scm 103 */
										long BgL_idxz00_4046;

										BgL_idxz00_4046 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4039);
										BgL_arg1822z00_4042 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4046 + ((long) 1))) == BgL_classz00_4037);
									}
									{	/* SawMill/node2rtl.scm 103 */
										bool_t BgL_res2690z00_4068;

										{	/* SawMill/node2rtl.scm 103 */
											obj_t BgL_oclassz00_4054;

											{	/* SawMill/node2rtl.scm 103 */
												long BgL_arg1833z00_4060;

												{	/* SawMill/node2rtl.scm 103 */
													long BgL_arg1834z00_4061;

													BgL_arg1834z00_4061 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4039);
													BgL_arg1833z00_4060 =
														(BgL_arg1834z00_4061 - OBJECT_TYPE);
												}
												BgL_oclassz00_4054 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4060);
											}
											{	/* SawMill/node2rtl.scm 103 */
												bool_t BgL__ortest_1110z00_4055;

												BgL__ortest_1110z00_4055 =
													(BgL_classz00_4037 == BgL_oclassz00_4054);
												if (BgL__ortest_1110z00_4055)
													{	/* SawMill/node2rtl.scm 103 */
														BgL_res2690z00_4068 = BgL__ortest_1110z00_4055;
													}
												else
													{	/* SawMill/node2rtl.scm 103 */
														long BgL_odepthz00_4056;

														BgL_odepthz00_4056 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4054);
														if ((((long) 1) < BgL_odepthz00_4056))
															{	/* SawMill/node2rtl.scm 103 */
																obj_t BgL_arg1821z00_4058;

																BgL_arg1821z00_4058 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4054,
																	((long) 1));
																BgL_res2690z00_4068 =
																	(BgL_arg1821z00_4058 == BgL_classz00_4037);
															}
														else
															{	/* SawMill/node2rtl.scm 103 */
																BgL_res2690z00_4068 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4043 = BgL_res2690z00_4068;
									}
									BgL_test2879z00_6370 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4042, BgL_arg1823z00_4043);
								}
							}
						else
							{	/* SawMill/node2rtl.scm 103 */
								BgL_test2879z00_6370 = ((bool_t) 0);
							}
					}
					if (BgL_test2879z00_6370)
						{	/* SawMill/node2rtl.scm 103 */
							{	/* SawMill/node2rtl.scm 104 */
								obj_t BgL_arg1888z00_2331;

								BgL_arg1888z00_2331 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_funz00_bglt) COBJECT(BgL_funz00_106))->BgL_locz00) =
									((obj_t) BgL_arg1888z00_2331), BUNSPEC);
							}
							{	/* SawMill/node2rtl.scm 105 */
								obj_t BgL_arg1890z00_2332;

								BgL_arg1890z00_2332 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_ez00_105)))->BgL_locz00);
								((((BgL_rtl_insz00_bglt) COBJECT(BgL_insz00_2329))->
										BgL_locz00) = ((obj_t) BgL_arg1890z00_2332), BUNSPEC);
							}
						}
					else
						{	/* SawMill/node2rtl.scm 103 */
							BFALSE;
						}
				}
				{	/* SawMill/node2rtl.scm 106 */
					obj_t BgL_lz00_2333;

					BgL_lz00_2333 = MAKE_YOUNG_PAIR(((obj_t) BgL_insz00_2329), BNIL);
					{	/* SawMill/node2rtl.scm 107 */
						BgL_blockz00_bglt BgL_bz00_2334;

						{	/* SawMill/node2rtl.scm 107 */
							BgL_blockz00_bglt BgL_new1217z00_2338;

							{	/* SawMill/node2rtl.scm 107 */
								BgL_blockz00_bglt BgL_new1216z00_2339;

								BgL_new1216z00_2339 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 107 */
									long BgL_arg1892z00_2340;

									BgL_arg1892z00_2340 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1216z00_2339),
										BgL_arg1892z00_2340);
								}
								{	/* SawMill/node2rtl.scm 107 */
									BgL_objectz00_bglt BgL_tmpz00_6401;

									BgL_tmpz00_6401 = ((BgL_objectz00_bglt) BgL_new1216z00_2339);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6401, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1216z00_2339);
								BgL_new1217z00_2338 = BgL_new1216z00_2339;
							}
							((((BgL_blockz00_bglt) COBJECT(BgL_new1217z00_2338))->
									BgL_labelz00) = ((int) (int) (((long) 0))), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1217z00_2338))->
									BgL_predsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1217z00_2338))->
									BgL_succsz00) = ((obj_t) BNIL), BUNSPEC);
							((((BgL_blockz00_bglt) COBJECT(BgL_new1217z00_2338))->
									BgL_firstz00) = ((obj_t) BgL_lz00_2333), BUNSPEC);
							BgL_bz00_2334 = BgL_new1217z00_2338;
						}
						{	/* SawMill/node2rtl.scm 108 */
							BgL_areaz00_bglt BgL_new1219z00_2335;

							{	/* SawMill/node2rtl.scm 108 */
								BgL_areaz00_bglt BgL_new1218z00_2336;

								BgL_new1218z00_2336 =
									((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_areaz00_bgl))));
								{	/* SawMill/node2rtl.scm 108 */
									long BgL_arg1891z00_2337;

									BgL_arg1891z00_2337 =
										BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1218z00_2336),
										BgL_arg1891z00_2337);
								}
								BgL_new1219z00_2335 = BgL_new1218z00_2336;
							}
							((((BgL_areaz00_bglt) COBJECT(BgL_new1219z00_2335))->
									BgL_entryz00) = ((BgL_blockz00_bglt) BgL_bz00_2334), BUNSPEC);
							((((BgL_areaz00_bglt) COBJECT(BgL_new1219z00_2335))->
									BgL_exitz00) = ((BgL_blockz00_bglt) BgL_bz00_2334), BUNSPEC);
							return BgL_new1219z00_2335;
						}
					}
				}
			}
		}

	}



/* unlink */
	BgL_areaz00_bglt BGl_unlinkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_az00_113)
	{
		{	/* SawMill/node2rtl.scm 116 */
			{	/* SawMill/node2rtl.scm 117 */
				BgL_areaz00_bglt BgL_new1221z00_2345;

				{	/* SawMill/node2rtl.scm 117 */
					BgL_areaz00_bglt BgL_new1220z00_2352;

					BgL_new1220z00_2352 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 117 */
						long BgL_arg1904z00_2353;

						BgL_arg1904z00_2353 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1220z00_2352), BgL_arg1904z00_2353);
					}
					BgL_new1221z00_2345 = BgL_new1220z00_2352;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1221z00_2345))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_az00_113))->
							BgL_entryz00)), BUNSPEC);
				{
					BgL_blockz00_bglt BgL_auxz00_6422;

					{	/* SawMill/node2rtl.scm 119 */
						BgL_areaz00_bglt BgL_arg1896z00_2346;

						{	/* SawMill/node2rtl.scm 119 */
							BgL_rtl_nopz00_bglt BgL_arg1897z00_2347;

							{	/* SawMill/node2rtl.scm 119 */
								BgL_rtl_nopz00_bglt BgL_new1223z00_2349;

								{	/* SawMill/node2rtl.scm 119 */
									BgL_rtl_nopz00_bglt BgL_new1222z00_2350;

									BgL_new1222z00_2350 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 119 */
										long BgL_arg1901z00_2351;

										{	/* SawMill/node2rtl.scm 119 */
											obj_t BgL_classz00_4086;

											BgL_classz00_4086 = BGl_rtl_nopz00zzsaw_defsz00;
											BgL_arg1901z00_2351 = BGL_CLASS_NUM(BgL_classz00_4086);
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1222z00_2350),
											BgL_arg1901z00_2351);
									}
									BgL_new1223z00_2349 = BgL_new1222z00_2350;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1223z00_2349)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1897z00_2347 = BgL_new1223z00_2349;
							}
							BgL_arg1896z00_2346 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1897z00_2347), BNIL);
						}
						BgL_auxz00_6422 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1896z00_2346))->BgL_exitz00);
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1221z00_2345))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_6422), BUNSPEC);
				}
				return BgL_new1221z00_2345;
			}
		}

	}



/* link */
	BgL_areaz00_bglt BGl_linkz00zzsaw_node2rtlz00(BgL_areaz00_bglt BgL_b1z00_114,
		BgL_areaz00_bglt BgL_b2z00_115)
	{
		{	/* SawMill/node2rtl.scm 121 */
			{	/* SawMill/node2rtl.scm 122 */
				BgL_blockz00_bglt BgL_arg1905z00_2354;
				BgL_blockz00_bglt BgL_arg1906z00_2355;

				BgL_arg1905z00_2354 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->BgL_exitz00);
				BgL_arg1906z00_2355 =
					(((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->BgL_entryz00);
				{	/* SawMill/node2rtl.scm 90 */
					obj_t BgL_arg1867z00_4095;

					{	/* SawMill/node2rtl.scm 90 */
						obj_t BgL_arg1869z00_4096;

						BgL_arg1869z00_4096 =
							(((BgL_blockz00_bglt) COBJECT(BgL_arg1905z00_2354))->
							BgL_succsz00);
						BgL_arg1867z00_4095 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg1906z00_2355),
							BgL_arg1869z00_4096);
					}
					((((BgL_blockz00_bglt) COBJECT(BgL_arg1905z00_2354))->BgL_succsz00) =
						((obj_t) BgL_arg1867z00_4095), BUNSPEC);
				}
			}
			{	/* SawMill/node2rtl.scm 123 */
				BgL_areaz00_bglt BgL_new1225z00_2356;

				{	/* SawMill/node2rtl.scm 123 */
					BgL_areaz00_bglt BgL_new1224z00_2357;

					BgL_new1224z00_2357 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 123 */
						long BgL_arg1907z00_2358;

						BgL_arg1907z00_2358 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1224z00_2357), BgL_arg1907z00_2358);
					}
					BgL_new1225z00_2356 = BgL_new1224z00_2357;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1225z00_2356))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b1z00_114))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1225z00_2356))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_b2z00_115))->
							BgL_exitz00)), BUNSPEC);
				return BgL_new1225z00_2356;
			}
		}

	}



/* link* */
	BgL_areaz00_bglt BGl_linkza2za2zzsaw_node2rtlz00(obj_t BgL_lz00_116)
	{
		{	/* SawMill/node2rtl.scm 125 */
			{
				BgL_areaz00_bglt BgL_rz00_2368;
				obj_t BgL_lz00_2369;

				if (NULLP(BgL_lz00_116))
					{	/* SawMill/node2rtl.scm 131 */
						BgL_rtl_nopz00_bglt BgL_arg1909z00_2361;

						{	/* SawMill/node2rtl.scm 131 */
							BgL_rtl_nopz00_bglt BgL_new1227z00_2363;

							{	/* SawMill/node2rtl.scm 131 */
								BgL_rtl_nopz00_bglt BgL_new1226z00_2364;

								BgL_new1226z00_2364 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 131 */
									long BgL_arg1911z00_2365;

									BgL_arg1911z00_2365 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1226z00_2364),
										BgL_arg1911z00_2365);
								}
								BgL_new1227z00_2363 = BgL_new1226z00_2364;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1227z00_2363)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1909z00_2361 = BgL_new1227z00_2363;
						}
						return
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg1909z00_2361), BNIL);
					}
				else
					{	/* SawMill/node2rtl.scm 132 */
						obj_t BgL_arg1912z00_2366;
						obj_t BgL_arg1913z00_2367;

						BgL_arg1912z00_2366 = CAR(((obj_t) BgL_lz00_116));
						BgL_arg1913z00_2367 = CDR(((obj_t) BgL_lz00_116));
						BgL_rz00_2368 = ((BgL_areaz00_bglt) BgL_arg1912z00_2366);
						BgL_lz00_2369 = BgL_arg1913z00_2367;
					BgL_zc3z04anonymousza31914ze3z87_2370:
						if (NULLP(BgL_lz00_2369))
							{	/* SawMill/node2rtl.scm 127 */
								return BgL_rz00_2368;
							}
						else
							{	/* SawMill/node2rtl.scm 129 */
								BgL_areaz00_bglt BgL_arg1916z00_2372;
								obj_t BgL_arg1917z00_2373;

								{	/* SawMill/node2rtl.scm 129 */
									obj_t BgL_arg1918z00_2374;

									BgL_arg1918z00_2374 = CAR(((obj_t) BgL_lz00_2369));
									BgL_arg1916z00_2372 =
										BGl_linkz00zzsaw_node2rtlz00(BgL_rz00_2368,
										((BgL_areaz00_bglt) BgL_arg1918z00_2374));
								}
								BgL_arg1917z00_2373 = CDR(((obj_t) BgL_lz00_2369));
								{
									obj_t BgL_lz00_6470;
									BgL_areaz00_bglt BgL_rz00_6469;

									BgL_rz00_6469 = BgL_arg1916z00_2372;
									BgL_lz00_6470 = BgL_arg1917z00_2373;
									BgL_lz00_2369 = BgL_lz00_6470;
									BgL_rz00_2368 = BgL_rz00_6469;
									goto BgL_zc3z04anonymousza31914ze3z87_2370;
								}
							}
					}
			}
		}

	}



/* fork/join */
	BgL_areaz00_bglt BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_117, obj_t BgL_contsz00_118, BgL_rtl_regz00_bglt BgL_rz00_119)
	{
		{	/* SawMill/node2rtl.scm 134 */
			{	/* SawMill/node2rtl.scm 136 */
				BgL_blockz00_bglt BgL_arg1919z00_2376;
				obj_t BgL_arg1920z00_2377;

				BgL_arg1919z00_2376 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_117))->BgL_exitz00);
				if (NULLP(BgL_contsz00_118))
					{	/* SawMill/node2rtl.scm 136 */
						BgL_arg1920z00_2377 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 136 */
						obj_t BgL_head1579z00_2380;

						{	/* SawMill/node2rtl.scm 136 */
							BgL_blockz00_bglt BgL_arg1927z00_2392;

							BgL_arg1927z00_2392 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_contsz00_118)))))->BgL_entryz00);
							BgL_head1579z00_2380 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1927z00_2392), BNIL);
						}
						{	/* SawMill/node2rtl.scm 136 */
							obj_t BgL_g1582z00_2381;

							BgL_g1582z00_2381 = CDR(((obj_t) BgL_contsz00_118));
							{
								obj_t BgL_l1577z00_2383;
								obj_t BgL_tail1580z00_2384;

								BgL_l1577z00_2383 = BgL_g1582z00_2381;
								BgL_tail1580z00_2384 = BgL_head1579z00_2380;
							BgL_zc3z04anonymousza31922ze3z87_2385:
								if (NULLP(BgL_l1577z00_2383))
									{	/* SawMill/node2rtl.scm 136 */
										BgL_arg1920z00_2377 = BgL_head1579z00_2380;
									}
								else
									{	/* SawMill/node2rtl.scm 136 */
										obj_t BgL_newtail1581z00_2387;

										{	/* SawMill/node2rtl.scm 136 */
											BgL_blockz00_bglt BgL_arg1925z00_2389;

											BgL_arg1925z00_2389 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1577z00_2383)))))->BgL_entryz00);
											BgL_newtail1581z00_2387 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1925z00_2389), BNIL);
										}
										SET_CDR(BgL_tail1580z00_2384, BgL_newtail1581z00_2387);
										{	/* SawMill/node2rtl.scm 136 */
											obj_t BgL_arg1924z00_2388;

											BgL_arg1924z00_2388 = CDR(((obj_t) BgL_l1577z00_2383));
											{
												obj_t BgL_tail1580z00_6495;
												obj_t BgL_l1577z00_6494;

												BgL_l1577z00_6494 = BgL_arg1924z00_2388;
												BgL_tail1580z00_6495 = BgL_newtail1581z00_2387;
												BgL_tail1580z00_2384 = BgL_tail1580z00_6495;
												BgL_l1577z00_2383 = BgL_l1577z00_6494;
												goto BgL_zc3z04anonymousza31922ze3z87_2385;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1919z00_2376))->BgL_succsz00) =
					((obj_t) BgL_arg1920z00_2377), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 138 */
				BgL_blockz00_bglt BgL_joinz00_2394;

				{	/* SawMill/node2rtl.scm 138 */
					BgL_areaz00_bglt BgL_arg1935z00_2406;

					{	/* SawMill/node2rtl.scm 138 */
						BgL_rtl_movz00_bglt BgL_arg1936z00_2407;

						{	/* SawMill/node2rtl.scm 138 */
							BgL_rtl_movz00_bglt BgL_new1229z00_2409;

							{	/* SawMill/node2rtl.scm 138 */
								BgL_rtl_movz00_bglt BgL_new1228z00_2410;

								BgL_new1228z00_2410 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 138 */
									long BgL_arg1938z00_2411;

									BgL_arg1938z00_2411 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1228z00_2410),
										BgL_arg1938z00_2411);
								}
								BgL_new1229z00_2409 = BgL_new1228z00_2410;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1229z00_2409)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg1936z00_2407 = BgL_new1229z00_2409;
						}
						{	/* SawMill/node2rtl.scm 138 */
							obj_t BgL_list1937z00_2408;

							BgL_list1937z00_2408 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_119), BNIL);
							BgL_arg1935z00_2406 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg1936z00_2407),
								BgL_list1937z00_2408);
					}}
					BgL_joinz00_2394 =
						(((BgL_areaz00_bglt) COBJECT(BgL_arg1935z00_2406))->BgL_entryz00);
				}
				{
					obj_t BgL_l1583z00_2396;

					BgL_l1583z00_2396 = BgL_contsz00_118;
				BgL_zc3z04anonymousza31930ze3z87_2397:
					if (PAIRP(BgL_l1583z00_2396))
						{	/* SawMill/node2rtl.scm 139 */
							{	/* SawMill/node2rtl.scm 140 */
								BgL_areaz00_bglt BgL_az00_2399;

								BgL_az00_2399 = ((BgL_areaz00_bglt) CAR(BgL_l1583z00_2396));
								{	/* SawMill/node2rtl.scm 140 */
									BgL_blockz00_bglt BgL_bz00_2400;

									BgL_bz00_2400 =
										(((BgL_areaz00_bglt) COBJECT(BgL_az00_2399))->BgL_exitz00);
									{	/* SawMill/node2rtl.scm 90 */
										obj_t BgL_arg1867z00_4132;

										{	/* SawMill/node2rtl.scm 90 */
											obj_t BgL_arg1869z00_4133;

											BgL_arg1869z00_4133 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2400))->
												BgL_succsz00);
											BgL_arg1867z00_4132 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2394),
												BgL_arg1869z00_4133);
										}
										((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2400))->
												BgL_succsz00) = ((obj_t) BgL_arg1867z00_4132), BUNSPEC);
									}
									BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2400,
										BgL_rz00_119);
								}
							}
							{
								obj_t BgL_l1583z00_6518;

								BgL_l1583z00_6518 = CDR(BgL_l1583z00_2396);
								BgL_l1583z00_2396 = BgL_l1583z00_6518;
								goto BgL_zc3z04anonymousza31930ze3z87_2397;
							}
						}
					else
						{	/* SawMill/node2rtl.scm 139 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/node2rtl.scm 145 */
					BgL_areaz00_bglt BgL_new1231z00_2403;

					{	/* SawMill/node2rtl.scm 145 */
						BgL_areaz00_bglt BgL_new1230z00_2404;

						BgL_new1230z00_2404 =
							((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_areaz00_bgl))));
						{	/* SawMill/node2rtl.scm 145 */
							long BgL_arg1933z00_2405;

							BgL_arg1933z00_2405 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1230z00_2404),
								BgL_arg1933z00_2405);
						}
						BgL_new1231z00_2403 = BgL_new1230z00_2404;
					}
					((((BgL_areaz00_bglt) COBJECT(BgL_new1231z00_2403))->BgL_entryz00) =
						((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
									COBJECT(BgL_headz00_117))->BgL_entryz00)), BUNSPEC);
					((((BgL_areaz00_bglt) COBJECT(BgL_new1231z00_2403))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_joinz00_2394), BUNSPEC);
					return BgL_new1231z00_2403;
				}
			}
		}

	}



/* join */
	obj_t BGl_joinz00zzsaw_node2rtlz00(obj_t BgL_contsz00_120,
		BgL_rtl_regz00_bglt BgL_xrz00_121)
	{
		{	/* SawMill/node2rtl.scm 147 */
			{	/* SawMill/node2rtl.scm 148 */
				obj_t BgL_rz00_2412;

				BgL_rz00_2412 =
					BGl_findzd2registerzd2zzsaw_node2rtlz00(BgL_contsz00_120,
					BgL_xrz00_121);
				{	/* SawMill/node2rtl.scm 150 */
					BgL_blockz00_bglt BgL_joinz00_2413;

					{	/* SawMill/node2rtl.scm 150 */
						BgL_areaz00_bglt BgL_arg1948z00_2438;

						{	/* SawMill/node2rtl.scm 150 */
							BgL_rtl_movz00_bglt BgL_arg1949z00_2439;

							{	/* SawMill/node2rtl.scm 150 */
								BgL_rtl_movz00_bglt BgL_new1233z00_2441;

								{	/* SawMill/node2rtl.scm 150 */
									BgL_rtl_movz00_bglt BgL_new1232z00_2442;

									BgL_new1232z00_2442 =
										((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_movz00_bgl))));
									{	/* SawMill/node2rtl.scm 150 */
										long BgL_arg1951z00_2443;

										BgL_arg1951z00_2443 =
											BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1232z00_2442),
											BgL_arg1951z00_2443);
									}
									BgL_new1233z00_2441 = BgL_new1232z00_2442;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1233z00_2441)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg1949z00_2439 = BgL_new1233z00_2441;
							}
							{	/* SawMill/node2rtl.scm 150 */
								obj_t BgL_list1950z00_2440;

								BgL_list1950z00_2440 = MAKE_YOUNG_PAIR(BgL_rz00_2412, BNIL);
								BgL_arg1948z00_2438 =
									BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
									((BgL_rtl_funz00_bglt) BgL_arg1949z00_2439),
									BgL_list1950z00_2440);
						}}
						BgL_joinz00_2413 =
							(((BgL_areaz00_bglt) COBJECT(BgL_arg1948z00_2438))->BgL_entryz00);
					}
					{
						obj_t BgL_l1585z00_2415;

						BgL_l1585z00_2415 = BgL_contsz00_120;
					BgL_zc3z04anonymousza31939ze3z87_2416:
						if (PAIRP(BgL_l1585z00_2415))
							{	/* SawMill/node2rtl.scm 151 */
								{	/* SawMill/node2rtl.scm 152 */
									BgL_areaz00_bglt BgL_az00_2418;

									BgL_az00_2418 = ((BgL_areaz00_bglt) CAR(BgL_l1585z00_2415));
									{	/* SawMill/node2rtl.scm 152 */
										BgL_blockz00_bglt BgL_bz00_2419;

										BgL_bz00_2419 =
											(((BgL_areaz00_bglt) COBJECT(BgL_az00_2418))->
											BgL_exitz00);
										{	/* SawMill/node2rtl.scm 90 */
											obj_t BgL_arg1867z00_4151;

											{	/* SawMill/node2rtl.scm 90 */
												obj_t BgL_arg1869z00_4152;

												BgL_arg1869z00_4152 =
													(((BgL_blockz00_bglt) COBJECT(BgL_bz00_2419))->
													BgL_succsz00);
												BgL_arg1867z00_4151 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_joinz00_2413),
													BgL_arg1869z00_4152);
											}
											((((BgL_blockz00_bglt) COBJECT(BgL_bz00_2419))->
													BgL_succsz00) =
												((obj_t) BgL_arg1867z00_4151), BUNSPEC);
										}
										BGl_bdestinationz12z12zzsaw_node2rtlz00(BgL_bz00_2419,
											((BgL_rtl_regz00_bglt) BgL_rz00_2412));
									}
								}
								{
									obj_t BgL_l1585z00_6549;

									BgL_l1585z00_6549 = CDR(BgL_l1585z00_2415);
									BgL_l1585z00_2415 = BgL_l1585z00_6549;
									goto BgL_zc3z04anonymousza31939ze3z87_2416;
								}
							}
						else
							{	/* SawMill/node2rtl.scm 151 */
								((bool_t) 1);
							}
					}
					if (NULLP(BgL_contsz00_120))
						{	/* SawMill/node2rtl.scm 157 */
							return BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 157 */
							obj_t BgL_head1589z00_2424;

							BgL_head1589z00_2424 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1587z00_2426;
								obj_t BgL_tail1590z00_2427;

								BgL_l1587z00_2426 = BgL_contsz00_120;
								BgL_tail1590z00_2427 = BgL_head1589z00_2424;
							BgL_zc3z04anonymousza31943ze3z87_2428:
								if (NULLP(BgL_l1587z00_2426))
									{	/* SawMill/node2rtl.scm 157 */
										return CDR(BgL_head1589z00_2424);
									}
								else
									{	/* SawMill/node2rtl.scm 157 */
										obj_t BgL_newtail1591z00_2430;

										{	/* SawMill/node2rtl.scm 157 */
											BgL_areaz00_bglt BgL_arg1946z00_2432;

											{	/* SawMill/node2rtl.scm 157 */
												BgL_areaz00_bglt BgL_az00_2433;

												BgL_az00_2433 =
													((BgL_areaz00_bglt) CAR(((obj_t) BgL_l1587z00_2426)));
												{	/* SawMill/node2rtl.scm 158 */
													BgL_areaz00_bglt BgL_new1235z00_2434;

													{	/* SawMill/node2rtl.scm 158 */
														BgL_areaz00_bglt BgL_new1234z00_2435;

														BgL_new1234z00_2435 =
															((BgL_areaz00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_areaz00_bgl))));
														{	/* SawMill/node2rtl.scm 158 */
															long BgL_arg1947z00_2436;

															BgL_arg1947z00_2436 =
																BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1234z00_2435),
																BgL_arg1947z00_2436);
														}
														BgL_new1235z00_2434 = BgL_new1234z00_2435;
													}
													((((BgL_areaz00_bglt) COBJECT(BgL_new1235z00_2434))->
															BgL_entryz00) =
														((BgL_blockz00_bglt) (((BgL_areaz00_bglt)
																	COBJECT(BgL_az00_2433))->BgL_entryz00)),
														BUNSPEC);
													((((BgL_areaz00_bglt) COBJECT(BgL_new1235z00_2434))->
															BgL_exitz00) =
														((BgL_blockz00_bglt) BgL_joinz00_2413), BUNSPEC);
													BgL_arg1946z00_2432 = BgL_new1235z00_2434;
											}}
											BgL_newtail1591z00_2430 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1946z00_2432), BNIL);
										}
										SET_CDR(BgL_tail1590z00_2427, BgL_newtail1591z00_2430);
										{	/* SawMill/node2rtl.scm 157 */
											obj_t BgL_arg1945z00_2431;

											BgL_arg1945z00_2431 = CDR(((obj_t) BgL_l1587z00_2426));
											{
												obj_t BgL_tail1590z00_6573;
												obj_t BgL_l1587z00_6572;

												BgL_l1587z00_6572 = BgL_arg1945z00_2431;
												BgL_tail1590z00_6573 = BgL_newtail1591z00_2430;
												BgL_tail1590z00_2427 = BgL_tail1590z00_6573;
												BgL_l1587z00_2426 = BgL_l1587z00_6572;
												goto BgL_zc3z04anonymousza31943ze3z87_2428;
											}
										}
									}
							}
						}
				}
			}
		}

	}



/* fork */
	BgL_areaz00_bglt BGl_forkz00zzsaw_node2rtlz00(BgL_areaz00_bglt
		BgL_headz00_122, obj_t BgL_joinedz00_123)
	{
		{	/* SawMill/node2rtl.scm 161 */
			{	/* SawMill/node2rtl.scm 163 */
				BgL_blockz00_bglt BgL_arg1952z00_2444;
				obj_t BgL_arg1953z00_2445;

				BgL_arg1952z00_2444 =
					(((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->BgL_exitz00);
				if (NULLP(BgL_joinedz00_123))
					{	/* SawMill/node2rtl.scm 163 */
						BgL_arg1953z00_2445 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 163 */
						obj_t BgL_head1594z00_2448;

						{	/* SawMill/node2rtl.scm 163 */
							BgL_blockz00_bglt BgL_arg1960z00_2460;

							BgL_arg1960z00_2460 =
								(((BgL_areaz00_bglt) COBJECT(
										((BgL_areaz00_bglt)
											CAR(((obj_t) BgL_joinedz00_123)))))->BgL_entryz00);
							BgL_head1594z00_2448 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg1960z00_2460), BNIL);
						}
						{	/* SawMill/node2rtl.scm 163 */
							obj_t BgL_g1597z00_2449;

							BgL_g1597z00_2449 = CDR(((obj_t) BgL_joinedz00_123));
							{
								obj_t BgL_l1592z00_2451;
								obj_t BgL_tail1595z00_2452;

								BgL_l1592z00_2451 = BgL_g1597z00_2449;
								BgL_tail1595z00_2452 = BgL_head1594z00_2448;
							BgL_zc3z04anonymousza31955ze3z87_2453:
								if (NULLP(BgL_l1592z00_2451))
									{	/* SawMill/node2rtl.scm 163 */
										BgL_arg1953z00_2445 = BgL_head1594z00_2448;
									}
								else
									{	/* SawMill/node2rtl.scm 163 */
										obj_t BgL_newtail1596z00_2455;

										{	/* SawMill/node2rtl.scm 163 */
											BgL_blockz00_bglt BgL_arg1958z00_2457;

											BgL_arg1958z00_2457 =
												(((BgL_areaz00_bglt) COBJECT(
														((BgL_areaz00_bglt)
															CAR(
																((obj_t) BgL_l1592z00_2451)))))->BgL_entryz00);
											BgL_newtail1596z00_2455 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg1958z00_2457), BNIL);
										}
										SET_CDR(BgL_tail1595z00_2452, BgL_newtail1596z00_2455);
										{	/* SawMill/node2rtl.scm 163 */
											obj_t BgL_arg1957z00_2456;

											BgL_arg1957z00_2456 = CDR(((obj_t) BgL_l1592z00_2451));
											{
												obj_t BgL_tail1595z00_6597;
												obj_t BgL_l1592z00_6596;

												BgL_l1592z00_6596 = BgL_arg1957z00_2456;
												BgL_tail1595z00_6597 = BgL_newtail1596z00_2455;
												BgL_tail1595z00_2452 = BgL_tail1595z00_6597;
												BgL_l1592z00_2451 = BgL_l1592z00_6596;
												goto BgL_zc3z04anonymousza31955ze3z87_2453;
											}
										}
									}
							}
						}
					}
				((((BgL_blockz00_bglt) COBJECT(BgL_arg1952z00_2444))->BgL_succsz00) =
					((obj_t) BgL_arg1953z00_2445), BUNSPEC);
			}
			{	/* SawMill/node2rtl.scm 165 */
				BgL_areaz00_bglt BgL_new1237z00_2462;

				{	/* SawMill/node2rtl.scm 165 */
					BgL_areaz00_bglt BgL_new1236z00_2464;

					BgL_new1236z00_2464 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 165 */
						long BgL_arg1964z00_2465;

						BgL_arg1964z00_2465 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1236z00_2464), BgL_arg1964z00_2465);
					}
					BgL_new1237z00_2462 = BgL_new1236z00_2464;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2462))->BgL_entryz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(BgL_headz00_122))->
							BgL_entryz00)), BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1237z00_2462))->BgL_exitz00) =
					((BgL_blockz00_bglt) (((BgL_areaz00_bglt) COBJECT(((BgL_areaz00_bglt)
										CAR(((obj_t) BgL_joinedz00_123)))))->BgL_exitz00)),
					BUNSPEC);
				return BgL_new1237z00_2462;
			}
		}

	}



/* find-register */
	obj_t BGl_findzd2registerzd2zzsaw_node2rtlz00(obj_t BgL_areasz00_124,
		BgL_rtl_regz00_bglt BgL_regz00_125)
	{
		{	/* SawMill/node2rtl.scm 168 */
			{
				obj_t BgL_az00_2475;

				{
					obj_t BgL_lz00_2468;

					BgL_lz00_2468 = BgL_areasz00_124;
				BgL_zc3z04anonymousza31965ze3z87_2469:
					if (NULLP(BgL_lz00_2468))
						{	/* SawMill/node2rtl.scm 178 */
							return ((obj_t) BgL_regz00_125);
						}
					else
						{	/* SawMill/node2rtl.scm 180 */
							obj_t BgL__ortest_1239z00_2471;

							{	/* SawMill/node2rtl.scm 180 */
								obj_t BgL_arg1968z00_2473;

								BgL_arg1968z00_2473 = CAR(((obj_t) BgL_lz00_2468));
								BgL_az00_2475 = BgL_arg1968z00_2473;
								{	/* SawMill/node2rtl.scm 170 */
									obj_t BgL_insz00_2477;

									BgL_insz00_2477 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_blockz00_bglt) COBJECT(
														(((BgL_areaz00_bglt) COBJECT(
																	((BgL_areaz00_bglt) BgL_az00_2475)))->
															BgL_exitz00)))->BgL_firstz00)));
									{	/* SawMill/node2rtl.scm 171 */
										bool_t BgL_test2894z00_6620;

										{	/* SawMill/node2rtl.scm 171 */
											BgL_rtl_funz00_bglt BgL_arg1980z00_2492;

											BgL_arg1980z00_2492 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_insz00_2477)))->
												BgL_funz00);
											{	/* SawMill/node2rtl.scm 171 */
												obj_t BgL_classz00_4185;

												BgL_classz00_4185 = BGl_rtl_movz00zzsaw_defsz00;
												{	/* SawMill/node2rtl.scm 171 */
													BgL_objectz00_bglt BgL_arg1825z00_4187;

													{	/* SawMill/node2rtl.scm 171 */
														obj_t BgL_tmpz00_6623;

														BgL_tmpz00_6623 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_arg1980z00_2492));
														BgL_arg1825z00_4187 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6623);
													}
													{	/* SawMill/node2rtl.scm 171 */
														bool_t BgL_arg1822z00_4190;
														bool_t BgL_arg1823z00_4191;

														{	/* SawMill/node2rtl.scm 171 */
															long BgL_idxz00_4194;

															BgL_idxz00_4194 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4187);
															BgL_arg1822z00_4190 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4194 + ((long) 3))) ==
																BgL_classz00_4185);
														}
														{	/* SawMill/node2rtl.scm 171 */
															bool_t BgL_res2691z00_4216;

															{	/* SawMill/node2rtl.scm 171 */
																obj_t BgL_oclassz00_4202;

																{	/* SawMill/node2rtl.scm 171 */
																	long BgL_arg1833z00_4208;

																	{	/* SawMill/node2rtl.scm 171 */
																		long BgL_arg1834z00_4209;

																		BgL_arg1834z00_4209 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4187);
																		BgL_arg1833z00_4208 =
																			(BgL_arg1834z00_4209 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4202 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4208);
																}
																{	/* SawMill/node2rtl.scm 171 */
																	bool_t BgL__ortest_1110z00_4203;

																	BgL__ortest_1110z00_4203 =
																		(BgL_classz00_4185 == BgL_oclassz00_4202);
																	if (BgL__ortest_1110z00_4203)
																		{	/* SawMill/node2rtl.scm 171 */
																			BgL_res2691z00_4216 =
																				BgL__ortest_1110z00_4203;
																		}
																	else
																		{	/* SawMill/node2rtl.scm 171 */
																			long BgL_odepthz00_4204;

																			BgL_odepthz00_4204 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4202);
																			if ((((long) 3) < BgL_odepthz00_4204))
																				{	/* SawMill/node2rtl.scm 171 */
																					obj_t BgL_arg1821z00_4206;

																					BgL_arg1821z00_4206 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4202, ((long) 3));
																					BgL_res2691z00_4216 =
																						(BgL_arg1821z00_4206 ==
																						BgL_classz00_4185);
																				}
																			else
																				{	/* SawMill/node2rtl.scm 171 */
																					BgL_res2691z00_4216 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4191 = BgL_res2691z00_4216;
														}
														BgL_test2894z00_6620 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4190,
															BgL_arg1823z00_4191);
													}
												}
											}
										}
										if (BgL_test2894z00_6620)
											{	/* SawMill/node2rtl.scm 172 */
												obj_t BgL_rz00_2479;

												{	/* SawMill/node2rtl.scm 172 */
													obj_t BgL_pairz00_4218;

													BgL_pairz00_4218 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_insz00_2477)))->
														BgL_argsz00);
													BgL_rz00_2479 = CAR(BgL_pairz00_4218);
												}
												{	/* SawMill/node2rtl.scm 173 */
													bool_t BgL_test2897z00_6645;

													if (CBOOL(
															(((BgL_rtl_regz00_bglt) COBJECT(
																		((BgL_rtl_regz00_bglt) BgL_rz00_2479)))->
																BgL_varz00)))
														{	/* SawMill/node2rtl.scm 173 */
															BgL_test2897z00_6645 = ((bool_t) 1);
														}
													else
														{	/* SawMill/node2rtl.scm 173 */
															if (
																(((obj_t)
																		(((BgL_rtl_regz00_bglt) COBJECT(
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2479)))->BgL_typez00)) ==
																	((obj_t) (((BgL_rtl_regz00_bglt)
																				COBJECT(BgL_regz00_125))->
																			BgL_typez00))))
																{	/* SawMill/node2rtl.scm 174 */
																	BgL_test2897z00_6645 = ((bool_t) 0);
																}
															else
																{	/* SawMill/node2rtl.scm 174 */
																	BgL_test2897z00_6645 = ((bool_t) 1);
																}
														}
													if (BgL_test2897z00_6645)
														{	/* SawMill/node2rtl.scm 173 */
															BgL__ortest_1239z00_2471 = BFALSE;
														}
													else
														{	/* SawMill/node2rtl.scm 173 */
															BgL__ortest_1239z00_2471 = BgL_rz00_2479;
														}
												}
											}
										else
											{	/* SawMill/node2rtl.scm 171 */
												BgL__ortest_1239z00_2471 = BFALSE;
											}
									}
								}
							}
							if (CBOOL(BgL__ortest_1239z00_2471))
								{	/* SawMill/node2rtl.scm 180 */
									return BgL__ortest_1239z00_2471;
								}
							else
								{	/* SawMill/node2rtl.scm 181 */
									obj_t BgL_arg1967z00_2472;

									BgL_arg1967z00_2472 = CDR(((obj_t) BgL_lz00_2468));
									{
										obj_t BgL_lz00_6661;

										BgL_lz00_6661 = BgL_arg1967z00_2472;
										BgL_lz00_2468 = BgL_lz00_6661;
										goto BgL_zc3z04anonymousza31965ze3z87_2469;
									}
								}
						}
				}
			}
		}

	}



/* call* */
	BgL_areaz00_bglt BGl_callza2za2zzsaw_node2rtlz00(obj_t BgL_ez00_128,
		BgL_rtl_funz00_bglt BgL_funz00_129, obj_t BgL_exprsz00_130)
	{
		{	/* SawMill/node2rtl.scm 188 */
			{	/* SawMill/node2rtl.scm 189 */
				obj_t BgL_regsz00_2498;

				if (NULLP(BgL_exprsz00_130))
					{	/* SawMill/node2rtl.scm 189 */
						BgL_regsz00_2498 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 189 */
						obj_t BgL_head1600z00_2521;

						BgL_head1600z00_2521 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1598z00_2523;
							obj_t BgL_tail1601z00_2524;

							BgL_l1598z00_2523 = BgL_exprsz00_130;
							BgL_tail1601z00_2524 = BgL_head1600z00_2521;
						BgL_zc3z04anonymousza31994ze3z87_2525:
							if (NULLP(BgL_l1598z00_2523))
								{	/* SawMill/node2rtl.scm 189 */
									BgL_regsz00_2498 = CDR(BgL_head1600z00_2521);
								}
							else
								{	/* SawMill/node2rtl.scm 189 */
									obj_t BgL_newtail1602z00_2527;

									{	/* SawMill/node2rtl.scm 189 */
										BgL_rtl_regz00_bglt BgL_arg1997z00_2529;

										{	/* SawMill/node2rtl.scm 189 */
											obj_t BgL_ez00_2530;

											BgL_ez00_2530 = CAR(((obj_t) BgL_l1598z00_2523));
											BgL_arg1997z00_2529 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_ez00_2530));
										}
										BgL_newtail1602z00_2527 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1997z00_2529), BNIL);
									}
									SET_CDR(BgL_tail1601z00_2524, BgL_newtail1602z00_2527);
									{	/* SawMill/node2rtl.scm 189 */
										obj_t BgL_arg1996z00_2528;

										BgL_arg1996z00_2528 = CDR(((obj_t) BgL_l1598z00_2523));
										{
											obj_t BgL_tail1601z00_6678;
											obj_t BgL_l1598z00_6677;

											BgL_l1598z00_6677 = BgL_arg1996z00_2528;
											BgL_tail1601z00_6678 = BgL_newtail1602z00_2527;
											BgL_tail1601z00_2524 = BgL_tail1601z00_6678;
											BgL_l1598z00_2523 = BgL_l1598z00_6677;
											goto BgL_zc3z04anonymousza31994ze3z87_2525;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 190 */
					BgL_areaz00_bglt BgL_arg1984z00_2499;
					BgL_areaz00_bglt BgL_arg1985z00_2500;

					{	/* SawMill/node2rtl.scm 190 */
						obj_t BgL_arg1986z00_2501;

						if (NULLP(BgL_exprsz00_130))
							{	/* SawMill/node2rtl.scm 190 */
								BgL_arg1986z00_2501 = BNIL;
							}
						else
							{	/* SawMill/node2rtl.scm 190 */
								obj_t BgL_head1605z00_2505;

								BgL_head1605z00_2505 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_ll1603z00_2507;
									obj_t BgL_ll1604z00_2508;
									obj_t BgL_tail1606z00_2509;

									BgL_ll1603z00_2507 = BgL_exprsz00_130;
									BgL_ll1604z00_2508 = BgL_regsz00_2498;
									BgL_tail1606z00_2509 = BgL_head1605z00_2505;
								BgL_zc3z04anonymousza31988ze3z87_2510:
									if (NULLP(BgL_ll1603z00_2507))
										{	/* SawMill/node2rtl.scm 190 */
											BgL_arg1986z00_2501 = CDR(BgL_head1605z00_2505);
										}
									else
										{	/* SawMill/node2rtl.scm 190 */
											obj_t BgL_newtail1607z00_2512;

											{	/* SawMill/node2rtl.scm 190 */
												BgL_areaz00_bglt BgL_arg1992z00_2515;

												{	/* SawMill/node2rtl.scm 190 */
													obj_t BgL_az00_2516;
													obj_t BgL_rz00_2517;

													BgL_az00_2516 = CAR(((obj_t) BgL_ll1603z00_2507));
													BgL_rz00_2517 = CAR(((obj_t) BgL_ll1604z00_2508));
													{	/* SawMill/node2rtl.scm 190 */
														BgL_areaz00_bglt BgL_res2692z00_4243;

														{	/* SawMill/node2rtl.scm 184 */
															BgL_areaz00_bglt BgL_az00_4238;

															BgL_az00_4238 =
																BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																((BgL_nodez00_bglt) BgL_az00_2516));
															{	/* SawMill/node2rtl.scm 114 */
																BgL_blockz00_bglt BgL_arg1895z00_4241;

																BgL_arg1895z00_4241 =
																	(((BgL_areaz00_bglt) COBJECT(BgL_az00_4238))->
																	BgL_exitz00);
																BGl_bdestinationz12z12zzsaw_node2rtlz00
																	(BgL_arg1895z00_4241,
																	((BgL_rtl_regz00_bglt) BgL_rz00_2517));
															}
															BgL_res2692z00_4243 = BgL_az00_4238;
														}
														BgL_arg1992z00_2515 = BgL_res2692z00_4243;
													}
												}
												BgL_newtail1607z00_2512 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1992z00_2515), BNIL);
											}
											SET_CDR(BgL_tail1606z00_2509, BgL_newtail1607z00_2512);
											{	/* SawMill/node2rtl.scm 190 */
												obj_t BgL_arg1990z00_2513;
												obj_t BgL_arg1991z00_2514;

												BgL_arg1990z00_2513 = CDR(((obj_t) BgL_ll1603z00_2507));
												BgL_arg1991z00_2514 = CDR(((obj_t) BgL_ll1604z00_2508));
												{
													obj_t BgL_tail1606z00_6703;
													obj_t BgL_ll1604z00_6702;
													obj_t BgL_ll1603z00_6701;

													BgL_ll1603z00_6701 = BgL_arg1990z00_2513;
													BgL_ll1604z00_6702 = BgL_arg1991z00_2514;
													BgL_tail1606z00_6703 = BgL_newtail1607z00_2512;
													BgL_tail1606z00_2509 = BgL_tail1606z00_6703;
													BgL_ll1604z00_2508 = BgL_ll1604z00_6702;
													BgL_ll1603z00_2507 = BgL_ll1603z00_6701;
													goto BgL_zc3z04anonymousza31988ze3z87_2510;
												}
											}
										}
								}
							}
						BgL_arg1984z00_2499 =
							BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg1986z00_2501);
					}
					BgL_arg1985z00_2500 =
						BGl_singleza2za2zzsaw_node2rtlz00(BgL_ez00_128, BgL_funz00_129,
						BgL_regsz00_2498);
					return BGl_linkz00zzsaw_node2rtlz00(BgL_arg1984z00_2499,
						BgL_arg1985z00_2500);
				}
			}
		}

	}



/* coerce */
	obj_t BGl_coercez00zzsaw_node2rtlz00(obj_t BgL_clausesz00_146)
	{
		{	/* SawMill/node2rtl.scm 270 */
			if (NULLP(BgL_clausesz00_146))
				{	/* SawMill/node2rtl.scm 271 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 271 */
					obj_t BgL_head1642z00_2569;

					BgL_head1642z00_2569 = MAKE_YOUNG_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1640z00_2571;
						obj_t BgL_tail1643z00_2572;

						BgL_l1640z00_2571 = BgL_clausesz00_146;
						BgL_tail1643z00_2572 = BgL_head1642z00_2569;
					BgL_zc3z04anonymousza32015ze3z87_2573:
						if (NULLP(BgL_l1640z00_2571))
							{	/* SawMill/node2rtl.scm 271 */
								return CDR(BgL_head1642z00_2569);
							}
						else
							{	/* SawMill/node2rtl.scm 271 */
								obj_t BgL_newtail1644z00_2575;

								{	/* SawMill/node2rtl.scm 271 */
									obj_t BgL_arg2018z00_2577;

									{	/* SawMill/node2rtl.scm 271 */
										obj_t BgL_cz00_2578;

										BgL_cz00_2578 = CAR(((obj_t) BgL_l1640z00_2571));
										{	/* SawMill/node2rtl.scm 272 */
											obj_t BgL_pz00_2579;

											BgL_pz00_2579 = CAR(((obj_t) BgL_cz00_2578));
											if ((BgL_pz00_2579 == CNST_TABLE_REF(((long) 1))))
												{	/* SawMill/node2rtl.scm 273 */
													BgL_arg2018z00_2577 = BgL_pz00_2579;
												}
											else
												{	/* SawMill/node2rtl.scm 273 */
													if (NULLP(BgL_pz00_2579))
														{	/* SawMill/node2rtl.scm 275 */
															BgL_arg2018z00_2577 = BNIL;
														}
													else
														{	/* SawMill/node2rtl.scm 275 */
															obj_t BgL_head1637z00_2583;

															BgL_head1637z00_2583 =
																MAKE_YOUNG_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1635z00_2585;
																obj_t BgL_tail1638z00_2586;

																BgL_l1635z00_2585 = BgL_pz00_2579;
																BgL_tail1638z00_2586 = BgL_head1637z00_2583;
															BgL_zc3z04anonymousza32021ze3z87_2587:
																if (NULLP(BgL_l1635z00_2585))
																	{	/* SawMill/node2rtl.scm 275 */
																		BgL_arg2018z00_2577 =
																			CDR(BgL_head1637z00_2583);
																	}
																else
																	{	/* SawMill/node2rtl.scm 275 */
																		obj_t BgL_newtail1639z00_2589;

																		{	/* SawMill/node2rtl.scm 275 */
																			obj_t BgL_arg2024z00_2591;

																			{	/* SawMill/node2rtl.scm 275 */
																				obj_t BgL_nz00_2592;

																				BgL_nz00_2592 =
																					CAR(((obj_t) BgL_l1635z00_2585));
																				if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nz00_2592))
																					{	/* SawMill/node2rtl.scm 276 */
																						BgL_arg2024z00_2591 = BgL_nz00_2592;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 276 */
																						if (CHARP(BgL_nz00_2592))
																							{	/* SawMill/node2rtl.scm 277 */
																								BgL_arg2024z00_2591 =
																									BINT((CCHAR(BgL_nz00_2592)));
																							}
																						else
																							{	/* SawMill/node2rtl.scm 277 */
																								BgL_arg2024z00_2591 =
																									BGl_errorz00zz__errorz00
																									(BGl_string2726z00zzsaw_node2rtlz00,
																									BGl_string2727z00zzsaw_node2rtlz00,
																									BgL_nz00_2592);
																							}
																					}
																			}
																			BgL_newtail1639z00_2589 =
																				MAKE_YOUNG_PAIR(BgL_arg2024z00_2591,
																				BNIL);
																		}
																		SET_CDR(BgL_tail1638z00_2586,
																			BgL_newtail1639z00_2589);
																		{	/* SawMill/node2rtl.scm 275 */
																			obj_t BgL_arg2023z00_2590;

																			BgL_arg2023z00_2590 =
																				CDR(((obj_t) BgL_l1635z00_2585));
																			{
																				obj_t BgL_tail1638z00_6741;
																				obj_t BgL_l1635z00_6740;

																				BgL_l1635z00_6740 = BgL_arg2023z00_2590;
																				BgL_tail1638z00_6741 =
																					BgL_newtail1639z00_2589;
																				BgL_tail1638z00_2586 =
																					BgL_tail1638z00_6741;
																				BgL_l1635z00_2585 = BgL_l1635z00_6740;
																				goto
																					BgL_zc3z04anonymousza32021ze3z87_2587;
																			}
																		}
																	}
															}
														}
												}
										}
									}
									BgL_newtail1644z00_2575 =
										MAKE_YOUNG_PAIR(BgL_arg2018z00_2577, BNIL);
								}
								SET_CDR(BgL_tail1643z00_2572, BgL_newtail1644z00_2575);
								{	/* SawMill/node2rtl.scm 271 */
									obj_t BgL_arg2017z00_2576;

									BgL_arg2017z00_2576 = CDR(((obj_t) BgL_l1640z00_2571));
									{
										obj_t BgL_tail1643z00_6747;
										obj_t BgL_l1640z00_6746;

										BgL_l1640z00_6746 = BgL_arg2017z00_2576;
										BgL_tail1643z00_6747 = BgL_newtail1644z00_2575;
										BgL_tail1643z00_2572 = BgL_tail1643z00_6747;
										BgL_l1640z00_2571 = BgL_l1640z00_6746;
										goto BgL_zc3z04anonymousza32015ze3z87_2573;
									}
								}
							}
					}
				}
		}

	}



/* compile-label-call */
	BgL_areaz00_bglt
		BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_148, obj_t BgL_argsz00_149)
	{
		{	/* SawMill/node2rtl.scm 288 */
			{	/* SawMill/node2rtl.scm 295 */
				obj_t BgL_regsz00_2598;

				if (NULLP(BgL_argsz00_149))
					{	/* SawMill/node2rtl.scm 295 */
						BgL_regsz00_2598 = BNIL;
					}
				else
					{	/* SawMill/node2rtl.scm 295 */
						obj_t BgL_head1647z00_2648;

						BgL_head1647z00_2648 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1645z00_2650;
							obj_t BgL_tail1648z00_2651;

							BgL_l1645z00_2650 = BgL_argsz00_149;
							BgL_tail1648z00_2651 = BgL_head1647z00_2648;
						BgL_zc3z04anonymousza32056ze3z87_2652:
							if (NULLP(BgL_l1645z00_2650))
								{	/* SawMill/node2rtl.scm 295 */
									BgL_regsz00_2598 = CDR(BgL_head1647z00_2648);
								}
							else
								{	/* SawMill/node2rtl.scm 295 */
									obj_t BgL_newtail1649z00_2654;

									{	/* SawMill/node2rtl.scm 295 */
										BgL_rtl_regz00_bglt BgL_arg2059z00_2656;

										{	/* SawMill/node2rtl.scm 295 */
											obj_t BgL_az00_2657;

											BgL_az00_2657 = CAR(((obj_t) BgL_l1645z00_2650));
											BgL_arg2059z00_2656 =
												BGl_newzd2regzd2zzsaw_node2rtlz00(
												((BgL_nodez00_bglt) BgL_az00_2657));
										}
										BgL_newtail1649z00_2654 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg2059z00_2656), BNIL);
									}
									SET_CDR(BgL_tail1648z00_2651, BgL_newtail1649z00_2654);
									{	/* SawMill/node2rtl.scm 295 */
										obj_t BgL_arg2058z00_2655;

										BgL_arg2058z00_2655 = CDR(((obj_t) BgL_l1645z00_2650));
										{
											obj_t BgL_tail1648z00_6764;
											obj_t BgL_l1645z00_6763;

											BgL_l1645z00_6763 = BgL_arg2058z00_2655;
											BgL_tail1648z00_6764 = BgL_newtail1649z00_2654;
											BgL_tail1648z00_2651 = BgL_tail1648z00_6764;
											BgL_l1645z00_2650 = BgL_l1645z00_6763;
											goto BgL_zc3z04anonymousza32056ze3z87_2652;
										}
									}
								}
						}
					}
				{	/* SawMill/node2rtl.scm 296 */
					obj_t BgL_paramsz00_2599;

					BgL_paramsz00_2599 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_vz00_148)))->
										BgL_valuez00))))->BgL_argsz00);
					{	/* SawMill/node2rtl.scm 298 */
						BgL_areaz00_bglt BgL_arg2029z00_2600;
						BgL_areaz00_bglt BgL_arg2030z00_2601;

						{	/* SawMill/node2rtl.scm 298 */
							obj_t BgL_arg2031z00_2602;

							if (NULLP(BgL_argsz00_149))
								{	/* SawMill/node2rtl.scm 298 */
									BgL_arg2031z00_2602 = BNIL;
								}
							else
								{	/* SawMill/node2rtl.scm 298 */
									obj_t BgL_head1652z00_2606;

									BgL_head1652z00_2606 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_ll1650z00_2608;
										obj_t BgL_ll1651z00_2609;
										obj_t BgL_tail1653z00_2610;

										BgL_ll1650z00_2608 = BgL_argsz00_149;
										BgL_ll1651z00_2609 = BgL_regsz00_2598;
										BgL_tail1653z00_2610 = BgL_head1652z00_2606;
									BgL_zc3z04anonymousza32033ze3z87_2611:
										if (NULLP(BgL_ll1650z00_2608))
											{	/* SawMill/node2rtl.scm 298 */
												BgL_arg2031z00_2602 = CDR(BgL_head1652z00_2606);
											}
										else
											{	/* SawMill/node2rtl.scm 298 */
												obj_t BgL_newtail1654z00_2613;

												{	/* SawMill/node2rtl.scm 298 */
													BgL_areaz00_bglt BgL_arg2037z00_2616;

													{	/* SawMill/node2rtl.scm 298 */
														obj_t BgL_ez00_2617;
														obj_t BgL_rz00_2618;

														BgL_ez00_2617 = CAR(((obj_t) BgL_ll1650z00_2608));
														BgL_rz00_2618 = CAR(((obj_t) BgL_ll1651z00_2609));
														{	/* SawMill/node2rtl.scm 298 */
															BgL_areaz00_bglt BgL_res2694z00_4299;

															{	/* SawMill/node2rtl.scm 184 */
																BgL_areaz00_bglt BgL_az00_4294;

																BgL_az00_4294 =
																	BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																	((BgL_nodez00_bglt) BgL_ez00_2617));
																{	/* SawMill/node2rtl.scm 114 */
																	BgL_blockz00_bglt BgL_arg1895z00_4297;

																	BgL_arg1895z00_4297 =
																		(((BgL_areaz00_bglt)
																			COBJECT(BgL_az00_4294))->BgL_exitz00);
																	BGl_bdestinationz12z12zzsaw_node2rtlz00
																		(BgL_arg1895z00_4297,
																		((BgL_rtl_regz00_bglt) BgL_rz00_2618));
																}
																BgL_res2694z00_4299 = BgL_az00_4294;
															}
															BgL_arg2037z00_2616 = BgL_res2694z00_4299;
														}
													}
													BgL_newtail1654z00_2613 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2037z00_2616), BNIL);
												}
												SET_CDR(BgL_tail1653z00_2610, BgL_newtail1654z00_2613);
												{	/* SawMill/node2rtl.scm 298 */
													obj_t BgL_arg2035z00_2614;
													obj_t BgL_arg2036z00_2615;

													BgL_arg2035z00_2614 =
														CDR(((obj_t) BgL_ll1650z00_2608));
													BgL_arg2036z00_2615 =
														CDR(((obj_t) BgL_ll1651z00_2609));
													{
														obj_t BgL_tail1653z00_6793;
														obj_t BgL_ll1651z00_6792;
														obj_t BgL_ll1650z00_6791;

														BgL_ll1650z00_6791 = BgL_arg2035z00_2614;
														BgL_ll1651z00_6792 = BgL_arg2036z00_2615;
														BgL_tail1653z00_6793 = BgL_newtail1654z00_2613;
														BgL_tail1653z00_2610 = BgL_tail1653z00_6793;
														BgL_ll1651z00_2609 = BgL_ll1651z00_6792;
														BgL_ll1650z00_2608 = BgL_ll1650z00_6791;
														goto BgL_zc3z04anonymousza32033ze3z87_2611;
													}
												}
											}
									}
								}
							BgL_arg2029z00_2600 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2031z00_2602);
						}
						{	/* SawMill/node2rtl.scm 300 */
							BgL_areaz00_bglt BgL_arg2039z00_2620;
							BgL_areaz00_bglt BgL_arg2040z00_2621;

							{	/* SawMill/node2rtl.scm 300 */
								obj_t BgL_arg2041z00_2622;

								{	/* SawMill/node2rtl.scm 300 */
									obj_t BgL_ll1656z00_2623;
									obj_t BgL_ll1657z00_2624;

									BgL_ll1656z00_2623 = bgl_reverse(BgL_regsz00_2598);
									BgL_ll1657z00_2624 = bgl_reverse(BgL_paramsz00_2599);
									if (NULLP(BgL_ll1656z00_2623))
										{	/* SawMill/node2rtl.scm 300 */
											BgL_arg2041z00_2622 = BNIL;
										}
									else
										{	/* SawMill/node2rtl.scm 300 */
											obj_t BgL_head1658z00_2626;

											{	/* SawMill/node2rtl.scm 300 */
												BgL_areaz00_bglt BgL_arg2051z00_2642;

												{	/* SawMill/node2rtl.scm 300 */
													obj_t BgL_arg2052z00_2643;
													obj_t BgL_arg2053z00_2644;

													BgL_arg2052z00_2643 = CAR(BgL_ll1656z00_2623);
													BgL_arg2053z00_2644 =
														CAR(((obj_t) BgL_ll1657z00_2624));
													BgL_arg2051z00_2642 =
														BGl_moveze70ze7zzsaw_node2rtlz00(
														((BgL_rtl_regz00_bglt) BgL_arg2052z00_2643),
														((BgL_localz00_bglt) BgL_arg2053z00_2644));
												}
												BgL_head1658z00_2626 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg2051z00_2642), BNIL);
											}
											{	/* SawMill/node2rtl.scm 300 */
												obj_t BgL_g1662z00_2627;
												obj_t BgL_g1663z00_2628;

												BgL_g1662z00_2627 = CDR(BgL_ll1656z00_2623);
												BgL_g1663z00_2628 = CDR(((obj_t) BgL_ll1657z00_2624));
												{
													obj_t BgL_ll1656z00_2630;
													obj_t BgL_ll1657z00_2631;
													obj_t BgL_tail1659z00_2632;

													BgL_ll1656z00_2630 = BgL_g1662z00_2627;
													BgL_ll1657z00_2631 = BgL_g1663z00_2628;
													BgL_tail1659z00_2632 = BgL_head1658z00_2626;
												BgL_zc3z04anonymousza32043ze3z87_2633:
													if (NULLP(BgL_ll1656z00_2630))
														{	/* SawMill/node2rtl.scm 300 */
															BgL_arg2041z00_2622 = BgL_head1658z00_2626;
														}
													else
														{	/* SawMill/node2rtl.scm 300 */
															obj_t BgL_newtail1660z00_2635;

															{	/* SawMill/node2rtl.scm 300 */
																BgL_areaz00_bglt BgL_arg2047z00_2638;

																{	/* SawMill/node2rtl.scm 300 */
																	obj_t BgL_arg2049z00_2639;
																	obj_t BgL_arg2050z00_2640;

																	BgL_arg2049z00_2639 =
																		CAR(((obj_t) BgL_ll1656z00_2630));
																	BgL_arg2050z00_2640 =
																		CAR(((obj_t) BgL_ll1657z00_2631));
																	BgL_arg2047z00_2638 =
																		BGl_moveze70ze7zzsaw_node2rtlz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2049z00_2639),
																		((BgL_localz00_bglt) BgL_arg2050z00_2640));
																}
																BgL_newtail1660z00_2635 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg2047z00_2638), BNIL);
															}
															SET_CDR(BgL_tail1659z00_2632,
																BgL_newtail1660z00_2635);
															{	/* SawMill/node2rtl.scm 300 */
																obj_t BgL_arg2045z00_2636;
																obj_t BgL_arg2046z00_2637;

																BgL_arg2045z00_2636 =
																	CDR(((obj_t) BgL_ll1656z00_2630));
																BgL_arg2046z00_2637 =
																	CDR(((obj_t) BgL_ll1657z00_2631));
																{
																	obj_t BgL_tail1659z00_6828;
																	obj_t BgL_ll1657z00_6827;
																	obj_t BgL_ll1656z00_6826;

																	BgL_ll1656z00_6826 = BgL_arg2045z00_2636;
																	BgL_ll1657z00_6827 = BgL_arg2046z00_2637;
																	BgL_tail1659z00_6828 =
																		BgL_newtail1660z00_2635;
																	BgL_tail1659z00_2632 = BgL_tail1659z00_6828;
																	BgL_ll1657z00_2631 = BgL_ll1657z00_6827;
																	BgL_ll1656z00_2630 = BgL_ll1656z00_6826;
																	goto BgL_zc3z04anonymousza32043ze3z87_2633;
																}
															}
														}
												}
											}
										}
								}
								BgL_arg2039z00_2620 =
									BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2041z00_2622);
							}
							BgL_arg2040z00_2621 =
								BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_vz00_148);
							BgL_arg2030z00_2601 =
								BGl_linkz00zzsaw_node2rtlz00(BgL_arg2039z00_2620,
								BgL_arg2040z00_2621);
						}
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2029z00_2600,
							BgL_arg2030z00_2601);
					}
				}
			}
		}

	}



/* move~0 */
	BgL_areaz00_bglt BGl_moveze70ze7zzsaw_node2rtlz00(BgL_rtl_regz00_bglt
		BgL_rz00_2659, BgL_localz00_bglt BgL_vz00_2660)
	{
		{	/* SawMill/node2rtl.scm 294 */
			{	/* SawMill/node2rtl.scm 292 */
				BgL_areaz00_bglt BgL_az00_2662;

				{	/* SawMill/node2rtl.scm 292 */
					BgL_rtl_movz00_bglt BgL_arg2062z00_2664;

					{	/* SawMill/node2rtl.scm 292 */
						BgL_rtl_movz00_bglt BgL_new1264z00_2666;

						{	/* SawMill/node2rtl.scm 292 */
							BgL_rtl_movz00_bglt BgL_new1263z00_2667;

							BgL_new1263z00_2667 =
								((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_movz00_bgl))));
							{	/* SawMill/node2rtl.scm 292 */
								long BgL_arg2064z00_2668;

								BgL_arg2064z00_2668 =
									BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1263z00_2667),
									BgL_arg2064z00_2668);
							}
							BgL_new1264z00_2666 = BgL_new1263z00_2667;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1264z00_2666)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2062z00_2664 = BgL_new1264z00_2666;
					}
					{	/* SawMill/node2rtl.scm 292 */
						obj_t BgL_list2063z00_2665;

						BgL_list2063z00_2665 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_rz00_2659), BNIL);
						BgL_az00_2662 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2062z00_2664),
							BgL_list2063z00_2665);
				}}
				BGl_bdestinationz12z12zzsaw_node2rtlz00(
					(((BgL_areaz00_bglt) COBJECT(BgL_az00_2662))->BgL_exitz00),
					BGl_localzd2ze3regz31zzsaw_node2rtlz00(BgL_vz00_2660));
				return BgL_az00_2662;
			}
		}

	}



/* local->code */
	BgL_areaz00_bglt BGl_localzd2ze3codez31zzsaw_node2rtlz00(BgL_localz00_bglt
		BgL_vz00_150)
	{
		{	/* SawMill/node2rtl.scm 304 */
			{	/* SawMill/node2rtl.scm 305 */
				bool_t BgL_test2918z00_6846;

				{	/* SawMill/node2rtl.scm 305 */
					obj_t BgL_classz00_4312;

					BgL_classz00_4312 = BGl_rlocalz00zzsaw_node2rtlz00;
					{	/* SawMill/node2rtl.scm 305 */
						obj_t BgL_oclassz00_4314;

						{	/* SawMill/node2rtl.scm 305 */
							long BgL_arg1833z00_4316;

							{	/* SawMill/node2rtl.scm 305 */
								long BgL_arg1834z00_4317;

								BgL_arg1834z00_4317 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_vz00_150));
								BgL_arg1833z00_4316 = (BgL_arg1834z00_4317 - OBJECT_TYPE);
							}
							BgL_oclassz00_4314 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4316);
						}
						BgL_test2918z00_6846 = (BgL_oclassz00_4314 == BgL_classz00_4312);
				}}
				if (BgL_test2918z00_6846)
					{	/* SawMill/node2rtl.scm 314 */
						obj_t BgL_arg2066z00_2671;

						{
							BgL_rlocalz00_bglt BgL_auxz00_6852;

							{
								obj_t BgL_auxz00_6853;

								{	/* SawMill/node2rtl.scm 314 */
									BgL_objectz00_bglt BgL_tmpz00_6854;

									BgL_tmpz00_6854 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_6853 = BGL_OBJECT_WIDENING(BgL_tmpz00_6854);
								}
								BgL_auxz00_6852 = ((BgL_rlocalz00_bglt) BgL_auxz00_6853);
							}
							BgL_arg2066z00_2671 =
								(((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6852))->BgL_codez00);
						}
						return
							BGl_unlinkz00zzsaw_node2rtlz00(
							((BgL_areaz00_bglt) BgL_arg2066z00_2671));
					}
				else
					{	/* SawMill/node2rtl.scm 307 */
						BgL_areaz00_bglt BgL_nopz00_2672;
						obj_t BgL_bodyz00_2673;

						{	/* SawMill/node2rtl.scm 307 */
							BgL_rtl_nopz00_bglt BgL_arg2071z00_2680;

							{	/* SawMill/node2rtl.scm 307 */
								BgL_rtl_nopz00_bglt BgL_new1266z00_2682;

								{	/* SawMill/node2rtl.scm 307 */
									BgL_rtl_nopz00_bglt BgL_new1265z00_2683;

									BgL_new1265z00_2683 =
										((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_nopz00_bgl))));
									{	/* SawMill/node2rtl.scm 307 */
										long BgL_arg2073z00_2684;

										BgL_arg2073z00_2684 =
											BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1265z00_2683),
											BgL_arg2073z00_2684);
									}
									BgL_new1266z00_2682 = BgL_new1265z00_2683;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1266z00_2682)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								BgL_arg2071z00_2680 = BgL_new1266z00_2682;
							}
							BgL_nopz00_2672 =
								BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
								((BgL_rtl_funz00_bglt) BgL_arg2071z00_2680), BNIL);
						}
						BgL_bodyz00_2673 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_150)))->
											BgL_valuez00))))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 310 */
							BgL_rlocalz00_bglt BgL_wide1269z00_2676;

							BgL_wide1269z00_2676 =
								((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rlocalz00_bgl))));
							{	/* SawMill/node2rtl.scm 310 */
								obj_t BgL_auxz00_6878;
								BgL_objectz00_bglt BgL_tmpz00_6875;

								BgL_auxz00_6878 = ((obj_t) BgL_wide1269z00_2676);
								BgL_tmpz00_6875 =
									((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6875, BgL_auxz00_6878);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
							{	/* SawMill/node2rtl.scm 310 */
								long BgL_arg2068z00_2677;

								BgL_arg2068z00_2677 =
									BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_vz00_150)), BgL_arg2068z00_2677);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6889;

							{
								obj_t BgL_auxz00_6890;

								{	/* SawMill/node2rtl.scm 310 */
									BgL_objectz00_bglt BgL_tmpz00_6891;

									BgL_tmpz00_6891 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_6890 = BGL_OBJECT_WIDENING(BgL_tmpz00_6891);
								}
								BgL_auxz00_6889 = ((BgL_rlocalz00_bglt) BgL_auxz00_6890);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6889))->BgL_regz00) =
								((obj_t) BFALSE), BUNSPEC);
						}
						{
							BgL_rlocalz00_bglt BgL_auxz00_6897;

							{
								obj_t BgL_auxz00_6898;

								{	/* SawMill/node2rtl.scm 310 */
									BgL_objectz00_bglt BgL_tmpz00_6899;

									BgL_tmpz00_6899 =
										((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_vz00_150));
									BgL_auxz00_6898 = BGL_OBJECT_WIDENING(BgL_tmpz00_6899);
								}
								BgL_auxz00_6897 = ((BgL_rlocalz00_bglt) BgL_auxz00_6898);
							}
							((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_6897))->BgL_codez00) =
								((obj_t) ((obj_t) BgL_nopz00_2672)), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_vz00_150);
						{	/* SawMill/node2rtl.scm 312 */
							BgL_areaz00_bglt BgL_arg2069z00_2679;

							BgL_arg2069z00_2679 =
								BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
								((BgL_nodez00_bglt) BgL_bodyz00_2673));
							return
								BGl_linkz00zzsaw_node2rtlz00(BgL_nopz00_2672,
								BgL_arg2069z00_2679);
						}
					}
			}
		}

	}



/* imperative? */
	obj_t BGl_imperativezf3zf3zzsaw_node2rtlz00(BgL_appz00_bglt BgL_ez00_152,
		BgL_globalz00_bglt BgL_vz00_153, obj_t BgL_argsz00_154)
	{
		{	/* SawMill/node2rtl.scm 327 */
			{	/* SawMill/node2rtl.scm 328 */
				obj_t BgL_idz00_2686;

				BgL_idz00_2686 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_vz00_153)))->BgL_idz00);
				if ((BgL_idz00_2686 == CNST_TABLE_REF(((long) 2))))
					{	/* SawMill/node2rtl.scm 331 */
						obj_t BgL_az00_2688;

						{	/* SawMill/node2rtl.scm 331 */
							bool_t BgL_test2920z00_6915;

							{	/* SawMill/node2rtl.scm 331 */
								obj_t BgL_arg2086z00_2699;

								BgL_arg2086z00_2699 = CAR(((obj_t) BgL_argsz00_154));
								{	/* SawMill/node2rtl.scm 331 */
									obj_t BgL_classz00_4339;

									BgL_classz00_4339 = BGl_pragmaz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_arg2086z00_2699))
										{	/* SawMill/node2rtl.scm 331 */
											BgL_objectz00_bglt BgL_arg1825z00_4341;

											BgL_arg1825z00_4341 =
												(BgL_objectz00_bglt) (BgL_arg2086z00_2699);
											{	/* SawMill/node2rtl.scm 331 */
												bool_t BgL_arg1822z00_4344;
												bool_t BgL_arg1823z00_4345;

												{	/* SawMill/node2rtl.scm 331 */
													long BgL_idxz00_4348;

													BgL_idxz00_4348 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4341);
													BgL_arg1822z00_4344 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4348 + ((long) 4))) ==
														BgL_classz00_4339);
												}
												{	/* SawMill/node2rtl.scm 331 */
													bool_t BgL_res2695z00_4370;

													{	/* SawMill/node2rtl.scm 331 */
														obj_t BgL_oclassz00_4356;

														{	/* SawMill/node2rtl.scm 331 */
															long BgL_arg1833z00_4362;

															{	/* SawMill/node2rtl.scm 331 */
																long BgL_arg1834z00_4363;

																BgL_arg1834z00_4363 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4341);
																BgL_arg1833z00_4362 =
																	(BgL_arg1834z00_4363 - OBJECT_TYPE);
															}
															BgL_oclassz00_4356 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4362);
														}
														{	/* SawMill/node2rtl.scm 331 */
															bool_t BgL__ortest_1110z00_4357;

															BgL__ortest_1110z00_4357 =
																(BgL_classz00_4339 == BgL_oclassz00_4356);
															if (BgL__ortest_1110z00_4357)
																{	/* SawMill/node2rtl.scm 331 */
																	BgL_res2695z00_4370 =
																		BgL__ortest_1110z00_4357;
																}
															else
																{	/* SawMill/node2rtl.scm 331 */
																	long BgL_odepthz00_4358;

																	BgL_odepthz00_4358 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4356);
																	if ((((long) 4) < BgL_odepthz00_4358))
																		{	/* SawMill/node2rtl.scm 331 */
																			obj_t BgL_arg1821z00_4360;

																			BgL_arg1821z00_4360 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4356, ((long) 4));
																			BgL_res2695z00_4370 =
																				(BgL_arg1821z00_4360 ==
																				BgL_classz00_4339);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 331 */
																			BgL_res2695z00_4370 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4345 = BgL_res2695z00_4370;
												}
												BgL_test2920z00_6915 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4344,
													BgL_arg1823z00_4345);
											}
										}
									else
										{	/* SawMill/node2rtl.scm 331 */
											BgL_test2920z00_6915 = ((bool_t) 0);
										}
								}
							}
							if (BgL_test2920z00_6915)
								{	/* SawMill/node2rtl.scm 332 */
									obj_t BgL_pairz00_4373;

									BgL_pairz00_4373 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_pragmaz00_bglt)
														CAR(((obj_t) BgL_argsz00_154))))))->BgL_exprza2za2);
									BgL_az00_2688 = CAR(BgL_pairz00_4373);
								}
							else
								{	/* SawMill/node2rtl.scm 331 */
									BgL_az00_2688 = CAR(((obj_t) BgL_argsz00_154));
								}
						}
						{	/* SawMill/node2rtl.scm 335 */
							BgL_rtl_globalrefz00_bglt BgL_arg2076z00_2689;

							{	/* SawMill/node2rtl.scm 335 */
								BgL_rtl_globalrefz00_bglt BgL_new1278z00_2691;

								{	/* SawMill/node2rtl.scm 335 */
									BgL_rtl_globalrefz00_bglt BgL_new1277z00_2693;

									BgL_new1277z00_2693 =
										((BgL_rtl_globalrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_globalrefz00_bgl))));
									{	/* SawMill/node2rtl.scm 335 */
										long BgL_arg2081z00_2694;

										BgL_arg2081z00_2694 =
											BGL_CLASS_NUM(BGl_rtl_globalrefz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1277z00_2693),
											BgL_arg2081z00_2694);
									}
									BgL_new1278z00_2691 = BgL_new1277z00_2693;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1278z00_2691)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_6950;

									{	/* SawMill/node2rtl.scm 336 */
										BgL_variablez00_bglt BgL_arg2078z00_2692;

										BgL_arg2078z00_2692 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_az00_2688)))->BgL_variablez00);
										BgL_auxz00_6950 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(
											((BgL_globalz00_bglt) BgL_arg2078z00_2692));
									}
									((((BgL_rtl_globalrefz00_bglt) COBJECT(BgL_new1278z00_2691))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_6950), BUNSPEC);
								}
								BgL_arg2076z00_2689 = BgL_new1278z00_2691;
							}
							return
								((obj_t)
								BGl_callza2za2zzsaw_node2rtlz00(
									((obj_t) BgL_ez00_152),
									((BgL_rtl_funz00_bglt) BgL_arg2076z00_2689), BNIL));
						}
					}
				else
					{	/* SawMill/node2rtl.scm 330 */
						return BFALSE;
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			{	/* SawMill/node2rtl.scm 19 */
				obj_t BgL_arg2090z00_2703;
				obj_t BgL_arg2091z00_2704;

				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1664z00_2716;

					BgL_v1664z00_2716 = create_vector(((long) 2));
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2097z00_2717;

						BgL_arg2097z00_2717 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2729z00zzsaw_node2rtlz00,
							BGl_proc2728z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1664z00_2716, ((long) 0), BgL_arg2097z00_2717);
					}
					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_arg2104z00_2727;

						BgL_arg2104z00_2727 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2731z00zzsaw_node2rtlz00,
							BGl_proc2730z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_blockz00zzsaw_defsz00);
						VECTOR_SET(BgL_v1664z00_2716, ((long) 1), BgL_arg2104z00_2727);
					}
					BgL_arg2090z00_2703 = BgL_v1664z00_2716;
				}
				{	/* SawMill/node2rtl.scm 19 */
					obj_t BgL_v1665z00_2737;

					BgL_v1665z00_2737 = create_vector(((long) 0));
					BgL_arg2091z00_2704 = BgL_v1665z00_2737;
				}
				BGl_areaz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
					CNST_TABLE_REF(((long) 6)), BGl_objectz00zz__objectz00,
					((long) 23170), BGl_proc2734z00zzsaw_node2rtlz00,
					BGl_proc2733z00zzsaw_node2rtlz00, BFALSE,
					BGl_proc2732z00zzsaw_node2rtlz00, BFALSE, BgL_arg2090z00_2703,
					BgL_arg2091z00_2704);
			}
			{	/* SawMill/node2rtl.scm 20 */
				obj_t BgL_arg2114z00_2745;
				obj_t BgL_arg2115z00_2746;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1666z00_2771;

					BgL_v1666z00_2771 = create_vector(((long) 0));
					BgL_arg2114z00_2745 = BgL_v1666z00_2771;
				}
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_v1667z00_2772;

					BgL_v1667z00_2772 = create_vector(((long) 0));
					BgL_arg2115z00_2746 = BgL_v1667z00_2772;
				}
				BGl_reversedz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
					CNST_TABLE_REF(((long) 6)), BGl_blockz00zzsaw_defsz00, ((long) 28990),
					BGl_proc2738z00zzsaw_node2rtlz00, BGl_proc2737z00zzsaw_node2rtlz00,
					BFALSE, BGl_proc2736z00zzsaw_node2rtlz00,
					BGl_proc2735z00zzsaw_node2rtlz00, BgL_arg2114z00_2745,
					BgL_arg2115z00_2746);
			}
			{	/* SawMill/node2rtl.scm 21 */
				obj_t BgL_arg2130z00_2781;
				obj_t BgL_arg2131z00_2782;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1668z00_2818;

					BgL_v1668z00_2818 = create_vector(((long) 2));
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2142z00_2819;

						BgL_arg2142z00_2819 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2740z00zzsaw_node2rtlz00,
							BGl_proc2739z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1668z00_2818, ((long) 0), BgL_arg2142z00_2819);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2148z00_2829;

						BgL_arg2148z00_2829 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									10)), BGl_proc2742z00zzsaw_node2rtlz00,
							BGl_proc2741z00zzsaw_node2rtlz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1668z00_2818, ((long) 1), BgL_arg2148z00_2829);
					}
					BgL_arg2130z00_2781 = BgL_v1668z00_2818;
				}
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_v1669z00_2839;

					BgL_v1669z00_2839 = create_vector(((long) 0));
					BgL_arg2131z00_2782 = BgL_v1669z00_2839;
				}
				return (BGl_rlocalz00zzsaw_node2rtlz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 11)),
						CNST_TABLE_REF(((long) 6)), BGl_localz00zzast_varz00,
						((long) 58620), BGl_proc2746z00zzsaw_node2rtlz00,
						BGl_proc2745z00zzsaw_node2rtlz00, BFALSE,
						BGl_proc2744z00zzsaw_node2rtlz00, BGl_proc2743z00zzsaw_node2rtlz00,
						BgL_arg2130z00_2781, BgL_arg2131z00_2782), BUNSPEC);
		}}

	}



/* &lambda2138 */
	BgL_localz00_bglt BGl_z62lambda2138z62zzsaw_node2rtlz00(obj_t BgL_envz00_5285,
		obj_t BgL_o1184z00_5286)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_arg2139z00_5473;

				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_arg2140z00_5474;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_arg2141z00_5475;

						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg1833z00_5476;

							{	/* SawMill/node2rtl.scm 21 */
								long BgL_arg1834z00_5477;

								BgL_arg1834z00_5477 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1184z00_5286)));
								BgL_arg1833z00_5476 = (BgL_arg1834z00_5477 - OBJECT_TYPE);
							}
							BgL_arg2141z00_5475 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5476);
						}
						BgL_arg2140z00_5474 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2141z00_5475);
					}
					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_tmpz00_6995;

						BgL_tmpz00_6995 = ((obj_t) BgL_arg2140z00_5474);
						BgL_arg2139z00_5473 = BGL_CLASS_NUM(BgL_tmpz00_6995);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1184z00_5286)), BgL_arg2139z00_5473);
			}
			{	/* SawMill/node2rtl.scm 21 */
				BgL_objectz00_bglt BgL_tmpz00_7001;

				BgL_tmpz00_7001 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5286));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7001, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5286));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1184z00_5286));
		}

	}



/* &<@anonymous:2137> */
	obj_t BGl_z62zc3z04anonymousza32137ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5287, obj_t BgL_new1183z00_5288)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_localz00_bglt BgL_auxz00_7009;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1183z00_5288))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_7017;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5479;

						BgL_classz00_5479 = BGl_typez00zztype_typez00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1112z00_5480;

							BgL__ortest_1112z00_5480 = BGL_CLASS_NIL(BgL_classz00_5479);
							if (CBOOL(BgL__ortest_1112z00_5480))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7017 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_5480);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7017 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5479));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1183z00_5288))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7017), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_7027;

					{	/* SawMill/node2rtl.scm 21 */
						obj_t BgL_classz00_5481;

						BgL_classz00_5481 = BGl_valuez00zzast_varz00;
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL__ortest_1112z00_5482;

							BgL__ortest_1112z00_5482 = BGL_CLASS_NIL(BgL_classz00_5481);
							if (CBOOL(BgL__ortest_1112z00_5482))
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7027 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_5482);
								}
							else
								{	/* SawMill/node2rtl.scm 21 */
									BgL_auxz00_7027 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5481));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1183z00_5288))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_7027), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1183z00_5288))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1183z00_5288))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_rlocalz00_bglt BgL_auxz00_7064;

					{
						obj_t BgL_auxz00_7065;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7066;

							BgL_tmpz00_7066 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1183z00_5288));
							BgL_auxz00_7065 = BGL_OBJECT_WIDENING(BgL_tmpz00_7066);
						}
						BgL_auxz00_7064 = ((BgL_rlocalz00_bglt) BgL_auxz00_7065);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7064))->BgL_regz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rlocalz00_bglt BgL_auxz00_7072;

					{
						obj_t BgL_auxz00_7073;

						{	/* SawMill/node2rtl.scm 21 */
							BgL_objectz00_bglt BgL_tmpz00_7074;

							BgL_tmpz00_7074 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1183z00_5288));
							BgL_auxz00_7073 = BGL_OBJECT_WIDENING(BgL_tmpz00_7074);
						}
						BgL_auxz00_7072 = ((BgL_rlocalz00_bglt) BgL_auxz00_7073);
					}
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7072))->BgL_codez00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_7009 = ((BgL_localz00_bglt) BgL_new1183z00_5288);
				return ((obj_t) BgL_auxz00_7009);
			}
		}

	}



/* &lambda2135 */
	BgL_localz00_bglt BGl_z62lambda2135z62zzsaw_node2rtlz00(obj_t BgL_envz00_5289,
		obj_t BgL_o1180z00_5290)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				BgL_rlocalz00_bglt BgL_wide1182z00_5484;

				BgL_wide1182z00_5484 =
					((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rlocalz00_bgl))));
				{	/* SawMill/node2rtl.scm 21 */
					obj_t BgL_auxz00_7087;
					BgL_objectz00_bglt BgL_tmpz00_7083;

					BgL_auxz00_7087 = ((obj_t) BgL_wide1182z00_5484);
					BgL_tmpz00_7083 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1180z00_5290)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7083, BgL_auxz00_7087);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1180z00_5290)));
				{	/* SawMill/node2rtl.scm 21 */
					long BgL_arg2136z00_5485;

					BgL_arg2136z00_5485 = BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1180z00_5290))), BgL_arg2136z00_5485);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1180z00_5290)));
			}
		}

	}



/* &lambda2132 */
	BgL_localz00_bglt BGl_z62lambda2132z62zzsaw_node2rtlz00(obj_t BgL_envz00_5291,
		obj_t BgL_id1165z00_5292, obj_t BgL_name1166z00_5293,
		obj_t BgL_type1167z00_5294, obj_t BgL_value1168z00_5295,
		obj_t BgL_access1169z00_5296, obj_t BgL_fastzd2alpha1170zd2_5297,
		obj_t BgL_removable1171z00_5298, obj_t BgL_occurrence1172z00_5299,
		obj_t BgL_occurrencew1173z00_5300, obj_t BgL_userzf31174zf3_5301,
		obj_t BgL_key1175z00_5302, obj_t BgL_valzd2noescape1176zd2_5303,
		obj_t BgL_volatile1177z00_5304, obj_t BgL_reg1178z00_5305,
		obj_t BgL_code1179z00_5306)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{	/* SawMill/node2rtl.scm 21 */
				long BgL_occurrence1172z00_5489;
				long BgL_occurrencew1173z00_5490;
				bool_t BgL_userzf31174zf3_5491;
				long BgL_key1175z00_5492;
				bool_t BgL_volatile1177z00_5493;

				BgL_occurrence1172z00_5489 = (long) CINT(BgL_occurrence1172z00_5299);
				BgL_occurrencew1173z00_5490 = (long) CINT(BgL_occurrencew1173z00_5300);
				BgL_userzf31174zf3_5491 = CBOOL(BgL_userzf31174zf3_5301);
				BgL_key1175z00_5492 = (long) CINT(BgL_key1175z00_5302);
				BgL_volatile1177z00_5493 = CBOOL(BgL_volatile1177z00_5304);
				{	/* SawMill/node2rtl.scm 21 */
					BgL_localz00_bglt BgL_new1364z00_5494;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_localz00_bglt BgL_tmp1362z00_5495;
						BgL_rlocalz00_bglt BgL_wide1363z00_5496;

						{
							BgL_localz00_bglt BgL_auxz00_7106;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_localz00_bglt BgL_new1361z00_5497;

								BgL_new1361z00_5497 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* SawMill/node2rtl.scm 21 */
									long BgL_arg2134z00_5498;

									BgL_arg2134z00_5498 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1361z00_5497),
										BgL_arg2134z00_5498);
								}
								{	/* SawMill/node2rtl.scm 21 */
									BgL_objectz00_bglt BgL_tmpz00_7111;

									BgL_tmpz00_7111 = ((BgL_objectz00_bglt) BgL_new1361z00_5497);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7111, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1361z00_5497);
								BgL_auxz00_7106 = BgL_new1361z00_5497;
							}
							BgL_tmp1362z00_5495 = ((BgL_localz00_bglt) BgL_auxz00_7106);
						}
						BgL_wide1363z00_5496 =
							((BgL_rlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rlocalz00_bgl))));
						{	/* SawMill/node2rtl.scm 21 */
							obj_t BgL_auxz00_7119;
							BgL_objectz00_bglt BgL_tmpz00_7117;

							BgL_auxz00_7119 = ((obj_t) BgL_wide1363z00_5496);
							BgL_tmpz00_7117 = ((BgL_objectz00_bglt) BgL_tmp1362z00_5495);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7117, BgL_auxz00_7119);
						}
						((BgL_objectz00_bglt) BgL_tmp1362z00_5495);
						{	/* SawMill/node2rtl.scm 21 */
							long BgL_arg2133z00_5499;

							BgL_arg2133z00_5499 =
								BGL_CLASS_NUM(BGl_rlocalz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1362z00_5495),
								BgL_arg2133z00_5499);
						}
						BgL_new1364z00_5494 = ((BgL_localz00_bglt) BgL_tmp1362z00_5495);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1364z00_5494)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1165z00_5292)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_namez00) =
						((obj_t) BgL_name1166z00_5293), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1167z00_5294)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1168z00_5295)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_accessz00) =
						((obj_t) BgL_access1169z00_5296), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1170zd2_5297), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_removablez00) =
						((obj_t) BgL_removable1171z00_5298), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_occurrencez00) =
						((long) BgL_occurrence1172z00_5489), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1173z00_5490), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1364z00_5494)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31174zf3_5491), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1364z00_5494)))->BgL_keyz00) =
						((long) BgL_key1175z00_5492), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1364z00_5494)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1176zd2_5303), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1364z00_5494)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1177z00_5493), BUNSPEC);
					{
						BgL_rlocalz00_bglt BgL_auxz00_7156;

						{
							obj_t BgL_auxz00_7157;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7158;

								BgL_tmpz00_7158 = ((BgL_objectz00_bglt) BgL_new1364z00_5494);
								BgL_auxz00_7157 = BGL_OBJECT_WIDENING(BgL_tmpz00_7158);
							}
							BgL_auxz00_7156 = ((BgL_rlocalz00_bglt) BgL_auxz00_7157);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7156))->BgL_regz00) =
							((obj_t) BgL_reg1178z00_5305), BUNSPEC);
					}
					{
						BgL_rlocalz00_bglt BgL_auxz00_7163;

						{
							obj_t BgL_auxz00_7164;

							{	/* SawMill/node2rtl.scm 21 */
								BgL_objectz00_bglt BgL_tmpz00_7165;

								BgL_tmpz00_7165 = ((BgL_objectz00_bglt) BgL_new1364z00_5494);
								BgL_auxz00_7164 = BGL_OBJECT_WIDENING(BgL_tmpz00_7165);
							}
							BgL_auxz00_7163 = ((BgL_rlocalz00_bglt) BgL_auxz00_7164);
						}
						((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7163))->BgL_codez00) =
							((obj_t) BgL_code1179z00_5306), BUNSPEC);
					}
					return BgL_new1364z00_5494;
				}
			}
		}

	}



/* &lambda2152 */
	obj_t BGl_z62lambda2152z62zzsaw_node2rtlz00(obj_t BgL_envz00_5307,
		obj_t BgL_oz00_5308, obj_t BgL_vz00_5309)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7170;

				{
					obj_t BgL_auxz00_7171;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7172;

						BgL_tmpz00_7172 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5308));
						BgL_auxz00_7171 = BGL_OBJECT_WIDENING(BgL_tmpz00_7172);
					}
					BgL_auxz00_7170 = ((BgL_rlocalz00_bglt) BgL_auxz00_7171);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7170))->BgL_codez00) =
					((obj_t) BgL_vz00_5309), BUNSPEC);
			}
		}

	}



/* &lambda2151 */
	obj_t BGl_z62lambda2151z62zzsaw_node2rtlz00(obj_t BgL_envz00_5310,
		obj_t BgL_oz00_5311)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7178;

				{
					obj_t BgL_auxz00_7179;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7180;

						BgL_tmpz00_7180 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5311));
						BgL_auxz00_7179 = BGL_OBJECT_WIDENING(BgL_tmpz00_7180);
					}
					BgL_auxz00_7178 = ((BgL_rlocalz00_bglt) BgL_auxz00_7179);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7178))->BgL_codez00);
			}
		}

	}



/* &lambda2146 */
	obj_t BGl_z62lambda2146z62zzsaw_node2rtlz00(obj_t BgL_envz00_5312,
		obj_t BgL_oz00_5313, obj_t BgL_vz00_5314)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7186;

				{
					obj_t BgL_auxz00_7187;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7188;

						BgL_tmpz00_7188 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5313));
						BgL_auxz00_7187 = BGL_OBJECT_WIDENING(BgL_tmpz00_7188);
					}
					BgL_auxz00_7186 = ((BgL_rlocalz00_bglt) BgL_auxz00_7187);
				}
				return
					((((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7186))->BgL_regz00) =
					((obj_t) BgL_vz00_5314), BUNSPEC);
			}
		}

	}



/* &lambda2145 */
	obj_t BGl_z62lambda2145z62zzsaw_node2rtlz00(obj_t BgL_envz00_5315,
		obj_t BgL_oz00_5316)
	{
		{	/* SawMill/node2rtl.scm 21 */
			{
				BgL_rlocalz00_bglt BgL_auxz00_7194;

				{
					obj_t BgL_auxz00_7195;

					{	/* SawMill/node2rtl.scm 21 */
						BgL_objectz00_bglt BgL_tmpz00_7196;

						BgL_tmpz00_7196 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_5316));
						BgL_auxz00_7195 = BGL_OBJECT_WIDENING(BgL_tmpz00_7196);
					}
					BgL_auxz00_7194 = ((BgL_rlocalz00_bglt) BgL_auxz00_7195);
				}
				return (((BgL_rlocalz00_bglt) COBJECT(BgL_auxz00_7194))->BgL_regz00);
			}
		}

	}



/* &lambda2122 */
	BgL_blockz00_bglt BGl_z62lambda2122z62zzsaw_node2rtlz00(obj_t BgL_envz00_5317,
		obj_t BgL_o1163z00_5318)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				long BgL_arg2123z00_5505;

				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_arg2124z00_5506;

					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_arg2125z00_5507;

						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg1833z00_5508;

							{	/* SawMill/node2rtl.scm 20 */
								long BgL_arg1834z00_5509;

								BgL_arg1834z00_5509 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1163z00_5318)));
								BgL_arg1833z00_5508 = (BgL_arg1834z00_5509 - OBJECT_TYPE);
							}
							BgL_arg2125z00_5507 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5508);
						}
						BgL_arg2124z00_5506 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2125z00_5507);
					}
					{	/* SawMill/node2rtl.scm 20 */
						obj_t BgL_tmpz00_7208;

						BgL_tmpz00_7208 = ((obj_t) BgL_arg2124z00_5506);
						BgL_arg2123z00_5505 = BGL_CLASS_NUM(BgL_tmpz00_7208);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1163z00_5318)), BgL_arg2123z00_5505);
			}
			{	/* SawMill/node2rtl.scm 20 */
				BgL_objectz00_bglt BgL_tmpz00_7214;

				BgL_tmpz00_7214 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5318));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7214, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5318));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1163z00_5318));
		}

	}



/* &<@anonymous:2121> */
	obj_t BGl_z62zc3z04anonymousza32121ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5319, obj_t BgL_new1162z00_5320)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{
				BgL_blockz00_bglt BgL_auxz00_7222;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1162z00_5320))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1162z00_5320))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1162z00_5320))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1162z00_5320))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				BgL_auxz00_7222 = ((BgL_blockz00_bglt) BgL_new1162z00_5320);
				return ((obj_t) BgL_auxz00_7222);
			}
		}

	}



/* &lambda2119 */
	BgL_blockz00_bglt BGl_z62lambda2119z62zzsaw_node2rtlz00(obj_t BgL_envz00_5321,
		obj_t BgL_o1159z00_5322)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				BgL_reversedz00_bglt BgL_wide1161z00_5512;

				BgL_wide1161z00_5512 =
					((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_reversedz00_bgl))));
				{	/* SawMill/node2rtl.scm 20 */
					obj_t BgL_auxz00_7244;
					BgL_objectz00_bglt BgL_tmpz00_7240;

					BgL_auxz00_7244 = ((obj_t) BgL_wide1161z00_5512);
					BgL_tmpz00_7240 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_5322)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7240, BgL_auxz00_7244);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_5322)));
				{	/* SawMill/node2rtl.scm 20 */
					long BgL_arg2120z00_5513;

					BgL_arg2120z00_5513 = BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1159z00_5322))), BgL_arg2120z00_5513);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_5322)));
			}
		}

	}



/* &lambda2116 */
	BgL_blockz00_bglt BGl_z62lambda2116z62zzsaw_node2rtlz00(obj_t BgL_envz00_5323,
		obj_t BgL_label1155z00_5324, obj_t BgL_preds1156z00_5325,
		obj_t BgL_succs1157z00_5326, obj_t BgL_first1158z00_5327)
	{
		{	/* SawMill/node2rtl.scm 20 */
			{	/* SawMill/node2rtl.scm 20 */
				int BgL_label1155z00_5514;

				BgL_label1155z00_5514 = CINT(BgL_label1155z00_5324);
				{	/* SawMill/node2rtl.scm 20 */
					BgL_blockz00_bglt BgL_new1359z00_5518;

					{	/* SawMill/node2rtl.scm 20 */
						BgL_blockz00_bglt BgL_tmp1357z00_5519;
						BgL_reversedz00_bglt BgL_wide1358z00_5520;

						{
							BgL_blockz00_bglt BgL_auxz00_7259;

							{	/* SawMill/node2rtl.scm 20 */
								BgL_blockz00_bglt BgL_new1356z00_5521;

								BgL_new1356z00_5521 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/node2rtl.scm 20 */
									long BgL_arg2118z00_5522;

									BgL_arg2118z00_5522 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1356z00_5521),
										BgL_arg2118z00_5522);
								}
								{	/* SawMill/node2rtl.scm 20 */
									BgL_objectz00_bglt BgL_tmpz00_7264;

									BgL_tmpz00_7264 = ((BgL_objectz00_bglt) BgL_new1356z00_5521);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7264, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1356z00_5521);
								BgL_auxz00_7259 = BgL_new1356z00_5521;
							}
							BgL_tmp1357z00_5519 = ((BgL_blockz00_bglt) BgL_auxz00_7259);
						}
						BgL_wide1358z00_5520 =
							((BgL_reversedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_reversedz00_bgl))));
						{	/* SawMill/node2rtl.scm 20 */
							obj_t BgL_auxz00_7272;
							BgL_objectz00_bglt BgL_tmpz00_7270;

							BgL_auxz00_7272 = ((obj_t) BgL_wide1358z00_5520);
							BgL_tmpz00_7270 = ((BgL_objectz00_bglt) BgL_tmp1357z00_5519);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7270, BgL_auxz00_7272);
						}
						((BgL_objectz00_bglt) BgL_tmp1357z00_5519);
						{	/* SawMill/node2rtl.scm 20 */
							long BgL_arg2117z00_5523;

							BgL_arg2117z00_5523 =
								BGL_CLASS_NUM(BGl_reversedz00zzsaw_node2rtlz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1357z00_5519),
								BgL_arg2117z00_5523);
						}
						BgL_new1359z00_5518 = ((BgL_blockz00_bglt) BgL_tmp1357z00_5519);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1359z00_5518)))->BgL_labelz00) =
						((int) BgL_label1155z00_5514), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1359z00_5518)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1156z00_5325)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1359z00_5518)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1157z00_5326)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1359z00_5518)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1158z00_5327)), BUNSPEC);
					return BgL_new1359z00_5518;
				}
			}
		}

	}



/* &<@anonymous:2096> */
	obj_t BGl_z62zc3z04anonymousza32096ze3ze5zzsaw_node2rtlz00(obj_t
		BgL_envz00_5328, obj_t BgL_new1153z00_5329)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{
				BgL_areaz00_bglt BgL_auxz00_7291;

				{
					BgL_blockz00_bglt BgL_auxz00_7292;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5525;

						BgL_classz00_5525 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1112z00_5526;

							BgL__ortest_1112z00_5526 = BGL_CLASS_NIL(BgL_classz00_5525);
							if (CBOOL(BgL__ortest_1112z00_5526))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7292 =
										((BgL_blockz00_bglt) BgL__ortest_1112z00_5526);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7292 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5525));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1153z00_5329)))->BgL_entryz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7292), BUNSPEC);
				}
				{
					BgL_blockz00_bglt BgL_auxz00_7301;

					{	/* SawMill/node2rtl.scm 19 */
						obj_t BgL_classz00_5527;

						BgL_classz00_5527 = BGl_blockz00zzsaw_defsz00;
						{	/* SawMill/node2rtl.scm 19 */
							obj_t BgL__ortest_1112z00_5528;

							BgL__ortest_1112z00_5528 = BGL_CLASS_NIL(BgL_classz00_5527);
							if (CBOOL(BgL__ortest_1112z00_5528))
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7301 =
										((BgL_blockz00_bglt) BgL__ortest_1112z00_5528);
								}
							else
								{	/* SawMill/node2rtl.scm 19 */
									BgL_auxz00_7301 =
										((BgL_blockz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5527));
								}
						}
					}
					((((BgL_areaz00_bglt) COBJECT(
									((BgL_areaz00_bglt) BgL_new1153z00_5329)))->BgL_exitz00) =
						((BgL_blockz00_bglt) BgL_auxz00_7301), BUNSPEC);
				}
				BgL_auxz00_7291 = ((BgL_areaz00_bglt) BgL_new1153z00_5329);
				return ((obj_t) BgL_auxz00_7291);
			}
		}

	}



/* &lambda2094 */
	BgL_areaz00_bglt BGl_z62lambda2094z62zzsaw_node2rtlz00(obj_t BgL_envz00_5330)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1152z00_5529;

				BgL_new1152z00_5529 =
					((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_areaz00_bgl))));
				{	/* SawMill/node2rtl.scm 19 */
					long BgL_arg2095z00_5530;

					BgL_arg2095z00_5530 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1152z00_5529), BgL_arg2095z00_5530);
				}
				return BgL_new1152z00_5529;
			}
		}

	}



/* &lambda2092 */
	BgL_areaz00_bglt BGl_z62lambda2092z62zzsaw_node2rtlz00(obj_t BgL_envz00_5331,
		obj_t BgL_entry1150z00_5332, obj_t BgL_exit1151z00_5333)
	{
		{	/* SawMill/node2rtl.scm 19 */
			{	/* SawMill/node2rtl.scm 19 */
				BgL_areaz00_bglt BgL_new1355z00_5533;

				{	/* SawMill/node2rtl.scm 19 */
					BgL_areaz00_bglt BgL_new1354z00_5534;

					BgL_new1354z00_5534 =
						((BgL_areaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_areaz00_bgl))));
					{	/* SawMill/node2rtl.scm 19 */
						long BgL_arg2093z00_5535;

						BgL_arg2093z00_5535 = BGL_CLASS_NUM(BGl_areaz00zzsaw_node2rtlz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1354z00_5534), BgL_arg2093z00_5535);
					}
					BgL_new1355z00_5533 = BgL_new1354z00_5534;
				}
				((((BgL_areaz00_bglt) COBJECT(BgL_new1355z00_5533))->BgL_entryz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_entry1150z00_5332)),
					BUNSPEC);
				((((BgL_areaz00_bglt) COBJECT(BgL_new1355z00_5533))->BgL_exitz00) =
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_exit1151z00_5333)),
					BUNSPEC);
				return BgL_new1355z00_5533;
			}
		}

	}



/* &lambda2108 */
	obj_t BGl_z62lambda2108z62zzsaw_node2rtlz00(obj_t BgL_envz00_5334,
		obj_t BgL_oz00_5335, obj_t BgL_vz00_5336)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5335)))->BgL_exitz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5336)), BUNSPEC);
		}

	}



/* &lambda2107 */
	BgL_blockz00_bglt BGl_z62lambda2107z62zzsaw_node2rtlz00(obj_t BgL_envz00_5337,
		obj_t BgL_oz00_5338)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5338)))->BgL_exitz00);
		}

	}



/* &lambda2103 */
	obj_t BGl_z62lambda2103z62zzsaw_node2rtlz00(obj_t BgL_envz00_5339,
		obj_t BgL_oz00_5340, obj_t BgL_vz00_5341)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				((((BgL_areaz00_bglt) COBJECT(
							((BgL_areaz00_bglt) BgL_oz00_5340)))->BgL_entryz00) =
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_vz00_5341)), BUNSPEC);
		}

	}



/* &lambda2102 */
	BgL_blockz00_bglt BGl_z62lambda2102z62zzsaw_node2rtlz00(obj_t BgL_envz00_5342,
		obj_t BgL_oz00_5343)
	{
		{	/* SawMill/node2rtl.scm 19 */
			return
				(((BgL_areaz00_bglt) COBJECT(
						((BgL_areaz00_bglt) BgL_oz00_5343)))->BgL_entryz00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_proc2747z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2748z00zzsaw_node2rtlz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_proc2749z00zzsaw_node2rtlz00, BGl_nodez00zzast_nodez00,
				BGl_string2750z00zzsaw_node2rtlz00);
		}

	}



/* &predicate1732 */
	obj_t BGl_z62predicate1732z62zzsaw_node2rtlz00(obj_t BgL_envz00_5346,
		obj_t BgL_ez00_5347, obj_t BgL_joinedz00_5348)
	{
		{	/* SawMill/node2rtl.scm 473 */
			{
				BgL_areaz00_bglt BgL_auxz00_7336;

				{	/* SawMill/node2rtl.scm 474 */
					BgL_areaz00_bglt BgL_arg2155z00_5543;

					{	/* SawMill/node2rtl.scm 474 */
						BgL_rtl_ifz00_bglt BgL_arg2156z00_5544;

						{	/* SawMill/node2rtl.scm 474 */
							BgL_rtl_ifz00_bglt BgL_new1348z00_5545;

							{	/* SawMill/node2rtl.scm 474 */
								BgL_rtl_ifz00_bglt BgL_new1347z00_5546;

								BgL_new1347z00_5546 =
									((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_ifz00_bgl))));
								{	/* SawMill/node2rtl.scm 474 */
									long BgL_arg2158z00_5547;

									BgL_arg2158z00_5547 =
										BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1347z00_5546),
										BgL_arg2158z00_5547);
								}
								BgL_new1348z00_5545 = BgL_new1347z00_5546;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1348z00_5545)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2156z00_5544 = BgL_new1348z00_5545;
						}
						{	/* SawMill/node2rtl.scm 474 */
							obj_t BgL_list2157z00_5548;

							BgL_list2157z00_5548 =
								MAKE_YOUNG_PAIR(
								((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5347)), BNIL);
							BgL_arg2155z00_5543 =
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_nodez00_bglt) BgL_ez00_5347)),
								((BgL_rtl_funz00_bglt) BgL_arg2156z00_5544),
								BgL_list2157z00_5548);
					}}
					BgL_auxz00_7336 =
						BGl_forkz00zzsaw_node2rtlz00(BgL_arg2155z00_5543,
						BgL_joinedz00_5348);
				}
				return ((obj_t) BgL_auxz00_7336);
			}
		}

	}



/* &node->rtl1670 */
	obj_t BGl_z62nodezd2ze3rtl1670z53zzsaw_node2rtlz00(obj_t BgL_envz00_5349,
		obj_t BgL_ez00_5350)
	{
		{	/* SawMill/node2rtl.scm 204 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2751z00zzsaw_node2rtlz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_ez00_5350)));
		}

	}



/* node->rtl */
	BgL_areaz00_bglt BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_137)
	{
		{	/* SawMill/node2rtl.scm 204 */
			{	/* SawMill/node2rtl.scm 204 */
				obj_t BgL_method1671z00_2859;

				{	/* SawMill/node2rtl.scm 204 */
					obj_t BgL_res2700z00_4488;

					{	/* SawMill/node2rtl.scm 204 */
						long BgL_objzd2classzd2numz00_4459;

						BgL_objzd2classzd2numz00_4459 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_137));
						{	/* SawMill/node2rtl.scm 204 */
							obj_t BgL_arg1829z00_4460;

							BgL_arg1829z00_4460 =
								PROCEDURE_REF(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
								(int) (((long) 1)));
							{	/* SawMill/node2rtl.scm 204 */
								int BgL_offsetz00_4463;

								BgL_offsetz00_4463 = (int) (BgL_objzd2classzd2numz00_4459);
								{	/* SawMill/node2rtl.scm 204 */
									long BgL_offsetz00_4464;

									BgL_offsetz00_4464 =
										((long) (BgL_offsetz00_4463) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 204 */
										long BgL_modz00_4465;

										BgL_modz00_4465 =
											(BgL_offsetz00_4464 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/node2rtl.scm 204 */
											long BgL_restz00_4467;

											BgL_restz00_4467 =
												(BgL_offsetz00_4464 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/node2rtl.scm 204 */

												{	/* SawMill/node2rtl.scm 204 */
													obj_t BgL_bucketz00_4469;

													BgL_bucketz00_4469 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4460), BgL_modz00_4465);
													BgL_res2700z00_4488 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4469), BgL_restz00_4467);
					}}}}}}}}
					BgL_method1671z00_2859 = BgL_res2700z00_4488;
				}
				return
					((BgL_areaz00_bglt)
					PROCEDURE_ENTRY(BgL_method1671z00_2859) (BgL_method1671z00_2859,
						((obj_t) BgL_ez00_137), BEOA));
			}
		}

	}



/* &node->rtl */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlz53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5351, obj_t BgL_ez00_5352)
	{
		{	/* SawMill/node2rtl.scm 204 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5352));
		}

	}



/* predicate */
	BgL_areaz00_bglt BGl_predicatez00zzsaw_node2rtlz00(BgL_nodez00_bglt
		BgL_ez00_174, obj_t BgL_joinedz00_175)
	{
		{	/* SawMill/node2rtl.scm 473 */
			{	/* SawMill/node2rtl.scm 473 */
				obj_t BgL_method1733z00_2860;

				{	/* SawMill/node2rtl.scm 473 */
					obj_t BgL_res2705z00_4519;

					{	/* SawMill/node2rtl.scm 473 */
						long BgL_objzd2classzd2numz00_4490;

						BgL_objzd2classzd2numz00_4490 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_174));
						{	/* SawMill/node2rtl.scm 473 */
							obj_t BgL_arg1829z00_4491;

							BgL_arg1829z00_4491 =
								PROCEDURE_REF(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
								(int) (((long) 1)));
							{	/* SawMill/node2rtl.scm 473 */
								int BgL_offsetz00_4494;

								BgL_offsetz00_4494 = (int) (BgL_objzd2classzd2numz00_4490);
								{	/* SawMill/node2rtl.scm 473 */
									long BgL_offsetz00_4495;

									BgL_offsetz00_4495 =
										((long) (BgL_offsetz00_4494) - OBJECT_TYPE);
									{	/* SawMill/node2rtl.scm 473 */
										long BgL_modz00_4496;

										BgL_modz00_4496 =
											(BgL_offsetz00_4495 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/node2rtl.scm 473 */
											long BgL_restz00_4498;

											BgL_restz00_4498 =
												(BgL_offsetz00_4495 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/node2rtl.scm 473 */

												{	/* SawMill/node2rtl.scm 473 */
													obj_t BgL_bucketz00_4500;

													BgL_bucketz00_4500 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_4491), BgL_modz00_4496);
													BgL_res2705z00_4519 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4500), BgL_restz00_4498);
					}}}}}}}}
					BgL_method1733z00_2860 = BgL_res2705z00_4519;
				}
				return
					((BgL_areaz00_bglt)
					PROCEDURE_ENTRY(BgL_method1733z00_2860) (BgL_method1733z00_2860,
						((obj_t) BgL_ez00_174), BgL_joinedz00_175, BEOA));
			}
		}

	}



/* &predicate */
	BgL_areaz00_bglt BGl_z62predicatez62zzsaw_node2rtlz00(obj_t BgL_envz00_5353,
		obj_t BgL_ez00_5354, obj_t BgL_joinedz00_5355)
	{
		{	/* SawMill/node2rtl.scm 473 */
			return
				BGl_predicatez00zzsaw_node2rtlz00(
				((BgL_nodez00_bglt) BgL_ez00_5354), BgL_joinedz00_5355);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2752z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_varz00zzast_nodez00,
				BGl_proc2754z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2755z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_setqz00zzast_nodez00,
				BGl_proc2756z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2757z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_syncz00zzast_nodez00,
				BGl_proc2758z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2759z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_switchz00zzast_nodez00, BGl_proc2760z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2761z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_appz00zzast_nodez00,
				BGl_proc2762z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2763z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2764z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_pragmaz00zzast_nodez00, BGl_proc2765z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_getfieldz00zzast_nodez00, BGl_proc2766z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setfieldz00zzast_nodez00, BGl_proc2767z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_newz00zzast_nodez00,
				BGl_proc2768z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vallocz00zzast_nodez00, BGl_proc2769z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_vrefz00zzast_nodez00,
				BGl_proc2770z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc2771z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc2772z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2773z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_castz00zzast_nodez00,
				BGl_proc2774z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_castzd2nullzd2zzast_nodez00, BGl_proc2775z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2776z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2777z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00, BGl_failz00zzast_nodez00,
				BGl_proc2778z00zzsaw_node2rtlz00, BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2779z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2780z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3rtlzd2envze3zzsaw_node2rtlz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2781z00zzsaw_node2rtlz00,
				BGl_string2753z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_atomz00zzast_nodez00,
				BGl_proc2782z00zzsaw_node2rtlz00, BGl_string2783z00zzsaw_node2rtlz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2784z00zzsaw_node2rtlz00,
				BGl_string2783z00zzsaw_node2rtlz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_predicatezd2envzd2zzsaw_node2rtlz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2785z00zzsaw_node2rtlz00, BGl_string2783z00zzsaw_node2rtlz00);
		}

	}



/* &predicate-let-var1739 */
	BgL_areaz00_bglt BGl_z62predicatezd2letzd2var1739z62zzsaw_node2rtlz00(obj_t
		BgL_envz00_5388, obj_t BgL_ez00_5389, obj_t BgL_lz00_5390)
	{
		{	/* SawMill/node2rtl.scm 489 */
			{	/* SawMill/node2rtl.scm 493 */
				bool_t BgL_test2928z00_7455;

				if (NULLP(
						(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bindingsz00)))
					{	/* SawMill/node2rtl.scm 493 */
						BgL_test2928z00_7455 = ((bool_t) 0);
					}
				else
					{	/* SawMill/node2rtl.scm 493 */
						if (NULLP(CDR(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->
										BgL_bindingsz00))))
							{	/* SawMill/node2rtl.scm 495 */
								bool_t BgL_test2931z00_7465;

								{	/* SawMill/node2rtl.scm 495 */
									BgL_nodez00_bglt BgL_arg2546z00_5551;

									BgL_arg2546z00_5551 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 495 */
										obj_t BgL_classz00_5552;

										BgL_classz00_5552 = BGl_varz00zzast_nodez00;
										{	/* SawMill/node2rtl.scm 495 */
											BgL_objectz00_bglt BgL_arg1825z00_5553;

											{	/* SawMill/node2rtl.scm 495 */
												obj_t BgL_tmpz00_7468;

												BgL_tmpz00_7468 =
													((obj_t) ((BgL_objectz00_bglt) BgL_arg2546z00_5551));
												BgL_arg1825z00_5553 =
													(BgL_objectz00_bglt) (BgL_tmpz00_7468);
											}
											{	/* SawMill/node2rtl.scm 495 */
												bool_t BgL_arg1822z00_5554;
												bool_t BgL_arg1823z00_5555;

												{	/* SawMill/node2rtl.scm 495 */
													long BgL_idxz00_5556;

													BgL_idxz00_5556 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5553);
													BgL_arg1822z00_5554 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_5556 + ((long) 2))) ==
														BgL_classz00_5552);
												}
												{	/* SawMill/node2rtl.scm 495 */
													bool_t BgL_res2716z00_5559;

													{	/* SawMill/node2rtl.scm 495 */
														obj_t BgL_oclassz00_5560;

														{	/* SawMill/node2rtl.scm 495 */
															long BgL_arg1833z00_5561;

															{	/* SawMill/node2rtl.scm 495 */
																long BgL_arg1834z00_5562;

																BgL_arg1834z00_5562 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5553);
																BgL_arg1833z00_5561 =
																	(BgL_arg1834z00_5562 - OBJECT_TYPE);
															}
															BgL_oclassz00_5560 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_5561);
														}
														{	/* SawMill/node2rtl.scm 495 */
															bool_t BgL__ortest_1110z00_5563;

															BgL__ortest_1110z00_5563 =
																(BgL_classz00_5552 == BgL_oclassz00_5560);
															if (BgL__ortest_1110z00_5563)
																{	/* SawMill/node2rtl.scm 495 */
																	BgL_res2716z00_5559 =
																		BgL__ortest_1110z00_5563;
																}
															else
																{	/* SawMill/node2rtl.scm 495 */
																	long BgL_odepthz00_5564;

																	BgL_odepthz00_5564 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_5560);
																	if ((((long) 2) < BgL_odepthz00_5564))
																		{	/* SawMill/node2rtl.scm 495 */
																			obj_t BgL_arg1821z00_5565;

																			BgL_arg1821z00_5565 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_5560, ((long) 2));
																			BgL_res2716z00_5559 =
																				(BgL_arg1821z00_5565 ==
																				BgL_classz00_5552);
																		}
																	else
																		{	/* SawMill/node2rtl.scm 495 */
																			BgL_res2716z00_5559 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_5555 = BgL_res2716z00_5559;
												}
												BgL_test2931z00_7465 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_5554,
													BgL_arg1823z00_5555);
											}
										}
									}
								}
								if (BgL_test2931z00_7465)
									{	/* SawMill/node2rtl.scm 496 */
										obj_t BgL_tmpz00_7487;

										{	/* SawMill/node2rtl.scm 496 */
											obj_t BgL_pairz00_5566;

											BgL_pairz00_5566 =
												(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->
												BgL_bindingsz00);
											BgL_tmpz00_7487 = CAR(CAR(BgL_pairz00_5566));
										}
										BgL_test2928z00_7455 =
											(BgL_tmpz00_7487 ==
											((obj_t)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5389)))->BgL_bodyz00))))->
													BgL_variablez00)));
									}
								else
									{	/* SawMill/node2rtl.scm 495 */
										BgL_test2928z00_7455 = ((bool_t) 0);
									}
							}
						else
							{	/* SawMill/node2rtl.scm 494 */
								BgL_test2928z00_7455 = ((bool_t) 0);
							}
					}
				if (BgL_test2928z00_7455)
					{	/* SawMill/node2rtl.scm 498 */
						obj_t BgL_arg2457z00_5567;

						{	/* SawMill/node2rtl.scm 498 */
							obj_t BgL_pairz00_5568;

							BgL_pairz00_5568 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bindingsz00);
							BgL_arg2457z00_5567 = CDR(CAR(BgL_pairz00_5568));
						}
						return
							BGl_predicatez00zzsaw_node2rtlz00(
							((BgL_nodez00_bglt) BgL_arg2457z00_5567), BgL_lz00_5390);
					}
				else
					{	/* SawMill/node2rtl.scm 499 */
						bool_t BgL_test2934z00_7504;

						{	/* SawMill/node2rtl.scm 499 */
							bool_t BgL_test2935z00_7505;

							{	/* SawMill/node2rtl.scm 499 */
								BgL_nodez00_bglt BgL_arg2535z00_5569;

								BgL_arg2535z00_5569 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bodyz00);
								{	/* SawMill/node2rtl.scm 499 */
									obj_t BgL_classz00_5570;

									BgL_classz00_5570 = BGl_conditionalz00zzast_nodez00;
									{	/* SawMill/node2rtl.scm 499 */
										BgL_objectz00_bglt BgL_arg1825z00_5571;

										{	/* SawMill/node2rtl.scm 499 */
											obj_t BgL_tmpz00_7508;

											BgL_tmpz00_7508 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2535z00_5569));
											BgL_arg1825z00_5571 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7508);
										}
										{	/* SawMill/node2rtl.scm 499 */
											bool_t BgL_arg1822z00_5572;
											bool_t BgL_arg1823z00_5573;

											{	/* SawMill/node2rtl.scm 499 */
												long BgL_idxz00_5574;

												BgL_idxz00_5574 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5571);
												BgL_arg1822z00_5572 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_5574 + ((long) 3))) ==
													BgL_classz00_5570);
											}
											{	/* SawMill/node2rtl.scm 499 */
												bool_t BgL_res2717z00_5577;

												{	/* SawMill/node2rtl.scm 499 */
													obj_t BgL_oclassz00_5578;

													{	/* SawMill/node2rtl.scm 499 */
														long BgL_arg1833z00_5579;

														{	/* SawMill/node2rtl.scm 499 */
															long BgL_arg1834z00_5580;

															BgL_arg1834z00_5580 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5571);
															BgL_arg1833z00_5579 =
																(BgL_arg1834z00_5580 - OBJECT_TYPE);
														}
														BgL_oclassz00_5578 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_5579);
													}
													{	/* SawMill/node2rtl.scm 499 */
														bool_t BgL__ortest_1110z00_5581;

														BgL__ortest_1110z00_5581 =
															(BgL_classz00_5570 == BgL_oclassz00_5578);
														if (BgL__ortest_1110z00_5581)
															{	/* SawMill/node2rtl.scm 499 */
																BgL_res2717z00_5577 = BgL__ortest_1110z00_5581;
															}
														else
															{	/* SawMill/node2rtl.scm 499 */
																long BgL_odepthz00_5582;

																BgL_odepthz00_5582 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_5578);
																if ((((long) 3) < BgL_odepthz00_5582))
																	{	/* SawMill/node2rtl.scm 499 */
																		obj_t BgL_arg1821z00_5583;

																		BgL_arg1821z00_5583 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_5578, ((long) 3));
																		BgL_res2717z00_5577 =
																			(BgL_arg1821z00_5583 ==
																			BgL_classz00_5570);
																	}
																else
																	{	/* SawMill/node2rtl.scm 499 */
																		BgL_res2717z00_5577 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_5573 = BgL_res2717z00_5577;
											}
											BgL_test2935z00_7505 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_5572,
												BgL_arg1823z00_5573);
										}
									}
								}
							}
							if (BgL_test2935z00_7505)
								{	/* SawMill/node2rtl.scm 499 */
									if (NULLP(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->
												BgL_bindingsz00)))
										{	/* SawMill/node2rtl.scm 500 */
											BgL_test2934z00_7504 = ((bool_t) 0);
										}
									else
										{	/* SawMill/node2rtl.scm 500 */
											if (NULLP(CDR(
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->
															BgL_bindingsz00))))
												{	/* SawMill/node2rtl.scm 502 */
													bool_t BgL_test2940z00_7536;

													{	/* SawMill/node2rtl.scm 502 */
														BgL_nodez00_bglt BgL_arg2526z00_5584;

														BgL_arg2526z00_5584 =
															(((BgL_conditionalz00_bglt) COBJECT(
																	((BgL_conditionalz00_bglt)
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5389)))->BgL_bodyz00))))->
															BgL_testz00);
														{	/* SawMill/node2rtl.scm 502 */
															obj_t BgL_classz00_5585;

															BgL_classz00_5585 = BGl_varz00zzast_nodez00;
															{	/* SawMill/node2rtl.scm 502 */
																BgL_objectz00_bglt BgL_arg1825z00_5586;

																{	/* SawMill/node2rtl.scm 502 */
																	obj_t BgL_tmpz00_7541;

																	BgL_tmpz00_7541 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2526z00_5584));
																	BgL_arg1825z00_5586 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_7541);
																}
																{	/* SawMill/node2rtl.scm 502 */
																	bool_t BgL_arg1822z00_5587;
																	bool_t BgL_arg1823z00_5588;

																	{	/* SawMill/node2rtl.scm 502 */
																		long BgL_idxz00_5589;

																		BgL_idxz00_5589 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_5586);
																		BgL_arg1822z00_5587 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5589 + ((long) 2))) ==
																			BgL_classz00_5585);
																	}
																	{	/* SawMill/node2rtl.scm 502 */
																		bool_t BgL_res2718z00_5592;

																		{	/* SawMill/node2rtl.scm 502 */
																			obj_t BgL_oclassz00_5593;

																			{	/* SawMill/node2rtl.scm 502 */
																				long BgL_arg1833z00_5594;

																				{	/* SawMill/node2rtl.scm 502 */
																					long BgL_arg1834z00_5595;

																					BgL_arg1834z00_5595 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_5586);
																					BgL_arg1833z00_5594 =
																						(BgL_arg1834z00_5595 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5593 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_5594);
																			}
																			{	/* SawMill/node2rtl.scm 502 */
																				bool_t BgL__ortest_1110z00_5596;

																				BgL__ortest_1110z00_5596 =
																					(BgL_classz00_5585 ==
																					BgL_oclassz00_5593);
																				if (BgL__ortest_1110z00_5596)
																					{	/* SawMill/node2rtl.scm 502 */
																						BgL_res2718z00_5592 =
																							BgL__ortest_1110z00_5596;
																					}
																				else
																					{	/* SawMill/node2rtl.scm 502 */
																						long BgL_odepthz00_5597;

																						BgL_odepthz00_5597 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5593);
																						if ((((long) 2) <
																								BgL_odepthz00_5597))
																							{	/* SawMill/node2rtl.scm 502 */
																								obj_t BgL_arg1821z00_5598;

																								BgL_arg1821z00_5598 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5593,
																									((long) 2));
																								BgL_res2718z00_5592 =
																									(BgL_arg1821z00_5598 ==
																									BgL_classz00_5585);
																							}
																						else
																							{	/* SawMill/node2rtl.scm 502 */
																								BgL_res2718z00_5592 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_5588 = BgL_res2718z00_5592;
																	}
																	BgL_test2940z00_7536 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_5587,
																		BgL_arg1823z00_5588);
																}
															}
														}
													}
													if (BgL_test2940z00_7536)
														{	/* SawMill/node2rtl.scm 503 */
															bool_t BgL_test2943z00_7560;

															{	/* SawMill/node2rtl.scm 503 */
																long BgL_tmpz00_7561;

																{
																	BgL_variablez00_bglt BgL_auxz00_7562;

																	{
																		BgL_localz00_bglt BgL_auxz00_7563;

																		{
																			obj_t BgL_auxz00_7564;

																			{	/* SawMill/node2rtl.scm 503 */
																				obj_t BgL_pairz00_5599;

																				BgL_pairz00_5599 =
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																							((BgL_letzd2varzd2_bglt)
																								BgL_ez00_5389)))->
																					BgL_bindingsz00);
																				{	/* SawMill/node2rtl.scm 503 */
																					obj_t BgL_pairz00_5600;

																					BgL_pairz00_5600 =
																						CAR(BgL_pairz00_5599);
																					BgL_auxz00_7564 =
																						CAR(BgL_pairz00_5600);
																			}}
																			BgL_auxz00_7563 =
																				((BgL_localz00_bglt) BgL_auxz00_7564);
																		}
																		BgL_auxz00_7562 =
																			((BgL_variablez00_bglt) BgL_auxz00_7563);
																	}
																	BgL_tmpz00_7561 =
																		(((BgL_variablez00_bglt)
																			COBJECT(BgL_auxz00_7562))->
																		BgL_occurrencez00);
																}
																BgL_test2943z00_7560 =
																	(((long) 1) == BgL_tmpz00_7561);
															}
															if (BgL_test2943z00_7560)
																{	/* SawMill/node2rtl.scm 504 */
																	obj_t BgL_tmpz00_7573;

																	{	/* SawMill/node2rtl.scm 504 */
																		obj_t BgL_pairz00_5601;

																		BgL_pairz00_5601 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5389)))->BgL_bindingsz00);
																		BgL_tmpz00_7573 =
																			CAR(CAR(BgL_pairz00_5601));
																	}
																	BgL_test2934z00_7504 =
																		(BgL_tmpz00_7573 ==
																		((obj_t)
																			(((BgL_varz00_bglt) COBJECT(
																						((BgL_varz00_bglt)
																							(((BgL_conditionalz00_bglt)
																									COBJECT((
																											(BgL_conditionalz00_bglt)
																											(((BgL_letzd2varzd2_bglt)
																													COBJECT((
																															(BgL_letzd2varzd2_bglt)
																															BgL_ez00_5389)))->
																												BgL_bodyz00))))->
																								BgL_testz00))))->
																				BgL_variablez00)));
																}
															else
																{	/* SawMill/node2rtl.scm 503 */
																	BgL_test2934z00_7504 = ((bool_t) 0);
																}
														}
													else
														{	/* SawMill/node2rtl.scm 502 */
															BgL_test2934z00_7504 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 501 */
													BgL_test2934z00_7504 = ((bool_t) 0);
												}
										}
								}
							else
								{	/* SawMill/node2rtl.scm 499 */
									BgL_test2934z00_7504 = ((bool_t) 0);
								}
						}
						if (BgL_test2934z00_7504)
							{	/* SawMill/node2rtl.scm 499 */
								{	/* SawMill/node2rtl.scm 506 */
									BgL_nodez00_bglt BgL_arg2501z00_5602;
									obj_t BgL_arg2502z00_5603;

									BgL_arg2501z00_5602 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bodyz00);
									{	/* SawMill/node2rtl.scm 506 */
										obj_t BgL_pairz00_5604;

										BgL_pairz00_5604 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->
											BgL_bindingsz00);
										BgL_arg2502z00_5603 = CDR(CAR(BgL_pairz00_5604));
									}
									((((BgL_conditionalz00_bglt) COBJECT(
													((BgL_conditionalz00_bglt) BgL_arg2501z00_5602)))->
											BgL_testz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
												BgL_arg2502z00_5603)), BUNSPEC);
								}
								return
									BGl_predicatez00zzsaw_node2rtlz00(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5389)))->BgL_bodyz00),
									BgL_lz00_5390);
							}
						else
							{	/* SawMill/node2rtl.scm 509 */
								BgL_areaz00_bglt BgL_arg2506z00_5605;

								{	/* SawMill/node2rtl.scm 509 */
									BgL_rtl_ifz00_bglt BgL_arg2507z00_5606;

									{	/* SawMill/node2rtl.scm 509 */
										BgL_rtl_ifz00_bglt BgL_new1353z00_5607;

										{	/* SawMill/node2rtl.scm 509 */
											BgL_rtl_ifz00_bglt BgL_new1352z00_5608;

											BgL_new1352z00_5608 =
												((BgL_rtl_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_ifz00_bgl))));
											{	/* SawMill/node2rtl.scm 509 */
												long BgL_arg2509z00_5609;

												BgL_arg2509z00_5609 =
													BGL_CLASS_NUM(BGl_rtl_ifz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1352z00_5608),
													BgL_arg2509z00_5609);
											}
											BgL_new1353z00_5607 = BgL_new1352z00_5608;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1353z00_5607)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2507z00_5606 = BgL_new1353z00_5607;
									}
									{	/* SawMill/node2rtl.scm 509 */
										obj_t BgL_list2508z00_5610;

										BgL_list2508z00_5610 =
											MAKE_YOUNG_PAIR(
											((obj_t) ((BgL_letzd2varzd2_bglt) BgL_ez00_5389)), BNIL);
										BgL_arg2506z00_5605 =
											BGl_callza2za2zzsaw_node2rtlz00(
											((obj_t)
												((BgL_letzd2varzd2_bglt) BgL_ez00_5389)),
											((BgL_rtl_funz00_bglt) BgL_arg2507z00_5606),
											BgL_list2508z00_5610);
								}}
								return
									BGl_forkz00zzsaw_node2rtlz00(BgL_arg2506z00_5605,
									BgL_lz00_5390);
							}
					}
			}
		}

	}



/* &predicate-conditiona1737 */
	BgL_areaz00_bglt BGl_z62predicatezd2conditiona1737zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5391, obj_t BgL_ez00_5392, obj_t BgL_lz00_5393)
	{
		{	/* SawMill/node2rtl.scm 484 */
			{	/* SawMill/node2rtl.scm 486 */
				BgL_nodez00_bglt BgL_arg2428z00_5612;
				obj_t BgL_arg2430z00_5613;

				BgL_arg2428z00_5612 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5392)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 486 */
					BgL_areaz00_bglt BgL_arg2432z00_5614;
					BgL_areaz00_bglt BgL_arg2433z00_5615;

					BgL_arg2432z00_5614 =
						BGl_predicatez00zzsaw_node2rtlz00(
						(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_ez00_5392)))->BgL_truez00),
						BgL_lz00_5393);
					BgL_arg2433z00_5615 =
						BGl_predicatez00zzsaw_node2rtlz00((((BgL_conditionalz00_bglt)
								COBJECT(((BgL_conditionalz00_bglt) BgL_ez00_5392)))->
							BgL_falsez00), BgL_lz00_5393);
					{	/* SawMill/node2rtl.scm 486 */
						obj_t BgL_list2434z00_5616;

						{	/* SawMill/node2rtl.scm 486 */
							obj_t BgL_arg2436z00_5617;

							BgL_arg2436z00_5617 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2433z00_5615), BNIL);
							BgL_list2434z00_5616 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2432z00_5614), BgL_arg2436z00_5617);
						}
						BgL_arg2430z00_5613 = BgL_list2434z00_5616;
					}
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2428z00_5612,
					BgL_arg2430z00_5613);
			}
		}

	}



/* &predicate-atom1735 */
	BgL_areaz00_bglt BGl_z62predicatezd2atom1735zb0zzsaw_node2rtlz00(obj_t
		BgL_envz00_5394, obj_t BgL_ez00_5395, obj_t BgL_lz00_5396)
	{
		{	/* SawMill/node2rtl.scm 477 */
			if (CBOOL(
					(((BgL_atomz00_bglt) COBJECT(
								((BgL_atomz00_bglt) BgL_ez00_5395)))->BgL_valuez00)))
				{	/* SawMill/node2rtl.scm 479 */
					return ((BgL_areaz00_bglt) CAR(((obj_t) BgL_lz00_5396)));
				}
			else
				{	/* SawMill/node2rtl.scm 481 */
					obj_t BgL_pairz00_5619;

					BgL_pairz00_5619 = CDR(((obj_t) BgL_lz00_5396));
					return ((BgL_areaz00_bglt) CAR(BgL_pairz00_5619));
				}
		}

	}



/* &node->rtl-box-set!1731 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2setz121731z41zzsaw_node2rtlz00(obj_t
		BgL_envz00_5397, obj_t BgL_ez00_5398)
	{
		{	/* SawMill/node2rtl.scm 465 */
			{	/* SawMill/node2rtl.scm 467 */
				BgL_areaz00_bglt BgL_arg2414z00_5621;
				BgL_areaz00_bglt BgL_arg2415z00_5622;

				{	/* SawMill/node2rtl.scm 467 */
					BgL_rtl_boxsetz00_bglt BgL_arg2416z00_5623;
					BgL_varz00_bglt BgL_arg2418z00_5624;
					BgL_nodez00_bglt BgL_arg2419z00_5625;

					{	/* SawMill/node2rtl.scm 467 */
						BgL_rtl_boxsetz00_bglt BgL_new1344z00_5626;

						{	/* SawMill/node2rtl.scm 467 */
							BgL_rtl_boxsetz00_bglt BgL_new1343z00_5627;

							BgL_new1343z00_5627 =
								((BgL_rtl_boxsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_boxsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 467 */
								long BgL_arg2423z00_5628;

								BgL_arg2423z00_5628 =
									BGL_CLASS_NUM(BGl_rtl_boxsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1343z00_5627),
									BgL_arg2423z00_5628);
							}
							BgL_new1344z00_5626 = BgL_new1343z00_5627;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1344z00_5626)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2416z00_5623 = BgL_new1344z00_5626;
					}
					BgL_arg2418z00_5624 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5398)))->BgL_varz00);
					BgL_arg2419z00_5625 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5398)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 467 */
						obj_t BgL_list2420z00_5629;

						{	/* SawMill/node2rtl.scm 467 */
							obj_t BgL_arg2421z00_5630;

							BgL_arg2421z00_5630 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2419z00_5625), BNIL);
							BgL_list2420z00_5629 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2418z00_5624), BgL_arg2421z00_5630);
						}
						BgL_arg2414z00_5621 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_boxzd2setz12zc0_bglt) BgL_ez00_5398)),
							((BgL_rtl_funz00_bglt) BgL_arg2416z00_5623),
							BgL_list2420z00_5629);
				}}
				{	/* SawMill/node2rtl.scm 468 */
					BgL_rtl_nopz00_bglt BgL_arg2424z00_5631;

					{	/* SawMill/node2rtl.scm 468 */
						BgL_rtl_nopz00_bglt BgL_new1346z00_5632;

						{	/* SawMill/node2rtl.scm 468 */
							BgL_rtl_nopz00_bglt BgL_new1345z00_5633;

							BgL_new1345z00_5633 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 468 */
								long BgL_arg2426z00_5634;

								BgL_arg2426z00_5634 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1345z00_5633),
									BgL_arg2426z00_5634);
							}
							BgL_new1346z00_5632 = BgL_new1345z00_5633;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1346z00_5632)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2424z00_5631 = BgL_new1346z00_5632;
					}
					BgL_arg2415z00_5622 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2424z00_5631), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2414z00_5621,
					BgL_arg2415z00_5622);
			}
		}

	}



/* &node->rtl-box-ref1729 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2boxzd2ref1729z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5399, obj_t BgL_ez00_5400)
	{
		{	/* SawMill/node2rtl.scm 460 */
			{	/* SawMill/node2rtl.scm 462 */
				BgL_rtl_boxrefz00_bglt BgL_arg2410z00_5636;
				BgL_varz00_bglt BgL_arg2411z00_5637;

				{	/* SawMill/node2rtl.scm 462 */
					BgL_rtl_boxrefz00_bglt BgL_new1341z00_5638;

					{	/* SawMill/node2rtl.scm 462 */
						BgL_rtl_boxrefz00_bglt BgL_new1340z00_5639;

						BgL_new1340z00_5639 =
							((BgL_rtl_boxrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_boxrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 462 */
							long BgL_arg2413z00_5640;

							BgL_arg2413z00_5640 =
								BGL_CLASS_NUM(BGl_rtl_boxrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1340z00_5639),
								BgL_arg2413z00_5640);
						}
						BgL_new1341z00_5638 = BgL_new1340z00_5639;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1341z00_5638)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2410z00_5636 = BgL_new1341z00_5638;
				}
				BgL_arg2411z00_5637 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5400)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 462 */
					obj_t BgL_list2412z00_5641;

					BgL_list2412z00_5641 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2411z00_5637), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_boxzd2refzd2_bglt) BgL_ez00_5400)),
						((BgL_rtl_funz00_bglt) BgL_arg2410z00_5636), BgL_list2412z00_5641);
				}
			}
		}

	}



/* &node->rtl-make-box1727 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2makezd2box1727z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5401, obj_t BgL_ez00_5402)
	{
		{	/* SawMill/node2rtl.scm 455 */
			{	/* SawMill/node2rtl.scm 457 */
				BgL_rtl_makeboxz00_bglt BgL_arg2406z00_5643;
				BgL_nodez00_bglt BgL_arg2407z00_5644;

				{	/* SawMill/node2rtl.scm 457 */
					BgL_rtl_makeboxz00_bglt BgL_new1338z00_5645;

					{	/* SawMill/node2rtl.scm 457 */
						BgL_rtl_makeboxz00_bglt BgL_new1337z00_5646;

						BgL_new1337z00_5646 =
							((BgL_rtl_makeboxz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_makeboxz00_bgl))));
						{	/* SawMill/node2rtl.scm 457 */
							long BgL_arg2409z00_5647;

							BgL_arg2409z00_5647 =
								BGL_CLASS_NUM(BGl_rtl_makeboxz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1337z00_5646),
								BgL_arg2409z00_5647);
						}
						BgL_new1338z00_5645 = BgL_new1337z00_5646;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1338z00_5645)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2406z00_5643 = BgL_new1338z00_5645;
				}
				BgL_arg2407z00_5644 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5402)))->BgL_valuez00);
				{	/* SawMill/node2rtl.scm 457 */
					obj_t BgL_list2408z00_5648;

					BgL_list2408z00_5648 =
						MAKE_YOUNG_PAIR(((obj_t) BgL_arg2407z00_5644), BNIL);
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_makezd2boxzd2_bglt) BgL_ez00_5402)),
						((BgL_rtl_funz00_bglt) BgL_arg2406z00_5643), BgL_list2408z00_5648);
				}
			}
		}

	}



/* &node->rtl-fail1725 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2fail1725z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5403, obj_t BgL_ez00_5404)
	{
		{	/* SawMill/node2rtl.scm 450 */
			{	/* SawMill/node2rtl.scm 452 */
				BgL_areaz00_bglt BgL_arg2396z00_5650;

				{	/* SawMill/node2rtl.scm 452 */
					BgL_rtl_failz00_bglt BgL_arg2397z00_5651;
					BgL_nodez00_bglt BgL_arg2398z00_5652;
					BgL_nodez00_bglt BgL_arg2399z00_5653;
					BgL_nodez00_bglt BgL_arg2400z00_5654;

					{	/* SawMill/node2rtl.scm 452 */
						BgL_rtl_failz00_bglt BgL_new1335z00_5655;

						{	/* SawMill/node2rtl.scm 452 */
							BgL_rtl_failz00_bglt BgL_new1334z00_5656;

							BgL_new1334z00_5656 =
								((BgL_rtl_failz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_failz00_bgl))));
							{	/* SawMill/node2rtl.scm 452 */
								long BgL_arg2404z00_5657;

								BgL_arg2404z00_5657 =
									BGL_CLASS_NUM(BGl_rtl_failz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1334z00_5656),
									BgL_arg2404z00_5657);
							}
							BgL_new1335z00_5655 = BgL_new1334z00_5656;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1335z00_5655)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2397z00_5651 = BgL_new1335z00_5655;
					}
					BgL_arg2398z00_5652 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5404)))->BgL_procz00);
					BgL_arg2399z00_5653 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5404)))->BgL_msgz00);
					BgL_arg2400z00_5654 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_ez00_5404)))->BgL_objz00);
					{	/* SawMill/node2rtl.scm 452 */
						obj_t BgL_list2401z00_5658;

						{	/* SawMill/node2rtl.scm 452 */
							obj_t BgL_arg2402z00_5659;

							{	/* SawMill/node2rtl.scm 452 */
								obj_t BgL_arg2403z00_5660;

								BgL_arg2403z00_5660 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2400z00_5654), BNIL);
								BgL_arg2402z00_5659 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2399z00_5653), BgL_arg2403z00_5660);
							}
							BgL_list2401z00_5658 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2398z00_5652), BgL_arg2402z00_5659);
						}
						BgL_arg2396z00_5650 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_failz00_bglt) BgL_ez00_5404)),
							((BgL_rtl_funz00_bglt) BgL_arg2397z00_5651),
							BgL_list2401z00_5658);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2396z00_5650);
			}
		}

	}



/* &node->rtl-jump-ex-it1723 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2jumpzd2exzd2it1723z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5405, obj_t BgL_ez00_5406)
	{
		{	/* SawMill/node2rtl.scm 445 */
			{	/* SawMill/node2rtl.scm 447 */
				BgL_areaz00_bglt BgL_arg2389z00_5662;

				{	/* SawMill/node2rtl.scm 447 */
					BgL_rtl_jumpexitz00_bglt BgL_arg2390z00_5663;
					BgL_nodez00_bglt BgL_arg2391z00_5664;
					BgL_nodez00_bglt BgL_arg2392z00_5665;

					{	/* SawMill/node2rtl.scm 447 */
						BgL_rtl_jumpexitz00_bglt BgL_new1332z00_5666;

						{	/* SawMill/node2rtl.scm 447 */
							BgL_rtl_jumpexitz00_bglt BgL_new1331z00_5667;

							BgL_new1331z00_5667 =
								((BgL_rtl_jumpexitz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_jumpexitz00_bgl))));
							{	/* SawMill/node2rtl.scm 447 */
								long BgL_arg2395z00_5668;

								BgL_arg2395z00_5668 =
									BGL_CLASS_NUM(BGl_rtl_jumpexitz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1331z00_5667),
									BgL_arg2395z00_5668);
							}
							BgL_new1332z00_5666 = BgL_new1331z00_5667;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1332z00_5666)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2390z00_5663 = BgL_new1332z00_5666;
					}
					BgL_arg2391z00_5664 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5406)))->BgL_exitz00);
					BgL_arg2392z00_5665 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5406)))->BgL_valuez00);
					{	/* SawMill/node2rtl.scm 447 */
						obj_t BgL_list2393z00_5669;

						{	/* SawMill/node2rtl.scm 447 */
							obj_t BgL_arg2394z00_5670;

							BgL_arg2394z00_5670 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2392z00_5665), BNIL);
							BgL_list2393z00_5669 =
								MAKE_YOUNG_PAIR(
								((obj_t) BgL_arg2391z00_5664), BgL_arg2394z00_5670);
						}
						BgL_arg2389z00_5662 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_jumpzd2exzd2itz00_bglt) BgL_ez00_5406)),
							((BgL_rtl_funz00_bglt) BgL_arg2390z00_5663),
							BgL_list2393z00_5669);
				}}
				return BGl_unlinkz00zzsaw_node2rtlz00(BgL_arg2389z00_5662);
			}
		}

	}



/* &node->rtl-set-ex-it1721 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2setzd2exzd2it1721z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5407, obj_t BgL_ez00_5408)
	{
		{	/* SawMill/node2rtl.scm 437 */
			{	/* SawMill/node2rtl.scm 439 */
				BgL_areaz00_bglt BgL_arg2377z00_5672;
				BgL_areaz00_bglt BgL_arg2378z00_5673;

				{	/* SawMill/node2rtl.scm 439 */
					BgL_areaz00_bglt BgL_az00_5674;

					{	/* SawMill/node2rtl.scm 439 */
						BgL_rtl_protectz00_bglt BgL_arg2382z00_5675;

						{	/* SawMill/node2rtl.scm 439 */
							BgL_rtl_protectz00_bglt BgL_new1327z00_5676;

							{	/* SawMill/node2rtl.scm 439 */
								BgL_rtl_protectz00_bglt BgL_new1326z00_5677;

								BgL_new1326z00_5677 =
									((BgL_rtl_protectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_protectz00_bgl))));
								{	/* SawMill/node2rtl.scm 439 */
									long BgL_arg2384z00_5678;

									BgL_arg2384z00_5678 =
										BGL_CLASS_NUM(BGl_rtl_protectz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1326z00_5677),
										BgL_arg2384z00_5678);
								}
								BgL_new1327z00_5676 = BgL_new1326z00_5677;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1327z00_5676)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2382z00_5675 = BgL_new1327z00_5676;
						}
						BgL_az00_5674 =
							BGl_singleza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5408)),
							((BgL_rtl_funz00_bglt) BgL_arg2382z00_5675), BNIL);
					}
					{	/* SawMill/node2rtl.scm 440 */
						BgL_rtl_regz00_bglt BgL_arg2379z00_5679;

						{	/* SawMill/node2rtl.scm 440 */
							BgL_variablez00_bglt BgL_arg2380z00_5680;

							BgL_arg2380z00_5680 =
								(((BgL_varz00_bglt) COBJECT(
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
													((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5408)))->
											BgL_varz00)))->BgL_variablez00);
							BgL_arg2379z00_5679 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
									BgL_arg2380z00_5680));
						}
						BGl_bdestinationz12z12zzsaw_node2rtlz00(
							(((BgL_areaz00_bglt) COBJECT(BgL_az00_5674))->BgL_exitz00),
							BgL_arg2379z00_5679);
					}
					BgL_arg2377z00_5672 = BgL_az00_5674;
				}
				{	/* SawMill/node2rtl.scm 442 */
					BgL_rtl_protectedz00_bglt BgL_arg2385z00_5681;
					BgL_nodez00_bglt BgL_arg2386z00_5682;

					{	/* SawMill/node2rtl.scm 442 */
						BgL_rtl_protectedz00_bglt BgL_new1329z00_5683;

						{	/* SawMill/node2rtl.scm 442 */
							BgL_rtl_protectedz00_bglt BgL_new1328z00_5684;

							BgL_new1328z00_5684 =
								((BgL_rtl_protectedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_protectedz00_bgl))));
							{	/* SawMill/node2rtl.scm 442 */
								long BgL_arg2388z00_5685;

								BgL_arg2388z00_5685 =
									BGL_CLASS_NUM(BGl_rtl_protectedz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1328z00_5684),
									BgL_arg2388z00_5685);
							}
							BgL_new1329z00_5683 = BgL_new1328z00_5684;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1329z00_5683)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2385z00_5681 = BgL_new1329z00_5683;
					}
					BgL_arg2386z00_5682 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5408)))->BgL_bodyz00);
					{	/* SawMill/node2rtl.scm 442 */
						obj_t BgL_list2387z00_5686;

						BgL_list2387z00_5686 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2386z00_5682), BNIL);
						BgL_arg2378z00_5673 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_setzd2exzd2itz00_bglt) BgL_ez00_5408)),
							((BgL_rtl_funz00_bglt) BgL_arg2385z00_5681),
							BgL_list2387z00_5686);
				}}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2377z00_5672,
					BgL_arg2378z00_5673);
			}
		}

	}



/* &node->rtl-cast-null1719 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2castzd2null1719z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5409, obj_t BgL_ez00_5410)
	{
		{	/* SawMill/node2rtl.scm 432 */
			{	/* SawMill/node2rtl.scm 434 */
				BgL_rtl_cast_nullz00_bglt BgL_arg2375z00_5688;

				{	/* SawMill/node2rtl.scm 434 */
					BgL_rtl_cast_nullz00_bglt BgL_new1324z00_5689;

					{	/* SawMill/node2rtl.scm 434 */
						BgL_rtl_cast_nullz00_bglt BgL_new1323z00_5690;

						BgL_new1323z00_5690 =
							((BgL_rtl_cast_nullz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_cast_nullz00_bgl))));
						{	/* SawMill/node2rtl.scm 434 */
							long BgL_arg2376z00_5691;

							BgL_arg2376z00_5691 =
								BGL_CLASS_NUM(BGl_rtl_cast_nullz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1323z00_5690),
								BgL_arg2376z00_5691);
						}
						BgL_new1324z00_5689 = BgL_new1323z00_5690;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1324z00_5689)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_cast_nullz00_bglt) COBJECT(BgL_new1324z00_5689))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt)
									COBJECT(((BgL_nodez00_bglt) ((BgL_castzd2nullzd2_bglt)
												BgL_ez00_5410))))->BgL_typez00)), BUNSPEC);
					BgL_arg2375z00_5688 = BgL_new1324z00_5689;
				}
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_castzd2nullzd2_bglt) BgL_ez00_5410)),
					((BgL_rtl_funz00_bglt) BgL_arg2375z00_5688), BNIL);
			}
		}

	}



/* &node->rtl-cast1717 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2cast1717z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5411, obj_t BgL_ez00_5412)
	{
		{	/* SawMill/node2rtl.scm 425 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_ez00_5412)))->BgL_argz00));
		}

	}



/* &node->rtl-instanceof1715 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2instanceof1715z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5413, obj_t BgL_ez00_5414)
	{
		{	/* SawMill/node2rtl.scm 420 */
			{	/* SawMill/node2rtl.scm 422 */
				BgL_rtl_instanceofz00_bglt BgL_arg2370z00_5694;
				obj_t BgL_arg2371z00_5695;

				{	/* SawMill/node2rtl.scm 422 */
					BgL_rtl_instanceofz00_bglt BgL_new1320z00_5696;

					{	/* SawMill/node2rtl.scm 422 */
						BgL_rtl_instanceofz00_bglt BgL_new1319z00_5697;

						BgL_new1319z00_5697 =
							((BgL_rtl_instanceofz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_instanceofz00_bgl))));
						{	/* SawMill/node2rtl.scm 422 */
							long BgL_arg2372z00_5698;

							BgL_arg2372z00_5698 =
								BGL_CLASS_NUM(BGl_rtl_instanceofz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1319z00_5697),
								BgL_arg2372z00_5698);
						}
						BgL_new1320z00_5696 = BgL_new1319z00_5697;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1320z00_5696)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_instanceofz00_bglt) COBJECT(BgL_new1320z00_5696))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_instanceofz00_bglt)
									COBJECT(((BgL_instanceofz00_bglt) BgL_ez00_5414)))->
								BgL_classz00)), BUNSPEC);
					BgL_arg2370z00_5694 = BgL_new1320z00_5696;
				}
				BgL_arg2371z00_5695 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_instanceofz00_bglt) BgL_ez00_5414))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_instanceofz00_bglt) BgL_ez00_5414)),
					((BgL_rtl_funz00_bglt) BgL_arg2370z00_5694), BgL_arg2371z00_5695);
			}
		}

	}



/* &node->rtl-vlength1713 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vlength1713z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5415, obj_t BgL_ez00_5416)
	{
		{	/* SawMill/node2rtl.scm 415 */
			{	/* SawMill/node2rtl.scm 417 */
				BgL_rtl_vlengthz00_bglt BgL_arg2367z00_5700;
				obj_t BgL_arg2368z00_5701;

				{	/* SawMill/node2rtl.scm 417 */
					BgL_rtl_vlengthz00_bglt BgL_new1317z00_5702;

					{	/* SawMill/node2rtl.scm 417 */
						BgL_rtl_vlengthz00_bglt BgL_new1316z00_5703;

						BgL_new1316z00_5703 =
							((BgL_rtl_vlengthz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vlengthz00_bgl))));
						{	/* SawMill/node2rtl.scm 417 */
							long BgL_arg2369z00_5704;

							BgL_arg2369z00_5704 =
								BGL_CLASS_NUM(BGl_rtl_vlengthz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1316z00_5703),
								BgL_arg2369z00_5704);
						}
						BgL_new1317z00_5702 = BgL_new1316z00_5703;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1317z00_5702)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1317z00_5702))->
							BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
										COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5416)))->
									BgL_ftypez00))), BUNSPEC);
					((((BgL_rtl_vlengthz00_bglt) COBJECT(BgL_new1317z00_5702))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vlengthz00_bglt)
									COBJECT(((BgL_vlengthz00_bglt) BgL_ez00_5416)))->
								BgL_vtypez00)), BUNSPEC);
					BgL_arg2367z00_5700 = BgL_new1317z00_5702;
				}
				BgL_arg2368z00_5701 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vlengthz00_bglt) BgL_ez00_5416))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vlengthz00_bglt) BgL_ez00_5416)),
					((BgL_rtl_funz00_bglt) BgL_arg2367z00_5700), BgL_arg2368z00_5701);
			}
		}

	}



/* &node->rtl-vset!1711 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vsetz121711z93zzsaw_node2rtlz00(obj_t
		BgL_envz00_5417, obj_t BgL_ez00_5418)
	{
		{	/* SawMill/node2rtl.scm 409 */
			{	/* SawMill/node2rtl.scm 411 */
				BgL_areaz00_bglt BgL_arg2357z00_5706;
				BgL_areaz00_bglt BgL_arg2358z00_5707;

				{	/* SawMill/node2rtl.scm 411 */
					BgL_rtl_vsetz00_bglt BgL_arg2360z00_5708;
					obj_t BgL_arg2361z00_5709;

					{	/* SawMill/node2rtl.scm 411 */
						BgL_rtl_vsetz00_bglt BgL_new1312z00_5710;

						{	/* SawMill/node2rtl.scm 411 */
							BgL_rtl_vsetz00_bglt BgL_new1310z00_5711;

							BgL_new1310z00_5711 =
								((BgL_rtl_vsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_vsetz00_bgl))));
							{	/* SawMill/node2rtl.scm 411 */
								long BgL_arg2363z00_5712;

								BgL_arg2363z00_5712 =
									BGL_CLASS_NUM(BGl_rtl_vsetz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1310z00_5711),
									BgL_arg2363z00_5712);
							}
							BgL_new1312z00_5710 = BgL_new1310z00_5711;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1312z00_5710)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1312z00_5710))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5418)))->
									BgL_ftypez00)), BUNSPEC);
						((((BgL_rtl_vsetz00_bglt) COBJECT(BgL_new1312z00_5710))->
								BgL_vtypez00) =
							((BgL_typez00_bglt) (((BgL_vsetz12z12_bglt)
										COBJECT(((BgL_vsetz12z12_bglt) BgL_ez00_5418)))->
									BgL_vtypez00)), BUNSPEC);
						BgL_arg2360z00_5708 = BgL_new1312z00_5710;
					}
					BgL_arg2361z00_5709 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_ez00_5418))))->BgL_exprza2za2);
					BgL_arg2357z00_5706 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_vsetz12z12_bglt) BgL_ez00_5418)),
						((BgL_rtl_funz00_bglt) BgL_arg2360z00_5708), BgL_arg2361z00_5709);
				}
				{	/* SawMill/node2rtl.scm 412 */
					BgL_rtl_nopz00_bglt BgL_arg2364z00_5713;

					{	/* SawMill/node2rtl.scm 412 */
						BgL_rtl_nopz00_bglt BgL_new1314z00_5714;

						{	/* SawMill/node2rtl.scm 412 */
							BgL_rtl_nopz00_bglt BgL_new1313z00_5715;

							BgL_new1313z00_5715 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 412 */
								long BgL_arg2366z00_5716;

								BgL_arg2366z00_5716 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1313z00_5715),
									BgL_arg2366z00_5716);
							}
							BgL_new1314z00_5714 = BgL_new1313z00_5715;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1314z00_5714)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2364z00_5713 = BgL_new1314z00_5714;
					}
					BgL_arg2358z00_5707 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2364z00_5713), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2357z00_5706,
					BgL_arg2358z00_5707);
			}
		}

	}



/* &node->rtl-vref1709 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2vref1709z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5419, obj_t BgL_ez00_5420)
	{
		{	/* SawMill/node2rtl.scm 404 */
			{	/* SawMill/node2rtl.scm 406 */
				BgL_rtl_vrefz00_bglt BgL_arg2354z00_5718;
				obj_t BgL_arg2355z00_5719;

				{	/* SawMill/node2rtl.scm 406 */
					BgL_rtl_vrefz00_bglt BgL_new1308z00_5720;

					{	/* SawMill/node2rtl.scm 406 */
						BgL_rtl_vrefz00_bglt BgL_new1307z00_5721;

						BgL_new1307z00_5721 =
							((BgL_rtl_vrefz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vrefz00_bgl))));
						{	/* SawMill/node2rtl.scm 406 */
							long BgL_arg2356z00_5722;

							BgL_arg2356z00_5722 = BGL_CLASS_NUM(BGl_rtl_vrefz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1307z00_5721),
								BgL_arg2356z00_5722);
						}
						BgL_new1308z00_5720 = BgL_new1307z00_5721;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1308z00_5720)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1308z00_5720))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5420)))->BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vrefz00_bglt) COBJECT(BgL_new1308z00_5720))->
							BgL_vtypez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
											BgL_ez00_5420)))->BgL_vtypez00)), BUNSPEC);
					BgL_arg2354z00_5718 = BgL_new1308z00_5720;
				}
				BgL_arg2355z00_5719 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vrefz00_bglt) BgL_ez00_5420))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vrefz00_bglt) BgL_ez00_5420)),
					((BgL_rtl_funz00_bglt) BgL_arg2354z00_5718), BgL_arg2355z00_5719);
			}
		}

	}



/* &node->rtl-valloc1707 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2valloc1707z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5421, obj_t BgL_ez00_5422)
	{
		{	/* SawMill/node2rtl.scm 398 */
			{	/* SawMill/node2rtl.scm 400 */
				BgL_rtl_vallocz00_bglt BgL_arg2351z00_5724;
				obj_t BgL_arg2352z00_5725;

				{	/* SawMill/node2rtl.scm 400 */
					BgL_rtl_vallocz00_bglt BgL_new1305z00_5726;

					{	/* SawMill/node2rtl.scm 400 */
						BgL_rtl_vallocz00_bglt BgL_new1304z00_5727;

						BgL_new1304z00_5727 =
							((BgL_rtl_vallocz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_vallocz00_bgl))));
						{	/* SawMill/node2rtl.scm 400 */
							long BgL_arg2353z00_5728;

							BgL_arg2353z00_5728 =
								BGL_CLASS_NUM(BGl_rtl_vallocz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1304z00_5727),
								BgL_arg2353z00_5728);
						}
						BgL_new1305z00_5726 = BgL_new1304z00_5727;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1305z00_5726)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1305z00_5726))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vallocz00_bglt)
									COBJECT(((BgL_vallocz00_bglt) BgL_ez00_5422)))->
								BgL_ftypez00)), BUNSPEC);
					((((BgL_rtl_vallocz00_bglt) COBJECT(BgL_new1305z00_5726))->
							BgL_vtypez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_vallocz00_bglt) BgL_ez00_5422)), ((bool_t) 0))),
						BUNSPEC);
					BgL_arg2351z00_5724 = BgL_new1305z00_5726;
				}
				BgL_arg2352z00_5725 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_vallocz00_bglt) BgL_ez00_5422))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_vallocz00_bglt) BgL_ez00_5422)),
					((BgL_rtl_funz00_bglt) BgL_arg2351z00_5724), BgL_arg2352z00_5725);
			}
		}

	}



/* &node->rtl-new1705 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2new1705z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5423, obj_t BgL_ez00_5424)
	{
		{	/* SawMill/node2rtl.scm 392 */
			{	/* SawMill/node2rtl.scm 394 */
				BgL_rtl_newz00_bglt BgL_arg2347z00_5730;
				obj_t BgL_arg2348z00_5731;

				{	/* SawMill/node2rtl.scm 394 */
					BgL_rtl_newz00_bglt BgL_new1302z00_5732;

					{	/* SawMill/node2rtl.scm 394 */
						BgL_rtl_newz00_bglt BgL_new1301z00_5733;

						BgL_new1301z00_5733 =
							((BgL_rtl_newz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_newz00_bgl))));
						{	/* SawMill/node2rtl.scm 394 */
							long BgL_arg2350z00_5734;

							BgL_arg2350z00_5734 = BGL_CLASS_NUM(BGl_rtl_newz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1301z00_5733),
								BgL_arg2350z00_5734);
						}
						BgL_new1302z00_5732 = BgL_new1301z00_5733;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1302z00_5732)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1302z00_5732))->BgL_typez00) =
						((BgL_typez00_bglt)
							BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
										(BgL_newz00_bglt) BgL_ez00_5424)), ((bool_t) 0))), BUNSPEC);
					((((BgL_rtl_newz00_bglt) COBJECT(BgL_new1302z00_5732))->
							BgL_constrz00) =
						((obj_t) (((BgL_newz00_bglt) COBJECT(((BgL_newz00_bglt)
											BgL_ez00_5424)))->BgL_argszd2typezd2)), BUNSPEC);
					BgL_arg2347z00_5730 = BgL_new1302z00_5732;
				}
				BgL_arg2348z00_5731 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_newz00_bglt) BgL_ez00_5424))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_newz00_bglt) BgL_ez00_5424)),
					((BgL_rtl_funz00_bglt) BgL_arg2347z00_5730), BgL_arg2348z00_5731);
			}
		}

	}



/* &node->rtl-setfield1703 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setfield1703z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5425, obj_t BgL_ez00_5426)
	{
		{	/* SawMill/node2rtl.scm 383 */
			{	/* SawMill/node2rtl.scm 385 */
				BgL_areaz00_bglt BgL_arg2337z00_5736;
				BgL_areaz00_bglt BgL_arg2338z00_5737;

				{	/* SawMill/node2rtl.scm 385 */
					BgL_rtl_setfieldz00_bglt BgL_arg2340z00_5738;
					obj_t BgL_arg2341z00_5739;

					{	/* SawMill/node2rtl.scm 385 */
						BgL_rtl_setfieldz00_bglt BgL_new1297z00_5740;

						{	/* SawMill/node2rtl.scm 385 */
							BgL_rtl_setfieldz00_bglt BgL_new1296z00_5741;

							BgL_new1296z00_5741 =
								((BgL_rtl_setfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_setfieldz00_bgl))));
							{	/* SawMill/node2rtl.scm 385 */
								long BgL_arg2342z00_5742;

								BgL_arg2342z00_5742 =
									BGL_CLASS_NUM(BGl_rtl_setfieldz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1296z00_5741),
									BgL_arg2342z00_5742);
							}
							BgL_new1297z00_5740 = BgL_new1296z00_5741;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1297z00_5740)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1297z00_5740))->
								BgL_namez00) =
							((obj_t) (((BgL_setfieldz00_bglt) COBJECT(((BgL_setfieldz00_bglt)
												BgL_ez00_5426)))->BgL_fnamez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1297z00_5740))->
								BgL_objtypez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5426)))->
									BgL_otypez00)), BUNSPEC);
						((((BgL_rtl_setfieldz00_bglt) COBJECT(BgL_new1297z00_5740))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_setfieldz00_bglt)
										COBJECT(((BgL_setfieldz00_bglt) BgL_ez00_5426)))->
									BgL_ftypez00)), BUNSPEC);
						BgL_arg2340z00_5738 = BgL_new1297z00_5740;
					}
					BgL_arg2341z00_5739 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_setfieldz00_bglt) BgL_ez00_5426))))->BgL_exprza2za2);
					BgL_arg2337z00_5736 =
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_setfieldz00_bglt) BgL_ez00_5426)),
						((BgL_rtl_funz00_bglt) BgL_arg2340z00_5738), BgL_arg2341z00_5739);
				}
				{	/* SawMill/node2rtl.scm 389 */
					BgL_rtl_nopz00_bglt BgL_arg2343z00_5743;

					{	/* SawMill/node2rtl.scm 389 */
						BgL_rtl_nopz00_bglt BgL_new1299z00_5744;

						{	/* SawMill/node2rtl.scm 389 */
							BgL_rtl_nopz00_bglt BgL_new1298z00_5745;

							BgL_new1298z00_5745 =
								((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_nopz00_bgl))));
							{	/* SawMill/node2rtl.scm 389 */
								long BgL_arg2346z00_5746;

								BgL_arg2346z00_5746 =
									BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1298z00_5745),
									BgL_arg2346z00_5746);
							}
							BgL_new1299z00_5744 = BgL_new1298z00_5745;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1299z00_5744)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_arg2343z00_5743 = BgL_new1299z00_5744;
					}
					BgL_arg2338z00_5737 =
						BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
						((BgL_rtl_funz00_bglt) BgL_arg2343z00_5743), BNIL);
				}
				return
					BGl_linkz00zzsaw_node2rtlz00(BgL_arg2337z00_5736,
					BgL_arg2338z00_5737);
			}
		}

	}



/* &node->rtl-getfield1700 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2getfield1700z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5427, obj_t BgL_ez00_5428)
	{
		{	/* SawMill/node2rtl.scm 375 */
			{	/* SawMill/node2rtl.scm 377 */
				BgL_rtl_getfieldz00_bglt BgL_arg2334z00_5748;
				obj_t BgL_arg2335z00_5749;

				{	/* SawMill/node2rtl.scm 377 */
					BgL_rtl_getfieldz00_bglt BgL_new1294z00_5750;

					{	/* SawMill/node2rtl.scm 377 */
						BgL_rtl_getfieldz00_bglt BgL_new1293z00_5751;

						BgL_new1293z00_5751 =
							((BgL_rtl_getfieldz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_getfieldz00_bgl))));
						{	/* SawMill/node2rtl.scm 377 */
							long BgL_arg2336z00_5752;

							BgL_arg2336z00_5752 =
								BGL_CLASS_NUM(BGl_rtl_getfieldz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1293z00_5751),
								BgL_arg2336z00_5752);
						}
						BgL_new1294z00_5750 = BgL_new1293z00_5751;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1294z00_5750)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1294z00_5750))->
							BgL_namez00) =
						((obj_t) (((BgL_getfieldz00_bglt) COBJECT(((BgL_getfieldz00_bglt)
											BgL_ez00_5428)))->BgL_fnamez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1294z00_5750))->
							BgL_objtypez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5428)))->
								BgL_otypez00)), BUNSPEC);
					((((BgL_rtl_getfieldz00_bglt) COBJECT(BgL_new1294z00_5750))->
							BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_getfieldz00_bglt)
									COBJECT(((BgL_getfieldz00_bglt) BgL_ez00_5428)))->
								BgL_ftypez00)), BUNSPEC);
					BgL_arg2334z00_5748 = BgL_new1294z00_5750;
				}
				BgL_arg2335z00_5749 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_getfieldz00_bglt) BgL_ez00_5428))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_getfieldz00_bglt) BgL_ez00_5428)),
					((BgL_rtl_funz00_bglt) BgL_arg2334z00_5748), BgL_arg2335z00_5749);
			}
		}

	}



/* &node->rtl-pragma1697 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2pragma1697z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5429, obj_t BgL_ez00_5430)
	{
		{	/* SawMill/node2rtl.scm 370 */
			{	/* SawMill/node2rtl.scm 372 */
				BgL_rtl_pragmaz00_bglt BgL_arg2329z00_5754;
				obj_t BgL_arg2331z00_5755;

				{	/* SawMill/node2rtl.scm 372 */
					BgL_rtl_pragmaz00_bglt BgL_new1291z00_5756;

					{	/* SawMill/node2rtl.scm 372 */
						BgL_rtl_pragmaz00_bglt BgL_new1290z00_5757;

						BgL_new1290z00_5757 =
							((BgL_rtl_pragmaz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_pragmaz00_bgl))));
						{	/* SawMill/node2rtl.scm 372 */
							long BgL_arg2332z00_5758;

							BgL_arg2332z00_5758 =
								BGL_CLASS_NUM(BGl_rtl_pragmaz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1290z00_5757),
								BgL_arg2332z00_5758);
						}
						BgL_new1291z00_5756 = BgL_new1290z00_5757;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1291z00_5756)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_pragmaz00_bglt) COBJECT(BgL_new1291z00_5756))->
							BgL_formatz00) =
						((obj_t) (((BgL_pragmaz00_bglt) COBJECT(((BgL_pragmaz00_bglt)
											BgL_ez00_5430)))->BgL_formatz00)), BUNSPEC);
					BgL_arg2329z00_5754 = BgL_new1291z00_5756;
				}
				BgL_arg2331z00_5755 =
					(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt)
								((BgL_pragmaz00_bglt) BgL_ez00_5430))))->BgL_exprza2za2);
				return
					BGl_callza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_pragmaz00_bglt) BgL_ez00_5430)),
					((BgL_rtl_funz00_bglt) BgL_arg2329z00_5754), BgL_arg2331z00_5755);
			}
		}

	}



/* &node->rtl-funcall1695 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2funcall1695z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5431, obj_t BgL_ez00_5432)
	{
		{	/* SawMill/node2rtl.scm 345 */
			{	/* SawMill/node2rtl.scm 352 */
				obj_t BgL_argsz00_5760;

				BgL_argsz00_5760 =
					BGl_argszd21ze70z35zzsaw_node2rtlz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5432)))->BgL_argsz00));
				{	/* SawMill/node2rtl.scm 353 */
					obj_t BgL_casezd2valuezd2_5761;

					BgL_casezd2valuezd2_5761 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_ez00_5432)))->BgL_strengthz00);
					if ((BgL_casezd2valuezd2_5761 == CNST_TABLE_REF(((long) 14))))
						{	/* SawMill/node2rtl.scm 356 */
							BgL_rtl_callz00_bglt BgL_arg2310z00_5762;

							{	/* SawMill/node2rtl.scm 356 */
								BgL_rtl_callz00_bglt BgL_new1284z00_5763;

								{	/* SawMill/node2rtl.scm 356 */
									BgL_rtl_callz00_bglt BgL_new1283z00_5764;

									BgL_new1283z00_5764 =
										((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_rtl_callz00_bgl))));
									{	/* SawMill/node2rtl.scm 356 */
										long BgL_arg2314z00_5765;

										BgL_arg2314z00_5765 =
											BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1283z00_5764),
											BgL_arg2314z00_5765);
									}
									BgL_new1284z00_5763 = BgL_new1283z00_5764;
								}
								((((BgL_rtl_funz00_bglt) COBJECT(
												((BgL_rtl_funz00_bglt) BgL_new1284z00_5763)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								{
									BgL_globalz00_bglt BgL_auxz00_7988;

									{	/* SawMill/node2rtl.scm 356 */
										BgL_variablez00_bglt BgL_arg2311z00_5766;

										BgL_arg2311z00_5766 =
											(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt)
														(((BgL_funcallz00_bglt) COBJECT(
																	((BgL_funcallz00_bglt) BgL_ez00_5432)))->
															BgL_funz00))))->BgL_variablez00);
										BgL_auxz00_7988 =
											BGl_getzd2globalzd2zzsaw_node2rtlz00(((BgL_globalz00_bglt)
												BgL_arg2311z00_5766));
									}
									((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1284z00_5763))->
											BgL_varz00) =
										((BgL_globalz00_bglt) BgL_auxz00_7988), BUNSPEC);
								}
								BgL_arg2310z00_5762 = BgL_new1284z00_5763;
							}
							return
								BGl_callza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_funcallz00_bglt) BgL_ez00_5432)),
								((BgL_rtl_funz00_bglt) BgL_arg2310z00_5762), BgL_argsz00_5760);
						}
					else
						{	/* SawMill/node2rtl.scm 353 */
							if ((BgL_casezd2valuezd2_5761 == CNST_TABLE_REF(((long) 15))))
								{	/* SawMill/node2rtl.scm 360 */
									BgL_rtl_lightfuncallz00_bglt BgL_arg2316z00_5767;

									{	/* SawMill/node2rtl.scm 360 */
										BgL_rtl_lightfuncallz00_bglt BgL_new1286z00_5768;

										{	/* SawMill/node2rtl.scm 360 */
											BgL_rtl_lightfuncallz00_bglt BgL_new1285z00_5769;

											BgL_new1285z00_5769 =
												((BgL_rtl_lightfuncallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_lightfuncallz00_bgl))));
											{	/* SawMill/node2rtl.scm 360 */
												long BgL_arg2317z00_5770;

												BgL_arg2317z00_5770 =
													BGL_CLASS_NUM(BGl_rtl_lightfuncallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1285z00_5769),
													BgL_arg2317z00_5770);
											}
											BgL_new1286z00_5768 = BgL_new1285z00_5769;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1286z00_5768)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_8009;

											{	/* SawMill/node2rtl.scm 362 */

												{	/* SawMill/node2rtl.scm 362 */

													BgL_auxz00_8009 =
														BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
											}}
											((((BgL_rtl_lightfuncallz00_bglt)
														COBJECT(BgL_new1286z00_5768))->BgL_namez00) =
												((obj_t) BgL_auxz00_8009), BUNSPEC);
										}
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1286z00_5768))->BgL_funsz00) =
											((obj_t) (((BgL_funcallz00_bglt)
														COBJECT(((BgL_funcallz00_bglt) BgL_ez00_5432)))->
													BgL_functionsz00)), BUNSPEC);
										((((BgL_rtl_lightfuncallz00_bglt)
													COBJECT(BgL_new1286z00_5768))->BgL_rettypez00) =
											((obj_t) ((obj_t)
													BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
															((BgL_funcallz00_bglt) BgL_ez00_5432)),
														((bool_t) 0)))), BUNSPEC);
										BgL_arg2316z00_5767 = BgL_new1286z00_5768;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5432)),
										((BgL_rtl_funz00_bglt) BgL_arg2316z00_5767),
										BgL_argsz00_5760);
								}
							else
								{	/* SawMill/node2rtl.scm 367 */
									BgL_rtl_funcallz00_bglt BgL_arg2319z00_5771;

									{	/* SawMill/node2rtl.scm 367 */
										BgL_rtl_funcallz00_bglt BgL_new1288z00_5772;

										{	/* SawMill/node2rtl.scm 367 */
											BgL_rtl_funcallz00_bglt BgL_new1287z00_5773;

											BgL_new1287z00_5773 =
												((BgL_rtl_funcallz00_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_funcallz00_bgl))));
											{	/* SawMill/node2rtl.scm 367 */
												long BgL_arg2320z00_5774;

												BgL_arg2320z00_5774 =
													BGL_CLASS_NUM(BGl_rtl_funcallz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1287z00_5773),
													BgL_arg2320z00_5774);
											}
											BgL_new1288z00_5772 = BgL_new1287z00_5773;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1288z00_5772)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										BgL_arg2319z00_5771 = BgL_new1288z00_5772;
									}
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_funcallz00_bglt) BgL_ez00_5432)),
										((BgL_rtl_funz00_bglt) BgL_arg2319z00_5771),
										BgL_argsz00_5760);
								}
						}
				}
			}
		}

	}



/* args-1~0 */
	obj_t BGl_argszd21ze70z35zzsaw_node2rtlz00(obj_t BgL_argsz00_3138)
	{
		{	/* SawMill/node2rtl.scm 349 */
			if (NULLP(CDR(((obj_t) BgL_argsz00_3138))))
				{	/* SawMill/node2rtl.scm 347 */
					return BNIL;
				}
			else
				{	/* SawMill/node2rtl.scm 349 */
					obj_t BgL_arg2325z00_3142;
					obj_t BgL_arg2326z00_3143;

					BgL_arg2325z00_3142 = CAR(((obj_t) BgL_argsz00_3138));
					{	/* SawMill/node2rtl.scm 349 */
						obj_t BgL_arg2327z00_3144;

						BgL_arg2327z00_3144 = CDR(((obj_t) BgL_argsz00_3138));
						BgL_arg2326z00_3143 =
							BGl_argszd21ze70z35zzsaw_node2rtlz00(BgL_arg2327z00_3144);
					}
					return MAKE_YOUNG_PAIR(BgL_arg2325z00_3142, BgL_arg2326z00_3143);
				}
		}

	}



/* &node->rtl-app-ly1693 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2appzd2ly1693z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5433, obj_t BgL_ez00_5434)
	{
		{	/* SawMill/node2rtl.scm 340 */
			{	/* SawMill/node2rtl.scm 342 */
				BgL_rtl_applyz00_bglt BgL_arg2302z00_5776;
				BgL_nodez00_bglt BgL_arg2304z00_5777;
				BgL_nodez00_bglt BgL_arg2305z00_5778;

				{	/* SawMill/node2rtl.scm 342 */
					BgL_rtl_applyz00_bglt BgL_new1281z00_5779;

					{	/* SawMill/node2rtl.scm 342 */
						BgL_rtl_applyz00_bglt BgL_new1280z00_5780;

						BgL_new1280z00_5780 =
							((BgL_rtl_applyz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_applyz00_bgl))));
						{	/* SawMill/node2rtl.scm 342 */
							long BgL_arg2308z00_5781;

							BgL_arg2308z00_5781 =
								BGL_CLASS_NUM(BGl_rtl_applyz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1280z00_5780),
								BgL_arg2308z00_5781);
						}
						BgL_new1281z00_5779 = BgL_new1280z00_5780;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1281z00_5779)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					BgL_arg2302z00_5776 = BgL_new1281z00_5779;
				}
				BgL_arg2304z00_5777 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5434)))->BgL_funz00);
				BgL_arg2305z00_5778 =
					(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5434)))->BgL_argz00);
				{	/* SawMill/node2rtl.scm 342 */
					obj_t BgL_list2306z00_5782;

					{	/* SawMill/node2rtl.scm 342 */
						obj_t BgL_arg2307z00_5783;

						BgL_arg2307z00_5783 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2305z00_5778), BNIL);
						BgL_list2306z00_5782 =
							MAKE_YOUNG_PAIR(
							((obj_t) BgL_arg2304z00_5777), BgL_arg2307z00_5783);
					}
					return
						BGl_callza2za2zzsaw_node2rtlz00(
						((obj_t)
							((BgL_appzd2lyzd2_bglt) BgL_ez00_5434)),
						((BgL_rtl_funz00_bglt) BgL_arg2302z00_5776), BgL_list2306z00_5782);
				}
			}
		}

	}



/* &node->rtl-app1691 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2app1691z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5435, obj_t BgL_ez00_5436)
	{
		{	/* SawMill/node2rtl.scm 317 */
			{	/* SawMill/node2rtl.scm 319 */
				BgL_variablez00_bglt BgL_vz00_5785;

				BgL_vz00_5785 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5436)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* SawMill/node2rtl.scm 320 */
					bool_t BgL_test2948z00_8065;

					{	/* SawMill/node2rtl.scm 320 */
						obj_t BgL_classz00_5786;

						BgL_classz00_5786 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 320 */
							BgL_objectz00_bglt BgL_arg1825z00_5787;

							{	/* SawMill/node2rtl.scm 320 */
								obj_t BgL_tmpz00_8066;

								BgL_tmpz00_8066 =
									((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5785));
								BgL_arg1825z00_5787 = (BgL_objectz00_bglt) (BgL_tmpz00_8066);
							}
							{	/* SawMill/node2rtl.scm 320 */
								bool_t BgL_arg1822z00_5788;
								bool_t BgL_arg1823z00_5789;

								{	/* SawMill/node2rtl.scm 320 */
									long BgL_idxz00_5790;

									BgL_idxz00_5790 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5787);
									BgL_arg1822z00_5788 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5790 + ((long) 2))) == BgL_classz00_5786);
								}
								{	/* SawMill/node2rtl.scm 320 */
									bool_t BgL_res2714z00_5793;

									{	/* SawMill/node2rtl.scm 320 */
										obj_t BgL_oclassz00_5794;

										{	/* SawMill/node2rtl.scm 320 */
											long BgL_arg1833z00_5795;

											{	/* SawMill/node2rtl.scm 320 */
												long BgL_arg1834z00_5796;

												BgL_arg1834z00_5796 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5787);
												BgL_arg1833z00_5795 =
													(BgL_arg1834z00_5796 - OBJECT_TYPE);
											}
											BgL_oclassz00_5794 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5795);
										}
										{	/* SawMill/node2rtl.scm 320 */
											bool_t BgL__ortest_1110z00_5797;

											BgL__ortest_1110z00_5797 =
												(BgL_classz00_5786 == BgL_oclassz00_5794);
											if (BgL__ortest_1110z00_5797)
												{	/* SawMill/node2rtl.scm 320 */
													BgL_res2714z00_5793 = BgL__ortest_1110z00_5797;
												}
											else
												{	/* SawMill/node2rtl.scm 320 */
													long BgL_odepthz00_5798;

													BgL_odepthz00_5798 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5794);
													if ((((long) 2) < BgL_odepthz00_5798))
														{	/* SawMill/node2rtl.scm 320 */
															obj_t BgL_arg1821z00_5799;

															BgL_arg1821z00_5799 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5794,
																((long) 2));
															BgL_res2714z00_5793 =
																(BgL_arg1821z00_5799 == BgL_classz00_5786);
														}
													else
														{	/* SawMill/node2rtl.scm 320 */
															BgL_res2714z00_5793 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5789 = BgL_res2714z00_5793;
								}
								BgL_test2948z00_8065 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5788, BgL_arg1823z00_5789);
							}
						}
					}
					if (BgL_test2948z00_8065)
						{	/* SawMill/node2rtl.scm 321 */
							obj_t BgL_arg2292z00_5800;

							BgL_arg2292z00_5800 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_ez00_5436)))->BgL_argsz00);
							return
								BGl_compilezd2labelzd2callz00zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_vz00_5785), BgL_arg2292z00_5800);
						}
					else
						{	/* SawMill/node2rtl.scm 322 */
							obj_t BgL__ortest_1272z00_5801;

							{	/* SawMill/node2rtl.scm 322 */
								obj_t BgL_arg2299z00_5802;

								BgL_arg2299z00_5802 =
									(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_ez00_5436)))->BgL_argsz00);
								BgL__ortest_1272z00_5801 =
									BGl_imperativezf3zf3zzsaw_node2rtlz00(
									((BgL_appz00_bglt) BgL_ez00_5436),
									((BgL_globalz00_bglt) BgL_vz00_5785), BgL_arg2299z00_5802);
							}
							if (CBOOL(BgL__ortest_1272z00_5801))
								{	/* SawMill/node2rtl.scm 322 */
									return ((BgL_areaz00_bglt) BgL__ortest_1272z00_5801);
								}
							else
								{	/* SawMill/node2rtl.scm 325 */
									BgL_rtl_callz00_bglt BgL_arg2296z00_5803;
									obj_t BgL_arg2297z00_5804;

									{	/* SawMill/node2rtl.scm 325 */
										BgL_rtl_callz00_bglt BgL_new1276z00_5805;

										{	/* SawMill/node2rtl.scm 325 */
											BgL_rtl_callz00_bglt BgL_new1275z00_5806;

											BgL_new1275z00_5806 =
												((BgL_rtl_callz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_rtl_callz00_bgl))));
											{	/* SawMill/node2rtl.scm 325 */
												long BgL_arg2298z00_5807;

												BgL_arg2298z00_5807 =
													BGL_CLASS_NUM(BGl_rtl_callz00zzsaw_defsz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1275z00_5806),
													BgL_arg2298z00_5807);
											}
											BgL_new1276z00_5805 = BgL_new1275z00_5806;
										}
										((((BgL_rtl_funz00_bglt) COBJECT(
														((BgL_rtl_funz00_bglt) BgL_new1276z00_5805)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_rtl_callz00_bglt) COBJECT(BgL_new1276z00_5805))->
												BgL_varz00) =
											((BgL_globalz00_bglt)
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
														(BgL_globalz00_bglt) BgL_vz00_5785))), BUNSPEC);
										BgL_arg2296z00_5803 = BgL_new1276z00_5805;
									}
									BgL_arg2297z00_5804 =
										(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_ez00_5436)))->BgL_argsz00);
									return
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_appz00_bglt) BgL_ez00_5436)),
										((BgL_rtl_funz00_bglt) BgL_arg2296z00_5803),
										BgL_arg2297z00_5804);
								}
						}
				}
			}
		}

	}



/* &node->rtl-let-fun1689 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2fun1689z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5437, obj_t BgL_ez00_5438)
	{
		{	/* SawMill/node2rtl.scm 283 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_ez00_5438)))->BgL_bodyz00));
		}

	}



/* &node->rtl-switch1687 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2switch1687z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5439, obj_t BgL_ez00_5440)
	{
		{	/* SawMill/node2rtl.scm 262 */
			{	/* SawMill/node2rtl.scm 264 */
				BgL_areaz00_bglt BgL_arg2275z00_5810;
				obj_t BgL_arg2276z00_5811;
				BgL_rtl_regz00_bglt BgL_arg2277z00_5812;

				{	/* SawMill/node2rtl.scm 264 */
					BgL_rtl_selectz00_bglt BgL_arg2278z00_5813;
					BgL_nodez00_bglt BgL_arg2280z00_5814;

					{	/* SawMill/node2rtl.scm 264 */
						BgL_rtl_selectz00_bglt BgL_new1261z00_5815;

						{	/* SawMill/node2rtl.scm 264 */
							BgL_rtl_selectz00_bglt BgL_new1260z00_5816;

							BgL_new1260z00_5816 =
								((BgL_rtl_selectz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_selectz00_bgl))));
							{	/* SawMill/node2rtl.scm 264 */
								long BgL_arg2283z00_5817;

								BgL_arg2283z00_5817 =
									BGL_CLASS_NUM(BGl_rtl_selectz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1260z00_5816),
									BgL_arg2283z00_5817);
							}
							BgL_new1261z00_5815 = BgL_new1260z00_5816;
						}
						((((BgL_rtl_funz00_bglt) COBJECT(
										((BgL_rtl_funz00_bglt) BgL_new1261z00_5815)))->BgL_locz00) =
							((obj_t) BFALSE), BUNSPEC);
						((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1261z00_5815))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_switchz00_bglt)
										COBJECT(((BgL_switchz00_bglt) BgL_ez00_5440)))->
									BgL_itemzd2typezd2)), BUNSPEC);
						{
							obj_t BgL_auxz00_8124;

							{	/* SawMill/node2rtl.scm 265 */
								obj_t BgL_arg2282z00_5818;

								BgL_arg2282z00_5818 =
									(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_ez00_5440)))->BgL_clausesz00);
								BgL_auxz00_8124 =
									BGl_coercez00zzsaw_node2rtlz00(BgL_arg2282z00_5818);
							}
							((((BgL_rtl_selectz00_bglt) COBJECT(BgL_new1261z00_5815))->
									BgL_patternsz00) = ((obj_t) BgL_auxz00_8124), BUNSPEC);
						}
						BgL_arg2278z00_5813 = BgL_new1261z00_5815;
					}
					BgL_arg2280z00_5814 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5440)))->BgL_testz00);
					{	/* SawMill/node2rtl.scm 264 */
						obj_t BgL_list2281z00_5819;

						BgL_list2281z00_5819 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg2280z00_5814), BNIL);
						BgL_arg2275z00_5810 =
							BGl_callza2za2zzsaw_node2rtlz00(
							((obj_t)
								((BgL_switchz00_bglt) BgL_ez00_5440)),
							((BgL_rtl_funz00_bglt) BgL_arg2278z00_5813),
							BgL_list2281z00_5819);
				}}
				{	/* SawMill/node2rtl.scm 267 */
					obj_t BgL_l1630z00_5820;

					BgL_l1630z00_5820 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_ez00_5440)))->BgL_clausesz00);
					if (NULLP(BgL_l1630z00_5820))
						{	/* SawMill/node2rtl.scm 267 */
							BgL_arg2276z00_5811 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 267 */
							obj_t BgL_head1632z00_5821;

							BgL_head1632z00_5821 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1630z00_5823;
								obj_t BgL_tail1633z00_5824;

								BgL_l1630z00_5823 = BgL_l1630z00_5820;
								BgL_tail1633z00_5824 = BgL_head1632z00_5821;
							BgL_zc3z04anonymousza32285ze3z87_5822:
								if (NULLP(BgL_l1630z00_5823))
									{	/* SawMill/node2rtl.scm 267 */
										BgL_arg2276z00_5811 = CDR(BgL_head1632z00_5821);
									}
								else
									{	/* SawMill/node2rtl.scm 267 */
										obj_t BgL_newtail1634z00_5825;

										{	/* SawMill/node2rtl.scm 267 */
											BgL_areaz00_bglt BgL_arg2288z00_5826;

											{	/* SawMill/node2rtl.scm 267 */
												obj_t BgL_cz00_5827;

												BgL_cz00_5827 = CAR(((obj_t) BgL_l1630z00_5823));
												{	/* SawMill/node2rtl.scm 267 */
													obj_t BgL_arg2289z00_5828;

													BgL_arg2289z00_5828 = CDR(((obj_t) BgL_cz00_5827));
													BgL_arg2288z00_5826 =
														BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
														((BgL_nodez00_bglt) BgL_arg2289z00_5828));
												}
											}
											BgL_newtail1634z00_5825 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2288z00_5826), BNIL);
										}
										SET_CDR(BgL_tail1633z00_5824, BgL_newtail1634z00_5825);
										{	/* SawMill/node2rtl.scm 267 */
											obj_t BgL_arg2287z00_5829;

											BgL_arg2287z00_5829 = CDR(((obj_t) BgL_l1630z00_5823));
											{
												obj_t BgL_tail1633z00_8157;
												obj_t BgL_l1630z00_8156;

												BgL_l1630z00_8156 = BgL_arg2287z00_5829;
												BgL_tail1633z00_8157 = BgL_newtail1634z00_5825;
												BgL_tail1633z00_5824 = BgL_tail1633z00_8157;
												BgL_l1630z00_5823 = BgL_l1630z00_8156;
												goto BgL_zc3z04anonymousza32285ze3z87_5822;
											}
										}
									}
							}
						}
				}
				BgL_arg2277z00_5812 =
					BGl_newzd2regzd2zzsaw_node2rtlz00(
					((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_ez00_5440)));
				return
					BGl_forkzf2joinzf2zzsaw_node2rtlz00(BgL_arg2275z00_5810,
					BgL_arg2276z00_5811, BgL_arg2277z00_5812);
			}
		}

	}



/* &node->rtl-conditiona1685 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2conditiona1685z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5441, obj_t BgL_ez00_5442)
	{
		{	/* SawMill/node2rtl.scm 256 */
			{	/* SawMill/node2rtl.scm 258 */
				BgL_nodez00_bglt BgL_arg2265z00_5831;
				obj_t BgL_arg2266z00_5832;

				BgL_arg2265z00_5831 =
					(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_ez00_5442)))->BgL_testz00);
				{	/* SawMill/node2rtl.scm 258 */
					obj_t BgL_arg2267z00_5833;
					BgL_rtl_regz00_bglt BgL_arg2268z00_5834;

					{	/* SawMill/node2rtl.scm 258 */
						BgL_areaz00_bglt BgL_arg2269z00_5835;
						BgL_areaz00_bglt BgL_arg2270z00_5836;

						BgL_arg2269z00_5835 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5442)))->BgL_truez00));
						BgL_arg2270z00_5836 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_conditionalz00_bglt) COBJECT(
										((BgL_conditionalz00_bglt) BgL_ez00_5442)))->BgL_falsez00));
						{	/* SawMill/node2rtl.scm 258 */
							obj_t BgL_list2271z00_5837;

							{	/* SawMill/node2rtl.scm 258 */
								obj_t BgL_arg2272z00_5838;

								BgL_arg2272z00_5838 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_arg2270z00_5836), BNIL);
								BgL_list2271z00_5837 =
									MAKE_YOUNG_PAIR(
									((obj_t) BgL_arg2269z00_5835), BgL_arg2272z00_5838);
							}
							BgL_arg2267z00_5833 = BgL_list2271z00_5837;
						}
					}
					BgL_arg2268z00_5834 =
						BGl_newzd2regzd2zzsaw_node2rtlz00(
						((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_ez00_5442)));
					BgL_arg2266z00_5832 =
						BGl_joinz00zzsaw_node2rtlz00(BgL_arg2267z00_5833,
						BgL_arg2268z00_5834);
				}
				return
					BGl_predicatez00zzsaw_node2rtlz00(BgL_arg2265z00_5831,
					BgL_arg2266z00_5832);
			}
		}

	}



/* &node->rtl-sync1683 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sync1683z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5443, obj_t BgL_ez00_5444)
	{
		{	/* SawMill/node2rtl.scm 252 */
			return
				BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
				(BGl_synczd2ze3sequencez31zzsync_nodez00(((BgL_syncz00_bglt)
						BgL_ez00_5444)));
		}

	}



/* &node->rtl-sequence1681 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2sequence1681z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5445, obj_t BgL_ez00_5446)
	{
		{	/* SawMill/node2rtl.scm 247 */
			{	/* SawMill/node2rtl.scm 249 */
				obj_t BgL_arg2258z00_5841;

				{	/* SawMill/node2rtl.scm 249 */
					obj_t BgL_l1625z00_5842;

					BgL_l1625z00_5842 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_ez00_5446)))->BgL_nodesz00);
					if (NULLP(BgL_l1625z00_5842))
						{	/* SawMill/node2rtl.scm 249 */
							BgL_arg2258z00_5841 = BNIL;
						}
					else
						{	/* SawMill/node2rtl.scm 249 */
							obj_t BgL_head1627z00_5843;

							BgL_head1627z00_5843 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1625z00_5845;
								obj_t BgL_tail1628z00_5846;

								BgL_l1625z00_5845 = BgL_l1625z00_5842;
								BgL_tail1628z00_5846 = BgL_head1627z00_5843;
							BgL_zc3z04anonymousza32260ze3z87_5844:
								if (NULLP(BgL_l1625z00_5845))
									{	/* SawMill/node2rtl.scm 249 */
										BgL_arg2258z00_5841 = CDR(BgL_head1627z00_5843);
									}
								else
									{	/* SawMill/node2rtl.scm 249 */
										obj_t BgL_newtail1629z00_5847;

										{	/* SawMill/node2rtl.scm 249 */
											BgL_areaz00_bglt BgL_arg2263z00_5848;

											{	/* SawMill/node2rtl.scm 249 */
												obj_t BgL_ez00_5849;

												BgL_ez00_5849 = CAR(((obj_t) BgL_l1625z00_5845));
												BgL_arg2263z00_5848 =
													BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
													((BgL_nodez00_bglt) BgL_ez00_5849));
											}
											BgL_newtail1629z00_5847 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_arg2263z00_5848), BNIL);
										}
										SET_CDR(BgL_tail1628z00_5846, BgL_newtail1629z00_5847);
										{	/* SawMill/node2rtl.scm 249 */
											obj_t BgL_arg2262z00_5850;

											BgL_arg2262z00_5850 = CDR(((obj_t) BgL_l1625z00_5845));
											{
												obj_t BgL_tail1628z00_8200;
												obj_t BgL_l1625z00_8199;

												BgL_l1625z00_8199 = BgL_arg2262z00_5850;
												BgL_tail1628z00_8200 = BgL_newtail1629z00_5847;
												BgL_tail1628z00_5846 = BgL_tail1628z00_8200;
												BgL_l1625z00_5845 = BgL_l1625z00_8199;
												goto BgL_zc3z04anonymousza32260ze3z87_5844;
											}
										}
									}
							}
						}
				}
				return BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2258z00_5841);
			}
		}

	}



/* &node->rtl-setq1679 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2setq1679z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5447, obj_t BgL_ez00_5448)
	{
		{	/* SawMill/node2rtl.scm 238 */
			{	/* SawMill/node2rtl.scm 240 */
				BgL_varz00_bglt BgL_i1252z00_5852;

				BgL_i1252z00_5852 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_ez00_5448)))->BgL_varz00);
				{	/* SawMill/node2rtl.scm 241 */
					BgL_areaz00_bglt BgL_arg2242z00_5853;
					BgL_areaz00_bglt BgL_arg2243z00_5854;

					{	/* SawMill/node2rtl.scm 241 */
						bool_t BgL_test2956z00_8204;

						{	/* SawMill/node2rtl.scm 241 */
							BgL_variablez00_bglt BgL_arg2254z00_5855;

							BgL_arg2254z00_5855 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1252z00_5852))->
								BgL_variablez00);
							{	/* SawMill/node2rtl.scm 241 */
								obj_t BgL_classz00_5856;

								BgL_classz00_5856 = BGl_globalz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 241 */
									BgL_objectz00_bglt BgL_arg1825z00_5857;

									{	/* SawMill/node2rtl.scm 241 */
										obj_t BgL_tmpz00_8206;

										BgL_tmpz00_8206 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2254z00_5855));
										BgL_arg1825z00_5857 =
											(BgL_objectz00_bglt) (BgL_tmpz00_8206);
									}
									{	/* SawMill/node2rtl.scm 241 */
										bool_t BgL_arg1822z00_5858;
										bool_t BgL_arg1823z00_5859;

										{	/* SawMill/node2rtl.scm 241 */
											long BgL_idxz00_5860;

											BgL_idxz00_5860 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5857);
											BgL_arg1822z00_5858 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5860 + ((long) 2))) == BgL_classz00_5856);
										}
										{	/* SawMill/node2rtl.scm 241 */
											bool_t BgL_res2711z00_5863;

											{	/* SawMill/node2rtl.scm 241 */
												obj_t BgL_oclassz00_5864;

												{	/* SawMill/node2rtl.scm 241 */
													long BgL_arg1833z00_5865;

													{	/* SawMill/node2rtl.scm 241 */
														long BgL_arg1834z00_5866;

														BgL_arg1834z00_5866 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5857);
														BgL_arg1833z00_5865 =
															(BgL_arg1834z00_5866 - OBJECT_TYPE);
													}
													BgL_oclassz00_5864 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5865);
												}
												{	/* SawMill/node2rtl.scm 241 */
													bool_t BgL__ortest_1110z00_5867;

													BgL__ortest_1110z00_5867 =
														(BgL_classz00_5856 == BgL_oclassz00_5864);
													if (BgL__ortest_1110z00_5867)
														{	/* SawMill/node2rtl.scm 241 */
															BgL_res2711z00_5863 = BgL__ortest_1110z00_5867;
														}
													else
														{	/* SawMill/node2rtl.scm 241 */
															long BgL_odepthz00_5868;

															BgL_odepthz00_5868 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5864);
															if ((((long) 2) < BgL_odepthz00_5868))
																{	/* SawMill/node2rtl.scm 241 */
																	obj_t BgL_arg1821z00_5869;

																	BgL_arg1821z00_5869 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5864,
																		((long) 2));
																	BgL_res2711z00_5863 =
																		(BgL_arg1821z00_5869 == BgL_classz00_5856);
																}
															else
																{	/* SawMill/node2rtl.scm 241 */
																	BgL_res2711z00_5863 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5859 = BgL_res2711z00_5863;
										}
										BgL_test2956z00_8204 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5858,
											BgL_arg1823z00_5859);
									}
								}
							}
						}
						if (BgL_test2956z00_8204)
							{	/* SawMill/node2rtl.scm 242 */
								BgL_rtl_storegz00_bglt BgL_arg2246z00_5870;
								BgL_nodez00_bglt BgL_arg2247z00_5871;

								{	/* SawMill/node2rtl.scm 242 */
									BgL_rtl_storegz00_bglt BgL_new1254z00_5872;

									{	/* SawMill/node2rtl.scm 242 */
										BgL_rtl_storegz00_bglt BgL_new1253z00_5873;

										BgL_new1253z00_5873 =
											((BgL_rtl_storegz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_storegz00_bgl))));
										{	/* SawMill/node2rtl.scm 242 */
											long BgL_arg2250z00_5874;

											BgL_arg2250z00_5874 =
												BGL_CLASS_NUM(BGl_rtl_storegz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1253z00_5873),
												BgL_arg2250z00_5874);
										}
										BgL_new1254z00_5872 = BgL_new1253z00_5873;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1254z00_5872)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_8231;

										{	/* SawMill/node2rtl.scm 242 */
											BgL_variablez00_bglt BgL_arg2249z00_5875;

											BgL_arg2249z00_5875 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1252z00_5852))->
												BgL_variablez00);
											BgL_auxz00_8231 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2249z00_5875));
										}
										((((BgL_rtl_storegz00_bglt) COBJECT(BgL_new1254z00_5872))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_8231), BUNSPEC);
									}
									BgL_arg2246z00_5870 = BgL_new1254z00_5872;
								}
								BgL_arg2247z00_5871 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5448)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 242 */
									obj_t BgL_list2248z00_5876;

									BgL_list2248z00_5876 =
										MAKE_YOUNG_PAIR(((obj_t) BgL_arg2247z00_5871), BNIL);
									BgL_arg2242z00_5853 =
										BGl_callza2za2zzsaw_node2rtlz00(
										((obj_t)
											((BgL_setqz00_bglt) BgL_ez00_5448)),
										((BgL_rtl_funz00_bglt) BgL_arg2246z00_5870),
										BgL_list2248z00_5876);
							}}
						else
							{	/* SawMill/node2rtl.scm 243 */
								BgL_nodez00_bglt BgL_arg2251z00_5877;
								BgL_rtl_regz00_bglt BgL_arg2252z00_5878;

								BgL_arg2251z00_5877 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_ez00_5448)))->BgL_valuez00);
								{	/* SawMill/node2rtl.scm 243 */
									BgL_variablez00_bglt BgL_arg2253z00_5879;

									BgL_arg2253z00_5879 =
										(((BgL_varz00_bglt) COBJECT(BgL_i1252z00_5852))->
										BgL_variablez00);
									BgL_arg2252z00_5878 =
										BGl_localzd2ze3regz31zzsaw_node2rtlz00(((BgL_localz00_bglt)
											BgL_arg2253z00_5879));
								}
								{	/* SawMill/node2rtl.scm 243 */
									BgL_areaz00_bglt BgL_res2712z00_5880;

									{	/* SawMill/node2rtl.scm 184 */
										BgL_areaz00_bglt BgL_az00_5881;

										BgL_az00_5881 =
											BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00
											(BgL_arg2251z00_5877);
										BGl_bdestinationz12z12zzsaw_node2rtlz00((((BgL_areaz00_bglt)
													COBJECT(BgL_az00_5881))->BgL_exitz00),
											BgL_arg2252z00_5878);
										BgL_res2712z00_5880 = BgL_az00_5881;
									}
									BgL_arg2242z00_5853 = BgL_res2712z00_5880;
								}
							}
					}
					{	/* SawMill/node2rtl.scm 244 */
						BgL_rtl_nopz00_bglt BgL_arg2255z00_5882;

						{	/* SawMill/node2rtl.scm 244 */
							BgL_rtl_nopz00_bglt BgL_new1256z00_5883;

							{	/* SawMill/node2rtl.scm 244 */
								BgL_rtl_nopz00_bglt BgL_new1255z00_5884;

								BgL_new1255z00_5884 =
									((BgL_rtl_nopz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_nopz00_bgl))));
								{	/* SawMill/node2rtl.scm 244 */
									long BgL_arg2257z00_5885;

									BgL_arg2257z00_5885 =
										BGL_CLASS_NUM(BGl_rtl_nopz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1255z00_5884),
										BgL_arg2257z00_5885);
								}
								BgL_new1256z00_5883 = BgL_new1255z00_5884;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1256z00_5883)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2255z00_5882 = BgL_new1256z00_5883;
						}
						BgL_arg2243z00_5854 =
							BGl_singleza2za2zzsaw_node2rtlz00(BFALSE,
							((BgL_rtl_funz00_bglt) BgL_arg2255z00_5882), BNIL);
					}
					return
						BGl_linkz00zzsaw_node2rtlz00(BgL_arg2242z00_5853,
						BgL_arg2243z00_5854);
				}
			}
		}

	}



/* &node->rtl-let-var1677 */
	BgL_areaz00_bglt
		BGl_z62nodezd2ze3rtlzd2letzd2var1677z53zzsaw_node2rtlz00(obj_t
		BgL_envz00_5449, obj_t BgL_ez00_5450)
	{
		{	/* SawMill/node2rtl.scm 221 */
			{	/* SawMill/node2rtl.scm 224 */
				bool_t BgL_test2959z00_8261;

				{	/* SawMill/node2rtl.scm 224 */
					bool_t BgL_test2960z00_8262;

					{	/* SawMill/node2rtl.scm 224 */
						BgL_nodez00_bglt BgL_arg2241z00_5887;

						BgL_arg2241z00_5887 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->BgL_bodyz00);
						{	/* SawMill/node2rtl.scm 224 */
							obj_t BgL_classz00_5888;

							BgL_classz00_5888 = BGl_conditionalz00zzast_nodez00;
							{	/* SawMill/node2rtl.scm 224 */
								BgL_objectz00_bglt BgL_arg1825z00_5889;

								{	/* SawMill/node2rtl.scm 224 */
									obj_t BgL_tmpz00_8265;

									BgL_tmpz00_8265 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg2241z00_5887));
									BgL_arg1825z00_5889 = (BgL_objectz00_bglt) (BgL_tmpz00_8265);
								}
								{	/* SawMill/node2rtl.scm 224 */
									bool_t BgL_arg1822z00_5890;
									bool_t BgL_arg1823z00_5891;

									{	/* SawMill/node2rtl.scm 224 */
										long BgL_idxz00_5892;

										BgL_idxz00_5892 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5889);
										BgL_arg1822z00_5890 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5892 + ((long) 3))) == BgL_classz00_5888);
									}
									{	/* SawMill/node2rtl.scm 224 */
										bool_t BgL_res2708z00_5895;

										{	/* SawMill/node2rtl.scm 224 */
											obj_t BgL_oclassz00_5896;

											{	/* SawMill/node2rtl.scm 224 */
												long BgL_arg1833z00_5897;

												{	/* SawMill/node2rtl.scm 224 */
													long BgL_arg1834z00_5898;

													BgL_arg1834z00_5898 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5889);
													BgL_arg1833z00_5897 =
														(BgL_arg1834z00_5898 - OBJECT_TYPE);
												}
												BgL_oclassz00_5896 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5897);
											}
											{	/* SawMill/node2rtl.scm 224 */
												bool_t BgL__ortest_1110z00_5899;

												BgL__ortest_1110z00_5899 =
													(BgL_classz00_5888 == BgL_oclassz00_5896);
												if (BgL__ortest_1110z00_5899)
													{	/* SawMill/node2rtl.scm 224 */
														BgL_res2708z00_5895 = BgL__ortest_1110z00_5899;
													}
												else
													{	/* SawMill/node2rtl.scm 224 */
														long BgL_odepthz00_5900;

														BgL_odepthz00_5900 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5896);
														if ((((long) 3) < BgL_odepthz00_5900))
															{	/* SawMill/node2rtl.scm 224 */
																obj_t BgL_arg1821z00_5901;

																BgL_arg1821z00_5901 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5896,
																	((long) 3));
																BgL_res2708z00_5895 =
																	(BgL_arg1821z00_5901 == BgL_classz00_5888);
															}
														else
															{	/* SawMill/node2rtl.scm 224 */
																BgL_res2708z00_5895 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5891 = BgL_res2708z00_5895;
									}
									BgL_test2960z00_8262 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5890, BgL_arg1823z00_5891);
								}
							}
						}
					}
					if (BgL_test2960z00_8262)
						{	/* SawMill/node2rtl.scm 224 */
							if (NULLP(
									(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->
										BgL_bindingsz00)))
								{	/* SawMill/node2rtl.scm 225 */
									BgL_test2959z00_8261 = ((bool_t) 0);
								}
							else
								{	/* SawMill/node2rtl.scm 225 */
									if (NULLP(CDR(
												(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->
													BgL_bindingsz00))))
										{	/* SawMill/node2rtl.scm 227 */
											bool_t BgL_test2965z00_8293;

											{	/* SawMill/node2rtl.scm 227 */
												BgL_nodez00_bglt BgL_arg2236z00_5902;

												BgL_arg2236z00_5902 =
													(((BgL_conditionalz00_bglt) COBJECT(
															((BgL_conditionalz00_bglt)
																(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5450)))->BgL_bodyz00))))->
													BgL_testz00);
												{	/* SawMill/node2rtl.scm 227 */
													obj_t BgL_classz00_5903;

													BgL_classz00_5903 = BGl_varz00zzast_nodez00;
													{	/* SawMill/node2rtl.scm 227 */
														BgL_objectz00_bglt BgL_arg1825z00_5904;

														{	/* SawMill/node2rtl.scm 227 */
															obj_t BgL_tmpz00_8298;

															BgL_tmpz00_8298 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2236z00_5902));
															BgL_arg1825z00_5904 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8298);
														}
														{	/* SawMill/node2rtl.scm 227 */
															bool_t BgL_arg1822z00_5905;
															bool_t BgL_arg1823z00_5906;

															{	/* SawMill/node2rtl.scm 227 */
																long BgL_idxz00_5907;

																BgL_idxz00_5907 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_5904);
																BgL_arg1822z00_5905 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5907 + ((long) 2))) ==
																	BgL_classz00_5903);
															}
															{	/* SawMill/node2rtl.scm 227 */
																bool_t BgL_res2709z00_5910;

																{	/* SawMill/node2rtl.scm 227 */
																	obj_t BgL_oclassz00_5911;

																	{	/* SawMill/node2rtl.scm 227 */
																		long BgL_arg1833z00_5912;

																		{	/* SawMill/node2rtl.scm 227 */
																			long BgL_arg1834z00_5913;

																			BgL_arg1834z00_5913 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_5904);
																			BgL_arg1833z00_5912 =
																				(BgL_arg1834z00_5913 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5911 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_5912);
																	}
																	{	/* SawMill/node2rtl.scm 227 */
																		bool_t BgL__ortest_1110z00_5914;

																		BgL__ortest_1110z00_5914 =
																			(BgL_classz00_5903 == BgL_oclassz00_5911);
																		if (BgL__ortest_1110z00_5914)
																			{	/* SawMill/node2rtl.scm 227 */
																				BgL_res2709z00_5910 =
																					BgL__ortest_1110z00_5914;
																			}
																		else
																			{	/* SawMill/node2rtl.scm 227 */
																				long BgL_odepthz00_5915;

																				BgL_odepthz00_5915 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5911);
																				if ((((long) 2) < BgL_odepthz00_5915))
																					{	/* SawMill/node2rtl.scm 227 */
																						obj_t BgL_arg1821z00_5916;

																						BgL_arg1821z00_5916 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5911, ((long) 2));
																						BgL_res2709z00_5910 =
																							(BgL_arg1821z00_5916 ==
																							BgL_classz00_5903);
																					}
																				else
																					{	/* SawMill/node2rtl.scm 227 */
																						BgL_res2709z00_5910 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_5906 = BgL_res2709z00_5910;
															}
															BgL_test2965z00_8293 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_5905,
																BgL_arg1823z00_5906);
														}
													}
												}
											}
											if (BgL_test2965z00_8293)
												{	/* SawMill/node2rtl.scm 228 */
													bool_t BgL_test2968z00_8317;

													{	/* SawMill/node2rtl.scm 228 */
														long BgL_tmpz00_8318;

														{
															BgL_variablez00_bglt BgL_auxz00_8319;

															{
																BgL_localz00_bglt BgL_auxz00_8320;

																{
																	obj_t BgL_auxz00_8321;

																	{	/* SawMill/node2rtl.scm 228 */
																		obj_t BgL_pairz00_5917;

																		BgL_pairz00_5917 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_ez00_5450)))->BgL_bindingsz00);
																		{	/* SawMill/node2rtl.scm 228 */
																			obj_t BgL_pairz00_5918;

																			BgL_pairz00_5918 = CAR(BgL_pairz00_5917);
																			BgL_auxz00_8321 = CAR(BgL_pairz00_5918);
																	}}
																	BgL_auxz00_8320 =
																		((BgL_localz00_bglt) BgL_auxz00_8321);
																}
																BgL_auxz00_8319 =
																	((BgL_variablez00_bglt) BgL_auxz00_8320);
															}
															BgL_tmpz00_8318 =
																(((BgL_variablez00_bglt)
																	COBJECT(BgL_auxz00_8319))->BgL_occurrencez00);
														}
														BgL_test2968z00_8317 =
															(((long) 1) == BgL_tmpz00_8318);
													}
													if (BgL_test2968z00_8317)
														{	/* SawMill/node2rtl.scm 229 */
															obj_t BgL_tmpz00_8330;

															{	/* SawMill/node2rtl.scm 229 */
																obj_t BgL_pairz00_5919;

																BgL_pairz00_5919 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_ez00_5450)))->BgL_bindingsz00);
																BgL_tmpz00_8330 = CAR(CAR(BgL_pairz00_5919));
															}
															BgL_test2959z00_8261 =
																(BgL_tmpz00_8330 ==
																((obj_t)
																	(((BgL_varz00_bglt) COBJECT(
																				((BgL_varz00_bglt)
																					(((BgL_conditionalz00_bglt) COBJECT(
																								((BgL_conditionalz00_bglt)
																									(((BgL_letzd2varzd2_bglt)
																											COBJECT((
																													(BgL_letzd2varzd2_bglt)
																													BgL_ez00_5450)))->
																										BgL_bodyz00))))->
																						BgL_testz00))))->BgL_variablez00)));
														}
													else
														{	/* SawMill/node2rtl.scm 228 */
															BgL_test2959z00_8261 = ((bool_t) 0);
														}
												}
											else
												{	/* SawMill/node2rtl.scm 227 */
													BgL_test2959z00_8261 = ((bool_t) 0);
												}
										}
									else
										{	/* SawMill/node2rtl.scm 226 */
											BgL_test2959z00_8261 = ((bool_t) 0);
										}
								}
						}
					else
						{	/* SawMill/node2rtl.scm 224 */
							BgL_test2959z00_8261 = ((bool_t) 0);
						}
				}
				if (BgL_test2959z00_8261)
					{	/* SawMill/node2rtl.scm 224 */
						{	/* SawMill/node2rtl.scm 230 */
							BgL_nodez00_bglt BgL_arg2212z00_5920;
							obj_t BgL_arg2213z00_5921;

							BgL_arg2212z00_5920 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->BgL_bodyz00);
							{	/* SawMill/node2rtl.scm 230 */
								obj_t BgL_pairz00_5922;

								BgL_pairz00_5922 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->
									BgL_bindingsz00);
								BgL_arg2213z00_5921 = CDR(CAR(BgL_pairz00_5922));
							}
							((((BgL_conditionalz00_bglt) COBJECT(
											((BgL_conditionalz00_bglt) BgL_arg2212z00_5920)))->
									BgL_testz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_arg2213z00_5921)),
								BUNSPEC);
						}
						return
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->BgL_bodyz00));
					}
				else
					{	/* SawMill/node2rtl.scm 233 */
						BgL_areaz00_bglt BgL_arg2216z00_5923;
						BgL_areaz00_bglt BgL_arg2217z00_5924;

						{	/* SawMill/node2rtl.scm 233 */
							obj_t BgL_arg2218z00_5925;

							{	/* SawMill/node2rtl.scm 233 */
								obj_t BgL_l1620z00_5926;

								BgL_l1620z00_5926 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->
									BgL_bindingsz00);
								if (NULLP(BgL_l1620z00_5926))
									{	/* SawMill/node2rtl.scm 233 */
										BgL_arg2218z00_5925 = BNIL;
									}
								else
									{	/* SawMill/node2rtl.scm 233 */
										obj_t BgL_head1622z00_5927;

										BgL_head1622z00_5927 = MAKE_YOUNG_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1620z00_5929;
											obj_t BgL_tail1623z00_5930;

											BgL_l1620z00_5929 = BgL_l1620z00_5926;
											BgL_tail1623z00_5930 = BgL_head1622z00_5927;
										BgL_zc3z04anonymousza32220ze3z87_5928:
											if (NULLP(BgL_l1620z00_5929))
												{	/* SawMill/node2rtl.scm 233 */
													BgL_arg2218z00_5925 = CDR(BgL_head1622z00_5927);
												}
											else
												{	/* SawMill/node2rtl.scm 233 */
													obj_t BgL_newtail1624z00_5931;

													{	/* SawMill/node2rtl.scm 233 */
														BgL_areaz00_bglt BgL_arg2223z00_5932;

														{	/* SawMill/node2rtl.scm 233 */
															obj_t BgL_bz00_5933;

															BgL_bz00_5933 = CAR(((obj_t) BgL_l1620z00_5929));
															{	/* SawMill/node2rtl.scm 233 */
																obj_t BgL_arg2224z00_5934;
																BgL_rtl_regz00_bglt BgL_arg2225z00_5935;

																BgL_arg2224z00_5934 =
																	CDR(((obj_t) BgL_bz00_5933));
																{	/* SawMill/node2rtl.scm 233 */
																	obj_t BgL_arg2226z00_5936;

																	BgL_arg2226z00_5936 =
																		CAR(((obj_t) BgL_bz00_5933));
																	BgL_arg2225z00_5935 =
																		BGl_localzd2ze3regz31zzsaw_node2rtlz00(
																		((BgL_localz00_bglt) BgL_arg2226z00_5936));
																}
																{	/* SawMill/node2rtl.scm 233 */
																	BgL_areaz00_bglt BgL_res2710z00_5937;

																	{	/* SawMill/node2rtl.scm 184 */
																		BgL_areaz00_bglt BgL_az00_5938;

																		BgL_az00_5938 =
																			BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
																			((BgL_nodez00_bglt) BgL_arg2224z00_5934));
																		BGl_bdestinationz12z12zzsaw_node2rtlz00(
																			(((BgL_areaz00_bglt)
																					COBJECT(BgL_az00_5938))->BgL_exitz00),
																			BgL_arg2225z00_5935);
																		BgL_res2710z00_5937 = BgL_az00_5938;
																	}
																	BgL_arg2223z00_5932 = BgL_res2710z00_5937;
																}
															}
														}
														BgL_newtail1624z00_5931 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg2223z00_5932), BNIL);
													}
													SET_CDR(BgL_tail1623z00_5930,
														BgL_newtail1624z00_5931);
													{	/* SawMill/node2rtl.scm 233 */
														obj_t BgL_arg2222z00_5939;

														BgL_arg2222z00_5939 =
															CDR(((obj_t) BgL_l1620z00_5929));
														{
															obj_t BgL_tail1623z00_8381;
															obj_t BgL_l1620z00_8380;

															BgL_l1620z00_8380 = BgL_arg2222z00_5939;
															BgL_tail1623z00_8381 = BgL_newtail1624z00_5931;
															BgL_tail1623z00_5930 = BgL_tail1623z00_8381;
															BgL_l1620z00_5929 = BgL_l1620z00_8380;
															goto BgL_zc3z04anonymousza32220ze3z87_5928;
														}
													}
												}
										}
									}
							}
							BgL_arg2216z00_5923 =
								BGl_linkza2za2zzsaw_node2rtlz00(BgL_arg2218z00_5925);
						}
						BgL_arg2217z00_5924 =
							BGl_nodezd2ze3rtlz31zzsaw_node2rtlz00(
							(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_ez00_5450)))->BgL_bodyz00));
						return
							BGl_linkz00zzsaw_node2rtlz00(BgL_arg2216z00_5923,
							BgL_arg2217z00_5924);
					}
			}
		}

	}



/* &node->rtl-var1675 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2var1675z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5451, obj_t BgL_ez00_5452)
	{
		{	/* SawMill/node2rtl.scm 211 */
			{	/* SawMill/node2rtl.scm 213 */
				bool_t BgL_test2971z00_8387;

				{	/* SawMill/node2rtl.scm 213 */
					BgL_variablez00_bglt BgL_arg2182z00_5941;

					BgL_arg2182z00_5941 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_ez00_5452)))->BgL_variablez00);
					{	/* SawMill/node2rtl.scm 213 */
						obj_t BgL_classz00_5942;

						BgL_classz00_5942 = BGl_localz00zzast_varz00;
						{	/* SawMill/node2rtl.scm 213 */
							BgL_objectz00_bglt BgL_arg1825z00_5943;

							{	/* SawMill/node2rtl.scm 213 */
								obj_t BgL_tmpz00_8390;

								BgL_tmpz00_8390 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg2182z00_5941));
								BgL_arg1825z00_5943 = (BgL_objectz00_bglt) (BgL_tmpz00_8390);
							}
							{	/* SawMill/node2rtl.scm 213 */
								bool_t BgL_arg1822z00_5944;
								bool_t BgL_arg1823z00_5945;

								{	/* SawMill/node2rtl.scm 213 */
									long BgL_idxz00_5946;

									BgL_idxz00_5946 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5943);
									BgL_arg1822z00_5944 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5946 + ((long) 2))) == BgL_classz00_5942);
								}
								{	/* SawMill/node2rtl.scm 213 */
									bool_t BgL_res2706z00_5949;

									{	/* SawMill/node2rtl.scm 213 */
										obj_t BgL_oclassz00_5950;

										{	/* SawMill/node2rtl.scm 213 */
											long BgL_arg1833z00_5951;

											{	/* SawMill/node2rtl.scm 213 */
												long BgL_arg1834z00_5952;

												BgL_arg1834z00_5952 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5943);
												BgL_arg1833z00_5951 =
													(BgL_arg1834z00_5952 - OBJECT_TYPE);
											}
											BgL_oclassz00_5950 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5951);
										}
										{	/* SawMill/node2rtl.scm 213 */
											bool_t BgL__ortest_1110z00_5953;

											BgL__ortest_1110z00_5953 =
												(BgL_classz00_5942 == BgL_oclassz00_5950);
											if (BgL__ortest_1110z00_5953)
												{	/* SawMill/node2rtl.scm 213 */
													BgL_res2706z00_5949 = BgL__ortest_1110z00_5953;
												}
											else
												{	/* SawMill/node2rtl.scm 213 */
													long BgL_odepthz00_5954;

													BgL_odepthz00_5954 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5950);
													if ((((long) 2) < BgL_odepthz00_5954))
														{	/* SawMill/node2rtl.scm 213 */
															obj_t BgL_arg1821z00_5955;

															BgL_arg1821z00_5955 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5950,
																((long) 2));
															BgL_res2706z00_5949 =
																(BgL_arg1821z00_5955 == BgL_classz00_5942);
														}
													else
														{	/* SawMill/node2rtl.scm 213 */
															BgL_res2706z00_5949 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5945 = BgL_res2706z00_5949;
								}
								BgL_test2971z00_8387 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5944, BgL_arg1823z00_5945);
							}
						}
					}
				}
				if (BgL_test2971z00_8387)
					{	/* SawMill/node2rtl.scm 214 */
						BgL_rtl_movz00_bglt BgL_arg2164z00_5956;
						BgL_rtl_regz00_bglt BgL_arg2165z00_5957;

						{	/* SawMill/node2rtl.scm 214 */
							BgL_rtl_movz00_bglt BgL_new1245z00_5958;

							{	/* SawMill/node2rtl.scm 214 */
								BgL_rtl_movz00_bglt BgL_new1243z00_5959;

								BgL_new1243z00_5959 =
									((BgL_rtl_movz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_rtl_movz00_bgl))));
								{	/* SawMill/node2rtl.scm 214 */
									long BgL_arg2167z00_5960;

									BgL_arg2167z00_5960 =
										BGL_CLASS_NUM(BGl_rtl_movz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1243z00_5959),
										BgL_arg2167z00_5960);
								}
								BgL_new1245z00_5958 = BgL_new1243z00_5959;
							}
							((((BgL_rtl_funz00_bglt) COBJECT(
											((BgL_rtl_funz00_bglt) BgL_new1245z00_5958)))->
									BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
							BgL_arg2164z00_5956 = BgL_new1245z00_5958;
						}
						{	/* SawMill/node2rtl.scm 214 */
							BgL_variablez00_bglt BgL_arg2168z00_5961;

							BgL_arg2168z00_5961 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_ez00_5452)))->BgL_variablez00);
							BgL_arg2165z00_5957 =
								BGl_localzd2ze3regz31zzsaw_node2rtlz00(
								((BgL_localz00_bglt) BgL_arg2168z00_5961));
						}
						{	/* SawMill/node2rtl.scm 214 */
							obj_t BgL_list2166z00_5962;

							BgL_list2166z00_5962 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_arg2165z00_5957), BNIL);
							return
								BGl_singleza2za2zzsaw_node2rtlz00(
								((obj_t)
									((BgL_varz00_bglt) BgL_ez00_5452)),
								((BgL_rtl_funz00_bglt) BgL_arg2164z00_5956),
								BgL_list2166z00_5962);
						}
					}
				else
					{	/* SawMill/node2rtl.scm 215 */
						bool_t BgL_test2974z00_8425;

						{	/* SawMill/node2rtl.scm 215 */
							BgL_valuez00_bglt BgL_arg2180z00_5963;

							BgL_arg2180z00_5963 =
								(((BgL_variablez00_bglt) COBJECT(
										(((BgL_varz00_bglt) COBJECT(
													((BgL_varz00_bglt) BgL_ez00_5452)))->
											BgL_variablez00)))->BgL_valuez00);
							{	/* SawMill/node2rtl.scm 215 */
								obj_t BgL_classz00_5964;

								BgL_classz00_5964 = BGl_sfunz00zzast_varz00;
								{	/* SawMill/node2rtl.scm 215 */
									BgL_objectz00_bglt BgL_arg1825z00_5965;

									{	/* SawMill/node2rtl.scm 215 */
										obj_t BgL_tmpz00_8429;

										BgL_tmpz00_8429 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2180z00_5963));
										BgL_arg1825z00_5965 =
											(BgL_objectz00_bglt) (BgL_tmpz00_8429);
									}
									{	/* SawMill/node2rtl.scm 215 */
										bool_t BgL_arg1822z00_5966;
										bool_t BgL_arg1823z00_5967;

										{	/* SawMill/node2rtl.scm 215 */
											long BgL_idxz00_5968;

											BgL_idxz00_5968 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5965);
											BgL_arg1822z00_5966 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_5968 + ((long) 3))) == BgL_classz00_5964);
										}
										{	/* SawMill/node2rtl.scm 215 */
											bool_t BgL_res2707z00_5971;

											{	/* SawMill/node2rtl.scm 215 */
												obj_t BgL_oclassz00_5972;

												{	/* SawMill/node2rtl.scm 215 */
													long BgL_arg1833z00_5973;

													{	/* SawMill/node2rtl.scm 215 */
														long BgL_arg1834z00_5974;

														BgL_arg1834z00_5974 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5965);
														BgL_arg1833z00_5973 =
															(BgL_arg1834z00_5974 - OBJECT_TYPE);
													}
													BgL_oclassz00_5972 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_5973);
												}
												{	/* SawMill/node2rtl.scm 215 */
													bool_t BgL__ortest_1110z00_5975;

													BgL__ortest_1110z00_5975 =
														(BgL_classz00_5964 == BgL_oclassz00_5972);
													if (BgL__ortest_1110z00_5975)
														{	/* SawMill/node2rtl.scm 215 */
															BgL_res2707z00_5971 = BgL__ortest_1110z00_5975;
														}
													else
														{	/* SawMill/node2rtl.scm 215 */
															long BgL_odepthz00_5976;

															BgL_odepthz00_5976 =
																BGL_CLASS_DEPTH(BgL_oclassz00_5972);
															if ((((long) 3) < BgL_odepthz00_5976))
																{	/* SawMill/node2rtl.scm 215 */
																	obj_t BgL_arg1821z00_5977;

																	BgL_arg1821z00_5977 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5972,
																		((long) 3));
																	BgL_res2707z00_5971 =
																		(BgL_arg1821z00_5977 == BgL_classz00_5964);
																}
															else
																{	/* SawMill/node2rtl.scm 215 */
																	BgL_res2707z00_5971 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_5967 = BgL_res2707z00_5971;
										}
										BgL_test2974z00_8425 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_5966,
											BgL_arg1823z00_5967);
									}
								}
							}
						}
						if (BgL_test2974z00_8425)
							{	/* SawMill/node2rtl.scm 216 */
								BgL_rtl_loadfunz00_bglt BgL_arg2172z00_5978;

								{	/* SawMill/node2rtl.scm 216 */
									BgL_rtl_loadfunz00_bglt BgL_new1247z00_5979;

									{	/* SawMill/node2rtl.scm 216 */
										BgL_rtl_loadfunz00_bglt BgL_new1246z00_5980;

										BgL_new1246z00_5980 =
											((BgL_rtl_loadfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadfunz00_bgl))));
										{	/* SawMill/node2rtl.scm 216 */
											long BgL_arg2175z00_5981;

											BgL_arg2175z00_5981 =
												BGL_CLASS_NUM(BGl_rtl_loadfunz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1246z00_5980),
												BgL_arg2175z00_5981);
										}
										BgL_new1247z00_5979 = BgL_new1246z00_5980;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1247z00_5979)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_8454;

										{	/* SawMill/node2rtl.scm 216 */
											BgL_variablez00_bglt BgL_arg2174z00_5982;

											BgL_arg2174z00_5982 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5452)))->
												BgL_variablez00);
											BgL_auxz00_8454 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2174z00_5982));
										}
										((((BgL_rtl_loadfunz00_bglt) COBJECT(BgL_new1247z00_5979))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_8454), BUNSPEC);
									}
									BgL_arg2172z00_5978 = BgL_new1247z00_5979;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5452)),
									((BgL_rtl_funz00_bglt) BgL_arg2172z00_5978), BNIL);
							}
						else
							{	/* SawMill/node2rtl.scm 218 */
								BgL_rtl_loadgz00_bglt BgL_arg2176z00_5983;

								{	/* SawMill/node2rtl.scm 218 */
									BgL_rtl_loadgz00_bglt BgL_new1249z00_5984;

									{	/* SawMill/node2rtl.scm 218 */
										BgL_rtl_loadgz00_bglt BgL_new1248z00_5985;

										BgL_new1248z00_5985 =
											((BgL_rtl_loadgz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_rtl_loadgz00_bgl))));
										{	/* SawMill/node2rtl.scm 218 */
											long BgL_arg2179z00_5986;

											BgL_arg2179z00_5986 =
												BGL_CLASS_NUM(BGl_rtl_loadgz00zzsaw_defsz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1248z00_5985),
												BgL_arg2179z00_5986);
										}
										BgL_new1249z00_5984 = BgL_new1248z00_5985;
									}
									((((BgL_rtl_funz00_bglt) COBJECT(
													((BgL_rtl_funz00_bglt) BgL_new1249z00_5984)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									{
										BgL_globalz00_bglt BgL_auxz00_8470;

										{	/* SawMill/node2rtl.scm 218 */
											BgL_variablez00_bglt BgL_arg2178z00_5987;

											BgL_arg2178z00_5987 =
												(((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_ez00_5452)))->
												BgL_variablez00);
											BgL_auxz00_8470 =
												BGl_getzd2globalzd2zzsaw_node2rtlz00((
													(BgL_globalz00_bglt) BgL_arg2178z00_5987));
										}
										((((BgL_rtl_loadgz00_bglt) COBJECT(BgL_new1249z00_5984))->
												BgL_varz00) =
											((BgL_globalz00_bglt) BgL_auxz00_8470), BUNSPEC);
									}
									BgL_arg2176z00_5983 = BgL_new1249z00_5984;
								}
								return
									BGl_singleza2za2zzsaw_node2rtlz00(
									((obj_t)
										((BgL_varz00_bglt) BgL_ez00_5452)),
									((BgL_rtl_funz00_bglt) BgL_arg2176z00_5983), BNIL);
							}
					}
			}
		}

	}



/* &node->rtl-atom1673 */
	BgL_areaz00_bglt BGl_z62nodezd2ze3rtlzd2atom1673z81zzsaw_node2rtlz00(obj_t
		BgL_envz00_5453, obj_t BgL_ez00_5454)
	{
		{	/* SawMill/node2rtl.scm 207 */
			{	/* SawMill/node2rtl.scm 208 */
				BgL_rtl_loadiz00_bglt BgL_arg2159z00_5989;

				{	/* SawMill/node2rtl.scm 208 */
					BgL_rtl_loadiz00_bglt BgL_new1241z00_5990;

					{	/* SawMill/node2rtl.scm 208 */
						BgL_rtl_loadiz00_bglt BgL_new1240z00_5991;

						BgL_new1240z00_5991 =
							((BgL_rtl_loadiz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_rtl_loadiz00_bgl))));
						{	/* SawMill/node2rtl.scm 208 */
							long BgL_arg2161z00_5992;

							BgL_arg2161z00_5992 =
								BGL_CLASS_NUM(BGl_rtl_loadiz00zzsaw_defsz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1240z00_5991),
								BgL_arg2161z00_5992);
						}
						BgL_new1241z00_5990 = BgL_new1240z00_5991;
					}
					((((BgL_rtl_funz00_bglt) COBJECT(
									((BgL_rtl_funz00_bglt) BgL_new1241z00_5990)))->BgL_locz00) =
						((obj_t) BFALSE), BUNSPEC);
					((((BgL_rtl_loadiz00_bglt) COBJECT(BgL_new1241z00_5990))->
							BgL_constantz00) =
						((BgL_atomz00_bglt) ((BgL_atomz00_bglt) BgL_ez00_5454)), BUNSPEC);
					BgL_arg2159z00_5989 = BgL_new1241z00_5990;
				}
				return
					BGl_singleza2za2zzsaw_node2rtlz00(
					((obj_t)
						((BgL_atomz00_bglt) BgL_ez00_5454)),
					((BgL_rtl_funz00_bglt) BgL_arg2159z00_5989), BNIL);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_node2rtlz00()
	{
		{	/* SawMill/node2rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsync_nodez00(((long) 421078394),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2786z00zzsaw_node2rtlz00));
		}

	}

#ifdef __cplusplus
}
#endif
