/*===========================================================================*/
/*   (SawMill/regalloc.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/regalloc.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockzf2razf2_bgl
	{
		obj_t BgL_lastz00;
	}                    *BgL_blockzf2razf2_bglt;

	typedef struct BgL_rtl_inszf2razf2_bgl
	{
		obj_t BgL_defz00;
		obj_t BgL_outz00;
		obj_t BgL_inz00;
		obj_t BgL_spillz00;
	}                      *BgL_rtl_inszf2razf2_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2577z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dumpzd2rtl_inszf2ra1765z42zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2584z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	extern obj_t BGl_rtl_funz00zzsaw_defsz00;
	static obj_t BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
		BUNSPEC;
	extern bool_t BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	static obj_t
		BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00;
	extern obj_t BGl_collectzd2registersz12zc0zzsaw_regutilsz00(obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t
		BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2();
	extern obj_t BGl_rtl_protectz00zzsaw_defsz00;
	static obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	static obj_t
		BGl_z62zc3z04anonymousza32579ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2();
	static obj_t
		BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static obj_t
		BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_regsetzd2filterzd2zzsaw_regsetz00(obj_t, BgL_regsetz00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	extern bool_t BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regz00_bglt);
	static bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_rtl_insz00_bglt, obj_t, obj_t);
	static bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t make_vector(long, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32303ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	static obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2();
	extern bool_t BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32045ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_rtl_inszd2argsza2z70zzsaw_defsz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32128ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern bool_t BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regz00_bglt,
		BgL_regsetz00_bglt);
	static obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32138ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern BgL_regsetz00_bglt BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t,
		obj_t);
	static obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t);
	static obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
	static obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, BgL_globalz00_bglt, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00;
	BGL_IMPORT obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t,
		long, long);
	static obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t);
	extern obj_t BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2();
	static obj_t
		BGl_z62rtlzd2siza7ezd2rtl_ins1763zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t
		BGl_z62typezd2interferencez121756za2zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
	static obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2();
	static obj_t
		BGl_z62zc3z04anonymousza32282ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt);
	extern obj_t
		BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00;
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	extern obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	extern obj_t BGl_backendz00zzbackend_backendz00;
	static obj_t
		BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 = BUNSPEC;
	static obj_t
		BGl_z62protectzd2interference1753zb0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	static bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	static bool_t
		BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_blockz00_bglt
		BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t, obj_t);
	extern obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t
		BGl_z62rtlzd2siza7ezd2block1761zc5zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62lambda2524z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	extern obj_t
		BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00;
	extern bool_t BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62rtlzd2siza7e1758z17zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2538z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern BgL_regsetz00_bglt BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t);
	static BgL_rtl_insz00_bglt
		BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static obj_t
		BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2(obj_t, obj_t);
	static obj_t BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t);
	static obj_t
		BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t,
		obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_GENERIC
		(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2914z00,
		BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	extern obj_t BGl_dumpzd2envzd2zzsaw_defsz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2allocationzd2envz00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762registerza7d2al2915z00,
		BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		4);
	      DEFINE_STRING(BGl_string2831z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2831za700za7za7s2916za7, " instrs]: too large\n", 20);
	      DEFINE_STRING(BGl_string2832z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2832za700za7za7s2917za7, " [size=", 7);
	      DEFINE_STRING(BGl_string2833z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2833za700za7za7s2918za7, "        NOT reg. alloc. ", 24);
	      DEFINE_STRING(BGl_string2834z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2834za700za7za7s2919za7, " instrs]:\n", 10);
	      DEFINE_STRING(BGl_string2835z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2835za700za7za7s2920za7, "        reg. alloc. ", 20);
	      DEFINE_STRING(BGl_string2836z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2836za700za7za7s2921za7, "\n", 1);
	      DEFINE_STRING(BGl_string2837z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2837za700za7za7s2922za7, "          number of registers... ",
		33);
	      DEFINE_STRING(BGl_string2838z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2838za700za7za7s2923za7, "          number of parameters... ",
		34);
	      DEFINE_STRING(BGl_string2839z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2839za700za7za7s2924za7,
		"          number of temporaries... ", 35);
	      DEFINE_STRING(BGl_string2840z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2840za700za7za7s2925za7, "          liveness..", 20);
	      DEFINE_STRING(BGl_string2841z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2841za700za7za7s2926za7, ".", 1);
	      DEFINE_STRING(BGl_string2842z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2842za700za7za7s2927za7, " done\n", 6);
	      DEFINE_STRING(BGl_string2843z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2843za700za7za7s2928za7, "          graph interference... ",
		32);
	      DEFINE_STRING(BGl_string2844z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2844za700za7za7s2929za7, "done\n", 5);
	      DEFINE_STRING(BGl_string2845z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2845za700za7za7s2930za7,
		"          removed useless dest. registers... ", 45);
	      DEFINE_STRING(BGl_string2847z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2847za700za7za7s2931za7, " registers\n", 11);
	      DEFINE_STRING(BGl_string2848z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2848za700za7za7s2932za7, ")", 1);
	      DEFINE_STRING(BGl_string2849z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2849za700za7za7s2933za7, " (of ", 5);
	      DEFINE_STRING(BGl_string2850z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2850za700za7za7s2934za7, "          stack coloring... ", 28);
	      DEFINE_STRING(BGl_string2851z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2851za700za7za7s2935za7, " spills", 7);
	      DEFINE_STRING(BGl_string2852z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2852za700za7za7s2936za7, " regs, ", 7);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2846z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2937za7,
		BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2853z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2853za700za7za7s2938za7, " temps -> ", 10);
	      DEFINE_STRING(BGl_string2854z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2854za700za7za7s2939za7, " h-regs, ", 9);
	      DEFINE_STRING(BGl_string2855z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2855za700za7za7s2940za7, "          register coloring... ",
		31);
	      DEFINE_STRING(BGl_string2856z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2856za700za7za7s2941za7, " removed\n", 9);
	      DEFINE_STRING(BGl_string2857z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2857za700za7za7s2942za7, "          move... ", 18);
	extern obj_t BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2858z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2524za7622943z00,
		BGl_z62lambda2524z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2859z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2523za7622944z00,
		BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2860z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2511za7622945z00,
		BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2861z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2946za7,
		BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2862z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2508za7622947z00,
		BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2863z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2504za7622948z00,
		BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2864z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2949za7,
		BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2865z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2561za7622950z00,
		BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2866z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2560za7622951z00,
		BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2867z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2952za7,
		BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2868z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2569za7622953z00,
		BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2869z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2568za7622954z00,
		BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2870z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2955za7,
		BGl_z62zc3z04anonymousza32579ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2871z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2578za7622956z00,
		BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2872z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2577za7622957z00,
		BGl_z62lambda2577z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2873z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2958za7,
		BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2874z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2585za7622959z00,
		BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2881z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2881za700za7za7s2960za7, "protect-interference1753", 24);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2875z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2584za7622961z00,
		BGl_z62lambda2584z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2876z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2543za7622962z00,
		BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2883z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2883za700za7za7s2963za7, "type-interference!1756", 22);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2877z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762za7c3za704anonymo2964za7,
		BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2878z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2538za7622965z00,
		BGl_z62lambda2538z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2885z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2885za700za7za7s2966za7, "rtl-size1758", 12);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2879z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762lambda2533za7622967z00,
		BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 9);
	      DEFINE_STRING(BGl_string2887z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2887za700za7za7s2968za7, "rtl-size", 8);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2880z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762protectza7d2int2969z00,
		BGl_z62protectzd2interference1753zb0zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2882z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf2970z00,
		BGl_z62typezd2interferencez121756za2zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2890z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2890za700za7za7s2971za7, "dump", 4);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2884z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7e12972za7,
		BGl_z62rtlzd2siza7e1758z17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2891za700za7za7s2973za7, "saw_register-allocation", 23);
	      DEFINE_STRING(BGl_string2892z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_string2892za700za7za7s2974za7,
		"rtl_ins/ra spill in out obj def saw_register-allocation block/ra pair-nil last ",
		79);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2886z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72975z00,
		BGl_z62rtlzd2siza7ezd2block1761zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2888z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72976z00,
		BGl_z62rtlzd2siza7ezd2rtl_ins1763zc5zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2889z00zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762dumpza7d2rtl_in2977z00,
		BGl_z62dumpzd2rtl_inszf2ra1765z42zzsaw_registerzd2allocationzd2, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762typeza7d2interf2978z00,
		BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
		BgL_bgl_za762rtlza7d2siza7a7eza72979z00,
		BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2));
		     ADD_ROOT((void *) (&BGl_blockzf2razf2zzsaw_registerzd2allocationzd2));
		   
			 ADD_ROOT((void *) (&BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long
		BgL_checksumz00_5816, char *BgL_fromz00_5817)
	{
		{
			if (CBOOL
				(BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_registerzd2allocationzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2();
					BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2();
					BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2();
					return BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_register-allocation");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_register-allocation");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 15 */
				obj_t BgL_cportz00_5640;

				{	/* SawMill/regalloc.scm 15 */
					obj_t BgL_stringz00_5648;

					BgL_stringz00_5648 = BGl_string2892z00zzsaw_registerzd2allocationzd2;
					{	/* SawMill/regalloc.scm 15 */
						obj_t BgL_startz00_5649;

						BgL_startz00_5649 = BINT(((long) 0));
						{	/* SawMill/regalloc.scm 15 */
							obj_t BgL_endz00_5650;

							BgL_endz00_5650 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5648)));
							{	/* SawMill/regalloc.scm 15 */

								BgL_cportz00_5640 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5648, BgL_startz00_5649, BgL_endz00_5650);
				}}}}
				{
					long BgL_iz00_5641;

					BgL_iz00_5641 = ((long) 9);
				BgL_loopz00_5642:
					if ((BgL_iz00_5641 == ((long) -1)))
						{	/* SawMill/regalloc.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/regalloc.scm 15 */
							{	/* SawMill/regalloc.scm 15 */
								obj_t BgL_arg2913z00_5644;

								{	/* SawMill/regalloc.scm 15 */

									{	/* SawMill/regalloc.scm 15 */
										obj_t BgL_locationz00_5646;

										BgL_locationz00_5646 = BBOOL(((bool_t) 0));
										{	/* SawMill/regalloc.scm 15 */

											BgL_arg2913z00_5644 =
												BGl_readz00zz__readerz00(BgL_cportz00_5640,
												BgL_locationz00_5646);
										}
									}
								}
								{	/* SawMill/regalloc.scm 15 */
									int BgL_tmpz00_5853;

									BgL_tmpz00_5853 = (int) (BgL_iz00_5641);
									CNST_TABLE_SET(BgL_tmpz00_5853, BgL_arg2913z00_5644);
							}}
							{	/* SawMill/regalloc.scm 15 */
								int BgL_auxz00_5647;

								BgL_auxz00_5647 = (int) ((BgL_iz00_5641 - ((long) 1)));
								{
									long BgL_iz00_5858;

									BgL_iz00_5858 = (long) (BgL_auxz00_5647);
									BgL_iz00_5641 = BgL_iz00_5858;
									goto BgL_loopz00_5642;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2016;

				BgL_headz00_2016 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2017;
					obj_t BgL_tailz00_2018;

					BgL_prevz00_2017 = BgL_headz00_2016;
					BgL_tailz00_2018 = BgL_l1z00_1;
				BgL_loopz00_2019:
					if (PAIRP(BgL_tailz00_2018))
						{
							obj_t BgL_newzd2prevzd2_2021;

							BgL_newzd2prevzd2_2021 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2018), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2017, BgL_newzd2prevzd2_2021);
							{
								obj_t BgL_tailz00_5868;
								obj_t BgL_prevz00_5867;

								BgL_prevz00_5867 = BgL_newzd2prevzd2_2021;
								BgL_tailz00_5868 = CDR(BgL_tailz00_2018);
								BgL_tailz00_2018 = BgL_tailz00_5868;
								BgL_prevz00_2017 = BgL_prevz00_5867;
								goto BgL_loopz00_2019;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2016);
				}
			}
		}

	}



/* register-allocation */
	BGL_EXPORTED_DEF obj_t
		BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_61, BgL_globalz00_bglt BgL_globalz00_62,
		obj_t BgL_paramsz00_63, obj_t BgL_blocksz00_64)
	{
		{	/* SawMill/regalloc.scm 50 */
			{	/* SawMill/regalloc.scm 51 */
				obj_t BgL_idz00_2036;

				BgL_idz00_2036 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_globalz00_62)))->BgL_idz00);
				{	/* SawMill/regalloc.scm 51 */
					obj_t BgL_pz00_2037;

					{	/* SawMill/regalloc.scm 52 */
						obj_t BgL__andtest_1187z00_2045;

						BgL__andtest_1187z00_2045 =
							BGl_za2sawzd2registerzd2allocationzf3za2zf3zzengine_paramz00;
						if (CBOOL(BgL__andtest_1187z00_2045))
							{	/* SawMill/regalloc.scm 53 */
								obj_t BgL__andtest_1188z00_2046;

								BgL__andtest_1188z00_2046 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_2036,
									BGl_za2sawzd2nozd2registerzd2allocationzd2functionsza2z00zzengine_paramz00);
								if (CBOOL(BgL__andtest_1188z00_2046))
									{	/* SawMill/regalloc.scm 53 */
										BgL_pz00_2037 = BFALSE;
									}
								else
									{	/* SawMill/regalloc.scm 53 */
										if (PAIRP
											(BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00))
											{	/* SawMill/regalloc.scm 54 */
												BgL_pz00_2037 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_idz00_2036,
													BGl_za2sawzd2registerzd2allocationzd2functionsza2zd2zzengine_paramz00);
											}
										else
											{	/* SawMill/regalloc.scm 56 */
												bool_t BgL__ortest_1189z00_2048;

												BgL__ortest_1189z00_2048 =
													(
													(long)
													CINT
													(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00)
													< ((long) 0));
												if (BgL__ortest_1189z00_2048)
													{	/* SawMill/regalloc.scm 56 */
														BgL_pz00_2037 = BBOOL(BgL__ortest_1189z00_2048);
													}
												else
													{	/* SawMill/regalloc.scm 57 */
														obj_t BgL_arg1810z00_2049;

														BgL_arg1810z00_2049 =
															BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
															(BgL_blocksz00_64);
														{	/* SawMill/regalloc.scm 57 */
															long BgL_n1z00_3854;
															long BgL_n2z00_3855;

															BgL_n1z00_3854 = (long) CINT(BgL_arg1810z00_2049);
															BgL_n2z00_3855 =
																(long)
																CINT
																(BGl_za2sawzd2registerzd2allocationzd2maxzd2siza7eza2za7zzengine_paramz00);
															BgL_pz00_2037 =
																BBOOL((BgL_n1z00_3854 < BgL_n2z00_3855));
							}}}}}
						else
							{	/* SawMill/regalloc.scm 52 */
								BgL_pz00_2037 = BFALSE;
							}
					}
					{	/* SawMill/regalloc.scm 52 */

						if (CBOOL(BgL_pz00_2037))
							{	/* SawMill/regalloc.scm 59 */
								BBOOL
									(BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
									(BgL_backz00_61, BgL_globalz00_62, BgL_paramsz00_63,
										BgL_blocksz00_64));
							}
						else
							{	/* SawMill/regalloc.scm 62 */
								obj_t BgL_arg1789z00_2038;
								obj_t BgL_arg1799z00_2039;

								BgL_arg1789z00_2038 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_62));
								BgL_arg1799z00_2039 =
									BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
									(BgL_blocksz00_64);
								{	/* SawMill/regalloc.scm 61 */
									obj_t BgL_list1800z00_2040;

									{	/* SawMill/regalloc.scm 61 */
										obj_t BgL_arg1801z00_2041;

										{	/* SawMill/regalloc.scm 61 */
											obj_t BgL_arg1805z00_2042;

											{	/* SawMill/regalloc.scm 61 */
												obj_t BgL_arg1807z00_2043;

												{	/* SawMill/regalloc.scm 61 */
													obj_t BgL_arg1808z00_2044;

													BgL_arg1808z00_2044 =
														MAKE_YOUNG_PAIR
														(BGl_string2831z00zzsaw_registerzd2allocationzd2,
														BNIL);
													BgL_arg1807z00_2043 =
														MAKE_YOUNG_PAIR(BgL_arg1799z00_2039,
														BgL_arg1808z00_2044);
												}
												BgL_arg1805z00_2042 =
													MAKE_YOUNG_PAIR
													(BGl_string2832z00zzsaw_registerzd2allocationzd2,
													BgL_arg1807z00_2043);
											}
											BgL_arg1801z00_2041 =
												MAKE_YOUNG_PAIR(BgL_arg1789z00_2038,
												BgL_arg1805z00_2042);
										}
										BgL_list1800z00_2040 =
											MAKE_YOUNG_PAIR
											(BGl_string2833z00zzsaw_registerzd2allocationzd2,
											BgL_arg1801z00_2041);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1800z00_2040);
							}}
						return BgL_blocksz00_64;
					}
				}
			}
		}

	}



/* &register-allocation */
	obj_t BGl_z62registerzd2allocationzb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5459, obj_t BgL_backz00_5460, obj_t BgL_globalz00_5461,
		obj_t BgL_paramsz00_5462, obj_t BgL_blocksz00_5463)
	{
		{	/* SawMill/regalloc.scm 50 */
			return
				BGl_registerzd2allocationzd2zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_5460),
				((BgL_globalz00_bglt) BgL_globalz00_5461), BgL_paramsz00_5462,
				BgL_blocksz00_5463);
		}

	}



/* %register-allocation */
	bool_t
		BGl_z52registerzd2allocationz80zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_65, BgL_globalz00_bglt BgL_globalz00_66,
		obj_t BgL_paramsz00_67, obj_t BgL_blocksz00_68)
	{
		{	/* SawMill/regalloc.scm 69 */
			{	/* SawMill/regalloc.scm 71 */
				obj_t BgL_arg1811z00_2050;
				obj_t BgL_arg1817z00_2051;

				BgL_arg1811z00_2050 =
					BGl_shapez00zztools_shapez00(((obj_t) BgL_globalz00_66));
				BgL_arg1817z00_2051 =
					BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 70 */
					obj_t BgL_list1818z00_2052;

					{	/* SawMill/regalloc.scm 70 */
						obj_t BgL_arg1824z00_2053;

						{	/* SawMill/regalloc.scm 70 */
							obj_t BgL_arg1837z00_2054;

							{	/* SawMill/regalloc.scm 70 */
								obj_t BgL_arg1838z00_2055;

								{	/* SawMill/regalloc.scm 70 */
									obj_t BgL_arg1839z00_2056;

									BgL_arg1839z00_2056 =
										MAKE_YOUNG_PAIR
										(BGl_string2834z00zzsaw_registerzd2allocationzd2, BNIL);
									BgL_arg1838z00_2055 =
										MAKE_YOUNG_PAIR(BgL_arg1817z00_2051, BgL_arg1839z00_2056);
								}
								BgL_arg1837z00_2054 =
									MAKE_YOUNG_PAIR
									(BGl_string2832z00zzsaw_registerzd2allocationzd2,
									BgL_arg1838z00_2055);
							}
							BgL_arg1824z00_2053 =
								MAKE_YOUNG_PAIR(BgL_arg1811z00_2050, BgL_arg1837z00_2054);
						}
						BgL_list1818z00_2052 =
							MAKE_YOUNG_PAIR(BGl_string2835z00zzsaw_registerzd2allocationzd2,
							BgL_arg1824z00_2053);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
						BgL_list1818z00_2052);
			}}
			BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2
				(BgL_blocksz00_68);
			{	/* SawMill/regalloc.scm 75 */
				obj_t BgL_cregsz00_2057;

				BgL_cregsz00_2057 =
					BGl_collectzd2registersz12zc0zzsaw_regutilsz00(BgL_blocksz00_68);
				{	/* SawMill/regalloc.scm 75 */
					obj_t BgL_hregsz00_2058;

					{	/* SawMill/regalloc.scm 76 */
						obj_t BgL_arg1895z00_2119;

						BgL_arg1895z00_2119 =
							(((BgL_backendz00_bglt) COBJECT(BgL_backz00_65))->
							BgL_registersz00);
						{	/* SawMill/regalloc.scm 76 */
							obj_t BgL_list1896z00_2120;

							BgL_list1896z00_2120 = MAKE_YOUNG_PAIR(BgL_arg1895z00_2119, BNIL);
							BgL_hregsz00_2058 =
								BGl_appendzd2mapz12zc0zz__r4_control_features_6_9z00
								(BGl_collectzd2registerz12zd2envz12zzsaw_regutilsz00,
								BgL_list1896z00_2120);
					}}
					{	/* SawMill/regalloc.scm 76 */
						obj_t BgL_pregsz00_2059;

						{	/* SawMill/regalloc.scm 77 */
							obj_t BgL_hook1546z00_2105;

							BgL_hook1546z00_2105 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							{
								obj_t BgL_l1543z00_2107;
								obj_t BgL_h1544z00_2108;

								BgL_l1543z00_2107 = BgL_paramsz00_67;
								BgL_h1544z00_2108 = BgL_hook1546z00_2105;
							BgL_zc3z04anonymousza31886ze3z87_2109:
								if (NULLP(BgL_l1543z00_2107))
									{	/* SawMill/regalloc.scm 77 */
										BgL_pregsz00_2059 = CDR(BgL_hook1546z00_2105);
									}
								else
									{	/* SawMill/regalloc.scm 77 */
										bool_t BgL_test2989z00_5926;

										{	/* SawMill/regalloc.scm 77 */
											obj_t BgL_arg1894z00_2117;

											BgL_arg1894z00_2117 = CAR(((obj_t) BgL_l1543z00_2107));
											{	/* SawMill/regalloc.scm 77 */
												obj_t BgL_classz00_3860;

												BgL_classz00_3860 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
												if (BGL_OBJECTP(BgL_arg1894z00_2117))
													{	/* SawMill/regalloc.scm 77 */
														BgL_objectz00_bglt BgL_arg1825z00_3862;

														BgL_arg1825z00_3862 =
															(BgL_objectz00_bglt) (BgL_arg1894z00_2117);
														{	/* SawMill/regalloc.scm 77 */
															bool_t BgL_arg1822z00_3865;
															bool_t BgL_arg1823z00_3866;

															{	/* SawMill/regalloc.scm 77 */
																long BgL_idxz00_3869;

																BgL_idxz00_3869 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3862);
																BgL_arg1822z00_3865 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3869 + ((long) 2))) ==
																	BgL_classz00_3860);
															}
															{	/* SawMill/regalloc.scm 77 */
																bool_t BgL_res2779z00_3891;

																{	/* SawMill/regalloc.scm 77 */
																	obj_t BgL_oclassz00_3877;

																	{	/* SawMill/regalloc.scm 77 */
																		long BgL_arg1833z00_3883;

																		{	/* SawMill/regalloc.scm 77 */
																			long BgL_arg1834z00_3884;

																			BgL_arg1834z00_3884 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3862);
																			BgL_arg1833z00_3883 =
																				(BgL_arg1834z00_3884 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3877 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3883);
																	}
																	{	/* SawMill/regalloc.scm 77 */
																		bool_t BgL__ortest_1110z00_3878;

																		BgL__ortest_1110z00_3878 =
																			(BgL_classz00_3860 == BgL_oclassz00_3877);
																		if (BgL__ortest_1110z00_3878)
																			{	/* SawMill/regalloc.scm 77 */
																				BgL_res2779z00_3891 =
																					BgL__ortest_1110z00_3878;
																			}
																		else
																			{	/* SawMill/regalloc.scm 77 */
																				long BgL_odepthz00_3879;

																				BgL_odepthz00_3879 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3877);
																				if ((((long) 2) < BgL_odepthz00_3879))
																					{	/* SawMill/regalloc.scm 77 */
																						obj_t BgL_arg1821z00_3881;

																						BgL_arg1821z00_3881 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3877, ((long) 2));
																						BgL_res2779z00_3891 =
																							(BgL_arg1821z00_3881 ==
																							BgL_classz00_3860);
																					}
																				else
																					{	/* SawMill/regalloc.scm 77 */
																						BgL_res2779z00_3891 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3866 = BgL_res2779z00_3891;
															}
															BgL_test2989z00_5926 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3865,
																BgL_arg1823z00_3866);
														}
													}
												else
													{	/* SawMill/regalloc.scm 77 */
														BgL_test2989z00_5926 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test2989z00_5926)
											{	/* SawMill/regalloc.scm 77 */
												obj_t BgL_nh1545z00_2113;

												{	/* SawMill/regalloc.scm 77 */
													obj_t BgL_arg1891z00_2115;

													BgL_arg1891z00_2115 =
														CAR(((obj_t) BgL_l1543z00_2107));
													BgL_nh1545z00_2113 =
														MAKE_YOUNG_PAIR(BgL_arg1891z00_2115, BNIL);
												}
												SET_CDR(BgL_h1544z00_2108, BgL_nh1545z00_2113);
												{	/* SawMill/regalloc.scm 77 */
													obj_t BgL_arg1890z00_2114;

													BgL_arg1890z00_2114 =
														CDR(((obj_t) BgL_l1543z00_2107));
													{
														obj_t BgL_h1544z00_5954;
														obj_t BgL_l1543z00_5953;

														BgL_l1543z00_5953 = BgL_arg1890z00_2114;
														BgL_h1544z00_5954 = BgL_nh1545z00_2113;
														BgL_h1544z00_2108 = BgL_h1544z00_5954;
														BgL_l1543z00_2107 = BgL_l1543z00_5953;
														goto BgL_zc3z04anonymousza31886ze3z87_2109;
													}
												}
											}
										else
											{	/* SawMill/regalloc.scm 77 */
												obj_t BgL_arg1892z00_2116;

												BgL_arg1892z00_2116 = CDR(((obj_t) BgL_l1543z00_2107));
												{
													obj_t BgL_l1543z00_5957;

													BgL_l1543z00_5957 = BgL_arg1892z00_2116;
													BgL_l1543z00_2107 = BgL_l1543z00_5957;
													goto BgL_zc3z04anonymousza31886ze3z87_2109;
												}
											}
									}
							}
						}
						{	/* SawMill/regalloc.scm 77 */
							obj_t BgL_regsz00_2060;

							BgL_regsz00_2060 =
								BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
								(BgL_hregsz00_2058, BgL_cregsz00_2057);
							{	/* SawMill/regalloc.scm 78 */

								if (NULLP(BgL_cregsz00_2057))
									{	/* SawMill/regalloc.scm 79 */
										BFALSE;
									}
								else
									{	/* SawMill/regalloc.scm 79 */
										{
											obj_t BgL_l1547z00_2063;

											BgL_l1547z00_2063 = BgL_regsz00_2060;
										BgL_zc3z04anonymousza31841ze3z87_2064:
											if (PAIRP(BgL_l1547z00_2063))
												{	/* SawMill/regalloc.scm 81 */
													{	/* SawMill/regalloc.scm 82 */
														obj_t BgL_rz00_2066;

														BgL_rz00_2066 = CAR(BgL_l1547z00_2063);
														{
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_5964;

															{
																obj_t BgL_auxz00_5965;

																{	/* SawMill/regalloc.scm 83 */
																	BgL_objectz00_bglt BgL_tmpz00_5966;

																	BgL_tmpz00_5966 =
																		((BgL_objectz00_bglt)
																		((BgL_rtl_regz00_bglt) BgL_rz00_2066));
																	BgL_auxz00_5965 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_5966);
																}
																BgL_auxz00_5964 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_5965);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_5964))->
																	BgL_interferez00) =
																((obj_t) ((obj_t)
																		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																		(BgL_regsz00_2060))), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1547z00_5974;

														BgL_l1547z00_5974 = CDR(BgL_l1547z00_2063);
														BgL_l1547z00_2063 = BgL_l1547z00_5974;
														goto BgL_zc3z04anonymousza31841ze3z87_2064;
													}
												}
											else
												{	/* SawMill/regalloc.scm 81 */
													((bool_t) 1);
												}
										}
										{	/* SawMill/regalloc.scm 85 */
											long BgL_arg1849z00_2070;

											BgL_arg1849z00_2070 = bgl_list_length(BgL_hregsz00_2058);
											{	/* SawMill/regalloc.scm 85 */
												obj_t BgL_list1850z00_2071;

												{	/* SawMill/regalloc.scm 85 */
													obj_t BgL_arg1852z00_2072;

													{	/* SawMill/regalloc.scm 85 */
														obj_t BgL_arg1854z00_2073;

														BgL_arg1854z00_2073 =
															MAKE_YOUNG_PAIR
															(BGl_string2836z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1852z00_2072 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1849z00_2070),
															BgL_arg1854z00_2073);
													}
													BgL_list1850z00_2071 =
														MAKE_YOUNG_PAIR
														(BGl_string2837z00zzsaw_registerzd2allocationzd2,
														BgL_arg1852z00_2072);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1850z00_2071);
										}}
										{	/* SawMill/regalloc.scm 86 */
											long BgL_arg1855z00_2074;

											BgL_arg1855z00_2074 = bgl_list_length(BgL_pregsz00_2059);
											{	/* SawMill/regalloc.scm 86 */
												obj_t BgL_list1856z00_2075;

												{	/* SawMill/regalloc.scm 86 */
													obj_t BgL_arg1857z00_2076;

													{	/* SawMill/regalloc.scm 86 */
														obj_t BgL_arg1858z00_2077;

														BgL_arg1858z00_2077 =
															MAKE_YOUNG_PAIR
															(BGl_string2836z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1857z00_2076 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1855z00_2074),
															BgL_arg1858z00_2077);
													}
													BgL_list1856z00_2075 =
														MAKE_YOUNG_PAIR
														(BGl_string2838z00zzsaw_registerzd2allocationzd2,
														BgL_arg1857z00_2076);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1856z00_2075);
										}}
										{	/* SawMill/regalloc.scm 87 */
											long BgL_arg1862z00_2078;

											BgL_arg1862z00_2078 = bgl_list_length(BgL_cregsz00_2057);
											{	/* SawMill/regalloc.scm 87 */
												obj_t BgL_list1863z00_2079;

												{	/* SawMill/regalloc.scm 87 */
													obj_t BgL_arg1865z00_2080;

													{	/* SawMill/regalloc.scm 87 */
														obj_t BgL_arg1867z00_2081;

														BgL_arg1867z00_2081 =
															MAKE_YOUNG_PAIR
															(BGl_string2836z00zzsaw_registerzd2allocationzd2,
															BNIL);
														BgL_arg1865z00_2080 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1862z00_2078),
															BgL_arg1867z00_2081);
													}
													BgL_list1863z00_2079 =
														MAKE_YOUNG_PAIR
														(BGl_string2839z00zzsaw_registerzd2allocationzd2,
														BgL_arg1865z00_2080);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list1863z00_2079);
										}}
										BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2060);
										BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2060);
										BGl_livenessz12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_pregsz00_2059);
										BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2058);
										BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_pregsz00_2059);
										BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_blocksz00_68);
										BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
											(BgL_backz00_65, BgL_regsz00_2060);
										BGl_interferencez12z12zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68, BgL_regsz00_2060);
										BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2
											(BgL_blocksz00_68);
										BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2059, BgL_hregsz00_2058, BgL_cregsz00_2057);
										BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2
											(BgL_hregsz00_2058, BgL_blocksz00_68);
										BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2
											(BgL_pregsz00_2059, BgL_cregsz00_2057, BgL_blocksz00_68);
										if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >
												((long) 1)))
											{	/* SawMill/regalloc.scm 115 */
												BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2
													(BgL_blocksz00_68);
											}
										else
											{	/* SawMill/regalloc.scm 115 */
												BFALSE;
											}
									}
								{
									obj_t BgL_l1549z00_2084;

									BgL_l1549z00_2084 = BgL_regsz00_2060;
								BgL_zc3z04anonymousza31869ze3z87_2085:
									if (PAIRP(BgL_l1549z00_2084))
										{	/* SawMill/regalloc.scm 120 */
											{	/* SawMill/regalloc.scm 120 */
												obj_t BgL_o1551z00_2087;

												BgL_o1551z00_2087 = CAR(BgL_l1549z00_2084);
												{	/* SawMill/regalloc.scm 120 */
													long BgL_arg1871z00_2088;

													{	/* SawMill/regalloc.scm 120 */
														obj_t BgL_arg1872z00_2089;

														{	/* SawMill/regalloc.scm 120 */
															obj_t BgL_arg1875z00_2090;

															{	/* SawMill/regalloc.scm 120 */
																long BgL_arg1833z00_3902;

																{	/* SawMill/regalloc.scm 120 */
																	long BgL_arg1834z00_3903;

																	BgL_arg1834z00_3903 =
																		BGL_OBJECT_CLASS_NUM(
																		((BgL_objectz00_bglt) BgL_o1551z00_2087));
																	BgL_arg1833z00_3902 =
																		(BgL_arg1834z00_3903 - OBJECT_TYPE);
																}
																BgL_arg1875z00_2090 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3902);
															}
															BgL_arg1872z00_2089 =
																BGl_classzd2superzd2zz__objectz00
																(BgL_arg1875z00_2090);
														}
														{	/* SawMill/regalloc.scm 120 */
															obj_t BgL_tmpz00_6021;

															BgL_tmpz00_6021 = ((obj_t) BgL_arg1872z00_2089);
															BgL_arg1871z00_2088 =
																BGL_CLASS_NUM(BgL_tmpz00_6021);
													}}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_o1551z00_2087),
														BgL_arg1871z00_2088);
												}
												{	/* SawMill/regalloc.scm 120 */
													BgL_objectz00_bglt BgL_tmpz00_6026;

													BgL_tmpz00_6026 =
														((BgL_objectz00_bglt) BgL_o1551z00_2087);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6026, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_o1551z00_2087);
												BgL_o1551z00_2087;
											}
											{
												obj_t BgL_l1549z00_6030;

												BgL_l1549z00_6030 = CDR(BgL_l1549z00_2084);
												BgL_l1549z00_2084 = BgL_l1549z00_6030;
												goto BgL_zc3z04anonymousza31869ze3z87_2085;
											}
										}
									else
										{	/* SawMill/regalloc.scm 120 */
											((bool_t) 1);
										}
								}
								{
									obj_t BgL_l1552z00_2094;

									BgL_l1552z00_2094 = BgL_pregsz00_2059;
								BgL_zc3z04anonymousza31878ze3z87_2095:
									if (PAIRP(BgL_l1552z00_2094))
										{	/* SawMill/regalloc.scm 121 */
											{	/* SawMill/regalloc.scm 121 */
												obj_t BgL_rz00_2097;

												BgL_rz00_2097 = CAR(BgL_l1552z00_2094);
												{	/* SawMill/regalloc.scm 121 */
													bool_t BgL_test2998z00_6035;

													{	/* SawMill/regalloc.scm 121 */
														obj_t BgL_classz00_3915;

														BgL_classz00_3915 =
															BGl_rtl_regzf2razf2zzsaw_regsetz00;
														if (BGL_OBJECTP(BgL_rz00_2097))
															{	/* SawMill/regalloc.scm 121 */
																BgL_objectz00_bglt BgL_arg1825z00_3917;

																BgL_arg1825z00_3917 =
																	(BgL_objectz00_bglt) (BgL_rz00_2097);
																{	/* SawMill/regalloc.scm 121 */
																	bool_t BgL_arg1822z00_3920;
																	bool_t BgL_arg1823z00_3921;

																	{	/* SawMill/regalloc.scm 121 */
																		long BgL_idxz00_3924;

																		BgL_idxz00_3924 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3917);
																		BgL_arg1822z00_3920 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3924 + ((long) 2))) ==
																			BgL_classz00_3915);
																	}
																	{	/* SawMill/regalloc.scm 121 */
																		bool_t BgL_res2780z00_3946;

																		{	/* SawMill/regalloc.scm 121 */
																			obj_t BgL_oclassz00_3932;

																			{	/* SawMill/regalloc.scm 121 */
																				long BgL_arg1833z00_3938;

																				{	/* SawMill/regalloc.scm 121 */
																					long BgL_arg1834z00_3939;

																					BgL_arg1834z00_3939 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3917);
																					BgL_arg1833z00_3938 =
																						(BgL_arg1834z00_3939 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3932 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3938);
																			}
																			{	/* SawMill/regalloc.scm 121 */
																				bool_t BgL__ortest_1110z00_3933;

																				BgL__ortest_1110z00_3933 =
																					(BgL_classz00_3915 ==
																					BgL_oclassz00_3932);
																				if (BgL__ortest_1110z00_3933)
																					{	/* SawMill/regalloc.scm 121 */
																						BgL_res2780z00_3946 =
																							BgL__ortest_1110z00_3933;
																					}
																				else
																					{	/* SawMill/regalloc.scm 121 */
																						long BgL_odepthz00_3934;

																						BgL_odepthz00_3934 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3932);
																						if ((((long) 2) <
																								BgL_odepthz00_3934))
																							{	/* SawMill/regalloc.scm 121 */
																								obj_t BgL_arg1821z00_3936;

																								BgL_arg1821z00_3936 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3932,
																									((long) 2));
																								BgL_res2780z00_3946 =
																									(BgL_arg1821z00_3936 ==
																									BgL_classz00_3915);
																							}
																						else
																							{	/* SawMill/regalloc.scm 121 */
																								BgL_res2780z00_3946 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3921 = BgL_res2780z00_3946;
																	}
																	BgL_test2998z00_6035 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3920,
																		BgL_arg1823z00_3921);
																}
															}
														else
															{	/* SawMill/regalloc.scm 121 */
																BgL_test2998z00_6035 = ((bool_t) 0);
															}
													}
													if (BgL_test2998z00_6035)
														{	/* SawMill/regalloc.scm 121 */
															{	/* SawMill/regalloc.scm 121 */
																long BgL_arg1882z00_2100;

																{	/* SawMill/regalloc.scm 121 */
																	obj_t BgL_arg1883z00_2101;

																	{	/* SawMill/regalloc.scm 121 */
																		obj_t BgL_arg1884z00_2102;

																		{	/* SawMill/regalloc.scm 121 */
																			long BgL_arg1833z00_3948;

																			{	/* SawMill/regalloc.scm 121 */
																				long BgL_arg1834z00_3949;

																				BgL_arg1834z00_3949 =
																					BGL_OBJECT_CLASS_NUM(
																					((BgL_objectz00_bglt) BgL_rz00_2097));
																				BgL_arg1833z00_3948 =
																					(BgL_arg1834z00_3949 - OBJECT_TYPE);
																			}
																			BgL_arg1884z00_2102 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_3948);
																		}
																		BgL_arg1883z00_2101 =
																			BGl_classzd2superzd2zz__objectz00
																			(BgL_arg1884z00_2102);
																	}
																	{	/* SawMill/regalloc.scm 121 */
																		obj_t BgL_tmpz00_6059;

																		BgL_tmpz00_6059 =
																			((obj_t) BgL_arg1883z00_2101);
																		BgL_arg1882z00_2100 =
																			BGL_CLASS_NUM(BgL_tmpz00_6059);
																}}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_rz00_2097),
																	BgL_arg1882z00_2100);
															}
															{	/* SawMill/regalloc.scm 121 */
																BgL_objectz00_bglt BgL_tmpz00_6064;

																BgL_tmpz00_6064 =
																	((BgL_objectz00_bglt) BgL_rz00_2097);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6064,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_rz00_2097);
															BgL_rz00_2097;
														}
													else
														{	/* SawMill/regalloc.scm 121 */
															BFALSE;
														}
												}
											}
											{
												obj_t BgL_l1552z00_6068;

												BgL_l1552z00_6068 = CDR(BgL_l1552z00_2094);
												BgL_l1552z00_2094 = BgL_l1552z00_6068;
												goto BgL_zc3z04anonymousza31878ze3z87_2095;
											}
										}
									else
										{	/* SawMill/regalloc.scm 121 */
											return ((bool_t) 1);
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* widen-ra! */
	bool_t BGl_widenzd2raz12zc0zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_69,
		obj_t BgL_regsz00_70)
	{
		{	/* SawMill/regalloc.scm 129 */
			{
				obj_t BgL_oz00_2183;
				obj_t BgL_oz00_2225;

				{
					obj_t BgL_l1581z00_2126;

					BgL_l1581z00_2126 = BgL_oz00_69;
				BgL_zc3z04anonymousza31897ze3z87_2127:
					if (PAIRP(BgL_l1581z00_2126))
						{	/* SawMill/regalloc.scm 157 */
							BgL_oz00_2225 = CAR(BgL_l1581z00_2126);
							{	/* SawMill/regalloc.scm 153 */
								obj_t BgL_lastz00_2228;

								BgL_lastz00_2228 =
									bgl_reverse(
									(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2225)))->BgL_firstz00));
								{	/* SawMill/regalloc.scm 154 */
									obj_t BgL_g1580z00_2229;

									BgL_g1580z00_2229 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_2225)))->BgL_firstz00);
									{
										obj_t BgL_l1578z00_2231;

										BgL_l1578z00_2231 = BgL_g1580z00_2229;
									BgL_zc3z04anonymousza31956ze3z87_2232:
										if (PAIRP(BgL_l1578z00_2231))
											{	/* SawMill/regalloc.scm 154 */
												BgL_oz00_2183 = CAR(BgL_l1578z00_2231);
												{	/* SawMill/regalloc.scm 143 */
													BgL_rtl_inszf2razf2_bglt BgL_wide1200z00_2188;

													BgL_wide1200z00_2188 =
														((BgL_rtl_inszf2razf2_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_rtl_inszf2razf2_bgl))));
													{	/* SawMill/regalloc.scm 143 */
														obj_t BgL_auxz00_6084;
														BgL_objectz00_bglt BgL_tmpz00_6080;

														BgL_auxz00_6084 = ((obj_t) BgL_wide1200z00_2188);
														BgL_tmpz00_6080 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt)
																((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6080,
															BgL_auxz00_6084);
													}
													((BgL_objectz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
													{	/* SawMill/regalloc.scm 143 */
														long BgL_arg1932z00_2189;

														BgL_arg1932z00_2189 =
															BGL_CLASS_NUM
															(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
														BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
																	(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
																		BgL_oz00_2183))), BgL_arg1932z00_2189);
													}
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
												}
												{
													obj_t BgL_auxz00_6106;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6098;

													{	/* SawMill/regalloc.scm 144 */
														bool_t BgL_test3004z00_6107;

														if (CBOOL(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt) BgL_oz00_2183)))->
																	BgL_destz00)))
															{	/* SawMill/regalloc.scm 144 */
																BgL_test3004z00_6107 =
																	CBOOL(
																	(((BgL_rtl_regz00_bglt) COBJECT(
																				((BgL_rtl_regz00_bglt)
																					(((BgL_rtl_insz00_bglt) COBJECT(
																								((BgL_rtl_insz00_bglt)
																									BgL_oz00_2183)))->
																						BgL_destz00))))->BgL_onexprzf3zf3));
															}
														else
															{	/* SawMill/regalloc.scm 144 */
																BgL_test3004z00_6107 = ((bool_t) 1);
															}
														if (BgL_test3004z00_6107)
															{	/* SawMill/regalloc.scm 144 */
																BgL_auxz00_6106 =
																	((obj_t)
																	BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																	(BgL_regsz00_70));
															}
														else
															{	/* SawMill/regalloc.scm 146 */
																obj_t BgL_arg1937z00_2194;

																{	/* SawMill/regalloc.scm 146 */
																	BgL_rtl_regz00_bglt BgL_arg1938z00_2195;

																	{	/* SawMill/regalloc.scm 146 */
																		obj_t BgL_arg1940z00_2197;

																		BgL_arg1940z00_2197 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						BgL_oz00_2183)))->BgL_destz00);
																		BgL_arg1938z00_2195 =
																			BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																			(((BgL_rtl_regz00_bglt)
																				BgL_arg1940z00_2197));
																	}
																	{	/* SawMill/regalloc.scm 146 */
																		obj_t BgL_list1939z00_2196;

																		BgL_list1939z00_2196 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1938z00_2195), BNIL);
																		BgL_arg1937z00_2194 = BgL_list1939z00_2196;
																	}
																}
																BgL_auxz00_6106 =
																	((obj_t)
																	BGl_listzd2ze3regsetz31zzsaw_regsetz00
																	(BgL_arg1937z00_2194, BgL_regsz00_70));
															}
													}
													{
														obj_t BgL_auxz00_6099;

														{	/* SawMill/regalloc.scm 144 */
															BgL_objectz00_bglt BgL_tmpz00_6100;

															BgL_tmpz00_6100 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
															BgL_auxz00_6099 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6100);
														}
														BgL_auxz00_6098 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6099);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6098))->BgL_defz00) =
														((obj_t) BgL_auxz00_6106), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6128;

													{
														obj_t BgL_auxz00_6129;

														{	/* SawMill/regalloc.scm 148 */
															BgL_objectz00_bglt BgL_tmpz00_6130;

															BgL_tmpz00_6130 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
															BgL_auxz00_6129 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6130);
														}
														BgL_auxz00_6128 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6129);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6128))->BgL_outz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												{
													obj_t BgL_auxz00_6147;
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6139;

													{	/* SawMill/regalloc.scm 147 */
														obj_t BgL_arg1942z00_2200;

														{	/* SawMill/regalloc.scm 147 */
															obj_t BgL_l1569z00_2201;

															BgL_l1569z00_2201 =
																BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
																(BgL_oz00_2183);
															if (NULLP(BgL_l1569z00_2201))
																{	/* SawMill/regalloc.scm 147 */
																	BgL_arg1942z00_2200 = BNIL;
																}
															else
																{	/* SawMill/regalloc.scm 147 */
																	obj_t BgL_head1571z00_2203;

																	{	/* SawMill/regalloc.scm 147 */
																		BgL_rtl_regz00_bglt BgL_arg1949z00_2215;

																		{	/* SawMill/regalloc.scm 147 */
																			obj_t BgL_arg1950z00_2216;

																			BgL_arg1950z00_2216 =
																				CAR(((obj_t) BgL_l1569z00_2201));
																			BgL_arg1949z00_2215 =
																				BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																				(((BgL_rtl_regz00_bglt)
																					BgL_arg1950z00_2216));
																		}
																		BgL_head1571z00_2203 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg1949z00_2215), BNIL);
																	}
																	{	/* SawMill/regalloc.scm 147 */
																		obj_t BgL_g1574z00_2204;

																		BgL_g1574z00_2204 =
																			CDR(((obj_t) BgL_l1569z00_2201));
																		{
																			obj_t BgL_l1569z00_2206;
																			obj_t BgL_tail1572z00_2207;

																			BgL_l1569z00_2206 = BgL_g1574z00_2204;
																			BgL_tail1572z00_2207 =
																				BgL_head1571z00_2203;
																		BgL_zc3z04anonymousza31944ze3z87_2208:
																			if (NULLP(BgL_l1569z00_2206))
																				{	/* SawMill/regalloc.scm 147 */
																					BgL_arg1942z00_2200 =
																						BgL_head1571z00_2203;
																				}
																			else
																				{	/* SawMill/regalloc.scm 147 */
																					obj_t BgL_newtail1573z00_2210;

																					{	/* SawMill/regalloc.scm 147 */
																						BgL_rtl_regz00_bglt
																							BgL_arg1947z00_2212;
																						{	/* SawMill/regalloc.scm 147 */
																							obj_t BgL_arg1948z00_2213;

																							BgL_arg1948z00_2213 =
																								CAR(
																								((obj_t) BgL_l1569z00_2206));
																							BgL_arg1947z00_2212 =
																								BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																								(((BgL_rtl_regz00_bglt)
																									BgL_arg1948z00_2213));
																						}
																						BgL_newtail1573z00_2210 =
																							MAKE_YOUNG_PAIR(
																							((obj_t) BgL_arg1947z00_2212),
																							BNIL);
																					}
																					SET_CDR(BgL_tail1572z00_2207,
																						BgL_newtail1573z00_2210);
																					{	/* SawMill/regalloc.scm 147 */
																						obj_t BgL_arg1946z00_2211;

																						BgL_arg1946z00_2211 =
																							CDR(((obj_t) BgL_l1569z00_2206));
																						{
																							obj_t BgL_tail1572z00_6171;
																							obj_t BgL_l1569z00_6170;

																							BgL_l1569z00_6170 =
																								BgL_arg1946z00_2211;
																							BgL_tail1572z00_6171 =
																								BgL_newtail1573z00_2210;
																							BgL_tail1572z00_2207 =
																								BgL_tail1572z00_6171;
																							BgL_l1569z00_2206 =
																								BgL_l1569z00_6170;
																							goto
																								BgL_zc3z04anonymousza31944ze3z87_2208;
																						}
																					}
																				}
																		}
																	}
																}
														}
														BgL_auxz00_6147 =
															((obj_t)
															BGl_listzd2ze3regsetz31zzsaw_regsetz00
															(BgL_arg1942z00_2200, BgL_regsz00_70));
													}
													{
														obj_t BgL_auxz00_6140;

														{	/* SawMill/regalloc.scm 147 */
															BgL_objectz00_bglt BgL_tmpz00_6141;

															BgL_tmpz00_6141 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
															BgL_auxz00_6140 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6141);
														}
														BgL_auxz00_6139 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6140);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6139))->BgL_inz00) =
														((obj_t) BgL_auxz00_6147), BUNSPEC);
												}
												{
													BgL_rtl_inszf2razf2_bglt BgL_auxz00_6175;

													{
														obj_t BgL_auxz00_6176;

														{	/* SawMill/regalloc.scm 149 */
															BgL_objectz00_bglt BgL_tmpz00_6177;

															BgL_tmpz00_6177 =
																((BgL_objectz00_bglt)
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2183)));
															BgL_auxz00_6176 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6177);
														}
														BgL_auxz00_6175 =
															((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6176);
													}
													((((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6175))->BgL_spillz00) =
														((obj_t) ((obj_t)
																BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
																(BgL_regsz00_70))), BUNSPEC);
												}
												((BgL_rtl_insz00_bglt)
													((BgL_rtl_insz00_bglt) BgL_oz00_2183));
												{	/* SawMill/regalloc.scm 150 */
													obj_t BgL_g1577z00_2217;

													BgL_g1577z00_2217 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2183)))->
														BgL_argsz00);
													{
														obj_t BgL_l1575z00_2219;

														BgL_l1575z00_2219 = BgL_g1577z00_2217;
													BgL_zc3z04anonymousza31951ze3z87_2220:
														if (PAIRP(BgL_l1575z00_2219))
															{	/* SawMill/regalloc.scm 150 */
																BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
																	(BgL_regsz00_70, CAR(BgL_l1575z00_2219));
																{
																	obj_t BgL_l1575z00_6194;

																	BgL_l1575z00_6194 = CDR(BgL_l1575z00_2219);
																	BgL_l1575z00_2219 = BgL_l1575z00_6194;
																	goto BgL_zc3z04anonymousza31951ze3z87_2220;
																}
															}
														else
															{	/* SawMill/regalloc.scm 150 */
																((bool_t) 1);
															}
													}
												}
												{
													obj_t BgL_l1578z00_6197;

													BgL_l1578z00_6197 = CDR(BgL_l1578z00_2231);
													BgL_l1578z00_2231 = BgL_l1578z00_6197;
													goto BgL_zc3z04anonymousza31956ze3z87_2232;
												}
											}
										else
											{	/* SawMill/regalloc.scm 154 */
												((bool_t) 1);
											}
									}
								}
								{	/* SawMill/regalloc.scm 155 */
									BgL_blockzf2razf2_bglt BgL_wide1205z00_2239;

									BgL_wide1205z00_2239 =
										((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_blockzf2razf2_bgl))));
									{	/* SawMill/regalloc.scm 155 */
										obj_t BgL_auxz00_6204;
										BgL_objectz00_bglt BgL_tmpz00_6200;

										BgL_auxz00_6204 = ((obj_t) BgL_wide1205z00_2239);
										BgL_tmpz00_6200 =
											((BgL_objectz00_bglt)
											((BgL_blockz00_bglt)
												((BgL_blockz00_bglt) BgL_oz00_2225)));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6200, BgL_auxz00_6204);
									}
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2225)));
									{	/* SawMill/regalloc.scm 155 */
										long BgL_arg1960z00_2240;

										BgL_arg1960z00_2240 =
											BGL_CLASS_NUM
											(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
										BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
													(BgL_blockz00_bglt) ((BgL_blockz00_bglt)
														BgL_oz00_2225))), BgL_arg1960z00_2240);
									}
									((BgL_blockz00_bglt)
										((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2225)));
								}
								{
									BgL_blockzf2razf2_bglt BgL_auxz00_6218;

									{
										obj_t BgL_auxz00_6219;

										{	/* SawMill/regalloc.scm 156 */
											BgL_objectz00_bglt BgL_tmpz00_6220;

											BgL_tmpz00_6220 =
												((BgL_objectz00_bglt)
												((BgL_blockz00_bglt)
													((BgL_blockz00_bglt) BgL_oz00_2225)));
											BgL_auxz00_6219 = BGL_OBJECT_WIDENING(BgL_tmpz00_6220);
										}
										BgL_auxz00_6218 =
											((BgL_blockzf2razf2_bglt) BgL_auxz00_6219);
									}
									((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6218))->
											BgL_lastz00) = ((obj_t) BgL_lastz00_2228), BUNSPEC);
								}
								((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2225));
							}
							{
								obj_t BgL_l1581z00_6230;

								BgL_l1581z00_6230 = CDR(BgL_l1581z00_2126);
								BgL_l1581z00_2126 = BgL_l1581z00_6230;
								goto BgL_zc3z04anonymousza31897ze3z87_2127;
							}
						}
					else
						{	/* SawMill/regalloc.scm 157 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* get-args~0 */
	obj_t BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_2132)
	{
		{	/* SawMill/regalloc.scm 131 */
			{	/* SawMill/regalloc.scm 131 */
				obj_t BgL_hook1558z00_2134;

				BgL_hook1558z00_2134 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
				{	/* SawMill/regalloc.scm 131 */
					obj_t BgL_g1559z00_2135;

					BgL_g1559z00_2135 =
						BGl_rtl_inszd2argsza2z70zzsaw_defsz00(
						((BgL_rtl_insz00_bglt) BgL_oz00_2132));
					{
						obj_t BgL_l1555z00_2137;
						obj_t BgL_h1556z00_2138;

						BgL_l1555z00_2137 = BgL_g1559z00_2135;
						BgL_h1556z00_2138 = BgL_hook1558z00_2134;
					BgL_zc3z04anonymousza31906ze3z87_2139:
						if (NULLP(BgL_l1555z00_2137))
							{	/* SawMill/regalloc.scm 131 */
								return CDR(BgL_hook1558z00_2134);
							}
						else
							{	/* SawMill/regalloc.scm 131 */
								bool_t BgL_test3010z00_6238;

								{	/* SawMill/regalloc.scm 131 */
									obj_t BgL_arg1913z00_2147;

									BgL_arg1913z00_2147 = CAR(((obj_t) BgL_l1555z00_2137));
									{	/* SawMill/regalloc.scm 131 */
										obj_t BgL_classz00_3962;

										BgL_classz00_3962 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
										if (BGL_OBJECTP(BgL_arg1913z00_2147))
											{	/* SawMill/regalloc.scm 131 */
												BgL_objectz00_bglt BgL_arg1825z00_3964;

												BgL_arg1825z00_3964 =
													(BgL_objectz00_bglt) (BgL_arg1913z00_2147);
												{	/* SawMill/regalloc.scm 131 */
													bool_t BgL_arg1822z00_3967;
													bool_t BgL_arg1823z00_3968;

													{	/* SawMill/regalloc.scm 131 */
														long BgL_idxz00_3971;

														BgL_idxz00_3971 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3964);
														BgL_arg1822z00_3967 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3971 + ((long) 2))) ==
															BgL_classz00_3962);
													}
													{	/* SawMill/regalloc.scm 131 */
														bool_t BgL_res2781z00_3993;

														{	/* SawMill/regalloc.scm 131 */
															obj_t BgL_oclassz00_3979;

															{	/* SawMill/regalloc.scm 131 */
																long BgL_arg1833z00_3985;

																{	/* SawMill/regalloc.scm 131 */
																	long BgL_arg1834z00_3986;

																	BgL_arg1834z00_3986 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3964);
																	BgL_arg1833z00_3985 =
																		(BgL_arg1834z00_3986 - OBJECT_TYPE);
																}
																BgL_oclassz00_3979 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3985);
															}
															{	/* SawMill/regalloc.scm 131 */
																bool_t BgL__ortest_1110z00_3980;

																BgL__ortest_1110z00_3980 =
																	(BgL_classz00_3962 == BgL_oclassz00_3979);
																if (BgL__ortest_1110z00_3980)
																	{	/* SawMill/regalloc.scm 131 */
																		BgL_res2781z00_3993 =
																			BgL__ortest_1110z00_3980;
																	}
																else
																	{	/* SawMill/regalloc.scm 131 */
																		long BgL_odepthz00_3981;

																		BgL_odepthz00_3981 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3979);
																		if ((((long) 2) < BgL_odepthz00_3981))
																			{	/* SawMill/regalloc.scm 131 */
																				obj_t BgL_arg1821z00_3983;

																				BgL_arg1821z00_3983 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3979, ((long) 2));
																				BgL_res2781z00_3993 =
																					(BgL_arg1821z00_3983 ==
																					BgL_classz00_3962);
																			}
																		else
																			{	/* SawMill/regalloc.scm 131 */
																				BgL_res2781z00_3993 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3968 = BgL_res2781z00_3993;
													}
													BgL_test3010z00_6238 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3967,
														BgL_arg1823z00_3968);
												}
											}
										else
											{	/* SawMill/regalloc.scm 131 */
												BgL_test3010z00_6238 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3010z00_6238)
									{	/* SawMill/regalloc.scm 131 */
										obj_t BgL_nh1557z00_2143;

										{	/* SawMill/regalloc.scm 131 */
											obj_t BgL_arg1911z00_2145;

											BgL_arg1911z00_2145 = CAR(((obj_t) BgL_l1555z00_2137));
											BgL_nh1557z00_2143 =
												MAKE_YOUNG_PAIR(BgL_arg1911z00_2145, BNIL);
										}
										SET_CDR(BgL_h1556z00_2138, BgL_nh1557z00_2143);
										{	/* SawMill/regalloc.scm 131 */
											obj_t BgL_arg1910z00_2144;

											BgL_arg1910z00_2144 = CDR(((obj_t) BgL_l1555z00_2137));
											{
												obj_t BgL_h1556z00_6266;
												obj_t BgL_l1555z00_6265;

												BgL_l1555z00_6265 = BgL_arg1910z00_2144;
												BgL_h1556z00_6266 = BgL_nh1557z00_2143;
												BgL_h1556z00_2138 = BgL_h1556z00_6266;
												BgL_l1555z00_2137 = BgL_l1555z00_6265;
												goto BgL_zc3z04anonymousza31906ze3z87_2139;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 131 */
										obj_t BgL_arg1912z00_2146;

										BgL_arg1912z00_2146 = CDR(((obj_t) BgL_l1555z00_2137));
										{
											obj_t BgL_l1555z00_6269;

											BgL_l1555z00_6269 = BgL_arg1912z00_2146;
											BgL_l1555z00_2137 = BgL_l1555z00_6269;
											goto BgL_zc3z04anonymousza31906ze3z87_2139;
										}
									}
							}
					}
				}
			}
		}

	}



/* args-widen-ra!~0 */
	bool_t BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2(obj_t
		BgL_regsz00_5638, obj_t BgL_oz00_2149)
	{
		{	/* SawMill/regalloc.scm 140 */
			{	/* SawMill/regalloc.scm 133 */
				bool_t BgL_test3014z00_6270;

				{	/* SawMill/regalloc.scm 133 */
					obj_t BgL_classz00_3998;

					BgL_classz00_3998 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_oz00_2149))
						{	/* SawMill/regalloc.scm 133 */
							BgL_objectz00_bglt BgL_arg1825z00_4000;

							BgL_arg1825z00_4000 = (BgL_objectz00_bglt) (BgL_oz00_2149);
							{	/* SawMill/regalloc.scm 133 */
								bool_t BgL_arg1822z00_4003;
								bool_t BgL_arg1823z00_4004;

								{	/* SawMill/regalloc.scm 133 */
									long BgL_idxz00_4007;

									BgL_idxz00_4007 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4000);
									BgL_arg1822z00_4003 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4007 + ((long) 1))) == BgL_classz00_3998);
								}
								{	/* SawMill/regalloc.scm 133 */
									bool_t BgL_res2782z00_4029;

									{	/* SawMill/regalloc.scm 133 */
										obj_t BgL_oclassz00_4015;

										{	/* SawMill/regalloc.scm 133 */
											long BgL_arg1833z00_4021;

											{	/* SawMill/regalloc.scm 133 */
												long BgL_arg1834z00_4022;

												BgL_arg1834z00_4022 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4000);
												BgL_arg1833z00_4021 =
													(BgL_arg1834z00_4022 - OBJECT_TYPE);
											}
											BgL_oclassz00_4015 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4021);
										}
										{	/* SawMill/regalloc.scm 133 */
											bool_t BgL__ortest_1110z00_4016;

											BgL__ortest_1110z00_4016 =
												(BgL_classz00_3998 == BgL_oclassz00_4015);
											if (BgL__ortest_1110z00_4016)
												{	/* SawMill/regalloc.scm 133 */
													BgL_res2782z00_4029 = BgL__ortest_1110z00_4016;
												}
											else
												{	/* SawMill/regalloc.scm 133 */
													long BgL_odepthz00_4017;

													BgL_odepthz00_4017 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4015);
													if ((((long) 1) < BgL_odepthz00_4017))
														{	/* SawMill/regalloc.scm 133 */
															obj_t BgL_arg1821z00_4019;

															BgL_arg1821z00_4019 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4015,
																((long) 1));
															BgL_res2782z00_4029 =
																(BgL_arg1821z00_4019 == BgL_classz00_3998);
														}
													else
														{	/* SawMill/regalloc.scm 133 */
															BgL_res2782z00_4029 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4004 = BgL_res2782z00_4029;
								}
								BgL_test3014z00_6270 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4003, BgL_arg1823z00_4004);
							}
						}
					else
						{	/* SawMill/regalloc.scm 133 */
							BgL_test3014z00_6270 = ((bool_t) 0);
						}
				}
				if (BgL_test3014z00_6270)
					{	/* SawMill/regalloc.scm 133 */
						{	/* SawMill/regalloc.scm 135 */
							BgL_rtl_inszf2razf2_bglt BgL_wide1195z00_2155;

							BgL_wide1195z00_2155 =
								((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_inszf2razf2_bgl))));
							{	/* SawMill/regalloc.scm 135 */
								obj_t BgL_auxz00_6294;
								BgL_objectz00_bglt BgL_tmpz00_6290;

								BgL_auxz00_6294 = ((obj_t) BgL_wide1195z00_2155);
								BgL_tmpz00_6290 =
									((BgL_objectz00_bglt)
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6290, BgL_auxz00_6294);
							}
							((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
							{	/* SawMill/regalloc.scm 135 */
								long BgL_arg1916z00_2156;

								BgL_arg1916z00_2156 =
									BGL_CLASS_NUM
									(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
								BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
											(BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
												BgL_oz00_2149))), BgL_arg1916z00_2156);
							}
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6308;

							{
								obj_t BgL_auxz00_6309;

								{	/* SawMill/regalloc.scm 136 */
									BgL_objectz00_bglt BgL_tmpz00_6310;

									BgL_tmpz00_6310 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
									BgL_auxz00_6309 = BGL_OBJECT_WIDENING(BgL_tmpz00_6310);
								}
								BgL_auxz00_6308 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6309);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6308))->
									BgL_defz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5638))), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6319;

							{
								obj_t BgL_auxz00_6320;

								{	/* SawMill/regalloc.scm 138 */
									BgL_objectz00_bglt BgL_tmpz00_6321;

									BgL_tmpz00_6321 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
									BgL_auxz00_6320 = BGL_OBJECT_WIDENING(BgL_tmpz00_6321);
								}
								BgL_auxz00_6319 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6320);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6319))->
									BgL_outz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5638))), BUNSPEC);
						}
						{
							obj_t BgL_auxz00_6338;
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6330;

							{	/* SawMill/regalloc.scm 137 */
								obj_t BgL_arg1917z00_2158;

								{	/* SawMill/regalloc.scm 137 */
									obj_t BgL_l1560z00_2159;

									BgL_l1560z00_2159 =
										BGl_getzd2argsze70z35zzsaw_registerzd2allocationzd2
										(BgL_oz00_2149);
									if (NULLP(BgL_l1560z00_2159))
										{	/* SawMill/regalloc.scm 137 */
											BgL_arg1917z00_2158 = BNIL;
										}
									else
										{	/* SawMill/regalloc.scm 137 */
											obj_t BgL_head1562z00_2161;

											{	/* SawMill/regalloc.scm 137 */
												BgL_rtl_regz00_bglt BgL_arg1925z00_2173;

												{	/* SawMill/regalloc.scm 137 */
													obj_t BgL_arg1926z00_2174;

													BgL_arg1926z00_2174 =
														CAR(((obj_t) BgL_l1560z00_2159));
													BgL_arg1925z00_2173 =
														BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
														(((BgL_rtl_regz00_bglt) BgL_arg1926z00_2174));
												}
												BgL_head1562z00_2161 =
													MAKE_YOUNG_PAIR(((obj_t) BgL_arg1925z00_2173), BNIL);
											}
											{	/* SawMill/regalloc.scm 137 */
												obj_t BgL_g1565z00_2162;

												BgL_g1565z00_2162 = CDR(((obj_t) BgL_l1560z00_2159));
												{
													obj_t BgL_l1560z00_2164;
													obj_t BgL_tail1563z00_2165;

													BgL_l1560z00_2164 = BgL_g1565z00_2162;
													BgL_tail1563z00_2165 = BgL_head1562z00_2161;
												BgL_zc3z04anonymousza31919ze3z87_2166:
													if (NULLP(BgL_l1560z00_2164))
														{	/* SawMill/regalloc.scm 137 */
															BgL_arg1917z00_2158 = BgL_head1562z00_2161;
														}
													else
														{	/* SawMill/regalloc.scm 137 */
															obj_t BgL_newtail1564z00_2168;

															{	/* SawMill/regalloc.scm 137 */
																BgL_rtl_regz00_bglt BgL_arg1923z00_2170;

																{	/* SawMill/regalloc.scm 137 */
																	obj_t BgL_arg1924z00_2171;

																	BgL_arg1924z00_2171 =
																		CAR(((obj_t) BgL_l1560z00_2164));
																	BgL_arg1923z00_2170 =
																		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2
																		(((BgL_rtl_regz00_bglt)
																			BgL_arg1924z00_2171));
																}
																BgL_newtail1564z00_2168 =
																	MAKE_YOUNG_PAIR(
																	((obj_t) BgL_arg1923z00_2170), BNIL);
															}
															SET_CDR(BgL_tail1563z00_2165,
																BgL_newtail1564z00_2168);
															{	/* SawMill/regalloc.scm 137 */
																obj_t BgL_arg1922z00_2169;

																BgL_arg1922z00_2169 =
																	CDR(((obj_t) BgL_l1560z00_2164));
																{
																	obj_t BgL_tail1563z00_6362;
																	obj_t BgL_l1560z00_6361;

																	BgL_l1560z00_6361 = BgL_arg1922z00_2169;
																	BgL_tail1563z00_6362 =
																		BgL_newtail1564z00_2168;
																	BgL_tail1563z00_2165 = BgL_tail1563z00_6362;
																	BgL_l1560z00_2164 = BgL_l1560z00_6361;
																	goto BgL_zc3z04anonymousza31919ze3z87_2166;
																}
															}
														}
												}
											}
										}
								}
								BgL_auxz00_6338 =
									((obj_t)
									BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_arg1917z00_2158,
										BgL_regsz00_5638));
							}
							{
								obj_t BgL_auxz00_6331;

								{	/* SawMill/regalloc.scm 137 */
									BgL_objectz00_bglt BgL_tmpz00_6332;

									BgL_tmpz00_6332 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
									BgL_auxz00_6331 = BGL_OBJECT_WIDENING(BgL_tmpz00_6332);
								}
								BgL_auxz00_6330 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6331);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6330))->
									BgL_inz00) = ((obj_t) BgL_auxz00_6338), BUNSPEC);
						}
						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6366;

							{
								obj_t BgL_auxz00_6367;

								{	/* SawMill/regalloc.scm 139 */
									BgL_objectz00_bglt BgL_tmpz00_6368;

									BgL_tmpz00_6368 =
										((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt)
											((BgL_rtl_insz00_bglt) BgL_oz00_2149)));
									BgL_auxz00_6367 = BGL_OBJECT_WIDENING(BgL_tmpz00_6368);
								}
								BgL_auxz00_6366 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6367);
							}
							((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6366))->
									BgL_spillz00) =
								((obj_t) ((obj_t)
										BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
										(BgL_regsz00_5638))), BUNSPEC);
						}
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_2149));
						{	/* SawMill/regalloc.scm 140 */
							obj_t BgL_g1568z00_2175;

							BgL_g1568z00_2175 =
								(((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_oz00_2149)))->BgL_argsz00);
							{
								obj_t BgL_l1566z00_2177;

								BgL_l1566z00_2177 = BgL_g1568z00_2175;
							BgL_zc3z04anonymousza31927ze3z87_2178:
								if (PAIRP(BgL_l1566z00_2177))
									{	/* SawMill/regalloc.scm 140 */
										BGl_argszd2widenzd2raz12ze70zf5zzsaw_registerzd2allocationzd2
											(BgL_regsz00_5638, CAR(BgL_l1566z00_2177));
										{
											obj_t BgL_l1566z00_6385;

											BgL_l1566z00_6385 = CDR(BgL_l1566z00_2177);
											BgL_l1566z00_2177 = BgL_l1566z00_6385;
											goto BgL_zc3z04anonymousza31927ze3z87_2178;
										}
									}
								else
									{	/* SawMill/regalloc.scm 140 */
										return ((bool_t) 1);
									}
							}
						}
					}
				else
					{	/* SawMill/regalloc.scm 133 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* liveness! */
	obj_t BGl_livenessz12z12zzsaw_registerzd2allocationzd2(obj_t BgL_blocksz00_71,
		obj_t BgL_argsz00_72)
	{
		{	/* SawMill/regalloc.scm 165 */
			{	/* SawMill/regalloc.scm 166 */
				obj_t BgL_list1962z00_2247;

				BgL_list1962z00_2247 =
					MAKE_YOUNG_PAIR(BGl_string2840z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list1962z00_2247);
			}
			if (NULLP(BgL_blocksz00_71))
				{	/* SawMill/regalloc.scm 169 */
					((bool_t) 0);
				}
			else
				{	/* SawMill/regalloc.scm 170 */
					obj_t BgL_inssz00_2249;

					BgL_inssz00_2249 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) CAR(BgL_blocksz00_71))))->BgL_firstz00);
					{	/* SawMill/regalloc.scm 172 */
						obj_t BgL_insz00_2251;

						BgL_insz00_2251 = CAR(BgL_inssz00_2249);
						{
							obj_t BgL_l1583z00_2254;

							BgL_l1583z00_2254 = BgL_argsz00_72;
						BgL_zc3z04anonymousza31965ze3z87_2255:
							if (PAIRP(BgL_l1583z00_2254))
								{	/* SawMill/regalloc.scm 174 */
									{	/* SawMill/regalloc.scm 174 */
										obj_t BgL_az00_2257;

										BgL_az00_2257 = CAR(BgL_l1583z00_2254);
										{	/* SawMill/regalloc.scm 174 */
											obj_t BgL_arg1967z00_2258;

											{
												BgL_rtl_inszf2razf2_bglt BgL_auxz00_6399;

												{
													obj_t BgL_auxz00_6400;

													{	/* SawMill/regalloc.scm 174 */
														BgL_objectz00_bglt BgL_tmpz00_6401;

														BgL_tmpz00_6401 =
															((BgL_objectz00_bglt)
															((BgL_rtl_insz00_bglt) BgL_insz00_2251));
														BgL_auxz00_6400 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6401);
													}
													BgL_auxz00_6399 =
														((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6400);
												}
												BgL_arg1967z00_2258 =
													(((BgL_rtl_inszf2razf2_bglt)
														COBJECT(BgL_auxz00_6399))->BgL_inz00);
											}
											BGl_regsetzd2addz12zc0zzsaw_regsetz00(
												((BgL_regsetz00_bglt) BgL_arg1967z00_2258),
												((BgL_rtl_regz00_bglt) BgL_az00_2257));
										}
									}
									{
										obj_t BgL_l1583z00_6410;

										BgL_l1583z00_6410 = CDR(BgL_l1583z00_2254);
										BgL_l1583z00_2254 = BgL_l1583z00_6410;
										goto BgL_zc3z04anonymousza31965ze3z87_2255;
									}
								}
							else
								{	/* SawMill/regalloc.scm 174 */
									((bool_t) 1);
								}
						}
					}
				}
			{
				long BgL_iz00_2263;

				BgL_iz00_2263 = ((long) 0);
			BgL_zc3z04anonymousza31970ze3z87_2264:
				{	/* SawMill/regalloc.scm 177 */
					obj_t BgL_list1971z00_2265;

					{	/* SawMill/regalloc.scm 177 */
						obj_t BgL_arg1972z00_2266;

						BgL_arg1972z00_2266 = MAKE_YOUNG_PAIR(BINT(BgL_iz00_2263), BNIL);
						BgL_list1971z00_2265 =
							MAKE_YOUNG_PAIR(BGl_string2841z00zzsaw_registerzd2allocationzd2,
							BgL_arg1972z00_2266);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list1971z00_2265);
				}
				{
					obj_t BgL_bsz00_2268;
					obj_t BgL_tz00_2269;

					BgL_bsz00_2268 = BgL_blocksz00_71;
					BgL_tz00_2269 = BFALSE;
				BgL_zc3z04anonymousza31973ze3z87_2270:
					if (NULLP(BgL_bsz00_2268))
						{	/* SawMill/regalloc.scm 180 */
							if (CBOOL(BgL_tz00_2269))
								{
									long BgL_iz00_6421;

									BgL_iz00_6421 = (BgL_iz00_2263 + ((long) 1));
									BgL_iz00_2263 = BgL_iz00_6421;
									goto BgL_zc3z04anonymousza31970ze3z87_2264;
								}
							else
								{	/* SawMill/regalloc.scm 181 */
									((bool_t) 0);
								}
						}
					else
						{	/* SawMill/regalloc.scm 184 */
							obj_t BgL_arg1976z00_2273;
							obj_t BgL_arg1977z00_2274;

							BgL_arg1976z00_2273 = CDR(((obj_t) BgL_bsz00_2268));
							{	/* SawMill/regalloc.scm 184 */
								obj_t BgL__ortest_1208z00_2275;

								{	/* SawMill/regalloc.scm 184 */
									obj_t BgL_arg1978z00_2276;

									BgL_arg1978z00_2276 = CAR(((obj_t) BgL_bsz00_2268));
									BgL__ortest_1208z00_2275 =
										BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2
										(BgL_arg1978z00_2276);
								}
								if (CBOOL(BgL__ortest_1208z00_2275))
									{	/* SawMill/regalloc.scm 184 */
										BgL_arg1977z00_2274 = BgL__ortest_1208z00_2275;
									}
								else
									{	/* SawMill/regalloc.scm 184 */
										BgL_arg1977z00_2274 = BgL_tz00_2269;
									}
							}
							{
								obj_t BgL_tz00_6431;
								obj_t BgL_bsz00_6430;

								BgL_bsz00_6430 = BgL_arg1976z00_2273;
								BgL_tz00_6431 = BgL_arg1977z00_2274;
								BgL_tz00_2269 = BgL_tz00_6431;
								BgL_bsz00_2268 = BgL_bsz00_6430;
								goto BgL_zc3z04anonymousza31973ze3z87_2270;
							}
						}
				}
			}
			{	/* SawMill/regalloc.scm 185 */
				obj_t BgL_list1979z00_2279;

				BgL_list1979z00_2279 =
					MAKE_YOUNG_PAIR(BGl_string2842z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
					BgL_list1979z00_2279);
		}}

	}



/* liveness-block! */
	obj_t BGl_livenesszd2blockz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blockz00_73)
	{
		{	/* SawMill/regalloc.scm 190 */
			{	/* SawMill/regalloc.scm 192 */
				obj_t BgL_g1210z00_2281;

				{	/* SawMill/regalloc.scm 193 */
					obj_t BgL_l1585z00_2328;

					BgL_l1585z00_2328 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_blockz00_73))))->BgL_succsz00);
					if (NULLP(BgL_l1585z00_2328))
						{	/* SawMill/regalloc.scm 193 */
							BgL_g1210z00_2281 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 193 */
							obj_t BgL_head1587z00_2330;

							BgL_head1587z00_2330 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1585z00_2332;
								obj_t BgL_tail1588z00_2333;

								BgL_l1585z00_2332 = BgL_l1585z00_2328;
								BgL_tail1588z00_2333 = BgL_head1587z00_2330;
							BgL_zc3z04anonymousza32009ze3z87_2334:
								if (NULLP(BgL_l1585z00_2332))
									{	/* SawMill/regalloc.scm 193 */
										BgL_g1210z00_2281 = CDR(BgL_head1587z00_2330);
									}
								else
									{	/* SawMill/regalloc.scm 193 */
										obj_t BgL_newtail1589z00_2336;

										{	/* SawMill/regalloc.scm 193 */
											obj_t BgL_arg2012z00_2338;

											BgL_arg2012z00_2338 =
												CAR(
												(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt)
																CAR(
																	((obj_t) BgL_l1585z00_2332)))))->
													BgL_firstz00));
											BgL_newtail1589z00_2336 =
												MAKE_YOUNG_PAIR(BgL_arg2012z00_2338, BNIL);
										}
										SET_CDR(BgL_tail1588z00_2333, BgL_newtail1589z00_2336);
										{	/* SawMill/regalloc.scm 193 */
											obj_t BgL_arg2011z00_2337;

											BgL_arg2011z00_2337 = CDR(((obj_t) BgL_l1585z00_2332));
											{
												obj_t BgL_tail1588z00_6454;
												obj_t BgL_l1585z00_6453;

												BgL_l1585z00_6453 = BgL_arg2011z00_2337;
												BgL_tail1588z00_6454 = BgL_newtail1589z00_2336;
												BgL_tail1588z00_2333 = BgL_tail1588z00_6454;
												BgL_l1585z00_2332 = BgL_l1585z00_6453;
												goto BgL_zc3z04anonymousza32009ze3z87_2334;
											}
										}
									}
							}
						}
				}
				{
					obj_t BgL_inssz00_2284;
					obj_t BgL_succz00_2285;
					obj_t BgL_tz00_2286;

					{	/* SawMill/regalloc.scm 192 */
						obj_t BgL_arg1980z00_2283;

						{
							BgL_blockzf2razf2_bglt BgL_auxz00_6455;

							{
								obj_t BgL_auxz00_6456;

								{	/* SawMill/regalloc.scm 192 */
									BgL_objectz00_bglt BgL_tmpz00_6457;

									BgL_tmpz00_6457 =
										((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_blockz00_73));
									BgL_auxz00_6456 = BGL_OBJECT_WIDENING(BgL_tmpz00_6457);
								}
								BgL_auxz00_6455 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_6456);
							}
							BgL_arg1980z00_2283 =
								(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_6455))->
								BgL_lastz00);
						}
						BgL_inssz00_2284 = BgL_arg1980z00_2283;
						BgL_succz00_2285 = BgL_g1210z00_2281;
						BgL_tz00_2286 = BFALSE;
					BgL_zc3z04anonymousza31981ze3z87_2287:
						if (PAIRP(BgL_inssz00_2284))
							{	/* SawMill/regalloc.scm 196 */
								BgL_rtl_insz00_bglt BgL_i1211z00_2289;

								BgL_i1211z00_2289 =
									((BgL_rtl_insz00_bglt) CAR(BgL_inssz00_2284));
								{	/* SawMill/regalloc.scm 197 */
									obj_t BgL_uz00_5472;

									{	/* SawMill/regalloc.scm 198 */
										obj_t BgL_cellvalz00_6467;

										{	/* SawMill/regalloc.scm 198 */
											bool_t BgL_test3029z00_6468;

											{	/* SawMill/regalloc.scm 198 */
												obj_t BgL_classz00_4087;

												BgL_classz00_4087 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_succz00_2285))
													{	/* SawMill/regalloc.scm 198 */
														BgL_objectz00_bglt BgL_arg1825z00_4089;

														BgL_arg1825z00_4089 =
															(BgL_objectz00_bglt) (BgL_succz00_2285);
														{	/* SawMill/regalloc.scm 198 */
															bool_t BgL_arg1822z00_4092;
															bool_t BgL_arg1823z00_4093;

															{	/* SawMill/regalloc.scm 198 */
																long BgL_idxz00_4096;

																BgL_idxz00_4096 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4089);
																BgL_arg1822z00_4092 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4096 + ((long) 1))) ==
																	BgL_classz00_4087);
															}
															{	/* SawMill/regalloc.scm 198 */
																bool_t BgL_res2784z00_4118;

																{	/* SawMill/regalloc.scm 198 */
																	obj_t BgL_oclassz00_4104;

																	{	/* SawMill/regalloc.scm 198 */
																		long BgL_arg1833z00_4110;

																		{	/* SawMill/regalloc.scm 198 */
																			long BgL_arg1834z00_4111;

																			BgL_arg1834z00_4111 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4089);
																			BgL_arg1833z00_4110 =
																				(BgL_arg1834z00_4111 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4104 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4110);
																	}
																	{	/* SawMill/regalloc.scm 198 */
																		bool_t BgL__ortest_1110z00_4105;

																		BgL__ortest_1110z00_4105 =
																			(BgL_classz00_4087 == BgL_oclassz00_4104);
																		if (BgL__ortest_1110z00_4105)
																			{	/* SawMill/regalloc.scm 198 */
																				BgL_res2784z00_4118 =
																					BgL__ortest_1110z00_4105;
																			}
																		else
																			{	/* SawMill/regalloc.scm 198 */
																				long BgL_odepthz00_4106;

																				BgL_odepthz00_4106 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4104);
																				if ((((long) 1) < BgL_odepthz00_4106))
																					{	/* SawMill/regalloc.scm 198 */
																						obj_t BgL_arg1821z00_4108;

																						BgL_arg1821z00_4108 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4104, ((long) 1));
																						BgL_res2784z00_4118 =
																							(BgL_arg1821z00_4108 ==
																							BgL_classz00_4087);
																					}
																				else
																					{	/* SawMill/regalloc.scm 198 */
																						BgL_res2784z00_4118 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4093 = BgL_res2784z00_4118;
															}
															BgL_test3029z00_6468 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4092,
																BgL_arg1823z00_4093);
														}
													}
												else
													{	/* SawMill/regalloc.scm 198 */
														BgL_test3029z00_6468 = ((bool_t) 0);
													}
											}
											if (BgL_test3029z00_6468)
												{	/* SawMill/regalloc.scm 199 */
													obj_t BgL_arg1994z00_2306;
													obj_t BgL_arg1995z00_2307;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6487;

														{
															obj_t BgL_auxz00_6488;

															{	/* SawMill/regalloc.scm 199 */
																BgL_objectz00_bglt BgL_tmpz00_6489;

																BgL_tmpz00_6489 =
																	((BgL_objectz00_bglt) BgL_i1211z00_2289);
																BgL_auxz00_6488 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6489);
															}
															BgL_auxz00_6487 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6488);
														}
														BgL_arg1994z00_2306 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6487))->BgL_outz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6494;

														{
															obj_t BgL_auxz00_6495;

															{	/* SawMill/regalloc.scm 199 */
																BgL_objectz00_bglt BgL_tmpz00_6496;

																BgL_tmpz00_6496 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_succz00_2285));
																BgL_auxz00_6495 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6496);
															}
															BgL_auxz00_6494 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6495);
														}
														BgL_arg1995z00_2307 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6494))->BgL_inz00);
													}
													BgL_cellvalz00_6467 =
														BBOOL(BGl_regsetzd2unionz12zc0zzsaw_regsetz00(
															((BgL_regsetz00_bglt) BgL_arg1994z00_2306),
															((BgL_regsetz00_bglt) BgL_arg1995z00_2307)));
												}
											else
												{	/* SawMill/regalloc.scm 198 */
													if (PAIRP(BgL_succz00_2285))
														{	/* SawMill/regalloc.scm 201 */
															obj_t BgL_arg1997z00_2309;
															obj_t BgL_arg1999z00_2310;

															{
																BgL_rtl_inszf2razf2_bglt BgL_auxz00_6508;

																{
																	obj_t BgL_auxz00_6509;

																	{	/* SawMill/regalloc.scm 201 */
																		BgL_objectz00_bglt BgL_tmpz00_6510;

																		BgL_tmpz00_6510 =
																			((BgL_objectz00_bglt) BgL_i1211z00_2289);
																		BgL_auxz00_6509 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6510);
																	}
																	BgL_auxz00_6508 =
																		((BgL_rtl_inszf2razf2_bglt)
																		BgL_auxz00_6509);
																}
																BgL_arg1997z00_2309 =
																	(((BgL_rtl_inszf2razf2_bglt)
																		COBJECT(BgL_auxz00_6508))->BgL_outz00);
															}
															{	/* SawMill/regalloc.scm 201 */
																obj_t BgL_head1592z00_2313;

																{	/* SawMill/regalloc.scm 201 */
																	obj_t BgL_arg2006z00_2325;

																	{	/* SawMill/regalloc.scm 201 */
																		BgL_rtl_insz00_bglt BgL_oz00_4124;

																		BgL_oz00_4124 =
																			((BgL_rtl_insz00_bglt)
																			CAR(BgL_succz00_2285));
																		{
																			BgL_rtl_inszf2razf2_bglt BgL_auxz00_6517;

																			{
																				obj_t BgL_auxz00_6518;

																				{	/* SawMill/regalloc.scm 201 */
																					BgL_objectz00_bglt BgL_tmpz00_6519;

																					BgL_tmpz00_6519 =
																						((BgL_objectz00_bglt)
																						BgL_oz00_4124);
																					BgL_auxz00_6518 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_6519);
																				}
																				BgL_auxz00_6517 =
																					((BgL_rtl_inszf2razf2_bglt)
																					BgL_auxz00_6518);
																			}
																			BgL_arg2006z00_2325 =
																				(((BgL_rtl_inszf2razf2_bglt)
																					COBJECT(BgL_auxz00_6517))->BgL_inz00);
																		}
																	}
																	BgL_head1592z00_2313 =
																		MAKE_YOUNG_PAIR(BgL_arg2006z00_2325, BNIL);
																}
																{	/* SawMill/regalloc.scm 201 */
																	obj_t BgL_g1595z00_2314;

																	BgL_g1595z00_2314 = CDR(BgL_succz00_2285);
																	{
																		obj_t BgL_l1590z00_2316;
																		obj_t BgL_tail1593z00_2317;

																		BgL_l1590z00_2316 = BgL_g1595z00_2314;
																		BgL_tail1593z00_2317 = BgL_head1592z00_2313;
																	BgL_zc3z04anonymousza32001ze3z87_2318:
																		if (NULLP(BgL_l1590z00_2316))
																			{	/* SawMill/regalloc.scm 201 */
																				BgL_arg1999z00_2310 =
																					BgL_head1592z00_2313;
																			}
																		else
																			{	/* SawMill/regalloc.scm 201 */
																				obj_t BgL_newtail1594z00_2320;

																				{	/* SawMill/regalloc.scm 201 */
																					obj_t BgL_arg2004z00_2322;

																					{	/* SawMill/regalloc.scm 201 */
																						BgL_rtl_insz00_bglt BgL_oz00_4128;

																						BgL_oz00_4128 =
																							((BgL_rtl_insz00_bglt)
																							CAR(((obj_t) BgL_l1590z00_2316)));
																						{
																							BgL_rtl_inszf2razf2_bglt
																								BgL_auxz00_6531;
																							{
																								obj_t BgL_auxz00_6532;

																								{	/* SawMill/regalloc.scm 201 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_6533;
																									BgL_tmpz00_6533 =
																										((BgL_objectz00_bglt)
																										BgL_oz00_4128);
																									BgL_auxz00_6532 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_6533);
																								}
																								BgL_auxz00_6531 =
																									((BgL_rtl_inszf2razf2_bglt)
																									BgL_auxz00_6532);
																							}
																							BgL_arg2004z00_2322 =
																								(((BgL_rtl_inszf2razf2_bglt)
																									COBJECT(BgL_auxz00_6531))->
																								BgL_inz00);
																						}
																					}
																					BgL_newtail1594z00_2320 =
																						MAKE_YOUNG_PAIR(BgL_arg2004z00_2322,
																						BNIL);
																				}
																				SET_CDR(BgL_tail1593z00_2317,
																					BgL_newtail1594z00_2320);
																				{	/* SawMill/regalloc.scm 201 */
																					obj_t BgL_arg2003z00_2321;

																					BgL_arg2003z00_2321 =
																						CDR(((obj_t) BgL_l1590z00_2316));
																					{
																						obj_t BgL_tail1593z00_6543;
																						obj_t BgL_l1590z00_6542;

																						BgL_l1590z00_6542 =
																							BgL_arg2003z00_2321;
																						BgL_tail1593z00_6543 =
																							BgL_newtail1594z00_2320;
																						BgL_tail1593z00_2317 =
																							BgL_tail1593z00_6543;
																						BgL_l1590z00_2316 =
																							BgL_l1590z00_6542;
																						goto
																							BgL_zc3z04anonymousza32001ze3z87_2318;
																					}
																				}
																			}
																	}
																}
															}
															BgL_cellvalz00_6467 =
																BBOOL(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00
																(((BgL_regsetz00_bglt) BgL_arg1997z00_2309),
																	BgL_arg1999z00_2310));
														}
													else
														{	/* SawMill/regalloc.scm 200 */
															BgL_cellvalz00_6467 = BFALSE;
														}
												}
										}
										BgL_uz00_5472 = MAKE_CELL(BgL_cellvalz00_6467);
									}
									{	/* SawMill/regalloc.scm 204 */
										obj_t BgL_arg1984z00_2292;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_6547;

											{
												obj_t BgL_auxz00_6548;

												{	/* SawMill/regalloc.scm 204 */
													BgL_objectz00_bglt BgL_tmpz00_6549;

													BgL_tmpz00_6549 =
														((BgL_objectz00_bglt) BgL_i1211z00_2289);
													BgL_auxz00_6548 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6549);
												}
												BgL_auxz00_6547 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6548);
											}
											BgL_arg1984z00_2292 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6547))->
												BgL_outz00);
										}
										{	/* SawMill/regalloc.scm 205 */
											obj_t BgL_zc3z04anonymousza31985ze3z87_5466;

											BgL_zc3z04anonymousza31985ze3z87_5466 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_registerzd2allocationzd2,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_5466,
												(int) (((long) 0)), ((obj_t) BgL_i1211z00_2289));
											PROCEDURE_SET(BgL_zc3z04anonymousza31985ze3z87_5466,
												(int) (((long) 1)), ((obj_t) BgL_uz00_5472));
											BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
												(BgL_zc3z04anonymousza31985ze3z87_5466,
												((BgL_regsetz00_bglt) BgL_arg1984z00_2292));
									}}
									{	/* SawMill/regalloc.scm 208 */
										obj_t BgL_arg1990z00_2301;
										obj_t BgL_arg1991z00_2302;
										obj_t BgL_arg1992z00_2303;

										BgL_arg1990z00_2301 = CDR(BgL_inssz00_2284);
										BgL_arg1991z00_2302 = CAR(BgL_inssz00_2284);
										if (CBOOL(BgL_tz00_2286))
											{	/* SawMill/regalloc.scm 208 */
												BgL_arg1992z00_2303 = BgL_tz00_2286;
											}
										else
											{	/* SawMill/regalloc.scm 208 */
												BgL_arg1992z00_2303 = CELL_REF(BgL_uz00_5472);
											}
										{
											obj_t BgL_tz00_6571;
											obj_t BgL_succz00_6570;
											obj_t BgL_inssz00_6569;

											BgL_inssz00_6569 = BgL_arg1990z00_2301;
											BgL_succz00_6570 = BgL_arg1991z00_2302;
											BgL_tz00_6571 = BgL_arg1992z00_2303;
											BgL_tz00_2286 = BgL_tz00_6571;
											BgL_succz00_2285 = BgL_succz00_6570;
											BgL_inssz00_2284 = BgL_inssz00_6569;
											goto BgL_zc3z04anonymousza31981ze3z87_2287;
										}
									}
								}
							}
						else
							{	/* SawMill/regalloc.scm 195 */
								return BgL_tz00_2286;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5467, obj_t BgL_rz00_5470)
	{
		{	/* SawMill/regalloc.scm 204 */
			{	/* SawMill/regalloc.scm 205 */
				BgL_rtl_insz00_bglt BgL_i1211z00_5468;
				obj_t BgL_uz00_5469;

				BgL_i1211z00_5468 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5467, (int) (((long) 0))));
				BgL_uz00_5469 = PROCEDURE_REF(BgL_envz00_5467, (int) (((long) 1)));
				{	/* SawMill/regalloc.scm 205 */
					bool_t BgL_test3036z00_6577;

					{	/* SawMill/regalloc.scm 205 */
						obj_t BgL_arg1989z00_5652;

						{
							BgL_rtl_inszf2razf2_bglt BgL_auxz00_6578;

							{
								obj_t BgL_auxz00_6579;

								{	/* SawMill/regalloc.scm 205 */
									BgL_objectz00_bglt BgL_tmpz00_6580;

									BgL_tmpz00_6580 = ((BgL_objectz00_bglt) BgL_i1211z00_5468);
									BgL_auxz00_6579 = BGL_OBJECT_WIDENING(BgL_tmpz00_6580);
								}
								BgL_auxz00_6578 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6579);
							}
							BgL_arg1989z00_5652 =
								(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6578))->
								BgL_defz00);
						}
						BgL_test3036z00_6577 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_rz00_5470),
							((BgL_regsetz00_bglt) BgL_arg1989z00_5652));
					}
					if (BgL_test3036z00_6577)
						{	/* SawMill/regalloc.scm 205 */
							return BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 206 */
							obj_t BgL_auxz00_5653;

							{	/* SawMill/regalloc.scm 206 */
								bool_t BgL__ortest_1212z00_5654;

								{	/* SawMill/regalloc.scm 206 */
									obj_t BgL_arg1988z00_5655;

									{
										BgL_rtl_inszf2razf2_bglt BgL_auxz00_6588;

										{
											obj_t BgL_auxz00_6589;

											{	/* SawMill/regalloc.scm 206 */
												BgL_objectz00_bglt BgL_tmpz00_6590;

												BgL_tmpz00_6590 =
													((BgL_objectz00_bglt) BgL_i1211z00_5468);
												BgL_auxz00_6589 = BGL_OBJECT_WIDENING(BgL_tmpz00_6590);
											}
											BgL_auxz00_6588 =
												((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6589);
										}
										BgL_arg1988z00_5655 =
											(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6588))->
											BgL_inz00);
									}
									BgL__ortest_1212z00_5654 =
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
										((BgL_regsetz00_bglt) BgL_arg1988z00_5655),
										((BgL_rtl_regz00_bglt) BgL_rz00_5470));
								}
								if (BgL__ortest_1212z00_5654)
									{	/* SawMill/regalloc.scm 206 */
										BgL_auxz00_5653 = BBOOL(BgL__ortest_1212z00_5654);
									}
								else
									{	/* SawMill/regalloc.scm 206 */
										BgL_auxz00_5653 = CELL_REF(BgL_uz00_5469);
									}
							}
							return CELL_SET(BgL_uz00_5469, BgL_auxz00_5653);
						}
				}
			}
		}

	}



/* hardware-mutual-interference! */
	bool_t
		BGl_hardwarezd2mutualzd2interferencez12z12zzsaw_registerzd2allocationzd2
		(obj_t BgL_regsz00_76)
	{
		{	/* SawMill/regalloc.scm 231 */
			{
				obj_t BgL_rz00_2343;

				BgL_rz00_2343 = BgL_regsz00_76;
			BgL_zc3z04anonymousza32014ze3z87_2344:
				if (PAIRP(BgL_rz00_2343))
					{	/* SawMill/regalloc.scm 234 */
						obj_t BgL_r1z00_2346;

						BgL_r1z00_2346 = CAR(BgL_rz00_2343);
						{	/* SawMill/regalloc.scm 235 */
							obj_t BgL_g1605z00_2347;

							BgL_g1605z00_2347 = CDR(BgL_rz00_2343);
							{
								obj_t BgL_l1603z00_2349;

								BgL_l1603z00_2349 = BgL_g1605z00_2347;
							BgL_zc3z04anonymousza32016ze3z87_2350:
								if (PAIRP(BgL_l1603z00_2349))
									{	/* SawMill/regalloc.scm 235 */
										BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
											(BgL_r1z00_2346, CAR(BgL_l1603z00_2349));
										{
											obj_t BgL_l1603z00_6608;

											BgL_l1603z00_6608 = CDR(BgL_l1603z00_2349);
											BgL_l1603z00_2349 = BgL_l1603z00_6608;
											goto BgL_zc3z04anonymousza32016ze3z87_2350;
										}
									}
								else
									{	/* SawMill/regalloc.scm 235 */
										((bool_t) 1);
									}
							}
						}
						{
							obj_t BgL_rz00_6610;

							BgL_rz00_6610 = CDR(BgL_rz00_2343);
							BgL_rz00_2343 = BgL_rz00_6610;
							goto BgL_zc3z04anonymousza32014ze3z87_2344;
						}
					}
				else
					{	/* SawMill/regalloc.scm 233 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* hardware-parameters-interference! */
	bool_t
		BGl_hardwarezd2parameterszd2interferencez12z12zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_77, obj_t BgL_pregsz00_78)
	{
		{	/* SawMill/regalloc.scm 248 */
			{	/* SawMill/regalloc.scm 250 */
				obj_t BgL_g1610z00_2358;

				BgL_g1610z00_2358 =
					(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->BgL_registersz00);
				{
					obj_t BgL_l1608z00_2360;

					BgL_l1608z00_2360 = BgL_g1610z00_2358;
				BgL_zc3z04anonymousza32020ze3z87_2361:
					if (PAIRP(BgL_l1608z00_2360))
						{	/* SawMill/regalloc.scm 250 */
							{	/* SawMill/regalloc.scm 251 */
								obj_t BgL_rz00_2363;

								BgL_rz00_2363 = CAR(BgL_l1608z00_2360);
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
										(BgL_rz00_2363,
											(((BgL_backendz00_bglt) COBJECT(BgL_backz00_77))->
												BgL_pregistersz00))))
									{	/* SawMill/regalloc.scm 251 */
										((bool_t) 0);
									}
								else
									{
										obj_t BgL_l1606z00_2367;

										BgL_l1606z00_2367 = BgL_pregsz00_78;
									BgL_zc3z04anonymousza32024ze3z87_2368:
										if (PAIRP(BgL_l1606z00_2367))
											{	/* SawMill/regalloc.scm 252 */
												BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
													(CAR(BgL_l1606z00_2367), BgL_rz00_2363);
												{
													obj_t BgL_l1606z00_6624;

													BgL_l1606z00_6624 = CDR(BgL_l1606z00_2367);
													BgL_l1606z00_2367 = BgL_l1606z00_6624;
													goto BgL_zc3z04anonymousza32024ze3z87_2368;
												}
											}
										else
											{	/* SawMill/regalloc.scm 252 */
												((bool_t) 1);
											}
									}
							}
							{
								obj_t BgL_l1608z00_6626;

								BgL_l1608z00_6626 = CDR(BgL_l1608z00_2360);
								BgL_l1608z00_2360 = BgL_l1608z00_6626;
								goto BgL_zc3z04anonymousza32020ze3z87_2361;
							}
						}
					else
						{	/* SawMill/regalloc.scm 250 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* hardware-interference! */
	bool_t
		BGl_hardwarezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_79, obj_t BgL_oz00_80)
	{
		{	/* SawMill/regalloc.scm 263 */
			{
				obj_t BgL_oz00_2505;

				{
					obj_t BgL_l1634z00_2379;

					BgL_l1634z00_2379 = BgL_oz00_80;
				BgL_zc3z04anonymousza32031ze3z87_2380:
					if (PAIRP(BgL_l1634z00_2379))
						{	/* SawMill/regalloc.scm 311 */
							BgL_oz00_2505 = CAR(BgL_l1634z00_2379);
							{	/* SawMill/regalloc.scm 307 */
								obj_t BgL_g1633z00_2507;

								BgL_g1633z00_2507 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_oz00_2505)))->BgL_firstz00);
								{
									obj_t BgL_l1631z00_2509;

									BgL_l1631z00_2509 = BgL_g1633z00_2507;
								BgL_zc3z04anonymousza32113ze3z87_2510:
									if (PAIRP(BgL_l1631z00_2509))
										{	/* SawMill/regalloc.scm 310 */
											{	/* SawMill/regalloc.scm 308 */
												obj_t BgL_oz00_2512;

												BgL_oz00_2512 = CAR(BgL_l1631z00_2509);
												{	/* SawMill/regalloc.scm 309 */
													obj_t BgL_arg2115z00_2514;
													obj_t BgL_arg2116z00_2515;

													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6635;

														{
															obj_t BgL_auxz00_6636;

															{	/* SawMill/regalloc.scm 309 */
																BgL_objectz00_bglt BgL_tmpz00_6637;

																BgL_tmpz00_6637 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2512));
																BgL_auxz00_6636 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6637);
															}
															BgL_auxz00_6635 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6636);
														}
														BgL_arg2115z00_2514 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6635))->BgL_inz00);
													}
													{
														BgL_rtl_inszf2razf2_bglt BgL_auxz00_6643;

														{
															obj_t BgL_auxz00_6644;

															{	/* SawMill/regalloc.scm 309 */
																BgL_objectz00_bglt BgL_tmpz00_6645;

																BgL_tmpz00_6645 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_oz00_2512));
																BgL_auxz00_6644 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_6645);
															}
															BgL_auxz00_6643 =
																((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6644);
														}
														BgL_arg2116z00_2515 =
															(((BgL_rtl_inszf2razf2_bglt)
																COBJECT(BgL_auxz00_6643))->BgL_outz00);
													}
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_79,
														((BgL_rtl_insz00_bglt) BgL_oz00_2512),
														BgL_arg2115z00_2514, BgL_arg2116z00_2515);
												}
											}
											{
												obj_t BgL_l1631z00_6653;

												BgL_l1631z00_6653 = CDR(BgL_l1631z00_2509);
												BgL_l1631z00_2509 = BgL_l1631z00_6653;
												goto BgL_zc3z04anonymousza32113ze3z87_2510;
											}
										}
									else
										{	/* SawMill/regalloc.scm 310 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1634z00_6656;

								BgL_l1634z00_6656 = CDR(BgL_l1634z00_2379);
								BgL_l1634z00_2379 = BgL_l1634z00_6656;
								goto BgL_zc3z04anonymousza32031ze3z87_2380;
							}
						}
					else
						{	/* SawMill/regalloc.scm 311 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* ins-hardware-interference!~0 */
	bool_t
		BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_5637, BgL_rtl_insz00_bglt BgL_oz00_2385,
		obj_t BgL_inz00_2386, obj_t BgL_outz00_2387)
	{
		{	/* SawMill/regalloc.scm 305 */
			{	/* SawMill/regalloc.scm 265 */
				obj_t BgL_resetz00_2389;

				BgL_resetz00_2389 =
					BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
					(BgL_backz00_5637, ((obj_t) BgL_oz00_2385));
				{	/* SawMill/regalloc.scm 266 */
					obj_t BgL_spillz00_2390;
					obj_t BgL_rdestz00_2391;
					obj_t BgL_a0z00_2392;
					obj_t BgL_a1z00_2393;

					{	/* SawMill/regalloc.scm 275 */
						obj_t BgL_tmpz00_4147;

						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6660;

							BgL_tmpz00_6660 = (int) (((long) 1));
							BgL_tmpz00_4147 = BGL_MVALUES_VAL(BgL_tmpz00_6660);
						}
						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6663;

							BgL_tmpz00_6663 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6663, BUNSPEC);
						}
						BgL_spillz00_2390 = BgL_tmpz00_4147;
					}
					{	/* SawMill/regalloc.scm 275 */
						obj_t BgL_tmpz00_4148;

						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6666;

							BgL_tmpz00_6666 = (int) (((long) 2));
							BgL_tmpz00_4148 = BGL_MVALUES_VAL(BgL_tmpz00_6666);
						}
						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6669;

							BgL_tmpz00_6669 = (int) (((long) 2));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6669, BUNSPEC);
						}
						BgL_rdestz00_2391 = BgL_tmpz00_4148;
					}
					{	/* SawMill/regalloc.scm 275 */
						obj_t BgL_tmpz00_4149;

						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6672;

							BgL_tmpz00_6672 = (int) (((long) 3));
							BgL_tmpz00_4149 = BGL_MVALUES_VAL(BgL_tmpz00_6672);
						}
						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6675;

							BgL_tmpz00_6675 = (int) (((long) 3));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6675, BUNSPEC);
						}
						BgL_a0z00_2392 = BgL_tmpz00_4149;
					}
					{	/* SawMill/regalloc.scm 275 */
						obj_t BgL_tmpz00_4150;

						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6678;

							BgL_tmpz00_6678 = (int) (((long) 4));
							BgL_tmpz00_4150 = BGL_MVALUES_VAL(BgL_tmpz00_6678);
						}
						{	/* SawMill/regalloc.scm 275 */
							int BgL_tmpz00_6681;

							BgL_tmpz00_6681 = (int) (((long) 4));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_6681, BUNSPEC);
						}
						BgL_a1z00_2393 = BgL_tmpz00_4150;
					}
					if (NULLP(BgL_resetz00_2389))
						{	/* SawMill/regalloc.scm 267 */
							BFALSE;
						}
					else
						{	/* SawMill/regalloc.scm 267 */
							{	/* SawMill/regalloc.scm 269 */
								obj_t BgL_zc3z04anonymousza32040ze3z87_5475;

								BgL_zc3z04anonymousza32040ze3z87_5475 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_5475,
									(int) (((long) 0)), BgL_resetz00_2389);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32040ze3z87_5475,
									((BgL_regsetz00_bglt) BgL_inz00_2386));
							}
							{	/* SawMill/regalloc.scm 273 */
								obj_t BgL_zc3z04anonymousza32045ze3z87_5474;

								BgL_zc3z04anonymousza32045ze3z87_5474 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32045ze3ze5zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32045ze3z87_5474,
									(int) (((long) 0)), BgL_resetz00_2389);
								BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
									(BgL_zc3z04anonymousza32045ze3z87_5474,
									((BgL_regsetz00_bglt) BgL_outz00_2387));
						}}
					{	/* SawMill/regalloc.scm 279 */
						bool_t BgL_test3046z00_6700;

						if (PAIRP(BgL_rdestz00_2391))
							{	/* SawMill/regalloc.scm 279 */
								obj_t BgL_arg2059z00_2433;

								BgL_arg2059z00_2433 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->BgL_destz00);
								{	/* SawMill/regalloc.scm 279 */
									obj_t BgL_classz00_4155;

									BgL_classz00_4155 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									if (BGL_OBJECTP(BgL_arg2059z00_2433))
										{	/* SawMill/regalloc.scm 279 */
											BgL_objectz00_bglt BgL_arg1825z00_4157;

											BgL_arg1825z00_4157 =
												(BgL_objectz00_bglt) (BgL_arg2059z00_2433);
											{	/* SawMill/regalloc.scm 279 */
												bool_t BgL_arg1822z00_4160;
												bool_t BgL_arg1823z00_4161;

												{	/* SawMill/regalloc.scm 279 */
													long BgL_idxz00_4164;

													BgL_idxz00_4164 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4157);
													BgL_arg1822z00_4160 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4164 + ((long) 2))) ==
														BgL_classz00_4155);
												}
												{	/* SawMill/regalloc.scm 279 */
													bool_t BgL_res2785z00_4186;

													{	/* SawMill/regalloc.scm 279 */
														obj_t BgL_oclassz00_4172;

														{	/* SawMill/regalloc.scm 279 */
															long BgL_arg1833z00_4178;

															{	/* SawMill/regalloc.scm 279 */
																long BgL_arg1834z00_4179;

																BgL_arg1834z00_4179 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4157);
																BgL_arg1833z00_4178 =
																	(BgL_arg1834z00_4179 - OBJECT_TYPE);
															}
															BgL_oclassz00_4172 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4178);
														}
														{	/* SawMill/regalloc.scm 279 */
															bool_t BgL__ortest_1110z00_4173;

															BgL__ortest_1110z00_4173 =
																(BgL_classz00_4155 == BgL_oclassz00_4172);
															if (BgL__ortest_1110z00_4173)
																{	/* SawMill/regalloc.scm 279 */
																	BgL_res2785z00_4186 =
																		BgL__ortest_1110z00_4173;
																}
															else
																{	/* SawMill/regalloc.scm 279 */
																	long BgL_odepthz00_4174;

																	BgL_odepthz00_4174 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4172);
																	if ((((long) 2) < BgL_odepthz00_4174))
																		{	/* SawMill/regalloc.scm 279 */
																			obj_t BgL_arg1821z00_4176;

																			BgL_arg1821z00_4176 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4172, ((long) 2));
																			BgL_res2785z00_4186 =
																				(BgL_arg1821z00_4176 ==
																				BgL_classz00_4155);
																		}
																	else
																		{	/* SawMill/regalloc.scm 279 */
																			BgL_res2785z00_4186 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4161 = BgL_res2785z00_4186;
												}
												BgL_test3046z00_6700 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4160,
													BgL_arg1823z00_4161);
											}
										}
									else
										{	/* SawMill/regalloc.scm 279 */
											BgL_test3046z00_6700 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 279 */
								BgL_test3046z00_6700 = ((bool_t) 0);
							}
						if (BgL_test3046z00_6700)
							{	/* SawMill/regalloc.scm 280 */
								obj_t BgL_g1618z00_2422;

								BgL_g1618z00_2422 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5637))->
									BgL_registersz00);
								{
									obj_t BgL_l1616z00_2424;

									BgL_l1616z00_2424 = BgL_g1618z00_2422;
								BgL_zc3z04anonymousza32053ze3z87_2425:
									if (PAIRP(BgL_l1616z00_2424))
										{	/* SawMill/regalloc.scm 280 */
											{	/* SawMill/regalloc.scm 281 */
												obj_t BgL_rz00_2427;

												BgL_rz00_2427 = CAR(BgL_l1616z00_2424);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2427, BgL_rdestz00_2391)))
													{	/* SawMill/regalloc.scm 281 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 282 */
														obj_t BgL_arg2056z00_2429;

														BgL_arg2056z00_2429 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
															BgL_destz00);
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_arg2056z00_2429, BgL_rz00_2427);
													}
											}
											{
												obj_t BgL_l1616z00_6733;

												BgL_l1616z00_6733 = CDR(BgL_l1616z00_2424);
												BgL_l1616z00_2424 = BgL_l1616z00_6733;
												goto BgL_zc3z04anonymousza32053ze3z87_2425;
											}
										}
									else
										{	/* SawMill/regalloc.scm 280 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 279 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 285 */
						bool_t BgL_test3053z00_6735;

						if (PAIRP(BgL_a0z00_2392))
							{	/* SawMill/regalloc.scm 285 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 285 */
										BgL_test3053z00_6735 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 285 */
										obj_t BgL_arg2074z00_2454;

										{	/* SawMill/regalloc.scm 285 */
											obj_t BgL_pairz00_4189;

											BgL_pairz00_4189 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
												BgL_argsz00);
											BgL_arg2074z00_2454 = CAR(BgL_pairz00_4189);
										}
										{	/* SawMill/regalloc.scm 285 */
											obj_t BgL_classz00_4190;

											BgL_classz00_4190 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
											if (BGL_OBJECTP(BgL_arg2074z00_2454))
												{	/* SawMill/regalloc.scm 285 */
													BgL_objectz00_bglt BgL_arg1825z00_4192;

													BgL_arg1825z00_4192 =
														(BgL_objectz00_bglt) (BgL_arg2074z00_2454);
													{	/* SawMill/regalloc.scm 285 */
														bool_t BgL_arg1822z00_4195;
														bool_t BgL_arg1823z00_4196;

														{	/* SawMill/regalloc.scm 285 */
															long BgL_idxz00_4199;

															BgL_idxz00_4199 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4192);
															BgL_arg1822z00_4195 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4199 + ((long) 2))) ==
																BgL_classz00_4190);
														}
														{	/* SawMill/regalloc.scm 285 */
															bool_t BgL_res2786z00_4221;

															{	/* SawMill/regalloc.scm 285 */
																obj_t BgL_oclassz00_4207;

																{	/* SawMill/regalloc.scm 285 */
																	long BgL_arg1833z00_4213;

																	{	/* SawMill/regalloc.scm 285 */
																		long BgL_arg1834z00_4214;

																		BgL_arg1834z00_4214 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4192);
																		BgL_arg1833z00_4213 =
																			(BgL_arg1834z00_4214 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4207 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4213);
																}
																{	/* SawMill/regalloc.scm 285 */
																	bool_t BgL__ortest_1110z00_4208;

																	BgL__ortest_1110z00_4208 =
																		(BgL_classz00_4190 == BgL_oclassz00_4207);
																	if (BgL__ortest_1110z00_4208)
																		{	/* SawMill/regalloc.scm 285 */
																			BgL_res2786z00_4221 =
																				BgL__ortest_1110z00_4208;
																		}
																	else
																		{	/* SawMill/regalloc.scm 285 */
																			long BgL_odepthz00_4209;

																			BgL_odepthz00_4209 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4207);
																			if ((((long) 2) < BgL_odepthz00_4209))
																				{	/* SawMill/regalloc.scm 285 */
																					obj_t BgL_arg1821z00_4211;

																					BgL_arg1821z00_4211 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4207, ((long) 2));
																					BgL_res2786z00_4221 =
																						(BgL_arg1821z00_4211 ==
																						BgL_classz00_4190);
																				}
																			else
																				{	/* SawMill/regalloc.scm 285 */
																					BgL_res2786z00_4221 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4196 = BgL_res2786z00_4221;
														}
														BgL_test3053z00_6735 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4195,
															BgL_arg1823z00_4196);
													}
												}
											else
												{	/* SawMill/regalloc.scm 285 */
													BgL_test3053z00_6735 = ((bool_t) 0);
												}
										}
									}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								BgL_test3053z00_6735 = ((bool_t) 0);
							}
						if (BgL_test3053z00_6735)
							{	/* SawMill/regalloc.scm 286 */
								obj_t BgL_g1622z00_2441;

								BgL_g1622z00_2441 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5637))->
									BgL_registersz00);
								{
									obj_t BgL_l1620z00_2443;

									BgL_l1620z00_2443 = BgL_g1622z00_2441;
								BgL_zc3z04anonymousza32067ze3z87_2444:
									if (PAIRP(BgL_l1620z00_2443))
										{	/* SawMill/regalloc.scm 286 */
											{	/* SawMill/regalloc.scm 287 */
												obj_t BgL_rz00_2446;

												BgL_rz00_2446 = CAR(BgL_l1620z00_2443);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2446, BgL_a0z00_2392)))
													{	/* SawMill/regalloc.scm 287 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 288 */
														obj_t BgL_arg2071z00_2448;

														{	/* SawMill/regalloc.scm 288 */
															obj_t BgL_pairz00_4223;

															BgL_pairz00_4223 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
																BgL_argsz00);
															BgL_arg2071z00_2448 = CAR(BgL_pairz00_4223);
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2446, BgL_arg2071z00_2448);
													}
											}
											{
												obj_t BgL_l1620z00_6774;

												BgL_l1620z00_6774 = CDR(BgL_l1620z00_2443);
												BgL_l1620z00_2443 = BgL_l1620z00_6774;
												goto BgL_zc3z04anonymousza32067ze3z87_2444;
											}
										}
									else
										{	/* SawMill/regalloc.scm 286 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 285 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 291 */
						bool_t BgL_test3061z00_6776;

						if (PAIRP(BgL_a1z00_2393))
							{	/* SawMill/regalloc.scm 291 */
								if (NULLP(
										(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
											BgL_argsz00)))
									{	/* SawMill/regalloc.scm 292 */
										BgL_test3061z00_6776 = ((bool_t) 0);
									}
								else
									{	/* SawMill/regalloc.scm 292 */
										bool_t BgL_test3064z00_6783;

										{	/* SawMill/regalloc.scm 292 */
											obj_t BgL_tmpz00_6784;

											{	/* SawMill/regalloc.scm 292 */
												obj_t BgL_pairz00_4225;

												BgL_pairz00_4225 =
													(((BgL_rtl_insz00_bglt) COBJECT(
															((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
													BgL_argsz00);
												BgL_tmpz00_6784 = CDR(BgL_pairz00_4225);
											}
											BgL_test3064z00_6783 = PAIRP(BgL_tmpz00_6784);
										}
										if (BgL_test3064z00_6783)
											{	/* SawMill/regalloc.scm 293 */
												obj_t BgL_arg2096z00_2483;

												{	/* SawMill/regalloc.scm 293 */
													obj_t BgL_pairz00_4226;

													BgL_pairz00_4226 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
														BgL_argsz00);
													BgL_arg2096z00_2483 = CAR(CDR(BgL_pairz00_4226));
												}
												{	/* SawMill/regalloc.scm 293 */
													obj_t BgL_classz00_4230;

													BgL_classz00_4230 =
														BGl_rtl_regzf2razf2zzsaw_regsetz00;
													if (BGL_OBJECTP(BgL_arg2096z00_2483))
														{	/* SawMill/regalloc.scm 293 */
															BgL_objectz00_bglt BgL_arg1825z00_4232;

															BgL_arg1825z00_4232 =
																(BgL_objectz00_bglt) (BgL_arg2096z00_2483);
															{	/* SawMill/regalloc.scm 293 */
																bool_t BgL_arg1822z00_4235;
																bool_t BgL_arg1823z00_4236;

																{	/* SawMill/regalloc.scm 293 */
																	long BgL_idxz00_4239;

																	BgL_idxz00_4239 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_4232);
																	BgL_arg1822z00_4235 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_4239 + ((long) 2))) ==
																		BgL_classz00_4230);
																}
																{	/* SawMill/regalloc.scm 293 */
																	bool_t BgL_res2787z00_4261;

																	{	/* SawMill/regalloc.scm 293 */
																		obj_t BgL_oclassz00_4247;

																		{	/* SawMill/regalloc.scm 293 */
																			long BgL_arg1833z00_4253;

																			{	/* SawMill/regalloc.scm 293 */
																				long BgL_arg1834z00_4254;

																				BgL_arg1834z00_4254 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_4232);
																				BgL_arg1833z00_4253 =
																					(BgL_arg1834z00_4254 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_4247 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_4253);
																		}
																		{	/* SawMill/regalloc.scm 293 */
																			bool_t BgL__ortest_1110z00_4248;

																			BgL__ortest_1110z00_4248 =
																				(BgL_classz00_4230 ==
																				BgL_oclassz00_4247);
																			if (BgL__ortest_1110z00_4248)
																				{	/* SawMill/regalloc.scm 293 */
																					BgL_res2787z00_4261 =
																						BgL__ortest_1110z00_4248;
																				}
																			else
																				{	/* SawMill/regalloc.scm 293 */
																					long BgL_odepthz00_4249;

																					BgL_odepthz00_4249 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_4247);
																					if ((((long) 2) < BgL_odepthz00_4249))
																						{	/* SawMill/regalloc.scm 293 */
																							obj_t BgL_arg1821z00_4251;

																							BgL_arg1821z00_4251 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_4247,
																								((long) 2));
																							BgL_res2787z00_4261 =
																								(BgL_arg1821z00_4251 ==
																								BgL_classz00_4230);
																						}
																					else
																						{	/* SawMill/regalloc.scm 293 */
																							BgL_res2787z00_4261 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_4236 = BgL_res2787z00_4261;
																}
																BgL_test3061z00_6776 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_4235,
																	BgL_arg1823z00_4236);
															}
														}
													else
														{	/* SawMill/regalloc.scm 293 */
															BgL_test3061z00_6776 = ((bool_t) 0);
														}
												}
											}
										else
											{	/* SawMill/regalloc.scm 292 */
												BgL_test3061z00_6776 = ((bool_t) 0);
											}
									}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								BgL_test3061z00_6776 = ((bool_t) 0);
							}
						if (BgL_test3061z00_6776)
							{	/* SawMill/regalloc.scm 294 */
								obj_t BgL_g1625z00_2469;

								BgL_g1625z00_2469 =
									(((BgL_backendz00_bglt) COBJECT(BgL_backz00_5637))->
									BgL_registersz00);
								{
									obj_t BgL_l1623z00_2471;

									BgL_l1623z00_2471 = BgL_g1625z00_2469;
								BgL_zc3z04anonymousza32090ze3z87_2472:
									if (PAIRP(BgL_l1623z00_2471))
										{	/* SawMill/regalloc.scm 294 */
											{	/* SawMill/regalloc.scm 295 */
												obj_t BgL_rz00_2474;

												BgL_rz00_2474 = CAR(BgL_l1623z00_2471);
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_rz00_2474, BgL_a1z00_2393)))
													{	/* SawMill/regalloc.scm 295 */
														((bool_t) 0);
													}
												else
													{	/* SawMill/regalloc.scm 296 */
														obj_t BgL_arg2093z00_2476;

														{	/* SawMill/regalloc.scm 296 */
															obj_t BgL_pairz00_4263;

															BgL_pairz00_4263 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->
																BgL_argsz00);
															BgL_arg2093z00_2476 = CAR(CDR(BgL_pairz00_4263));
														}
														BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
															(BgL_rz00_2474, BgL_arg2093z00_2476);
													}
											}
											{
												obj_t BgL_l1623z00_6823;

												BgL_l1623z00_6823 = CDR(BgL_l1623z00_2471);
												BgL_l1623z00_2471 = BgL_l1623z00_6823;
												goto BgL_zc3z04anonymousza32090ze3z87_2472;
											}
										}
									else
										{	/* SawMill/regalloc.scm 294 */
											((bool_t) 1);
										}
								}
							}
						else
							{	/* SawMill/regalloc.scm 291 */
								((bool_t) 0);
							}
					}
					{	/* SawMill/regalloc.scm 299 */
						obj_t BgL_g1628z00_2488;

						BgL_g1628z00_2488 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_2385)))->BgL_argsz00);
						{
							obj_t BgL_l1626z00_2490;

							BgL_l1626z00_2490 = BgL_g1628z00_2488;
						BgL_zc3z04anonymousza32103ze3z87_2491:
							if (PAIRP(BgL_l1626z00_2490))
								{	/* SawMill/regalloc.scm 299 */
									{	/* SawMill/regalloc.scm 300 */
										obj_t BgL_az00_2493;

										BgL_az00_2493 = CAR(BgL_l1626z00_2490);
										{	/* SawMill/regalloc.scm 300 */
											bool_t BgL_test3071z00_6830;

											{	/* SawMill/regalloc.scm 300 */
												obj_t BgL_classz00_4269;

												BgL_classz00_4269 = BGl_rtl_insz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_az00_2493))
													{	/* SawMill/regalloc.scm 300 */
														BgL_objectz00_bglt BgL_arg1825z00_4271;

														BgL_arg1825z00_4271 =
															(BgL_objectz00_bglt) (BgL_az00_2493);
														{	/* SawMill/regalloc.scm 300 */
															bool_t BgL_arg1822z00_4274;
															bool_t BgL_arg1823z00_4275;

															{	/* SawMill/regalloc.scm 300 */
																long BgL_idxz00_4278;

																BgL_idxz00_4278 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4271);
																BgL_arg1822z00_4274 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4278 + ((long) 1))) ==
																	BgL_classz00_4269);
															}
															{	/* SawMill/regalloc.scm 300 */
																bool_t BgL_res2788z00_4300;

																{	/* SawMill/regalloc.scm 300 */
																	obj_t BgL_oclassz00_4286;

																	{	/* SawMill/regalloc.scm 300 */
																		long BgL_arg1833z00_4292;

																		{	/* SawMill/regalloc.scm 300 */
																			long BgL_arg1834z00_4293;

																			BgL_arg1834z00_4293 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4271);
																			BgL_arg1833z00_4292 =
																				(BgL_arg1834z00_4293 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4286 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4292);
																	}
																	{	/* SawMill/regalloc.scm 300 */
																		bool_t BgL__ortest_1110z00_4287;

																		BgL__ortest_1110z00_4287 =
																			(BgL_classz00_4269 == BgL_oclassz00_4286);
																		if (BgL__ortest_1110z00_4287)
																			{	/* SawMill/regalloc.scm 300 */
																				BgL_res2788z00_4300 =
																					BgL__ortest_1110z00_4287;
																			}
																		else
																			{	/* SawMill/regalloc.scm 300 */
																				long BgL_odepthz00_4288;

																				BgL_odepthz00_4288 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4286);
																				if ((((long) 1) < BgL_odepthz00_4288))
																					{	/* SawMill/regalloc.scm 300 */
																						obj_t BgL_arg1821z00_4290;

																						BgL_arg1821z00_4290 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4286, ((long) 1));
																						BgL_res2788z00_4300 =
																							(BgL_arg1821z00_4290 ==
																							BgL_classz00_4269);
																					}
																				else
																					{	/* SawMill/regalloc.scm 300 */
																						BgL_res2788z00_4300 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4275 = BgL_res2788z00_4300;
															}
															BgL_test3071z00_6830 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4274,
																BgL_arg1823z00_4275);
														}
													}
												else
													{	/* SawMill/regalloc.scm 300 */
														BgL_test3071z00_6830 = ((bool_t) 0);
													}
											}
											if (BgL_test3071z00_6830)
												{	/* SawMill/regalloc.scm 300 */
													BGl_inszd2hardwarezd2interferencez12ze70zf5zzsaw_registerzd2allocationzd2
														(BgL_backz00_5637,
														((BgL_rtl_insz00_bglt) BgL_az00_2493),
														BgL_inz00_2386, BgL_outz00_2387);
												}
											else
												{	/* SawMill/regalloc.scm 300 */
													((bool_t) 0);
												}
										}
									}
									{
										obj_t BgL_l1626z00_6851;

										BgL_l1626z00_6851 = CDR(BgL_l1626z00_2490);
										BgL_l1626z00_2490 = BgL_l1626z00_6851;
										goto BgL_zc3z04anonymousza32103ze3z87_2491;
									}
								}
							else
								{	/* SawMill/regalloc.scm 299 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1629z00_2498;

						BgL_l1629z00_2498 = BgL_spillz00_2390;
					BgL_zc3z04anonymousza32107ze3z87_2499:
						if (PAIRP(BgL_l1629z00_2498))
							{	/* SawMill/regalloc.scm 303 */
								{	/* SawMill/regalloc.scm 304 */
									obj_t BgL_rz00_2501;

									BgL_rz00_2501 = CAR(BgL_l1629z00_2498);
									{	/* SawMill/regalloc.scm 304 */
										obj_t BgL_arg2109z00_2502;

										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_6856;

											{
												obj_t BgL_auxz00_6857;

												{	/* SawMill/regalloc.scm 304 */
													BgL_objectz00_bglt BgL_tmpz00_6858;

													BgL_tmpz00_6858 =
														((BgL_objectz00_bglt) BgL_oz00_2385);
													BgL_auxz00_6857 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6858);
												}
												BgL_auxz00_6856 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6857);
											}
											BgL_arg2109z00_2502 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6856))->
												BgL_spillz00);
										}
										BGl_regsetzd2addz12zc0zzsaw_regsetz00(
											((BgL_regsetz00_bglt) BgL_arg2109z00_2502),
											((BgL_rtl_regz00_bglt) BgL_rz00_2501));
									}
								}
								{
									obj_t BgL_l1629z00_6866;

									BgL_l1629z00_6866 = CDR(BgL_l1629z00_2498);
									BgL_l1629z00_2498 = BgL_l1629z00_6866;
									goto BgL_zc3z04anonymousza32107ze3z87_2499;
								}
							}
						else
							{	/* SawMill/regalloc.scm 303 */
								return ((bool_t) 1);
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2045> */
	obj_t BGl_z62zc3z04anonymousza32045ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5476, obj_t BgL_r1z00_5478)
	{
		{	/* SawMill/regalloc.scm 272 */
			{	/* SawMill/regalloc.scm 273 */
				obj_t BgL_resetz00_5477;

				BgL_resetz00_5477 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5476, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 273 */
					bool_t BgL_tmpz00_6871;

					{
						obj_t BgL_l1614z00_5657;

						BgL_l1614z00_5657 = BgL_resetz00_5477;
					BgL_zc3z04anonymousza32046ze3z87_5656:
						if (PAIRP(BgL_l1614z00_5657))
							{	/* SawMill/regalloc.scm 273 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5478, CAR(BgL_l1614z00_5657));
								{
									obj_t BgL_l1614z00_6876;

									BgL_l1614z00_6876 = CDR(BgL_l1614z00_5657);
									BgL_l1614z00_5657 = BgL_l1614z00_6876;
									goto BgL_zc3z04anonymousza32046ze3z87_5656;
								}
							}
						else
							{	/* SawMill/regalloc.scm 273 */
								BgL_tmpz00_6871 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_6871);
				}
			}
		}

	}



/* &<@anonymous:2040> */
	obj_t BGl_z62zc3z04anonymousza32040ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5479, obj_t BgL_r1z00_5481)
	{
		{	/* SawMill/regalloc.scm 268 */
			{	/* SawMill/regalloc.scm 269 */
				obj_t BgL_resetz00_5480;

				BgL_resetz00_5480 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5479, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 269 */
					bool_t BgL_tmpz00_6882;

					{
						obj_t BgL_l1612z00_5659;

						BgL_l1612z00_5659 = BgL_resetz00_5480;
					BgL_zc3z04anonymousza32041ze3z87_5658:
						if (PAIRP(BgL_l1612z00_5659))
							{	/* SawMill/regalloc.scm 269 */
								BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
									(BgL_r1z00_5481, CAR(BgL_l1612z00_5659));
								{
									obj_t BgL_l1612z00_6887;

									BgL_l1612z00_6887 = CDR(BgL_l1612z00_5659);
									BgL_l1612z00_5659 = BgL_l1612z00_6887;
									goto BgL_zc3z04anonymousza32041ze3z87_5658;
								}
							}
						else
							{	/* SawMill/regalloc.scm 269 */
								BgL_tmpz00_6882 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_tmpz00_6882);
				}
			}
		}

	}



/* interference! */
	obj_t BGl_interferencez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_83, obj_t BgL_regsz00_84)
	{
		{	/* SawMill/regalloc.scm 344 */
			{	/* SawMill/regalloc.scm 345 */
				obj_t BgL_list2118z00_2520;

				BgL_list2118z00_2520 =
					MAKE_YOUNG_PAIR(BGl_string2843z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list2118z00_2520);
			}
			{
				obj_t BgL_l1642z00_2522;

				BgL_l1642z00_2522 = BgL_blocksz00_83;
			BgL_zc3z04anonymousza32119ze3z87_2523:
				if (PAIRP(BgL_l1642z00_2522))
					{	/* SawMill/regalloc.scm 347 */
						{	/* SawMill/regalloc.scm 348 */
							obj_t BgL_bz00_2525;

							BgL_bz00_2525 = CAR(BgL_l1642z00_2522);
							{	/* SawMill/regalloc.scm 348 */
								obj_t BgL_g1641z00_2526;

								BgL_g1641z00_2526 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_2525)))->BgL_firstz00);
								{
									obj_t BgL_l1639z00_2528;

									BgL_l1639z00_2528 = BgL_g1641z00_2526;
								BgL_zc3z04anonymousza32121ze3z87_2529:
									if (PAIRP(BgL_l1639z00_2528))
										{	/* SawMill/regalloc.scm 348 */
											{	/* SawMill/regalloc.scm 348 */
												obj_t BgL_iz00_2531;

												BgL_iz00_2531 = CAR(BgL_l1639z00_2528);
												BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_insz00_bglt) BgL_iz00_2531));
											}
											{
												obj_t BgL_l1639z00_6903;

												BgL_l1639z00_6903 = CDR(BgL_l1639z00_2528);
												BgL_l1639z00_2528 = BgL_l1639z00_6903;
												goto BgL_zc3z04anonymousza32121ze3z87_2529;
											}
										}
									else
										{	/* SawMill/regalloc.scm 348 */
											((bool_t) 1);
										}
								}
							}
						}
						{
							obj_t BgL_l1642z00_6905;

							BgL_l1642z00_6905 = CDR(BgL_l1642z00_2522);
							BgL_l1642z00_2522 = BgL_l1642z00_6905;
							goto BgL_zc3z04anonymousza32119ze3z87_2523;
						}
					}
				else
					{	/* SawMill/regalloc.scm 347 */
						((bool_t) 1);
					}
			}
			{	/* SawMill/regalloc.scm 350 */
				obj_t BgL_list2125z00_2536;

				BgL_list2125z00_2536 =
					MAKE_YOUNG_PAIR(BGl_string2844z00zzsaw_registerzd2allocationzd2,
					BNIL);
				return BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
					BgL_list2125z00_2536);
		}}

	}



/* interfere-ins! */
	obj_t
		BGl_interferezd2insz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_insz00_bglt
		BgL_iz00_85)
	{
		{	/* SawMill/regalloc.scm 355 */
			{	/* SawMill/regalloc.scm 358 */
				obj_t BgL_arg2127z00_2539;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_6910;

					{
						obj_t BgL_auxz00_6911;

						{	/* SawMill/regalloc.scm 357 */
							BgL_objectz00_bglt BgL_tmpz00_6912;

							BgL_tmpz00_6912 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_6911 = BGL_OBJECT_WIDENING(BgL_tmpz00_6912);
						}
						BgL_auxz00_6910 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6911);
					}
					BgL_arg2127z00_2539 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6910))->BgL_inz00);
				}
				{	/* SawMill/regalloc.scm 360 */
					obj_t BgL_zc3z04anonymousza32128ze3z87_5485;

					BgL_zc3z04anonymousza32128ze3z87_5485 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32128ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32128ze3z87_5485,
						(int) (((long) 0)), ((obj_t) BgL_iz00_85));
					BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32128ze3z87_5485,
						((BgL_regsetz00_bglt) BgL_arg2127z00_2539));
			}}
			{	/* SawMill/regalloc.scm 365 */
				obj_t BgL_arg2133z00_2549;

				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_6925;

					{
						obj_t BgL_auxz00_6926;

						{	/* SawMill/regalloc.scm 364 */
							BgL_objectz00_bglt BgL_tmpz00_6927;

							BgL_tmpz00_6927 = ((BgL_objectz00_bglt) BgL_iz00_85);
							BgL_auxz00_6926 = BGL_OBJECT_WIDENING(BgL_tmpz00_6927);
						}
						BgL_auxz00_6925 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6926);
					}
					BgL_arg2133z00_2549 =
						(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6925))->BgL_outz00);
				}
				{	/* SawMill/regalloc.scm 367 */
					obj_t BgL_zc3z04anonymousza32134ze3z87_5483;

					BgL_zc3z04anonymousza32134ze3z87_5483 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32134ze3z87_5483,
						(int) (((long) 0)), ((obj_t) BgL_iz00_85));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32134ze3z87_5483,
						((BgL_regsetz00_bglt) BgL_arg2133z00_2549));
				}
			}
		}

	}



/* &<@anonymous:2134> */
	obj_t BGl_z62zc3z04anonymousza32134ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5486, obj_t BgL_r1z00_5488)
	{
		{	/* SawMill/regalloc.scm 365 */
			{	/* SawMill/regalloc.scm 367 */
				BgL_rtl_insz00_bglt BgL_i1220z00_5487;

				BgL_i1220z00_5487 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5486, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 367 */
					obj_t BgL_arg2137z00_5660;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_6943;

						{
							obj_t BgL_auxz00_6944;

							{	/* SawMill/regalloc.scm 366 */
								BgL_objectz00_bglt BgL_tmpz00_6945;

								BgL_tmpz00_6945 = ((BgL_objectz00_bglt) BgL_i1220z00_5487);
								BgL_auxz00_6944 = BGL_OBJECT_WIDENING(BgL_tmpz00_6945);
							}
							BgL_auxz00_6943 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6944);
						}
						BgL_arg2137z00_5660 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6943))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 368 */
						obj_t BgL_zc3z04anonymousza32138ze3z87_5661;

						BgL_zc3z04anonymousza32138ze3z87_5661 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32138ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32138ze3z87_5661,
							(int) (((long) 0)), BgL_r1z00_5488);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32138ze3z87_5661,
							((BgL_regsetz00_bglt) BgL_arg2137z00_5660));
					}
				}
			}
		}

	}



/* &<@anonymous:2138> */
	obj_t BGl_z62zc3z04anonymousza32138ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5489, obj_t BgL_r2z00_5491)
	{
		{	/* SawMill/regalloc.scm 367 */
			{	/* SawMill/regalloc.scm 368 */
				obj_t BgL_r1z00_5490;

				BgL_r1z00_5490 = PROCEDURE_REF(BgL_envz00_5489, (int) (((long) 0)));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5490, BgL_r2z00_5491));
			}
		}

	}



/* &<@anonymous:2128> */
	obj_t BGl_z62zc3z04anonymousza32128ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5492, obj_t BgL_r1z00_5494)
	{
		{	/* SawMill/regalloc.scm 358 */
			{	/* SawMill/regalloc.scm 360 */
				BgL_rtl_insz00_bglt BgL_i1220z00_5493;

				BgL_i1220z00_5493 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5492, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 360 */
					obj_t BgL_arg2130z00_5662;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_6964;

						{
							obj_t BgL_auxz00_6965;

							{	/* SawMill/regalloc.scm 359 */
								BgL_objectz00_bglt BgL_tmpz00_6966;

								BgL_tmpz00_6966 = ((BgL_objectz00_bglt) BgL_i1220z00_5493);
								BgL_auxz00_6965 = BGL_OBJECT_WIDENING(BgL_tmpz00_6966);
							}
							BgL_auxz00_6964 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_6965);
						}
						BgL_arg2130z00_5662 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_6964))->
							BgL_inz00);
					}
					{	/* SawMill/regalloc.scm 361 */
						obj_t BgL_zc3z04anonymousza32131ze3z87_5663;

						BgL_zc3z04anonymousza32131ze3z87_5663 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32131ze3z87_5663,
							(int) (((long) 0)), BgL_r1z00_5494);
						return
							BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
							(BgL_zc3z04anonymousza32131ze3z87_5663,
							((BgL_regsetz00_bglt) BgL_arg2130z00_5662));
					}
				}
			}
		}

	}



/* &<@anonymous:2131> */
	obj_t BGl_z62zc3z04anonymousza32131ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5495, obj_t BgL_r2z00_5497)
	{
		{	/* SawMill/regalloc.scm 360 */
			{	/* SawMill/regalloc.scm 361 */
				obj_t BgL_r1z00_5496;

				BgL_r1z00_5496 = PROCEDURE_REF(BgL_envz00_5495, (int) (((long) 0)));
				return
					BBOOL(BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
					(BgL_r1z00_5496, BgL_r2z00_5497));
			}
		}

	}



/* interfere-reg! */
	bool_t BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_r1z00_86, obj_t BgL_r2z00_87)
	{
		{	/* SawMill/regalloc.scm 375 */
			{	/* SawMill/regalloc.scm 376 */
				bool_t BgL_test3080z00_6982;

				if ((BgL_r1z00_86 == BgL_r2z00_87))
					{	/* SawMill/regalloc.scm 376 */
						BgL_test3080z00_6982 = ((bool_t) 1);
					}
				else
					{	/* SawMill/regalloc.scm 376 */
						obj_t BgL_arg2144z00_2564;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_6985;

							{
								obj_t BgL_auxz00_6986;

								{	/* SawMill/regalloc.scm 376 */
									BgL_objectz00_bglt BgL_tmpz00_6987;

									BgL_tmpz00_6987 =
										((BgL_objectz00_bglt) ((BgL_rtl_regz00_bglt) BgL_r1z00_86));
									BgL_auxz00_6986 = BGL_OBJECT_WIDENING(BgL_tmpz00_6987);
								}
								BgL_auxz00_6985 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6986);
							}
							BgL_arg2144z00_2564 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6985))->
								BgL_interferez00);
						}
						BgL_test3080z00_6982 =
							BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
							((BgL_rtl_regz00_bglt) BgL_r2z00_87),
							((BgL_regsetz00_bglt) BgL_arg2144z00_2564));
					}
				if (BgL_test3080z00_6982)
					{	/* SawMill/regalloc.scm 376 */
						return ((bool_t) 0);
					}
				else
					{	/* SawMill/regalloc.scm 376 */
						{	/* SawMill/regalloc.scm 377 */
							obj_t BgL_arg2142z00_2561;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_6996;

								{
									obj_t BgL_auxz00_6997;

									{	/* SawMill/regalloc.scm 377 */
										BgL_objectz00_bglt BgL_tmpz00_6998;

										BgL_tmpz00_6998 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r1z00_86));
										BgL_auxz00_6997 = BGL_OBJECT_WIDENING(BgL_tmpz00_6998);
									}
									BgL_auxz00_6996 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_6997);
								}
								BgL_arg2142z00_2561 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_6996))->
									BgL_interferez00);
							}
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2142z00_2561),
								((BgL_rtl_regz00_bglt) BgL_r2z00_87));
						}
						{	/* SawMill/regalloc.scm 378 */
							obj_t BgL_arg2143z00_2562;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7007;

								{
									obj_t BgL_auxz00_7008;

									{	/* SawMill/regalloc.scm 378 */
										BgL_objectz00_bglt BgL_tmpz00_7009;

										BgL_tmpz00_7009 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_r2z00_87));
										BgL_auxz00_7008 = BGL_OBJECT_WIDENING(BgL_tmpz00_7009);
									}
									BgL_auxz00_7007 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7008);
								}
								BgL_arg2143z00_2562 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7007))->
									BgL_interferez00);
							}
							return
								BGl_regsetzd2addz12zc0zzsaw_regsetz00(
								((BgL_regsetz00_bglt) BgL_arg2143z00_2562),
								((BgL_rtl_regz00_bglt) BgL_r1z00_86));
						}
					}
			}
		}

	}



/* cleanup-dest! */
	obj_t BGl_cleanupzd2destz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_88)
	{
		{	/* SawMill/regalloc.scm 383 */
			{	/* SawMill/regalloc.scm 384 */
				obj_t BgL_list2145z00_2565;

				BgL_list2145z00_2565 =
					MAKE_YOUNG_PAIR(BGl_string2845z00zzsaw_registerzd2allocationzd2,
					BNIL);
				BGl_verbosez00zztools_speekz00(BINT(((long) 3)), BgL_list2145z00_2565);
			}
			{	/* SawMill/regalloc.scm 385 */
				long BgL_nz00_2566;

				BgL_nz00_2566 = ((long) 0);
				{
					obj_t BgL_l1647z00_2568;

					BgL_l1647z00_2568 = BgL_blocksz00_88;
				BgL_zc3z04anonymousza32146ze3z87_2569:
					if (PAIRP(BgL_l1647z00_2568))
						{	/* SawMill/regalloc.scm 386 */
							{	/* SawMill/regalloc.scm 387 */
								obj_t BgL_bz00_2571;

								BgL_bz00_2571 = CAR(BgL_l1647z00_2568);
								{	/* SawMill/regalloc.scm 387 */
									obj_t BgL_g1646z00_2572;

									BgL_g1646z00_2572 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_bz00_2571)))->BgL_firstz00);
									{
										obj_t BgL_l1644z00_2574;

										BgL_l1644z00_2574 = BgL_g1646z00_2572;
									BgL_zc3z04anonymousza32148ze3z87_2575:
										if (PAIRP(BgL_l1644z00_2574))
											{	/* SawMill/regalloc.scm 393 */
												{	/* SawMill/regalloc.scm 388 */
													obj_t BgL_iz00_2577;

													BgL_iz00_2577 = CAR(BgL_l1644z00_2574);
													{	/* SawMill/regalloc.scm 389 */
														bool_t BgL_test3084z00_7029;

														{	/* SawMill/regalloc.scm 389 */
															obj_t BgL_arg2157z00_2586;

															BgL_arg2157z00_2586 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_2577))))->
																BgL_destz00);
															{	/* SawMill/regalloc.scm 389 */
																obj_t BgL_classz00_4331;

																BgL_classz00_4331 =
																	BGl_rtl_regzf2razf2zzsaw_regsetz00;
																if (BGL_OBJECTP(BgL_arg2157z00_2586))
																	{	/* SawMill/regalloc.scm 389 */
																		BgL_objectz00_bglt BgL_arg1825z00_4333;

																		BgL_arg1825z00_4333 =
																			(BgL_objectz00_bglt)
																			(BgL_arg2157z00_2586);
																		{	/* SawMill/regalloc.scm 389 */
																			bool_t BgL_arg1822z00_4336;
																			bool_t BgL_arg1823z00_4337;

																			{	/* SawMill/regalloc.scm 389 */
																				long BgL_idxz00_4340;

																				BgL_idxz00_4340 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_4333);
																				BgL_arg1822z00_4336 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_4340 + ((long) 2))) ==
																					BgL_classz00_4331);
																			}
																			{	/* SawMill/regalloc.scm 389 */
																				bool_t BgL_res2789z00_4362;

																				{	/* SawMill/regalloc.scm 389 */
																					obj_t BgL_oclassz00_4348;

																					{	/* SawMill/regalloc.scm 389 */
																						long BgL_arg1833z00_4354;

																						{	/* SawMill/regalloc.scm 389 */
																							long BgL_arg1834z00_4355;

																							BgL_arg1834z00_4355 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_4333);
																							BgL_arg1833z00_4354 =
																								(BgL_arg1834z00_4355 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_4348 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_4354);
																					}
																					{	/* SawMill/regalloc.scm 389 */
																						bool_t BgL__ortest_1110z00_4349;

																						BgL__ortest_1110z00_4349 =
																							(BgL_classz00_4331 ==
																							BgL_oclassz00_4348);
																						if (BgL__ortest_1110z00_4349)
																							{	/* SawMill/regalloc.scm 389 */
																								BgL_res2789z00_4362 =
																									BgL__ortest_1110z00_4349;
																							}
																						else
																							{	/* SawMill/regalloc.scm 389 */
																								long BgL_odepthz00_4350;

																								BgL_odepthz00_4350 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_4348);
																								if ((((long) 2) <
																										BgL_odepthz00_4350))
																									{	/* SawMill/regalloc.scm 389 */
																										obj_t BgL_arg1821z00_4352;

																										BgL_arg1821z00_4352 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_4348,
																											((long) 2));
																										BgL_res2789z00_4362 =
																											(BgL_arg1821z00_4352 ==
																											BgL_classz00_4331);
																									}
																								else
																									{	/* SawMill/regalloc.scm 389 */
																										BgL_res2789z00_4362 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_4337 =
																					BgL_res2789z00_4362;
																			}
																			BgL_test3084z00_7029 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_4336,
																				BgL_arg1823z00_4337);
																		}
																	}
																else
																	{	/* SawMill/regalloc.scm 389 */
																		BgL_test3084z00_7029 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test3084z00_7029)
															{	/* SawMill/regalloc.scm 390 */
																bool_t BgL_test3088z00_7051;

																{	/* SawMill/regalloc.scm 390 */
																	obj_t BgL_arg2155z00_2584;
																	obj_t BgL_arg2156z00_2585;

																	BgL_arg2155z00_2584 =
																		(((BgL_rtl_insz00_bglt) COBJECT(
																				((BgL_rtl_insz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2577))))->BgL_destz00);
																	{
																		BgL_rtl_inszf2razf2_bglt BgL_auxz00_7055;

																		{
																			obj_t BgL_auxz00_7056;

																			{	/* SawMill/regalloc.scm 390 */
																				BgL_objectz00_bglt BgL_tmpz00_7057;

																				BgL_tmpz00_7057 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_insz00_bglt)
																						BgL_iz00_2577));
																				BgL_auxz00_7056 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7057);
																			}
																			BgL_auxz00_7055 =
																				((BgL_rtl_inszf2razf2_bglt)
																				BgL_auxz00_7056);
																		}
																		BgL_arg2156z00_2585 =
																			(((BgL_rtl_inszf2razf2_bglt)
																				COBJECT(BgL_auxz00_7055))->BgL_outz00);
																	}
																	BgL_test3088z00_7051 =
																		BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																		((BgL_rtl_regz00_bglt) BgL_arg2155z00_2584),
																		((BgL_regsetz00_bglt) BgL_arg2156z00_2585));
																}
																if (BgL_test3088z00_7051)
																	{	/* SawMill/regalloc.scm 390 */
																		BFALSE;
																	}
																else
																	{	/* SawMill/regalloc.scm 390 */
																		BgL_nz00_2566 =
																			(BgL_nz00_2566 + ((long) 1));
																		((((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							((BgL_rtl_insz00_bglt)
																								BgL_iz00_2577))))->
																				BgL_destz00) =
																			((obj_t) BFALSE), BUNSPEC);
															}}
														else
															{	/* SawMill/regalloc.scm 389 */
																BFALSE;
															}
													}
												}
												{
													obj_t BgL_l1644z00_7070;

													BgL_l1644z00_7070 = CDR(BgL_l1644z00_2574);
													BgL_l1644z00_2574 = BgL_l1644z00_7070;
													goto BgL_zc3z04anonymousza32148ze3z87_2575;
												}
											}
										else
											{	/* SawMill/regalloc.scm 393 */
												((bool_t) 1);
											}
									}
								}
							}
							{
								obj_t BgL_l1647z00_7072;

								BgL_l1647z00_7072 = CDR(BgL_l1647z00_2568);
								BgL_l1647z00_2568 = BgL_l1647z00_7072;
								goto BgL_zc3z04anonymousza32146ze3z87_2569;
							}
						}
					else
						{	/* SawMill/regalloc.scm 386 */
							((bool_t) 1);
						}
				}
				{	/* SawMill/regalloc.scm 395 */
					obj_t BgL_list2160z00_2591;

					{	/* SawMill/regalloc.scm 395 */
						obj_t BgL_arg2161z00_2592;

						BgL_arg2161z00_2592 =
							MAKE_YOUNG_PAIR(BGl_string2836z00zzsaw_registerzd2allocationzd2,
							BNIL);
						BgL_list2160z00_2591 =
							MAKE_YOUNG_PAIR(BINT(BgL_nz00_2566), BgL_arg2161z00_2592);
					}
					return
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list2160z00_2591);
		}}}

	}



/* register-coloring */
	obj_t BGl_registerzd2coloringzd2zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_89, obj_t BgL_hregsz00_90, obj_t BgL_cregsz00_91)
	{
		{	/* SawMill/regalloc.scm 400 */
			{	/* SawMill/regalloc.scm 402 */
				obj_t BgL_g1651z00_2593;

				{	/* SawMill/regalloc.scm 405 */
					obj_t BgL_list2166z00_2603;

					{	/* SawMill/regalloc.scm 405 */
						obj_t BgL_arg2167z00_2604;

						{	/* SawMill/regalloc.scm 405 */
							obj_t BgL_arg2168z00_2605;

							BgL_arg2168z00_2605 = MAKE_YOUNG_PAIR(BgL_cregsz00_91, BNIL);
							BgL_arg2167z00_2604 =
								MAKE_YOUNG_PAIR(BgL_hregsz00_90, BgL_arg2168z00_2605);
						}
						BgL_list2166z00_2603 =
							MAKE_YOUNG_PAIR(BgL_pregsz00_89, BgL_arg2167z00_2604);
					}
					BgL_g1651z00_2593 =
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2166z00_2603);
				}
				{
					obj_t BgL_l1649z00_2595;

					BgL_l1649z00_2595 = BgL_g1651z00_2593;
				BgL_zc3z04anonymousza32162ze3z87_2596:
					if (PAIRP(BgL_l1649z00_2595))
						{	/* SawMill/regalloc.scm 405 */
							{	/* SawMill/regalloc.scm 403 */
								obj_t BgL_rz00_2598;

								BgL_rz00_2598 = CAR(BgL_l1649z00_2595);
								{
									obj_t BgL_auxz00_7093;
									BgL_rtl_regzf2razf2_bglt BgL_auxz00_7086;

									{	/* SawMill/regalloc.scm 404 */
										obj_t BgL_arg2164z00_2600;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7094;

											{
												obj_t BgL_auxz00_7095;

												{	/* SawMill/regalloc.scm 404 */
													BgL_objectz00_bglt BgL_tmpz00_7096;

													BgL_tmpz00_7096 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_2598));
													BgL_auxz00_7095 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7096);
												}
												BgL_auxz00_7094 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7095);
											}
											BgL_arg2164z00_2600 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7094))->
												BgL_interferez00);
										}
										BgL_auxz00_7093 =
											((obj_t)
											BGl_duplicatezd2regsetzd2zzsaw_regsetz00(
												((BgL_regsetz00_bglt) BgL_arg2164z00_2600)));
									}
									{
										obj_t BgL_auxz00_7087;

										{	/* SawMill/regalloc.scm 404 */
											BgL_objectz00_bglt BgL_tmpz00_7088;

											BgL_tmpz00_7088 =
												((BgL_objectz00_bglt)
												((BgL_rtl_regz00_bglt) BgL_rz00_2598));
											BgL_auxz00_7087 = BGL_OBJECT_WIDENING(BgL_tmpz00_7088);
										}
										BgL_auxz00_7086 =
											((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7087);
									}
									((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7086))->
											BgL_interfere2z00) = ((obj_t) BgL_auxz00_7093), BUNSPEC);
								}
							}
							{
								obj_t BgL_l1649z00_7106;

								BgL_l1649z00_7106 = CDR(BgL_l1649z00_2595);
								BgL_l1649z00_2595 = BgL_l1649z00_7106;
								goto BgL_zc3z04anonymousza32162ze3z87_2596;
							}
						}
					else
						{	/* SawMill/regalloc.scm 405 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawMill/regalloc.scm 407 */
				obj_t BgL_cregsz00_2606;

				{	/* SawMill/regalloc.scm 407 */
					obj_t BgL_hook1656z00_2610;

					BgL_hook1656z00_2610 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1653z00_2612;
						obj_t BgL_h1654z00_2613;

						BgL_l1653z00_2612 = BgL_cregsz00_91;
						BgL_h1654z00_2613 = BgL_hook1656z00_2610;
					BgL_zc3z04anonymousza32172ze3z87_2614:
						if (NULLP(BgL_l1653z00_2612))
							{	/* SawMill/regalloc.scm 407 */
								BgL_cregsz00_2606 = CDR(BgL_hook1656z00_2610);
							}
						else
							{	/* SawMill/regalloc.scm 407 */
								bool_t BgL_test3091z00_7112;

								{	/* SawMill/regalloc.scm 407 */
									obj_t BgL_arg2179z00_2624;

									{	/* SawMill/regalloc.scm 407 */
										BgL_rtl_regz00_bglt BgL_oz00_4373;

										BgL_oz00_4373 =
											((BgL_rtl_regz00_bglt) CAR(((obj_t) BgL_l1653z00_2612)));
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7116;

											{
												obj_t BgL_auxz00_7117;

												{	/* SawMill/regalloc.scm 407 */
													BgL_objectz00_bglt BgL_tmpz00_7118;

													BgL_tmpz00_7118 =
														((BgL_objectz00_bglt) BgL_oz00_4373);
													BgL_auxz00_7117 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7118);
												}
												BgL_auxz00_7116 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7117);
											}
											BgL_arg2179z00_2624 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7116))->
												BgL_colorz00);
										}
									}
									BgL_test3091z00_7112 = (BgL_arg2179z00_2624 == BFALSE);
								}
								if (BgL_test3091z00_7112)
									{	/* SawMill/regalloc.scm 407 */
										obj_t BgL_nh1655z00_2619;

										{	/* SawMill/regalloc.scm 407 */
											obj_t BgL_arg2177z00_2621;

											BgL_arg2177z00_2621 = CAR(((obj_t) BgL_l1653z00_2612));
											BgL_nh1655z00_2619 =
												MAKE_YOUNG_PAIR(BgL_arg2177z00_2621, BNIL);
										}
										SET_CDR(BgL_h1654z00_2613, BgL_nh1655z00_2619);
										{	/* SawMill/regalloc.scm 407 */
											obj_t BgL_arg2176z00_2620;

											BgL_arg2176z00_2620 = CDR(((obj_t) BgL_l1653z00_2612));
											{
												obj_t BgL_h1654z00_7131;
												obj_t BgL_l1653z00_7130;

												BgL_l1653z00_7130 = BgL_arg2176z00_2620;
												BgL_h1654z00_7131 = BgL_nh1655z00_2619;
												BgL_h1654z00_2613 = BgL_h1654z00_7131;
												BgL_l1653z00_2612 = BgL_l1653z00_7130;
												goto BgL_zc3z04anonymousza32172ze3z87_2614;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 407 */
										obj_t BgL_arg2178z00_2622;

										BgL_arg2178z00_2622 = CDR(((obj_t) BgL_l1653z00_2612));
										{
											obj_t BgL_l1653z00_7134;

											BgL_l1653z00_7134 = BgL_arg2178z00_2622;
											BgL_l1653z00_2612 = BgL_l1653z00_7134;
											goto BgL_zc3z04anonymousza32172ze3z87_2614;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_cregsz00_2606))
					{	/* SawMill/regalloc.scm 408 */
						if (NULLP(BgL_hregsz00_90))
							{	/* SawMill/regalloc.scm 410 */
								return
									BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_cregsz00_2606);
							}
						else
							{	/* SawMill/regalloc.scm 410 */
								return
									BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2
									(BgL_pregsz00_89, BgL_hregsz00_90, BgL_cregsz00_2606);
							}
					}
				else
					{	/* SawMill/regalloc.scm 408 */
						return BFALSE;
					}
			}
		}

	}



/* register-stack-coloring */
	obj_t BGl_registerzd2stackzd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_92, obj_t BgL_cregsz00_93)
	{
		{	/* SawMill/regalloc.scm 418 */
			{
				obj_t BgL_registersz00_2714;
				obj_t BgL_siza7eza7_2715;

				{	/* SawMill/regalloc.scm 445 */
					obj_t BgL_colorsz00_2627;

					BgL_colorsz00_2627 =
						make_vector(bgl_list_length
						(BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_pregsz00_92, BgL_cregsz00_93)), BFALSE);
					{
						obj_t BgL_interferez00_2686;
						long BgL_maxz00_2687;

						{
							long BgL_minz00_2669;
							obj_t BgL_stackz00_2670;

							{	/* SawMill/regalloc.scm 468 */
								long BgL_nz00_2630;

								BgL_nz00_2630 = ((long) 0);
								{
									obj_t BgL_l1666z00_2632;

									BgL_l1666z00_2632 = BgL_pregsz00_92;
								BgL_zc3z04anonymousza32180ze3z87_2633:
									if (PAIRP(BgL_l1666z00_2632))
										{	/* SawMill/regalloc.scm 469 */
											{	/* SawMill/regalloc.scm 470 */
												obj_t BgL_rz00_2635;

												BgL_rz00_2635 = CAR(BgL_l1666z00_2632);
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_rz00_2635));
												{	/* SawMill/regalloc.scm 471 */
													obj_t BgL_vz00_4453;

													BgL_vz00_4453 = BINT(BgL_nz00_2630);
													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7150;

														{
															obj_t BgL_auxz00_7151;

															{	/* SawMill/regalloc.scm 471 */
																BgL_objectz00_bglt BgL_tmpz00_7152;

																BgL_tmpz00_7152 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2635));
																BgL_auxz00_7151 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7152);
															}
															BgL_auxz00_7150 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7151);
														}
														((((BgL_rtl_regzf2razf2_bglt)
																	COBJECT(BgL_auxz00_7150))->BgL_colorz00) =
															((obj_t) BgL_vz00_4453), BUNSPEC);
													}
												}
												BgL_nz00_2630 = (BgL_nz00_2630 + ((long) 1));
											}
											{
												obj_t BgL_l1666z00_7159;

												BgL_l1666z00_7159 = CDR(BgL_l1666z00_2632);
												BgL_l1666z00_2632 = BgL_l1666z00_7159;
												goto BgL_zc3z04anonymousza32180ze3z87_2633;
											}
										}
									else
										{	/* SawMill/regalloc.scm 469 */
											((bool_t) 1);
										}
								}
							}
							{	/* SawMill/regalloc.scm 475 */
								long BgL_minz00_2638;
								obj_t BgL_sregsz00_2639;

								BgL_minz00_2638 = bgl_list_length(BgL_pregsz00_92);
								BgL_sregsz00_2639 =
									BGl_sortz00zz__r4_vectors_6_8z00(BgL_cregsz00_93,
									BGl_proc2846z00zzsaw_registerzd2allocationzd2);
								{
									obj_t BgL_regsz00_2642;
									obj_t BgL_stackz00_2643;
									obj_t BgL_siza7eza7_2644;

									BgL_regsz00_2642 = BgL_sregsz00_2639;
									BgL_stackz00_2643 = BNIL;
									BgL_siza7eza7_2644 = BINT(((long) 0));
								BgL_zc3z04anonymousza32183ze3z87_2645:
									if (NULLP(BgL_regsz00_2642))
										{	/* SawMill/regalloc.scm 484 */
											long BgL_nz00_2647;

											BgL_minz00_2669 = BgL_minz00_2638;
											BgL_stackz00_2670 = BgL_stackz00_2643;
											{
												obj_t BgL_stackz00_2673;
												long BgL_maxz00_2674;

												BgL_stackz00_2673 = BgL_stackz00_2670;
												BgL_maxz00_2674 = BgL_minz00_2669;
											BgL_zc3z04anonymousza32200ze3z87_2675:
												if (PAIRP(BgL_stackz00_2673))
													{	/* SawMill/regalloc.scm 463 */
														BgL_rtl_regz00_bglt BgL_i1225z00_2677;

														BgL_i1225z00_2677 =
															((BgL_rtl_regz00_bglt) CAR(BgL_stackz00_2673));
														{
															obj_t BgL_auxz00_7175;
															BgL_rtl_regzf2razf2_bglt BgL_auxz00_7169;

															{	/* SawMill/regalloc.scm 464 */
																obj_t BgL_arg2202z00_2678;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7176;

																	{
																		obj_t BgL_auxz00_7177;

																		{	/* SawMill/regalloc.scm 464 */
																			BgL_objectz00_bglt BgL_tmpz00_7178;

																			BgL_tmpz00_7178 =
																				((BgL_objectz00_bglt)
																				BgL_i1225z00_2677);
																			BgL_auxz00_7177 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7178);
																		}
																		BgL_auxz00_7176 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7177);
																	}
																	BgL_arg2202z00_2678 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7176))->
																		BgL_interferez00);
																}
																{	/* SawMill/regalloc.scm 464 */
																	long BgL_tmpz00_7183;

																	BgL_interferez00_2686 = BgL_arg2202z00_2678;
																	BgL_maxz00_2687 = BgL_maxz00_2674;
																	{	/* SawMill/regalloc.scm 447 */

																		BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00
																			(BgL_colorsz00_2627, BFALSE, ((long) 0),
																			VECTOR_LENGTH(BgL_colorsz00_2627));
																	}
																	{	/* SawMill/regalloc.scm 449 */
																		obj_t BgL_zc3z04anonymousza32210ze3z87_5499;

																		BgL_zc3z04anonymousza32210ze3z87_5499 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_registerzd2allocationzd2,
																			(int) (((long) 1)), (int) (((long) 1)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32210ze3z87_5499,
																			(int) (((long) 0)), BgL_colorsz00_2627);
																		BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
																			(BgL_zc3z04anonymousza32210ze3z87_5499,
																			((BgL_regsetz00_bglt)
																				BgL_interferez00_2686));
																	}
																	if (
																		(VECTOR_LENGTH(BgL_colorsz00_2627) ==
																			BgL_maxz00_2687))
																		{	/* SawMill/regalloc.scm 453 */
																			BgL_tmpz00_7183 = BgL_maxz00_2687;
																		}
																	else
																		{
																			long BgL_iz00_4437;

																			BgL_iz00_4437 = ((long) 0);
																		BgL_loopz00_4436:
																			if (CBOOL(VECTOR_REF(BgL_colorsz00_2627,
																						BgL_iz00_4437)))
																				{
																					long BgL_iz00_7199;

																					BgL_iz00_7199 =
																						(BgL_iz00_4437 + ((long) 1));
																					BgL_iz00_4437 = BgL_iz00_7199;
																					goto BgL_loopz00_4436;
																				}
																			else
																				{	/* SawMill/regalloc.scm 456 */
																					BgL_tmpz00_7183 = BgL_iz00_4437;
																				}
																		}
																	BgL_auxz00_7175 = BINT(BgL_tmpz00_7183);
																}
															}
															{
																obj_t BgL_auxz00_7170;

																{	/* SawMill/regalloc.scm 464 */
																	BgL_objectz00_bglt BgL_tmpz00_7171;

																	BgL_tmpz00_7171 =
																		((BgL_objectz00_bglt) BgL_i1225z00_2677);
																	BgL_auxz00_7170 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_7171);
																}
																BgL_auxz00_7169 =
																	((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7170);
															}
															((((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7169))->BgL_colorz00) =
																((obj_t) BgL_auxz00_7175), BUNSPEC);
														}
														{	/* SawMill/regalloc.scm 465 */
															obj_t BgL_arg2203z00_2679;
															long BgL_arg2204z00_2680;

															BgL_arg2203z00_2679 = CDR(BgL_stackz00_2673);
															{	/* SawMill/regalloc.scm 465 */
																bool_t BgL_test3099z00_7204;

																{	/* SawMill/regalloc.scm 465 */
																	obj_t BgL_arg2207z00_2683;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_7205;

																		{
																			obj_t BgL_auxz00_7206;

																			{	/* SawMill/regalloc.scm 465 */
																				BgL_objectz00_bglt BgL_tmpz00_7207;

																				BgL_tmpz00_7207 =
																					((BgL_objectz00_bglt)
																					BgL_i1225z00_2677);
																				BgL_auxz00_7206 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7207);
																			}
																			BgL_auxz00_7205 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_7206);
																		}
																		BgL_arg2207z00_2683 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_7205))->
																			BgL_colorz00);
																	}
																	BgL_test3099z00_7204 =
																		(
																		(long) CINT(BgL_arg2207z00_2683) ==
																		BgL_maxz00_2674);
																}
																if (BgL_test3099z00_7204)
																	{	/* SawMill/regalloc.scm 465 */
																		BgL_arg2204z00_2680 =
																			(BgL_maxz00_2674 + ((long) 1));
																	}
																else
																	{	/* SawMill/regalloc.scm 465 */
																		BgL_arg2204z00_2680 = BgL_maxz00_2674;
																	}
															}
															{
																long BgL_maxz00_7216;
																obj_t BgL_stackz00_7215;

																BgL_stackz00_7215 = BgL_arg2203z00_2679;
																BgL_maxz00_7216 = BgL_arg2204z00_2680;
																BgL_maxz00_2674 = BgL_maxz00_7216;
																BgL_stackz00_2673 = BgL_stackz00_7215;
																goto BgL_zc3z04anonymousza32200ze3z87_2675;
															}
														}
													}
												else
													{	/* SawMill/regalloc.scm 462 */
														BgL_nz00_2647 = BgL_maxz00_2674;
													}
											}
											{	/* SawMill/regalloc.scm 486 */
												obj_t BgL_arg2185z00_2648;

												BgL_arg2185z00_2648 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(bgl_list_length
														(BgL_pregsz00_92)),
													BINT(bgl_list_length(BgL_cregsz00_93)));
												{	/* SawMill/regalloc.scm 485 */
													obj_t BgL_list2186z00_2649;

													{	/* SawMill/regalloc.scm 485 */
														obj_t BgL_arg2187z00_2650;

														{	/* SawMill/regalloc.scm 485 */
															obj_t BgL_arg2188z00_2651;

															{	/* SawMill/regalloc.scm 485 */
																obj_t BgL_arg2189z00_2652;

																{	/* SawMill/regalloc.scm 485 */
																	obj_t BgL_arg2190z00_2653;

																	{	/* SawMill/regalloc.scm 485 */
																		obj_t BgL_arg2191z00_2654;

																		BgL_arg2191z00_2654 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2847z00zzsaw_registerzd2allocationzd2,
																			BNIL);
																		BgL_arg2190z00_2653 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2848z00zzsaw_registerzd2allocationzd2,
																			BgL_arg2191z00_2654);
																	}
																	BgL_arg2189z00_2652 =
																		MAKE_YOUNG_PAIR(BgL_arg2185z00_2648,
																		BgL_arg2190z00_2653);
																}
																BgL_arg2188z00_2651 =
																	MAKE_YOUNG_PAIR
																	(BGl_string2849z00zzsaw_registerzd2allocationzd2,
																	BgL_arg2189z00_2652);
															}
															BgL_arg2187z00_2650 =
																MAKE_YOUNG_PAIR(BINT(BgL_nz00_2647),
																BgL_arg2188z00_2651);
														}
														BgL_list2186z00_2649 =
															MAKE_YOUNG_PAIR
															(BGl_string2850z00zzsaw_registerzd2allocationzd2,
															BgL_arg2187z00_2650);
													}
													return
														BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
														BgL_list2186z00_2649);
										}}}
									else
										{	/* SawMill/regalloc.scm 488 */
											obj_t BgL_regz00_2657;

											BgL_registersz00_2714 = BgL_regsz00_2642;
											BgL_siza7eza7_2715 = BgL_siza7eza7_2644;
											{	/* SawMill/regalloc.scm 420 */
												long BgL_g1223z00_2717;

												{	/* SawMill/regalloc.scm 422 */
													int BgL_arg2243z00_2754;

													{	/* SawMill/regalloc.scm 422 */
														BgL_rtl_regz00_bglt BgL_regz00_4380;

														BgL_regz00_4380 =
															((BgL_rtl_regz00_bglt)
															CAR(((obj_t) BgL_registersz00_2714)));
														{	/* SawMill/regalloc.scm 585 */
															obj_t BgL_arg2299z00_4381;

															{
																BgL_rtl_regzf2razf2_bglt BgL_auxz00_7234;

																{
																	obj_t BgL_auxz00_7235;

																	{	/* SawMill/regalloc.scm 585 */
																		BgL_objectz00_bglt BgL_tmpz00_7236;

																		BgL_tmpz00_7236 =
																			((BgL_objectz00_bglt) BgL_regz00_4380);
																		BgL_auxz00_7235 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_7236);
																	}
																	BgL_auxz00_7234 =
																		((BgL_rtl_regzf2razf2_bglt)
																		BgL_auxz00_7235);
																}
																BgL_arg2299z00_4381 =
																	(((BgL_rtl_regzf2razf2_bglt)
																		COBJECT(BgL_auxz00_7234))->
																	BgL_interfere2z00);
															}
															BgL_arg2243z00_2754 =
																(((BgL_regsetz00_bglt) COBJECT(
																		((BgL_regsetz00_bglt)
																			BgL_arg2299z00_4381)))->BgL_lengthz00);
													}}
													BgL_g1223z00_2717 =
														((long) (BgL_arg2243z00_2754) + ((long) 1));
												}
												{
													obj_t BgL_regsz00_2719;
													obj_t BgL_minz00_2720;
													long BgL_mvalz00_2721;
													obj_t BgL_prevz00_2722;

													BgL_regsz00_2719 = BgL_registersz00_2714;
													BgL_minz00_2720 = BFALSE;
													BgL_mvalz00_2721 = BgL_g1223z00_2717;
													BgL_prevz00_2722 = BFALSE;
												BgL_zc3z04anonymousza32224ze3z87_2723:
													if (NULLP(BgL_regsz00_2719))
														{	/* SawMill/regalloc.scm 426 */
															int BgL_val1_1658z00_2726;
															obj_t BgL_val2_1659z00_2727;

															{	/* SawMill/regalloc.scm 585 */
																obj_t BgL_arg2299z00_4387;

																{
																	BgL_rtl_regzf2razf2_bglt BgL_auxz00_7247;

																	{
																		obj_t BgL_auxz00_7248;

																		{	/* SawMill/regalloc.scm 585 */
																			BgL_objectz00_bglt BgL_tmpz00_7249;

																			BgL_tmpz00_7249 =
																				((BgL_objectz00_bglt)
																				((BgL_rtl_regz00_bglt)
																					BgL_minz00_2720));
																			BgL_auxz00_7248 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_7249);
																		}
																		BgL_auxz00_7247 =
																			((BgL_rtl_regzf2razf2_bglt)
																			BgL_auxz00_7248);
																	}
																	BgL_arg2299z00_4387 =
																		(((BgL_rtl_regzf2razf2_bglt)
																			COBJECT(BgL_auxz00_7247))->
																		BgL_interfere2z00);
																}
																BgL_val1_1658z00_2726 =
																	(((BgL_regsetz00_bglt) COBJECT(
																			((BgL_regsetz00_bglt)
																				BgL_arg2299z00_4387)))->BgL_lengthz00);
															}
															BgL_val2_1659z00_2727 =
																bgl_remq_bang(BgL_minz00_2720,
																BgL_registersz00_2714);
															{	/* SawMill/regalloc.scm 426 */
																int BgL_tmpz00_7258;

																BgL_tmpz00_7258 = (int) (((long) 3));
																BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7258);
															}
															{	/* SawMill/regalloc.scm 426 */
																obj_t BgL_auxz00_7263;
																int BgL_tmpz00_7261;

																BgL_auxz00_7263 = BINT(BgL_val1_1658z00_2726);
																BgL_tmpz00_7261 = (int) (((long) 1));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7261,
																	BgL_auxz00_7263);
															}
															{	/* SawMill/regalloc.scm 426 */
																int BgL_tmpz00_7266;

																BgL_tmpz00_7266 = (int) (((long) 2));
																BGL_MVALUES_VAL_SET(BgL_tmpz00_7266,
																	BgL_val2_1659z00_2727);
															}
															BgL_regz00_2657 = BgL_minz00_2720;
														}
													else
														{	/* SawMill/regalloc.scm 427 */
															bool_t BgL_test3101z00_7269;

															{	/* SawMill/regalloc.scm 427 */
																int BgL_arg2241z00_2751;

																{	/* SawMill/regalloc.scm 427 */
																	BgL_rtl_regz00_bglt BgL_regz00_4392;

																	BgL_regz00_4392 =
																		((BgL_rtl_regz00_bglt)
																		CAR(((obj_t) BgL_regsz00_2719)));
																	{	/* SawMill/regalloc.scm 585 */
																		obj_t BgL_arg2299z00_4393;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7273;

																			{
																				obj_t BgL_auxz00_7274;

																				{	/* SawMill/regalloc.scm 585 */
																					BgL_objectz00_bglt BgL_tmpz00_7275;

																					BgL_tmpz00_7275 =
																						((BgL_objectz00_bglt)
																						BgL_regz00_4392);
																					BgL_auxz00_7274 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7275);
																				}
																				BgL_auxz00_7273 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7274);
																			}
																			BgL_arg2299z00_4393 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7273))->
																				BgL_interfere2z00);
																		}
																		BgL_arg2241z00_2751 =
																			(((BgL_regsetz00_bglt) COBJECT(
																					((BgL_regsetz00_bglt)
																						BgL_arg2299z00_4393)))->
																			BgL_lengthz00);
																}}
																BgL_test3101z00_7269 =
																	(
																	(long) (BgL_arg2241z00_2751) <
																	(long) CINT(BgL_siza7eza7_2715));
															}
															if (BgL_test3101z00_7269)
																{	/* SawMill/regalloc.scm 428 */
																	obj_t BgL_regz00_2731;

																	BgL_regz00_2731 =
																		CAR(((obj_t) BgL_regsz00_2719));
																	{	/* SawMill/regalloc.scm 428 */
																		int BgL_sza7za7_2732;

																		{	/* SawMill/regalloc.scm 585 */
																			obj_t BgL_arg2299z00_4401;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7287;
																				{
																					obj_t BgL_auxz00_7288;

																					{	/* SawMill/regalloc.scm 585 */
																						BgL_objectz00_bglt BgL_tmpz00_7289;

																						BgL_tmpz00_7289 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2731));
																						BgL_auxz00_7288 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7289);
																					}
																					BgL_auxz00_7287 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7288);
																				}
																				BgL_arg2299z00_4401 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7287))->
																					BgL_interfere2z00);
																			}
																			BgL_sza7za7_2732 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2299z00_4401)))->
																				BgL_lengthz00);
																		}
																		{	/* SawMill/regalloc.scm 429 */

																			if (PAIRP(BgL_prevz00_2722))
																				{	/* SawMill/regalloc.scm 430 */
																					{	/* SawMill/regalloc.scm 432 */
																						obj_t BgL_arg2230z00_2734;

																						BgL_arg2230z00_2734 =
																							CDR(((obj_t) BgL_regsz00_2719));
																						SET_CDR(BgL_prevz00_2722,
																							BgL_arg2230z00_2734);
																					}
																					{	/* SawMill/regalloc.scm 433 */
																						int BgL_tmpz00_7302;

																						BgL_tmpz00_7302 =
																							(int) (((long) 3));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7302);
																					}
																					{	/* SawMill/regalloc.scm 433 */
																						obj_t BgL_auxz00_7307;
																						int BgL_tmpz00_7305;

																						BgL_auxz00_7307 =
																							BINT(BgL_sza7za7_2732);
																						BgL_tmpz00_7305 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7305,
																							BgL_auxz00_7307);
																					}
																					{	/* SawMill/regalloc.scm 433 */
																						int BgL_tmpz00_7310;

																						BgL_tmpz00_7310 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7310,
																							BgL_registersz00_2714);
																					}
																					BgL_regz00_2657 = BgL_regz00_2731;
																				}
																			else
																				{	/* SawMill/regalloc.scm 434 */
																					obj_t BgL_val2_1665z00_2740;

																					BgL_val2_1665z00_2740 =
																						CDR(((obj_t) BgL_regsz00_2719));
																					{	/* SawMill/regalloc.scm 434 */
																						int BgL_tmpz00_7315;

																						BgL_tmpz00_7315 =
																							(int) (((long) 3));
																						BGL_MVALUES_NUMBER_SET
																							(BgL_tmpz00_7315);
																					}
																					{	/* SawMill/regalloc.scm 434 */
																						obj_t BgL_auxz00_7320;
																						int BgL_tmpz00_7318;

																						BgL_auxz00_7320 =
																							BINT(BgL_sza7za7_2732);
																						BgL_tmpz00_7318 =
																							(int) (((long) 1));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7318,
																							BgL_auxz00_7320);
																					}
																					{	/* SawMill/regalloc.scm 434 */
																						int BgL_tmpz00_7323;

																						BgL_tmpz00_7323 =
																							(int) (((long) 2));
																						BGL_MVALUES_VAL_SET(BgL_tmpz00_7323,
																							BgL_val2_1665z00_2740);
																					}
																					BgL_regz00_2657 = BgL_regz00_2731;
																}}}}
															else
																{	/* SawMill/regalloc.scm 435 */
																	bool_t BgL_test3103z00_7326;

																	{	/* SawMill/regalloc.scm 435 */
																		int BgL_arg2239z00_2749;

																		{	/* SawMill/regalloc.scm 435 */
																			BgL_rtl_regz00_bglt BgL_regz00_4409;

																			BgL_regz00_4409 =
																				((BgL_rtl_regz00_bglt)
																				CAR(((obj_t) BgL_regsz00_2719)));
																			{	/* SawMill/regalloc.scm 585 */
																				obj_t BgL_arg2299z00_4410;

																				{
																					BgL_rtl_regzf2razf2_bglt
																						BgL_auxz00_7330;
																					{
																						obj_t BgL_auxz00_7331;

																						{	/* SawMill/regalloc.scm 585 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_7332;
																							BgL_tmpz00_7332 =
																								((BgL_objectz00_bglt)
																								BgL_regz00_4409);
																							BgL_auxz00_7331 =
																								BGL_OBJECT_WIDENING
																								(BgL_tmpz00_7332);
																						}
																						BgL_auxz00_7330 =
																							((BgL_rtl_regzf2razf2_bglt)
																							BgL_auxz00_7331);
																					}
																					BgL_arg2299z00_4410 =
																						(((BgL_rtl_regzf2razf2_bglt)
																							COBJECT(BgL_auxz00_7330))->
																						BgL_interfere2z00);
																				}
																				BgL_arg2239z00_2749 =
																					(((BgL_regsetz00_bglt) COBJECT(
																							((BgL_regsetz00_bglt)
																								BgL_arg2299z00_4410)))->
																					BgL_lengthz00);
																		}}
																		BgL_test3103z00_7326 =
																			(
																			(long) (BgL_arg2239z00_2749) <
																			BgL_mvalz00_2721);
																	}
																	if (BgL_test3103z00_7326)
																		{	/* SawMill/regalloc.scm 436 */
																			obj_t BgL_arg2234z00_2744;
																			obj_t BgL_arg2235z00_2745;
																			int BgL_arg2236z00_2746;

																			BgL_arg2234z00_2744 =
																				CDR(((obj_t) BgL_regsz00_2719));
																			BgL_arg2235z00_2745 =
																				CAR(((obj_t) BgL_regsz00_2719));
																			{	/* SawMill/regalloc.scm 438 */
																				BgL_rtl_regz00_bglt BgL_regz00_4419;

																				BgL_regz00_4419 =
																					((BgL_rtl_regz00_bglt)
																					CAR(((obj_t) BgL_regsz00_2719)));
																				{	/* SawMill/regalloc.scm 585 */
																					obj_t BgL_arg2299z00_4420;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_7348;
																						{
																							obj_t BgL_auxz00_7349;

																							{	/* SawMill/regalloc.scm 585 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_7350;
																								BgL_tmpz00_7350 =
																									((BgL_objectz00_bglt)
																									BgL_regz00_4419);
																								BgL_auxz00_7349 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_7350);
																							}
																							BgL_auxz00_7348 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_7349);
																						}
																						BgL_arg2299z00_4420 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_7348))->
																							BgL_interfere2z00);
																					}
																					BgL_arg2236z00_2746 =
																						(((BgL_regsetz00_bglt) COBJECT(
																								((BgL_regsetz00_bglt)
																									BgL_arg2299z00_4420)))->
																						BgL_lengthz00);
																			}}
																			{
																				obj_t BgL_prevz00_7361;
																				long BgL_mvalz00_7359;
																				obj_t BgL_minz00_7358;
																				obj_t BgL_regsz00_7357;

																				BgL_regsz00_7357 = BgL_arg2234z00_2744;
																				BgL_minz00_7358 = BgL_arg2235z00_2745;
																				BgL_mvalz00_7359 =
																					(long) (BgL_arg2236z00_2746);
																				BgL_prevz00_7361 = BgL_regsz00_2719;
																				BgL_prevz00_2722 = BgL_prevz00_7361;
																				BgL_mvalz00_2721 = BgL_mvalz00_7359;
																				BgL_minz00_2720 = BgL_minz00_7358;
																				BgL_regsz00_2719 = BgL_regsz00_7357;
																				goto
																					BgL_zc3z04anonymousza32224ze3z87_2723;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 441 */
																			obj_t BgL_arg2238z00_2748;

																			BgL_arg2238z00_2748 =
																				CDR(((obj_t) BgL_regsz00_2719));
																			{
																				obj_t BgL_prevz00_7365;
																				obj_t BgL_regsz00_7364;

																				BgL_regsz00_7364 = BgL_arg2238z00_2748;
																				BgL_prevz00_7365 = BgL_regsz00_2719;
																				BgL_prevz00_2722 = BgL_prevz00_7365;
																				BgL_regsz00_2719 = BgL_regsz00_7364;
																				goto
																					BgL_zc3z04anonymousza32224ze3z87_2723;
																			}
																		}
																}
														}
												}
											}
											{	/* SawMill/regalloc.scm 489 */
												obj_t BgL_nsiza7eza7_2658;
												obj_t BgL_regsz00_2659;

												{	/* SawMill/regalloc.scm 490 */
													obj_t BgL_tmpz00_4471;

													{	/* SawMill/regalloc.scm 490 */
														int BgL_tmpz00_7366;

														BgL_tmpz00_7366 = (int) (((long) 1));
														BgL_tmpz00_4471 = BGL_MVALUES_VAL(BgL_tmpz00_7366);
													}
													{	/* SawMill/regalloc.scm 490 */
														int BgL_tmpz00_7369;

														BgL_tmpz00_7369 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7369, BUNSPEC);
													}
													BgL_nsiza7eza7_2658 = BgL_tmpz00_4471;
												}
												{	/* SawMill/regalloc.scm 490 */
													obj_t BgL_tmpz00_4472;

													{	/* SawMill/regalloc.scm 490 */
														int BgL_tmpz00_7372;

														BgL_tmpz00_7372 = (int) (((long) 2));
														BgL_tmpz00_4472 = BGL_MVALUES_VAL(BgL_tmpz00_7372);
													}
													{	/* SawMill/regalloc.scm 490 */
														int BgL_tmpz00_7375;

														BgL_tmpz00_7375 = (int) (((long) 2));
														BGL_MVALUES_VAL_SET(BgL_tmpz00_7375, BUNSPEC);
													}
													BgL_regsz00_2659 = BgL_tmpz00_4472;
												}
												BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
													((BgL_rtl_regz00_bglt) BgL_regz00_2657));
												{	/* SawMill/regalloc.scm 491 */
													obj_t BgL_arg2194z00_2660;

													BgL_arg2194z00_2660 =
														MAKE_YOUNG_PAIR(BgL_regz00_2657, BgL_stackz00_2643);
													{
														obj_t BgL_siza7eza7_7383;
														obj_t BgL_stackz00_7382;
														obj_t BgL_regsz00_7381;

														BgL_regsz00_7381 = BgL_regsz00_2659;
														BgL_stackz00_7382 = BgL_arg2194z00_2660;
														BgL_siza7eza7_7383 = BgL_nsiza7eza7_2658;
														BgL_siza7eza7_2644 = BgL_siza7eza7_7383;
														BgL_stackz00_2643 = BgL_stackz00_7382;
														BgL_regsz00_2642 = BgL_regsz00_7381;
														goto BgL_zc3z04anonymousza32183ze3z87_2645;
													}
												}
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2196> */
	obj_t BGl_z62zc3z04anonymousza32196ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5500, obj_t BgL_r1z00_5501, obj_t BgL_r2z00_5502)
	{
		{	/* SawMill/regalloc.scm 477 */
			{	/* SawMill/regalloc.scm 478 */
				bool_t BgL_tmpz00_7385;

				{	/* SawMill/regalloc.scm 478 */
					int BgL_arg2197z00_5664;
					int BgL_arg2198z00_5665;

					{	/* SawMill/regalloc.scm 585 */
						obj_t BgL_arg2299z00_5666;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7386;

							{
								obj_t BgL_auxz00_7387;

								{	/* SawMill/regalloc.scm 585 */
									BgL_objectz00_bglt BgL_tmpz00_7388;

									BgL_tmpz00_7388 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r1z00_5501));
									BgL_auxz00_7387 = BGL_OBJECT_WIDENING(BgL_tmpz00_7388);
								}
								BgL_auxz00_7386 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7387);
							}
							BgL_arg2299z00_5666 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7386))->
								BgL_interfere2z00);
						}
						BgL_arg2197z00_5664 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2299z00_5666)))->BgL_lengthz00);
					}
					{	/* SawMill/regalloc.scm 585 */
						obj_t BgL_arg2299z00_5667;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7396;

							{
								obj_t BgL_auxz00_7397;

								{	/* SawMill/regalloc.scm 585 */
									BgL_objectz00_bglt BgL_tmpz00_7398;

									BgL_tmpz00_7398 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5502));
									BgL_auxz00_7397 = BGL_OBJECT_WIDENING(BgL_tmpz00_7398);
								}
								BgL_auxz00_7396 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7397);
							}
							BgL_arg2299z00_5667 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7396))->
								BgL_interfere2z00);
						}
						BgL_arg2198z00_5665 =
							(((BgL_regsetz00_bglt) COBJECT(
									((BgL_regsetz00_bglt) BgL_arg2299z00_5667)))->BgL_lengthz00);
					}
					BgL_tmpz00_7385 =
						((long) (BgL_arg2197z00_5664) < (long) (BgL_arg2198z00_5665));
				}
				return BBOOL(BgL_tmpz00_7385);
			}
		}

	}



/* &<@anonymous:2210> */
	obj_t BGl_z62zc3z04anonymousza32210ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5503, obj_t BgL_rz00_5505)
	{
		{	/* SawMill/regalloc.scm 448 */
			{	/* SawMill/regalloc.scm 449 */
				obj_t BgL_colorsz00_5504;

				BgL_colorsz00_5504 =
					((obj_t) PROCEDURE_REF(BgL_envz00_5503, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 450 */
					bool_t BgL_test3104z00_7413;

					{	/* SawMill/regalloc.scm 450 */
						obj_t BgL_arg2214z00_5668;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7414;

							{
								obj_t BgL_auxz00_7415;

								{	/* SawMill/regalloc.scm 450 */
									BgL_objectz00_bglt BgL_tmpz00_7416;

									BgL_tmpz00_7416 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_rz00_5505));
									BgL_auxz00_7415 = BGL_OBJECT_WIDENING(BgL_tmpz00_7416);
								}
								BgL_auxz00_7414 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7415);
							}
							BgL_arg2214z00_5668 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7414))->
								BgL_colorz00);
						}
						BgL_test3104z00_7413 = INTEGERP(BgL_arg2214z00_5668);
					}
					if (BgL_test3104z00_7413)
						{	/* SawMill/regalloc.scm 451 */
							obj_t BgL_arg2213z00_5669;

							{
								BgL_rtl_regzf2razf2_bglt BgL_auxz00_7423;

								{
									obj_t BgL_auxz00_7424;

									{	/* SawMill/regalloc.scm 451 */
										BgL_objectz00_bglt BgL_tmpz00_7425;

										BgL_tmpz00_7425 =
											((BgL_objectz00_bglt)
											((BgL_rtl_regz00_bglt) BgL_rz00_5505));
										BgL_auxz00_7424 = BGL_OBJECT_WIDENING(BgL_tmpz00_7425);
									}
									BgL_auxz00_7423 =
										((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7424);
								}
								BgL_arg2213z00_5669 =
									(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7423))->
									BgL_colorz00);
							}
							{	/* SawMill/regalloc.scm 451 */
								long BgL_kz00_5670;

								BgL_kz00_5670 = (long) CINT(BgL_arg2213z00_5669);
								return
									VECTOR_SET(
									((obj_t) BgL_colorsz00_5504), BgL_kz00_5670, BTRUE);
							}
						}
					else
						{	/* SawMill/regalloc.scm 450 */
							return BFALSE;
						}
				}
			}
		}

	}



/* register-hardware-coloring */
	obj_t
		BGl_registerzd2hardwarezd2coloringz00zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_94, obj_t BgL_hregsz00_95, obj_t BgL_cregsz00_96)
	{
		{	/* SawMill/regalloc.scm 496 */
			{
				obj_t BgL_stackz00_2860;
				obj_t BgL_rz00_2826;
				obj_t BgL_regsz00_2804;
				obj_t BgL_regsz00_2790;
				int BgL_kz00_2791;

				{	/* SawMill/regalloc.scm 536 */
					long BgL_kz00_2761;

					BgL_kz00_2761 = bgl_list_length(BgL_hregsz00_95);
					{
						obj_t BgL_regsz00_2764;
						obj_t BgL_stackz00_2765;
						long BgL_sz00_2766;
						long BgL_nz00_2767;

						BgL_regsz00_2764 = BgL_cregsz00_96;
						BgL_stackz00_2765 = BNIL;
						BgL_sz00_2766 = ((long) 0);
						BgL_nz00_2767 = ((long) 0);
					BgL_zc3z04anonymousza32245ze3z87_2768:
						if (NULLP(BgL_regsz00_2764))
							{	/* SawMill/regalloc.scm 559 */
								BgL_stackz00_2860 = BgL_stackz00_2765;
								{
									obj_t BgL_l1678z00_2863;

									BgL_l1678z00_2863 = BgL_stackz00_2860;
								BgL_zc3z04anonymousza32295ze3z87_2864:
									if (PAIRP(BgL_l1678z00_2863))
										{	/* SawMill/regalloc.scm 535 */
											BgL_rz00_2826 = CAR(BgL_l1678z00_2863);
											{	/* SawMill/regalloc.scm 520 */
												obj_t BgL_nrz00_2829;

												{
													obj_t BgL_l1675z00_2837;

													BgL_l1675z00_2837 = BgL_hregsz00_95;
												BgL_zc3z04anonymousza32284ze3z87_2838:
													if (NULLP(BgL_l1675z00_2837))
														{	/* SawMill/regalloc.scm 520 */
															BgL_nrz00_2829 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 521 */
															obj_t BgL__ortest_1677z00_2840;

															{	/* SawMill/regalloc.scm 521 */
																obj_t BgL_regz00_2842;

																BgL_regz00_2842 =
																	CAR(((obj_t) BgL_l1675z00_2837));
																{	/* SawMill/regalloc.scm 521 */
																	bool_t BgL_test3108z00_7443;

																	{	/* SawMill/regalloc.scm 521 */
																		obj_t BgL_arg2293z00_2858;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7444;

																			{
																				obj_t BgL_auxz00_7445;

																				{	/* SawMill/regalloc.scm 521 */
																					BgL_objectz00_bglt BgL_tmpz00_7446;

																					BgL_tmpz00_7446 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_rz00_2826));
																					BgL_auxz00_7445 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7446);
																				}
																				BgL_auxz00_7444 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7445);
																			}
																			BgL_arg2293z00_2858 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7444))->
																				BgL_interferez00);
																		}
																		BgL_test3108z00_7443 =
																			BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
																			((BgL_rtl_regz00_bglt) BgL_regz00_2842),
																			((BgL_regsetz00_bglt)
																				BgL_arg2293z00_2858));
																	}
																	if (BgL_test3108z00_7443)
																		{	/* SawMill/regalloc.scm 521 */
																			BgL__ortest_1677z00_2840 = BFALSE;
																		}
																	else
																		{	/* SawMill/regalloc.scm 522 */
																			bool_t BgL_test3109z00_7455;

																			{	/* SawMill/regalloc.scm 522 */
																				obj_t BgL_g1673z00_2847;

																				{	/* SawMill/regalloc.scm 524 */
																					obj_t BgL_arg2292z00_2857;

																					{
																						BgL_rtl_regzf2razf2_bglt
																							BgL_auxz00_7456;
																						{
																							obj_t BgL_auxz00_7457;

																							{	/* SawMill/regalloc.scm 524 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_7458;
																								BgL_tmpz00_7458 =
																									((BgL_objectz00_bglt) (
																										(BgL_rtl_regz00_bglt)
																										BgL_rz00_2826));
																								BgL_auxz00_7457 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_7458);
																							}
																							BgL_auxz00_7456 =
																								((BgL_rtl_regzf2razf2_bglt)
																								BgL_auxz00_7457);
																						}
																						BgL_arg2292z00_2857 =
																							(((BgL_rtl_regzf2razf2_bglt)
																								COBJECT(BgL_auxz00_7456))->
																							BgL_interferez00);
																					}
																					BgL_g1673z00_2847 =
																						BGl_regsetzd2ze3listz31zzsaw_regsetz00
																						(((BgL_regsetz00_bglt)
																							BgL_arg2292z00_2857));
																				}
																				{
																					obj_t BgL_l1671z00_2849;

																					BgL_l1671z00_2849 = BgL_g1673z00_2847;
																				BgL_zc3z04anonymousza32288ze3z87_2850:
																					if (NULLP(BgL_l1671z00_2849))
																						{	/* SawMill/regalloc.scm 524 */
																							BgL_test3109z00_7455 =
																								((bool_t) 0);
																						}
																					else
																						{	/* SawMill/regalloc.scm 523 */
																							bool_t BgL__ortest_1674z00_2852;

																							{	/* SawMill/regalloc.scm 523 */
																								obj_t BgL_arg2291z00_2855;

																								{	/* SawMill/regalloc.scm 523 */
																									BgL_rtl_regz00_bglt
																										BgL_oz00_4503;
																									BgL_oz00_4503 =
																										((BgL_rtl_regz00_bglt)
																										CAR(((obj_t)
																												BgL_l1671z00_2849)));
																									{
																										BgL_rtl_regzf2razf2_bglt
																											BgL_auxz00_7471;
																										{
																											obj_t BgL_auxz00_7472;

																											{	/* SawMill/regalloc.scm 523 */
																												BgL_objectz00_bglt
																													BgL_tmpz00_7473;
																												BgL_tmpz00_7473 =
																													((BgL_objectz00_bglt)
																													BgL_oz00_4503);
																												BgL_auxz00_7472 =
																													BGL_OBJECT_WIDENING
																													(BgL_tmpz00_7473);
																											}
																											BgL_auxz00_7471 =
																												(
																												(BgL_rtl_regzf2razf2_bglt)
																												BgL_auxz00_7472);
																										}
																										BgL_arg2291z00_2855 =
																											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7471))->BgL_colorz00);
																									}
																								}
																								BgL__ortest_1674z00_2852 =
																									(BgL_arg2291z00_2855 ==
																									BgL_regz00_2842);
																							}
																							if (BgL__ortest_1674z00_2852)
																								{	/* SawMill/regalloc.scm 524 */
																									BgL_test3109z00_7455 =
																										BgL__ortest_1674z00_2852;
																								}
																							else
																								{	/* SawMill/regalloc.scm 524 */
																									obj_t BgL_arg2290z00_2853;

																									BgL_arg2290z00_2853 =
																										CDR(
																										((obj_t)
																											BgL_l1671z00_2849));
																									{
																										obj_t BgL_l1671z00_7482;

																										BgL_l1671z00_7482 =
																											BgL_arg2290z00_2853;
																										BgL_l1671z00_2849 =
																											BgL_l1671z00_7482;
																										goto
																											BgL_zc3z04anonymousza32288ze3z87_2850;
																									}
																								}
																						}
																				}
																			}
																			if (BgL_test3109z00_7455)
																				{	/* SawMill/regalloc.scm 522 */
																					BgL__ortest_1677z00_2840 = BFALSE;
																				}
																			else
																				{	/* SawMill/regalloc.scm 525 */
																					bool_t BgL_test3112z00_7483;

																					{	/* SawMill/regalloc.scm 527 */
																						obj_t BgL_arg2287z00_2846;

																						{
																							BgL_rtl_regzf2razf2_bglt
																								BgL_auxz00_7484;
																							{
																								obj_t BgL_auxz00_7485;

																								{	/* SawMill/regalloc.scm 527 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_7486;
																									BgL_tmpz00_7486 =
																										((BgL_objectz00_bglt) (
																											(BgL_rtl_regz00_bglt)
																											BgL_regz00_2842));
																									BgL_auxz00_7485 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_7486);
																								}
																								BgL_auxz00_7484 =
																									((BgL_rtl_regzf2razf2_bglt)
																									BgL_auxz00_7485);
																							}
																							BgL_arg2287z00_2846 =
																								(((BgL_rtl_regzf2razf2_bglt)
																									COBJECT(BgL_auxz00_7484))->
																								BgL_interfere2z00);
																						}
																						BgL_test3112z00_7483 =
																							BGl_regsetzd2memberzf3z21zzsaw_regsetz00
																							(((BgL_rtl_regz00_bglt)
																								BgL_rz00_2826),
																							((BgL_regsetz00_bglt)
																								BgL_arg2287z00_2846));
																					}
																					if (BgL_test3112z00_7483)
																						{	/* SawMill/regalloc.scm 525 */
																							BgL__ortest_1677z00_2840 = BFALSE;
																						}
																					else
																						{	/* SawMill/regalloc.scm 525 */
																							BgL__ortest_1677z00_2840 =
																								BgL_regz00_2842;
																						}
																				}
																		}
																}
															}
															if (CBOOL(BgL__ortest_1677z00_2840))
																{	/* SawMill/regalloc.scm 520 */
																	BgL_nrz00_2829 = BgL__ortest_1677z00_2840;
																}
															else
																{	/* SawMill/regalloc.scm 520 */
																	obj_t BgL_arg2286z00_2841;

																	BgL_arg2286z00_2841 =
																		CDR(((obj_t) BgL_l1675z00_2837));
																	{
																		obj_t BgL_l1675z00_7499;

																		BgL_l1675z00_7499 = BgL_arg2286z00_2841;
																		BgL_l1675z00_2837 = BgL_l1675z00_7499;
																		goto BgL_zc3z04anonymousza32284ze3z87_2838;
																	}
																}
														}
												}
												{	/* SawMill/regalloc.scm 530 */
													obj_t BgL_arg2281z00_2831;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7500;

														{
															obj_t BgL_auxz00_7501;

															{	/* SawMill/regalloc.scm 532 */
																BgL_objectz00_bglt BgL_tmpz00_7502;

																BgL_tmpz00_7502 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2826));
																BgL_auxz00_7501 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7502);
															}
															BgL_auxz00_7500 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7501);
														}
														BgL_arg2281z00_2831 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7500))->BgL_interferez00);
													}
													{	/* SawMill/regalloc.scm 531 */
														obj_t BgL_zc3z04anonymousza32282ze3z87_5506;

														BgL_zc3z04anonymousza32282ze3z87_5506 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32282ze3ze5zzsaw_registerzd2allocationzd2,
															(int) (((long) 1)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3z04anonymousza32282ze3z87_5506,
															(int) (((long) 0)), BgL_nrz00_2829);
														BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
															(BgL_zc3z04anonymousza32282ze3z87_5506,
															((BgL_regsetz00_bglt) BgL_arg2281z00_2831));
												}}
												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_7515;

													{
														obj_t BgL_auxz00_7516;

														{	/* SawMill/regalloc.scm 533 */
															BgL_objectz00_bglt BgL_tmpz00_7517;

															BgL_tmpz00_7517 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2826));
															BgL_auxz00_7516 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7517);
														}
														BgL_auxz00_7515 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7516);
													}
													((((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7515))->BgL_colorz00) =
														((obj_t) BgL_nrz00_2829), BUNSPEC);
											}}
											{
												obj_t BgL_l1678z00_7524;

												BgL_l1678z00_7524 = CDR(BgL_l1678z00_2863);
												BgL_l1678z00_2863 = BgL_l1678z00_7524;
												goto BgL_zc3z04anonymousza32295ze3z87_2864;
											}
										}
									else
										{	/* SawMill/regalloc.scm 535 */
											((bool_t) 1);
										}
								}
								{	/* SawMill/regalloc.scm 564 */
									long BgL_arg2247z00_2770;

									BgL_arg2247z00_2770 = bgl_list_length(BgL_cregsz00_96);
									{	/* SawMill/regalloc.scm 562 */
										obj_t BgL_list2248z00_2771;

										{	/* SawMill/regalloc.scm 562 */
											obj_t BgL_arg2249z00_2772;

											{	/* SawMill/regalloc.scm 562 */
												obj_t BgL_arg2250z00_2773;

												{	/* SawMill/regalloc.scm 562 */
													obj_t BgL_arg2251z00_2774;

													{	/* SawMill/regalloc.scm 562 */
														obj_t BgL_arg2252z00_2775;

														{	/* SawMill/regalloc.scm 562 */
															obj_t BgL_arg2253z00_2776;

															{	/* SawMill/regalloc.scm 562 */
																obj_t BgL_arg2254z00_2777;

																{	/* SawMill/regalloc.scm 562 */
																	obj_t BgL_arg2255z00_2778;

																	{	/* SawMill/regalloc.scm 562 */
																		obj_t BgL_arg2256z00_2779;

																		{	/* SawMill/regalloc.scm 562 */
																			obj_t BgL_arg2257z00_2780;

																			BgL_arg2257z00_2780 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2836z00zzsaw_registerzd2allocationzd2,
																				BNIL);
																			BgL_arg2256z00_2779 =
																				MAKE_YOUNG_PAIR
																				(BGl_string2851z00zzsaw_registerzd2allocationzd2,
																				BgL_arg2257z00_2780);
																		}
																		BgL_arg2255z00_2778 =
																			MAKE_YOUNG_PAIR(BINT(BgL_sz00_2766),
																			BgL_arg2256z00_2779);
																	}
																	BgL_arg2254z00_2777 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2852z00zzsaw_registerzd2allocationzd2,
																		BgL_arg2255z00_2778);
																}
																BgL_arg2253z00_2776 =
																	MAKE_YOUNG_PAIR(BINT(BgL_nz00_2767),
																	BgL_arg2254z00_2777);
															}
															BgL_arg2252z00_2775 =
																MAKE_YOUNG_PAIR
																(BGl_string2853z00zzsaw_registerzd2allocationzd2,
																BgL_arg2253z00_2776);
														}
														BgL_arg2251z00_2774 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg2247z00_2770),
															BgL_arg2252z00_2775);
													}
													BgL_arg2250z00_2773 =
														MAKE_YOUNG_PAIR
														(BGl_string2854z00zzsaw_registerzd2allocationzd2,
														BgL_arg2251z00_2774);
												}
												BgL_arg2249z00_2772 =
													MAKE_YOUNG_PAIR(BINT(BgL_kz00_2761),
													BgL_arg2250z00_2773);
											}
											BgL_list2248z00_2771 =
												MAKE_YOUNG_PAIR
												(BGl_string2855z00zzsaw_registerzd2allocationzd2,
												BgL_arg2249z00_2772);
										}
										return
											BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
											BgL_list2248z00_2771);
							}}}
						else
							{	/* SawMill/regalloc.scm 567 */
								obj_t BgL_srz00_2781;

								BgL_regsz00_2790 = BgL_regsz00_2764;
								BgL_kz00_2791 = (int) (BgL_kz00_2761);
								{
									obj_t BgL_l1668z00_2794;

									BgL_l1668z00_2794 = BgL_regsz00_2790;
								BgL_zc3z04anonymousza32264ze3z87_2795:
									if (NULLP(BgL_l1668z00_2794))
										{	/* SawMill/regalloc.scm 498 */
											BgL_srz00_2781 = BFALSE;
										}
									else
										{	/* SawMill/regalloc.scm 499 */
											obj_t BgL__ortest_1670z00_2797;

											{	/* SawMill/regalloc.scm 499 */
												obj_t BgL_rz00_2799;

												BgL_rz00_2799 = CAR(((obj_t) BgL_l1668z00_2794));
												{	/* SawMill/regalloc.scm 499 */
													obj_t BgL__andtest_1228z00_2800;

													BgL__andtest_1228z00_2800 =
														(((BgL_rtl_regz00_bglt) COBJECT(
																((BgL_rtl_regz00_bglt) BgL_rz00_2799)))->
														BgL_hardwarez00);
													if (CBOOL(BgL__andtest_1228z00_2800))
														{	/* SawMill/regalloc.scm 499 */
															BgL__ortest_1670z00_2797 = BFALSE;
														}
													else
														{	/* SawMill/regalloc.scm 500 */
															bool_t BgL_test3116z00_7551;

															{	/* SawMill/regalloc.scm 500 */
																int BgL_arg2267z00_2802;

																{	/* SawMill/regalloc.scm 585 */
																	obj_t BgL_arg2299z00_4476;

																	{
																		BgL_rtl_regzf2razf2_bglt BgL_auxz00_7552;

																		{
																			obj_t BgL_auxz00_7553;

																			{	/* SawMill/regalloc.scm 585 */
																				BgL_objectz00_bglt BgL_tmpz00_7554;

																				BgL_tmpz00_7554 =
																					((BgL_objectz00_bglt)
																					((BgL_rtl_regz00_bglt)
																						BgL_rz00_2799));
																				BgL_auxz00_7553 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_7554);
																			}
																			BgL_auxz00_7552 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BgL_auxz00_7553);
																		}
																		BgL_arg2299z00_4476 =
																			(((BgL_rtl_regzf2razf2_bglt)
																				COBJECT(BgL_auxz00_7552))->
																			BgL_interfere2z00);
																	}
																	BgL_arg2267z00_2802 =
																		(((BgL_regsetz00_bglt) COBJECT(
																				((BgL_regsetz00_bglt)
																					BgL_arg2299z00_4476)))->
																		BgL_lengthz00);
																}
																BgL_test3116z00_7551 =
																	(
																	(long) (BgL_arg2267z00_2802) <
																	(long) (BgL_kz00_2791));
															}
															if (BgL_test3116z00_7551)
																{	/* SawMill/regalloc.scm 500 */
																	BgL__ortest_1670z00_2797 = BgL_rz00_2799;
																}
															else
																{	/* SawMill/regalloc.scm 500 */
																	BgL__ortest_1670z00_2797 = BFALSE;
																}
														}
												}
											}
											if (CBOOL(BgL__ortest_1670z00_2797))
												{	/* SawMill/regalloc.scm 498 */
													BgL_srz00_2781 = BgL__ortest_1670z00_2797;
												}
											else
												{	/* SawMill/regalloc.scm 498 */
													obj_t BgL_arg2266z00_2798;

													BgL_arg2266z00_2798 =
														CDR(((obj_t) BgL_l1668z00_2794));
													{
														obj_t BgL_l1668z00_7569;

														BgL_l1668z00_7569 = BgL_arg2266z00_2798;
														BgL_l1668z00_2794 = BgL_l1668z00_7569;
														goto BgL_zc3z04anonymousza32264ze3z87_2795;
													}
												}
										}
								}
								if (CBOOL(BgL_srz00_2781))
									{	/* SawMill/regalloc.scm 568 */
										BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(
											((BgL_rtl_regz00_bglt) BgL_srz00_2781));
										{	/* SawMill/regalloc.scm 572 */
											obj_t BgL_arg2258z00_2782;
											obj_t BgL_arg2259z00_2783;
											long BgL_arg2260z00_2784;

											BgL_arg2258z00_2782 =
												bgl_remq(BgL_srz00_2781, BgL_regsz00_2764);
											BgL_arg2259z00_2783 =
												MAKE_YOUNG_PAIR(BgL_srz00_2781, BgL_stackz00_2765);
											BgL_arg2260z00_2784 = (((long) 1) + BgL_nz00_2767);
											{
												long BgL_nz00_7580;
												obj_t BgL_stackz00_7579;
												obj_t BgL_regsz00_7578;

												BgL_regsz00_7578 = BgL_arg2258z00_2782;
												BgL_stackz00_7579 = BgL_arg2259z00_2783;
												BgL_nz00_7580 = BgL_arg2260z00_2784;
												BgL_nz00_2767 = BgL_nz00_7580;
												BgL_stackz00_2765 = BgL_stackz00_7579;
												BgL_regsz00_2764 = BgL_regsz00_7578;
												goto BgL_zc3z04anonymousza32245ze3z87_2768;
											}
										}
									}
								else
									{	/* SawMill/regalloc.scm 574 */
										BgL_rtl_regz00_bglt BgL_rz00_2785;

										BgL_regsz00_2804 = BgL_regsz00_2764;
										{
											obj_t BgL_regz00_2819;

											{
												obj_t BgL_regsz00_2808;
												obj_t BgL_regz00_2809;
												double BgL_msz00_2810;

												{
													obj_t BgL_auxz00_7581;

													BgL_regsz00_2808 = BgL_regsz00_2804;
													BgL_regz00_2809 = BUNSPEC;
													BgL_msz00_2810 = ((double) 0.0);
												BgL_zc3z04anonymousza32269ze3z87_2811:
													if (NULLP(BgL_regsz00_2808))
														{	/* SawMill/regalloc.scm 511 */
															BgL_auxz00_7581 = BgL_regz00_2809;
														}
													else
														{	/* SawMill/regalloc.scm 513 */
															obj_t BgL_rz00_2813;

															BgL_rz00_2813 = CAR(((obj_t) BgL_regsz00_2808));
															{	/* SawMill/regalloc.scm 513 */
																double BgL_sz00_2814;

																BgL_regz00_2819 = BgL_rz00_2813;
																{	/* SawMill/regalloc.scm 506 */
																	double BgL_arg2275z00_2821;
																	double BgL_arg2276z00_2822;

																	{	/* SawMill/regalloc.scm 506 */
																		int BgL_arg2277z00_2823;

																		{
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7586;

																			{
																				obj_t BgL_auxz00_7587;

																				{	/* SawMill/regalloc.scm 506 */
																					BgL_objectz00_bglt BgL_tmpz00_7588;

																					BgL_tmpz00_7588 =
																						((BgL_objectz00_bglt)
																						((BgL_rtl_regz00_bglt)
																							BgL_regz00_2819));
																					BgL_auxz00_7587 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7588);
																				}
																				BgL_auxz00_7586 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7587);
																			}
																			BgL_arg2277z00_2823 =
																				(((BgL_rtl_regzf2razf2_bglt)
																					COBJECT(BgL_auxz00_7586))->
																				BgL_occurrencesz00);
																		}
																		BgL_arg2275z00_2821 =
																			(double) ((long) (BgL_arg2277z00_2823));
																	}
																	{	/* SawMill/regalloc.scm 507 */
																		int BgL_arg2278z00_2824;

																		{	/* SawMill/regalloc.scm 585 */
																			obj_t BgL_arg2299z00_4487;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7596;
																				{
																					obj_t BgL_auxz00_7597;

																					{	/* SawMill/regalloc.scm 585 */
																						BgL_objectz00_bglt BgL_tmpz00_7598;

																						BgL_tmpz00_7598 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_regz00_2819));
																						BgL_auxz00_7597 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7598);
																					}
																					BgL_auxz00_7596 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7597);
																				}
																				BgL_arg2299z00_4487 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7596))->
																					BgL_interfere2z00);
																			}
																			BgL_arg2278z00_2824 =
																				(((BgL_regsetz00_bglt) COBJECT(
																						((BgL_regsetz00_bglt)
																							BgL_arg2299z00_4487)))->
																				BgL_lengthz00);
																		}
																		BgL_arg2276z00_2822 =
																			(double) ((long) (BgL_arg2278z00_2824));
																	}
																	BgL_sz00_2814 =
																		(BgL_arg2275z00_2821 / BgL_arg2276z00_2822);
																}
																{	/* SawMill/regalloc.scm 514 */

																	if ((BgL_sz00_2814 > BgL_msz00_2810))
																		{	/* SawMill/regalloc.scm 516 */
																			obj_t BgL_arg2272z00_2816;

																			BgL_arg2272z00_2816 =
																				CDR(((obj_t) BgL_regsz00_2808));
																			{
																				double BgL_msz00_7615;
																				obj_t BgL_regz00_7614;
																				obj_t BgL_regsz00_7613;

																				BgL_regsz00_7613 = BgL_arg2272z00_2816;
																				BgL_regz00_7614 = BgL_rz00_2813;
																				BgL_msz00_7615 = BgL_sz00_2814;
																				BgL_msz00_2810 = BgL_msz00_7615;
																				BgL_regz00_2809 = BgL_regz00_7614;
																				BgL_regsz00_2808 = BgL_regsz00_7613;
																				goto
																					BgL_zc3z04anonymousza32269ze3z87_2811;
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 517 */
																			obj_t BgL_arg2273z00_2817;

																			BgL_arg2273z00_2817 =
																				CDR(((obj_t) BgL_regsz00_2808));
																			{
																				obj_t BgL_regsz00_7618;

																				BgL_regsz00_7618 = BgL_arg2273z00_2817;
																				BgL_regsz00_2808 = BgL_regsz00_7618;
																				goto
																					BgL_zc3z04anonymousza32269ze3z87_2811;
																			}
																		}
																}
															}
														}
													BgL_rz00_2785 =
														((BgL_rtl_regz00_bglt) BgL_auxz00_7581);
												}
											}
										}
										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7620;

											{
												obj_t BgL_auxz00_7621;

												{	/* SawMill/regalloc.scm 576 */
													BgL_objectz00_bglt BgL_tmpz00_7622;

													BgL_tmpz00_7622 =
														((BgL_objectz00_bglt) BgL_rz00_2785);
													BgL_auxz00_7621 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7622);
												}
												BgL_auxz00_7620 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7621);
											}
											((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7620))->
													BgL_colorz00) = ((obj_t) BUNSPEC), BUNSPEC);
										}
										{	/* SawMill/regalloc.scm 577 */
											obj_t BgL_arg2261z00_2787;
											long BgL_arg2262z00_2788;

											BgL_arg2261z00_2787 =
												bgl_remq(((obj_t) BgL_rz00_2785), BgL_regsz00_2764);
											BgL_arg2262z00_2788 = (((long) 1) + BgL_sz00_2766);
											{
												long BgL_sz00_7631;
												obj_t BgL_regsz00_7630;

												BgL_regsz00_7630 = BgL_arg2261z00_2787;
												BgL_sz00_7631 = BgL_arg2262z00_2788;
												BgL_sz00_2766 = BgL_sz00_7631;
												BgL_regsz00_2764 = BgL_regsz00_7630;
												goto BgL_zc3z04anonymousza32245ze3z87_2768;
											}
										}
									}
							}
					}
				}
			}
		}

	}



/* &<@anonymous:2282> */
	obj_t BGl_z62zc3z04anonymousza32282ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5507, obj_t BgL_riz00_5509)
	{
		{	/* SawMill/regalloc.scm 530 */
			{	/* SawMill/regalloc.scm 531 */
				obj_t BgL_nrz00_5508;

				BgL_nrz00_5508 = PROCEDURE_REF(BgL_envz00_5507, (int) (((long) 0)));
				{	/* SawMill/regalloc.scm 531 */
					bool_t BgL_tmpz00_7634;

					{	/* SawMill/regalloc.scm 531 */
						obj_t BgL_arg2283z00_5671;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7635;

							{
								obj_t BgL_auxz00_7636;

								{	/* SawMill/regalloc.scm 531 */
									BgL_objectz00_bglt BgL_tmpz00_7637;

									BgL_tmpz00_7637 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_nrz00_5508));
									BgL_auxz00_7636 = BGL_OBJECT_WIDENING(BgL_tmpz00_7637);
								}
								BgL_auxz00_7635 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7636);
							}
							BgL_arg2283z00_5671 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7635))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_7634 =
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2283z00_5671),
							((BgL_rtl_regz00_bglt) BgL_riz00_5509));
					}
					return BBOOL(BgL_tmpz00_7634);
				}
			}
		}

	}



/* simplify-reg! */
	obj_t
		BGl_simplifyzd2regz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_rz00_98)
	{
		{	/* SawMill/regalloc.scm 593 */
			{	/* SawMill/regalloc.scm 595 */
				obj_t BgL_arg2302z00_2876;

				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_7647;

					{
						obj_t BgL_auxz00_7648;

						{	/* SawMill/regalloc.scm 595 */
							BgL_objectz00_bglt BgL_tmpz00_7649;

							BgL_tmpz00_7649 = ((BgL_objectz00_bglt) BgL_rz00_98);
							BgL_auxz00_7648 = BGL_OBJECT_WIDENING(BgL_tmpz00_7649);
						}
						BgL_auxz00_7647 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7648);
					}
					BgL_arg2302z00_2876 =
						(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7647))->
						BgL_interfere2z00);
				}
				{	/* SawMill/regalloc.scm 596 */
					obj_t BgL_zc3z04anonymousza32303ze3z87_5510;

					BgL_zc3z04anonymousza32303ze3z87_5510 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza32303ze3ze5zzsaw_registerzd2allocationzd2,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza32303ze3z87_5510,
						(int) (((long) 0)), ((obj_t) BgL_rz00_98));
					PROCEDURE_SET(BgL_zc3z04anonymousza32303ze3z87_5510,
						(int) (((long) 1)), ((obj_t) BgL_rz00_98));
					return
						BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3z04anonymousza32303ze3z87_5510,
						((BgL_regsetz00_bglt) BgL_arg2302z00_2876));
				}
			}
		}

	}



/* &<@anonymous:2303> */
	obj_t BGl_z62zc3z04anonymousza32303ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5511, obj_t BgL_r2z00_5514)
	{
		{	/* SawMill/regalloc.scm 595 */
			{	/* SawMill/regalloc.scm 596 */
				BgL_rtl_regz00_bglt BgL_rz00_5512;
				BgL_rtl_regz00_bglt BgL_i1236z00_5513;

				BgL_rz00_5512 =
					((BgL_rtl_regz00_bglt)
					PROCEDURE_REF(BgL_envz00_5511, (int) (((long) 0))));
				BgL_i1236z00_5513 =
					((BgL_rtl_regz00_bglt)
					PROCEDURE_REF(BgL_envz00_5511, (int) (((long) 1))));
				{	/* SawMill/regalloc.scm 596 */
					bool_t BgL_tmpz00_7671;

					{	/* SawMill/regalloc.scm 596 */
						obj_t BgL_arg2304z00_5672;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7672;

							{
								obj_t BgL_auxz00_7673;

								{	/* SawMill/regalloc.scm 596 */
									BgL_objectz00_bglt BgL_tmpz00_7674;

									BgL_tmpz00_7674 =
										((BgL_objectz00_bglt)
										((BgL_rtl_regz00_bglt) BgL_r2z00_5514));
									BgL_auxz00_7673 = BGL_OBJECT_WIDENING(BgL_tmpz00_7674);
								}
								BgL_auxz00_7672 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7673);
							}
							BgL_arg2304z00_5672 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7672))->
								BgL_interfere2z00);
						}
						BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2304z00_5672), BgL_rz00_5512);
					}
					{	/* SawMill/regalloc.scm 597 */
						obj_t BgL_arg2305z00_5673;

						{
							BgL_rtl_regzf2razf2_bglt BgL_auxz00_7682;

							{
								obj_t BgL_auxz00_7683;

								{	/* SawMill/regalloc.scm 597 */
									BgL_objectz00_bglt BgL_tmpz00_7684;

									BgL_tmpz00_7684 = ((BgL_objectz00_bglt) BgL_i1236z00_5513);
									BgL_auxz00_7683 = BGL_OBJECT_WIDENING(BgL_tmpz00_7684);
								}
								BgL_auxz00_7682 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7683);
							}
							BgL_arg2305z00_5673 =
								(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7682))->
								BgL_interfere2z00);
						}
						BgL_tmpz00_7671 =
							BGl_regsetzd2removez12zc0zzsaw_regsetz00(
							((BgL_regsetz00_bglt) BgL_arg2305z00_5673),
							((BgL_rtl_regz00_bglt) BgL_r2z00_5514));
					}
					return BBOOL(BgL_tmpz00_7671);
				}
			}
		}

	}



/* rtl-map-registers! */
	obj_t BGl_rtlzd2mapzd2registersz12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_pregsz00_99, obj_t BgL_cregsz00_100, obj_t BgL_blocksz00_101)
	{
		{	/* SawMill/regalloc.scm 608 */
			{	/* SawMill/regalloc.scm 609 */
				obj_t BgL_colorsz00_2882;

				BgL_colorsz00_2882 =
					make_vector(
					(bgl_list_length(BgL_pregsz00_99) +
						bgl_list_length(BgL_cregsz00_100)), BUNSPEC);
				{	/* SawMill/regalloc.scm 615 */
					struct bgl_cell BgL_box3121_5635z00;
					obj_t BgL_mappingz00_5635;

					BgL_mappingz00_5635 = MAKE_CELL_STACK(BNIL, BgL_box3121_5635z00);
					{	/* SawMill/regalloc.scm 610 */
						obj_t BgL_g1694z00_2886;

						BgL_g1694z00_2886 =
							BGl_appendzd221011zd2zzsaw_registerzd2allocationzd2
							(BgL_cregsz00_100, BgL_pregsz00_99);
						{
							obj_t BgL_l1692z00_2888;

							BgL_l1692z00_2888 = BgL_g1694z00_2886;
						BgL_zc3z04anonymousza32306ze3z87_2889:
							if (PAIRP(BgL_l1692z00_2888))
								{	/* SawMill/regalloc.scm 614 */
									{	/* SawMill/regalloc.scm 611 */
										obj_t BgL_rz00_2891;

										BgL_rz00_2891 = CAR(BgL_l1692z00_2888);
										{	/* SawMill/regalloc.scm 612 */
											bool_t BgL_test3123z00_7701;

											{	/* SawMill/regalloc.scm 612 */
												obj_t BgL_arg2311z00_2896;

												{
													BgL_rtl_regzf2razf2_bglt BgL_auxz00_7702;

													{
														obj_t BgL_auxz00_7703;

														{	/* SawMill/regalloc.scm 612 */
															BgL_objectz00_bglt BgL_tmpz00_7704;

															BgL_tmpz00_7704 =
																((BgL_objectz00_bglt)
																((BgL_rtl_regz00_bglt) BgL_rz00_2891));
															BgL_auxz00_7703 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_7704);
														}
														BgL_auxz00_7702 =
															((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7703);
													}
													BgL_arg2311z00_2896 =
														(((BgL_rtl_regzf2razf2_bglt)
															COBJECT(BgL_auxz00_7702))->BgL_colorz00);
												}
												BgL_test3123z00_7701 = INTEGERP(BgL_arg2311z00_2896);
											}
											if (BgL_test3123z00_7701)
												{	/* SawMill/regalloc.scm 613 */
													obj_t BgL_arg2310z00_2895;

													{
														BgL_rtl_regzf2razf2_bglt BgL_auxz00_7711;

														{
															obj_t BgL_auxz00_7712;

															{	/* SawMill/regalloc.scm 613 */
																BgL_objectz00_bglt BgL_tmpz00_7713;

																BgL_tmpz00_7713 =
																	((BgL_objectz00_bglt)
																	((BgL_rtl_regz00_bglt) BgL_rz00_2891));
																BgL_auxz00_7712 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7713);
															}
															BgL_auxz00_7711 =
																((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7712);
														}
														BgL_arg2310z00_2895 =
															(((BgL_rtl_regzf2razf2_bglt)
																COBJECT(BgL_auxz00_7711))->BgL_colorz00);
													}
													VECTOR_SET(BgL_colorsz00_2882,
														(long) CINT(BgL_arg2310z00_2895), BgL_rz00_2891);
												}
											else
												{	/* SawMill/regalloc.scm 612 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1692z00_7721;

										BgL_l1692z00_7721 = CDR(BgL_l1692z00_2888);
										BgL_l1692z00_2888 = BgL_l1692z00_7721;
										goto BgL_zc3z04anonymousza32306ze3z87_2889;
									}
								}
							else
								{	/* SawMill/regalloc.scm 614 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_l1710z00_2900;

						BgL_l1710z00_2900 = BgL_blocksz00_101;
					BgL_zc3z04anonymousza32313ze3z87_2901:
						if (PAIRP(BgL_l1710z00_2900))
							{	/* SawMill/regalloc.scm 654 */
								{	/* SawMill/regalloc.scm 655 */
									obj_t BgL_bz00_2903;

									BgL_bz00_2903 = CAR(BgL_l1710z00_2900);
									{	/* SawMill/regalloc.scm 655 */
										obj_t BgL_g1709z00_2904;

										BgL_g1709z00_2904 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_2903)))->BgL_firstz00);
										{
											obj_t BgL_l1707z00_2906;

											BgL_l1707z00_2906 = BgL_g1709z00_2904;
										BgL_zc3z04anonymousza32315ze3z87_2907:
											if (PAIRP(BgL_l1707z00_2906))
												{	/* SawMill/regalloc.scm 661 */
													{	/* SawMill/regalloc.scm 656 */
														obj_t BgL_iz00_2909;

														BgL_iz00_2909 = CAR(BgL_l1707z00_2906);
														{	/* SawMill/regalloc.scm 657 */
															bool_t BgL_test3126z00_7731;

															{	/* SawMill/regalloc.scm 657 */
																obj_t BgL_arg2320z00_2914;

																BgL_arg2320z00_2914 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2909))))->BgL_destz00);
																{	/* SawMill/regalloc.scm 657 */
																	obj_t BgL_classz00_4708;

																	BgL_classz00_4708 =
																		BGl_rtl_regzf2razf2zzsaw_regsetz00;
																	if (BGL_OBJECTP(BgL_arg2320z00_2914))
																		{	/* SawMill/regalloc.scm 657 */
																			BgL_objectz00_bglt BgL_arg1825z00_4710;

																			BgL_arg1825z00_4710 =
																				(BgL_objectz00_bglt)
																				(BgL_arg2320z00_2914);
																			{	/* SawMill/regalloc.scm 657 */
																				bool_t BgL_arg1822z00_4713;
																				bool_t BgL_arg1823z00_4714;

																				{	/* SawMill/regalloc.scm 657 */
																					long BgL_idxz00_4717;

																					BgL_idxz00_4717 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1825z00_4710);
																					BgL_arg1822z00_4713 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_4717 + ((long) 2))) ==
																						BgL_classz00_4708);
																				}
																				{	/* SawMill/regalloc.scm 657 */
																					bool_t BgL_res2795z00_4739;

																					{	/* SawMill/regalloc.scm 657 */
																						obj_t BgL_oclassz00_4725;

																						{	/* SawMill/regalloc.scm 657 */
																							long BgL_arg1833z00_4731;

																							{	/* SawMill/regalloc.scm 657 */
																								long BgL_arg1834z00_4732;

																								BgL_arg1834z00_4732 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1825z00_4710);
																								BgL_arg1833z00_4731 =
																									(BgL_arg1834z00_4732 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_4725 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1833z00_4731);
																						}
																						{	/* SawMill/regalloc.scm 657 */
																							bool_t BgL__ortest_1110z00_4726;

																							BgL__ortest_1110z00_4726 =
																								(BgL_classz00_4708 ==
																								BgL_oclassz00_4725);
																							if (BgL__ortest_1110z00_4726)
																								{	/* SawMill/regalloc.scm 657 */
																									BgL_res2795z00_4739 =
																										BgL__ortest_1110z00_4726;
																								}
																							else
																								{	/* SawMill/regalloc.scm 657 */
																									long BgL_odepthz00_4727;

																									BgL_odepthz00_4727 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_4725);
																									if ((((long) 2) <
																											BgL_odepthz00_4727))
																										{	/* SawMill/regalloc.scm 657 */
																											obj_t BgL_arg1821z00_4729;

																											BgL_arg1821z00_4729 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_4725,
																												((long) 2));
																											BgL_res2795z00_4739 =
																												(BgL_arg1821z00_4729 ==
																												BgL_classz00_4708);
																										}
																									else
																										{	/* SawMill/regalloc.scm 657 */
																											BgL_res2795z00_4739 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_arg1823z00_4714 =
																						BgL_res2795z00_4739;
																				}
																				BgL_test3126z00_7731 =
																					BGL_ISA_C_BACKEND(BgL_arg1822z00_4713,
																					BgL_arg1823z00_4714);
																			}
																		}
																	else
																		{	/* SawMill/regalloc.scm 657 */
																			BgL_test3126z00_7731 = ((bool_t) 0);
																		}
																}
															}
															if (BgL_test3126z00_7731)
																{
																	obj_t BgL_auxz00_7753;

																	{	/* SawMill/regalloc.scm 658 */
																		obj_t BgL_arg2319z00_2913;

																		BgL_arg2319z00_2913 =
																			(((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2909))))->BgL_destz00);
																		BgL_auxz00_7753 =
																			BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																			(BgL_colorsz00_2882, BgL_mappingz00_5635,
																			BgL_arg2319z00_2913);
																	}
																	((((BgL_rtl_insz00_bglt) COBJECT(
																					((BgL_rtl_insz00_bglt)
																						((BgL_rtl_insz00_bglt)
																							BgL_iz00_2909))))->BgL_destz00) =
																		((obj_t) BgL_auxz00_7753), BUNSPEC);
																}
															else
																{	/* SawMill/regalloc.scm 657 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_auxz00_7761;

															{	/* SawMill/regalloc.scm 659 */
																obj_t BgL_l1695z00_2915;

																BgL_l1695z00_2915 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2909))))->BgL_z52spillz52);
																if (NULLP(BgL_l1695z00_2915))
																	{	/* SawMill/regalloc.scm 659 */
																		BgL_auxz00_7761 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 659 */
																		obj_t BgL_head1697z00_2917;

																		{	/* SawMill/regalloc.scm 659 */
																			obj_t BgL_arg2327z00_2929;

																			{	/* SawMill/regalloc.scm 659 */
																				obj_t BgL_arg2328z00_2930;

																				BgL_arg2328z00_2930 =
																					CAR(BgL_l1695z00_2915);
																				BgL_arg2327z00_2929 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2882,
																					BgL_mappingz00_5635,
																					BgL_arg2328z00_2930);
																			}
																			BgL_head1697z00_2917 =
																				MAKE_YOUNG_PAIR(BgL_arg2327z00_2929,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 659 */
																			obj_t BgL_g1700z00_2918;

																			BgL_g1700z00_2918 =
																				CDR(BgL_l1695z00_2915);
																			{
																				obj_t BgL_l1695z00_2920;
																				obj_t BgL_tail1698z00_2921;

																				BgL_l1695z00_2920 = BgL_g1700z00_2918;
																				BgL_tail1698z00_2921 =
																					BgL_head1697z00_2917;
																			BgL_zc3z04anonymousza32322ze3z87_2922:
																				if (NULLP(BgL_l1695z00_2920))
																					{	/* SawMill/regalloc.scm 659 */
																						BgL_auxz00_7761 =
																							BgL_head1697z00_2917;
																					}
																				else
																					{	/* SawMill/regalloc.scm 659 */
																						obj_t BgL_newtail1699z00_2924;

																						{	/* SawMill/regalloc.scm 659 */
																							obj_t BgL_arg2325z00_2926;

																							{	/* SawMill/regalloc.scm 659 */
																								obj_t BgL_arg2326z00_2927;

																								BgL_arg2326z00_2927 =
																									CAR(
																									((obj_t) BgL_l1695z00_2920));
																								BgL_arg2325z00_2926 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2882,
																									BgL_mappingz00_5635,
																									BgL_arg2326z00_2927);
																							}
																							BgL_newtail1699z00_2924 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2325z00_2926, BNIL);
																						}
																						SET_CDR(BgL_tail1698z00_2921,
																							BgL_newtail1699z00_2924);
																						{	/* SawMill/regalloc.scm 659 */
																							obj_t BgL_arg2324z00_2925;

																							BgL_arg2324z00_2925 =
																								CDR(
																								((obj_t) BgL_l1695z00_2920));
																							{
																								obj_t BgL_tail1698z00_7783;
																								obj_t BgL_l1695z00_7782;

																								BgL_l1695z00_7782 =
																									BgL_arg2324z00_2925;
																								BgL_tail1698z00_7783 =
																									BgL_newtail1699z00_2924;
																								BgL_tail1698z00_2921 =
																									BgL_tail1698z00_7783;
																								BgL_l1695z00_2920 =
																									BgL_l1695z00_7782;
																								goto
																									BgL_zc3z04anonymousza32322ze3z87_2922;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2909))))->BgL_z52spillz52) =
																((obj_t) BgL_auxz00_7761), BUNSPEC);
														}
														{
															obj_t BgL_auxz00_7785;

															{	/* SawMill/regalloc.scm 660 */
																obj_t BgL_l1701z00_2931;

																BgL_l1701z00_2931 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2909))))->BgL_argsz00);
																if (NULLP(BgL_l1701z00_2931))
																	{	/* SawMill/regalloc.scm 660 */
																		BgL_auxz00_7785 = BNIL;
																	}
																else
																	{	/* SawMill/regalloc.scm 660 */
																		obj_t BgL_head1703z00_2933;

																		{	/* SawMill/regalloc.scm 660 */
																			obj_t BgL_arg2336z00_2945;

																			{	/* SawMill/regalloc.scm 660 */
																				obj_t BgL_arg2337z00_2946;

																				BgL_arg2337z00_2946 =
																					CAR(BgL_l1701z00_2931);
																				BgL_arg2336z00_2945 =
																					BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																					(BgL_colorsz00_2882,
																					BgL_mappingz00_5635,
																					BgL_arg2337z00_2946);
																			}
																			BgL_head1703z00_2933 =
																				MAKE_YOUNG_PAIR(BgL_arg2336z00_2945,
																				BNIL);
																		}
																		{	/* SawMill/regalloc.scm 660 */
																			obj_t BgL_g1706z00_2934;

																			BgL_g1706z00_2934 =
																				CDR(BgL_l1701z00_2931);
																			{
																				obj_t BgL_l1701z00_2936;
																				obj_t BgL_tail1704z00_2937;

																				BgL_l1701z00_2936 = BgL_g1706z00_2934;
																				BgL_tail1704z00_2937 =
																					BgL_head1703z00_2933;
																			BgL_zc3z04anonymousza32330ze3z87_2938:
																				if (NULLP(BgL_l1701z00_2936))
																					{	/* SawMill/regalloc.scm 660 */
																						BgL_auxz00_7785 =
																							BgL_head1703z00_2933;
																					}
																				else
																					{	/* SawMill/regalloc.scm 660 */
																						obj_t BgL_newtail1705z00_2940;

																						{	/* SawMill/regalloc.scm 660 */
																							obj_t BgL_arg2334z00_2942;

																							{	/* SawMill/regalloc.scm 660 */
																								obj_t BgL_arg2335z00_2943;

																								BgL_arg2335z00_2943 =
																									CAR(
																									((obj_t) BgL_l1701z00_2936));
																								BgL_arg2334z00_2942 =
																									BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																									(BgL_colorsz00_2882,
																									BgL_mappingz00_5635,
																									BgL_arg2335z00_2943);
																							}
																							BgL_newtail1705z00_2940 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg2334z00_2942, BNIL);
																						}
																						SET_CDR(BgL_tail1704z00_2937,
																							BgL_newtail1705z00_2940);
																						{	/* SawMill/regalloc.scm 660 */
																							obj_t BgL_arg2332z00_2941;

																							BgL_arg2332z00_2941 =
																								CDR(
																								((obj_t) BgL_l1701z00_2936));
																							{
																								obj_t BgL_tail1704z00_7807;
																								obj_t BgL_l1701z00_7806;

																								BgL_l1701z00_7806 =
																									BgL_arg2332z00_2941;
																								BgL_tail1704z00_7807 =
																									BgL_newtail1705z00_2940;
																								BgL_tail1704z00_2937 =
																									BgL_tail1704z00_7807;
																								BgL_l1701z00_2936 =
																									BgL_l1701z00_7806;
																								goto
																									BgL_zc3z04anonymousza32330ze3z87_2938;
																							}
																						}
																					}
																			}
																		}
																	}
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_2909))))->BgL_argsz00) =
																((obj_t) BgL_auxz00_7785), BUNSPEC);
														}
													}
													{
														obj_t BgL_l1707z00_7809;

														BgL_l1707z00_7809 = CDR(BgL_l1707z00_2906);
														BgL_l1707z00_2906 = BgL_l1707z00_7809;
														goto BgL_zc3z04anonymousza32315ze3z87_2907;
													}
												}
											else
												{	/* SawMill/regalloc.scm 661 */
													((bool_t) 1);
												}
										}
									}
								}
								{
									obj_t BgL_l1710z00_7811;

									BgL_l1710z00_7811 = CDR(BgL_l1710z00_2900);
									BgL_l1710z00_2900 = BgL_l1710z00_7811;
									goto BgL_zc3z04anonymousza32313ze3z87_2901;
								}
							}
						else
							{	/* SawMill/regalloc.scm 654 */
								((bool_t) 1);
							}
					}
					return BgL_blocksz00_101;
				}
			}
		}

	}



/* map-register~0 */
	obj_t BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2(obj_t
		BgL_colorsz00_5633, obj_t BgL_mappingz00_5632, obj_t BgL_oz00_2976)
	{
		{	/* SawMill/regalloc.scm 653 */
			{
				BgL_typez00_bglt BgL_tyz00_2951;
				BgL_rtl_regz00_bglt BgL_rz00_2952;

				{	/* SawMill/regalloc.scm 636 */
					bool_t BgL_test3134z00_7813;

					{	/* SawMill/regalloc.scm 636 */
						obj_t BgL_classz00_4585;

						BgL_classz00_4585 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
						if (BGL_OBJECTP(BgL_oz00_2976))
							{	/* SawMill/regalloc.scm 636 */
								BgL_objectz00_bglt BgL_arg1825z00_4587;

								BgL_arg1825z00_4587 = (BgL_objectz00_bglt) (BgL_oz00_2976);
								{	/* SawMill/regalloc.scm 636 */
									bool_t BgL_arg1822z00_4590;
									bool_t BgL_arg1823z00_4591;

									{	/* SawMill/regalloc.scm 636 */
										long BgL_idxz00_4594;

										BgL_idxz00_4594 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4587);
										BgL_arg1822z00_4590 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4594 + ((long) 2))) == BgL_classz00_4585);
									}
									{	/* SawMill/regalloc.scm 636 */
										bool_t BgL_res2792z00_4616;

										{	/* SawMill/regalloc.scm 636 */
											obj_t BgL_oclassz00_4602;

											{	/* SawMill/regalloc.scm 636 */
												long BgL_arg1833z00_4608;

												{	/* SawMill/regalloc.scm 636 */
													long BgL_arg1834z00_4609;

													BgL_arg1834z00_4609 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4587);
													BgL_arg1833z00_4608 =
														(BgL_arg1834z00_4609 - OBJECT_TYPE);
												}
												BgL_oclassz00_4602 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_4608);
											}
											{	/* SawMill/regalloc.scm 636 */
												bool_t BgL__ortest_1110z00_4603;

												BgL__ortest_1110z00_4603 =
													(BgL_classz00_4585 == BgL_oclassz00_4602);
												if (BgL__ortest_1110z00_4603)
													{	/* SawMill/regalloc.scm 636 */
														BgL_res2792z00_4616 = BgL__ortest_1110z00_4603;
													}
												else
													{	/* SawMill/regalloc.scm 636 */
														long BgL_odepthz00_4604;

														BgL_odepthz00_4604 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4602);
														if ((((long) 2) < BgL_odepthz00_4604))
															{	/* SawMill/regalloc.scm 636 */
																obj_t BgL_arg1821z00_4606;

																BgL_arg1821z00_4606 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4602,
																	((long) 2));
																BgL_res2792z00_4616 =
																	(BgL_arg1821z00_4606 == BgL_classz00_4585);
															}
														else
															{	/* SawMill/regalloc.scm 636 */
																BgL_res2792z00_4616 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_4591 = BgL_res2792z00_4616;
									}
									BgL_test3134z00_7813 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_4590, BgL_arg1823z00_4591);
								}
							}
						else
							{	/* SawMill/regalloc.scm 636 */
								BgL_test3134z00_7813 = ((bool_t) 0);
							}
					}
					if (BgL_test3134z00_7813)
						{	/* SawMill/regalloc.scm 638 */
							BgL_typez00_bglt BgL_arg2351z00_2979;
							obj_t BgL_arg2352z00_2980;

							BgL_arg2351z00_2979 =
								(((BgL_rtl_regz00_bglt) COBJECT(
										((BgL_rtl_regz00_bglt) BgL_oz00_2976)))->BgL_typez00);
							{	/* SawMill/regalloc.scm 641 */
								bool_t BgL_test3138z00_7834;

								{	/* SawMill/regalloc.scm 641 */
									obj_t BgL_arg2360z00_2988;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_7835;

										{
											obj_t BgL_auxz00_7836;

											{	/* SawMill/regalloc.scm 641 */
												BgL_objectz00_bglt BgL_tmpz00_7837;

												BgL_tmpz00_7837 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_oz00_2976));
												BgL_auxz00_7836 = BGL_OBJECT_WIDENING(BgL_tmpz00_7837);
											}
											BgL_auxz00_7835 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7836);
										}
										BgL_arg2360z00_2988 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7835))->
											BgL_colorz00);
									}
									BgL_test3138z00_7834 = INTEGERP(BgL_arg2360z00_2988);
								}
								if (BgL_test3138z00_7834)
									{	/* SawMill/regalloc.scm 642 */
										obj_t BgL_arg2355z00_2984;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_7844;

											{
												obj_t BgL_auxz00_7845;

												{	/* SawMill/regalloc.scm 642 */
													BgL_objectz00_bglt BgL_tmpz00_7846;

													BgL_tmpz00_7846 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_oz00_2976));
													BgL_auxz00_7845 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7846);
												}
												BgL_auxz00_7844 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7845);
											}
											BgL_arg2355z00_2984 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_7844))->
												BgL_colorz00);
										}
										BgL_arg2352z00_2980 =
											VECTOR_REF(BgL_colorsz00_5633,
											(long) CINT(BgL_arg2355z00_2984));
									}
								else
									{	/* SawMill/regalloc.scm 643 */
										bool_t BgL_test3139z00_7854;

										{	/* SawMill/regalloc.scm 643 */
											obj_t BgL_arg2358z00_2987;

											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_7855;

												{
													obj_t BgL_auxz00_7856;

													{	/* SawMill/regalloc.scm 643 */
														BgL_objectz00_bglt BgL_tmpz00_7857;

														BgL_tmpz00_7857 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_2976));
														BgL_auxz00_7856 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7857);
													}
													BgL_auxz00_7855 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7856);
												}
												BgL_arg2358z00_2987 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_7855))->BgL_colorz00);
											}
											{	/* SawMill/regalloc.scm 643 */
												obj_t BgL_classz00_4623;

												BgL_classz00_4623 = BGl_rtl_regz00zzsaw_defsz00;
												if (BGL_OBJECTP(BgL_arg2358z00_2987))
													{	/* SawMill/regalloc.scm 643 */
														BgL_objectz00_bglt BgL_arg1825z00_4625;

														BgL_arg1825z00_4625 =
															(BgL_objectz00_bglt) (BgL_arg2358z00_2987);
														{	/* SawMill/regalloc.scm 643 */
															bool_t BgL_arg1822z00_4628;
															bool_t BgL_arg1823z00_4629;

															{	/* SawMill/regalloc.scm 643 */
																long BgL_idxz00_4632;

																BgL_idxz00_4632 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4625);
																BgL_arg1822z00_4628 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4632 + ((long) 1))) ==
																	BgL_classz00_4623);
															}
															{	/* SawMill/regalloc.scm 643 */
																bool_t BgL_res2793z00_4654;

																{	/* SawMill/regalloc.scm 643 */
																	obj_t BgL_oclassz00_4640;

																	{	/* SawMill/regalloc.scm 643 */
																		long BgL_arg1833z00_4646;

																		{	/* SawMill/regalloc.scm 643 */
																			long BgL_arg1834z00_4647;

																			BgL_arg1834z00_4647 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4625);
																			BgL_arg1833z00_4646 =
																				(BgL_arg1834z00_4647 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4640 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4646);
																	}
																	{	/* SawMill/regalloc.scm 643 */
																		bool_t BgL__ortest_1110z00_4641;

																		BgL__ortest_1110z00_4641 =
																			(BgL_classz00_4623 == BgL_oclassz00_4640);
																		if (BgL__ortest_1110z00_4641)
																			{	/* SawMill/regalloc.scm 643 */
																				BgL_res2793z00_4654 =
																					BgL__ortest_1110z00_4641;
																			}
																		else
																			{	/* SawMill/regalloc.scm 643 */
																				long BgL_odepthz00_4642;

																				BgL_odepthz00_4642 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4640);
																				if ((((long) 1) < BgL_odepthz00_4642))
																					{	/* SawMill/regalloc.scm 643 */
																						obj_t BgL_arg1821z00_4644;

																						BgL_arg1821z00_4644 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4640, ((long) 1));
																						BgL_res2793z00_4654 =
																							(BgL_arg1821z00_4644 ==
																							BgL_classz00_4623);
																					}
																				else
																					{	/* SawMill/regalloc.scm 643 */
																						BgL_res2793z00_4654 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4629 = BgL_res2793z00_4654;
															}
															BgL_test3139z00_7854 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4628,
																BgL_arg1823z00_4629);
														}
													}
												else
													{	/* SawMill/regalloc.scm 643 */
														BgL_test3139z00_7854 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test3139z00_7854)
											{
												BgL_rtl_regzf2razf2_bglt BgL_auxz00_7881;

												{
													obj_t BgL_auxz00_7882;

													{	/* SawMill/regalloc.scm 644 */
														BgL_objectz00_bglt BgL_tmpz00_7883;

														BgL_tmpz00_7883 =
															((BgL_objectz00_bglt)
															((BgL_rtl_regz00_bglt) BgL_oz00_2976));
														BgL_auxz00_7882 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_7883);
													}
													BgL_auxz00_7881 =
														((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_7882);
												}
												BgL_arg2352z00_2980 =
													(((BgL_rtl_regzf2razf2_bglt)
														COBJECT(BgL_auxz00_7881))->BgL_colorz00);
											}
										else
											{	/* SawMill/regalloc.scm 643 */
												BgL_arg2352z00_2980 = BgL_oz00_2976;
											}
									}
							}
							BgL_tyz00_2951 = BgL_arg2351z00_2979;
							BgL_rz00_2952 = ((BgL_rtl_regz00_bglt) BgL_arg2352z00_2980);
							{	/* SawMill/regalloc.scm 618 */
								bool_t BgL_test3143z00_7889;

								{	/* SawMill/regalloc.scm 618 */
									obj_t BgL_classz00_4531;

									BgL_classz00_4531 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
									{	/* SawMill/regalloc.scm 618 */
										BgL_objectz00_bglt BgL_arg1825z00_4533;

										{	/* SawMill/regalloc.scm 618 */
											obj_t BgL_tmpz00_7890;

											BgL_tmpz00_7890 = ((obj_t) BgL_rz00_2952);
											BgL_arg1825z00_4533 =
												(BgL_objectz00_bglt) (BgL_tmpz00_7890);
										}
										{	/* SawMill/regalloc.scm 618 */
											bool_t BgL_arg1822z00_4536;
											bool_t BgL_arg1823z00_4537;

											{	/* SawMill/regalloc.scm 618 */
												long BgL_idxz00_4540;

												BgL_idxz00_4540 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4533);
												BgL_arg1822z00_4536 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4540 + ((long) 2))) ==
													BgL_classz00_4531);
											}
											{	/* SawMill/regalloc.scm 618 */
												bool_t BgL_res2791z00_4562;

												{	/* SawMill/regalloc.scm 618 */
													obj_t BgL_oclassz00_4548;

													{	/* SawMill/regalloc.scm 618 */
														long BgL_arg1833z00_4554;

														{	/* SawMill/regalloc.scm 618 */
															long BgL_arg1834z00_4555;

															BgL_arg1834z00_4555 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4533);
															BgL_arg1833z00_4554 =
																(BgL_arg1834z00_4555 - OBJECT_TYPE);
														}
														BgL_oclassz00_4548 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4554);
													}
													{	/* SawMill/regalloc.scm 618 */
														bool_t BgL__ortest_1110z00_4549;

														BgL__ortest_1110z00_4549 =
															(BgL_classz00_4531 == BgL_oclassz00_4548);
														if (BgL__ortest_1110z00_4549)
															{	/* SawMill/regalloc.scm 618 */
																BgL_res2791z00_4562 = BgL__ortest_1110z00_4549;
															}
														else
															{	/* SawMill/regalloc.scm 618 */
																long BgL_odepthz00_4550;

																BgL_odepthz00_4550 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4548);
																if ((((long) 2) < BgL_odepthz00_4550))
																	{	/* SawMill/regalloc.scm 618 */
																		obj_t BgL_arg1821z00_4552;

																		BgL_arg1821z00_4552 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4548, ((long) 2));
																		BgL_res2791z00_4562 =
																			(BgL_arg1821z00_4552 ==
																			BgL_classz00_4531);
																	}
																else
																	{	/* SawMill/regalloc.scm 618 */
																		BgL_res2791z00_4562 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4537 = BgL_res2791z00_4562;
											}
											BgL_test3143z00_7889 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4536,
												BgL_arg1823z00_4537);
										}
									}
								}
								if (BgL_test3143z00_7889)
									{	/* SawMill/regalloc.scm 618 */
										if (CBOOL(
												(((BgL_rtl_regz00_bglt) COBJECT(BgL_rz00_2952))->
													BgL_hardwarez00)))
											{	/* SawMill/regalloc.scm 620 */
												if (
													(((obj_t) BgL_tyz00_2951) ==
														BGl_za2objza2z00zztype_cachez00))
													{	/* SawMill/regalloc.scm 622 */
														return ((obj_t) BgL_rz00_2952);
													}
												else
													{	/* SawMill/regalloc.scm 625 */
														obj_t BgL_kz00_2957;

														BgL_kz00_2957 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_rz00_2952),
															((obj_t) BgL_tyz00_2951));
														{	/* SawMill/regalloc.scm 626 */
															obj_t BgL_cz00_2958;

															BgL_cz00_2958 =
																BGl_assocz00zz__r4_pairs_and_lists_6_3z00
																(BgL_kz00_2957, CELL_REF(BgL_mappingz00_5632));
															if (PAIRP(BgL_cz00_2958))
																{	/* SawMill/regalloc.scm 627 */
																	return CDR(BgL_cz00_2958);
																}
															else
																{	/* SawMill/regalloc.scm 629 */
																	BgL_rtl_regz00_bglt BgL_newrz00_2960;

																	{	/* SawMill/regalloc.scm 629 */
																		BgL_rtl_regz00_bglt BgL_new1238z00_2963;

																		{	/* SawMill/regalloc.scm 631 */
																			BgL_rtl_regz00_bglt BgL_tmp1248z00_2971;
																			BgL_rtl_regzf2razf2_bglt
																				BgL_wide1249z00_2972;
																			{
																				BgL_rtl_regz00_bglt BgL_auxz00_7922;

																				{	/* SawMill/regalloc.scm 631 */
																					BgL_rtl_regz00_bglt
																						BgL_new1247z00_2974;
																					BgL_new1247z00_2974 =
																						((BgL_rtl_regz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_rtl_regz00_bgl))));
																					{	/* SawMill/regalloc.scm 631 */
																						long BgL_arg2348z00_2975;

																						BgL_arg2348z00_2975 =
																							BGL_CLASS_NUM
																							(BGl_rtl_regz00zzsaw_defsz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1247z00_2974),
																							BgL_arg2348z00_2975);
																					}
																					{	/* SawMill/regalloc.scm 631 */
																						BgL_objectz00_bglt BgL_tmpz00_7927;

																						BgL_tmpz00_7927 =
																							((BgL_objectz00_bglt)
																							BgL_new1247z00_2974);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_7927, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1247z00_2974);
																					BgL_auxz00_7922 = BgL_new1247z00_2974;
																				}
																				BgL_tmp1248z00_2971 =
																					((BgL_rtl_regz00_bglt)
																					BgL_auxz00_7922);
																			}
																			BgL_wide1249z00_2972 =
																				((BgL_rtl_regzf2razf2_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_regzf2razf2_bgl))));
																			{	/* SawMill/regalloc.scm 631 */
																				obj_t BgL_auxz00_7935;
																				BgL_objectz00_bglt BgL_tmpz00_7933;

																				BgL_auxz00_7935 =
																					((obj_t) BgL_wide1249z00_2972);
																				BgL_tmpz00_7933 =
																					((BgL_objectz00_bglt)
																					BgL_tmp1248z00_2971);
																				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_7933,
																					BgL_auxz00_7935);
																			}
																			((BgL_objectz00_bglt)
																				BgL_tmp1248z00_2971);
																			{	/* SawMill/regalloc.scm 631 */
																				long BgL_arg2347z00_2973;

																				BgL_arg2347z00_2973 =
																					BGL_CLASS_NUM
																					(BGl_rtl_regzf2razf2zzsaw_regsetz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_tmp1248z00_2971),
																					BgL_arg2347z00_2973);
																			}
																			BgL_new1238z00_2963 =
																				((BgL_rtl_regz00_bglt)
																				BgL_tmp1248z00_2971);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1238z00_2963)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_tyz00_2951),
																			BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1238z00_2963)))->
																				BgL_varz00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2952))->
																					BgL_varz00)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1238z00_2963)))->
																				BgL_onexprzf3zf3) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2952))->
																					BgL_onexprzf3zf3)), BUNSPEC);
																		((((BgL_rtl_regz00_bglt)
																					COBJECT(((BgL_rtl_regz00_bglt)
																							BgL_new1238z00_2963)))->
																				BgL_namez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2952))->
																					BgL_namez00)), BUNSPEC);
																		{
																			obj_t BgL_auxz00_7954;

																			{	/* SawMill/regalloc.scm 630 */

																				{	/* SawMill/regalloc.scm 630 */

																					BgL_auxz00_7954 =
																						BGl_gensymz00zz__r4_symbols_6_4z00
																						(BFALSE);
																			}}
																			((((BgL_rtl_regz00_bglt) COBJECT(
																							((BgL_rtl_regz00_bglt)
																								BgL_new1238z00_2963)))->
																					BgL_keyz00) =
																				((obj_t) BgL_auxz00_7954), BUNSPEC);
																		}
																		((((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_new1238z00_2963)))->
																				BgL_hardwarez00) =
																			((obj_t) (((BgL_rtl_regz00_bglt)
																						COBJECT(BgL_rz00_2952))->
																					BgL_hardwarez00)), BUNSPEC);
																		{
																			int BgL_auxz00_7967;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7961;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7968;
																				{
																					obj_t BgL_auxz00_7969;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_7970;

																						BgL_tmpz00_7970 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_7969 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7970);
																					}
																					BgL_auxz00_7968 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7969);
																				}
																				BgL_auxz00_7967 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7968))->
																					BgL_numz00);
																			}
																			{
																				obj_t BgL_auxz00_7962;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_7963;

																					BgL_tmpz00_7963 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_7962 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7963);
																				}
																				BgL_auxz00_7961 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7962);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7961))->
																					BgL_numz00) =
																				((int) BgL_auxz00_7967), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_7983;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7977;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_7984;
																				{
																					obj_t BgL_auxz00_7985;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_7986;

																						BgL_tmpz00_7986 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_7985 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_7986);
																					}
																					BgL_auxz00_7984 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_7985);
																				}
																				BgL_auxz00_7983 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7984))->
																					BgL_colorz00);
																			}
																			{
																				obj_t BgL_auxz00_7978;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_7979;

																					BgL_tmpz00_7979 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_7978 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7979);
																				}
																				BgL_auxz00_7977 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7978);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7977))->
																					BgL_colorz00) =
																				((obj_t) BgL_auxz00_7983), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_7999;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_7993;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8000;
																				{
																					obj_t BgL_auxz00_8001;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_8002;

																						BgL_tmpz00_8002 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_8001 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8002);
																					}
																					BgL_auxz00_8000 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8001);
																				}
																				BgL_auxz00_7999 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8000))->
																					BgL_coalescez00);
																			}
																			{
																				obj_t BgL_auxz00_7994;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_7995;

																					BgL_tmpz00_7995 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_7994 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_7995);
																				}
																				BgL_auxz00_7993 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_7994);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_7993))->
																					BgL_coalescez00) =
																				((obj_t) BgL_auxz00_7999), BUNSPEC);
																		}
																		{
																			int BgL_auxz00_8015;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8009;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8016;
																				{
																					obj_t BgL_auxz00_8017;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_8018;

																						BgL_tmpz00_8018 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_8017 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8018);
																					}
																					BgL_auxz00_8016 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8017);
																				}
																				BgL_auxz00_8015 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8016))->
																					BgL_occurrencesz00);
																			}
																			{
																				obj_t BgL_auxz00_8010;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_8011;

																					BgL_tmpz00_8011 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_8010 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8011);
																				}
																				BgL_auxz00_8009 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8010);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8009))->
																					BgL_occurrencesz00) =
																				((int) BgL_auxz00_8015), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8031;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8025;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8032;
																				{
																					obj_t BgL_auxz00_8033;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_8034;

																						BgL_tmpz00_8034 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_8033 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8034);
																					}
																					BgL_auxz00_8032 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8033);
																				}
																				BgL_auxz00_8031 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8032))->
																					BgL_interferez00);
																			}
																			{
																				obj_t BgL_auxz00_8026;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_8027;

																					BgL_tmpz00_8027 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_8026 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8027);
																				}
																				BgL_auxz00_8025 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8026);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8025))->
																					BgL_interferez00) =
																				((obj_t) BgL_auxz00_8031), BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_8047;
																			BgL_rtl_regzf2razf2_bglt BgL_auxz00_8041;

																			{
																				BgL_rtl_regzf2razf2_bglt
																					BgL_auxz00_8048;
																				{
																					obj_t BgL_auxz00_8049;

																					{	/* SawMill/regalloc.scm 630 */
																						BgL_objectz00_bglt BgL_tmpz00_8050;

																						BgL_tmpz00_8050 =
																							((BgL_objectz00_bglt)
																							((BgL_rtl_regz00_bglt)
																								BgL_rz00_2952));
																						BgL_auxz00_8049 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_8050);
																					}
																					BgL_auxz00_8048 =
																						((BgL_rtl_regzf2razf2_bglt)
																						BgL_auxz00_8049);
																				}
																				BgL_auxz00_8047 =
																					(((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8048))->
																					BgL_interfere2z00);
																			}
																			{
																				obj_t BgL_auxz00_8042;

																				{	/* SawMill/regalloc.scm 630 */
																					BgL_objectz00_bglt BgL_tmpz00_8043;

																					BgL_tmpz00_8043 =
																						((BgL_objectz00_bglt)
																						BgL_new1238z00_2963);
																					BgL_auxz00_8042 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_8043);
																				}
																				BgL_auxz00_8041 =
																					((BgL_rtl_regzf2razf2_bglt)
																					BgL_auxz00_8042);
																			}
																			((((BgL_rtl_regzf2razf2_bglt)
																						COBJECT(BgL_auxz00_8041))->
																					BgL_interfere2z00) =
																				((obj_t) BgL_auxz00_8047), BUNSPEC);
																		}
																		BgL_newrz00_2960 = BgL_new1238z00_2963;
																	}
																	{	/* SawMill/regalloc.scm 632 */
																		obj_t BgL_auxz00_5634;

																		{	/* SawMill/regalloc.scm 632 */
																			obj_t BgL_arg2346z00_2961;

																			BgL_arg2346z00_2961 =
																				MAKE_YOUNG_PAIR(BgL_kz00_2957,
																				((obj_t) BgL_newrz00_2960));
																			BgL_auxz00_5634 =
																				MAKE_YOUNG_PAIR(BgL_arg2346z00_2961,
																				CELL_REF(BgL_mappingz00_5632));
																		}
																		CELL_SET(BgL_mappingz00_5632,
																			BgL_auxz00_5634);
																	}
																	return ((obj_t) BgL_newrz00_2960);
																}
														}
													}
											}
										else
											{	/* SawMill/regalloc.scm 620 */
												return ((obj_t) BgL_rz00_2952);
											}
									}
								else
									{	/* SawMill/regalloc.scm 618 */
										return ((obj_t) BgL_rz00_2952);
									}
							}
						}
					else
						{	/* SawMill/regalloc.scm 647 */
							bool_t BgL_test3149z00_8064;

							{	/* SawMill/regalloc.scm 647 */
								obj_t BgL_classz00_4656;

								BgL_classz00_4656 = BGl_rtl_insz00zzsaw_defsz00;
								if (BGL_OBJECTP(BgL_oz00_2976))
									{	/* SawMill/regalloc.scm 647 */
										BgL_objectz00_bglt BgL_arg1825z00_4658;

										BgL_arg1825z00_4658 = (BgL_objectz00_bglt) (BgL_oz00_2976);
										{	/* SawMill/regalloc.scm 647 */
											bool_t BgL_arg1822z00_4661;
											bool_t BgL_arg1823z00_4662;

											{	/* SawMill/regalloc.scm 647 */
												long BgL_idxz00_4665;

												BgL_idxz00_4665 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4658);
												BgL_arg1822z00_4661 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4665 + ((long) 1))) ==
													BgL_classz00_4656);
											}
											{	/* SawMill/regalloc.scm 647 */
												bool_t BgL_res2794z00_4687;

												{	/* SawMill/regalloc.scm 647 */
													obj_t BgL_oclassz00_4673;

													{	/* SawMill/regalloc.scm 647 */
														long BgL_arg1833z00_4679;

														{	/* SawMill/regalloc.scm 647 */
															long BgL_arg1834z00_4680;

															BgL_arg1834z00_4680 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4658);
															BgL_arg1833z00_4679 =
																(BgL_arg1834z00_4680 - OBJECT_TYPE);
														}
														BgL_oclassz00_4673 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4679);
													}
													{	/* SawMill/regalloc.scm 647 */
														bool_t BgL__ortest_1110z00_4674;

														BgL__ortest_1110z00_4674 =
															(BgL_classz00_4656 == BgL_oclassz00_4673);
														if (BgL__ortest_1110z00_4674)
															{	/* SawMill/regalloc.scm 647 */
																BgL_res2794z00_4687 = BgL__ortest_1110z00_4674;
															}
														else
															{	/* SawMill/regalloc.scm 647 */
																long BgL_odepthz00_4675;

																BgL_odepthz00_4675 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4673);
																if ((((long) 1) < BgL_odepthz00_4675))
																	{	/* SawMill/regalloc.scm 647 */
																		obj_t BgL_arg1821z00_4677;

																		BgL_arg1821z00_4677 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4673, ((long) 1));
																		BgL_res2794z00_4687 =
																			(BgL_arg1821z00_4677 ==
																			BgL_classz00_4656);
																	}
																else
																	{	/* SawMill/regalloc.scm 647 */
																		BgL_res2794z00_4687 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4662 = BgL_res2794z00_4687;
											}
											BgL_test3149z00_8064 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4661,
												BgL_arg1823z00_4662);
										}
									}
								else
									{	/* SawMill/regalloc.scm 647 */
										BgL_test3149z00_8064 = ((bool_t) 0);
									}
							}
							if (BgL_test3149z00_8064)
								{	/* SawMill/regalloc.scm 647 */
									{
										obj_t BgL_auxz00_8083;

										{	/* SawMill/regalloc.scm 649 */
											obj_t BgL_l1680z00_2991;

											BgL_l1680z00_2991 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2976)))->
												BgL_z52spillz52);
											if (NULLP(BgL_l1680z00_2991))
												{	/* SawMill/regalloc.scm 649 */
													BgL_auxz00_8083 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 649 */
													obj_t BgL_head1682z00_2993;

													{	/* SawMill/regalloc.scm 649 */
														obj_t BgL_arg2368z00_3005;

														{	/* SawMill/regalloc.scm 649 */
															obj_t BgL_arg2369z00_3006;

															BgL_arg2369z00_3006 = CAR(BgL_l1680z00_2991);
															BgL_arg2368z00_3005 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_5633, BgL_mappingz00_5632,
																BgL_arg2369z00_3006);
														}
														BgL_head1682z00_2993 =
															MAKE_YOUNG_PAIR(BgL_arg2368z00_3005, BNIL);
													}
													{	/* SawMill/regalloc.scm 649 */
														obj_t BgL_g1685z00_2994;

														BgL_g1685z00_2994 = CDR(BgL_l1680z00_2991);
														{
															obj_t BgL_l1680z00_2996;
															obj_t BgL_tail1683z00_2997;

															BgL_l1680z00_2996 = BgL_g1685z00_2994;
															BgL_tail1683z00_2997 = BgL_head1682z00_2993;
														BgL_zc3z04anonymousza32363ze3z87_2998:
															if (NULLP(BgL_l1680z00_2996))
																{	/* SawMill/regalloc.scm 649 */
																	BgL_auxz00_8083 = BgL_head1682z00_2993;
																}
															else
																{	/* SawMill/regalloc.scm 649 */
																	obj_t BgL_newtail1684z00_3000;

																	{	/* SawMill/regalloc.scm 649 */
																		obj_t BgL_arg2366z00_3002;

																		{	/* SawMill/regalloc.scm 649 */
																			obj_t BgL_arg2367z00_3003;

																			BgL_arg2367z00_3003 =
																				CAR(((obj_t) BgL_l1680z00_2996));
																			BgL_arg2366z00_3002 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_5633,
																				BgL_mappingz00_5632,
																				BgL_arg2367z00_3003);
																		}
																		BgL_newtail1684z00_3000 =
																			MAKE_YOUNG_PAIR(BgL_arg2366z00_3002,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1683z00_2997,
																		BgL_newtail1684z00_3000);
																	{	/* SawMill/regalloc.scm 649 */
																		obj_t BgL_arg2365z00_3001;

																		BgL_arg2365z00_3001 =
																			CDR(((obj_t) BgL_l1680z00_2996));
																		{
																			obj_t BgL_tail1683z00_8103;
																			obj_t BgL_l1680z00_8102;

																			BgL_l1680z00_8102 = BgL_arg2365z00_3001;
																			BgL_tail1683z00_8103 =
																				BgL_newtail1684z00_3000;
																			BgL_tail1683z00_2997 =
																				BgL_tail1683z00_8103;
																			BgL_l1680z00_2996 = BgL_l1680z00_8102;
																			goto
																				BgL_zc3z04anonymousza32363ze3z87_2998;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2976)))->
												BgL_z52spillz52) = ((obj_t) BgL_auxz00_8083), BUNSPEC);
									}
									{
										obj_t BgL_auxz00_8105;

										{	/* SawMill/regalloc.scm 650 */
											obj_t BgL_l1686z00_3007;

											BgL_l1686z00_3007 =
												(((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2976)))->
												BgL_argsz00);
											if (NULLP(BgL_l1686z00_3007))
												{	/* SawMill/regalloc.scm 650 */
													BgL_auxz00_8105 = BNIL;
												}
											else
												{	/* SawMill/regalloc.scm 650 */
													obj_t BgL_head1688z00_3009;

													{	/* SawMill/regalloc.scm 650 */
														obj_t BgL_arg2377z00_3021;

														{	/* SawMill/regalloc.scm 650 */
															obj_t BgL_arg2378z00_3022;

															BgL_arg2378z00_3022 = CAR(BgL_l1686z00_3007);
															BgL_arg2377z00_3021 =
																BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																(BgL_colorsz00_5633, BgL_mappingz00_5632,
																BgL_arg2378z00_3022);
														}
														BgL_head1688z00_3009 =
															MAKE_YOUNG_PAIR(BgL_arg2377z00_3021, BNIL);
													}
													{	/* SawMill/regalloc.scm 650 */
														obj_t BgL_g1691z00_3010;

														BgL_g1691z00_3010 = CDR(BgL_l1686z00_3007);
														{
															obj_t BgL_l1686z00_3012;
															obj_t BgL_tail1689z00_3013;

															BgL_l1686z00_3012 = BgL_g1691z00_3010;
															BgL_tail1689z00_3013 = BgL_head1688z00_3009;
														BgL_zc3z04anonymousza32371ze3z87_3014:
															if (NULLP(BgL_l1686z00_3012))
																{	/* SawMill/regalloc.scm 650 */
																	BgL_auxz00_8105 = BgL_head1688z00_3009;
																}
															else
																{	/* SawMill/regalloc.scm 650 */
																	obj_t BgL_newtail1690z00_3016;

																	{	/* SawMill/regalloc.scm 650 */
																		obj_t BgL_arg2375z00_3018;

																		{	/* SawMill/regalloc.scm 650 */
																			obj_t BgL_arg2376z00_3019;

																			BgL_arg2376z00_3019 =
																				CAR(((obj_t) BgL_l1686z00_3012));
																			BgL_arg2375z00_3018 =
																				BGl_mapzd2registerze70z35zzsaw_registerzd2allocationzd2
																				(BgL_colorsz00_5633,
																				BgL_mappingz00_5632,
																				BgL_arg2376z00_3019);
																		}
																		BgL_newtail1690z00_3016 =
																			MAKE_YOUNG_PAIR(BgL_arg2375z00_3018,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1689z00_3013,
																		BgL_newtail1690z00_3016);
																	{	/* SawMill/regalloc.scm 650 */
																		obj_t BgL_arg2374z00_3017;

																		BgL_arg2374z00_3017 =
																			CDR(((obj_t) BgL_l1686z00_3012));
																		{
																			obj_t BgL_tail1689z00_8125;
																			obj_t BgL_l1686z00_8124;

																			BgL_l1686z00_8124 = BgL_arg2374z00_3017;
																			BgL_tail1689z00_8125 =
																				BgL_newtail1690z00_3016;
																			BgL_tail1689z00_3013 =
																				BgL_tail1689z00_8125;
																			BgL_l1686z00_3012 = BgL_l1686z00_8124;
																			goto
																				BgL_zc3z04anonymousza32371ze3z87_3014;
																		}
																	}
																}
														}
													}
												}
										}
										((((BgL_rtl_insz00_bglt) COBJECT(
														((BgL_rtl_insz00_bglt) BgL_oz00_2976)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_8105), BUNSPEC);
									}
									return BgL_oz00_2976;
								}
							else
								{	/* SawMill/regalloc.scm 647 */
									return BgL_oz00_2976;
								}
						}
				}
			}
		}

	}



/* remove-nop-move! */
	obj_t BGl_removezd2nopzd2movez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_102)
	{
		{	/* SawMill/regalloc.scm 670 */
			{	/* SawMill/regalloc.scm 698 */
				obj_t BgL_nz00_3031;

				{	/* SawMill/regalloc.scm 698 */
					obj_t BgL_runner2395z00_3051;

					if (NULLP(BgL_blocksz00_102))
						{	/* SawMill/regalloc.scm 698 */
							BgL_runner2395z00_3051 = BNIL;
						}
					else
						{	/* SawMill/regalloc.scm 698 */
							obj_t BgL_head1714z00_3037;

							{	/* SawMill/regalloc.scm 698 */
								long BgL_arg2392z00_3049;

								BgL_arg2392z00_3049 =
									BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(CAR
									(BgL_blocksz00_102));
								BgL_head1714z00_3037 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg2392z00_3049), BNIL);
							}
							{	/* SawMill/regalloc.scm 698 */
								obj_t BgL_g1717z00_3038;

								BgL_g1717z00_3038 = CDR(BgL_blocksz00_102);
								{
									obj_t BgL_l1712z00_3040;
									obj_t BgL_tail1715z00_3041;

									BgL_l1712z00_3040 = BgL_g1717z00_3038;
									BgL_tail1715z00_3041 = BgL_head1714z00_3037;
								BgL_zc3z04anonymousza32387ze3z87_3042:
									if (NULLP(BgL_l1712z00_3040))
										{	/* SawMill/regalloc.scm 698 */
											BgL_runner2395z00_3051 = BgL_head1714z00_3037;
										}
									else
										{	/* SawMill/regalloc.scm 698 */
											obj_t BgL_newtail1716z00_3044;

											{	/* SawMill/regalloc.scm 698 */
												long BgL_arg2390z00_3046;

												{	/* SawMill/regalloc.scm 698 */
													obj_t BgL_arg2391z00_3047;

													BgL_arg2391z00_3047 =
														CAR(((obj_t) BgL_l1712z00_3040));
													BgL_arg2390z00_3046 =
														BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2
														(BgL_arg2391z00_3047);
												}
												BgL_newtail1716z00_3044 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg2390z00_3046), BNIL);
											}
											SET_CDR(BgL_tail1715z00_3041, BgL_newtail1716z00_3044);
											{	/* SawMill/regalloc.scm 698 */
												obj_t BgL_arg2389z00_3045;

												BgL_arg2389z00_3045 = CDR(((obj_t) BgL_l1712z00_3040));
												{
													obj_t BgL_tail1715z00_8145;
													obj_t BgL_l1712z00_8144;

													BgL_l1712z00_8144 = BgL_arg2389z00_3045;
													BgL_tail1715z00_8145 = BgL_newtail1716z00_3044;
													BgL_tail1715z00_3041 = BgL_tail1715z00_8145;
													BgL_l1712z00_3040 = BgL_l1712z00_8144;
													goto BgL_zc3z04anonymousza32387ze3z87_3042;
												}
											}
										}
								}
							}
						}
					BgL_nz00_3031 =
						BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2395z00_3051);
				}
				{	/* SawMill/regalloc.scm 699 */
					obj_t BgL_list2383z00_3032;

					{	/* SawMill/regalloc.scm 699 */
						obj_t BgL_arg2384z00_3033;

						{	/* SawMill/regalloc.scm 699 */
							obj_t BgL_arg2385z00_3034;

							BgL_arg2385z00_3034 =
								MAKE_YOUNG_PAIR(BGl_string2856z00zzsaw_registerzd2allocationzd2,
								BNIL);
							BgL_arg2384z00_3033 =
								MAKE_YOUNG_PAIR(BgL_nz00_3031, BgL_arg2385z00_3034);
						}
						BgL_list2383z00_3032 =
							MAKE_YOUNG_PAIR(BGl_string2857z00zzsaw_registerzd2allocationzd2,
							BgL_arg2384z00_3033);
					}
					return
						BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
						BgL_list2383z00_3032);
		}}}

	}



/* remove-block!~0 */
	long BGl_removezd2blockz12ze70z27zzsaw_registerzd2allocationzd2(obj_t
		BgL_bz00_3065)
	{
		{	/* SawMill/regalloc.scm 697 */
			{
				obj_t BgL_iz00_3052;

				{	/* SawMill/regalloc.scm 678 */
					obj_t BgL_g1257z00_3067;

					BgL_g1257z00_3067 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_3065)))->BgL_firstz00);
					{
						obj_t BgL_insz00_3069;
						obj_t BgL_prevz00_3070;
						long BgL_nz00_3071;

						BgL_insz00_3069 = BgL_g1257z00_3067;
						BgL_prevz00_3070 = BFALSE;
						BgL_nz00_3071 = ((long) 0);
					BgL_zc3z04anonymousza32406ze3z87_3072:
						if (PAIRP(BgL_insz00_3069))
							{	/* SawMill/regalloc.scm 682 */
								bool_t BgL_test3160z00_8156;

								BgL_iz00_3052 = CAR(BgL_insz00_3069);
								{	/* SawMill/regalloc.scm 673 */
									bool_t BgL_test3161z00_8157;

									{	/* SawMill/regalloc.scm 673 */
										BgL_rtl_funz00_bglt BgL_arg2404z00_3064;

										BgL_arg2404z00_3064 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt)
														((BgL_rtl_insz00_bglt) BgL_iz00_3052))))->
											BgL_funz00);
										{	/* SawMill/regalloc.scm 673 */
											obj_t BgL_classz00_4752;

											BgL_classz00_4752 = BGl_rtl_movz00zzsaw_defsz00;
											{	/* SawMill/regalloc.scm 673 */
												BgL_objectz00_bglt BgL_arg1825z00_4754;

												{	/* SawMill/regalloc.scm 673 */
													obj_t BgL_tmpz00_8161;

													BgL_tmpz00_8161 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2404z00_3064));
													BgL_arg1825z00_4754 =
														(BgL_objectz00_bglt) (BgL_tmpz00_8161);
												}
												{	/* SawMill/regalloc.scm 673 */
													bool_t BgL_arg1822z00_4757;
													bool_t BgL_arg1823z00_4758;

													{	/* SawMill/regalloc.scm 673 */
														long BgL_idxz00_4761;

														BgL_idxz00_4761 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4754);
														BgL_arg1822z00_4757 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4761 + ((long) 3))) ==
															BgL_classz00_4752);
													}
													{	/* SawMill/regalloc.scm 673 */
														bool_t BgL_res2796z00_4783;

														{	/* SawMill/regalloc.scm 673 */
															obj_t BgL_oclassz00_4769;

															{	/* SawMill/regalloc.scm 673 */
																long BgL_arg1833z00_4775;

																{	/* SawMill/regalloc.scm 673 */
																	long BgL_arg1834z00_4776;

																	BgL_arg1834z00_4776 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4754);
																	BgL_arg1833z00_4775 =
																		(BgL_arg1834z00_4776 - OBJECT_TYPE);
																}
																BgL_oclassz00_4769 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4775);
															}
															{	/* SawMill/regalloc.scm 673 */
																bool_t BgL__ortest_1110z00_4770;

																BgL__ortest_1110z00_4770 =
																	(BgL_classz00_4752 == BgL_oclassz00_4769);
																if (BgL__ortest_1110z00_4770)
																	{	/* SawMill/regalloc.scm 673 */
																		BgL_res2796z00_4783 =
																			BgL__ortest_1110z00_4770;
																	}
																else
																	{	/* SawMill/regalloc.scm 673 */
																		long BgL_odepthz00_4771;

																		BgL_odepthz00_4771 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4769);
																		if ((((long) 3) < BgL_odepthz00_4771))
																			{	/* SawMill/regalloc.scm 673 */
																				obj_t BgL_arg1821z00_4773;

																				BgL_arg1821z00_4773 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4769, ((long) 3));
																				BgL_res2796z00_4783 =
																					(BgL_arg1821z00_4773 ==
																					BgL_classz00_4752);
																			}
																		else
																			{	/* SawMill/regalloc.scm 673 */
																				BgL_res2796z00_4783 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4758 = BgL_res2796z00_4783;
													}
													BgL_test3161z00_8157 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4757,
														BgL_arg1823z00_4758);
												}
											}
										}
									}
									if (BgL_test3161z00_8157)
										{	/* SawMill/regalloc.scm 673 */
											if (NULLP(
													(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt)
																	((BgL_rtl_insz00_bglt) BgL_iz00_3052))))->
														BgL_argsz00)))
												{	/* SawMill/regalloc.scm 674 */
													BgL_test3160z00_8156 = ((bool_t) 0);
												}
											else
												{	/* SawMill/regalloc.scm 675 */
													bool_t BgL_test3165z00_8185;

													{	/* SawMill/regalloc.scm 675 */
														obj_t BgL_tmpz00_8186;

														{	/* SawMill/regalloc.scm 675 */
															obj_t BgL_pairz00_4784;

															BgL_pairz00_4784 =
																(((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			((BgL_rtl_insz00_bglt) BgL_iz00_3052))))->
																BgL_argsz00);
															BgL_tmpz00_8186 = CDR(BgL_pairz00_4784);
														}
														BgL_test3165z00_8185 = NULLP(BgL_tmpz00_8186);
													}
													if (BgL_test3165z00_8185)
														{	/* SawMill/regalloc.scm 676 */
															obj_t BgL_tmpz00_8192;

															{	/* SawMill/regalloc.scm 676 */
																obj_t BgL_pairz00_4785;

																BgL_pairz00_4785 =
																	(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3052))))->BgL_argsz00);
																BgL_tmpz00_8192 = CAR(BgL_pairz00_4785);
															}
															BgL_test3160z00_8156 =
																(
																(((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				((BgL_rtl_insz00_bglt)
																					BgL_iz00_3052))))->BgL_destz00) ==
																BgL_tmpz00_8192);
														}
													else
														{	/* SawMill/regalloc.scm 675 */
															BgL_test3160z00_8156 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* SawMill/regalloc.scm 673 */
											BgL_test3160z00_8156 = ((bool_t) 0);
										}
								}
								if (BgL_test3160z00_8156)
									{	/* SawMill/regalloc.scm 683 */
										BgL_rtl_insz00_bglt BgL_i1258z00_3076;

										BgL_i1258z00_3076 =
											((BgL_rtl_insz00_bglt) CAR(BgL_insz00_3069));
										if (PAIRP(BgL_prevz00_3070))
											{	/* SawMill/regalloc.scm 685 */
												{	/* SawMill/regalloc.scm 686 */
													obj_t BgL_tmpz00_8206;

													BgL_tmpz00_8206 = CDR(BgL_insz00_3069);
													SET_CDR(BgL_prevz00_3070, BgL_tmpz00_8206);
												}
												{
													long BgL_nz00_8211;
													obj_t BgL_insz00_8209;

													BgL_insz00_8209 = CDR(BgL_insz00_3069);
													BgL_nz00_8211 = (((long) 1) + BgL_nz00_3071);
													BgL_nz00_3071 = BgL_nz00_8211;
													BgL_insz00_3069 = BgL_insz00_8209;
													goto BgL_zc3z04anonymousza32406ze3z87_3072;
												}
											}
										else
											{	/* SawMill/regalloc.scm 685 */
												if (NULLP(CDR(BgL_insz00_3069)))
													{	/* SawMill/regalloc.scm 688 */
														{
															BgL_rtl_funz00_bglt BgL_auxz00_8216;

															{	/* SawMill/regalloc.scm 689 */
																BgL_rtl_nopz00_bglt BgL_new1260z00_3083;

																{	/* SawMill/regalloc.scm 689 */
																	BgL_rtl_nopz00_bglt BgL_new1259z00_3084;

																	BgL_new1259z00_3084 =
																		((BgL_rtl_nopz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_rtl_nopz00_bgl))));
																	{	/* SawMill/regalloc.scm 689 */
																		long BgL_arg2418z00_3085;

																		{	/* SawMill/regalloc.scm 689 */
																			obj_t BgL_classz00_4794;

																			BgL_classz00_4794 =
																				BGl_rtl_nopz00zzsaw_defsz00;
																			BgL_arg2418z00_3085 =
																				BGL_CLASS_NUM(BgL_classz00_4794);
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1259z00_3084),
																			BgL_arg2418z00_3085);
																	}
																	BgL_new1260z00_3083 = BgL_new1259z00_3084;
																}
																((((BgL_rtl_funz00_bglt) COBJECT(
																				((BgL_rtl_funz00_bglt)
																					BgL_new1260z00_3083)))->BgL_locz00) =
																	((obj_t) BFALSE), BUNSPEC);
																BgL_auxz00_8216 =
																	((BgL_rtl_funz00_bglt) BgL_new1260z00_3083);
															}
															((((BgL_rtl_insz00_bglt) COBJECT(
																			((BgL_rtl_insz00_bglt)
																				BgL_i1258z00_3076)))->BgL_funz00) =
																((BgL_rtl_funz00_bglt) BgL_auxz00_8216),
																BUNSPEC);
														}
														((((BgL_rtl_insz00_bglt) COBJECT(
																		((BgL_rtl_insz00_bglt)
																			BgL_i1258z00_3076)))->BgL_destz00) =
															((obj_t) BFALSE), BUNSPEC);
														((((BgL_rtl_insz00_bglt)
																	COBJECT(((BgL_rtl_insz00_bglt)
																			BgL_i1258z00_3076)))->BgL_argsz00) =
															((obj_t) BNIL), BUNSPEC);
														return (((long) 1) + BgL_nz00_3071);
													}
												else
													{	/* SawMill/regalloc.scm 688 */
														{	/* SawMill/regalloc.scm 694 */
															obj_t BgL_arg2419z00_3086;

															BgL_arg2419z00_3086 = CDR(BgL_insz00_3069);
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_bz00_3065)))->
																	BgL_firstz00) =
																((obj_t) ((obj_t) BgL_arg2419z00_3086)),
																BUNSPEC);
														}
														{
															long BgL_nz00_8237;
															obj_t BgL_insz00_8235;

															BgL_insz00_8235 = CDR(BgL_insz00_3069);
															BgL_nz00_8237 = (((long) 1) + BgL_nz00_3071);
															BgL_nz00_3071 = BgL_nz00_8237;
															BgL_insz00_3069 = BgL_insz00_8235;
															goto BgL_zc3z04anonymousza32406ze3z87_3072;
														}
													}
											}
									}
								else
									{
										obj_t BgL_prevz00_8241;
										obj_t BgL_insz00_8239;

										BgL_insz00_8239 = CDR(BgL_insz00_3069);
										BgL_prevz00_8241 = BgL_insz00_3069;
										BgL_prevz00_3070 = BgL_prevz00_8241;
										BgL_insz00_3069 = BgL_insz00_8239;
										goto BgL_zc3z04anonymousza32406ze3z87_3072;
									}
							}
						else
							{	/* SawMill/regalloc.scm 681 */
								return BgL_nz00_3071;
							}
					}
				}
			}
		}

	}



/* funcall-spill! */
	obj_t BGl_funcallzd2spillz12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_hregsz00_103, obj_t BgL_blocksz00_104)
	{
		{	/* SawMill/regalloc.scm 709 */
			{
				obj_t BgL_bz00_3134;

				if (NULLP(BgL_hregsz00_103))
					{	/* SawMill/regalloc.scm 728 */
						return BgL_blocksz00_104;
					}
				else
					{
						obj_t BgL_l1724z00_3100;

						{	/* SawMill/regalloc.scm 730 */
							bool_t BgL_tmpz00_8244;

							BgL_l1724z00_3100 = BgL_blocksz00_104;
						BgL_zc3z04anonymousza32427ze3z87_3101:
							if (PAIRP(BgL_l1724z00_3100))
								{	/* SawMill/regalloc.scm 730 */
									BgL_bz00_3134 = CAR(BgL_l1724z00_3100);
									{	/* SawMill/regalloc.scm 727 */
										obj_t BgL_g1723z00_3137;

										BgL_g1723z00_3137 =
											(((BgL_blockz00_bglt) COBJECT(
													((BgL_blockz00_bglt) BgL_bz00_3134)))->BgL_firstz00);
										{
											obj_t BgL_l1721z00_3139;

											BgL_l1721z00_3139 = BgL_g1723z00_3137;
										BgL_zc3z04anonymousza32452ze3z87_3140:
											if (PAIRP(BgL_l1721z00_3139))
												{	/* SawMill/regalloc.scm 727 */
													{	/* SawMill/regalloc.scm 727 */
														obj_t BgL_arg2454z00_3142;

														BgL_arg2454z00_3142 = CAR(BgL_l1721z00_3139);
														BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
															(((BgL_rtl_insz00_bglt) BgL_arg2454z00_3142));
													}
													{
														obj_t BgL_l1721z00_8254;

														BgL_l1721z00_8254 = CDR(BgL_l1721z00_3139);
														BgL_l1721z00_3139 = BgL_l1721z00_8254;
														goto BgL_zc3z04anonymousza32452ze3z87_3140;
													}
												}
											else
												{	/* SawMill/regalloc.scm 727 */
													((bool_t) 1);
												}
										}
									}
									{
										obj_t BgL_l1724z00_8257;

										BgL_l1724z00_8257 = CDR(BgL_l1724z00_3100);
										BgL_l1724z00_3100 = BgL_l1724z00_8257;
										goto BgL_zc3z04anonymousza32427ze3z87_3101;
									}
								}
							else
								{	/* SawMill/regalloc.scm 730 */
									BgL_tmpz00_8244 = ((bool_t) 1);
								}
							return BBOOL(BgL_tmpz00_8244);
						}
					}
			}
		}

	}



/* ins-funcall-spill!~0 */
	bool_t
		BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
		(BgL_rtl_insz00_bglt BgL_iz00_3109)
	{
		{	/* SawMill/regalloc.scm 724 */
			{	/* SawMill/regalloc.scm 715 */
				obj_t BgL_aspillz00_3112;

				{	/* SawMill/regalloc.scm 716 */
					obj_t BgL_arg2439z00_3115;

					{
						BgL_rtl_inszf2razf2_bglt BgL_auxz00_8260;

						{
							obj_t BgL_auxz00_8261;

							{	/* SawMill/regalloc.scm 715 */
								BgL_objectz00_bglt BgL_tmpz00_8262;

								BgL_tmpz00_8262 = ((BgL_objectz00_bglt) BgL_iz00_3109);
								BgL_auxz00_8261 = BGL_OBJECT_WIDENING(BgL_tmpz00_8262);
							}
							BgL_auxz00_8260 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8261);
						}
						BgL_arg2439z00_3115 =
							(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8260))->
							BgL_outz00);
					}
					{	/* SawMill/regalloc.scm 717 */
						obj_t BgL_zc3z04anonymousza32440ze3z87_5515;

						BgL_zc3z04anonymousza32440ze3z87_5515 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3z04anonymousza32440ze3z87_5515,
							(int) (((long) 0)), ((obj_t) BgL_iz00_3109));
						BgL_aspillz00_3112 =
							BGl_regsetzd2filterzd2zzsaw_regsetz00
							(BgL_zc3z04anonymousza32440ze3z87_5515,
							((BgL_regsetz00_bglt) BgL_arg2439z00_3115));
				}}
				if (NULLP(BgL_aspillz00_3112))
					{	/* SawMill/regalloc.scm 722 */
						BFALSE;
					}
				else
					{	/* SawMill/regalloc.scm 723 */
						obj_t BgL_vz00_4880;

						BgL_vz00_4880 = BgL_aspillz00_3112;
						((((BgL_rtl_insz00_bglt) COBJECT(
										((BgL_rtl_insz00_bglt) BgL_iz00_3109)))->BgL_z52spillz52) =
							((obj_t) BgL_vz00_4880), BUNSPEC);
					}
			}
			{	/* SawMill/regalloc.scm 724 */
				obj_t BgL_g1720z00_3126;

				BgL_g1720z00_3126 =
					(((BgL_rtl_insz00_bglt) COBJECT(
							((BgL_rtl_insz00_bglt) BgL_iz00_3109)))->BgL_argsz00);
				{
					obj_t BgL_l1718z00_3128;

					BgL_l1718z00_3128 = BgL_g1720z00_3126;
				BgL_zc3z04anonymousza32447ze3z87_3129:
					if (PAIRP(BgL_l1718z00_3128))
						{	/* SawMill/regalloc.scm 724 */
							{	/* SawMill/regalloc.scm 724 */
								obj_t BgL_arg2449z00_3131;

								BgL_arg2449z00_3131 = CAR(BgL_l1718z00_3128);
								{	/* SawMill/regalloc.scm 711 */
									bool_t BgL_test3173z00_8284;

									{	/* SawMill/regalloc.scm 711 */
										obj_t BgL_classz00_4883;

										BgL_classz00_4883 = BGl_rtl_insz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2449z00_3131))
											{	/* SawMill/regalloc.scm 711 */
												BgL_objectz00_bglt BgL_arg1825z00_4885;

												BgL_arg1825z00_4885 =
													(BgL_objectz00_bglt) (BgL_arg2449z00_3131);
												{	/* SawMill/regalloc.scm 711 */
													bool_t BgL_arg1822z00_4888;
													bool_t BgL_arg1823z00_4889;

													{	/* SawMill/regalloc.scm 711 */
														long BgL_idxz00_4892;

														BgL_idxz00_4892 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4885);
														BgL_arg1822z00_4888 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4892 + ((long) 1))) ==
															BgL_classz00_4883);
													}
													{	/* SawMill/regalloc.scm 711 */
														bool_t BgL_res2799z00_4914;

														{	/* SawMill/regalloc.scm 711 */
															obj_t BgL_oclassz00_4900;

															{	/* SawMill/regalloc.scm 711 */
																long BgL_arg1833z00_4906;

																{	/* SawMill/regalloc.scm 711 */
																	long BgL_arg1834z00_4907;

																	BgL_arg1834z00_4907 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4885);
																	BgL_arg1833z00_4906 =
																		(BgL_arg1834z00_4907 - OBJECT_TYPE);
																}
																BgL_oclassz00_4900 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4906);
															}
															{	/* SawMill/regalloc.scm 711 */
																bool_t BgL__ortest_1110z00_4901;

																BgL__ortest_1110z00_4901 =
																	(BgL_classz00_4883 == BgL_oclassz00_4900);
																if (BgL__ortest_1110z00_4901)
																	{	/* SawMill/regalloc.scm 711 */
																		BgL_res2799z00_4914 =
																			BgL__ortest_1110z00_4901;
																	}
																else
																	{	/* SawMill/regalloc.scm 711 */
																		long BgL_odepthz00_4902;

																		BgL_odepthz00_4902 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4900);
																		if ((((long) 1) < BgL_odepthz00_4902))
																			{	/* SawMill/regalloc.scm 711 */
																				obj_t BgL_arg1821z00_4904;

																				BgL_arg1821z00_4904 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4900, ((long) 1));
																				BgL_res2799z00_4914 =
																					(BgL_arg1821z00_4904 ==
																					BgL_classz00_4883);
																			}
																		else
																			{	/* SawMill/regalloc.scm 711 */
																				BgL_res2799z00_4914 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4889 = BgL_res2799z00_4914;
													}
													BgL_test3173z00_8284 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4888,
														BgL_arg1823z00_4889);
												}
											}
										else
											{	/* SawMill/regalloc.scm 711 */
												BgL_test3173z00_8284 = ((bool_t) 0);
											}
									}
									if (BgL_test3173z00_8284)
										{	/* SawMill/regalloc.scm 711 */
											BGl_inszd2funcallzd2spillz12ze70zf5zzsaw_registerzd2allocationzd2
												(((BgL_rtl_insz00_bglt) BgL_arg2449z00_3131));
										}
									else
										{	/* SawMill/regalloc.scm 711 */
											((bool_t) 0);
										}
								}
							}
							{
								obj_t BgL_l1718z00_8305;

								BgL_l1718z00_8305 = CDR(BgL_l1718z00_3128);
								BgL_l1718z00_3128 = BgL_l1718z00_8305;
								goto BgL_zc3z04anonymousza32447ze3z87_3129;
							}
						}
					else
						{	/* SawMill/regalloc.scm 724 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &<@anonymous:2440> */
	obj_t BGl_z62zc3z04anonymousza32440ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5516, obj_t BgL_rz00_5518)
	{
		{	/* SawMill/regalloc.scm 716 */
			{	/* SawMill/regalloc.scm 717 */
				BgL_rtl_insz00_bglt BgL_i1261z00_5517;

				BgL_i1261z00_5517 =
					((BgL_rtl_insz00_bglt)
					PROCEDURE_REF(BgL_envz00_5516, (int) (((long) 0))));
				{	/* SawMill/regalloc.scm 717 */
					bool_t BgL_tmpz00_8310;

					{	/* SawMill/regalloc.scm 717 */
						bool_t BgL_test3177z00_8311;

						{	/* SawMill/regalloc.scm 717 */
							obj_t BgL_arg2446z00_5674;

							{
								BgL_rtl_inszf2razf2_bglt BgL_auxz00_8312;

								{
									obj_t BgL_auxz00_8313;

									{	/* SawMill/regalloc.scm 717 */
										BgL_objectz00_bglt BgL_tmpz00_8314;

										BgL_tmpz00_8314 = ((BgL_objectz00_bglt) BgL_i1261z00_5517);
										BgL_auxz00_8313 = BGL_OBJECT_WIDENING(BgL_tmpz00_8314);
									}
									BgL_auxz00_8312 =
										((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8313);
								}
								BgL_arg2446z00_5674 =
									(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8312))->
									BgL_defz00);
							}
							BgL_test3177z00_8311 =
								BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
								((BgL_rtl_regz00_bglt) BgL_rz00_5518),
								((BgL_regsetz00_bglt) BgL_arg2446z00_5674));
						}
						if (BgL_test3177z00_8311)
							{	/* SawMill/regalloc.scm 717 */
								BgL_tmpz00_8310 = ((bool_t) 0);
							}
						else
							{	/* SawMill/regalloc.scm 719 */
								bool_t BgL_test3178z00_8322;

								{	/* SawMill/regalloc.scm 719 */
									obj_t BgL_arg2445z00_5675;

									{
										BgL_rtl_regzf2razf2_bglt BgL_auxz00_8323;

										{
											obj_t BgL_auxz00_8324;

											{	/* SawMill/regalloc.scm 719 */
												BgL_objectz00_bglt BgL_tmpz00_8325;

												BgL_tmpz00_8325 =
													((BgL_objectz00_bglt)
													((BgL_rtl_regz00_bglt) BgL_rz00_5518));
												BgL_auxz00_8324 = BGL_OBJECT_WIDENING(BgL_tmpz00_8325);
											}
											BgL_auxz00_8323 =
												((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8324);
										}
										BgL_arg2445z00_5675 =
											(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8323))->
											BgL_colorz00);
									}
									{	/* SawMill/regalloc.scm 719 */
										obj_t BgL_classz00_5676;

										BgL_classz00_5676 = BGl_rtl_regz00zzsaw_defsz00;
										if (BGL_OBJECTP(BgL_arg2445z00_5675))
											{	/* SawMill/regalloc.scm 719 */
												BgL_objectz00_bglt BgL_arg1825z00_5677;

												BgL_arg1825z00_5677 =
													(BgL_objectz00_bglt) (BgL_arg2445z00_5675);
												{	/* SawMill/regalloc.scm 719 */
													bool_t BgL_arg1822z00_5678;
													bool_t BgL_arg1823z00_5679;

													{	/* SawMill/regalloc.scm 719 */
														long BgL_idxz00_5680;

														BgL_idxz00_5680 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5677);
														BgL_arg1822z00_5678 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_5680 + ((long) 1))) ==
															BgL_classz00_5676);
													}
													{	/* SawMill/regalloc.scm 719 */
														bool_t BgL_res2798z00_5683;

														{	/* SawMill/regalloc.scm 719 */
															obj_t BgL_oclassz00_5684;

															{	/* SawMill/regalloc.scm 719 */
																long BgL_arg1833z00_5685;

																{	/* SawMill/regalloc.scm 719 */
																	long BgL_arg1834z00_5686;

																	BgL_arg1834z00_5686 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5677);
																	BgL_arg1833z00_5685 =
																		(BgL_arg1834z00_5686 - OBJECT_TYPE);
																}
																BgL_oclassz00_5684 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_5685);
															}
															{	/* SawMill/regalloc.scm 719 */
																bool_t BgL__ortest_1110z00_5687;

																BgL__ortest_1110z00_5687 =
																	(BgL_classz00_5676 == BgL_oclassz00_5684);
																if (BgL__ortest_1110z00_5687)
																	{	/* SawMill/regalloc.scm 719 */
																		BgL_res2798z00_5683 =
																			BgL__ortest_1110z00_5687;
																	}
																else
																	{	/* SawMill/regalloc.scm 719 */
																		long BgL_odepthz00_5688;

																		BgL_odepthz00_5688 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_5684);
																		if ((((long) 1) < BgL_odepthz00_5688))
																			{	/* SawMill/regalloc.scm 719 */
																				obj_t BgL_arg1821z00_5689;

																				BgL_arg1821z00_5689 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_5684, ((long) 1));
																				BgL_res2798z00_5683 =
																					(BgL_arg1821z00_5689 ==
																					BgL_classz00_5676);
																			}
																		else
																			{	/* SawMill/regalloc.scm 719 */
																				BgL_res2798z00_5683 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_5679 = BgL_res2798z00_5683;
													}
													BgL_test3178z00_8322 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_5678,
														BgL_arg1823z00_5679);
												}
											}
										else
											{	/* SawMill/regalloc.scm 719 */
												BgL_test3178z00_8322 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test3178z00_8322)
									{	/* SawMill/regalloc.scm 720 */
										obj_t BgL_arg2442z00_5690;
										obj_t BgL_arg2444z00_5691;

										{
											BgL_rtl_regzf2razf2_bglt BgL_auxz00_8349;

											{
												obj_t BgL_auxz00_8350;

												{	/* SawMill/regalloc.scm 720 */
													BgL_objectz00_bglt BgL_tmpz00_8351;

													BgL_tmpz00_8351 =
														((BgL_objectz00_bglt)
														((BgL_rtl_regz00_bglt) BgL_rz00_5518));
													BgL_auxz00_8350 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8351);
												}
												BgL_auxz00_8349 =
													((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8350);
											}
											BgL_arg2442z00_5690 =
												(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8349))->
												BgL_colorz00);
										}
										{
											BgL_rtl_inszf2razf2_bglt BgL_auxz00_8357;

											{
												obj_t BgL_auxz00_8358;

												{	/* SawMill/regalloc.scm 720 */
													BgL_objectz00_bglt BgL_tmpz00_8359;

													BgL_tmpz00_8359 =
														((BgL_objectz00_bglt) BgL_i1261z00_5517);
													BgL_auxz00_8358 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_8359);
												}
												BgL_auxz00_8357 =
													((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8358);
											}
											BgL_arg2444z00_5691 =
												(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8357))->
												BgL_spillz00);
										}
										BgL_tmpz00_8310 =
											BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
											((BgL_rtl_regz00_bglt) BgL_arg2442z00_5690),
											((BgL_regsetz00_bglt) BgL_arg2444z00_5691));
									}
								else
									{	/* SawMill/regalloc.scm 719 */
										BgL_tmpz00_8310 = ((bool_t) 0);
									}
							}
					}
					return BBOOL(BgL_tmpz00_8310);
				}
			}
		}

	}



/* cleanup-move-tree! */
	bool_t BGl_cleanupzd2movezd2treez12z12zzsaw_registerzd2allocationzd2(obj_t
		BgL_blocksz00_105)
	{
		{	/* SawMill/regalloc.scm 737 */
			{
				obj_t BgL_iz00_3187;
				obj_t BgL_bz00_3206;

				{
					obj_t BgL_l1741z00_3153;

					BgL_l1741z00_3153 = BgL_blocksz00_105;
				BgL_zc3z04anonymousza32456ze3z87_3154:
					if (PAIRP(BgL_l1741z00_3153))
						{	/* SawMill/regalloc.scm 761 */
							BgL_bz00_3206 = CAR(BgL_l1741z00_3153);
							{	/* SawMill/regalloc.scm 759 */
								obj_t BgL_g1740z00_3209;

								BgL_g1740z00_3209 =
									(((BgL_blockz00_bglt) COBJECT(
											((BgL_blockz00_bglt) BgL_bz00_3206)))->BgL_firstz00);
								{
									obj_t BgL_l1738z00_3211;

									BgL_l1738z00_3211 = BgL_g1740z00_3209;
								BgL_zc3z04anonymousza32489ze3z87_3212:
									if (PAIRP(BgL_l1738z00_3211))
										{	/* SawMill/regalloc.scm 759 */
											BgL_iz00_3187 = CAR(BgL_l1738z00_3211);
											{
												obj_t BgL_auxz00_8374;

												{	/* SawMill/regalloc.scm 754 */
													obj_t BgL_l1732z00_3190;

													BgL_l1732z00_3190 =
														(((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3187)))->
														BgL_argsz00);
													if (NULLP(BgL_l1732z00_3190))
														{	/* SawMill/regalloc.scm 754 */
															BgL_auxz00_8374 = BNIL;
														}
													else
														{	/* SawMill/regalloc.scm 754 */
															obj_t BgL_head1734z00_3192;

															{	/* SawMill/regalloc.scm 754 */
																obj_t BgL_arg2486z00_3204;

																{	/* SawMill/regalloc.scm 754 */
																	obj_t BgL_arg2487z00_3205;

																	BgL_arg2487z00_3205 = CAR(BgL_l1732z00_3190);
																	BgL_arg2486z00_3204 =
																		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																		(BgL_arg2487z00_3205);
																}
																BgL_head1734z00_3192 =
																	MAKE_YOUNG_PAIR(BgL_arg2486z00_3204, BNIL);
															}
															{	/* SawMill/regalloc.scm 754 */
																obj_t BgL_g1737z00_3193;

																BgL_g1737z00_3193 = CDR(BgL_l1732z00_3190);
																{
																	obj_t BgL_l1732z00_3195;
																	obj_t BgL_tail1735z00_3196;

																	BgL_l1732z00_3195 = BgL_g1737z00_3193;
																	BgL_tail1735z00_3196 = BgL_head1734z00_3192;
																BgL_zc3z04anonymousza32479ze3z87_3197:
																	if (NULLP(BgL_l1732z00_3195))
																		{	/* SawMill/regalloc.scm 754 */
																			BgL_auxz00_8374 = BgL_head1734z00_3192;
																		}
																	else
																		{	/* SawMill/regalloc.scm 754 */
																			obj_t BgL_newtail1736z00_3199;

																			{	/* SawMill/regalloc.scm 754 */
																				obj_t BgL_arg2483z00_3201;

																				{	/* SawMill/regalloc.scm 754 */
																					obj_t BgL_arg2484z00_3202;

																					BgL_arg2484z00_3202 =
																						CAR(((obj_t) BgL_l1732z00_3195));
																					BgL_arg2483z00_3201 =
																						BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																						(BgL_arg2484z00_3202);
																				}
																				BgL_newtail1736z00_3199 =
																					MAKE_YOUNG_PAIR(BgL_arg2483z00_3201,
																					BNIL);
																			}
																			SET_CDR(BgL_tail1735z00_3196,
																				BgL_newtail1736z00_3199);
																			{	/* SawMill/regalloc.scm 754 */
																				obj_t BgL_arg2481z00_3200;

																				BgL_arg2481z00_3200 =
																					CDR(((obj_t) BgL_l1732z00_3195));
																				{
																					obj_t BgL_tail1735z00_8394;
																					obj_t BgL_l1732z00_8393;

																					BgL_l1732z00_8393 =
																						BgL_arg2481z00_3200;
																					BgL_tail1735z00_8394 =
																						BgL_newtail1736z00_3199;
																					BgL_tail1735z00_3196 =
																						BgL_tail1735z00_8394;
																					BgL_l1732z00_3195 = BgL_l1732z00_8393;
																					goto
																						BgL_zc3z04anonymousza32479ze3z87_3197;
																				}
																			}
																		}
																}
															}
														}
												}
												((((BgL_rtl_insz00_bglt) COBJECT(
																((BgL_rtl_insz00_bglt) BgL_iz00_3187)))->
														BgL_argsz00) = ((obj_t) BgL_auxz00_8374), BUNSPEC);
											}
											BgL_iz00_3187;
											{
												obj_t BgL_l1738z00_8397;

												BgL_l1738z00_8397 = CDR(BgL_l1738z00_3211);
												BgL_l1738z00_3211 = BgL_l1738z00_8397;
												goto BgL_zc3z04anonymousza32489ze3z87_3212;
											}
										}
									else
										{	/* SawMill/regalloc.scm 759 */
											((bool_t) 1);
										}
								}
							}
							{
								obj_t BgL_l1741z00_8400;

								BgL_l1741z00_8400 = CDR(BgL_l1741z00_3153);
								BgL_l1741z00_3153 = BgL_l1741z00_8400;
								goto BgL_zc3z04anonymousza32456ze3z87_3154;
							}
						}
					else
						{	/* SawMill/regalloc.scm 761 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* args-cleanup-move-tree!~0 */
	obj_t
		BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
		(obj_t BgL_az00_3163)
	{
		{	/* SawMill/regalloc.scm 750 */
			{	/* SawMill/regalloc.scm 744 */
				bool_t BgL_test3186z00_8402;

				{	/* SawMill/regalloc.scm 744 */
					obj_t BgL_classz00_4920;

					BgL_classz00_4920 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_az00_3163))
						{	/* SawMill/regalloc.scm 744 */
							BgL_objectz00_bglt BgL_arg1825z00_4922;

							BgL_arg1825z00_4922 = (BgL_objectz00_bglt) (BgL_az00_3163);
							{	/* SawMill/regalloc.scm 744 */
								bool_t BgL_arg1822z00_4925;
								bool_t BgL_arg1823z00_4926;

								{	/* SawMill/regalloc.scm 744 */
									long BgL_idxz00_4929;

									BgL_idxz00_4929 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4922);
									BgL_arg1822z00_4925 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4929 + ((long) 1))) == BgL_classz00_4920);
								}
								{	/* SawMill/regalloc.scm 744 */
									bool_t BgL_res2800z00_4951;

									{	/* SawMill/regalloc.scm 744 */
										obj_t BgL_oclassz00_4937;

										{	/* SawMill/regalloc.scm 744 */
											long BgL_arg1833z00_4943;

											{	/* SawMill/regalloc.scm 744 */
												long BgL_arg1834z00_4944;

												BgL_arg1834z00_4944 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4922);
												BgL_arg1833z00_4943 =
													(BgL_arg1834z00_4944 - OBJECT_TYPE);
											}
											BgL_oclassz00_4937 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4943);
										}
										{	/* SawMill/regalloc.scm 744 */
											bool_t BgL__ortest_1110z00_4938;

											BgL__ortest_1110z00_4938 =
												(BgL_classz00_4920 == BgL_oclassz00_4937);
											if (BgL__ortest_1110z00_4938)
												{	/* SawMill/regalloc.scm 744 */
													BgL_res2800z00_4951 = BgL__ortest_1110z00_4938;
												}
											else
												{	/* SawMill/regalloc.scm 744 */
													long BgL_odepthz00_4939;

													BgL_odepthz00_4939 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4937);
													if ((((long) 1) < BgL_odepthz00_4939))
														{	/* SawMill/regalloc.scm 744 */
															obj_t BgL_arg1821z00_4941;

															BgL_arg1821z00_4941 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4937,
																((long) 1));
															BgL_res2800z00_4951 =
																(BgL_arg1821z00_4941 == BgL_classz00_4920);
														}
													else
														{	/* SawMill/regalloc.scm 744 */
															BgL_res2800z00_4951 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4926 = BgL_res2800z00_4951;
								}
								BgL_test3186z00_8402 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4925, BgL_arg1823z00_4926);
							}
						}
					else
						{	/* SawMill/regalloc.scm 744 */
							BgL_test3186z00_8402 = ((bool_t) 0);
						}
				}
				if (BgL_test3186z00_8402)
					{	/* SawMill/regalloc.scm 744 */
						{
							obj_t BgL_auxz00_8421;

							{	/* SawMill/regalloc.scm 746 */
								obj_t BgL_l1726z00_3167;

								BgL_l1726z00_3167 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3163)))->BgL_argsz00);
								if (NULLP(BgL_l1726z00_3167))
									{	/* SawMill/regalloc.scm 746 */
										BgL_auxz00_8421 = BNIL;
									}
								else
									{	/* SawMill/regalloc.scm 746 */
										obj_t BgL_head1728z00_3169;

										{	/* SawMill/regalloc.scm 746 */
											obj_t BgL_arg2471z00_3181;

											{	/* SawMill/regalloc.scm 746 */
												obj_t BgL_arg2472z00_3182;

												BgL_arg2472z00_3182 = CAR(BgL_l1726z00_3167);
												BgL_arg2471z00_3181 =
													BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
													(BgL_arg2472z00_3182);
											}
											BgL_head1728z00_3169 =
												MAKE_YOUNG_PAIR(BgL_arg2471z00_3181, BNIL);
										}
										{	/* SawMill/regalloc.scm 746 */
											obj_t BgL_g1731z00_3170;

											BgL_g1731z00_3170 = CDR(BgL_l1726z00_3167);
											{
												obj_t BgL_l1726z00_3172;
												obj_t BgL_tail1729z00_3173;

												BgL_l1726z00_3172 = BgL_g1731z00_3170;
												BgL_tail1729z00_3173 = BgL_head1728z00_3169;
											BgL_zc3z04anonymousza32466ze3z87_3174:
												if (NULLP(BgL_l1726z00_3172))
													{	/* SawMill/regalloc.scm 746 */
														BgL_auxz00_8421 = BgL_head1728z00_3169;
													}
												else
													{	/* SawMill/regalloc.scm 746 */
														obj_t BgL_newtail1730z00_3176;

														{	/* SawMill/regalloc.scm 746 */
															obj_t BgL_arg2469z00_3178;

															{	/* SawMill/regalloc.scm 746 */
																obj_t BgL_arg2470z00_3179;

																BgL_arg2470z00_3179 =
																	CAR(((obj_t) BgL_l1726z00_3172));
																BgL_arg2469z00_3178 =
																	BGl_argszd2cleanupzd2movezd2treez12ze70z27zzsaw_registerzd2allocationzd2
																	(BgL_arg2470z00_3179);
															}
															BgL_newtail1730z00_3176 =
																MAKE_YOUNG_PAIR(BgL_arg2469z00_3178, BNIL);
														}
														SET_CDR(BgL_tail1729z00_3173,
															BgL_newtail1730z00_3176);
														{	/* SawMill/regalloc.scm 746 */
															obj_t BgL_arg2468z00_3177;

															BgL_arg2468z00_3177 =
																CDR(((obj_t) BgL_l1726z00_3172));
															{
																obj_t BgL_tail1729z00_8441;
																obj_t BgL_l1726z00_8440;

																BgL_l1726z00_8440 = BgL_arg2468z00_3177;
																BgL_tail1729z00_8441 = BgL_newtail1730z00_3176;
																BgL_tail1729z00_3173 = BgL_tail1729z00_8441;
																BgL_l1726z00_3172 = BgL_l1726z00_8440;
																goto BgL_zc3z04anonymousza32466ze3z87_3174;
															}
														}
													}
											}
										}
									}
							}
							((((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3163)))->BgL_argsz00) =
								((obj_t) BgL_auxz00_8421), BUNSPEC);
						}
						{	/* SawMill/regalloc.scm 747 */
							bool_t BgL_test3192z00_8443;

							{	/* SawMill/regalloc.scm 747 */
								BgL_rtl_funz00_bglt BgL_arg2476z00_3186;

								BgL_arg2476z00_3186 =
									(((BgL_rtl_insz00_bglt) COBJECT(
											((BgL_rtl_insz00_bglt) BgL_az00_3163)))->BgL_funz00);
								{	/* SawMill/regalloc.scm 747 */
									obj_t BgL_classz00_4957;

									BgL_classz00_4957 = BGl_rtl_movz00zzsaw_defsz00;
									{	/* SawMill/regalloc.scm 747 */
										BgL_objectz00_bglt BgL_arg1825z00_4959;

										{	/* SawMill/regalloc.scm 747 */
											obj_t BgL_tmpz00_8446;

											BgL_tmpz00_8446 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2476z00_3186));
											BgL_arg1825z00_4959 =
												(BgL_objectz00_bglt) (BgL_tmpz00_8446);
										}
										{	/* SawMill/regalloc.scm 747 */
											bool_t BgL_arg1822z00_4962;
											bool_t BgL_arg1823z00_4963;

											{	/* SawMill/regalloc.scm 747 */
												long BgL_idxz00_4966;

												BgL_idxz00_4966 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4959);
												BgL_arg1822z00_4962 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4966 + ((long) 3))) ==
													BgL_classz00_4957);
											}
											{	/* SawMill/regalloc.scm 747 */
												bool_t BgL_res2801z00_4988;

												{	/* SawMill/regalloc.scm 747 */
													obj_t BgL_oclassz00_4974;

													{	/* SawMill/regalloc.scm 747 */
														long BgL_arg1833z00_4980;

														{	/* SawMill/regalloc.scm 747 */
															long BgL_arg1834z00_4981;

															BgL_arg1834z00_4981 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4959);
															BgL_arg1833z00_4980 =
																(BgL_arg1834z00_4981 - OBJECT_TYPE);
														}
														BgL_oclassz00_4974 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4980);
													}
													{	/* SawMill/regalloc.scm 747 */
														bool_t BgL__ortest_1110z00_4975;

														BgL__ortest_1110z00_4975 =
															(BgL_classz00_4957 == BgL_oclassz00_4974);
														if (BgL__ortest_1110z00_4975)
															{	/* SawMill/regalloc.scm 747 */
																BgL_res2801z00_4988 = BgL__ortest_1110z00_4975;
															}
														else
															{	/* SawMill/regalloc.scm 747 */
																long BgL_odepthz00_4976;

																BgL_odepthz00_4976 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4974);
																if ((((long) 3) < BgL_odepthz00_4976))
																	{	/* SawMill/regalloc.scm 747 */
																		obj_t BgL_arg1821z00_4978;

																		BgL_arg1821z00_4978 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4974, ((long) 3));
																		BgL_res2801z00_4988 =
																			(BgL_arg1821z00_4978 ==
																			BgL_classz00_4957);
																	}
																else
																	{	/* SawMill/regalloc.scm 747 */
																		BgL_res2801z00_4988 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4963 = BgL_res2801z00_4988;
											}
											BgL_test3192z00_8443 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4962,
												BgL_arg1823z00_4963);
										}
									}
								}
							}
							if (BgL_test3192z00_8443)
								{	/* SawMill/regalloc.scm 748 */
									obj_t BgL_pairz00_4989;

									BgL_pairz00_4989 =
										(((BgL_rtl_insz00_bglt) COBJECT(
												((BgL_rtl_insz00_bglt) BgL_az00_3163)))->BgL_argsz00);
									return CAR(BgL_pairz00_4989);
								}
							else
								{	/* SawMill/regalloc.scm 747 */
									return BgL_az00_3163;
								}
						}
					}
				else
					{	/* SawMill/regalloc.scm 744 */
						return BgL_az00_3163;
					}
			}
		}

	}



/* use-register! */
	BgL_rtl_regz00_bglt
		BGl_usezd2registerz12zc0zzsaw_registerzd2allocationzd2(BgL_rtl_regz00_bglt
		BgL_regz00_106)
	{
		{	/* SawMill/regalloc.scm 770 */
			{
				int BgL_auxz00_8474;
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_8468;

				{	/* SawMill/regalloc.scm 772 */
					int BgL_arg2494z00_3222;

					{
						BgL_rtl_regzf2razf2_bglt BgL_auxz00_8475;

						{
							obj_t BgL_auxz00_8476;

							{	/* SawMill/regalloc.scm 772 */
								BgL_objectz00_bglt BgL_tmpz00_8477;

								BgL_tmpz00_8477 = ((BgL_objectz00_bglt) BgL_regz00_106);
								BgL_auxz00_8476 = BGL_OBJECT_WIDENING(BgL_tmpz00_8477);
							}
							BgL_auxz00_8475 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8476);
						}
						BgL_arg2494z00_3222 =
							(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8475))->
							BgL_occurrencesz00);
					}
					BgL_auxz00_8474 = (int) ((((long) 1) + (long) (BgL_arg2494z00_3222)));
				}
				{
					obj_t BgL_auxz00_8469;

					{	/* SawMill/regalloc.scm 772 */
						BgL_objectz00_bglt BgL_tmpz00_8470;

						BgL_tmpz00_8470 = ((BgL_objectz00_bglt) BgL_regz00_106);
						BgL_auxz00_8469 = BGL_OBJECT_WIDENING(BgL_tmpz00_8470);
					}
					BgL_auxz00_8468 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_8469);
				}
				((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_8468))->
						BgL_occurrencesz00) = ((int) BgL_auxz00_8474), BUNSPEC);
			}
			return BgL_regz00_106;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			{	/* SawMill/regalloc.scm 34 */
				obj_t BgL_arg2502z00_3227;
				obj_t BgL_arg2503z00_3228;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1749z00_3254;

					BgL_v1749z00_3254 = create_vector(((long) 1));
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2520z00_3255;

						BgL_arg2520z00_3255 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc2859z00zzsaw_registerzd2allocationzd2,
							BGl_proc2858z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1749z00_3254, ((long) 0), BgL_arg2520z00_3255);
					}
					BgL_arg2502z00_3227 = BgL_v1749z00_3254;
				}
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_v1750z00_3265;

					BgL_v1750z00_3265 = create_vector(((long) 0));
					BgL_arg2503z00_3228 = BgL_v1750z00_3265;
				}
				BGl_blockzf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
					CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00, ((long) 29229),
					BGl_proc2863z00zzsaw_registerzd2allocationzd2,
					BGl_proc2862z00zzsaw_registerzd2allocationzd2, BFALSE,
					BGl_proc2861z00zzsaw_registerzd2allocationzd2,
					BGl_proc2860z00zzsaw_registerzd2allocationzd2, BgL_arg2502z00_3227,
					BgL_arg2503z00_3228);
			}
			{	/* SawMill/regalloc.scm 37 */
				obj_t BgL_arg2531z00_3274;
				obj_t BgL_arg2532z00_3275;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1751z00_3305;

					BgL_v1751z00_3305 = create_vector(((long) 4));
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2551z00_3306;

						BgL_arg2551z00_3306 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									4)), BGl_proc2866z00zzsaw_registerzd2allocationzd2,
							BGl_proc2865z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2864z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1751z00_3305, ((long) 0), BgL_arg2551z00_3306);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2563z00_3319;

						BgL_arg2563z00_3319 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2869z00zzsaw_registerzd2allocationzd2,
							BGl_proc2868z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2867z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1751z00_3305, ((long) 1), BgL_arg2563z00_3319);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2571z00_3332;

						BgL_arg2571z00_3332 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc2872z00zzsaw_registerzd2allocationzd2,
							BGl_proc2871z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2870z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1751z00_3305, ((long) 2), BgL_arg2571z00_3332);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2580z00_3345;

						BgL_arg2580z00_3345 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2875z00zzsaw_registerzd2allocationzd2,
							BGl_proc2874z00zzsaw_registerzd2allocationzd2, ((bool_t) 0),
							((bool_t) 0), BFALSE,
							BGl_proc2873z00zzsaw_registerzd2allocationzd2,
							CNST_TABLE_REF(((long) 5)));
						VECTOR_SET(BgL_v1751z00_3305, ((long) 3), BgL_arg2580z00_3345);
					}
					BgL_arg2531z00_3274 = BgL_v1751z00_3305;
				}
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_v1752z00_3358;

					BgL_v1752z00_3358 = create_vector(((long) 0));
					BgL_arg2532z00_3275 = BgL_v1752z00_3358;
				}
				return (BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 9)),
						CNST_TABLE_REF(((long) 3)), BGl_rtl_insz00zzsaw_defsz00,
						((long) 22325), BGl_proc2879z00zzsaw_registerzd2allocationzd2,
						BGl_proc2878z00zzsaw_registerzd2allocationzd2, BFALSE,
						BGl_proc2877z00zzsaw_registerzd2allocationzd2,
						BGl_proc2876z00zzsaw_registerzd2allocationzd2, BgL_arg2531z00_3274,
						BgL_arg2532z00_3275), BUNSPEC);
		}}

	}



/* &lambda2543 */
	BgL_rtl_insz00_bglt BGl_z62lambda2543z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5541, obj_t BgL_o1173z00_5542)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				long BgL_arg2546z00_5693;

				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_arg2547z00_5694;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_arg2548z00_5695;

						{	/* SawMill/regalloc.scm 37 */
							long BgL_arg1833z00_5696;

							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg1834z00_5697;

								BgL_arg1834z00_5697 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_o1173z00_5542)));
								BgL_arg1833z00_5696 = (BgL_arg1834z00_5697 - OBJECT_TYPE);
							}
							BgL_arg2548z00_5695 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5696);
						}
						BgL_arg2547z00_5694 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2548z00_5695);
					}
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_tmpz00_8522;

						BgL_tmpz00_8522 = ((obj_t) BgL_arg2547z00_5694);
						BgL_arg2546z00_5693 = BGL_CLASS_NUM(BgL_tmpz00_8522);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) BgL_o1173z00_5542)), BgL_arg2546z00_5693);
			}
			{	/* SawMill/regalloc.scm 37 */
				BgL_objectz00_bglt BgL_tmpz00_8528;

				BgL_tmpz00_8528 =
					((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1173z00_5542));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8528, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1173z00_5542));
			return ((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1173z00_5542));
		}

	}



/* &<@anonymous:2542> */
	obj_t BGl_z62zc3z04anonymousza32542ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5543, obj_t BgL_new1172z00_5544)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_insz00_bglt BgL_auxz00_8536;

				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1172z00_5544))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1172z00_5544))))->BgL_z52spillz52) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_rtl_insz00_bglt)
							COBJECT(((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt)
										BgL_new1172z00_5544))))->BgL_destz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_rtl_funz00_bglt BgL_auxz00_8546;

					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_classz00_5699;

						BgL_classz00_5699 = BGl_rtl_funz00zzsaw_defsz00;
						{	/* SawMill/regalloc.scm 37 */
							obj_t BgL__ortest_1112z00_5700;

							BgL__ortest_1112z00_5700 = BGL_CLASS_NIL(BgL_classz00_5699);
							if (CBOOL(BgL__ortest_1112z00_5700))
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_8546 =
										((BgL_rtl_funz00_bglt) BgL__ortest_1112z00_5700);
								}
							else
								{	/* SawMill/regalloc.scm 37 */
									BgL_auxz00_8546 =
										((BgL_rtl_funz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_5699));
								}
						}
					}
					((((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt)
										((BgL_rtl_insz00_bglt) BgL_new1172z00_5544))))->
							BgL_funz00) = ((BgL_rtl_funz00_bglt) BgL_auxz00_8546), BUNSPEC);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt)
									((BgL_rtl_insz00_bglt) BgL_new1172z00_5544))))->BgL_argsz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8559;

					{
						obj_t BgL_auxz00_8560;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8561;

							BgL_tmpz00_8561 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1172z00_5544));
							BgL_auxz00_8560 = BGL_OBJECT_WIDENING(BgL_tmpz00_8561);
						}
						BgL_auxz00_8559 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8560);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8559))->BgL_defz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8567;

					{
						obj_t BgL_auxz00_8568;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8569;

							BgL_tmpz00_8569 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1172z00_5544));
							BgL_auxz00_8568 = BGL_OBJECT_WIDENING(BgL_tmpz00_8569);
						}
						BgL_auxz00_8567 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8568);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8567))->BgL_outz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8575;

					{
						obj_t BgL_auxz00_8576;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8577;

							BgL_tmpz00_8577 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1172z00_5544));
							BgL_auxz00_8576 = BGL_OBJECT_WIDENING(BgL_tmpz00_8577);
						}
						BgL_auxz00_8575 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8576);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8575))->BgL_inz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8583;

					{
						obj_t BgL_auxz00_8584;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8585;

							BgL_tmpz00_8585 =
								((BgL_objectz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_new1172z00_5544));
							BgL_auxz00_8584 = BGL_OBJECT_WIDENING(BgL_tmpz00_8585);
						}
						BgL_auxz00_8583 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8584);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8583))->
							BgL_spillz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_8536 = ((BgL_rtl_insz00_bglt) BgL_new1172z00_5544);
				return ((obj_t) BgL_auxz00_8536);
			}
		}

	}



/* &lambda2538 */
	BgL_rtl_insz00_bglt BGl_z62lambda2538z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5545, obj_t BgL_o1169z00_5546)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_inszf2razf2_bglt BgL_wide1171z00_5702;

				BgL_wide1171z00_5702 =
					((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_rtl_inszf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 37 */
					obj_t BgL_auxz00_8598;
					BgL_objectz00_bglt BgL_tmpz00_8594;

					BgL_auxz00_8598 = ((obj_t) BgL_wide1171z00_5702);
					BgL_tmpz00_8594 =
						((BgL_objectz00_bglt)
						((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1169z00_5546)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8594, BgL_auxz00_8598);
				}
				((BgL_objectz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1169z00_5546)));
				{	/* SawMill/regalloc.scm 37 */
					long BgL_arg2541z00_5703;

					BgL_arg2541z00_5703 =
						BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt)
								((BgL_rtl_insz00_bglt) BgL_o1169z00_5546))),
						BgL_arg2541z00_5703);
				}
				return
					((BgL_rtl_insz00_bglt)
					((BgL_rtl_insz00_bglt) ((BgL_rtl_insz00_bglt) BgL_o1169z00_5546)));
			}
		}

	}



/* &lambda2533 */
	BgL_rtl_insz00_bglt BGl_z62lambda2533z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5547, obj_t BgL_loc1160z00_5548, obj_t BgL_z52spill1161z52_5549,
		obj_t BgL_dest1162z00_5550, obj_t BgL_fun1163z00_5551,
		obj_t BgL_args1164z00_5552, obj_t BgL_def1165z00_5553,
		obj_t BgL_out1166z00_5554, obj_t BgL_in1167z00_5555,
		obj_t BgL_spill1168z00_5556)
	{
		{	/* SawMill/regalloc.scm 37 */
			{	/* SawMill/regalloc.scm 37 */
				BgL_rtl_insz00_bglt BgL_new1280z00_5707;

				{	/* SawMill/regalloc.scm 37 */
					BgL_rtl_insz00_bglt BgL_tmp1278z00_5708;
					BgL_rtl_inszf2razf2_bglt BgL_wide1279z00_5709;

					{
						BgL_rtl_insz00_bglt BgL_auxz00_8612;

						{	/* SawMill/regalloc.scm 37 */
							BgL_rtl_insz00_bglt BgL_new1277z00_5710;

							BgL_new1277z00_5710 =
								((BgL_rtl_insz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_insz00_bgl))));
							{	/* SawMill/regalloc.scm 37 */
								long BgL_arg2537z00_5711;

								BgL_arg2537z00_5711 =
									BGL_CLASS_NUM(BGl_rtl_insz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1277z00_5710),
									BgL_arg2537z00_5711);
							}
							{	/* SawMill/regalloc.scm 37 */
								BgL_objectz00_bglt BgL_tmpz00_8617;

								BgL_tmpz00_8617 = ((BgL_objectz00_bglt) BgL_new1277z00_5710);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8617, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1277z00_5710);
							BgL_auxz00_8612 = BgL_new1277z00_5710;
						}
						BgL_tmp1278z00_5708 = ((BgL_rtl_insz00_bglt) BgL_auxz00_8612);
					}
					BgL_wide1279z00_5709 =
						((BgL_rtl_inszf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_inszf2razf2_bgl))));
					{	/* SawMill/regalloc.scm 37 */
						obj_t BgL_auxz00_8625;
						BgL_objectz00_bglt BgL_tmpz00_8623;

						BgL_auxz00_8625 = ((obj_t) BgL_wide1279z00_5709);
						BgL_tmpz00_8623 = ((BgL_objectz00_bglt) BgL_tmp1278z00_5708);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8623, BgL_auxz00_8625);
					}
					((BgL_objectz00_bglt) BgL_tmp1278z00_5708);
					{	/* SawMill/regalloc.scm 37 */
						long BgL_arg2535z00_5712;

						BgL_arg2535z00_5712 =
							BGL_CLASS_NUM(BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1278z00_5708), BgL_arg2535z00_5712);
					}
					BgL_new1280z00_5707 = ((BgL_rtl_insz00_bglt) BgL_tmp1278z00_5708);
				}
				((((BgL_rtl_insz00_bglt) COBJECT(
								((BgL_rtl_insz00_bglt) BgL_new1280z00_5707)))->BgL_locz00) =
					((obj_t) BgL_loc1160z00_5548), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1280z00_5707)))->BgL_z52spillz52) =
					((obj_t) ((obj_t) BgL_z52spill1161z52_5549)), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1280z00_5707)))->BgL_destz00) =
					((obj_t) BgL_dest1162z00_5550), BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1280z00_5707)))->BgL_funz00) =
					((BgL_rtl_funz00_bglt) ((BgL_rtl_funz00_bglt) BgL_fun1163z00_5551)),
					BUNSPEC);
				((((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt)
									BgL_new1280z00_5707)))->BgL_argsz00) =
					((obj_t) ((obj_t) BgL_args1164z00_5552)), BUNSPEC);
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8646;

					{
						obj_t BgL_auxz00_8647;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8648;

							BgL_tmpz00_8648 = ((BgL_objectz00_bglt) BgL_new1280z00_5707);
							BgL_auxz00_8647 = BGL_OBJECT_WIDENING(BgL_tmpz00_8648);
						}
						BgL_auxz00_8646 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8647);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8646))->BgL_defz00) =
						((obj_t) BgL_def1165z00_5553), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8653;

					{
						obj_t BgL_auxz00_8654;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8655;

							BgL_tmpz00_8655 = ((BgL_objectz00_bglt) BgL_new1280z00_5707);
							BgL_auxz00_8654 = BGL_OBJECT_WIDENING(BgL_tmpz00_8655);
						}
						BgL_auxz00_8653 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8654);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8653))->BgL_outz00) =
						((obj_t) BgL_out1166z00_5554), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8660;

					{
						obj_t BgL_auxz00_8661;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8662;

							BgL_tmpz00_8662 = ((BgL_objectz00_bglt) BgL_new1280z00_5707);
							BgL_auxz00_8661 = BGL_OBJECT_WIDENING(BgL_tmpz00_8662);
						}
						BgL_auxz00_8660 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8661);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8660))->BgL_inz00) =
						((obj_t) BgL_in1167z00_5555), BUNSPEC);
				}
				{
					BgL_rtl_inszf2razf2_bglt BgL_auxz00_8667;

					{
						obj_t BgL_auxz00_8668;

						{	/* SawMill/regalloc.scm 37 */
							BgL_objectz00_bglt BgL_tmpz00_8669;

							BgL_tmpz00_8669 = ((BgL_objectz00_bglt) BgL_new1280z00_5707);
							BgL_auxz00_8668 = BGL_OBJECT_WIDENING(BgL_tmpz00_8669);
						}
						BgL_auxz00_8667 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8668);
					}
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8667))->
							BgL_spillz00) = ((obj_t) BgL_spill1168z00_5556), BUNSPEC);
				}
				return BgL_new1280z00_5707;
			}
		}

	}



/* &<@anonymous:2586> */
	obj_t BGl_z62zc3z04anonymousza32586ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5557)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2585 */
	obj_t BGl_z62lambda2585z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5558, obj_t BgL_oz00_5559, obj_t BgL_vz00_5560)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8674;

				{
					obj_t BgL_auxz00_8675;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8676;

						BgL_tmpz00_8676 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5559));
						BgL_auxz00_8675 = BGL_OBJECT_WIDENING(BgL_tmpz00_8676);
					}
					BgL_auxz00_8674 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8675);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8674))->
						BgL_spillz00) = ((obj_t) BgL_vz00_5560), BUNSPEC);
			}
		}

	}



/* &lambda2584 */
	obj_t BGl_z62lambda2584z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5561, obj_t BgL_oz00_5562)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8682;

				{
					obj_t BgL_auxz00_8683;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8684;

						BgL_tmpz00_8684 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5562));
						BgL_auxz00_8683 = BGL_OBJECT_WIDENING(BgL_tmpz00_8684);
					}
					BgL_auxz00_8682 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8683);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8682))->BgL_spillz00);
			}
		}

	}



/* &<@anonymous:2579> */
	obj_t BGl_z62zc3z04anonymousza32579ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5563)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2578 */
	obj_t BGl_z62lambda2578z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5564, obj_t BgL_oz00_5565, obj_t BgL_vz00_5566)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8690;

				{
					obj_t BgL_auxz00_8691;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8692;

						BgL_tmpz00_8692 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5565));
						BgL_auxz00_8691 = BGL_OBJECT_WIDENING(BgL_tmpz00_8692);
					}
					BgL_auxz00_8690 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8691);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8690))->BgL_inz00) =
					((obj_t) BgL_vz00_5566), BUNSPEC);
			}
		}

	}



/* &lambda2577 */
	obj_t BGl_z62lambda2577z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5567, obj_t BgL_oz00_5568)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8698;

				{
					obj_t BgL_auxz00_8699;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8700;

						BgL_tmpz00_8700 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5568));
						BgL_auxz00_8699 = BGL_OBJECT_WIDENING(BgL_tmpz00_8700);
					}
					BgL_auxz00_8698 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8699);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8698))->BgL_inz00);
			}
		}

	}



/* &<@anonymous:2570> */
	obj_t BGl_z62zc3z04anonymousza32570ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5569)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2569 */
	obj_t BGl_z62lambda2569z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5570, obj_t BgL_oz00_5571, obj_t BgL_vz00_5572)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8706;

				{
					obj_t BgL_auxz00_8707;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8708;

						BgL_tmpz00_8708 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5571));
						BgL_auxz00_8707 = BGL_OBJECT_WIDENING(BgL_tmpz00_8708);
					}
					BgL_auxz00_8706 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8707);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8706))->BgL_outz00) =
					((obj_t) BgL_vz00_5572), BUNSPEC);
			}
		}

	}



/* &lambda2568 */
	obj_t BGl_z62lambda2568z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5573, obj_t BgL_oz00_5574)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8714;

				{
					obj_t BgL_auxz00_8715;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8716;

						BgL_tmpz00_8716 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5574));
						BgL_auxz00_8715 = BGL_OBJECT_WIDENING(BgL_tmpz00_8716);
					}
					BgL_auxz00_8714 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8715);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8714))->BgL_outz00);
			}
		}

	}



/* &<@anonymous:2562> */
	obj_t BGl_z62zc3z04anonymousza32562ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5575)
	{
		{	/* SawMill/regalloc.scm 37 */
			return BUNSPEC;
		}

	}



/* &lambda2561 */
	obj_t BGl_z62lambda2561z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5576, obj_t BgL_oz00_5577, obj_t BgL_vz00_5578)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8722;

				{
					obj_t BgL_auxz00_8723;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8724;

						BgL_tmpz00_8724 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5577));
						BgL_auxz00_8723 = BGL_OBJECT_WIDENING(BgL_tmpz00_8724);
					}
					BgL_auxz00_8722 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8723);
				}
				return
					((((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8722))->BgL_defz00) =
					((obj_t) BgL_vz00_5578), BUNSPEC);
			}
		}

	}



/* &lambda2560 */
	obj_t BGl_z62lambda2560z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5579, obj_t BgL_oz00_5580)
	{
		{	/* SawMill/regalloc.scm 37 */
			{
				BgL_rtl_inszf2razf2_bglt BgL_auxz00_8730;

				{
					obj_t BgL_auxz00_8731;

					{	/* SawMill/regalloc.scm 37 */
						BgL_objectz00_bglt BgL_tmpz00_8732;

						BgL_tmpz00_8732 =
							((BgL_objectz00_bglt) ((BgL_rtl_insz00_bglt) BgL_oz00_5580));
						BgL_auxz00_8731 = BGL_OBJECT_WIDENING(BgL_tmpz00_8732);
					}
					BgL_auxz00_8730 = ((BgL_rtl_inszf2razf2_bglt) BgL_auxz00_8731);
				}
				return
					(((BgL_rtl_inszf2razf2_bglt) COBJECT(BgL_auxz00_8730))->BgL_defz00);
			}
		}

	}



/* &lambda2511 */
	BgL_blockz00_bglt BGl_z62lambda2511z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5581, obj_t BgL_o1158z00_5582)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				long BgL_arg2513z00_5722;

				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_arg2514z00_5723;

					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_arg2519z00_5724;

						{	/* SawMill/regalloc.scm 34 */
							long BgL_arg1833z00_5725;

							{	/* SawMill/regalloc.scm 34 */
								long BgL_arg1834z00_5726;

								BgL_arg1834z00_5726 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1158z00_5582)));
								BgL_arg1833z00_5725 = (BgL_arg1834z00_5726 - OBJECT_TYPE);
							}
							BgL_arg2519z00_5724 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_5725);
						}
						BgL_arg2514z00_5723 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg2519z00_5724);
					}
					{	/* SawMill/regalloc.scm 34 */
						obj_t BgL_tmpz00_8744;

						BgL_tmpz00_8744 = ((obj_t) BgL_arg2514z00_5723);
						BgL_arg2513z00_5722 = BGL_CLASS_NUM(BgL_tmpz00_8744);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1158z00_5582)), BgL_arg2513z00_5722);
			}
			{	/* SawMill/regalloc.scm 34 */
				BgL_objectz00_bglt BgL_tmpz00_8750;

				BgL_tmpz00_8750 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1158z00_5582));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8750, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1158z00_5582));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1158z00_5582));
		}

	}



/* &<@anonymous:2510> */
	obj_t BGl_z62zc3z04anonymousza32510ze3ze5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5583, obj_t BgL_new1157z00_5584)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockz00_bglt BgL_auxz00_8758;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1157z00_5584))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1157z00_5584))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1157z00_5584))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1157z00_5584))))->BgL_firstz00) =
					((obj_t) MAKE_YOUNG_PAIR(BFALSE, BFALSE)), BUNSPEC);
				{
					BgL_blockzf2razf2_bglt BgL_auxz00_8773;

					{
						obj_t BgL_auxz00_8774;

						{	/* SawMill/regalloc.scm 34 */
							BgL_objectz00_bglt BgL_tmpz00_8775;

							BgL_tmpz00_8775 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1157z00_5584));
							BgL_auxz00_8774 = BGL_OBJECT_WIDENING(BgL_tmpz00_8775);
						}
						BgL_auxz00_8773 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8774);
					}
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8773))->BgL_lastz00) =
						((obj_t) BNIL), BUNSPEC);
				}
				BgL_auxz00_8758 = ((BgL_blockz00_bglt) BgL_new1157z00_5584);
				return ((obj_t) BgL_auxz00_8758);
			}
		}

	}



/* &lambda2508 */
	BgL_blockz00_bglt BGl_z62lambda2508z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5585, obj_t BgL_o1154z00_5586)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				BgL_blockzf2razf2_bglt BgL_wide1156z00_5729;

				BgL_wide1156z00_5729 =
					((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_blockzf2razf2_bgl))));
				{	/* SawMill/regalloc.scm 34 */
					obj_t BgL_auxz00_8788;
					BgL_objectz00_bglt BgL_tmpz00_8784;

					BgL_auxz00_8788 = ((obj_t) BgL_wide1156z00_5729);
					BgL_tmpz00_8784 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_5586)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8784, BgL_auxz00_8788);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_5586)));
				{	/* SawMill/regalloc.scm 34 */
					long BgL_arg2509z00_5730;

					BgL_arg2509z00_5730 =
						BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1154z00_5586))), BgL_arg2509z00_5730);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_5586)));
			}
		}

	}



/* &lambda2504 */
	BgL_blockz00_bglt BGl_z62lambda2504z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5587, obj_t BgL_label1149z00_5588, obj_t BgL_preds1150z00_5589,
		obj_t BgL_succs1151z00_5590, obj_t BgL_first1152z00_5591,
		obj_t BgL_last1153z00_5592)
	{
		{	/* SawMill/regalloc.scm 34 */
			{	/* SawMill/regalloc.scm 34 */
				int BgL_label1149z00_5731;

				BgL_label1149z00_5731 = CINT(BgL_label1149z00_5588);
				{	/* SawMill/regalloc.scm 34 */
					BgL_blockz00_bglt BgL_new1275z00_5736;

					{	/* SawMill/regalloc.scm 34 */
						BgL_blockz00_bglt BgL_tmp1273z00_5737;
						BgL_blockzf2razf2_bglt BgL_wide1274z00_5738;

						{
							BgL_blockz00_bglt BgL_auxz00_8803;

							{	/* SawMill/regalloc.scm 34 */
								BgL_blockz00_bglt BgL_new1272z00_5739;

								BgL_new1272z00_5739 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/regalloc.scm 34 */
									long BgL_arg2507z00_5740;

									BgL_arg2507z00_5740 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1272z00_5739),
										BgL_arg2507z00_5740);
								}
								{	/* SawMill/regalloc.scm 34 */
									BgL_objectz00_bglt BgL_tmpz00_8808;

									BgL_tmpz00_8808 = ((BgL_objectz00_bglt) BgL_new1272z00_5739);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8808, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1272z00_5739);
								BgL_auxz00_8803 = BgL_new1272z00_5739;
							}
							BgL_tmp1273z00_5737 = ((BgL_blockz00_bglt) BgL_auxz00_8803);
						}
						BgL_wide1274z00_5738 =
							((BgL_blockzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_blockzf2razf2_bgl))));
						{	/* SawMill/regalloc.scm 34 */
							obj_t BgL_auxz00_8816;
							BgL_objectz00_bglt BgL_tmpz00_8814;

							BgL_auxz00_8816 = ((obj_t) BgL_wide1274z00_5738);
							BgL_tmpz00_8814 = ((BgL_objectz00_bglt) BgL_tmp1273z00_5737);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_8814, BgL_auxz00_8816);
						}
						((BgL_objectz00_bglt) BgL_tmp1273z00_5737);
						{	/* SawMill/regalloc.scm 34 */
							long BgL_arg2506z00_5741;

							BgL_arg2506z00_5741 =
								BGL_CLASS_NUM(BGl_blockzf2razf2zzsaw_registerzd2allocationzd2);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1273z00_5737),
								BgL_arg2506z00_5741);
						}
						BgL_new1275z00_5736 = ((BgL_blockz00_bglt) BgL_tmp1273z00_5737);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1275z00_5736)))->BgL_labelz00) =
						((int) BgL_label1149z00_5731), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1275z00_5736)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1150z00_5589)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1275z00_5736)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1151z00_5590)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1275z00_5736)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1152z00_5591)), BUNSPEC);
					{
						BgL_blockzf2razf2_bglt BgL_auxz00_8835;

						{
							obj_t BgL_auxz00_8836;

							{	/* SawMill/regalloc.scm 34 */
								BgL_objectz00_bglt BgL_tmpz00_8837;

								BgL_tmpz00_8837 = ((BgL_objectz00_bglt) BgL_new1275z00_5736);
								BgL_auxz00_8836 = BGL_OBJECT_WIDENING(BgL_tmpz00_8837);
							}
							BgL_auxz00_8835 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8836);
						}
						((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8835))->
								BgL_lastz00) =
							((obj_t) ((obj_t) BgL_last1153z00_5592)), BUNSPEC);
					}
					return BgL_new1275z00_5736;
				}
			}
		}

	}



/* &lambda2524 */
	obj_t BGl_z62lambda2524z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5593, obj_t BgL_oz00_5594, obj_t BgL_vz00_5595)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_8843;

				{
					obj_t BgL_auxz00_8844;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_8845;

						BgL_tmpz00_8845 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5594));
						BgL_auxz00_8844 = BGL_OBJECT_WIDENING(BgL_tmpz00_8845);
					}
					BgL_auxz00_8843 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8844);
				}
				return
					((((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8843))->BgL_lastz00) =
					((obj_t) ((obj_t) BgL_vz00_5595)), BUNSPEC);
			}
		}

	}



/* &lambda2523 */
	obj_t BGl_z62lambda2523z62zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5596, obj_t BgL_oz00_5597)
	{
		{	/* SawMill/regalloc.scm 34 */
			{
				BgL_blockzf2razf2_bglt BgL_auxz00_8852;

				{
					obj_t BgL_auxz00_8853;

					{	/* SawMill/regalloc.scm 34 */
						BgL_objectz00_bglt BgL_tmpz00_8854;

						BgL_tmpz00_8854 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_5597));
						BgL_auxz00_8853 = BGL_OBJECT_WIDENING(BgL_tmpz00_8854);
					}
					BgL_auxz00_8852 = ((BgL_blockzf2razf2_bglt) BgL_auxz00_8853);
				}
				return
					(((BgL_blockzf2razf2_bglt) COBJECT(BgL_auxz00_8852))->BgL_lastz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2880z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2881z00zzsaw_registerzd2allocationzd2);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
				BGl_proc2882z00zzsaw_registerzd2allocationzd2,
				BGl_backendz00zzbackend_backendz00,
				BGl_string2883z00zzsaw_registerzd2allocationzd2);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_proc2884z00zzsaw_registerzd2allocationzd2, BFALSE,
				BGl_string2885z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &rtl-size1758 */
	obj_t BGl_z62rtlzd2siza7e1758z17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5601, obj_t BgL_oz00_5602)
	{
		{	/* SawMill/regalloc.scm 778 */
			if (PAIRP(BgL_oz00_5602))
				{	/* SawMill/regalloc.scm 780 */
					obj_t BgL_runner2632z00_5745;

					{	/* SawMill/regalloc.scm 780 */
						obj_t BgL_head1745z00_5746;

						BgL_head1745z00_5746 =
							MAKE_YOUNG_PAIR(BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
							(CAR(BgL_oz00_5602)), BNIL);
						{	/* SawMill/regalloc.scm 780 */
							obj_t BgL_g1748z00_5747;

							BgL_g1748z00_5747 = CDR(BgL_oz00_5602);
							{
								obj_t BgL_l1743z00_5749;
								obj_t BgL_tail1746z00_5750;

								BgL_l1743z00_5749 = BgL_g1748z00_5747;
								BgL_tail1746z00_5750 = BgL_head1745z00_5746;
							BgL_zc3z04anonymousza32623ze3z87_5748:
								if (NULLP(BgL_l1743z00_5749))
									{	/* SawMill/regalloc.scm 780 */
										BgL_runner2632z00_5745 = BgL_head1745z00_5746;
									}
								else
									{	/* SawMill/regalloc.scm 780 */
										obj_t BgL_newtail1747z00_5751;

										{	/* SawMill/regalloc.scm 780 */
											obj_t BgL_arg2626z00_5752;

											{	/* SawMill/regalloc.scm 780 */
												obj_t BgL_arg2628z00_5753;

												BgL_arg2628z00_5753 = CAR(((obj_t) BgL_l1743z00_5749));
												BgL_arg2626z00_5752 =
													BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2
													(BgL_arg2628z00_5753);
											}
											BgL_newtail1747z00_5751 =
												MAKE_YOUNG_PAIR(BgL_arg2626z00_5752, BNIL);
										}
										SET_CDR(BgL_tail1746z00_5750, BgL_newtail1747z00_5751);
										{	/* SawMill/regalloc.scm 780 */
											obj_t BgL_arg2625z00_5754;

											BgL_arg2625z00_5754 = CDR(((obj_t) BgL_l1743z00_5749));
											{
												obj_t BgL_tail1746z00_8879;
												obj_t BgL_l1743z00_8878;

												BgL_l1743z00_8878 = BgL_arg2625z00_5754;
												BgL_tail1746z00_8879 = BgL_newtail1747z00_5751;
												BgL_tail1746z00_5750 = BgL_tail1746z00_8879;
												BgL_l1743z00_5749 = BgL_l1743z00_8878;
												goto BgL_zc3z04anonymousza32623ze3z87_5748;
											}
										}
									}
							}
						}
					}
					return BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner2632z00_5745);
				}
			else
				{	/* SawMill/regalloc.scm 779 */
					return BINT(((long) 1));
		}}

	}



/* &type-interference!1756 */
	obj_t BGl_z62typezd2interferencez121756za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5603, obj_t BgL_backz00_5604, obj_t BgL_regsz00_5605)
	{
		{	/* SawMill/regalloc.scm 320 */
			{	/* SawMill/regalloc.scm 321 */
				bool_t BgL_tmpz00_8882;

				if (NULLP(((obj_t) BgL_regsz00_5605)))
					{	/* SawMill/regalloc.scm 321 */
						BgL_tmpz00_8882 = ((bool_t) 0);
					}
				else
					{
						obj_t BgL_regsz00_5758;

						BgL_regsz00_5758 = ((obj_t) BgL_regsz00_5605);
					BgL_loopz00_5757:
						{	/* SawMill/regalloc.scm 323 */
							bool_t BgL_test3199z00_8886;

							{	/* SawMill/regalloc.scm 323 */
								obj_t BgL_tmpz00_8887;

								BgL_tmpz00_8887 = CDR(((obj_t) BgL_regsz00_5758));
								BgL_test3199z00_8886 = PAIRP(BgL_tmpz00_8887);
							}
							if (BgL_test3199z00_8886)
								{	/* SawMill/regalloc.scm 324 */
									obj_t BgL_r1z00_5759;

									BgL_r1z00_5759 = CAR(((obj_t) BgL_regsz00_5758));
									{	/* SawMill/regalloc.scm 324 */
										BgL_typez00_bglt BgL_t1z00_5760;

										BgL_t1z00_5760 =
											(((BgL_rtl_regz00_bglt) COBJECT(
													((BgL_rtl_regz00_bglt) BgL_r1z00_5759)))->
											BgL_typez00);
										{	/* SawMill/regalloc.scm 325 */

											{	/* SawMill/regalloc.scm 326 */
												bool_t BgL_test3200z00_8895;

												{	/* SawMill/regalloc.scm 326 */
													obj_t BgL_classz00_5761;

													BgL_classz00_5761 = BGl_typez00zztype_typez00;
													{	/* SawMill/regalloc.scm 326 */
														BgL_objectz00_bglt BgL_arg1825z00_5762;

														{	/* SawMill/regalloc.scm 326 */
															obj_t BgL_tmpz00_8896;

															BgL_tmpz00_8896 =
																((obj_t) ((BgL_objectz00_bglt) BgL_t1z00_5760));
															BgL_arg1825z00_5762 =
																(BgL_objectz00_bglt) (BgL_tmpz00_8896);
														}
														{	/* SawMill/regalloc.scm 326 */
															bool_t BgL_arg1822z00_5763;
															bool_t BgL_arg1823z00_5764;

															{	/* SawMill/regalloc.scm 326 */
																long BgL_idxz00_5765;

																BgL_idxz00_5765 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_5762);
																BgL_arg1822z00_5763 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_5765 + ((long) 1))) ==
																	BgL_classz00_5761);
															}
															{	/* SawMill/regalloc.scm 326 */
																bool_t BgL_res2803z00_5768;

																{	/* SawMill/regalloc.scm 326 */
																	obj_t BgL_oclassz00_5769;

																	{	/* SawMill/regalloc.scm 326 */
																		long BgL_arg1833z00_5770;

																		{	/* SawMill/regalloc.scm 326 */
																			long BgL_arg1834z00_5771;

																			BgL_arg1834z00_5771 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_5762);
																			BgL_arg1833z00_5770 =
																				(BgL_arg1834z00_5771 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_5769 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_5770);
																	}
																	{	/* SawMill/regalloc.scm 326 */
																		bool_t BgL__ortest_1110z00_5772;

																		BgL__ortest_1110z00_5772 =
																			(BgL_classz00_5761 == BgL_oclassz00_5769);
																		if (BgL__ortest_1110z00_5772)
																			{	/* SawMill/regalloc.scm 326 */
																				BgL_res2803z00_5768 =
																					BgL__ortest_1110z00_5772;
																			}
																		else
																			{	/* SawMill/regalloc.scm 326 */
																				long BgL_odepthz00_5773;

																				BgL_odepthz00_5773 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_5769);
																				if ((((long) 1) < BgL_odepthz00_5773))
																					{	/* SawMill/regalloc.scm 326 */
																						obj_t BgL_arg1821z00_5774;

																						BgL_arg1821z00_5774 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_5769, ((long) 1));
																						BgL_res2803z00_5768 =
																							(BgL_arg1821z00_5774 ==
																							BgL_classz00_5761);
																					}
																				else
																					{	/* SawMill/regalloc.scm 326 */
																						BgL_res2803z00_5768 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_5764 = BgL_res2803z00_5768;
															}
															BgL_test3200z00_8895 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_5763,
																BgL_arg1823z00_5764);
														}
													}
												}
												if (BgL_test3200z00_8895)
													{	/* SawMill/regalloc.scm 327 */
														obj_t BgL_g1638z00_5775;

														BgL_g1638z00_5775 = CDR(((obj_t) BgL_regsz00_5758));
														{
															obj_t BgL_l1636z00_5777;

															BgL_l1636z00_5777 = BgL_g1638z00_5775;
														BgL_zc3z04anonymousza32611ze3z87_5776:
															if (PAIRP(BgL_l1636z00_5777))
																{	/* SawMill/regalloc.scm 335 */
																	{	/* SawMill/regalloc.scm 328 */
																		obj_t BgL_r2z00_5778;

																		BgL_r2z00_5778 = CAR(BgL_l1636z00_5777);
																		{	/* SawMill/regalloc.scm 328 */
																			BgL_typez00_bglt BgL_t2z00_5779;

																			BgL_t2z00_5779 =
																				(((BgL_rtl_regz00_bglt) COBJECT(
																						((BgL_rtl_regz00_bglt)
																							BgL_r2z00_5778)))->BgL_typez00);
																			{	/* SawMill/regalloc.scm 329 */
																				bool_t BgL_test3204z00_8922;

																				if (
																					(((obj_t) BgL_t1z00_5760) ==
																						((obj_t) BgL_t2z00_5779)))
																					{	/* SawMill/regalloc.scm 329 */
																						BgL_test3204z00_8922 = ((bool_t) 1);
																					}
																				else
																					{	/* SawMill/regalloc.scm 330 */
																						bool_t BgL_test3206z00_8927;

																						if (
																							(((obj_t) BgL_t1z00_5760) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* SawMill/regalloc.scm 330 */
																								BgL_test3206z00_8927 =
																									BGl_bigloozd2typezf3z21zztype_typez00
																									(BgL_t2z00_5779);
																							}
																						else
																							{	/* SawMill/regalloc.scm 330 */
																								BgL_test3206z00_8927 =
																									((bool_t) 0);
																							}
																						if (BgL_test3206z00_8927)
																							{	/* SawMill/regalloc.scm 330 */
																								BgL_test3204z00_8922 =
																									((bool_t) 1);
																							}
																						else
																							{	/* SawMill/regalloc.scm 330 */
																								if (
																									(((obj_t) BgL_t2z00_5779) ==
																										BGl_za2objza2z00zztype_cachez00))
																									{	/* SawMill/regalloc.scm 332 */
																										BgL_test3204z00_8922 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t1z00_5760);
																									}
																								else
																									{	/* SawMill/regalloc.scm 332 */
																										BgL_test3204z00_8922 =
																											((bool_t) 0);
																									}
																							}
																					}
																				if (BgL_test3204z00_8922)
																					{	/* SawMill/regalloc.scm 329 */
																						((bool_t) 0);
																					}
																				else
																					{	/* SawMill/regalloc.scm 329 */
																						BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																							(BgL_r1z00_5759, BgL_r2z00_5778);
																					}
																			}
																		}
																	}
																	{
																		obj_t BgL_l1636z00_8937;

																		BgL_l1636z00_8937 = CDR(BgL_l1636z00_5777);
																		BgL_l1636z00_5777 = BgL_l1636z00_8937;
																		goto BgL_zc3z04anonymousza32611ze3z87_5776;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 335 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* SawMill/regalloc.scm 326 */
														((bool_t) 0);
													}
											}
											{	/* SawMill/regalloc.scm 336 */
												obj_t BgL_arg2618z00_5780;

												BgL_arg2618z00_5780 = CDR(((obj_t) BgL_regsz00_5758));
												{
													obj_t BgL_regsz00_8941;

													BgL_regsz00_8941 = BgL_arg2618z00_5780;
													BgL_regsz00_5758 = BgL_regsz00_8941;
													goto BgL_loopz00_5757;
												}
											}
										}
									}
								}
							else
								{	/* SawMill/regalloc.scm 323 */
									BgL_tmpz00_8882 = ((bool_t) 0);
								}
						}
					}
				return BBOOL(BgL_tmpz00_8882);
			}
		}

	}



/* &protect-interference1753 */
	obj_t BGl_z62protectzd2interference1753zb0zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5606, obj_t BgL_oz00_5607, obj_t BgL_regsz00_5608)
	{
		{	/* SawMill/regalloc.scm 216 */
			{	/* SawMill/regalloc.scm 218 */
				bool_t BgL_tmpz00_8944;

				{
					obj_t BgL_oz00_5788;
					obj_t BgL_oz00_5784;

					{
						obj_t BgL_l1601z00_5809;

						BgL_l1601z00_5809 = BgL_oz00_5607;
					BgL_zc3z04anonymousza32588ze3z87_5808:
						if (PAIRP(BgL_l1601z00_5809))
							{	/* SawMill/regalloc.scm 224 */
								BgL_oz00_5784 = CAR(BgL_l1601z00_5809);
								{	/* SawMill/regalloc.scm 223 */
									obj_t BgL_g1600z00_5785;

									BgL_g1600z00_5785 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt) BgL_oz00_5784)))->BgL_firstz00);
									{
										obj_t BgL_l1598z00_5787;

										BgL_l1598z00_5787 = BgL_g1600z00_5785;
									BgL_zc3z04anonymousza32601ze3z87_5786:
										if (PAIRP(BgL_l1598z00_5787))
											{	/* SawMill/regalloc.scm 223 */
												BgL_oz00_5788 = CAR(BgL_l1598z00_5787);
												{	/* SawMill/regalloc.scm 219 */
													bool_t BgL_test3211z00_8951;

													{	/* SawMill/regalloc.scm 219 */
														BgL_rtl_funz00_bglt BgL_arg2599z00_5789;

														BgL_arg2599z00_5789 =
															(((BgL_rtl_insz00_bglt) COBJECT(
																	((BgL_rtl_insz00_bglt) BgL_oz00_5788)))->
															BgL_funz00);
														{	/* SawMill/regalloc.scm 219 */
															obj_t BgL_classz00_5790;

															BgL_classz00_5790 =
																BGl_rtl_protectz00zzsaw_defsz00;
															{	/* SawMill/regalloc.scm 219 */
																BgL_objectz00_bglt BgL_arg1825z00_5791;

																{	/* SawMill/regalloc.scm 219 */
																	obj_t BgL_tmpz00_8954;

																	BgL_tmpz00_8954 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2599z00_5789));
																	BgL_arg1825z00_5791 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_8954);
																}
																{	/* SawMill/regalloc.scm 219 */
																	bool_t BgL_arg1822z00_5792;
																	bool_t BgL_arg1823z00_5793;

																	{	/* SawMill/regalloc.scm 219 */
																		long BgL_idxz00_5794;

																		BgL_idxz00_5794 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_5791);
																		BgL_arg1822z00_5792 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_5794 + ((long) 2))) ==
																			BgL_classz00_5790);
																	}
																	{	/* SawMill/regalloc.scm 219 */
																		bool_t BgL_res2802z00_5797;

																		{	/* SawMill/regalloc.scm 219 */
																			obj_t BgL_oclassz00_5798;

																			{	/* SawMill/regalloc.scm 219 */
																				long BgL_arg1833z00_5799;

																				{	/* SawMill/regalloc.scm 219 */
																					long BgL_arg1834z00_5800;

																					BgL_arg1834z00_5800 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_5791);
																					BgL_arg1833z00_5799 =
																						(BgL_arg1834z00_5800 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_5798 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_5799);
																			}
																			{	/* SawMill/regalloc.scm 219 */
																				bool_t BgL__ortest_1110z00_5801;

																				BgL__ortest_1110z00_5801 =
																					(BgL_classz00_5790 ==
																					BgL_oclassz00_5798);
																				if (BgL__ortest_1110z00_5801)
																					{	/* SawMill/regalloc.scm 219 */
																						BgL_res2802z00_5797 =
																							BgL__ortest_1110z00_5801;
																					}
																				else
																					{	/* SawMill/regalloc.scm 219 */
																						long BgL_odepthz00_5802;

																						BgL_odepthz00_5802 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_5798);
																						if ((((long) 2) <
																								BgL_odepthz00_5802))
																							{	/* SawMill/regalloc.scm 219 */
																								obj_t BgL_arg1821z00_5803;

																								BgL_arg1821z00_5803 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_5798,
																									((long) 2));
																								BgL_res2802z00_5797 =
																									(BgL_arg1821z00_5803 ==
																									BgL_classz00_5790);
																							}
																						else
																							{	/* SawMill/regalloc.scm 219 */
																								BgL_res2802z00_5797 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_5793 = BgL_res2802z00_5797;
																	}
																	BgL_test3211z00_8951 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_5792,
																		BgL_arg1823z00_5793);
																}
															}
														}
													}
													if (BgL_test3211z00_8951)
														{
															obj_t BgL_l1596z00_5805;

															BgL_l1596z00_5805 = ((obj_t) BgL_regsz00_5608);
														BgL_zc3z04anonymousza32595ze3z87_5804:
															if (PAIRP(BgL_l1596z00_5805))
																{	/* SawMill/regalloc.scm 221 */
																	{	/* SawMill/regalloc.scm 221 */
																		obj_t BgL_rz00_5806;

																		BgL_rz00_5806 = CAR(BgL_l1596z00_5805);
																		{	/* SawMill/regalloc.scm 221 */
																			obj_t BgL_arg2597z00_5807;

																			BgL_arg2597z00_5807 =
																				(((BgL_rtl_insz00_bglt) COBJECT(
																						((BgL_rtl_insz00_bglt)
																							BgL_oz00_5788)))->BgL_destz00);
																			BGl_interferezd2regz12zc0zzsaw_registerzd2allocationzd2
																				(BgL_arg2597z00_5807, BgL_rz00_5806);
																		}
																	}
																	{
																		obj_t BgL_l1596z00_8979;

																		BgL_l1596z00_8979 = CDR(BgL_l1596z00_5805);
																		BgL_l1596z00_5805 = BgL_l1596z00_8979;
																		goto BgL_zc3z04anonymousza32595ze3z87_5804;
																	}
																}
															else
																{	/* SawMill/regalloc.scm 221 */
																	((bool_t) 1);
																}
														}
													else
														{	/* SawMill/regalloc.scm 219 */
															((bool_t) 0);
														}
												}
												{
													obj_t BgL_l1598z00_8983;

													BgL_l1598z00_8983 = CDR(BgL_l1598z00_5787);
													BgL_l1598z00_5787 = BgL_l1598z00_8983;
													goto BgL_zc3z04anonymousza32601ze3z87_5786;
												}
											}
										else
											{	/* SawMill/regalloc.scm 223 */
												((bool_t) 1);
											}
									}
								}
								{
									obj_t BgL_l1601z00_8986;

									BgL_l1601z00_8986 = CDR(BgL_l1601z00_5809);
									BgL_l1601z00_5809 = BgL_l1601z00_8986;
									goto BgL_zc3z04anonymousza32588ze3z87_5808;
								}
							}
						else
							{	/* SawMill/regalloc.scm 224 */
								BgL_tmpz00_8944 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_8944);
			}
		}

	}



/* protect-interference! */
	obj_t BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2(obj_t
		BgL_oz00_74, obj_t BgL_regsz00_75)
	{
		{	/* SawMill/regalloc.scm 216 */
			if (BGL_OBJECTP(BgL_oz00_74))
				{	/* SawMill/regalloc.scm 216 */
					obj_t BgL_method1755z00_3462;

					{	/* SawMill/regalloc.scm 216 */
						obj_t BgL_res2808z00_5191;

						{	/* SawMill/regalloc.scm 216 */
							long BgL_objzd2classzd2numz00_5162;

							BgL_objzd2classzd2numz00_5162 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_74));
							{	/* SawMill/regalloc.scm 216 */
								obj_t BgL_arg1829z00_5163;

								BgL_arg1829z00_5163 =
									PROCEDURE_REF
									(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)));
								{	/* SawMill/regalloc.scm 216 */
									int BgL_offsetz00_5166;

									BgL_offsetz00_5166 = (int) (BgL_objzd2classzd2numz00_5162);
									{	/* SawMill/regalloc.scm 216 */
										long BgL_offsetz00_5167;

										BgL_offsetz00_5167 =
											((long) (BgL_offsetz00_5166) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 216 */
											long BgL_modz00_5168;

											BgL_modz00_5168 =
												(BgL_offsetz00_5167 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/regalloc.scm 216 */
												long BgL_restz00_5170;

												BgL_restz00_5170 =
													(BgL_offsetz00_5167 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/regalloc.scm 216 */

													{	/* SawMill/regalloc.scm 216 */
														obj_t BgL_bucketz00_5172;

														BgL_bucketz00_5172 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_5163), BgL_modz00_5168);
														BgL_res2808z00_5191 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5172), BgL_restz00_5170);
						}}}}}}}}
						BgL_method1755z00_3462 = BgL_res2808z00_5191;
					}
					return
						PROCEDURE_ENTRY(BgL_method1755z00_3462) (BgL_method1755z00_3462,
						BgL_oz00_74, BgL_regsz00_75, BEOA);
				}
			else
				{	/* SawMill/regalloc.scm 216 */
					obj_t BgL_fun2634z00_3463;

					BgL_fun2634z00_3463 =
						PROCEDURE_REF
						(BGl_protectzd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
						(int) (((long) 0)));
					return PROCEDURE_ENTRY(BgL_fun2634z00_3463) (BgL_fun2634z00_3463,
						BgL_oz00_74, BgL_regsz00_75, BEOA);
				}
		}

	}



/* &protect-interference! */
	obj_t BGl_z62protectzd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5609, obj_t BgL_oz00_5610, obj_t BgL_regsz00_5611)
	{
		{	/* SawMill/regalloc.scm 216 */
			return
				BGl_protectzd2interferencez12zc0zzsaw_registerzd2allocationzd2
				(BgL_oz00_5610, BgL_regsz00_5611);
		}

	}



/* type-interference! */
	BGL_EXPORTED_DEF obj_t
		BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2
		(BgL_backendz00_bglt BgL_backz00_81, obj_t BgL_regsz00_82)
	{
		{	/* SawMill/regalloc.scm 320 */
			{	/* SawMill/regalloc.scm 320 */
				obj_t BgL_method1757z00_3464;

				{	/* SawMill/regalloc.scm 320 */
					obj_t BgL_res2814z00_5223;

					{	/* SawMill/regalloc.scm 320 */
						long BgL_objzd2classzd2numz00_5194;

						BgL_objzd2classzd2numz00_5194 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_backz00_81));
						{	/* SawMill/regalloc.scm 320 */
							obj_t BgL_arg1829z00_5195;

							BgL_arg1829z00_5195 =
								PROCEDURE_REF
								(BGl_typezd2interferencez12zd2envz12zzsaw_registerzd2allocationzd2,
								(int) (((long) 1)));
							{	/* SawMill/regalloc.scm 320 */
								int BgL_offsetz00_5198;

								BgL_offsetz00_5198 = (int) (BgL_objzd2classzd2numz00_5194);
								{	/* SawMill/regalloc.scm 320 */
									long BgL_offsetz00_5199;

									BgL_offsetz00_5199 =
										((long) (BgL_offsetz00_5198) - OBJECT_TYPE);
									{	/* SawMill/regalloc.scm 320 */
										long BgL_modz00_5200;

										BgL_modz00_5200 =
											(BgL_offsetz00_5199 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* SawMill/regalloc.scm 320 */
											long BgL_restz00_5202;

											BgL_restz00_5202 =
												(BgL_offsetz00_5199 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* SawMill/regalloc.scm 320 */

												{	/* SawMill/regalloc.scm 320 */
													obj_t BgL_bucketz00_5204;

													BgL_bucketz00_5204 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_5195), BgL_modz00_5200);
													BgL_res2814z00_5223 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_5204), BgL_restz00_5202);
					}}}}}}}}
					BgL_method1757z00_3464 = BgL_res2814z00_5223;
				}
				return
					PROCEDURE_ENTRY(BgL_method1757z00_3464) (BgL_method1757z00_3464,
					((obj_t) BgL_backz00_81), BgL_regsz00_82, BEOA);
			}
		}

	}



/* &type-interference! */
	obj_t BGl_z62typezd2interferencez12za2zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5612, obj_t BgL_backz00_5613, obj_t BgL_regsz00_5614)
	{
		{	/* SawMill/regalloc.scm 320 */
			return
				BGl_typezd2interferencez12zc0zzsaw_registerzd2allocationzd2(
				((BgL_backendz00_bglt) BgL_backz00_5613), BgL_regsz00_5614);
		}

	}



/* rtl-size */
	obj_t BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(obj_t BgL_oz00_107)
	{
		{	/* SawMill/regalloc.scm 778 */
			if (BGL_OBJECTP(BgL_oz00_107))
				{	/* SawMill/regalloc.scm 778 */
					obj_t BgL_method1759z00_3466;

					{	/* SawMill/regalloc.scm 778 */
						obj_t BgL_res2819z00_5254;

						{	/* SawMill/regalloc.scm 778 */
							long BgL_objzd2classzd2numz00_5225;

							BgL_objzd2classzd2numz00_5225 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_oz00_107));
							{	/* SawMill/regalloc.scm 778 */
								obj_t BgL_arg1829z00_5226;

								BgL_arg1829z00_5226 =
									PROCEDURE_REF
									(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
									(int) (((long) 1)));
								{	/* SawMill/regalloc.scm 778 */
									int BgL_offsetz00_5229;

									BgL_offsetz00_5229 = (int) (BgL_objzd2classzd2numz00_5225);
									{	/* SawMill/regalloc.scm 778 */
										long BgL_offsetz00_5230;

										BgL_offsetz00_5230 =
											((long) (BgL_offsetz00_5229) - OBJECT_TYPE);
										{	/* SawMill/regalloc.scm 778 */
											long BgL_modz00_5231;

											BgL_modz00_5231 =
												(BgL_offsetz00_5230 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* SawMill/regalloc.scm 778 */
												long BgL_restz00_5233;

												BgL_restz00_5233 =
													(BgL_offsetz00_5230 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* SawMill/regalloc.scm 778 */

													{	/* SawMill/regalloc.scm 778 */
														obj_t BgL_bucketz00_5235;

														BgL_bucketz00_5235 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_5226), BgL_modz00_5231);
														BgL_res2819z00_5254 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_5235), BgL_restz00_5233);
						}}}}}}}}
						BgL_method1759z00_3466 = BgL_res2819z00_5254;
					}
					return
						PROCEDURE_ENTRY(BgL_method1759z00_3466) (BgL_method1759z00_3466,
						BgL_oz00_107, BEOA);
				}
			else
				{	/* SawMill/regalloc.scm 778 */
					obj_t BgL_fun2636z00_3467;

					BgL_fun2636z00_3467 =
						PROCEDURE_REF
						(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
						(int) (((long) 0)));
					return PROCEDURE_ENTRY(BgL_fun2636z00_3467) (BgL_fun2636z00_3467,
						BgL_oz00_107, BEOA);
				}
		}

	}



/* &rtl-size */
	obj_t BGl_z62rtlzd2siza7ez17zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5615, obj_t BgL_oz00_5616)
	{
		{	/* SawMill/regalloc.scm 778 */
			return BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(BgL_oz00_5616);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_blockz00zzsaw_defsz00,
				BGl_proc2886z00zzsaw_registerzd2allocationzd2,
				BGl_string2887z00zzsaw_registerzd2allocationzd2);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_rtlzd2siza7ezd2envza7zzsaw_registerzd2allocationzd2,
				BGl_rtl_insz00zzsaw_defsz00,
				BGl_proc2888z00zzsaw_registerzd2allocationzd2,
				BGl_string2887z00zzsaw_registerzd2allocationzd2);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dumpzd2envzd2zzsaw_defsz00,
				BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2,
				BGl_proc2889z00zzsaw_registerzd2allocationzd2,
				BGl_string2890z00zzsaw_registerzd2allocationzd2);
		}

	}



/* &dump-rtl_ins/ra1765 */
	obj_t BGl_z62dumpzd2rtl_inszf2ra1765z42zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5624, obj_t BgL_oz00_5625, obj_t BgL_pz00_5626,
		obj_t BgL_mz00_5627)
	{
		{	/* SawMill/regalloc.scm 795 */
			{

				{	/* SawMill/regalloc.scm 795 */
					obj_t BgL_nextzd2method1764zd2_5812;

					BgL_nextzd2method1764zd2_5812 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_rtl_insz00_bglt) BgL_oz00_5625)),
						BGl_dumpzd2envzd2zzsaw_defsz00,
						BGl_rtl_inszf2razf2zzsaw_registerzd2allocationzd2);
					PROCEDURE_ENTRY(BgL_nextzd2method1764zd2_5812)
						(BgL_nextzd2method1764zd2_5812,
						((obj_t) ((BgL_rtl_insz00_bglt) BgL_oz00_5625)), BgL_pz00_5626,
						BgL_mz00_5627, BEOA);
				}
				return BNIL;
			}
		}

	}



/* &rtl-size-rtl_ins1763 */
	obj_t BGl_z62rtlzd2siza7ezd2rtl_ins1763zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5628, obj_t BgL_oz00_5629)
	{
		{	/* SawMill/regalloc.scm 788 */
			{	/* SawMill/regalloc.scm 789 */
				long BgL_tmpz00_9114;

				{	/* SawMill/regalloc.scm 790 */
					obj_t BgL_arg2639z00_5814;

					BgL_arg2639z00_5814 =
						BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
						(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_oz00_5629)))->BgL_argsz00));
					BgL_tmpz00_9114 = (((long) 1) + (long) CINT(BgL_arg2639z00_5814));
				}
				return BINT(BgL_tmpz00_9114);
			}
		}

	}



/* &rtl-size-block1761 */
	obj_t BGl_z62rtlzd2siza7ezd2block1761zc5zzsaw_registerzd2allocationzd2(obj_t
		BgL_envz00_5630, obj_t BgL_oz00_5631)
	{
		{	/* SawMill/regalloc.scm 784 */
			return
				BGl_rtlzd2siza7ez75zzsaw_registerzd2allocationzd2(
				(((BgL_blockz00_bglt) COBJECT(
							((BgL_blockz00_bglt) BgL_oz00_5631)))->BgL_firstz00));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_registerzd2allocationzd2()
	{
		{	/* SawMill/regalloc.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 79517123),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 20930040),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(((long) 454038607),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(((long) 237915200),
				BSTRING_TO_STRING(BGl_string2891z00zzsaw_registerzd2allocationzd2));
		}

	}

#ifdef __cplusplus
}
#endif
