/*===========================================================================*/
/*   (Stackable/walk.scm)                                                    */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Stackable/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_appzf2depthzf2_bgl
	{
		long BgL_depthz00;
	}                     *BgL_appzf2depthzf2_bglt;

	typedef struct BgL_localzf2depthzf2_bgl
	{
		long BgL_depthz00;
		obj_t BgL_ownerz00;
	}                       *BgL_localzf2depthzf2_bglt;


	static BgL_localz00_bglt BGl_z62lambda1768z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2makezd2box1492z70zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62depthzd2letzd2setzd2exzd2it1517z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzstackable_walkz00 = BUNSPEC;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62lambda1789z62zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62lambda1790z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31767ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	static obj_t BGl_z62stackablezd2app1476zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62stackablezd2conditiona1470zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62nodezd2escape1495zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzstackable_walkz00();
	static obj_t BGl_zc3z04anonymousza32091ze3ze70z60zzstackable_walkz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_localzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzstackable_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2fun1474z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzstackable_walkz00();
	static obj_t BGl_z62stackablezd2sequence1480zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appzf2depthzf2zzstackable_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	static obj_t
		BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62shapezd2localzf2depth1458z42zzstackable_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt, bool_t,
		long, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzstackable_walkz00();
	static obj_t BGl_z62initzd2stackablezd2app1521z62zzstackable_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62escapez121481z70zzstackable_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t
		BGl_z62nodezd2ze3sexpzd2appzf2depth1460z73zzstackable_walkz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1504za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62liftzd2letz121501za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2escapezd2makezd2box1500zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2fun1513zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t);
	static obj_t BGl_escapez12z12zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl_z62stackable1461z62zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_walk0z00zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_walk1z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_walk3z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62stackablezd2letzd2var1472z62zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2closure1494za2zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62stackablezd2funcall1478zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62escapez12zd2local1486za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2var1509z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62depthzd2let1505zb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62stackablezd2closure1466zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzstackable_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00();
	static obj_t BGl_z62initzd2stackable1518zb0zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00();
	static obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t);
	static obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzstackable_walkz00(obj_t,
		obj_t);
	extern BgL_nodez00_bglt BGl_walk1z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62escapez12zd2global1484za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62depthzd2letzd2app1515z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62escapez12zd2node1488za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62initzd2stackablezd2closu1525z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1806z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1807z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda1727z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62depthzd2letzd2letzd2var1511zb0zzstackable_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt);
	static obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2escapezd2app1498z62zzstackable_walkz00(obj_t,
		obj_t, obj_t);
	static BgL_appz00_bglt BGl_z62lambda1730z62zzstackable_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_appz00_bglt BGl_z62lambda1733z62zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62stackablezd2setq1468zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t
		BGl_z62initzd2stackablezd2makezd21523zb0zzstackable_walkz00(obj_t, obj_t);
	static obj_t BGl_z62stackablezd2var1464zb0zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1747z62zzstackable_walkz00(obj_t, obj_t);
	static bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt);
	static obj_t BGl_z62lambda1748z62zzstackable_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62escapez12zd2app1490za2zzstackable_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda1760z62zzstackable_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda1763z62zzstackable_walkz00(obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STRING(BGl_string2317z00zzstackable_walkz00,
		BgL_bgl_string2317za700za7za7s2403za7, "Stackable", 9);
	      DEFINE_STRING(BGl_string2318z00zzstackable_walkz00,
		BgL_bgl_string2318za700za7za7s2404za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2319z00zzstackable_walkz00,
		BgL_bgl_string2319za700za7za7s2405za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2320z00zzstackable_walkz00,
		BgL_bgl_string2320za700za7za7s2406za7, " error", 6);
	      DEFINE_STRING(BGl_string2321z00zzstackable_walkz00,
		BgL_bgl_string2321za700za7za7s2407za7, "s", 1);
	      DEFINE_STRING(BGl_string2322z00zzstackable_walkz00,
		BgL_bgl_string2322za700za7za7s2408za7, "", 0);
	      DEFINE_STRING(BGl_string2323z00zzstackable_walkz00,
		BgL_bgl_string2323za700za7za7s2409za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2324z00zzstackable_walkz00,
		BgL_bgl_string2324za700za7za7s2410za7, "failure during postlude hook", 28);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzstackable_walkz00,
		BgL_bgl_za762lambda1748za7622411z00,
		BGl_z62lambda1748z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzstackable_walkz00,
		BgL_bgl_za762lambda1747za7622412z00,
		BGl_z62lambda1747z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzstackable_walkz00,
		BgL_bgl_za762lambda1733za7622413z00,
		BGl_z62lambda1733z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2414za7,
		BGl_z62zc3z04anonymousza31732ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzstackable_walkz00,
		BgL_bgl_za762lambda1730za7622415z00,
		BGl_z62lambda1730z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzstackable_walkz00,
		BgL_bgl_za762lambda1727za7622416z00,
		BGl_z62lambda1727z62zzstackable_walkz00, 0L, BUNSPEC, 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzstackable_walkz00,
		BgL_bgl_za762lambda1790za7622417z00,
		BGl_z62lambda1790z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzstackable_walkz00,
		BgL_bgl_za762lambda1789za7622418z00,
		BGl_z62lambda1789z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzstackable_walkz00,
		BgL_bgl_za762lambda1807za7622419z00,
		BGl_z62lambda1807z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2340z00zzstackable_walkz00,
		BgL_bgl_string2340za700za7za7s2420za7, "stackable1461", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzstackable_walkz00,
		BgL_bgl_za762lambda1806za7622421z00,
		BGl_z62lambda1806z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzstackable_walkz00,
		BgL_bgl_za762lambda1768za7622422z00,
		BGl_z62lambda1768z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2342z00zzstackable_walkz00,
		BgL_bgl_string2342za700za7za7s2423za7, "escape!1481", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzstackable_walkz00,
		BgL_bgl_za762za7c3za704anonymo2424za7,
		BGl_z62zc3z04anonymousza31767ze3ze5zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zzstackable_walkz00,
		BgL_bgl_za762lambda1763za7622425z00,
		BGl_z62lambda1763z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2344z00zzstackable_walkz00,
		BgL_bgl_string2344za700za7za7s2426za7, "node-escape1495", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zzstackable_walkz00,
		BgL_bgl_za762lambda1760za7622427z00,
		BGl_z62lambda1760z62zzstackable_walkz00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zzstackable_walkz00,
		BgL_bgl_za762stackable14612428za7,
		BGl_z62stackable1461z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2346z00zzstackable_walkz00,
		BgL_bgl_string2346za700za7za7s2429za7, "lift-let!1501", 13);
	      DEFINE_STRING(BGl_string2348z00zzstackable_walkz00,
		BgL_bgl_string2348za700za7za7s2430za7, "depth-let1505", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzstackable_walkz00,
		BgL_bgl_za762escapeza71214812431z00,
		BGl_z62escapez121481z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2432z00,
		BGl_z62nodezd2escape1495zb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2350z00zzstackable_walkz00,
		BgL_bgl_string2350za700za7za7s2433za7, "init-stackable1518", 18);
	      DEFINE_STRING(BGl_string2351z00zzstackable_walkz00,
		BgL_bgl_string2351za700za7za7s2434za7, "ESCAPE! should not be here ", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122435za7,
		BGl_z62liftzd2letz121501za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2352z00zzstackable_walkz00,
		BgL_bgl_string2352za700za7za7s2436za7, ":", 1);
	      DEFINE_STRING(BGl_string2353z00zzstackable_walkz00,
		BgL_bgl_string2353za700za7za7s2437za7, ",", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2let152438z00,
		BGl_z62depthzd2let1505zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2354z00zzstackable_walkz00,
		BgL_bgl_string2354za700za7za7s2439za7, "Stackable/walk.scm", 18);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2440z00,
		BGl_z62initzd2stackable1518zb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2356z00zzstackable_walkz00,
		BgL_bgl_string2356za700za7za7s2441za7, "shape", 5);
	      DEFINE_STRING(BGl_string2358z00zzstackable_walkz00,
		BgL_bgl_string2358za700za7za7s2442za7, "node->sexp", 10);
	      DEFINE_STRING(BGl_string2360z00zzstackable_walkz00,
		BgL_bgl_string2360za700za7za7s2443za7, "stackable", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzstackable_walkz00,
		BgL_bgl_za762shapeza7d2local2444z00,
		BGl_z62shapezd2localzf2depth1458z42zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2za7e3sex2445za7,
		BGl_z62nodezd2ze3sexpzd2appzf2depth1460z73zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2v2446z00,
		BGl_z62stackablezd2var1464zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2447z00,
		BGl_z62stackablezd2closure1466zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2448z00,
		BGl_z62stackablezd2setq1468zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2c2449z00,
		BGl_z62stackablezd2conditiona1470zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2370z00zzstackable_walkz00,
		BgL_bgl_string2370za700za7za7s2450za7, "escape!", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2451z00,
		BGl_z62stackablezd2letzd2var1472z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2l2452z00,
		BGl_z62stackablezd2letzd2fun1474z62zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2a2453z00,
		BGl_z62stackablezd2app1476zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2f2454z00,
		BGl_z62stackablezd2funcall1478zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2s2455z00,
		BGl_z62stackablezd2sequence1480zb0zzstackable_walkz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2g2456za7,
		BGl_z62escapez12zd2global1484za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2376z00zzstackable_walkz00,
		BgL_bgl_string2376za700za7za7s2457za7, "escape!::node", 13);
	      DEFINE_STRING(BGl_string2378z00zzstackable_walkz00,
		BgL_bgl_string2378za700za7za7s2458za7, "node-escape", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2l2459za7,
		BGl_z62escapez12zd2local1486za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2n2460za7,
		BGl_z62escapez12zd2node1488za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2a2461za7,
		BGl_z62escapez12zd2app1490za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2m2462za7,
		BGl_z62escapez12zd2makezd2box1492z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2381z00zzstackable_walkz00,
		BgL_bgl_string2381za700za7za7s2463za7, "lift-let!::node", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzstackable_walkz00,
		BgL_bgl_za762escapeza712za7d2c2464za7,
		BGl_z62escapez12zd2closure1494za2zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2383z00zzstackable_walkz00,
		BgL_bgl_string2383za700za7za7s2465za7, "depth-let", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2466z00,
		BGl_z62nodezd2escapezd2app1498z62zzstackable_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_shapezd2envzd2zztools_shapez00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2467z00,
		BGl_z62nodezd2escapezd2makezd2box1500zb0zzstackable_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2389z00zzstackable_walkz00,
		BgL_bgl_string2389za700za7za7s2468za7, "init-stackable", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122469za7,
		BGl_z62liftzd2letz12zd2letzd2var1504za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2470za7,
		BGl_z62depthzd2letzd2var1509z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2471za7,
		BGl_z62depthzd2letzd2letzd2var1511zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2472za7,
		BGl_z62depthzd2letzd2letzd2fun1513zb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2392z00zzstackable_walkz00,
		BgL_bgl_string2392za700za7za7s2473za7, "\n", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2474za7,
		BGl_z62depthzd2letzd2app1515z62zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2393z00zzstackable_walkz00,
		BgL_bgl_string2393za700za7za7s2475za7, " ", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7d2476za7,
		BGl_z62depthzd2letzd2setzd2exzd2it1517z62zzstackable_walkz00, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2394z00zzstackable_walkz00,
		BgL_bgl_string2394za700za7za7s2477za7, "<-", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2478z00,
		BGl_z62initzd2stackablezd2app1521z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2395z00zzstackable_walkz00,
		BgL_bgl_string2395za700za7za7s2479za7, "      lifting binding ", 22);
	      DEFINE_STRING(BGl_string2396z00zzstackable_walkz00,
		BgL_bgl_string2396za700za7za7s2480za7, "[~a]", 4);
	      DEFINE_STRING(BGl_string2397z00zzstackable_walkz00,
		BgL_bgl_string2397za700za7za7s2481za7, "[~a]~a", 6);
	      DEFINE_STRING(BGl_string2398z00zzstackable_walkz00,
		BgL_bgl_string2398za700za7za7s2482za7, "stackable_walk", 14);
	      DEFINE_STRING(BGl_string2399z00zzstackable_walkz00,
		BgL_bgl_string2399za700za7za7s2483za7,
		"* ($make-stack-cell $acons) foreign _ local/depth obj owner stackable_walk app/depth long depth pass-started ",
		109);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2484z00,
		BGl_z62initzd2stackablezd2makezd21523zb0zzstackable_walkz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2485z00,
		BGl_z62initzd2stackablezd2closu1525z62zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_stackablezd2envzd2zzstackable_walkz00,
		BgL_bgl_za762stackableza762za72486za7,
		BGl_z62stackablez62zzstackable_walkz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stackablezd2walkz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762stackableza7d2w2487z00,
		BGl_z62stackablezd2walkz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
		BgL_bgl_za762liftza7d2letza7122488za7,
		BGl_z62liftzd2letz12za2zzstackable_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
		BgL_bgl_za762nodeza7d2escape2489z00,
		BGl_z62nodezd2escapezb0zzstackable_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_depthzd2letzd2envz00zzstackable_walkz00,
		BgL_bgl_za762depthza7d2letza7b2490za7,
		BGl_z62depthzd2letzb0zzstackable_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_GENERIC(BGl_escapez12zd2envzc0zzstackable_walkz00,
		BgL_bgl_za762escapeza712za770za72491z00,
		BGl_z62escapez12z70zzstackable_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
		BgL_bgl_za762initza7d2stacka2492z00,
		BGl_z62initzd2stackablezb0zzstackable_walkz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_localzf2depthzf2zzstackable_walkz00));
		     ADD_ROOT((void *) (&BGl_appzf2depthzf2zzstackable_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzstackable_walkz00(long
		BgL_checksumz00_5169, char *BgL_fromz00_5170)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzstackable_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzstackable_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzstackable_walkz00();
					BGl_libraryzd2moduleszd2initz00zzstackable_walkz00();
					BGl_cnstzd2initzd2zzstackable_walkz00();
					BGl_importedzd2moduleszd2initz00zzstackable_walkz00();
					BGl_objectzd2initzd2zzstackable_walkz00();
					BGl_genericzd2initzd2zzstackable_walkz00();
					BGl_methodzd2initzd2zzstackable_walkz00();
					return BGl_toplevelzd2initzd2zzstackable_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"stackable_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"stackable_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 16 */
				obj_t BgL_cportz00_4688;

				{	/* Stackable/walk.scm 16 */
					obj_t BgL_stringz00_4696;

					BgL_stringz00_4696 = BGl_string2399z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 16 */
						obj_t BgL_startz00_4697;

						BgL_startz00_4697 = BINT(((long) 0));
						{	/* Stackable/walk.scm 16 */
							obj_t BgL_endz00_4698;

							BgL_endz00_4698 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4696)));
							{	/* Stackable/walk.scm 16 */

								BgL_cportz00_4688 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4696, BgL_startz00_4697, BgL_endz00_4698);
				}}}}
				{
					long BgL_iz00_4689;

					BgL_iz00_4689 = ((long) 11);
				BgL_loopz00_4690:
					if ((BgL_iz00_4689 == ((long) -1)))
						{	/* Stackable/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Stackable/walk.scm 16 */
							{	/* Stackable/walk.scm 16 */
								obj_t BgL_arg2402z00_4692;

								{	/* Stackable/walk.scm 16 */

									{	/* Stackable/walk.scm 16 */
										obj_t BgL_locationz00_4694;

										BgL_locationz00_4694 = BBOOL(((bool_t) 0));
										{	/* Stackable/walk.scm 16 */

											BgL_arg2402z00_4692 =
												BGl_readz00zz__readerz00(BgL_cportz00_4688,
												BgL_locationz00_4694);
										}
									}
								}
								{	/* Stackable/walk.scm 16 */
									int BgL_tmpz00_5205;

									BgL_tmpz00_5205 = (int) (BgL_iz00_4689);
									CNST_TABLE_SET(BgL_tmpz00_5205, BgL_arg2402z00_4692);
							}}
							{	/* Stackable/walk.scm 16 */
								int BgL_auxz00_4695;

								BgL_auxz00_4695 = (int) ((BgL_iz00_4689 - ((long) 1)));
								{
									long BgL_iz00_5210;

									BgL_iz00_5210 = (long) (BgL_auxz00_4695);
									BgL_iz00_4689 = BgL_iz00_5210;
									goto BgL_loopz00_4690;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* stackable-walk! */
	BGL_EXPORTED_DEF obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t
		BgL_globalsz00_19)
	{
		{	/* Stackable/walk.scm 68 */
			if (CBOOL(BGl_za2optimzd2stackablezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 69 */
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_list1564z00_1705;

						{	/* Stackable/walk.scm 71 */
							obj_t BgL_arg1567z00_1706;

							{	/* Stackable/walk.scm 71 */
								obj_t BgL_arg1570z00_1707;

								BgL_arg1570z00_1707 =
									MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
								BgL_arg1567z00_1706 =
									MAKE_YOUNG_PAIR(BGl_string2317z00zzstackable_walkz00,
									BgL_arg1570z00_1707);
							}
							BgL_list1564z00_1705 =
								MAKE_YOUNG_PAIR(BGl_string2318z00zzstackable_walkz00,
								BgL_arg1567z00_1706);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1564z00_1705);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string2317z00zzstackable_walkz00;
					{	/* Stackable/walk.scm 71 */
						obj_t BgL_g1166z00_1708;

						BgL_g1166z00_1708 = BNIL;
						{
							obj_t BgL_hooksz00_1711;
							obj_t BgL_hnamesz00_1712;

							BgL_hooksz00_1711 = BgL_g1166z00_1708;
							BgL_hnamesz00_1712 = BNIL;
						BgL_zc3z04anonymousza31571ze3z87_1713:
							if (NULLP(BgL_hooksz00_1711))
								{	/* Stackable/walk.scm 71 */
									CNST_TABLE_REF(((long) 0));
								}
							else
								{	/* Stackable/walk.scm 71 */
									bool_t BgL_test2497z00_5225;

									{	/* Stackable/walk.scm 71 */
										obj_t BgL_fun1583z00_1720;

										BgL_fun1583z00_1720 = CAR(((obj_t) BgL_hooksz00_1711));
										BgL_test2497z00_5225 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1583z00_1720)
											(BgL_fun1583z00_1720, BEOA));
									}
									if (BgL_test2497z00_5225)
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1578z00_1717;
											obj_t BgL_arg1581z00_1718;

											BgL_arg1578z00_1717 = CDR(((obj_t) BgL_hooksz00_1711));
											BgL_arg1581z00_1718 = CDR(((obj_t) BgL_hnamesz00_1712));
											{
												obj_t BgL_hnamesz00_5237;
												obj_t BgL_hooksz00_5236;

												BgL_hooksz00_5236 = BgL_arg1578z00_1717;
												BgL_hnamesz00_5237 = BgL_arg1581z00_1718;
												BgL_hnamesz00_1712 = BgL_hnamesz00_5237;
												BgL_hooksz00_1711 = BgL_hooksz00_5236;
												goto BgL_zc3z04anonymousza31571ze3z87_1713;
											}
										}
									else
										{	/* Stackable/walk.scm 71 */
											obj_t BgL_arg1582z00_1719;

											BgL_arg1582z00_1719 = CAR(((obj_t) BgL_hnamesz00_1712));
											BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2317z00zzstackable_walkz00,
												BGl_string2319z00zzstackable_walkz00,
												BgL_arg1582z00_1719);
										}
								}
						}
					}
					{
						obj_t BgL_l1395z00_1724;

						BgL_l1395z00_1724 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31585ze3z87_1725:
						if (PAIRP(BgL_l1395z00_1724))
							{	/* Stackable/walk.scm 72 */
								{	/* Stackable/walk.scm 72 */
									obj_t BgL_arg1588z00_1727;

									BgL_arg1588z00_1727 = CAR(BgL_l1395z00_1724);
									BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1588z00_1727));
								}
								{
									obj_t BgL_l1395z00_5246;

									BgL_l1395z00_5246 = CDR(BgL_l1395z00_1724);
									BgL_l1395z00_1724 = BgL_l1395z00_5246;
									goto BgL_zc3z04anonymousza31585ze3z87_1725;
								}
							}
						else
							{	/* Stackable/walk.scm 72 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1397z00_1731;

						BgL_l1397z00_1731 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31596ze3z87_1732:
						if (PAIRP(BgL_l1397z00_1731))
							{	/* Stackable/walk.scm 73 */
								{	/* Stackable/walk.scm 73 */
									obj_t BgL_arg1601z00_1734;

									BgL_arg1601z00_1734 = CAR(BgL_l1397z00_1731);
									BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(
										((BgL_variablez00_bglt) BgL_arg1601z00_1734));
								}
								{
									obj_t BgL_l1397z00_5253;

									BgL_l1397z00_5253 = CDR(BgL_l1397z00_1731);
									BgL_l1397z00_1731 = BgL_l1397z00_5253;
									goto BgL_zc3z04anonymousza31596ze3z87_1732;
								}
							}
						else
							{	/* Stackable/walk.scm 73 */
								((bool_t) 1);
							}
					}
					{
						obj_t BgL_l1399z00_1738;

						BgL_l1399z00_1738 = BgL_globalsz00_19;
					BgL_zc3z04anonymousza31603ze3z87_1739:
						if (PAIRP(BgL_l1399z00_1738))
							{	/* Stackable/walk.scm 74 */
								{	/* Stackable/walk.scm 74 */
									obj_t BgL_arg1606z00_1741;

									BgL_arg1606z00_1741 = CAR(BgL_l1399z00_1738);
									{	/* Stackable/walk.scm 529 */
										BgL_sfunz00_bglt BgL_i1259z00_3159;

										BgL_i1259z00_3159 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt) BgL_arg1606z00_1741)))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 530 */
											obj_t BgL_arg1714z00_3160;

											BgL_arg1714z00_3160 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1259z00_3159))->
												BgL_bodyz00);
											BGl_initzd2stackablezd2zzstackable_walkz00((
													(BgL_nodez00_bglt) BgL_arg1714z00_3160));
										}
									}
								}
								{
									obj_t BgL_l1399z00_5264;

									BgL_l1399z00_5264 = CDR(BgL_l1399z00_1738);
									BgL_l1399z00_1738 = BgL_l1399z00_5264;
									goto BgL_zc3z04anonymousza31603ze3z87_1739;
								}
							}
						else
							{	/* Stackable/walk.scm 74 */
								((bool_t) 1);
							}
					}
					{	/* Stackable/walk.scm 75 */
						obj_t BgL_g1168z00_1744;

						BgL_g1168z00_1744 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
						{
							obj_t BgL_ctxz00_1746;

							BgL_ctxz00_1746 = BgL_g1168z00_1744;
						BgL_zc3z04anonymousza31613ze3z87_1747:
							if (CBOOL(CAR(BgL_ctxz00_1746)))
								{	/* Stackable/walk.scm 76 */
									((bool_t) 0);
								}
							else
								{	/* Stackable/walk.scm 76 */
									SET_CAR(BgL_ctxz00_1746, BTRUE);
									SET_CDR(BgL_ctxz00_1746, BNIL);
									{
										obj_t BgL_l1401z00_1750;

										BgL_l1401z00_1750 = BgL_globalsz00_19;
									BgL_zc3z04anonymousza31615ze3z87_1751:
										if (PAIRP(BgL_l1401z00_1750))
											{	/* Stackable/walk.scm 79 */
												{	/* Stackable/walk.scm 79 */
													obj_t BgL_gz00_1753;

													BgL_gz00_1753 = CAR(BgL_l1401z00_1750);
													BGl_varzd2stackablezd2zzstackable_walkz00(
														((BgL_variablez00_bglt) BgL_gz00_1753),
														BgL_ctxz00_1746);
												}
												{
													obj_t BgL_l1401z00_5277;

													BgL_l1401z00_5277 = CDR(BgL_l1401z00_1750);
													BgL_l1401z00_1750 = BgL_l1401z00_5277;
													goto BgL_zc3z04anonymousza31615ze3z87_1751;
												}
											}
										else
											{	/* Stackable/walk.scm 79 */
												((bool_t) 1);
											}
									}
									{

										goto BgL_zc3z04anonymousza31613ze3z87_1747;
									}
								}
						}
					}
					if (
						((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
							((long) 0)))
						{	/* Stackable/walk.scm 81 */
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_port1403z00_1759;

								{	/* Stackable/walk.scm 81 */
									obj_t BgL_tmpz00_5282;

									BgL_tmpz00_5282 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1403z00_1759 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5282);
								}
								bgl_display_obj
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
									BgL_port1403z00_1759);
								bgl_display_string(BGl_string2320z00zzstackable_walkz00,
									BgL_port1403z00_1759);
								{	/* Stackable/walk.scm 81 */
									obj_t BgL_arg1632z00_1760;

									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2504z00_5287;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Stackable/walk.scm 81 */
												if (INTEGERP
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
													{	/* Stackable/walk.scm 81 */
														BgL_test2504z00_5287 =
															(
															(long)
															CINT
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
															> ((long) 1));
													}
												else
													{	/* Stackable/walk.scm 81 */
														BgL_test2504z00_5287 =
															BGl_2ze3ze3zz__r4_numbers_6_5z00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
															BINT(((long) 1)));
											}}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_test2504z00_5287 = ((bool_t) 0);
											}
										if (BgL_test2504z00_5287)
											{	/* Stackable/walk.scm 81 */
												BgL_arg1632z00_1760 =
													BGl_string2321z00zzstackable_walkz00;
											}
										else
											{	/* Stackable/walk.scm 81 */
												BgL_arg1632z00_1760 =
													BGl_string2322z00zzstackable_walkz00;
											}
									}
									bgl_display_obj(BgL_arg1632z00_1760, BgL_port1403z00_1759);
								}
								bgl_display_string(BGl_string2323z00zzstackable_walkz00,
									BgL_port1403z00_1759);
								bgl_display_char(((unsigned char) 10), BgL_port1403z00_1759);
							}
							{	/* Stackable/walk.scm 81 */
								obj_t BgL_list1637z00_1766;

								BgL_list1637z00_1766 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
								return BGl_exitz00zz__errorz00(BgL_list1637z00_1766);
							}
						}
					else
						{	/* Stackable/walk.scm 81 */
							obj_t BgL_g1169z00_1767;

							BgL_g1169z00_1767 = BNIL;
							{
								obj_t BgL_hooksz00_1770;
								obj_t BgL_hnamesz00_1771;

								BgL_hooksz00_1770 = BgL_g1169z00_1767;
								BgL_hnamesz00_1771 = BNIL;
							BgL_zc3z04anonymousza31638ze3z87_1772:
								if (NULLP(BgL_hooksz00_1770))
									{	/* Stackable/walk.scm 81 */
										return BgL_globalsz00_19;
									}
								else
									{	/* Stackable/walk.scm 81 */
										bool_t BgL_test2508z00_5304;

										{	/* Stackable/walk.scm 81 */
											obj_t BgL_fun1657z00_1779;

											BgL_fun1657z00_1779 = CAR(((obj_t) BgL_hooksz00_1770));
											BgL_test2508z00_5304 =
												CBOOL(PROCEDURE_ENTRY(BgL_fun1657z00_1779)
												(BgL_fun1657z00_1779, BEOA));
										}
										if (BgL_test2508z00_5304)
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1647z00_1776;
												obj_t BgL_arg1652z00_1777;

												BgL_arg1647z00_1776 = CDR(((obj_t) BgL_hooksz00_1770));
												BgL_arg1652z00_1777 = CDR(((obj_t) BgL_hnamesz00_1771));
												{
													obj_t BgL_hnamesz00_5316;
													obj_t BgL_hooksz00_5315;

													BgL_hooksz00_5315 = BgL_arg1647z00_1776;
													BgL_hnamesz00_5316 = BgL_arg1652z00_1777;
													BgL_hnamesz00_1771 = BgL_hnamesz00_5316;
													BgL_hooksz00_1770 = BgL_hooksz00_5315;
													goto BgL_zc3z04anonymousza31638ze3z87_1772;
												}
											}
										else
											{	/* Stackable/walk.scm 81 */
												obj_t BgL_arg1656z00_1778;

												BgL_arg1656z00_1778 = CAR(((obj_t) BgL_hnamesz00_1771));
												return
													BGl_internalzd2errorzd2zztools_errorz00
													(BGl_za2currentzd2passza2zd2zzengine_passz00,
													BGl_string2324z00zzstackable_walkz00,
													BgL_arg1656z00_1778);
											}
									}
							}
						}
				}
			else
				{	/* Stackable/walk.scm 69 */
					return BgL_globalsz00_19;
				}
		}

	}



/* &stackable-walk! */
	obj_t BGl_z62stackablezd2walkz12za2zzstackable_walkz00(obj_t BgL_envz00_4441,
		obj_t BgL_globalsz00_4442)
	{
		{	/* Stackable/walk.scm 68 */
			return BGl_stackablezd2walkz12zc0zzstackable_walkz00(BgL_globalsz00_4442);
		}

	}



/* import? */
	bool_t BGl_importzf3zf3zzstackable_walkz00(BgL_variablez00_bglt BgL_varz00_20)
	{
		{	/* Stackable/walk.scm 87 */
			{	/* Stackable/walk.scm 88 */
				bool_t BgL_test2509z00_5321;

				{	/* Stackable/walk.scm 88 */
					obj_t BgL_classz00_3181;

					BgL_classz00_3181 = BGl_globalz00zzast_varz00;
					{	/* Stackable/walk.scm 88 */
						BgL_objectz00_bglt BgL_arg1825z00_3183;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_tmpz00_5322;

							BgL_tmpz00_5322 = ((obj_t) BgL_varz00_20);
							BgL_arg1825z00_3183 = (BgL_objectz00_bglt) (BgL_tmpz00_5322);
						}
						{	/* Stackable/walk.scm 88 */
							bool_t BgL_arg1822z00_3186;
							bool_t BgL_arg1823z00_3187;

							{	/* Stackable/walk.scm 88 */
								long BgL_idxz00_3190;

								BgL_idxz00_3190 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3183);
								BgL_arg1822z00_3186 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3190 + ((long) 2))) == BgL_classz00_3181);
							}
							{	/* Stackable/walk.scm 88 */
								bool_t BgL_res2258z00_3212;

								{	/* Stackable/walk.scm 88 */
									obj_t BgL_oclassz00_3198;

									{	/* Stackable/walk.scm 88 */
										long BgL_arg1833z00_3204;

										{	/* Stackable/walk.scm 88 */
											long BgL_arg1834z00_3205;

											BgL_arg1834z00_3205 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3183);
											BgL_arg1833z00_3204 = (BgL_arg1834z00_3205 - OBJECT_TYPE);
										}
										BgL_oclassz00_3198 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1833z00_3204);
									}
									{	/* Stackable/walk.scm 88 */
										bool_t BgL__ortest_1110z00_3199;

										BgL__ortest_1110z00_3199 =
											(BgL_classz00_3181 == BgL_oclassz00_3198);
										if (BgL__ortest_1110z00_3199)
											{	/* Stackable/walk.scm 88 */
												BgL_res2258z00_3212 = BgL__ortest_1110z00_3199;
											}
										else
											{	/* Stackable/walk.scm 88 */
												long BgL_odepthz00_3200;

												BgL_odepthz00_3200 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3198);
												if ((((long) 2) < BgL_odepthz00_3200))
													{	/* Stackable/walk.scm 88 */
														obj_t BgL_arg1821z00_3202;

														BgL_arg1821z00_3202 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3198,
															((long) 2));
														BgL_res2258z00_3212 =
															(BgL_arg1821z00_3202 == BgL_classz00_3181);
													}
												else
													{	/* Stackable/walk.scm 88 */
														BgL_res2258z00_3212 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg1823z00_3187 = BgL_res2258z00_3212;
							}
							BgL_test2509z00_5321 =
								BGL_ISA_C_BACKEND(BgL_arg1822z00_3186, BgL_arg1823z00_3187);
						}
					}
				}
				if (BgL_test2509z00_5321)
					{	/* Stackable/walk.scm 88 */
						bool_t BgL_test2512z00_5340;

						{	/* Stackable/walk.scm 88 */
							obj_t BgL_arg1665z00_1785;

							BgL_arg1665z00_1785 =
								(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_varz00_20)))->BgL_modulez00);
							BgL_test2512z00_5340 =
								(BgL_arg1665z00_1785 == BGl_za2moduleza2z00zzmodule_modulez00);
						}
						if (BgL_test2512z00_5340)
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 88 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Stackable/walk.scm 88 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* var-stackable */
	obj_t BGl_varzd2stackablezd2zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_21, obj_t BgL_ctxz00_22)
	{
		{	/* Stackable/walk.scm 93 */
			{	/* Stackable/walk.scm 94 */
				bool_t BgL_test2513z00_5344;

				if (BGl_importzf3zf3zzstackable_walkz00(BgL_varz00_21))
					{	/* Stackable/walk.scm 94 */
						BgL_test2513z00_5344 = ((bool_t) 0);
					}
				else
					{	/* Stackable/walk.scm 94 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_varz00_21), CDR(BgL_ctxz00_22))))
							{	/* Stackable/walk.scm 94 */
								BgL_test2513z00_5344 = ((bool_t) 0);
							}
						else
							{	/* Stackable/walk.scm 94 */
								BgL_test2513z00_5344 = ((bool_t) 1);
							}
					}
				if (BgL_test2513z00_5344)
					{	/* Stackable/walk.scm 94 */
						{	/* Stackable/walk.scm 96 */
							obj_t BgL_arg1678z00_1791;

							{	/* Stackable/walk.scm 96 */
								obj_t BgL_arg1679z00_1792;

								BgL_arg1679z00_1792 = CDR(BgL_ctxz00_22);
								BgL_arg1678z00_1791 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_varz00_21), BgL_arg1679z00_1792);
							}
							SET_CDR(BgL_ctxz00_22, BgL_arg1678z00_1791);
						}
						{	/* Stackable/walk.scm 98 */
							BgL_sfunz00_bglt BgL_i1175z00_1794;

							BgL_i1175z00_1794 =
								((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->
									BgL_valuez00));
							{	/* Stackable/walk.scm 99 */
								bool_t BgL_test2516z00_5358;

								{	/* Stackable/walk.scm 99 */
									obj_t BgL_arg1699z00_1802;

									BgL_arg1699z00_1802 =
										(((BgL_sfunz00_bglt) COBJECT(BgL_i1175z00_1794))->
										BgL_bodyz00);
									{	/* Stackable/walk.scm 99 */
										obj_t BgL_classz00_3217;

										BgL_classz00_3217 = BGl_nodez00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg1699z00_1802))
											{	/* Stackable/walk.scm 99 */
												BgL_objectz00_bglt BgL_arg1825z00_3219;

												BgL_arg1825z00_3219 =
													(BgL_objectz00_bglt) (BgL_arg1699z00_1802);
												{	/* Stackable/walk.scm 99 */
													bool_t BgL_arg1822z00_3222;
													bool_t BgL_arg1823z00_3223;

													{	/* Stackable/walk.scm 99 */
														long BgL_idxz00_3226;

														BgL_idxz00_3226 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3219);
														BgL_arg1822z00_3222 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3226 + ((long) 1))) ==
															BgL_classz00_3217);
													}
													{	/* Stackable/walk.scm 99 */
														bool_t BgL_res2259z00_3248;

														{	/* Stackable/walk.scm 99 */
															obj_t BgL_oclassz00_3234;

															{	/* Stackable/walk.scm 99 */
																long BgL_arg1833z00_3240;

																{	/* Stackable/walk.scm 99 */
																	long BgL_arg1834z00_3241;

																	BgL_arg1834z00_3241 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3219);
																	BgL_arg1833z00_3240 =
																		(BgL_arg1834z00_3241 - OBJECT_TYPE);
																}
																BgL_oclassz00_3234 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3240);
															}
															{	/* Stackable/walk.scm 99 */
																bool_t BgL__ortest_1110z00_3235;

																BgL__ortest_1110z00_3235 =
																	(BgL_classz00_3217 == BgL_oclassz00_3234);
																if (BgL__ortest_1110z00_3235)
																	{	/* Stackable/walk.scm 99 */
																		BgL_res2259z00_3248 =
																			BgL__ortest_1110z00_3235;
																	}
																else
																	{	/* Stackable/walk.scm 99 */
																		long BgL_odepthz00_3236;

																		BgL_odepthz00_3236 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3234);
																		if ((((long) 1) < BgL_odepthz00_3236))
																			{	/* Stackable/walk.scm 99 */
																				obj_t BgL_arg1821z00_3238;

																				BgL_arg1821z00_3238 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3234, ((long) 1));
																				BgL_res2259z00_3248 =
																					(BgL_arg1821z00_3238 ==
																					BgL_classz00_3217);
																			}
																		else
																			{	/* Stackable/walk.scm 99 */
																				BgL_res2259z00_3248 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3223 = BgL_res2259z00_3248;
													}
													BgL_test2516z00_5358 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3222,
														BgL_arg1823z00_3223);
												}
											}
										else
											{	/* Stackable/walk.scm 99 */
												BgL_test2516z00_5358 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2516z00_5358)
									{	/* Stackable/walk.scm 100 */
										bool_t BgL_test2520z00_5378;

										{	/* Stackable/walk.scm 100 */
											obj_t BgL_classz00_3249;

											BgL_classz00_3249 = BGl_globalz00zzast_varz00;
											{	/* Stackable/walk.scm 100 */
												BgL_objectz00_bglt BgL_arg1825z00_3251;

												{	/* Stackable/walk.scm 100 */
													obj_t BgL_tmpz00_5379;

													BgL_tmpz00_5379 = ((obj_t) BgL_varz00_21);
													BgL_arg1825z00_3251 =
														(BgL_objectz00_bglt) (BgL_tmpz00_5379);
												}
												{	/* Stackable/walk.scm 100 */
													bool_t BgL_arg1822z00_3254;
													bool_t BgL_arg1823z00_3255;

													{	/* Stackable/walk.scm 100 */
														long BgL_idxz00_3258;

														BgL_idxz00_3258 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3251);
														BgL_arg1822z00_3254 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3258 + ((long) 2))) ==
															BgL_classz00_3249);
													}
													{	/* Stackable/walk.scm 100 */
														bool_t BgL_res2260z00_3280;

														{	/* Stackable/walk.scm 100 */
															obj_t BgL_oclassz00_3266;

															{	/* Stackable/walk.scm 100 */
																long BgL_arg1833z00_3272;

																{	/* Stackable/walk.scm 100 */
																	long BgL_arg1834z00_3273;

																	BgL_arg1834z00_3273 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3251);
																	BgL_arg1833z00_3272 =
																		(BgL_arg1834z00_3273 - OBJECT_TYPE);
																}
																BgL_oclassz00_3266 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3272);
															}
															{	/* Stackable/walk.scm 100 */
																bool_t BgL__ortest_1110z00_3267;

																BgL__ortest_1110z00_3267 =
																	(BgL_classz00_3249 == BgL_oclassz00_3266);
																if (BgL__ortest_1110z00_3267)
																	{	/* Stackable/walk.scm 100 */
																		BgL_res2260z00_3280 =
																			BgL__ortest_1110z00_3267;
																	}
																else
																	{	/* Stackable/walk.scm 100 */
																		long BgL_odepthz00_3268;

																		BgL_odepthz00_3268 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3266);
																		if ((((long) 2) < BgL_odepthz00_3268))
																			{	/* Stackable/walk.scm 100 */
																				obj_t BgL_arg1821z00_3270;

																				BgL_arg1821z00_3270 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3266, ((long) 2));
																				BgL_res2260z00_3280 =
																					(BgL_arg1821z00_3270 ==
																					BgL_classz00_3249);
																			}
																		else
																			{	/* Stackable/walk.scm 100 */
																				BgL_res2260z00_3280 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3255 = BgL_res2260z00_3280;
													}
													BgL_test2520z00_5378 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3254,
														BgL_arg1823z00_3255);
												}
											}
										}
										if (BgL_test2520z00_5378)
											{	/* Stackable/walk.scm 101 */
												obj_t BgL_arg1694z00_1798;

												BgL_arg1694z00_1798 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1175z00_1794))->
													BgL_bodyz00);
												return
													BGl_stackablez00zzstackable_walkz00((
														(BgL_nodez00_bglt) BgL_arg1694z00_1798),
													((bool_t) 1), ((long) 0), BgL_ctxz00_22);
											}
										else
											{	/* Stackable/walk.scm 103 */
												obj_t BgL_arg1695z00_1800;
												long BgL_arg1696z00_1801;

												BgL_arg1695z00_1800 =
													(((BgL_sfunz00_bglt) COBJECT(BgL_i1175z00_1794))->
													BgL_bodyz00);
												{
													BgL_localzf2depthzf2_bglt BgL_auxz00_5401;

													{
														obj_t BgL_auxz00_5402;

														{	/* Stackable/walk.scm 103 */
															BgL_objectz00_bglt BgL_tmpz00_5403;

															BgL_tmpz00_5403 =
																((BgL_objectz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_21));
															BgL_auxz00_5402 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5403);
														}
														BgL_auxz00_5401 =
															((BgL_localzf2depthzf2_bglt) BgL_auxz00_5402);
													}
													BgL_arg1696z00_1801 =
														(((BgL_localzf2depthzf2_bglt)
															COBJECT(BgL_auxz00_5401))->BgL_depthz00);
												}
												return
													BGl_stackablez00zzstackable_walkz00(
													((BgL_nodez00_bglt) BgL_arg1695z00_1800),
													((bool_t) 1), BgL_arg1696z00_1801, BgL_ctxz00_22);
											}
									}
								else
									{	/* Stackable/walk.scm 99 */
										return BFALSE;
									}
							}
						}
					}
				else
					{	/* Stackable/walk.scm 94 */
						return BFALSE;
					}
			}
		}

	}



/* global-lift-let! */
	obj_t BGl_globalzd2liftzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_83)
	{
		{	/* Stackable/walk.scm 379 */
			{	/* Stackable/walk.scm 381 */
				BgL_sfunz00_bglt BgL_i1208z00_1807;

				BgL_i1208z00_1807 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_83))->BgL_valuez00));
				{
					obj_t BgL_auxz00_5413;

					{	/* Stackable/walk.scm 382 */
						obj_t BgL_arg1706z00_1808;

						BgL_arg1706z00_1808 =
							(((BgL_sfunz00_bglt) COBJECT(BgL_i1208z00_1807))->BgL_bodyz00);
						BgL_auxz00_5413 =
							((obj_t)
							BGl_liftzd2letz12zc0zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg1706z00_1808)));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(BgL_i1208z00_1807))->BgL_bodyz00) =
						((obj_t) BgL_auxz00_5413), BUNSPEC);
				}
			}
		}

	}



/* global-depth-let! */
	obj_t BGl_globalzd2depthzd2letz12z12zzstackable_walkz00(BgL_variablez00_bglt
		BgL_varz00_86)
	{
		{	/* Stackable/walk.scm 442 */
			{	/* Stackable/walk.scm 444 */
				BgL_sfunz00_bglt BgL_i1224z00_1810;

				BgL_i1224z00_1810 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_86))->BgL_valuez00));
				{	/* Stackable/walk.scm 445 */
					obj_t BgL_g1443z00_1811;

					BgL_g1443z00_1811 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1224z00_1810))->BgL_argsz00);
					{
						obj_t BgL_l1441z00_1813;

						BgL_l1441z00_1813 = BgL_g1443z00_1811;
					BgL_zc3z04anonymousza31707ze3z87_1814:
						if (PAIRP(BgL_l1441z00_1813))
							{	/* Stackable/walk.scm 445 */
								{	/* Stackable/walk.scm 446 */
									obj_t BgL_az00_1816;

									BgL_az00_1816 = CAR(BgL_l1441z00_1813);
									{	/* Stackable/walk.scm 446 */
										BgL_localzf2depthzf2_bglt BgL_wide1227z00_1819;

										BgL_wide1227z00_1819 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 446 */
											obj_t BgL_auxz00_5430;
											BgL_objectz00_bglt BgL_tmpz00_5426;

											BgL_auxz00_5430 = ((obj_t) BgL_wide1227z00_1819);
											BgL_tmpz00_5426 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_az00_1816)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5426, BgL_auxz00_5430);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1816)));
										{	/* Stackable/walk.scm 446 */
											long BgL_arg1711z00_1820;

											BgL_arg1711z00_1820 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1816))),
												BgL_arg1711z00_1820);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_az00_1816)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5444;

										{
											obj_t BgL_auxz00_5445;

											{	/* Stackable/walk.scm 448 */
												BgL_objectz00_bglt BgL_tmpz00_5446;

												BgL_tmpz00_5446 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1816)));
												BgL_auxz00_5445 = BGL_OBJECT_WIDENING(BgL_tmpz00_5446);
											}
											BgL_auxz00_5444 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5445);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5444))->
												BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_5453;

										{
											obj_t BgL_auxz00_5454;

											{	/* Stackable/walk.scm 447 */
												BgL_objectz00_bglt BgL_tmpz00_5455;

												BgL_tmpz00_5455 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_az00_1816)));
												BgL_auxz00_5454 = BGL_OBJECT_WIDENING(BgL_tmpz00_5455);
											}
											BgL_auxz00_5453 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_5454);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5453))->
												BgL_ownerz00) =
											((obj_t) ((obj_t) BgL_varz00_86)), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_az00_1816));
								}
								{
									obj_t BgL_l1441z00_5465;

									BgL_l1441z00_5465 = CDR(BgL_l1441z00_1813);
									BgL_l1441z00_1813 = BgL_l1441z00_5465;
									goto BgL_zc3z04anonymousza31707ze3z87_1814;
								}
							}
						else
							{	/* Stackable/walk.scm 445 */
								((bool_t) 1);
							}
					}
				}
				{	/* Stackable/walk.scm 450 */
					obj_t BgL_arg1713z00_1824;

					BgL_arg1713z00_1824 =
						(((BgL_sfunz00_bglt) COBJECT(BgL_i1224z00_1810))->BgL_bodyz00);
					return
						BGl_depthzd2letzd2zzstackable_walkz00(
						((BgL_nodez00_bglt) BgL_arg1713z00_1824),
						BINT(((long) 0)), ((obj_t) BgL_varz00_86));
		}}}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			{	/* Stackable/walk.scm 38 */
				obj_t BgL_arg1725z00_1832;
				obj_t BgL_arg1726z00_1833;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1453z00_1862;

					BgL_v1453z00_1862 = create_vector(((long) 1));
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1743z00_1863;

						BgL_arg1743z00_1863 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2326z00zzstackable_walkz00,
							BGl_proc2325z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1453z00_1862, ((long) 0), BgL_arg1743z00_1863);
					}
					BgL_arg1725z00_1832 = BgL_v1453z00_1862;
				}
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_v1454z00_1873;

					BgL_v1454z00_1873 = create_vector(((long) 0));
					BgL_arg1726z00_1833 = BgL_v1454z00_1873;
				}
				BGl_appzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_appz00zzast_nodez00, ((long) 17275),
					BGl_proc2330z00zzstackable_walkz00,
					BGl_proc2329z00zzstackable_walkz00, BFALSE,
					BGl_proc2328z00zzstackable_walkz00,
					BGl_proc2327z00zzstackable_walkz00, BgL_arg1725z00_1832,
					BgL_arg1726z00_1833);
			}
			{	/* Stackable/walk.scm 40 */
				obj_t BgL_arg1753z00_1882;
				obj_t BgL_arg1759z00_1883;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1455z00_1919;

					BgL_v1455z00_1919 = create_vector(((long) 2));
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1781z00_1920;

						BgL_arg1781z00_1920 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2332z00zzstackable_walkz00,
							BGl_proc2331z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1455z00_1919, ((long) 0), BgL_arg1781z00_1920);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1799z00_1930;

						BgL_arg1799z00_1930 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2334z00zzstackable_walkz00,
							BGl_proc2333z00zzstackable_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 6)));
						VECTOR_SET(BgL_v1455z00_1919, ((long) 1), BgL_arg1799z00_1930);
					}
					BgL_arg1753z00_1882 = BgL_v1455z00_1919;
				}
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_v1456z00_1940;

					BgL_v1456z00_1940 = create_vector(((long) 0));
					BgL_arg1759z00_1883 = BgL_v1456z00_1940;
				}
				return (BGl_localzf2depthzf2zzstackable_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 2096),
						BGl_proc2338z00zzstackable_walkz00,
						BGl_proc2337z00zzstackable_walkz00, BFALSE,
						BGl_proc2336z00zzstackable_walkz00,
						BGl_proc2335z00zzstackable_walkz00, BgL_arg1753z00_1882,
						BgL_arg1759z00_1883), BUNSPEC);
		}}

	}



/* &lambda1768 */
	BgL_localz00_bglt BGl_z62lambda1768z62zzstackable_walkz00(obj_t
		BgL_envz00_4457, obj_t BgL_o1139z00_4458)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_arg1770z00_4701;

				{	/* Stackable/walk.scm 40 */
					obj_t BgL_arg1772z00_4702;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_arg1777z00_4703;

						{	/* Stackable/walk.scm 40 */
							long BgL_arg1833z00_4704;

							{	/* Stackable/walk.scm 40 */
								long BgL_arg1834z00_4705;

								BgL_arg1834z00_4705 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_o1139z00_4458)));
								BgL_arg1833z00_4704 = (BgL_arg1834z00_4705 - OBJECT_TYPE);
							}
							BgL_arg1777z00_4703 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4704);
						}
						BgL_arg1772z00_4702 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1777z00_4703);
					}
					{	/* Stackable/walk.scm 40 */
						obj_t BgL_tmpz00_5500;

						BgL_tmpz00_5500 = ((obj_t) BgL_arg1772z00_4702);
						BgL_arg1770z00_4701 = BGL_CLASS_NUM(BgL_tmpz00_5500);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_localz00_bglt) BgL_o1139z00_4458)), BgL_arg1770z00_4701);
			}
			{	/* Stackable/walk.scm 40 */
				BgL_objectz00_bglt BgL_tmpz00_5506;

				BgL_tmpz00_5506 =
					((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1139z00_4458));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5506, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_o1139z00_4458));
			return ((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1139z00_4458));
		}

	}



/* &<@anonymous:1767> */
	obj_t BGl_z62zc3z04anonymousza31767ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4459, obj_t BgL_new1138z00_4460)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localz00_bglt BgL_auxz00_5514;

				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1138z00_4460))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 8))), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5522;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4707;

						BgL_classz00_4707 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1112z00_4708;

							BgL__ortest_1112z00_4708 = BGL_CLASS_NIL(BgL_classz00_4707);
							if (CBOOL(BgL__ortest_1112z00_4708))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5522 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4708);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5522 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4707));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1138z00_4460))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5522), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_5532;

					{	/* Stackable/walk.scm 40 */
						obj_t BgL_classz00_4709;

						BgL_classz00_4709 = BGl_valuez00zzast_varz00;
						{	/* Stackable/walk.scm 40 */
							obj_t BgL__ortest_1112z00_4710;

							BgL__ortest_1112z00_4710 = BGL_CLASS_NIL(BgL_classz00_4709);
							if (CBOOL(BgL__ortest_1112z00_4710))
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5532 =
										((BgL_valuez00_bglt) BgL__ortest_1112z00_4710);
								}
							else
								{	/* Stackable/walk.scm 40 */
									BgL_auxz00_5532 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4709));
								}
						}
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_new1138z00_4460))))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_5532), BUNSPEC);
				}
				((((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_new1138z00_4460))))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt)
							COBJECT(((BgL_variablez00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_valzd2noescapezd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) ((BgL_localz00_bglt)
										BgL_new1138z00_4460))))->BgL_volatilez00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5569;

					{
						obj_t BgL_auxz00_5570;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5571;

							BgL_tmpz00_5571 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1138z00_4460));
							BgL_auxz00_5570 = BGL_OBJECT_WIDENING(BgL_tmpz00_5571);
						}
						BgL_auxz00_5569 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5570);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5569))->
							BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5577;

					{
						obj_t BgL_auxz00_5578;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5579;

							BgL_tmpz00_5579 =
								((BgL_objectz00_bglt)
								((BgL_localz00_bglt) BgL_new1138z00_4460));
							BgL_auxz00_5578 = BGL_OBJECT_WIDENING(BgL_tmpz00_5579);
						}
						BgL_auxz00_5577 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5578);
					}
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5577))->
							BgL_ownerz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_5514 = ((BgL_localz00_bglt) BgL_new1138z00_4460);
				return ((obj_t) BgL_auxz00_5514);
			}
		}

	}



/* &lambda1763 */
	BgL_localz00_bglt BGl_z62lambda1763z62zzstackable_walkz00(obj_t
		BgL_envz00_4461, obj_t BgL_o1135z00_4462)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				BgL_localzf2depthzf2_bglt BgL_wide1137z00_4712;

				BgL_wide1137z00_4712 =
					((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_localzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 40 */
					obj_t BgL_auxz00_5592;
					BgL_objectz00_bglt BgL_tmpz00_5588;

					BgL_auxz00_5592 = ((obj_t) BgL_wide1137z00_4712);
					BgL_tmpz00_5588 =
						((BgL_objectz00_bglt)
						((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1135z00_4462)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5588, BgL_auxz00_5592);
				}
				((BgL_objectz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1135z00_4462)));
				{	/* Stackable/walk.scm 40 */
					long BgL_arg1766z00_4713;

					BgL_arg1766z00_4713 =
						BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_o1135z00_4462))), BgL_arg1766z00_4713);
				}
				return
					((BgL_localz00_bglt)
					((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_o1135z00_4462)));
			}
		}

	}



/* &lambda1760 */
	BgL_localz00_bglt BGl_z62lambda1760z62zzstackable_walkz00(obj_t
		BgL_envz00_4463, obj_t BgL_id1120z00_4464, obj_t BgL_name1121z00_4465,
		obj_t BgL_type1122z00_4466, obj_t BgL_value1123z00_4467,
		obj_t BgL_access1124z00_4468, obj_t BgL_fastzd2alpha1125zd2_4469,
		obj_t BgL_removable1126z00_4470, obj_t BgL_occurrence1127z00_4471,
		obj_t BgL_occurrencew1128z00_4472, obj_t BgL_userzf31129zf3_4473,
		obj_t BgL_key1130z00_4474, obj_t BgL_valzd2noescape1131zd2_4475,
		obj_t BgL_volatile1132z00_4476, obj_t BgL_depth1133z00_4477,
		obj_t BgL_owner1134z00_4478)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_occurrence1127z00_4717;
				long BgL_occurrencew1128z00_4718;
				bool_t BgL_userzf31129zf3_4719;
				long BgL_key1130z00_4720;
				bool_t BgL_volatile1132z00_4721;
				long BgL_depth1133z00_4722;

				BgL_occurrence1127z00_4717 = (long) CINT(BgL_occurrence1127z00_4471);
				BgL_occurrencew1128z00_4718 = (long) CINT(BgL_occurrencew1128z00_4472);
				BgL_userzf31129zf3_4719 = CBOOL(BgL_userzf31129zf3_4473);
				BgL_key1130z00_4720 = (long) CINT(BgL_key1130z00_4474);
				BgL_volatile1132z00_4721 = CBOOL(BgL_volatile1132z00_4476);
				BgL_depth1133z00_4722 = (long) CINT(BgL_depth1133z00_4477);
				{	/* Stackable/walk.scm 40 */
					BgL_localz00_bglt BgL_new1271z00_4723;

					{	/* Stackable/walk.scm 40 */
						BgL_localz00_bglt BgL_tmp1269z00_4724;
						BgL_localzf2depthzf2_bglt BgL_wide1270z00_4725;

						{
							BgL_localz00_bglt BgL_auxz00_5612;

							{	/* Stackable/walk.scm 40 */
								BgL_localz00_bglt BgL_new1268z00_4726;

								BgL_new1268z00_4726 =
									((BgL_localz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Stackable/walk.scm 40 */
									long BgL_arg1762z00_4727;

									BgL_arg1762z00_4727 = BGL_CLASS_NUM(BGl_localz00zzast_varz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1268z00_4726),
										BgL_arg1762z00_4727);
								}
								{	/* Stackable/walk.scm 40 */
									BgL_objectz00_bglt BgL_tmpz00_5617;

									BgL_tmpz00_5617 = ((BgL_objectz00_bglt) BgL_new1268z00_4726);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5617, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1268z00_4726);
								BgL_auxz00_5612 = BgL_new1268z00_4726;
							}
							BgL_tmp1269z00_4724 = ((BgL_localz00_bglt) BgL_auxz00_5612);
						}
						BgL_wide1270z00_4725 =
							((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_localzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 40 */
							obj_t BgL_auxz00_5625;
							BgL_objectz00_bglt BgL_tmpz00_5623;

							BgL_auxz00_5625 = ((obj_t) BgL_wide1270z00_4725);
							BgL_tmpz00_5623 = ((BgL_objectz00_bglt) BgL_tmp1269z00_4724);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5623, BgL_auxz00_5625);
						}
						((BgL_objectz00_bglt) BgL_tmp1269z00_4724);
						{	/* Stackable/walk.scm 40 */
							long BgL_arg1761z00_4728;

							BgL_arg1761z00_4728 =
								BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1269z00_4724),
								BgL_arg1761z00_4728);
						}
						BgL_new1271z00_4723 = ((BgL_localz00_bglt) BgL_tmp1269z00_4724);
					}
					((((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_new1271z00_4723)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1120z00_4464)), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_namez00) =
						((obj_t) BgL_name1121z00_4465), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1122z00_4466)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_valuez00) =
						((BgL_valuez00_bglt) ((BgL_valuez00_bglt) BgL_value1123z00_4467)),
						BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_accessz00) =
						((obj_t) BgL_access1124z00_4468), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1125zd2_4469), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_removablez00) =
						((obj_t) BgL_removable1126z00_4470), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_occurrencez00) =
						((long) BgL_occurrence1127z00_4717), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1128z00_4718), BUNSPEC);
					((((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
										BgL_new1271z00_4723)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31129zf3_4719), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1271z00_4723)))->BgL_keyz00) =
						((long) BgL_key1130z00_4720), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1271z00_4723)))->BgL_valzd2noescapezd2) =
						((obj_t) BgL_valzd2noescape1131zd2_4475), BUNSPEC);
					((((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt)
										BgL_new1271z00_4723)))->BgL_volatilez00) =
						((bool_t) BgL_volatile1132z00_4721), BUNSPEC);
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5662;

						{
							obj_t BgL_auxz00_5663;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5664;

								BgL_tmpz00_5664 = ((BgL_objectz00_bglt) BgL_new1271z00_4723);
								BgL_auxz00_5663 = BGL_OBJECT_WIDENING(BgL_tmpz00_5664);
							}
							BgL_auxz00_5662 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5663);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5662))->
								BgL_depthz00) = ((long) BgL_depth1133z00_4722), BUNSPEC);
					}
					{
						BgL_localzf2depthzf2_bglt BgL_auxz00_5669;

						{
							obj_t BgL_auxz00_5670;

							{	/* Stackable/walk.scm 40 */
								BgL_objectz00_bglt BgL_tmpz00_5671;

								BgL_tmpz00_5671 = ((BgL_objectz00_bglt) BgL_new1271z00_4723);
								BgL_auxz00_5670 = BGL_OBJECT_WIDENING(BgL_tmpz00_5671);
							}
							BgL_auxz00_5669 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5670);
						}
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5669))->
								BgL_ownerz00) = ((obj_t) BgL_owner1134z00_4478), BUNSPEC);
					}
					return BgL_new1271z00_4723;
				}
			}
		}

	}



/* &lambda1807 */
	obj_t BGl_z62lambda1807z62zzstackable_walkz00(obj_t BgL_envz00_4479,
		obj_t BgL_oz00_4480, obj_t BgL_vz00_4481)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5676;

				{
					obj_t BgL_auxz00_5677;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5678;

						BgL_tmpz00_5678 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4480));
						BgL_auxz00_5677 = BGL_OBJECT_WIDENING(BgL_tmpz00_5678);
					}
					BgL_auxz00_5676 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5677);
				}
				return
					((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5676))->
						BgL_ownerz00) = ((obj_t) BgL_vz00_4481), BUNSPEC);
			}
		}

	}



/* &lambda1806 */
	obj_t BGl_z62lambda1806z62zzstackable_walkz00(obj_t BgL_envz00_4482,
		obj_t BgL_oz00_4483)
	{
		{	/* Stackable/walk.scm 40 */
			{
				BgL_localzf2depthzf2_bglt BgL_auxz00_5684;

				{
					obj_t BgL_auxz00_5685;

					{	/* Stackable/walk.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_5686;

						BgL_tmpz00_5686 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4483));
						BgL_auxz00_5685 = BGL_OBJECT_WIDENING(BgL_tmpz00_5686);
					}
					BgL_auxz00_5684 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5685);
				}
				return
					(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5684))->
					BgL_ownerz00);
			}
		}

	}



/* &lambda1790 */
	obj_t BGl_z62lambda1790z62zzstackable_walkz00(obj_t BgL_envz00_4484,
		obj_t BgL_oz00_4485, obj_t BgL_vz00_4486)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_vz00_4732;

				BgL_vz00_4732 = (long) CINT(BgL_vz00_4486);
				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5693;

					{
						obj_t BgL_auxz00_5694;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5695;

							BgL_tmpz00_5695 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4485));
							BgL_auxz00_5694 = BGL_OBJECT_WIDENING(BgL_tmpz00_5695);
						}
						BgL_auxz00_5693 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5694);
					}
					return
						((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5693))->
							BgL_depthz00) = ((long) BgL_vz00_4732), BUNSPEC);
		}}}

	}



/* &lambda1789 */
	obj_t BGl_z62lambda1789z62zzstackable_walkz00(obj_t BgL_envz00_4487,
		obj_t BgL_oz00_4488)
	{
		{	/* Stackable/walk.scm 40 */
			{	/* Stackable/walk.scm 40 */
				long BgL_tmpz00_5701;

				{
					BgL_localzf2depthzf2_bglt BgL_auxz00_5702;

					{
						obj_t BgL_auxz00_5703;

						{	/* Stackable/walk.scm 40 */
							BgL_objectz00_bglt BgL_tmpz00_5704;

							BgL_tmpz00_5704 =
								((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_4488));
							BgL_auxz00_5703 = BGL_OBJECT_WIDENING(BgL_tmpz00_5704);
						}
						BgL_auxz00_5702 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_5703);
					}
					BgL_tmpz00_5701 =
						(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_5702))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5701);
			}
		}

	}



/* &lambda1733 */
	BgL_appz00_bglt BGl_z62lambda1733z62zzstackable_walkz00(obj_t BgL_envz00_4489,
		obj_t BgL_o1118z00_4490)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_arg1738z00_4735;

				{	/* Stackable/walk.scm 38 */
					obj_t BgL_arg1739z00_4736;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_arg1742z00_4737;

						{	/* Stackable/walk.scm 38 */
							long BgL_arg1833z00_4738;

							{	/* Stackable/walk.scm 38 */
								long BgL_arg1834z00_4739;

								BgL_arg1834z00_4739 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1118z00_4490)));
								BgL_arg1833z00_4738 = (BgL_arg1834z00_4739 - OBJECT_TYPE);
							}
							BgL_arg1742z00_4737 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1833z00_4738);
						}
						BgL_arg1739z00_4736 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1742z00_4737);
					}
					{	/* Stackable/walk.scm 38 */
						obj_t BgL_tmpz00_5717;

						BgL_tmpz00_5717 = ((obj_t) BgL_arg1739z00_4736);
						BgL_arg1738z00_4735 = BGL_CLASS_NUM(BgL_tmpz00_5717);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_appz00_bglt) BgL_o1118z00_4490)), BgL_arg1738z00_4735);
			}
			{	/* Stackable/walk.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_5723;

				BgL_tmpz00_5723 =
					((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1118z00_4490));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5723, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_o1118z00_4490));
			return ((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1118z00_4490));
		}

	}



/* &<@anonymous:1732> */
	obj_t BGl_z62zc3z04anonymousza31732ze3ze5zzstackable_walkz00(obj_t
		BgL_envz00_4491, obj_t BgL_new1117z00_4492)
	{
		{	/* Stackable/walk.scm 38 */
			{
				BgL_appz00_bglt BgL_auxz00_5731;

				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_new1117z00_4492))))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_5735;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4741;

						BgL_classz00_4741 = BGl_typez00zztype_typez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1112z00_4742;

							BgL__ortest_1112z00_4742 = BGL_CLASS_NIL(BgL_classz00_4741);
							if (CBOOL(BgL__ortest_1112z00_4742))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5735 =
										((BgL_typez00_bglt) BgL__ortest_1112z00_4742);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5735 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4741));
								}
						}
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt) BgL_new1117z00_4492))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5735), BUNSPEC);
				}
				((((BgL_nodezf2effectzf2_bglt) COBJECT(
								((BgL_nodezf2effectzf2_bglt)
									((BgL_appz00_bglt) BgL_new1117z00_4492))))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_nodezf2effectzf2_bglt)
							COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_appz00_bglt)
										BgL_new1117z00_4492))))->BgL_keyz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_varz00_bglt BgL_auxz00_5751;

					{	/* Stackable/walk.scm 38 */
						obj_t BgL_classz00_4743;

						BgL_classz00_4743 = BGl_varz00zzast_nodez00;
						{	/* Stackable/walk.scm 38 */
							obj_t BgL__ortest_1112z00_4744;

							BgL__ortest_1112z00_4744 = BGL_CLASS_NIL(BgL_classz00_4743);
							if (CBOOL(BgL__ortest_1112z00_4744))
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5751 =
										((BgL_varz00_bglt) BgL__ortest_1112z00_4744);
								}
							else
								{	/* Stackable/walk.scm 38 */
									BgL_auxz00_5751 =
										((BgL_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4743));
								}
						}
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_new1117z00_4492))))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_5751), BUNSPEC);
				}
				((((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_new1117z00_4492))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) ((BgL_appz00_bglt)
										BgL_new1117z00_4492))))->BgL_stackablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5767;

					{
						obj_t BgL_auxz00_5768;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5769;

							BgL_tmpz00_5769 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_new1117z00_4492));
							BgL_auxz00_5768 = BGL_OBJECT_WIDENING(BgL_tmpz00_5769);
						}
						BgL_auxz00_5767 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5768);
					}
					((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5767))->
							BgL_depthz00) = ((long) ((long) 0)), BUNSPEC);
				}
				BgL_auxz00_5731 = ((BgL_appz00_bglt) BgL_new1117z00_4492);
				return ((obj_t) BgL_auxz00_5731);
			}
		}

	}



/* &lambda1730 */
	BgL_appz00_bglt BGl_z62lambda1730z62zzstackable_walkz00(obj_t BgL_envz00_4493,
		obj_t BgL_o1114z00_4494)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				BgL_appzf2depthzf2_bglt BgL_wide1116z00_4746;

				BgL_wide1116z00_4746 =
					((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_appzf2depthzf2_bgl))));
				{	/* Stackable/walk.scm 38 */
					obj_t BgL_auxz00_5782;
					BgL_objectz00_bglt BgL_tmpz00_5778;

					BgL_auxz00_5782 = ((obj_t) BgL_wide1116z00_4746);
					BgL_tmpz00_5778 =
						((BgL_objectz00_bglt)
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1114z00_4494)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5778, BgL_auxz00_5782);
				}
				((BgL_objectz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1114z00_4494)));
				{	/* Stackable/walk.scm 38 */
					long BgL_arg1731z00_4747;

					BgL_arg1731z00_4747 =
						BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt)
								((BgL_appz00_bglt) BgL_o1114z00_4494))), BgL_arg1731z00_4747);
				}
				return
					((BgL_appz00_bglt)
					((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_o1114z00_4494)));
			}
		}

	}



/* &lambda1727 */
	BgL_appz00_bglt BGl_z62lambda1727z62zzstackable_walkz00(obj_t BgL_envz00_4495,
		obj_t BgL_loc1106z00_4496, obj_t BgL_type1107z00_4497,
		obj_t BgL_sidezd2effect1108zd2_4498, obj_t BgL_key1109z00_4499,
		obj_t BgL_fun1110z00_4500, obj_t BgL_args1111z00_4501,
		obj_t BgL_stackable1112z00_4502, obj_t BgL_depth1113z00_4503)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_depth1113z00_4750;

				BgL_depth1113z00_4750 = (long) CINT(BgL_depth1113z00_4503);
				{	/* Stackable/walk.scm 38 */
					BgL_appz00_bglt BgL_new1266z00_4751;

					{	/* Stackable/walk.scm 38 */
						BgL_appz00_bglt BgL_tmp1264z00_4752;
						BgL_appzf2depthzf2_bglt BgL_wide1265z00_4753;

						{
							BgL_appz00_bglt BgL_auxz00_5797;

							{	/* Stackable/walk.scm 38 */
								BgL_appz00_bglt BgL_new1263z00_4754;

								BgL_new1263z00_4754 =
									((BgL_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Stackable/walk.scm 38 */
									long BgL_arg1729z00_4755;

									BgL_arg1729z00_4755 = BGL_CLASS_NUM(BGl_appz00zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1263z00_4754),
										BgL_arg1729z00_4755);
								}
								{	/* Stackable/walk.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_5802;

									BgL_tmpz00_5802 = ((BgL_objectz00_bglt) BgL_new1263z00_4754);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5802, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1263z00_4754);
								BgL_auxz00_5797 = BgL_new1263z00_4754;
							}
							BgL_tmp1264z00_4752 = ((BgL_appz00_bglt) BgL_auxz00_5797);
						}
						BgL_wide1265z00_4753 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 38 */
							obj_t BgL_auxz00_5810;
							BgL_objectz00_bglt BgL_tmpz00_5808;

							BgL_auxz00_5810 = ((obj_t) BgL_wide1265z00_4753);
							BgL_tmpz00_5808 = ((BgL_objectz00_bglt) BgL_tmp1264z00_4752);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5808, BgL_auxz00_5810);
						}
						((BgL_objectz00_bglt) BgL_tmp1264z00_4752);
						{	/* Stackable/walk.scm 38 */
							long BgL_arg1728z00_4756;

							BgL_arg1728z00_4756 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1264z00_4752),
								BgL_arg1728z00_4756);
						}
						BgL_new1266z00_4751 = ((BgL_appz00_bglt) BgL_tmp1264z00_4752);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1266z00_4751)))->BgL_locz00) =
						((obj_t) BgL_loc1106z00_4496), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1266z00_4751)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_type1107z00_4497)),
						BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1266z00_4751)))->BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1108zd2_4498), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1266z00_4751)))->BgL_keyz00) =
						((obj_t) BgL_key1109z00_4499), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1266z00_4751)))->BgL_funz00) =
						((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_fun1110z00_4500)),
						BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1266z00_4751)))->BgL_argsz00) =
						((obj_t) BgL_args1111z00_4501), BUNSPEC);
					((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
										BgL_new1266z00_4751)))->BgL_stackablez00) =
						((obj_t) BgL_stackable1112z00_4502), BUNSPEC);
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_5834;

						{
							obj_t BgL_auxz00_5835;

							{	/* Stackable/walk.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_5836;

								BgL_tmpz00_5836 = ((BgL_objectz00_bglt) BgL_new1266z00_4751);
								BgL_auxz00_5835 = BGL_OBJECT_WIDENING(BgL_tmpz00_5836);
							}
							BgL_auxz00_5834 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5835);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5834))->
								BgL_depthz00) = ((long) BgL_depth1113z00_4750), BUNSPEC);
					}
					return BgL_new1266z00_4751;
				}
			}
		}

	}



/* &lambda1748 */
	obj_t BGl_z62lambda1748z62zzstackable_walkz00(obj_t BgL_envz00_4504,
		obj_t BgL_oz00_4505, obj_t BgL_vz00_4506)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_vz00_4758;

				BgL_vz00_4758 = (long) CINT(BgL_vz00_4506);
				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5842;

					{
						obj_t BgL_auxz00_5843;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5844;

							BgL_tmpz00_5844 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4505));
							BgL_auxz00_5843 = BGL_OBJECT_WIDENING(BgL_tmpz00_5844);
						}
						BgL_auxz00_5842 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5843);
					}
					return
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5842))->
							BgL_depthz00) = ((long) BgL_vz00_4758), BUNSPEC);
		}}}

	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zzstackable_walkz00(obj_t BgL_envz00_4507,
		obj_t BgL_oz00_4508)
	{
		{	/* Stackable/walk.scm 38 */
			{	/* Stackable/walk.scm 38 */
				long BgL_tmpz00_5850;

				{
					BgL_appzf2depthzf2_bglt BgL_auxz00_5851;

					{
						obj_t BgL_auxz00_5852;

						{	/* Stackable/walk.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_5853;

							BgL_tmpz00_5853 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_oz00_4508));
							BgL_auxz00_5852 = BGL_OBJECT_WIDENING(BgL_tmpz00_5853);
						}
						BgL_auxz00_5851 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_5852);
					}
					BgL_tmpz00_5850 =
						(((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_5851))->
						BgL_depthz00);
				}
				return BINT(BgL_tmpz00_5850);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_proc2339z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2340z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_proc2341z00zzstackable_walkz00, BFALSE,
				BGl_string2342z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_proc2343z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2344z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_proc2345z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2346z00zzstackable_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_proc2347z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2348z00zzstackable_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_proc2349z00zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2350z00zzstackable_walkz00);
		}

	}



/* &init-stackable1518 */
	obj_t BGl_z62initzd2stackable1518zb0zzstackable_walkz00(obj_t BgL_envz00_4531,
		obj_t BgL_nodez00_4532)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4532),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
		}

	}



/* &depth-let1505 */
	obj_t BGl_z62depthzd2let1505zb0zzstackable_walkz00(obj_t BgL_envz00_4533,
		obj_t BgL_nodez00_4534, obj_t BgL_depthz00_4535, obj_t BgL_funz00_4536)
	{
		{	/* Stackable/walk.scm 455 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4534),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4535,
					BgL_funz00_4536);
			}
		}

	}



/* &lift-let!1501 */
	obj_t BGl_z62liftzd2letz121501za2zzstackable_walkz00(obj_t BgL_envz00_4537,
		obj_t BgL_nodez00_4538)
	{
		{	/* Stackable/walk.scm 387 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4538),
					BGl_liftzd2letz12zd2envz12zzstackable_walkz00));
		}

	}



/* &node-escape1495 */
	obj_t BGl_z62nodezd2escape1495zb0zzstackable_walkz00(obj_t BgL_envz00_4539,
		obj_t BgL_nodez00_4540, obj_t BgL_ctxz00_4541)
	{
		{	/* Stackable/walk.scm 355 */
			{

				return
					BGl_walk1z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_4540),
					BGl_nodezd2escapezd2envz00zzstackable_walkz00, BgL_ctxz00_4541);
			}
		}

	}



/* &escape!1481 */
	obj_t BGl_z62escapez121481z70zzstackable_walkz00(obj_t BgL_envz00_4542,
		obj_t BgL_nodez00_4543, obj_t BgL_ctxz00_4544)
	{
		{	/* Stackable/walk.scm 296 */
			{	/* Stackable/walk.scm 297 */
				obj_t BgL_arg1818z00_4767;
				obj_t BgL_arg1824z00_4768;

				{	/* Stackable/walk.scm 297 */
					obj_t BgL_tmpz00_5875;

					BgL_tmpz00_5875 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1818z00_4767 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_5875);
				}
				BgL_arg1824z00_4768 = BGl_shapez00zztools_shapez00(BgL_nodez00_4543);
				{	/* Stackable/walk.scm 297 */
					obj_t BgL_list1825z00_4769;

					{	/* Stackable/walk.scm 297 */
						obj_t BgL_arg1837z00_4770;

						{	/* Stackable/walk.scm 297 */
							obj_t BgL_arg1838z00_4771;

							{	/* Stackable/walk.scm 297 */
								obj_t BgL_arg1839z00_4772;

								{	/* Stackable/walk.scm 297 */
									obj_t BgL_arg1842z00_4773;

									{	/* Stackable/walk.scm 297 */
										obj_t BgL_arg1848z00_4774;

										BgL_arg1848z00_4774 =
											MAKE_YOUNG_PAIR(BgL_arg1824z00_4768, BNIL);
										BgL_arg1842z00_4773 =
											MAKE_YOUNG_PAIR(BGl_string2351z00zzstackable_walkz00,
											BgL_arg1848z00_4774);
									}
									BgL_arg1839z00_4772 =
										MAKE_YOUNG_PAIR(BGl_string2352z00zzstackable_walkz00,
										BgL_arg1842z00_4773);
								}
								BgL_arg1838z00_4771 =
									MAKE_YOUNG_PAIR(BINT(((long) 297)), BgL_arg1839z00_4772);
							}
							BgL_arg1837z00_4770 =
								MAKE_YOUNG_PAIR(BGl_string2353z00zzstackable_walkz00,
								BgL_arg1838z00_4771);
						}
						BgL_list1825z00_4769 =
							MAKE_YOUNG_PAIR(BGl_string2354z00zzstackable_walkz00,
							BgL_arg1837z00_4770);
					}
					BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1818z00_4767,
						BgL_list1825z00_4769);
			}}
			return BUNSPEC;
		}

	}



/* &stackable1461 */
	obj_t BGl_z62stackable1461z62zzstackable_walkz00(obj_t BgL_envz00_4545,
		obj_t BgL_nodez00_4546, obj_t BgL_escpz00_4547, obj_t BgL_depthz00_4548,
		obj_t BgL_ctxz00_4549)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				bool_t BgL_escpz00_4776;
				long BgL_depthz00_4777;

				BgL_escpz00_4776 = CBOOL(BgL_escpz00_4547);
				BgL_depthz00_4777 = (long) CINT(BgL_depthz00_4548);
				{

					BgL_escpz00_4776 = ((bool_t) 1);
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_4546),
						BGl_stackablezd2envzd2zzstackable_walkz00, BBOOL(BgL_escpz00_4776),
						BINT(BgL_depthz00_4777), ((obj_t) BgL_ctxz00_4549));
				}
			}
		}

	}



/* stackable */
	obj_t BGl_stackablez00zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_23,
		bool_t BgL_escpz00_24, long BgL_depthz00_25, obj_t BgL_ctxz00_26)
	{
		{	/* Stackable/walk.scm 113 */
			{	/* Stackable/walk.scm 113 */
				obj_t BgL_method1462z00_2051;

				{	/* Stackable/walk.scm 113 */
					obj_t BgL_res2265z00_3400;

					{	/* Stackable/walk.scm 113 */
						long BgL_objzd2classzd2numz00_3371;

						BgL_objzd2classzd2numz00_3371 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Stackable/walk.scm 113 */
							obj_t BgL_arg1829z00_3372;

							BgL_arg1829z00_3372 =
								PROCEDURE_REF(BGl_stackablezd2envzd2zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 113 */
								int BgL_offsetz00_3375;

								BgL_offsetz00_3375 = (int) (BgL_objzd2classzd2numz00_3371);
								{	/* Stackable/walk.scm 113 */
									long BgL_offsetz00_3376;

									BgL_offsetz00_3376 =
										((long) (BgL_offsetz00_3375) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 113 */
										long BgL_modz00_3377;

										BgL_modz00_3377 =
											(BgL_offsetz00_3376 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 113 */
											long BgL_restz00_3379;

											BgL_restz00_3379 =
												(BgL_offsetz00_3376 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 113 */

												{	/* Stackable/walk.scm 113 */
													obj_t BgL_bucketz00_3381;

													BgL_bucketz00_3381 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3372), BgL_modz00_3377);
													BgL_res2265z00_3400 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3381), BgL_restz00_3379);
					}}}}}}}}
					BgL_method1462z00_2051 = BgL_res2265z00_3400;
				}
				return
					PROCEDURE_ENTRY(BgL_method1462z00_2051) (BgL_method1462z00_2051,
					((obj_t) BgL_nodez00_23),
					BBOOL(BgL_escpz00_24), BINT(BgL_depthz00_25), BgL_ctxz00_26, BEOA);
			}
		}

	}



/* &stackable */
	obj_t BGl_z62stackablez62zzstackable_walkz00(obj_t BgL_envz00_4526,
		obj_t BgL_nodez00_4527, obj_t BgL_escpz00_4528, obj_t BgL_depthz00_4529,
		obj_t BgL_ctxz00_4530)
	{
		{	/* Stackable/walk.scm 113 */
			return
				BGl_stackablez00zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4527),
				CBOOL(BgL_escpz00_4528),
				(long) CINT(BgL_depthz00_4529), BgL_ctxz00_4530);
		}

	}



/* escape! */
	obj_t BGl_escapez12z12zzstackable_walkz00(obj_t BgL_nodez00_63,
		obj_t BgL_ctxz00_64)
	{
		{	/* Stackable/walk.scm 296 */
			if (BGL_OBJECTP(BgL_nodez00_63))
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_method1482z00_2053;

					{	/* Stackable/walk.scm 296 */
						obj_t BgL_res2270z00_3431;

						{	/* Stackable/walk.scm 296 */
							long BgL_objzd2classzd2numz00_3402;

							BgL_objzd2classzd2numz00_3402 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_63));
							{	/* Stackable/walk.scm 296 */
								obj_t BgL_arg1829z00_3403;

								BgL_arg1829z00_3403 =
									PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
									(int) (((long) 1)));
								{	/* Stackable/walk.scm 296 */
									int BgL_offsetz00_3406;

									BgL_offsetz00_3406 = (int) (BgL_objzd2classzd2numz00_3402);
									{	/* Stackable/walk.scm 296 */
										long BgL_offsetz00_3407;

										BgL_offsetz00_3407 =
											((long) (BgL_offsetz00_3406) - OBJECT_TYPE);
										{	/* Stackable/walk.scm 296 */
											long BgL_modz00_3408;

											BgL_modz00_3408 =
												(BgL_offsetz00_3407 >>
												(int) ((long) ((int) (((long) 4)))));
											{	/* Stackable/walk.scm 296 */
												long BgL_restz00_3410;

												BgL_restz00_3410 =
													(BgL_offsetz00_3407 &
													(long) (
														(int) (
															((long) (
																	(int) (
																		(((long) 1) <<
																			(int) (
																				(long) (
																					(int) (((long) 4))))))) -
																((long) 1)))));
												{	/* Stackable/walk.scm 296 */

													{	/* Stackable/walk.scm 296 */
														obj_t BgL_bucketz00_3412;

														BgL_bucketz00_3412 =
															VECTOR_REF(
															((obj_t) BgL_arg1829z00_3403), BgL_modz00_3408);
														BgL_res2270z00_3431 =
															VECTOR_REF(
															((obj_t) BgL_bucketz00_3412), BgL_restz00_3410);
						}}}}}}}}
						BgL_method1482z00_2053 = BgL_res2270z00_3431;
					}
					return
						PROCEDURE_ENTRY(BgL_method1482z00_2053) (BgL_method1482z00_2053,
						BgL_nodez00_63, BgL_ctxz00_64, BEOA);
				}
			else
				{	/* Stackable/walk.scm 296 */
					obj_t BgL_fun1867z00_2054;

					BgL_fun1867z00_2054 =
						PROCEDURE_REF(BGl_escapez12zd2envzc0zzstackable_walkz00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1867z00_2054) (BgL_fun1867z00_2054,
						BgL_nodez00_63, BgL_ctxz00_64, BEOA);
				}
		}

	}



/* &escape! */
	obj_t BGl_z62escapez12z70zzstackable_walkz00(obj_t BgL_envz00_4550,
		obj_t BgL_nodez00_4551, obj_t BgL_ctxz00_4552)
	{
		{	/* Stackable/walk.scm 296 */
			return
				BGl_escapez12z12zzstackable_walkz00(BgL_nodez00_4551, BgL_ctxz00_4552);
		}

	}



/* node-escape */
	obj_t BGl_nodezd2escapezd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_77,
		obj_t BgL_ctxz00_78)
	{
		{	/* Stackable/walk.scm 355 */
			{	/* Stackable/walk.scm 355 */
				obj_t BgL_method1496z00_2055;

				{	/* Stackable/walk.scm 355 */
					obj_t BgL_res2276z00_3463;

					{	/* Stackable/walk.scm 355 */
						long BgL_objzd2classzd2numz00_3434;

						BgL_objzd2classzd2numz00_3434 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_77));
						{	/* Stackable/walk.scm 355 */
							obj_t BgL_arg1829z00_3435;

							BgL_arg1829z00_3435 =
								PROCEDURE_REF(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 355 */
								int BgL_offsetz00_3438;

								BgL_offsetz00_3438 = (int) (BgL_objzd2classzd2numz00_3434);
								{	/* Stackable/walk.scm 355 */
									long BgL_offsetz00_3439;

									BgL_offsetz00_3439 =
										((long) (BgL_offsetz00_3438) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 355 */
										long BgL_modz00_3440;

										BgL_modz00_3440 =
											(BgL_offsetz00_3439 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 355 */
											long BgL_restz00_3442;

											BgL_restz00_3442 =
												(BgL_offsetz00_3439 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 355 */

												{	/* Stackable/walk.scm 355 */
													obj_t BgL_bucketz00_3444;

													BgL_bucketz00_3444 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3435), BgL_modz00_3440);
													BgL_res2276z00_3463 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3444), BgL_restz00_3442);
					}}}}}}}}
					BgL_method1496z00_2055 = BgL_res2276z00_3463;
				}
				return
					PROCEDURE_ENTRY(BgL_method1496z00_2055) (BgL_method1496z00_2055,
					((obj_t) BgL_nodez00_77), BgL_ctxz00_78, BEOA);
			}
		}

	}



/* &node-escape */
	obj_t BGl_z62nodezd2escapezb0zzstackable_walkz00(obj_t BgL_envz00_4521,
		obj_t BgL_nodez00_4522, obj_t BgL_ctxz00_4523)
	{
		{	/* Stackable/walk.scm 355 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4522), BgL_ctxz00_4523);
		}

	}



/* lift-let! */
	BgL_nodez00_bglt BGl_liftzd2letz12zc0zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_84)
	{
		{	/* Stackable/walk.scm 387 */
			{	/* Stackable/walk.scm 387 */
				obj_t BgL_method1502z00_2056;

				{	/* Stackable/walk.scm 387 */
					obj_t BgL_res2281z00_3494;

					{	/* Stackable/walk.scm 387 */
						long BgL_objzd2classzd2numz00_3465;

						BgL_objzd2classzd2numz00_3465 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_84));
						{	/* Stackable/walk.scm 387 */
							obj_t BgL_arg1829z00_3466;

							BgL_arg1829z00_3466 =
								PROCEDURE_REF(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 387 */
								int BgL_offsetz00_3469;

								BgL_offsetz00_3469 = (int) (BgL_objzd2classzd2numz00_3465);
								{	/* Stackable/walk.scm 387 */
									long BgL_offsetz00_3470;

									BgL_offsetz00_3470 =
										((long) (BgL_offsetz00_3469) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 387 */
										long BgL_modz00_3471;

										BgL_modz00_3471 =
											(BgL_offsetz00_3470 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 387 */
											long BgL_restz00_3473;

											BgL_restz00_3473 =
												(BgL_offsetz00_3470 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 387 */

												{	/* Stackable/walk.scm 387 */
													obj_t BgL_bucketz00_3475;

													BgL_bucketz00_3475 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3466), BgL_modz00_3471);
													BgL_res2281z00_3494 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3475), BgL_restz00_3473);
					}}}}}}}}
					BgL_method1502z00_2056 = BgL_res2281z00_3494;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1502z00_2056) (BgL_method1502z00_2056,
						((obj_t) BgL_nodez00_84), BEOA));
			}
		}

	}



/* &lift-let! */
	BgL_nodez00_bglt BGl_z62liftzd2letz12za2zzstackable_walkz00(obj_t
		BgL_envz00_4518, obj_t BgL_nodez00_4519)
	{
		{	/* Stackable/walk.scm 387 */
			return
				BGl_liftzd2letz12zc0zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4519));
		}

	}



/* depth-let */
	obj_t BGl_depthzd2letzd2zzstackable_walkz00(BgL_nodez00_bglt BgL_nodez00_87,
		obj_t BgL_depthz00_88, obj_t BgL_funz00_89)
	{
		{	/* Stackable/walk.scm 455 */
			{	/* Stackable/walk.scm 455 */
				obj_t BgL_method1507z00_2057;

				{	/* Stackable/walk.scm 455 */
					obj_t BgL_res2286z00_3525;

					{	/* Stackable/walk.scm 455 */
						long BgL_objzd2classzd2numz00_3496;

						BgL_objzd2classzd2numz00_3496 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_87));
						{	/* Stackable/walk.scm 455 */
							obj_t BgL_arg1829z00_3497;

							BgL_arg1829z00_3497 =
								PROCEDURE_REF(BGl_depthzd2letzd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 455 */
								int BgL_offsetz00_3500;

								BgL_offsetz00_3500 = (int) (BgL_objzd2classzd2numz00_3496);
								{	/* Stackable/walk.scm 455 */
									long BgL_offsetz00_3501;

									BgL_offsetz00_3501 =
										((long) (BgL_offsetz00_3500) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 455 */
										long BgL_modz00_3502;

										BgL_modz00_3502 =
											(BgL_offsetz00_3501 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 455 */
											long BgL_restz00_3504;

											BgL_restz00_3504 =
												(BgL_offsetz00_3501 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 455 */

												{	/* Stackable/walk.scm 455 */
													obj_t BgL_bucketz00_3506;

													BgL_bucketz00_3506 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3497), BgL_modz00_3502);
													BgL_res2286z00_3525 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3506), BgL_restz00_3504);
					}}}}}}}}
					BgL_method1507z00_2057 = BgL_res2286z00_3525;
				}
				return
					PROCEDURE_ENTRY(BgL_method1507z00_2057) (BgL_method1507z00_2057,
					((obj_t) BgL_nodez00_87), BgL_depthz00_88, BgL_funz00_89, BEOA);
			}
		}

	}



/* &depth-let */
	obj_t BGl_z62depthzd2letzb0zzstackable_walkz00(obj_t BgL_envz00_4513,
		obj_t BgL_nodez00_4514, obj_t BgL_depthz00_4515, obj_t BgL_funz00_4516)
	{
		{	/* Stackable/walk.scm 455 */
			return
				BGl_depthzd2letzd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4514), BgL_depthz00_4515,
				BgL_funz00_4516);
		}

	}



/* init-stackable */
	obj_t BGl_initzd2stackablezd2zzstackable_walkz00(BgL_nodez00_bglt
		BgL_nodez00_106)
	{
		{	/* Stackable/walk.scm 535 */
			{	/* Stackable/walk.scm 535 */
				obj_t BgL_method1519z00_2058;

				{	/* Stackable/walk.scm 535 */
					obj_t BgL_res2291z00_3556;

					{	/* Stackable/walk.scm 535 */
						long BgL_objzd2classzd2numz00_3527;

						BgL_objzd2classzd2numz00_3527 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_106));
						{	/* Stackable/walk.scm 535 */
							obj_t BgL_arg1829z00_3528;

							BgL_arg1829z00_3528 =
								PROCEDURE_REF(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
								(int) (((long) 1)));
							{	/* Stackable/walk.scm 535 */
								int BgL_offsetz00_3531;

								BgL_offsetz00_3531 = (int) (BgL_objzd2classzd2numz00_3527);
								{	/* Stackable/walk.scm 535 */
									long BgL_offsetz00_3532;

									BgL_offsetz00_3532 =
										((long) (BgL_offsetz00_3531) - OBJECT_TYPE);
									{	/* Stackable/walk.scm 535 */
										long BgL_modz00_3533;

										BgL_modz00_3533 =
											(BgL_offsetz00_3532 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Stackable/walk.scm 535 */
											long BgL_restz00_3535;

											BgL_restz00_3535 =
												(BgL_offsetz00_3532 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Stackable/walk.scm 535 */

												{	/* Stackable/walk.scm 535 */
													obj_t BgL_bucketz00_3537;

													BgL_bucketz00_3537 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_3528), BgL_modz00_3533);
													BgL_res2291z00_3556 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3537), BgL_restz00_3535);
					}}}}}}}}
					BgL_method1519z00_2058 = BgL_res2291z00_3556;
				}
				return
					PROCEDURE_ENTRY(BgL_method1519z00_2058) (BgL_method1519z00_2058,
					((obj_t) BgL_nodez00_106), BEOA);
			}
		}

	}



/* &init-stackable */
	obj_t BGl_z62initzd2stackablezb0zzstackable_walkz00(obj_t BgL_envz00_4510,
		obj_t BgL_nodez00_4511)
	{
		{	/* Stackable/walk.scm 535 */
			return
				BGl_initzd2stackablezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4511));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00,
				BGl_localzf2depthzf2zzstackable_walkz00,
				BGl_proc2355z00zzstackable_walkz00,
				BGl_string2356z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
				BGl_appzf2depthzf2zzstackable_walkz00,
				BGl_proc2357z00zzstackable_walkz00,
				BGl_string2358z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2359z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2361z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2362z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2363z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2364z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2365z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2366z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2367z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_stackablezd2envzd2zzstackable_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2368z00zzstackable_walkz00,
				BGl_string2360z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_globalz00zzast_varz00,
				BGl_proc2369z00zzstackable_walkz00,
				BGl_string2370z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_localz00zzast_varz00,
				BGl_proc2371z00zzstackable_walkz00,
				BGl_string2370z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_nodez00zzast_nodez00,
				BGl_proc2372z00zzstackable_walkz00,
				BGl_string2370z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2373z00zzstackable_walkz00,
				BGl_string2370z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2374z00zzstackable_walkz00,
				BGl_string2370z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_escapez12zd2envzc0zzstackable_walkz00, BGl_closurez00zzast_nodez00,
				BGl_proc2375z00zzstackable_walkz00,
				BGl_string2376z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2377z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2escapezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2379z00zzstackable_walkz00,
				BGl_string2378z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_liftzd2letz12zd2envz12zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2380z00zzstackable_walkz00,
				BGl_string2381z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2382z00zzstackable_walkz00,
				BGl_string2383z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2384z00zzstackable_walkz00,
				BGl_string2383z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2385z00zzstackable_walkz00,
				BGl_string2383z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2386z00zzstackable_walkz00,
				BGl_string2383z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_depthzd2letzd2envz00zzstackable_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2387z00zzstackable_walkz00,
				BGl_string2383z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2388z00zzstackable_walkz00,
				BGl_string2389z00zzstackable_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2390z00zzstackable_walkz00,
				BGl_string2389z00zzstackable_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_initzd2stackablezd2envz00zzstackable_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2391z00zzstackable_walkz00,
				BGl_string2389z00zzstackable_walkz00);
		}

	}



/* &init-stackable-closu1525 */
	obj_t BGl_z62initzd2stackablezd2closu1525z62zzstackable_walkz00(obj_t
		BgL_envz00_4585, obj_t BgL_nodez00_4586)
	{
		{	/* Stackable/walk.scm 557 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_closurez00_bglt) BgL_nodez00_4586)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			{	/* Stackable/walk.scm 559 */
				BgL_variablez00_bglt BgL_vz00_4781;

				BgL_vz00_4781 =
					(((BgL_varz00_bglt) COBJECT(
							((BgL_varz00_bglt)
								((BgL_closurez00_bglt) BgL_nodez00_4586))))->BgL_variablez00);
				{	/* Stackable/walk.scm 559 */
					BgL_valuez00_bglt BgL_fz00_4782;

					BgL_fz00_4782 =
						(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4781))->BgL_valuez00);
					{	/* Stackable/walk.scm 560 */

						return
							((((BgL_sfunz00_bglt) COBJECT(
										((BgL_sfunz00_bglt) BgL_fz00_4782)))->BgL_stackablez00) =
							((obj_t) BTRUE), BUNSPEC);
					}
				}
			}
		}

	}



/* &init-stackable-make-1523 */
	obj_t BGl_z62initzd2stackablezd2makezd21523zb0zzstackable_walkz00(obj_t
		BgL_envz00_4587, obj_t BgL_nodez00_4588)
	{
		{	/* Stackable/walk.scm 549 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_makezd2boxzd2_bglt) BgL_nodez00_4588)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt)
								BgL_nodez00_4588)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &init-stackable-app1521 */
	obj_t BGl_z62initzd2stackablezd2app1521z62zzstackable_walkz00(obj_t
		BgL_envz00_4589, obj_t BgL_nodez00_4590)
	{
		{	/* Stackable/walk.scm 541 */
			BGl_walk0z00zzast_walkz00(
				((BgL_nodez00_bglt)
					((BgL_appz00_bglt) BgL_nodez00_4590)),
				BGl_initzd2stackablezd2envz00zzstackable_walkz00);
			return ((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
								BgL_nodez00_4590)))->BgL_stackablez00) =
				((obj_t) BTRUE), BUNSPEC);
		}

	}



/* &depth-let-set-ex-it1517 */
	obj_t BGl_z62depthzd2letzd2setzd2exzd2it1517z62zzstackable_walkz00(obj_t
		BgL_envz00_4591, obj_t BgL_nodez00_4592, obj_t BgL_depthz00_4593,
		obj_t BgL_funz00_4594)
	{
		{	/* Stackable/walk.scm 513 */
			{

				BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4592)),
					BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4593,
					BgL_funz00_4594);
				{	/* Stackable/walk.scm 516 */
					BgL_varz00_bglt BgL_i1252z00_4787;

					BgL_i1252z00_4787 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4592)))->BgL_varz00);
					{	/* Stackable/walk.scm 517 */
						BgL_localz00_bglt BgL_i1253z00_4788;

						BgL_i1253z00_4788 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1252z00_4787))->
								BgL_variablez00));
						((((BgL_localz00_bglt) COBJECT(BgL_i1253z00_4788))->
								BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
					}
					{	/* Stackable/walk.scm 519 */
						BgL_localz00_bglt BgL_tmp1254z00_4789;

						BgL_tmp1254z00_4789 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(BgL_i1252z00_4787))->
								BgL_variablez00));
						{	/* Stackable/walk.scm 519 */
							BgL_localzf2depthzf2_bglt BgL_wide1256z00_4790;

							BgL_wide1256z00_4790 =
								((BgL_localzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_localzf2depthzf2_bgl))));
							{	/* Stackable/walk.scm 519 */
								obj_t BgL_auxz00_6166;
								BgL_objectz00_bglt BgL_tmpz00_6163;

								BgL_auxz00_6166 = ((obj_t) BgL_wide1256z00_4790);
								BgL_tmpz00_6163 =
									((BgL_objectz00_bglt)
									((BgL_localz00_bglt) BgL_tmp1254z00_4789));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6163, BgL_auxz00_6166);
							}
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_tmp1254z00_4789));
							{	/* Stackable/walk.scm 519 */
								long BgL_arg2180z00_4791;

								BgL_arg2180z00_4791 =
									BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1254z00_4789)),
									BgL_arg2180z00_4791);
							}
							((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_tmp1254z00_4789));
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6177;

							{
								obj_t BgL_auxz00_6178;

								{	/* Stackable/walk.scm 521 */
									BgL_objectz00_bglt BgL_tmpz00_6179;

									BgL_tmpz00_6179 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1254z00_4789));
									BgL_auxz00_6178 = BGL_OBJECT_WIDENING(BgL_tmpz00_6179);
								}
								BgL_auxz00_6177 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6178);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6177))->
									BgL_depthz00) =
								((long) ((long) CINT(BgL_depthz00_4593) + ((long) 1))),
								BUNSPEC);
						}
						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_6187;

							{
								obj_t BgL_auxz00_6188;

								{	/* Stackable/walk.scm 520 */
									BgL_objectz00_bglt BgL_tmpz00_6189;

									BgL_tmpz00_6189 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_tmp1254z00_4789));
									BgL_auxz00_6188 = BGL_OBJECT_WIDENING(BgL_tmpz00_6189);
								}
								BgL_auxz00_6187 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_6188);
							}
							((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6187))->
									BgL_ownerz00) = ((obj_t) BgL_funz00_4594), BUNSPEC);
						}
						((BgL_localz00_bglt) BgL_tmp1254z00_4789);
				}}
				{	/* Stackable/walk.scm 522 */
					BgL_nodez00_bglt BgL_arg2181z00_4792;
					long BgL_arg2182z00_4793;

					BgL_arg2181z00_4792 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4592)))->BgL_bodyz00);
					BgL_arg2182z00_4793 = ((long) CINT(BgL_depthz00_4593) + ((long) 1));
					return
						BGl_depthzd2letzd2zzstackable_walkz00(BgL_arg2181z00_4792,
						BINT(BgL_arg2182z00_4793), BgL_funz00_4594);
				}
			}
		}

	}



/* &depth-let-app1515 */
	obj_t BGl_z62depthzd2letzd2app1515z62zzstackable_walkz00(obj_t
		BgL_envz00_4595, obj_t BgL_nodez00_4596, obj_t BgL_depthz00_4597,
		obj_t BgL_funz00_4598)
	{
		{	/* Stackable/walk.scm 506 */
			{
				BgL_appz00_bglt BgL_auxz00_6202;

				{

					BGl_walk2z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_4596)),
						BGl_depthzd2letzd2envz00zzstackable_walkz00, BgL_depthz00_4597,
						BgL_funz00_4598);
					{	/* Stackable/walk.scm 508 */
						BgL_appzf2depthzf2_bglt BgL_wide1249z00_4796;

						BgL_wide1249z00_4796 =
							((BgL_appzf2depthzf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_appzf2depthzf2_bgl))));
						{	/* Stackable/walk.scm 508 */
							obj_t BgL_auxz00_6211;
							BgL_objectz00_bglt BgL_tmpz00_6207;

							BgL_auxz00_6211 = ((obj_t) BgL_wide1249z00_4796);
							BgL_tmpz00_6207 =
								((BgL_objectz00_bglt)
								((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6207, BgL_auxz00_6211);
						}
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596)));
						{	/* Stackable/walk.scm 508 */
							long BgL_arg2176z00_4797;

							BgL_arg2176z00_4797 =
								BGL_CLASS_NUM(BGl_appzf2depthzf2zzstackable_walkz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_4596))),
								BgL_arg2176z00_4797);
						}
						((BgL_appz00_bglt)
							((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596)));
					}
					{
						BgL_appzf2depthzf2_bglt BgL_auxz00_6225;

						{
							obj_t BgL_auxz00_6226;

							{	/* Stackable/walk.scm 508 */
								BgL_objectz00_bglt BgL_tmpz00_6227;

								BgL_tmpz00_6227 =
									((BgL_objectz00_bglt)
									((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596)));
								BgL_auxz00_6226 = BGL_OBJECT_WIDENING(BgL_tmpz00_6227);
							}
							BgL_auxz00_6225 = ((BgL_appzf2depthzf2_bglt) BgL_auxz00_6226);
						}
						((((BgL_appzf2depthzf2_bglt) COBJECT(BgL_auxz00_6225))->
								BgL_depthz00) =
							((long) (long) CINT(BgL_depthz00_4597)), BUNSPEC);
					}
					BgL_auxz00_6202 =
						((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4596));
				}
				return ((obj_t) BgL_auxz00_6202);
			}
		}

	}



/* &depth-let-let-fun1513 */
	obj_t BGl_z62depthzd2letzd2letzd2fun1513zb0zzstackable_walkz00(obj_t
		BgL_envz00_4599, obj_t BgL_nodez00_4600, obj_t BgL_depthz00_4601,
		obj_t BgL_funz00_4602)
	{
		{	/* Stackable/walk.scm 485 */
			{	/* Stackable/walk.scm 486 */
				long BgL_depthz00_4799;

				BgL_depthz00_4799 = ((long) CINT(BgL_depthz00_4601) + ((long) 1));
				{	/* Stackable/walk.scm 488 */
					obj_t BgL_g1452z00_4800;

					BgL_g1452z00_4800 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4600)))->BgL_localsz00);
					{
						obj_t BgL_l1450z00_4802;

						BgL_l1450z00_4802 = BgL_g1452z00_4800;
					BgL_zc3z04anonymousza32161ze3z87_4801:
						if (PAIRP(BgL_l1450z00_4802))
							{	/* Stackable/walk.scm 488 */
								{	/* Stackable/walk.scm 489 */
									obj_t BgL_localz00_4803;

									BgL_localz00_4803 = CAR(BgL_l1450z00_4802);
									{	/* Stackable/walk.scm 490 */
										BgL_localzf2depthzf2_bglt BgL_wide1240z00_4804;

										BgL_wide1240z00_4804 =
											((BgL_localzf2depthzf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_localzf2depthzf2_bgl))));
										{	/* Stackable/walk.scm 490 */
											obj_t BgL_auxz00_6250;
											BgL_objectz00_bglt BgL_tmpz00_6246;

											BgL_auxz00_6250 = ((obj_t) BgL_wide1240z00_4804);
											BgL_tmpz00_6246 =
												((BgL_objectz00_bglt)
												((BgL_localz00_bglt)
													((BgL_localz00_bglt) BgL_localz00_4803)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6246, BgL_auxz00_6250);
										}
										((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4803)));
										{	/* Stackable/walk.scm 490 */
											long BgL_arg2164z00_4805;

											BgL_arg2164z00_4805 =
												BGL_CLASS_NUM(BGl_localzf2depthzf2zzstackable_walkz00);
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4803))),
												BgL_arg2164z00_4805);
										}
										((BgL_localz00_bglt)
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_localz00_4803)));
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6264;

										{
											obj_t BgL_auxz00_6265;

											{	/* Stackable/walk.scm 492 */
												BgL_objectz00_bglt BgL_tmpz00_6266;

												BgL_tmpz00_6266 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4803)));
												BgL_auxz00_6265 = BGL_OBJECT_WIDENING(BgL_tmpz00_6266);
											}
											BgL_auxz00_6264 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6265);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6264))->
												BgL_depthz00) = ((long) BgL_depthz00_4799), BUNSPEC);
									}
									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_6273;

										{
											obj_t BgL_auxz00_6274;

											{	/* Stackable/walk.scm 491 */
												BgL_objectz00_bglt BgL_tmpz00_6275;

												BgL_tmpz00_6275 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_4803)));
												BgL_auxz00_6274 = BGL_OBJECT_WIDENING(BgL_tmpz00_6275);
											}
											BgL_auxz00_6273 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_6274);
										}
										((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6273))->
												BgL_ownerz00) = ((obj_t) BgL_funz00_4602), BUNSPEC);
									}
									((BgL_localz00_bglt) ((BgL_localz00_bglt) BgL_localz00_4803));
									{	/* Stackable/walk.scm 493 */
										BgL_sfunz00_bglt BgL_i1242z00_4806;

										BgL_i1242z00_4806 =
											((BgL_sfunz00_bglt)
											(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_localz00_4803))))->
												BgL_valuez00));
										{	/* Stackable/walk.scm 494 */
											obj_t BgL_g1449z00_4807;

											BgL_g1449z00_4807 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1242z00_4806))->
												BgL_argsz00);
											{
												obj_t BgL_l1447z00_4809;

												BgL_l1447z00_4809 = BgL_g1449z00_4807;
											BgL_zc3z04anonymousza32165ze3z87_4808:
												if (PAIRP(BgL_l1447z00_4809))
													{	/* Stackable/walk.scm 494 */
														{	/* Stackable/walk.scm 495 */
															obj_t BgL_az00_4810;

															BgL_az00_4810 = CAR(BgL_l1447z00_4809);
															{	/* Stackable/walk.scm 495 */
																BgL_localzf2depthzf2_bglt BgL_wide1245z00_4811;

																BgL_wide1245z00_4811 =
																	((BgL_localzf2depthzf2_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_localzf2depthzf2_bgl))));
																{	/* Stackable/walk.scm 495 */
																	obj_t BgL_auxz00_6297;
																	BgL_objectz00_bglt BgL_tmpz00_6293;

																	BgL_auxz00_6297 =
																		((obj_t) BgL_wide1245z00_4811);
																	BgL_tmpz00_6293 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_az00_4810)));
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6293,
																		BgL_auxz00_6297);
																}
																((BgL_objectz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4810)));
																{	/* Stackable/walk.scm 495 */
																	long BgL_arg2167z00_4812;

																	BgL_arg2167z00_4812 =
																		BGL_CLASS_NUM
																		(BGl_localzf2depthzf2zzstackable_walkz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			((BgL_localz00_bglt) ((BgL_localz00_bglt)
																					BgL_az00_4810))),
																		BgL_arg2167z00_4812);
																}
																((BgL_localz00_bglt)
																	((BgL_localz00_bglt)
																		((BgL_localz00_bglt) BgL_az00_4810)));
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6311;

																{
																	obj_t BgL_auxz00_6312;

																	{	/* Stackable/walk.scm 497 */
																		BgL_objectz00_bglt BgL_tmpz00_6313;

																		BgL_tmpz00_6313 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4810)));
																		BgL_auxz00_6312 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6313);
																	}
																	BgL_auxz00_6311 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6312);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6311))->BgL_depthz00) =
																	((long) (BgL_depthz00_4799 + ((long) 1))),
																	BUNSPEC);
															}
															{
																BgL_localzf2depthzf2_bglt BgL_auxz00_6321;

																{
																	obj_t BgL_auxz00_6322;

																	{	/* Stackable/walk.scm 496 */
																		BgL_objectz00_bglt BgL_tmpz00_6323;

																		BgL_tmpz00_6323 =
																			((BgL_objectz00_bglt)
																			((BgL_localz00_bglt)
																				((BgL_localz00_bglt) BgL_az00_4810)));
																		BgL_auxz00_6322 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_6323);
																	}
																	BgL_auxz00_6321 =
																		((BgL_localzf2depthzf2_bglt)
																		BgL_auxz00_6322);
																}
																((((BgL_localzf2depthzf2_bglt)
																			COBJECT(BgL_auxz00_6321))->BgL_ownerz00) =
																	((obj_t) BgL_localz00_4803), BUNSPEC);
															}
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_az00_4810));
														}
														{
															obj_t BgL_l1447z00_6332;

															BgL_l1447z00_6332 = CDR(BgL_l1447z00_4809);
															BgL_l1447z00_4809 = BgL_l1447z00_6332;
															goto BgL_zc3z04anonymousza32165ze3z87_4808;
														}
													}
												else
													{	/* Stackable/walk.scm 494 */
														((bool_t) 1);
													}
											}
										}
										{	/* Stackable/walk.scm 499 */
											obj_t BgL_arg2169z00_4813;
											long BgL_arg2170z00_4814;

											BgL_arg2169z00_4813 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1242z00_4806))->
												BgL_bodyz00);
											BgL_arg2170z00_4814 = (BgL_depthz00_4799 + ((long) 1));
											BGl_depthzd2letzd2zzstackable_walkz00(
												((BgL_nodez00_bglt) BgL_arg2169z00_4813),
												BINT(BgL_arg2170z00_4814), BgL_localz00_4803);
								}}}
								{
									obj_t BgL_l1450z00_6339;

									BgL_l1450z00_6339 = CDR(BgL_l1450z00_4802);
									BgL_l1450z00_4802 = BgL_l1450z00_6339;
									goto BgL_zc3z04anonymousza32161ze3z87_4801;
								}
							}
						else
							{	/* Stackable/walk.scm 488 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_4600)))->BgL_bodyz00),
					BINT(BgL_depthz00_4799), BgL_funz00_4602);
			}
		}

	}



/* &depth-let-let-var1511 */
	obj_t BGl_z62depthzd2letzd2letzd2var1511zb0zzstackable_walkz00(obj_t
		BgL_envz00_4603, obj_t BgL_nodez00_4604, obj_t BgL_depthz00_4605,
		obj_t BgL_funz00_4606)
	{
		{	/* Stackable/walk.scm 471 */
			{	/* Stackable/walk.scm 472 */
				long BgL_depthz00_4816;

				BgL_depthz00_4816 = ((long) CINT(BgL_depthz00_4605) + ((long) 1));
				{	/* Stackable/walk.scm 474 */
					obj_t BgL_g1446z00_4817;

					BgL_g1446z00_4817 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4604)))->BgL_bindingsz00);
					{
						obj_t BgL_l1444z00_4819;

						BgL_l1444z00_4819 = BgL_g1446z00_4817;
					BgL_zc3z04anonymousza32152ze3z87_4818:
						if (PAIRP(BgL_l1444z00_4819))
							{	/* Stackable/walk.scm 474 */
								{	/* Stackable/walk.scm 477 */
									obj_t BgL_bindingz00_4820;

									BgL_bindingz00_4820 = CAR(BgL_l1444z00_4819);
									{	/* Stackable/walk.scm 475 */
										BgL_localz00_bglt BgL_tmp1232z00_4821;

										BgL_tmp1232z00_4821 =
											((BgL_localz00_bglt) CAR(((obj_t) BgL_bindingz00_4820)));
										{	/* Stackable/walk.scm 475 */
											BgL_localzf2depthzf2_bglt BgL_wide1234z00_4822;

											BgL_wide1234z00_4822 =
												((BgL_localzf2depthzf2_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_localzf2depthzf2_bgl))));
											{	/* Stackable/walk.scm 475 */
												obj_t BgL_auxz00_6359;
												BgL_objectz00_bglt BgL_tmpz00_6356;

												BgL_auxz00_6359 = ((obj_t) BgL_wide1234z00_4822);
												BgL_tmpz00_6356 =
													((BgL_objectz00_bglt)
													((BgL_localz00_bglt) BgL_tmp1232z00_4821));
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6356,
													BgL_auxz00_6359);
											}
											((BgL_objectz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1232z00_4821));
											{	/* Stackable/walk.scm 475 */
												long BgL_arg2154z00_4823;

												BgL_arg2154z00_4823 =
													BGL_CLASS_NUM
													(BGl_localzf2depthzf2zzstackable_walkz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt) (
															(BgL_localz00_bglt) BgL_tmp1232z00_4821)),
													BgL_arg2154z00_4823);
											}
											((BgL_localz00_bglt)
												((BgL_localz00_bglt) BgL_tmp1232z00_4821));
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6370;

											{
												obj_t BgL_auxz00_6371;

												{	/* Stackable/walk.scm 477 */
													BgL_objectz00_bglt BgL_tmpz00_6372;

													BgL_tmpz00_6372 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1232z00_4821));
													BgL_auxz00_6371 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6372);
												}
												BgL_auxz00_6370 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6371);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6370))->
													BgL_depthz00) = ((long) BgL_depthz00_4816), BUNSPEC);
										}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_6378;

											{
												obj_t BgL_auxz00_6379;

												{	/* Stackable/walk.scm 476 */
													BgL_objectz00_bglt BgL_tmpz00_6380;

													BgL_tmpz00_6380 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_tmp1232z00_4821));
													BgL_auxz00_6379 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6380);
												}
												BgL_auxz00_6378 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_6379);
											}
											((((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6378))->
													BgL_ownerz00) = ((obj_t) BgL_funz00_4606), BUNSPEC);
										}
										((BgL_localz00_bglt) BgL_tmp1232z00_4821);
									}
									{	/* Stackable/walk.scm 478 */
										obj_t BgL_arg2155z00_4824;

										BgL_arg2155z00_4824 = CDR(((obj_t) BgL_bindingz00_4820));
										BGl_depthzd2letzd2zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg2155z00_4824),
											BINT(BgL_depthz00_4816), BgL_funz00_4606);
								}}
								{
									obj_t BgL_l1444z00_6392;

									BgL_l1444z00_6392 = CDR(BgL_l1444z00_4819);
									BgL_l1444z00_4819 = BgL_l1444z00_6392;
									goto BgL_zc3z04anonymousza32152ze3z87_4818;
								}
							}
						else
							{	/* Stackable/walk.scm 474 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_depthzd2letzd2zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4604)))->BgL_bodyz00),
					BINT(BgL_depthz00_4816), BgL_funz00_4606);
			}
		}

	}



/* &depth-let-var1509 */
	obj_t BGl_z62depthzd2letzd2var1509z62zzstackable_walkz00(obj_t
		BgL_envz00_4607, obj_t BgL_nodez00_4608, obj_t BgL_depthz00_4609,
		obj_t BgL_funz00_4610)
	{
		{	/* Stackable/walk.scm 461 */
			{	/* Stackable/walk.scm 463 */
				bool_t BgL_test2532z00_6398;

				{	/* Stackable/walk.scm 463 */
					BgL_variablez00_bglt BgL_arg2148z00_4826;

					BgL_arg2148z00_4826 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4608)))->BgL_variablez00);
					{	/* Stackable/walk.scm 463 */
						obj_t BgL_classz00_4827;

						BgL_classz00_4827 = BGl_localzf2depthzf2zzstackable_walkz00;
						{	/* Stackable/walk.scm 463 */
							obj_t BgL_oclassz00_4828;

							{	/* Stackable/walk.scm 463 */
								long BgL_arg1833z00_4829;

								{	/* Stackable/walk.scm 463 */
									long BgL_arg1834z00_4830;

									BgL_arg1834z00_4830 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt) BgL_arg2148z00_4826));
									BgL_arg1833z00_4829 = (BgL_arg1834z00_4830 - OBJECT_TYPE);
								}
								BgL_oclassz00_4828 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1833z00_4829);
							}
							BgL_test2532z00_6398 = (BgL_oclassz00_4828 == BgL_classz00_4827);
				}}}
				if (BgL_test2532z00_6398)
					{	/* Stackable/walk.scm 464 */
						BgL_localz00_bglt BgL_i1230z00_4831;

						BgL_i1230z00_4831 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4608)))->BgL_variablez00));
						{	/* Stackable/walk.scm 465 */
							bool_t BgL_test2533z00_6409;

							{	/* Stackable/walk.scm 465 */
								obj_t BgL_arg2146z00_4832;

								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_6410;

									{
										obj_t BgL_auxz00_6411;

										{	/* Stackable/walk.scm 465 */
											BgL_objectz00_bglt BgL_tmpz00_6412;

											BgL_tmpz00_6412 =
												((BgL_objectz00_bglt) BgL_i1230z00_4831);
											BgL_auxz00_6411 = BGL_OBJECT_WIDENING(BgL_tmpz00_6412);
										}
										BgL_auxz00_6410 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_6411);
									}
									BgL_arg2146z00_4832 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_6410))->
										BgL_ownerz00);
								}
								BgL_test2533z00_6409 = (BgL_arg2146z00_4832 == BgL_funz00_4610);
							}
							if (BgL_test2533z00_6409)
								{	/* Stackable/walk.scm 465 */
									return BFALSE;
								}
							else
								{	/* Stackable/walk.scm 465 */
									return
										((((BgL_localz00_bglt) COBJECT(
													((BgL_localz00_bglt) BgL_i1230z00_4831)))->
											BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
								}
						}
					}
				else
					{	/* Stackable/walk.scm 463 */
						return BFALSE;
					}
			}
		}

	}



/* &lift-let!-let-var1504 */
	BgL_nodez00_bglt
		BGl_z62liftzd2letz12zd2letzd2var1504za2zzstackable_walkz00(obj_t
		BgL_envz00_4611, obj_t BgL_nodez00_4612)
	{
		{	/* Stackable/walk.scm 393 */
			{	/* Stackable/walk.scm 429 */
				obj_t BgL_lbindingsz00_4834;

				BgL_lbindingsz00_4834 =
					BGl_zc3z04anonymousza32091ze3ze70z60zzstackable_walkz00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4612)))->BgL_bindingsz00));
				if (PAIRP(BgL_lbindingsz00_4834))
					{	/* Stackable/walk.scm 432 */
						BgL_letzd2varzd2_bglt BgL_arg2089z00_4835;

						{	/* Stackable/walk.scm 432 */
							BgL_letzd2varzd2_bglt BgL_new1216z00_4836;

							{	/* Stackable/walk.scm 432 */
								BgL_letzd2varzd2_bglt BgL_new1222z00_4837;

								BgL_new1222z00_4837 =
									((BgL_letzd2varzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_letzd2varzd2_bgl))));
								{	/* Stackable/walk.scm 432 */
									long BgL_arg2090z00_4838;

									BgL_arg2090z00_4838 =
										BGL_CLASS_NUM(BGl_letzd2varzd2zzast_nodez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1222z00_4837),
										BgL_arg2090z00_4838);
								}
								{	/* Stackable/walk.scm 432 */
									BgL_objectz00_bglt BgL_tmpz00_6429;

									BgL_tmpz00_6429 = ((BgL_objectz00_bglt) BgL_new1222z00_4837);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6429, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1222z00_4837);
								BgL_new1216z00_4836 = BgL_new1222z00_4837;
							}
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt) BgL_new1216z00_4836)))->BgL_locz00) =
								((obj_t) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4612))))->BgL_locz00)), BUNSPEC);
							((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_new1216z00_4836)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
														BgL_nodez00_4612))))->BgL_typez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1216z00_4836)))->BgL_sidezd2effectzd2) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4612)))))->
										BgL_sidezd2effectzd2)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt)
										COBJECT(((BgL_nodezf2effectzf2_bglt)
												BgL_new1216z00_4836)))->BgL_keyz00) =
								((obj_t) (((BgL_nodezf2effectzf2_bglt)
											COBJECT(((BgL_nodezf2effectzf2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4612)))))->
										BgL_keyz00)), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1216z00_4836))->
									BgL_bindingsz00) = ((obj_t) BgL_lbindingsz00_4834), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1216z00_4836))->
									BgL_bodyz00) =
								((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt)
											BgL_nodez00_4612))), BUNSPEC);
							((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1216z00_4836))->
									BgL_removablezf3zf3) =
								((bool_t) (((BgL_letzd2varzd2_bglt)
											COBJECT(((BgL_letzd2varzd2_bglt) ((BgL_nodez00_bglt) (
															(BgL_letzd2varzd2_bglt) BgL_nodez00_4612)))))->
										BgL_removablezf3zf3)), BUNSPEC);
							BgL_arg2089z00_4835 = BgL_new1216z00_4836;
						}
						return
							BGl_liftzd2letz12zc0zzstackable_walkz00(
							((BgL_nodez00_bglt) BgL_arg2089z00_4835));
					}
				else
					{	/* Stackable/walk.scm 430 */
						return
							BGl_walk0z12z12zzast_walkz00(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4612)),
							BGl_liftzd2letz12zd2envz12zzstackable_walkz00);
					}
			}
		}

	}



/* liftable?~0 */
	bool_t BGl_liftablezf3ze70z14zzstackable_walkz00(obj_t BgL_nodez00_2673)
	{
		{	/* Stackable/walk.scm 415 */
		BGl_liftablezf3ze70z14zzstackable_walkz00:
			{	/* Stackable/walk.scm 401 */
				bool_t BgL_test2535z00_6469;

				{	/* Stackable/walk.scm 401 */
					obj_t BgL_classz00_4069;

					BgL_classz00_4069 = BGl_letzd2varzd2zzast_nodez00;
					if (BGL_OBJECTP(BgL_nodez00_2673))
						{	/* Stackable/walk.scm 401 */
							BgL_objectz00_bglt BgL_arg1825z00_4071;

							BgL_arg1825z00_4071 = (BgL_objectz00_bglt) (BgL_nodez00_2673);
							{	/* Stackable/walk.scm 401 */
								bool_t BgL_arg1822z00_4074;
								bool_t BgL_arg1823z00_4075;

								{	/* Stackable/walk.scm 401 */
									long BgL_idxz00_4078;

									BgL_idxz00_4078 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4071);
									BgL_arg1822z00_4074 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_4078 + ((long) 3))) == BgL_classz00_4069);
								}
								{	/* Stackable/walk.scm 401 */
									bool_t BgL_res2306z00_4100;

									{	/* Stackable/walk.scm 401 */
										obj_t BgL_oclassz00_4086;

										{	/* Stackable/walk.scm 401 */
											long BgL_arg1833z00_4092;

											{	/* Stackable/walk.scm 401 */
												long BgL_arg1834z00_4093;

												BgL_arg1834z00_4093 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4071);
												BgL_arg1833z00_4092 =
													(BgL_arg1834z00_4093 - OBJECT_TYPE);
											}
											BgL_oclassz00_4086 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_4092);
										}
										{	/* Stackable/walk.scm 401 */
											bool_t BgL__ortest_1110z00_4087;

											BgL__ortest_1110z00_4087 =
												(BgL_classz00_4069 == BgL_oclassz00_4086);
											if (BgL__ortest_1110z00_4087)
												{	/* Stackable/walk.scm 401 */
													BgL_res2306z00_4100 = BgL__ortest_1110z00_4087;
												}
											else
												{	/* Stackable/walk.scm 401 */
													long BgL_odepthz00_4088;

													BgL_odepthz00_4088 =
														BGL_CLASS_DEPTH(BgL_oclassz00_4086);
													if ((((long) 3) < BgL_odepthz00_4088))
														{	/* Stackable/walk.scm 401 */
															obj_t BgL_arg1821z00_4090;

															BgL_arg1821z00_4090 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4086,
																((long) 3));
															BgL_res2306z00_4100 =
																(BgL_arg1821z00_4090 == BgL_classz00_4069);
														}
													else
														{	/* Stackable/walk.scm 401 */
															BgL_res2306z00_4100 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_4075 = BgL_res2306z00_4100;
								}
								BgL_test2535z00_6469 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_4074, BgL_arg1823z00_4075);
							}
						}
					else
						{	/* Stackable/walk.scm 401 */
							BgL_test2535z00_6469 = ((bool_t) 0);
						}
				}
				if (BgL_test2535z00_6469)
					{	/* Stackable/walk.scm 403 */
						bool_t BgL_test2539z00_6488;

						{	/* Stackable/walk.scm 403 */
							obj_t BgL_tmpz00_6489;

							BgL_tmpz00_6489 =
								(((BgL_letzd2varzd2_bglt) COBJECT(
										((BgL_letzd2varzd2_bglt) BgL_nodez00_2673)))->
								BgL_bindingsz00);
							BgL_test2539z00_6488 = PAIRP(BgL_tmpz00_6489);
						}
						if (BgL_test2539z00_6488)
							{	/* Stackable/walk.scm 404 */
								bool_t BgL_test2540z00_6493;

								{	/* Stackable/walk.scm 404 */
									obj_t BgL_tmpz00_6494;

									{	/* Stackable/walk.scm 404 */
										obj_t BgL_pairz00_4101;

										BgL_pairz00_4101 =
											(((BgL_letzd2varzd2_bglt) COBJECT(
													((BgL_letzd2varzd2_bglt) BgL_nodez00_2673)))->
											BgL_bindingsz00);
										BgL_tmpz00_6494 = CDR(BgL_pairz00_4101);
									}
									BgL_test2540z00_6493 = NULLP(BgL_tmpz00_6494);
								}
								if (BgL_test2540z00_6493)
									{	/* Stackable/walk.scm 405 */
										bool_t BgL_test2541z00_6499;

										{	/* Stackable/walk.scm 405 */
											obj_t BgL_arg2103z00_2681;

											{	/* Stackable/walk.scm 405 */
												obj_t BgL_pairz00_4102;

												BgL_pairz00_4102 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2673)))->
													BgL_bindingsz00);
												BgL_arg2103z00_2681 = CDR(CAR(BgL_pairz00_4102));
											}
											BgL_test2541z00_6499 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2103z00_2681);
										}
										if (BgL_test2541z00_6499)
											{	/* Stackable/walk.scm 406 */
												BgL_nodez00_bglt BgL_arg2102z00_2680;

												BgL_arg2102z00_2680 =
													(((BgL_letzd2varzd2_bglt) COBJECT(
															((BgL_letzd2varzd2_bglt) BgL_nodez00_2673)))->
													BgL_bodyz00);
												{
													obj_t BgL_nodez00_6507;

													BgL_nodez00_6507 = ((obj_t) BgL_arg2102z00_2680);
													BgL_nodez00_2673 = BgL_nodez00_6507;
													goto BGl_liftablezf3ze70z14zzstackable_walkz00;
												}
											}
										else
											{	/* Stackable/walk.scm 405 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Stackable/walk.scm 404 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Stackable/walk.scm 403 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Stackable/walk.scm 407 */
						bool_t BgL_test2542z00_6509;

						{	/* Stackable/walk.scm 407 */
							obj_t BgL_classz00_4106;

							BgL_classz00_4106 = BGl_varz00zzast_nodez00;
							if (BGL_OBJECTP(BgL_nodez00_2673))
								{	/* Stackable/walk.scm 407 */
									BgL_objectz00_bglt BgL_arg1825z00_4108;

									BgL_arg1825z00_4108 = (BgL_objectz00_bglt) (BgL_nodez00_2673);
									{	/* Stackable/walk.scm 407 */
										bool_t BgL_arg1822z00_4111;
										bool_t BgL_arg1823z00_4112;

										{	/* Stackable/walk.scm 407 */
											long BgL_idxz00_4115;

											BgL_idxz00_4115 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4108);
											BgL_arg1822z00_4111 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_4115 + ((long) 2))) == BgL_classz00_4106);
										}
										{	/* Stackable/walk.scm 407 */
											bool_t BgL_res2307z00_4137;

											{	/* Stackable/walk.scm 407 */
												obj_t BgL_oclassz00_4123;

												{	/* Stackable/walk.scm 407 */
													long BgL_arg1833z00_4129;

													{	/* Stackable/walk.scm 407 */
														long BgL_arg1834z00_4130;

														BgL_arg1834z00_4130 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4108);
														BgL_arg1833z00_4129 =
															(BgL_arg1834z00_4130 - OBJECT_TYPE);
													}
													BgL_oclassz00_4123 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_4129);
												}
												{	/* Stackable/walk.scm 407 */
													bool_t BgL__ortest_1110z00_4124;

													BgL__ortest_1110z00_4124 =
														(BgL_classz00_4106 == BgL_oclassz00_4123);
													if (BgL__ortest_1110z00_4124)
														{	/* Stackable/walk.scm 407 */
															BgL_res2307z00_4137 = BgL__ortest_1110z00_4124;
														}
													else
														{	/* Stackable/walk.scm 407 */
															long BgL_odepthz00_4125;

															BgL_odepthz00_4125 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4123);
															if ((((long) 2) < BgL_odepthz00_4125))
																{	/* Stackable/walk.scm 407 */
																	obj_t BgL_arg1821z00_4127;

																	BgL_arg1821z00_4127 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4123,
																		((long) 2));
																	BgL_res2307z00_4137 =
																		(BgL_arg1821z00_4127 == BgL_classz00_4106);
																}
															else
																{	/* Stackable/walk.scm 407 */
																	BgL_res2307z00_4137 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_4112 = BgL_res2307z00_4137;
										}
										BgL_test2542z00_6509 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_4111,
											BgL_arg1823z00_4112);
									}
								}
							else
								{	/* Stackable/walk.scm 407 */
									BgL_test2542z00_6509 = ((bool_t) 0);
								}
						}
						if (BgL_test2542z00_6509)
							{	/* Stackable/walk.scm 408 */
								BgL_variablez00_bglt BgL_arg2109z00_2687;

								BgL_arg2109z00_2687 =
									(((BgL_varz00_bglt) COBJECT(
											((BgL_varz00_bglt) BgL_nodez00_2673)))->BgL_variablez00);
								{	/* Stackable/walk.scm 408 */
									obj_t BgL_classz00_4139;

									BgL_classz00_4139 = BGl_localz00zzast_varz00;
									{	/* Stackable/walk.scm 408 */
										BgL_objectz00_bglt BgL_arg1825z00_4141;

										{	/* Stackable/walk.scm 408 */
											obj_t BgL_tmpz00_6530;

											BgL_tmpz00_6530 =
												((obj_t) ((BgL_objectz00_bglt) BgL_arg2109z00_2687));
											BgL_arg1825z00_4141 =
												(BgL_objectz00_bglt) (BgL_tmpz00_6530);
										}
										{	/* Stackable/walk.scm 408 */
											bool_t BgL_arg1822z00_4144;
											bool_t BgL_arg1823z00_4145;

											{	/* Stackable/walk.scm 408 */
												long BgL_idxz00_4148;

												BgL_idxz00_4148 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4141);
												BgL_arg1822z00_4144 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_4148 + ((long) 2))) ==
													BgL_classz00_4139);
											}
											{	/* Stackable/walk.scm 408 */
												bool_t BgL_res2308z00_4170;

												{	/* Stackable/walk.scm 408 */
													obj_t BgL_oclassz00_4156;

													{	/* Stackable/walk.scm 408 */
														long BgL_arg1833z00_4162;

														{	/* Stackable/walk.scm 408 */
															long BgL_arg1834z00_4163;

															BgL_arg1834z00_4163 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4141);
															BgL_arg1833z00_4162 =
																(BgL_arg1834z00_4163 - OBJECT_TYPE);
														}
														BgL_oclassz00_4156 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_4162);
													}
													{	/* Stackable/walk.scm 408 */
														bool_t BgL__ortest_1110z00_4157;

														BgL__ortest_1110z00_4157 =
															(BgL_classz00_4139 == BgL_oclassz00_4156);
														if (BgL__ortest_1110z00_4157)
															{	/* Stackable/walk.scm 408 */
																BgL_res2308z00_4170 = BgL__ortest_1110z00_4157;
															}
														else
															{	/* Stackable/walk.scm 408 */
																long BgL_odepthz00_4158;

																BgL_odepthz00_4158 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_4156);
																if ((((long) 2) < BgL_odepthz00_4158))
																	{	/* Stackable/walk.scm 408 */
																		obj_t BgL_arg1821z00_4160;

																		BgL_arg1821z00_4160 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_4156, ((long) 2));
																		BgL_res2308z00_4170 =
																			(BgL_arg1821z00_4160 ==
																			BgL_classz00_4139);
																	}
																else
																	{	/* Stackable/walk.scm 408 */
																		BgL_res2308z00_4170 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_4145 = BgL_res2308z00_4170;
											}
											return
												BGL_ISA_C_BACKEND(BgL_arg1822z00_4144,
												BgL_arg1823z00_4145);
										}
									}
								}
							}
						else
							{	/* Stackable/walk.scm 409 */
								bool_t BgL_test2548z00_6549;

								{	/* Stackable/walk.scm 409 */
									obj_t BgL_classz00_4171;

									BgL_classz00_4171 = BGl_appz00zzast_nodez00;
									if (BGL_OBJECTP(BgL_nodez00_2673))
										{	/* Stackable/walk.scm 409 */
											BgL_objectz00_bglt BgL_arg1825z00_4173;

											BgL_arg1825z00_4173 =
												(BgL_objectz00_bglt) (BgL_nodez00_2673);
											{	/* Stackable/walk.scm 409 */
												bool_t BgL_arg1822z00_4176;
												bool_t BgL_arg1823z00_4177;

												{	/* Stackable/walk.scm 409 */
													long BgL_idxz00_4180;

													BgL_idxz00_4180 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4173);
													BgL_arg1822z00_4176 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4180 + ((long) 3))) ==
														BgL_classz00_4171);
												}
												{	/* Stackable/walk.scm 409 */
													bool_t BgL_res2309z00_4202;

													{	/* Stackable/walk.scm 409 */
														obj_t BgL_oclassz00_4188;

														{	/* Stackable/walk.scm 409 */
															long BgL_arg1833z00_4194;

															{	/* Stackable/walk.scm 409 */
																long BgL_arg1834z00_4195;

																BgL_arg1834z00_4195 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4173);
																BgL_arg1833z00_4194 =
																	(BgL_arg1834z00_4195 - OBJECT_TYPE);
															}
															BgL_oclassz00_4188 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4194);
														}
														{	/* Stackable/walk.scm 409 */
															bool_t BgL__ortest_1110z00_4189;

															BgL__ortest_1110z00_4189 =
																(BgL_classz00_4171 == BgL_oclassz00_4188);
															if (BgL__ortest_1110z00_4189)
																{	/* Stackable/walk.scm 409 */
																	BgL_res2309z00_4202 =
																		BgL__ortest_1110z00_4189;
																}
															else
																{	/* Stackable/walk.scm 409 */
																	long BgL_odepthz00_4190;

																	BgL_odepthz00_4190 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4188);
																	if ((((long) 3) < BgL_odepthz00_4190))
																		{	/* Stackable/walk.scm 409 */
																			obj_t BgL_arg1821z00_4192;

																			BgL_arg1821z00_4192 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4188, ((long) 3));
																			BgL_res2309z00_4202 =
																				(BgL_arg1821z00_4192 ==
																				BgL_classz00_4171);
																		}
																	else
																		{	/* Stackable/walk.scm 409 */
																			BgL_res2309z00_4202 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4177 = BgL_res2309z00_4202;
												}
												BgL_test2548z00_6549 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4176,
													BgL_arg1823z00_4177);
											}
										}
									else
										{	/* Stackable/walk.scm 409 */
											BgL_test2548z00_6549 = ((bool_t) 0);
										}
								}
								if (BgL_test2548z00_6549)
									{	/* Stackable/walk.scm 411 */
										BgL_variablez00_bglt BgL_vz00_2690;

										BgL_vz00_2690 =
											(((BgL_varz00_bglt) COBJECT(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2673)))->
														BgL_funz00)))->BgL_variablez00);
										{	/* Stackable/walk.scm 412 */
											bool_t BgL_test2552z00_6571;

											{	/* Stackable/walk.scm 412 */
												obj_t BgL_classz00_4204;

												BgL_classz00_4204 = BGl_globalz00zzast_varz00;
												{	/* Stackable/walk.scm 412 */
													BgL_objectz00_bglt BgL_arg1825z00_4206;

													{	/* Stackable/walk.scm 412 */
														obj_t BgL_tmpz00_6572;

														BgL_tmpz00_6572 =
															((obj_t) ((BgL_objectz00_bglt) BgL_vz00_2690));
														BgL_arg1825z00_4206 =
															(BgL_objectz00_bglt) (BgL_tmpz00_6572);
													}
													{	/* Stackable/walk.scm 412 */
														bool_t BgL_arg1822z00_4209;
														bool_t BgL_arg1823z00_4210;

														{	/* Stackable/walk.scm 412 */
															long BgL_idxz00_4213;

															BgL_idxz00_4213 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4206);
															BgL_arg1822z00_4209 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4213 + ((long) 2))) ==
																BgL_classz00_4204);
														}
														{	/* Stackable/walk.scm 412 */
															bool_t BgL_res2310z00_4235;

															{	/* Stackable/walk.scm 412 */
																obj_t BgL_oclassz00_4221;

																{	/* Stackable/walk.scm 412 */
																	long BgL_arg1833z00_4227;

																	{	/* Stackable/walk.scm 412 */
																		long BgL_arg1834z00_4228;

																		BgL_arg1834z00_4228 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4206);
																		BgL_arg1833z00_4227 =
																			(BgL_arg1834z00_4228 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4221 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4227);
																}
																{	/* Stackable/walk.scm 412 */
																	bool_t BgL__ortest_1110z00_4222;

																	BgL__ortest_1110z00_4222 =
																		(BgL_classz00_4204 == BgL_oclassz00_4221);
																	if (BgL__ortest_1110z00_4222)
																		{	/* Stackable/walk.scm 412 */
																			BgL_res2310z00_4235 =
																				BgL__ortest_1110z00_4222;
																		}
																	else
																		{	/* Stackable/walk.scm 412 */
																			long BgL_odepthz00_4223;

																			BgL_odepthz00_4223 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4221);
																			if ((((long) 2) < BgL_odepthz00_4223))
																				{	/* Stackable/walk.scm 412 */
																					obj_t BgL_arg1821z00_4225;

																					BgL_arg1821z00_4225 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4221, ((long) 2));
																					BgL_res2310z00_4235 =
																						(BgL_arg1821z00_4225 ==
																						BgL_classz00_4204);
																				}
																			else
																				{	/* Stackable/walk.scm 412 */
																					BgL_res2310z00_4235 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4210 = BgL_res2310z00_4235;
														}
														BgL_test2552z00_6571 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4209,
															BgL_arg1823z00_4210);
													}
												}
											}
											if (BgL_test2552z00_6571)
												{	/* Stackable/walk.scm 413 */
													obj_t BgL_tmpz00_6591;

													BgL_tmpz00_6591 =
														(((BgL_funz00_bglt) COBJECT(
																((BgL_funz00_bglt)
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_vz00_2690))))->
																		BgL_valuez00))))->BgL_stackzd2allocatorzd2);
													return PAIRP(BgL_tmpz00_6591);
												}
											else
												{	/* Stackable/walk.scm 412 */
													return ((bool_t) 0);
												}
										}
									}
								else
									{	/* Stackable/walk.scm 415 */
										obj_t BgL_classz00_4238;

										BgL_classz00_4238 = BGl_makezd2boxzd2zzast_nodez00;
										if (BGL_OBJECTP(BgL_nodez00_2673))
											{	/* Stackable/walk.scm 415 */
												BgL_objectz00_bglt BgL_arg1825z00_4240;

												BgL_arg1825z00_4240 =
													(BgL_objectz00_bglt) (BgL_nodez00_2673);
												{	/* Stackable/walk.scm 415 */
													bool_t BgL_arg1822z00_4243;
													bool_t BgL_arg1823z00_4244;

													{	/* Stackable/walk.scm 415 */
														long BgL_idxz00_4247;

														BgL_idxz00_4247 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4240);
														BgL_arg1822z00_4243 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_4247 + ((long) 3))) ==
															BgL_classz00_4238);
													}
													{	/* Stackable/walk.scm 415 */
														bool_t BgL_res2311z00_4269;

														{	/* Stackable/walk.scm 415 */
															obj_t BgL_oclassz00_4255;

															{	/* Stackable/walk.scm 415 */
																long BgL_arg1833z00_4261;

																{	/* Stackable/walk.scm 415 */
																	long BgL_arg1834z00_4262;

																	BgL_arg1834z00_4262 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4240);
																	BgL_arg1833z00_4261 =
																		(BgL_arg1834z00_4262 - OBJECT_TYPE);
																}
																BgL_oclassz00_4255 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_4261);
															}
															{	/* Stackable/walk.scm 415 */
																bool_t BgL__ortest_1110z00_4256;

																BgL__ortest_1110z00_4256 =
																	(BgL_classz00_4238 == BgL_oclassz00_4255);
																if (BgL__ortest_1110z00_4256)
																	{	/* Stackable/walk.scm 415 */
																		BgL_res2311z00_4269 =
																			BgL__ortest_1110z00_4256;
																	}
																else
																	{	/* Stackable/walk.scm 415 */
																		long BgL_odepthz00_4257;

																		BgL_odepthz00_4257 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_4255);
																		if ((((long) 3) < BgL_odepthz00_4257))
																			{	/* Stackable/walk.scm 415 */
																				obj_t BgL_arg1821z00_4259;

																				BgL_arg1821z00_4259 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_4255, ((long) 3));
																				BgL_res2311z00_4269 =
																					(BgL_arg1821z00_4259 ==
																					BgL_classz00_4238);
																			}
																		else
																			{	/* Stackable/walk.scm 415 */
																				BgL_res2311z00_4269 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_4244 = BgL_res2311z00_4269;
													}
													return
														BGL_ISA_C_BACKEND(BgL_arg1822z00_4243,
														BgL_arg1823z00_4244);
												}
											}
										else
											{	/* Stackable/walk.scm 415 */
												return ((bool_t) 0);
											}
									}
							}
					}
			}
		}

	}



/* <@anonymous:2091>~0 */
	obj_t BGl_zc3z04anonymousza32091ze3ze70z60zzstackable_walkz00(obj_t
		BgL_l1439z00_2660)
	{
		{	/* Stackable/walk.scm 429 */
			{
				obj_t BgL_bindingz00_2695;

				if (NULLP(BgL_l1439z00_2660))
					{	/* Stackable/walk.scm 429 */
						return BNIL;
					}
				else
					{	/* Stackable/walk.scm 429 */
						obj_t BgL_arg2093z00_2663;
						obj_t BgL_arg2094z00_2664;

						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2095z00_2665;

							BgL_arg2095z00_2665 = CAR(((obj_t) BgL_l1439z00_2660));
							BgL_bindingz00_2695 = BgL_arg2095z00_2665;
							{	/* Stackable/walk.scm 418 */
								bool_t BgL_test2559z00_6620;

								{	/* Stackable/walk.scm 418 */
									bool_t BgL_test2560z00_6621;

									{	/* Stackable/walk.scm 418 */
										obj_t BgL_arg2141z00_2731;

										BgL_arg2141z00_2731 = CDR(((obj_t) BgL_bindingz00_2695));
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_classz00_4271;

											BgL_classz00_4271 = BGl_letzd2varzd2zzast_nodez00;
											if (BGL_OBJECTP(BgL_arg2141z00_2731))
												{	/* Stackable/walk.scm 418 */
													BgL_objectz00_bglt BgL_arg1825z00_4273;

													BgL_arg1825z00_4273 =
														(BgL_objectz00_bglt) (BgL_arg2141z00_2731);
													{	/* Stackable/walk.scm 418 */
														bool_t BgL_arg1822z00_4276;
														bool_t BgL_arg1823z00_4277;

														{	/* Stackable/walk.scm 418 */
															long BgL_idxz00_4280;

															BgL_idxz00_4280 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4273);
															BgL_arg1822z00_4276 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_4280 + ((long) 3))) ==
																BgL_classz00_4271);
														}
														{	/* Stackable/walk.scm 418 */
															bool_t BgL_res2312z00_4302;

															{	/* Stackable/walk.scm 418 */
																obj_t BgL_oclassz00_4288;

																{	/* Stackable/walk.scm 418 */
																	long BgL_arg1833z00_4294;

																	{	/* Stackable/walk.scm 418 */
																		long BgL_arg1834z00_4295;

																		BgL_arg1834z00_4295 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4273);
																		BgL_arg1833z00_4294 =
																			(BgL_arg1834z00_4295 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_4288 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1833z00_4294);
																}
																{	/* Stackable/walk.scm 418 */
																	bool_t BgL__ortest_1110z00_4289;

																	BgL__ortest_1110z00_4289 =
																		(BgL_classz00_4271 == BgL_oclassz00_4288);
																	if (BgL__ortest_1110z00_4289)
																		{	/* Stackable/walk.scm 418 */
																			BgL_res2312z00_4302 =
																				BgL__ortest_1110z00_4289;
																		}
																	else
																		{	/* Stackable/walk.scm 418 */
																			long BgL_odepthz00_4290;

																			BgL_odepthz00_4290 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_4288);
																			if ((((long) 3) < BgL_odepthz00_4290))
																				{	/* Stackable/walk.scm 418 */
																					obj_t BgL_arg1821z00_4292;

																					BgL_arg1821z00_4292 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_4288, ((long) 3));
																					BgL_res2312z00_4302 =
																						(BgL_arg1821z00_4292 ==
																						BgL_classz00_4271);
																				}
																			else
																				{	/* Stackable/walk.scm 418 */
																					BgL_res2312z00_4302 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg1823z00_4277 = BgL_res2312z00_4302;
														}
														BgL_test2560z00_6621 =
															BGL_ISA_C_BACKEND(BgL_arg1822z00_4276,
															BgL_arg1823z00_4277);
													}
												}
											else
												{	/* Stackable/walk.scm 418 */
													BgL_test2560z00_6621 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test2560z00_6621)
										{	/* Stackable/walk.scm 418 */
											obj_t BgL_arg2140z00_2730;

											BgL_arg2140z00_2730 = CDR(((obj_t) BgL_bindingz00_2695));
											BgL_test2559z00_6620 =
												BGl_liftablezf3ze70z14zzstackable_walkz00
												(BgL_arg2140z00_2730);
										}
									else
										{	/* Stackable/walk.scm 418 */
											BgL_test2559z00_6620 = ((bool_t) 0);
										}
								}
								if (BgL_test2559z00_6620)
									{	/* Stackable/walk.scm 419 */
										BgL_letzd2varzd2_bglt BgL_i1214z00_2702;

										BgL_i1214z00_2702 =
											((BgL_letzd2varzd2_bglt)
											CDR(((obj_t) BgL_bindingz00_2695)));
										{	/* Stackable/walk.scm 421 */
											obj_t BgL_arg2121z00_2703;
											obj_t BgL_arg2122z00_2704;
											obj_t BgL_arg2123z00_2705;

											BgL_arg2121z00_2703 =
												(((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															CAR(((obj_t) BgL_bindingz00_2695)))))->BgL_idz00);
											{	/* Stackable/walk.scm 422 */
												obj_t BgL_l1433z00_2714;

												BgL_l1433z00_2714 =
													(((BgL_letzd2varzd2_bglt)
														COBJECT(BgL_i1214z00_2702))->BgL_bindingsz00);
												if (NULLP(BgL_l1433z00_2714))
													{	/* Stackable/walk.scm 422 */
														BgL_arg2122z00_2704 = BNIL;
													}
												else
													{	/* Stackable/walk.scm 422 */
														obj_t BgL_head1435z00_2716;

														BgL_head1435z00_2716 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1433z00_2718;
															obj_t BgL_tail1436z00_2719;

															BgL_l1433z00_2718 = BgL_l1433z00_2714;
															BgL_tail1436z00_2719 = BgL_head1435z00_2716;
														BgL_zc3z04anonymousza32133ze3z87_2720:
															if (NULLP(BgL_l1433z00_2718))
																{	/* Stackable/walk.scm 422 */
																	BgL_arg2122z00_2704 =
																		CDR(BgL_head1435z00_2716);
																}
															else
																{	/* Stackable/walk.scm 422 */
																	obj_t BgL_newtail1437z00_2722;

																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2137z00_2724;

																		{
																			BgL_variablez00_bglt BgL_auxz00_6659;

																			{	/* Stackable/walk.scm 422 */
																				obj_t BgL_pairz00_4309;

																				BgL_pairz00_4309 =
																					CAR(((obj_t) BgL_l1433z00_2718));
																				BgL_auxz00_6659 =
																					((BgL_variablez00_bglt)
																					CAR(BgL_pairz00_4309));
																			}
																			BgL_arg2137z00_2724 =
																				(((BgL_variablez00_bglt)
																					COBJECT(BgL_auxz00_6659))->BgL_idz00);
																		}
																		BgL_newtail1437z00_2722 =
																			MAKE_YOUNG_PAIR(BgL_arg2137z00_2724,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1436z00_2719,
																		BgL_newtail1437z00_2722);
																	{	/* Stackable/walk.scm 422 */
																		obj_t BgL_arg2136z00_2723;

																		BgL_arg2136z00_2723 =
																			CDR(((obj_t) BgL_l1433z00_2718));
																		{
																			obj_t BgL_tail1436z00_6670;
																			obj_t BgL_l1433z00_6669;

																			BgL_l1433z00_6669 = BgL_arg2136z00_2723;
																			BgL_tail1436z00_6670 =
																				BgL_newtail1437z00_2722;
																			BgL_tail1436z00_2719 =
																				BgL_tail1436z00_6670;
																			BgL_l1433z00_2718 = BgL_l1433z00_6669;
																			goto
																				BgL_zc3z04anonymousza32133ze3z87_2720;
																		}
																	}
																}
														}
													}
											}
											BgL_arg2123z00_2705 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_i1214z00_2702)))->
												BgL_locz00);
											{	/* Stackable/walk.scm 420 */
												obj_t BgL_list2124z00_2706;

												{	/* Stackable/walk.scm 420 */
													obj_t BgL_arg2125z00_2707;

													{	/* Stackable/walk.scm 420 */
														obj_t BgL_arg2126z00_2708;

														{	/* Stackable/walk.scm 420 */
															obj_t BgL_arg2127z00_2709;

															{	/* Stackable/walk.scm 420 */
																obj_t BgL_arg2128z00_2710;

																{	/* Stackable/walk.scm 420 */
																	obj_t BgL_arg2129z00_2711;

																	{	/* Stackable/walk.scm 420 */
																		obj_t BgL_arg2130z00_2712;

																		BgL_arg2130z00_2712 =
																			MAKE_YOUNG_PAIR
																			(BGl_string2392z00zzstackable_walkz00,
																			BNIL);
																		BgL_arg2129z00_2711 =
																			MAKE_YOUNG_PAIR(BgL_arg2123z00_2705,
																			BgL_arg2130z00_2712);
																	}
																	BgL_arg2128z00_2710 =
																		MAKE_YOUNG_PAIR
																		(BGl_string2393z00zzstackable_walkz00,
																		BgL_arg2129z00_2711);
																}
																BgL_arg2127z00_2709 =
																	MAKE_YOUNG_PAIR(BgL_arg2122z00_2704,
																	BgL_arg2128z00_2710);
															}
															BgL_arg2126z00_2708 =
																MAKE_YOUNG_PAIR
																(BGl_string2394z00zzstackable_walkz00,
																BgL_arg2127z00_2709);
														}
														BgL_arg2125z00_2707 =
															MAKE_YOUNG_PAIR(BgL_arg2121z00_2703,
															BgL_arg2126z00_2708);
													}
													BgL_list2124z00_2706 =
														MAKE_YOUNG_PAIR
														(BGl_string2395z00zzstackable_walkz00,
														BgL_arg2125z00_2707);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list2124z00_2706);
										}}
										{	/* Stackable/walk.scm 424 */
											BgL_nodez00_bglt BgL_arg2139z00_2728;

											BgL_arg2139z00_2728 =
												(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1214z00_2702))->
												BgL_bodyz00);
											{	/* Stackable/walk.scm 424 */
												obj_t BgL_auxz00_6685;
												obj_t BgL_tmpz00_6683;

												BgL_auxz00_6685 = ((obj_t) BgL_arg2139z00_2728);
												BgL_tmpz00_6683 = ((obj_t) BgL_bindingz00_2695);
												SET_CDR(BgL_tmpz00_6683, BgL_auxz00_6685);
										}}
										BgL_arg2093z00_2663 =
											(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1214z00_2702))->
											BgL_bindingsz00);
									}
								else
									{	/* Stackable/walk.scm 418 */
										BgL_arg2093z00_2663 = BNIL;
									}
							}
						}
						{	/* Stackable/walk.scm 429 */
							obj_t BgL_arg2096z00_2666;

							BgL_arg2096z00_2666 = CDR(((obj_t) BgL_l1439z00_2660));
							BgL_arg2094z00_2664 =
								BGl_zc3z04anonymousza32091ze3ze70z60zzstackable_walkz00
								(BgL_arg2096z00_2666);
						}
						return bgl_append2(BgL_arg2093z00_2663, BgL_arg2094z00_2664);
					}
			}
		}

	}



/* &node-escape-make-box1500 */
	obj_t BGl_z62nodezd2escapezd2makezd2box1500zb0zzstackable_walkz00(obj_t
		BgL_envz00_4613, obj_t BgL_nodez00_4614, obj_t BgL_ctxz00_4615)
	{
		{	/* Stackable/walk.scm 367 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4614)), BgL_ctxz00_4615);
		}

	}



/* &node-escape-app1498 */
	obj_t BGl_z62nodezd2escapezd2app1498z62zzstackable_walkz00(obj_t
		BgL_envz00_4616, obj_t BgL_nodez00_4617, obj_t BgL_ctxz00_4618)
	{
		{	/* Stackable/walk.scm 361 */
			return
				BGl_escapez12z12zzstackable_walkz00(
				((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4617)), BgL_ctxz00_4618);
		}

	}



/* &escape!-closure1494 */
	obj_t BGl_z62escapez12zd2closure1494za2zzstackable_walkz00(obj_t
		BgL_envz00_4619, obj_t BgL_nodez00_4620, obj_t BgL_ctxz00_4621)
	{
		{	/* Stackable/walk.scm 343 */
			{

				BGl_walk1z12z12zzast_walkz00(
					((BgL_nodez00_bglt)
						((BgL_closurez00_bglt) BgL_nodez00_4620)),
					BGl_escapez12zd2envzc0zzstackable_walkz00, BgL_ctxz00_4621);
				{	/* Stackable/walk.scm 345 */
					BgL_variablez00_bglt BgL_vz00_4843;

					BgL_vz00_4843 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4620))))->BgL_variablez00);
					{	/* Stackable/walk.scm 345 */
						BgL_valuez00_bglt BgL_fz00_4844;

						BgL_fz00_4844 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4843))->BgL_valuez00);
						{	/* Stackable/walk.scm 346 */

							if (CBOOL(
									(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_fz00_4844)))->
										BgL_stackablez00)))
								{	/* Stackable/walk.scm 348 */
									{	/* Stackable/walk.scm 349 */
										obj_t BgL_tmpz00_6710;

										BgL_tmpz00_6710 = ((obj_t) BgL_ctxz00_4621);
										SET_CAR(BgL_tmpz00_6710, BFALSE);
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_4844)))->
											BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
								}
							else
								{	/* Stackable/walk.scm 348 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* &escape!-make-box1492 */
	obj_t BGl_z62escapez12zd2makezd2box1492z70zzstackable_walkz00(obj_t
		BgL_envz00_4622, obj_t BgL_nodez00_4623, obj_t BgL_ctxz00_4624)
	{
		{	/* Stackable/walk.scm 333 */
			if (CBOOL(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4623)))->
						BgL_stackablez00)))
				{	/* Stackable/walk.scm 335 */
					{	/* Stackable/walk.scm 336 */
						obj_t BgL_tmpz00_6719;

						BgL_tmpz00_6719 = ((obj_t) BgL_ctxz00_4624);
						SET_CAR(BgL_tmpz00_6719, BFALSE);
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4623)))->
							BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
					{	/* Stackable/walk.scm 338 */
						BgL_nodez00_bglt BgL_arg2077z00_4846;

						BgL_arg2077z00_4846 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_4623)))->BgL_valuez00);
						return
							BGl_escapez12z12zzstackable_walkz00(
							((obj_t) BgL_arg2077z00_4846), BgL_ctxz00_4624);
					}
				}
			else
				{	/* Stackable/walk.scm 335 */
					return BFALSE;
				}
		}

	}



/* &escape!-app1490 */
	obj_t BGl_z62escapez12zd2app1490za2zzstackable_walkz00(obj_t BgL_envz00_4625,
		obj_t BgL_nodez00_4626, obj_t BgL_ctxz00_4627)
	{
		{	/* Stackable/walk.scm 324 */
			if (CBOOL(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_4626)))->BgL_stackablez00)))
				{	/* Stackable/walk.scm 326 */
					{	/* Stackable/walk.scm 327 */
						obj_t BgL_tmpz00_6732;

						BgL_tmpz00_6732 = ((obj_t) BgL_ctxz00_4627);
						SET_CAR(BgL_tmpz00_6732, BFALSE);
					}
					return
						((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_4626)))->BgL_stackablez00) =
						((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 326 */
					return BFALSE;
				}
		}

	}



/* &escape!-node1488 */
	obj_t BGl_z62escapez12zd2node1488za2zzstackable_walkz00(obj_t BgL_envz00_4628,
		obj_t BgL_nodez00_4629, obj_t BgL_ctxz00_4630)
	{
		{	/* Stackable/walk.scm 318 */
			return
				BGl_nodezd2escapezd2zzstackable_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_4629), BgL_ctxz00_4630);
		}

	}



/* &escape!-local1486 */
	obj_t BGl_z62escapez12zd2local1486za2zzstackable_walkz00(obj_t
		BgL_envz00_4631, obj_t BgL_varz00_4632, obj_t BgL_ctxz00_4633)
	{
		{	/* Stackable/walk.scm 309 */
			if (
				((((BgL_localz00_bglt) COBJECT(
								((BgL_localz00_bglt) BgL_varz00_4632)))->
						BgL_valzd2noescapezd2) == BTRUE))
				{	/* Stackable/walk.scm 311 */
					{	/* Stackable/walk.scm 312 */
						obj_t BgL_tmpz00_6743;

						BgL_tmpz00_6743 = ((obj_t) BgL_ctxz00_4633);
						SET_CAR(BgL_tmpz00_6743, BFALSE);
					}
					return
						((((BgL_localz00_bglt) COBJECT(
									((BgL_localz00_bglt) BgL_varz00_4632)))->
							BgL_valzd2noescapezd2) = ((obj_t) BFALSE), BUNSPEC);
				}
			else
				{	/* Stackable/walk.scm 311 */
					return BFALSE;
				}
		}

	}



/* &escape!-global1484 */
	obj_t BGl_z62escapez12zd2global1484za2zzstackable_walkz00(obj_t
		BgL_envz00_4634, obj_t BgL_varz00_4635, obj_t BgL_ctxz00_4636)
	{
		{	/* Stackable/walk.scm 303 */
			return BUNSPEC;
		}

	}



/* &stackable-sequence1480 */
	obj_t BGl_z62stackablezd2sequence1480zb0zzstackable_walkz00(obj_t
		BgL_envz00_4637, obj_t BgL_nodez00_4638, obj_t BgL_escpz00_4639,
		obj_t BgL_depthz00_4640, obj_t BgL_ctxz00_4641)
	{
		{	/* Stackable/walk.scm 280 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4638)))->BgL_nodesz00)))
				{	/* Stackable/walk.scm 282 */
					return BFALSE;
				}
			else
				{
					obj_t BgL_nodesz00_4854;

					BgL_nodesz00_4854 =
						(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_4638)))->BgL_nodesz00);
				BgL_loopz00_4853:
					if (NULLP(CDR(((obj_t) BgL_nodesz00_4854))))
						{	/* Stackable/walk.scm 285 */
							obj_t BgL_arg2062z00_4855;

							BgL_arg2062z00_4855 = CAR(((obj_t) BgL_nodesz00_4854));
							return
								BGl_stackablez00zzstackable_walkz00(
								((BgL_nodez00_bglt) BgL_arg2062z00_4855),
								CBOOL(BgL_escpz00_4639),
								(long) CINT(BgL_depthz00_4640), ((obj_t) BgL_ctxz00_4641));
						}
					else
						{	/* Stackable/walk.scm 284 */
							{	/* Stackable/walk.scm 287 */
								obj_t BgL_arg2063z00_4856;

								BgL_arg2063z00_4856 = CAR(((obj_t) BgL_nodesz00_4854));
								BGl_stackablez00zzstackable_walkz00(
									((BgL_nodez00_bglt) BgL_arg2063z00_4856), ((bool_t) 0),
									((long) 100000), ((obj_t) BgL_ctxz00_4641));
							}
							{	/* Stackable/walk.scm 288 */
								obj_t BgL_arg2065z00_4857;

								BgL_arg2065z00_4857 = CDR(((obj_t) BgL_nodesz00_4854));
								{
									obj_t BgL_nodesz00_6770;

									BgL_nodesz00_6770 = BgL_arg2065z00_4857;
									BgL_nodesz00_4854 = BgL_nodesz00_6770;
									goto BgL_loopz00_4853;
								}
							}
						}
				}
		}

	}



/* &stackable-funcall1478 */
	obj_t BGl_z62stackablezd2funcall1478zb0zzstackable_walkz00(obj_t
		BgL_envz00_4642, obj_t BgL_nodez00_4643, obj_t BgL_escpz00_4644,
		obj_t BgL_depthz00_4645, obj_t BgL_ctxz00_4646)
	{
		{	/* Stackable/walk.scm 273 */
			{	/* Stackable/walk.scm 273 */
				obj_t BgL_escpz00_4859;

				BgL_escpz00_4859 = BgL_escpz00_4644;
				{

					BgL_escpz00_4859 = BTRUE;
					return
						BGl_walk3z00zzast_walkz00(
						((BgL_nodez00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_4643)),
						BGl_stackablezd2envzd2zzstackable_walkz00, BgL_escpz00_4859,
						BgL_depthz00_4645, ((obj_t) BgL_ctxz00_4646));
				}
			}
		}

	}



/* &stackable-app1476 */
	obj_t BGl_z62stackablezd2app1476zb0zzstackable_walkz00(obj_t BgL_envz00_4647,
		obj_t BgL_nodez00_4648, obj_t BgL_escpz00_4649, obj_t BgL_depthz00_4650,
		obj_t BgL_ctxz00_4651)
	{
		{	/* Stackable/walk.scm 189 */
			{	/* Stackable/walk.scm 189 */
				bool_t BgL_tmpz00_6777;

				{
					obj_t BgL_argsz00_4865;

					{	/* Stackable/walk.scm 225 */
						BgL_variablez00_bglt BgL_vz00_4955;

						BgL_vz00_4955 =
							(((BgL_varz00_bglt) COBJECT(
									(((BgL_appz00_bglt) COBJECT(
												((BgL_appz00_bglt) BgL_nodez00_4648)))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Stackable/walk.scm 225 */
							BgL_valuez00_bglt BgL_fz00_4956;

							BgL_fz00_4956 =
								(((BgL_variablez00_bglt) COBJECT(BgL_vz00_4955))->BgL_valuez00);
							{	/* Stackable/walk.scm 226 */

								{	/* Stackable/walk.scm 228 */
									bool_t BgL_test2572z00_6782;

									if (CBOOL(BgL_escpz00_4649))
										{	/* Stackable/walk.scm 228 */
											BgL_test2572z00_6782 = ((bool_t) 1);
										}
									else
										{	/* Stackable/walk.scm 228 */
											long BgL_arg1960z00_4957;

											{
												BgL_appzf2depthzf2_bglt BgL_auxz00_6785;

												{
													obj_t BgL_auxz00_6786;

													{	/* Stackable/walk.scm 228 */
														BgL_objectz00_bglt BgL_tmpz00_6787;

														BgL_tmpz00_6787 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_4648)));
														BgL_auxz00_6786 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6787);
													}
													BgL_auxz00_6785 =
														((BgL_appzf2depthzf2_bglt) BgL_auxz00_6786);
												}
												BgL_arg1960z00_4957 =
													(((BgL_appzf2depthzf2_bglt)
														COBJECT(BgL_auxz00_6785))->BgL_depthz00);
											}
											BgL_test2572z00_6782 =
												((long) CINT(BgL_depthz00_4650) < BgL_arg1960z00_4957);
										}
									if (BgL_test2572z00_6782)
										{	/* Stackable/walk.scm 229 */
											bool_t BgL_test2574z00_6796;

											{	/* Stackable/walk.scm 229 */
												bool_t BgL_test2575z00_6797;

												{	/* Stackable/walk.scm 229 */
													obj_t BgL_classz00_4958;

													BgL_classz00_4958 = BGl_globalz00zzast_varz00;
													{	/* Stackable/walk.scm 229 */
														BgL_objectz00_bglt BgL_arg1825z00_4959;

														{	/* Stackable/walk.scm 229 */
															obj_t BgL_tmpz00_6798;

															BgL_tmpz00_6798 =
																((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4955));
															BgL_arg1825z00_4959 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6798);
														}
														{	/* Stackable/walk.scm 229 */
															bool_t BgL_arg1822z00_4960;
															bool_t BgL_arg1823z00_4961;

															{	/* Stackable/walk.scm 229 */
																long BgL_idxz00_4962;

																BgL_idxz00_4962 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4959);
																BgL_arg1822z00_4960 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4962 + ((long) 2))) ==
																	BgL_classz00_4958);
															}
															{	/* Stackable/walk.scm 229 */
																bool_t BgL_res2301z00_4965;

																{	/* Stackable/walk.scm 229 */
																	obj_t BgL_oclassz00_4966;

																	{	/* Stackable/walk.scm 229 */
																		long BgL_arg1833z00_4967;

																		{	/* Stackable/walk.scm 229 */
																			long BgL_arg1834z00_4968;

																			BgL_arg1834z00_4968 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4959);
																			BgL_arg1833z00_4967 =
																				(BgL_arg1834z00_4968 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4966 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4967);
																	}
																	{	/* Stackable/walk.scm 229 */
																		bool_t BgL__ortest_1110z00_4969;

																		BgL__ortest_1110z00_4969 =
																			(BgL_classz00_4958 == BgL_oclassz00_4966);
																		if (BgL__ortest_1110z00_4969)
																			{	/* Stackable/walk.scm 229 */
																				BgL_res2301z00_4965 =
																					BgL__ortest_1110z00_4969;
																			}
																		else
																			{	/* Stackable/walk.scm 229 */
																				long BgL_odepthz00_4970;

																				BgL_odepthz00_4970 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4966);
																				if ((((long) 2) < BgL_odepthz00_4970))
																					{	/* Stackable/walk.scm 229 */
																						obj_t BgL_arg1821z00_4971;

																						BgL_arg1821z00_4971 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4966, ((long) 2));
																						BgL_res2301z00_4965 =
																							(BgL_arg1821z00_4971 ==
																							BgL_classz00_4958);
																					}
																				else
																					{	/* Stackable/walk.scm 229 */
																						BgL_res2301z00_4965 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4961 = BgL_res2301z00_4965;
															}
															BgL_test2575z00_6797 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4960,
																BgL_arg1823z00_4961);
														}
													}
												}
												if (BgL_test2575z00_6797)
													{	/* Stackable/walk.scm 229 */
														if (
															((((BgL_globalz00_bglt) COBJECT(
																			((BgL_globalz00_bglt) BgL_vz00_4955)))->
																	BgL_modulez00) == CNST_TABLE_REF(((long) 9))))
															{	/* Stackable/walk.scm 231 */
																BgL_test2574z00_6796 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	((((BgL_variablez00_bglt)
																				COBJECT(((BgL_variablez00_bglt) (
																							(BgL_globalz00_bglt)
																							BgL_vz00_4955))))->BgL_idz00),
																		CNST_TABLE_REF(((long) 10))));
															}
														else
															{	/* Stackable/walk.scm 231 */
																BgL_test2574z00_6796 = ((bool_t) 0);
															}
													}
												else
													{	/* Stackable/walk.scm 229 */
														BgL_test2574z00_6796 = ((bool_t) 0);
													}
											}
											if (BgL_test2574z00_6796)
												{	/* Stackable/walk.scm 229 */
													BFALSE;
												}
											else
												{	/* Stackable/walk.scm 229 */
													BGl_escapez12z12zzstackable_walkz00(
														((obj_t)
															((BgL_appz00_bglt) BgL_nodez00_4648)),
														((obj_t) BgL_ctxz00_4651));
												}
										}
									else
										{	/* Stackable/walk.scm 228 */
											BFALSE;
										}
								}
								{	/* Stackable/walk.scm 235 */
									bool_t BgL_test2579z00_6832;

									{	/* Stackable/walk.scm 235 */
										obj_t BgL_classz00_4972;

										BgL_classz00_4972 = BGl_localz00zzast_varz00;
										{	/* Stackable/walk.scm 235 */
											BgL_objectz00_bglt BgL_arg1825z00_4973;

											{	/* Stackable/walk.scm 235 */
												obj_t BgL_tmpz00_6833;

												BgL_tmpz00_6833 =
													((obj_t) ((BgL_objectz00_bglt) BgL_vz00_4955));
												BgL_arg1825z00_4973 =
													(BgL_objectz00_bglt) (BgL_tmpz00_6833);
											}
											{	/* Stackable/walk.scm 235 */
												bool_t BgL_arg1822z00_4974;
												bool_t BgL_arg1823z00_4975;

												{	/* Stackable/walk.scm 235 */
													long BgL_idxz00_4976;

													BgL_idxz00_4976 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_4973);
													BgL_arg1822z00_4974 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_4976 + ((long) 2))) ==
														BgL_classz00_4972);
												}
												{	/* Stackable/walk.scm 235 */
													bool_t BgL_res2302z00_4979;

													{	/* Stackable/walk.scm 235 */
														obj_t BgL_oclassz00_4980;

														{	/* Stackable/walk.scm 235 */
															long BgL_arg1833z00_4981;

															{	/* Stackable/walk.scm 235 */
																long BgL_arg1834z00_4982;

																BgL_arg1834z00_4982 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_4973);
																BgL_arg1833z00_4981 =
																	(BgL_arg1834z00_4982 - OBJECT_TYPE);
															}
															BgL_oclassz00_4980 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_4981);
														}
														{	/* Stackable/walk.scm 235 */
															bool_t BgL__ortest_1110z00_4983;

															BgL__ortest_1110z00_4983 =
																(BgL_classz00_4972 == BgL_oclassz00_4980);
															if (BgL__ortest_1110z00_4983)
																{	/* Stackable/walk.scm 235 */
																	BgL_res2302z00_4979 =
																		BgL__ortest_1110z00_4983;
																}
															else
																{	/* Stackable/walk.scm 235 */
																	long BgL_odepthz00_4984;

																	BgL_odepthz00_4984 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_4980);
																	if ((((long) 2) < BgL_odepthz00_4984))
																		{	/* Stackable/walk.scm 235 */
																			obj_t BgL_arg1821z00_4985;

																			BgL_arg1821z00_4985 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_4980, ((long) 2));
																			BgL_res2302z00_4979 =
																				(BgL_arg1821z00_4985 ==
																				BgL_classz00_4972);
																		}
																	else
																		{	/* Stackable/walk.scm 235 */
																			BgL_res2302z00_4979 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_4975 = BgL_res2302z00_4979;
												}
												BgL_test2579z00_6832 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_4974,
													BgL_arg1823z00_4975);
											}
										}
									}
									if (BgL_test2579z00_6832)
										{	/* Stackable/walk.scm 237 */
											obj_t BgL_g1415z00_4986;

											BgL_g1415z00_4986 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_4648)))->
												BgL_argsz00);
											{
												obj_t BgL_l1413z00_4988;

												BgL_l1413z00_4988 = BgL_g1415z00_4986;
											BgL_zc3z04anonymousza31962ze3z87_4987:
												if (PAIRP(BgL_l1413z00_4988))
													{	/* Stackable/walk.scm 237 */
														{	/* Stackable/walk.scm 237 */
															obj_t BgL_az00_4989;

															BgL_az00_4989 = CAR(BgL_l1413z00_4988);
															BGl_stackablez00zzstackable_walkz00(
																((BgL_nodez00_bglt) BgL_az00_4989),
																((bool_t) 1), ((long) 100000),
																((obj_t) BgL_ctxz00_4651));
														}
														{
															obj_t BgL_l1413z00_6860;

															BgL_l1413z00_6860 = CDR(BgL_l1413z00_4988);
															BgL_l1413z00_4988 = BgL_l1413z00_6860;
															goto BgL_zc3z04anonymousza31962ze3z87_4987;
														}
													}
												else
													{	/* Stackable/walk.scm 237 */
														BgL_tmpz00_6777 = ((bool_t) 1);
													}
											}
										}
									else
										{	/* Stackable/walk.scm 238 */
											bool_t BgL_test2583z00_6862;

											{	/* Stackable/walk.scm 238 */
												bool_t BgL_test2584z00_6863;

												{	/* Stackable/walk.scm 238 */
													obj_t BgL_classz00_4990;

													BgL_classz00_4990 = BGl_sfunz00zzast_varz00;
													{	/* Stackable/walk.scm 238 */
														BgL_objectz00_bglt BgL_arg1825z00_4991;

														{	/* Stackable/walk.scm 238 */
															obj_t BgL_tmpz00_6864;

															BgL_tmpz00_6864 =
																((obj_t) ((BgL_objectz00_bglt) BgL_fz00_4956));
															BgL_arg1825z00_4991 =
																(BgL_objectz00_bglt) (BgL_tmpz00_6864);
														}
														{	/* Stackable/walk.scm 238 */
															bool_t BgL_arg1822z00_4992;
															bool_t BgL_arg1823z00_4993;

															{	/* Stackable/walk.scm 238 */
																long BgL_idxz00_4994;

																BgL_idxz00_4994 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_4991);
																BgL_arg1822z00_4992 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_4994 + ((long) 3))) ==
																	BgL_classz00_4990);
															}
															{	/* Stackable/walk.scm 238 */
																bool_t BgL_res2303z00_4997;

																{	/* Stackable/walk.scm 238 */
																	obj_t BgL_oclassz00_4998;

																	{	/* Stackable/walk.scm 238 */
																		long BgL_arg1833z00_4999;

																		{	/* Stackable/walk.scm 238 */
																			long BgL_arg1834z00_5000;

																			BgL_arg1834z00_5000 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_4991);
																			BgL_arg1833z00_4999 =
																				(BgL_arg1834z00_5000 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_4998 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_4999);
																	}
																	{	/* Stackable/walk.scm 238 */
																		bool_t BgL__ortest_1110z00_5001;

																		BgL__ortest_1110z00_5001 =
																			(BgL_classz00_4990 == BgL_oclassz00_4998);
																		if (BgL__ortest_1110z00_5001)
																			{	/* Stackable/walk.scm 238 */
																				BgL_res2303z00_4997 =
																					BgL__ortest_1110z00_5001;
																			}
																		else
																			{	/* Stackable/walk.scm 238 */
																				long BgL_odepthz00_5002;

																				BgL_odepthz00_5002 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_4998);
																				if ((((long) 3) < BgL_odepthz00_5002))
																					{	/* Stackable/walk.scm 238 */
																						obj_t BgL_arg1821z00_5003;

																						BgL_arg1821z00_5003 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_4998, ((long) 3));
																						BgL_res2303z00_4997 =
																							(BgL_arg1821z00_5003 ==
																							BgL_classz00_4990);
																					}
																				else
																					{	/* Stackable/walk.scm 238 */
																						BgL_res2303z00_4997 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_4993 = BgL_res2303z00_4997;
															}
															BgL_test2584z00_6863 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_4992,
																BgL_arg1823z00_4993);
														}
													}
												}
												if (BgL_test2584z00_6863)
													{	/* Stackable/walk.scm 238 */
														if (BGl_importzf3zf3zzstackable_walkz00
															(BgL_vz00_4955))
															{	/* Stackable/walk.scm 238 */
																BgL_test2583z00_6862 = ((bool_t) 0);
															}
														else
															{	/* Stackable/walk.scm 238 */
																BgL_test2583z00_6862 = ((bool_t) 1);
															}
													}
												else
													{	/* Stackable/walk.scm 238 */
														BgL_test2583z00_6862 = ((bool_t) 0);
													}
											}
											if (BgL_test2583z00_6862)
												{	/* Stackable/walk.scm 238 */
													BGl_varzd2stackablezd2zzstackable_walkz00
														(BgL_vz00_4955, ((obj_t) BgL_ctxz00_4651));
													{	/* Stackable/walk.scm 241 */
														obj_t BgL_g1419z00_5004;
														obj_t BgL_g1420z00_5005;

														BgL_g1419z00_5004 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_fz00_4956)))->
															BgL_argsz00);
														BgL_g1420z00_5005 =
															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt)
																		BgL_nodez00_4648)))->BgL_argsz00);
														{
															obj_t BgL_ll1416z00_5007;
															obj_t BgL_ll1417z00_5008;

															BgL_ll1416z00_5007 = BgL_g1419z00_5004;
															BgL_ll1417z00_5008 = BgL_g1420z00_5005;
														BgL_zc3z04anonymousza31969ze3z87_5006:
															if (NULLP(BgL_ll1416z00_5007))
																{	/* Stackable/walk.scm 241 */
																	BgL_tmpz00_6777 = ((bool_t) 1);
																}
															else
																{	/* Stackable/walk.scm 241 */
																	{	/* Stackable/walk.scm 242 */
																		obj_t BgL_pz00_5009;
																		obj_t BgL_az00_5010;

																		BgL_pz00_5009 =
																			CAR(((obj_t) BgL_ll1416z00_5007));
																		BgL_az00_5010 =
																			CAR(((obj_t) BgL_ll1417z00_5008));
																		{	/* Stackable/walk.scm 242 */
																			bool_t BgL_test2589z00_6897;

																			{	/* Stackable/walk.scm 242 */
																				obj_t BgL_classz00_5011;

																				BgL_classz00_5011 =
																					BGl_localz00zzast_varz00;
																				if (BGL_OBJECTP(BgL_pz00_5009))
																					{	/* Stackable/walk.scm 242 */
																						BgL_objectz00_bglt
																							BgL_arg1825z00_5012;
																						BgL_arg1825z00_5012 =
																							(BgL_objectz00_bglt)
																							(BgL_pz00_5009);
																						{	/* Stackable/walk.scm 242 */
																							bool_t BgL_arg1822z00_5013;
																							bool_t BgL_arg1823z00_5014;

																							{	/* Stackable/walk.scm 242 */
																								long BgL_idxz00_5015;

																								BgL_idxz00_5015 =
																									BGL_OBJECT_INHERITANCE_NUM
																									(BgL_arg1825z00_5012);
																								BgL_arg1822z00_5013 =
																									(VECTOR_REF
																									(BGl_za2inheritancesza2z00zz__objectz00,
																										(BgL_idxz00_5015 +
																											((long) 2))) ==
																									BgL_classz00_5011);
																							}
																							{	/* Stackable/walk.scm 242 */
																								bool_t BgL_res2304z00_5018;

																								{	/* Stackable/walk.scm 242 */
																									obj_t BgL_oclassz00_5019;

																									{	/* Stackable/walk.scm 242 */
																										long BgL_arg1833z00_5020;

																										{	/* Stackable/walk.scm 242 */
																											long BgL_arg1834z00_5021;

																											BgL_arg1834z00_5021 =
																												BGL_OBJECT_CLASS_NUM
																												(BgL_arg1825z00_5012);
																											BgL_arg1833z00_5020 =
																												(BgL_arg1834z00_5021 -
																												OBJECT_TYPE);
																										}
																										BgL_oclassz00_5019 =
																											VECTOR_REF
																											(BGl_za2classesza2z00zz__objectz00,
																											BgL_arg1833z00_5020);
																									}
																									{	/* Stackable/walk.scm 242 */
																										bool_t
																											BgL__ortest_1110z00_5022;
																										BgL__ortest_1110z00_5022 =
																											(BgL_classz00_5011 ==
																											BgL_oclassz00_5019);
																										if (BgL__ortest_1110z00_5022)
																											{	/* Stackable/walk.scm 242 */
																												BgL_res2304z00_5018 =
																													BgL__ortest_1110z00_5022;
																											}
																										else
																											{	/* Stackable/walk.scm 242 */
																												long BgL_odepthz00_5023;

																												BgL_odepthz00_5023 =
																													BGL_CLASS_DEPTH
																													(BgL_oclassz00_5019);
																												if ((((long) 2) <
																														BgL_odepthz00_5023))
																													{	/* Stackable/walk.scm 242 */
																														obj_t
																															BgL_arg1821z00_5024;
																														BgL_arg1821z00_5024
																															=
																															BGL_CLASS_ANCESTORS_REF
																															(BgL_oclassz00_5019,
																															((long) 2));
																														BgL_res2304z00_5018
																															=
																															(BgL_arg1821z00_5024
																															==
																															BgL_classz00_5011);
																													}
																												else
																													{	/* Stackable/walk.scm 242 */
																														BgL_res2304z00_5018
																															= ((bool_t) 0);
																													}
																											}
																									}
																								}
																								BgL_arg1823z00_5014 =
																									BgL_res2304z00_5018;
																							}
																							BgL_test2589z00_6897 =
																								BGL_ISA_C_BACKEND
																								(BgL_arg1822z00_5013,
																								BgL_arg1823z00_5014);
																						}
																					}
																				else
																					{	/* Stackable/walk.scm 242 */
																						BgL_test2589z00_6897 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2589z00_6897)
																				{	/* Stackable/walk.scm 244 */
																					bool_t BgL_arg1972z00_5025;

																					if (CBOOL(
																							(((BgL_localz00_bglt) COBJECT(
																										((BgL_localz00_bglt)
																											BgL_pz00_5009)))->
																								BgL_valzd2noescapezd2)))
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1972z00_5025 =
																								((bool_t) 0);
																						}
																					else
																						{	/* Stackable/walk.scm 244 */
																							BgL_arg1972z00_5025 =
																								((bool_t) 1);
																						}
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_5010),
																						BgL_arg1972z00_5025,
																						((long) 100000),
																						((obj_t) BgL_ctxz00_4651));
																				}
																			else
																				{	/* Stackable/walk.scm 242 */
																					BFALSE;
																				}
																		}
																	}
																	{	/* Stackable/walk.scm 241 */
																		obj_t BgL_arg1975z00_5026;
																		obj_t BgL_arg1976z00_5027;

																		BgL_arg1975z00_5026 =
																			CDR(((obj_t) BgL_ll1416z00_5007));
																		BgL_arg1976z00_5027 =
																			CDR(((obj_t) BgL_ll1417z00_5008));
																		{
																			obj_t BgL_ll1417z00_6928;
																			obj_t BgL_ll1416z00_6927;

																			BgL_ll1416z00_6927 = BgL_arg1975z00_5026;
																			BgL_ll1417z00_6928 = BgL_arg1976z00_5027;
																			BgL_ll1417z00_5008 = BgL_ll1417z00_6928;
																			BgL_ll1416z00_5007 = BgL_ll1416z00_6927;
																			goto
																				BgL_zc3z04anonymousza31969ze3z87_5006;
																		}
																	}
																}
														}
													}
												}
											else
												{	/* Stackable/walk.scm 246 */
													bool_t BgL_test2594z00_6929;

													{	/* Stackable/walk.scm 246 */
														obj_t BgL_classz00_5028;

														BgL_classz00_5028 = BGl_funz00zzast_varz00;
														{	/* Stackable/walk.scm 246 */
															BgL_objectz00_bglt BgL_arg1825z00_5029;

															{	/* Stackable/walk.scm 246 */
																obj_t BgL_tmpz00_6930;

																BgL_tmpz00_6930 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_fz00_4956));
																BgL_arg1825z00_5029 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_6930);
															}
															{	/* Stackable/walk.scm 246 */
																bool_t BgL_arg1822z00_5030;
																bool_t BgL_arg1823z00_5031;

																{	/* Stackable/walk.scm 246 */
																	long BgL_idxz00_5032;

																	BgL_idxz00_5032 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1825z00_5029);
																	BgL_arg1822z00_5030 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_5032 + ((long) 2))) ==
																		BgL_classz00_5028);
																}
																{	/* Stackable/walk.scm 246 */
																	bool_t BgL_res2305z00_5035;

																	{	/* Stackable/walk.scm 246 */
																		obj_t BgL_oclassz00_5036;

																		{	/* Stackable/walk.scm 246 */
																			long BgL_arg1833z00_5037;

																			{	/* Stackable/walk.scm 246 */
																				long BgL_arg1834z00_5038;

																				BgL_arg1834z00_5038 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1825z00_5029);
																				BgL_arg1833z00_5037 =
																					(BgL_arg1834z00_5038 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_5036 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1833z00_5037);
																		}
																		{	/* Stackable/walk.scm 246 */
																			bool_t BgL__ortest_1110z00_5039;

																			BgL__ortest_1110z00_5039 =
																				(BgL_classz00_5028 ==
																				BgL_oclassz00_5036);
																			if (BgL__ortest_1110z00_5039)
																				{	/* Stackable/walk.scm 246 */
																					BgL_res2305z00_5035 =
																						BgL__ortest_1110z00_5039;
																				}
																			else
																				{	/* Stackable/walk.scm 246 */
																					long BgL_odepthz00_5040;

																					BgL_odepthz00_5040 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_5036);
																					if ((((long) 2) < BgL_odepthz00_5040))
																						{	/* Stackable/walk.scm 246 */
																							obj_t BgL_arg1821z00_5041;

																							BgL_arg1821z00_5041 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_5036,
																								((long) 2));
																							BgL_res2305z00_5035 =
																								(BgL_arg1821z00_5041 ==
																								BgL_classz00_5028);
																						}
																					else
																						{	/* Stackable/walk.scm 246 */
																							BgL_res2305z00_5035 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg1823z00_5031 = BgL_res2305z00_5035;
																}
																BgL_test2594z00_6929 =
																	BGL_ISA_C_BACKEND(BgL_arg1822z00_5030,
																	BgL_arg1823z00_5031);
															}
														}
													}
													if (BgL_test2594z00_6929)
														{	/* Stackable/walk.scm 246 */
															if (
																((((BgL_funz00_bglt) COBJECT(
																				((BgL_funz00_bglt) BgL_fz00_4956)))->
																		BgL_argszd2noescapezd2) ==
																	CNST_TABLE_REF(((long) 11))))
																{	/* Stackable/walk.scm 250 */
																	obj_t BgL_g1423z00_5042;

																	BgL_g1423z00_5042 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_4648)))->
																		BgL_argsz00);
																	{
																		obj_t BgL_l1421z00_5044;

																		BgL_l1421z00_5044 = BgL_g1423z00_5042;
																	BgL_zc3z04anonymousza31980ze3z87_5043:
																		if (PAIRP(BgL_l1421z00_5044))
																			{	/* Stackable/walk.scm 250 */
																				{	/* Stackable/walk.scm 250 */
																					obj_t BgL_az00_5045;

																					BgL_az00_5045 =
																						CAR(BgL_l1421z00_5044);
																					BGl_stackablez00zzstackable_walkz00(
																						((BgL_nodez00_bglt) BgL_az00_5045),
																						((bool_t) 0), ((long) 100000),
																						((obj_t) BgL_ctxz00_4651));
																				}
																				{
																					obj_t BgL_l1421z00_6962;

																					BgL_l1421z00_6962 =
																						CDR(BgL_l1421z00_5044);
																					BgL_l1421z00_5044 = BgL_l1421z00_6962;
																					goto
																						BgL_zc3z04anonymousza31980ze3z87_5043;
																				}
																			}
																		else
																			{	/* Stackable/walk.scm 250 */
																				BgL_tmpz00_6777 = ((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Stackable/walk.scm 251 */
																	bool_t BgL_test2599z00_6964;

																	if (
																		((((BgL_funz00_bglt) COBJECT(
																						((BgL_funz00_bglt)
																							BgL_fz00_4956)))->
																				BgL_argszd2retescapezd2) ==
																			CNST_TABLE_REF(((long) 11))))
																		{	/* Stackable/walk.scm 251 */
																			if (CBOOL(
																					(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4648)))->
																						BgL_stackablez00)))
																				{	/* Stackable/walk.scm 251 */
																					BgL_argsz00_4865 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4648)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1410z00_4867;

																						BgL_l1410z00_4867 =
																							BgL_argsz00_4865;
																					BgL_zc3z04anonymousza32040ze3z87_4866:
																						if (NULLP
																							(BgL_l1410z00_4867))
																							{	/* Stackable/walk.scm 207 */
																								BgL_test2599z00_6964 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Stackable/walk.scm 209 */
																								obj_t BgL_nvz00_4868;

																								{	/* Stackable/walk.scm 209 */
																									obj_t BgL_az00_4869;

																									BgL_az00_4869 =
																										CAR(
																										((obj_t)
																											BgL_l1410z00_4867));
																									{	/* Stackable/walk.scm 209 */
																										bool_t BgL_test2603z00_6978;

																										{	/* Stackable/walk.scm 209 */
																											obj_t BgL_classz00_4870;

																											BgL_classz00_4870 =
																												BGl_appz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_az00_4869))
																												{	/* Stackable/walk.scm 209 */
																													BgL_objectz00_bglt
																														BgL_arg1825z00_4871;
																													BgL_arg1825z00_4871 =
																														(BgL_objectz00_bglt)
																														(BgL_az00_4869);
																													{	/* Stackable/walk.scm 209 */
																														bool_t
																															BgL_arg1822z00_4872;
																														bool_t
																															BgL_arg1823z00_4873;
																														{	/* Stackable/walk.scm 209 */
																															long
																																BgL_idxz00_4874;
																															BgL_idxz00_4874 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1825z00_4871);
																															BgL_arg1822z00_4872
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_4874
																																		+
																																		((long) 3)))
																																==
																																BgL_classz00_4870);
																														}
																														{	/* Stackable/walk.scm 209 */
																															bool_t
																																BgL_res2295z00_4877;
																															{	/* Stackable/walk.scm 209 */
																																obj_t
																																	BgL_oclassz00_4878;
																																{	/* Stackable/walk.scm 209 */
																																	long
																																		BgL_arg1833z00_4879;
																																	{	/* Stackable/walk.scm 209 */
																																		long
																																			BgL_arg1834z00_4880;
																																		BgL_arg1834z00_4880
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1825z00_4871);
																																		BgL_arg1833z00_4879
																																			=
																																			(BgL_arg1834z00_4880
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_4878
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1833z00_4879);
																																}
																																{	/* Stackable/walk.scm 209 */
																																	bool_t
																																		BgL__ortest_1110z00_4881;
																																	BgL__ortest_1110z00_4881
																																		=
																																		(BgL_classz00_4870
																																		==
																																		BgL_oclassz00_4878);
																																	if (BgL__ortest_1110z00_4881)
																																		{	/* Stackable/walk.scm 209 */
																																			BgL_res2295z00_4877
																																				=
																																				BgL__ortest_1110z00_4881;
																																		}
																																	else
																																		{	/* Stackable/walk.scm 209 */
																																			long
																																				BgL_odepthz00_4882;
																																			BgL_odepthz00_4882
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_4878);
																																			if ((((long) 3) < BgL_odepthz00_4882))
																																				{	/* Stackable/walk.scm 209 */
																																					obj_t
																																						BgL_arg1821z00_4883;
																																					BgL_arg1821z00_4883
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_4878,
																																						((long) 3));
																																					BgL_res2295z00_4877
																																						=
																																						(BgL_arg1821z00_4883
																																						==
																																						BgL_classz00_4870);
																																				}
																																			else
																																				{	/* Stackable/walk.scm 209 */
																																					BgL_res2295z00_4877
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_arg1823z00_4873
																																=
																																BgL_res2295z00_4877;
																														}
																														BgL_test2603z00_6978
																															=
																															BGL_ISA_C_BACKEND
																															(BgL_arg1822z00_4872,
																															BgL_arg1823z00_4873);
																													}
																												}
																											else
																												{	/* Stackable/walk.scm 209 */
																													BgL_test2603z00_6978 =
																														((bool_t) 0);
																												}
																										}
																										if (BgL_test2603z00_6978)
																											{	/* Stackable/walk.scm 209 */
																												BgL_nvz00_4868 =
																													(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_az00_4869)))->
																													BgL_stackablez00);
																											}
																										else
																											{	/* Stackable/walk.scm 211 */
																												bool_t
																													BgL_test2607z00_6999;
																												{	/* Stackable/walk.scm 211 */
																													obj_t
																														BgL_classz00_4884;
																													BgL_classz00_4884 =
																														BGl_makezd2boxzd2zzast_nodez00;
																													if (BGL_OBJECTP
																														(BgL_az00_4869))
																														{	/* Stackable/walk.scm 211 */
																															BgL_objectz00_bglt
																																BgL_arg1825z00_4885;
																															BgL_arg1825z00_4885
																																=
																																(BgL_objectz00_bglt)
																																(BgL_az00_4869);
																															{	/* Stackable/walk.scm 211 */
																																bool_t
																																	BgL_arg1822z00_4886;
																																bool_t
																																	BgL_arg1823z00_4887;
																																{	/* Stackable/walk.scm 211 */
																																	long
																																		BgL_idxz00_4888;
																																	BgL_idxz00_4888
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1825z00_4885);
																																	BgL_arg1822z00_4886
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_4888
																																				+
																																				((long)
																																					3)))
																																		==
																																		BgL_classz00_4884);
																																}
																																{	/* Stackable/walk.scm 211 */
																																	bool_t
																																		BgL_res2296z00_4891;
																																	{	/* Stackable/walk.scm 211 */
																																		obj_t
																																			BgL_oclassz00_4892;
																																		{	/* Stackable/walk.scm 211 */
																																			long
																																				BgL_arg1833z00_4893;
																																			{	/* Stackable/walk.scm 211 */
																																				long
																																					BgL_arg1834z00_4894;
																																				BgL_arg1834z00_4894
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1825z00_4885);
																																				BgL_arg1833z00_4893
																																					=
																																					(BgL_arg1834z00_4894
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_4892
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1833z00_4893);
																																		}
																																		{	/* Stackable/walk.scm 211 */
																																			bool_t
																																				BgL__ortest_1110z00_4895;
																																			BgL__ortest_1110z00_4895
																																				=
																																				(BgL_classz00_4884
																																				==
																																				BgL_oclassz00_4892);
																																			if (BgL__ortest_1110z00_4895)
																																				{	/* Stackable/walk.scm 211 */
																																					BgL_res2296z00_4891
																																						=
																																						BgL__ortest_1110z00_4895;
																																				}
																																			else
																																				{	/* Stackable/walk.scm 211 */
																																					long
																																						BgL_odepthz00_4896;
																																					BgL_odepthz00_4896
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_4892);
																																					if ((((long) 3) < BgL_odepthz00_4896))
																																						{	/* Stackable/walk.scm 211 */
																																							obj_t
																																								BgL_arg1821z00_4897;
																																							BgL_arg1821z00_4897
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_4892,
																																								((long) 3));
																																							BgL_res2296z00_4891
																																								=
																																								(BgL_arg1821z00_4897
																																								==
																																								BgL_classz00_4884);
																																						}
																																					else
																																						{	/* Stackable/walk.scm 211 */
																																							BgL_res2296z00_4891
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_arg1823z00_4887
																																		=
																																		BgL_res2296z00_4891;
																																}
																																BgL_test2607z00_6999
																																	=
																																	BGL_ISA_C_BACKEND
																																	(BgL_arg1822z00_4886,
																																	BgL_arg1823z00_4887);
																															}
																														}
																													else
																														{	/* Stackable/walk.scm 211 */
																															BgL_test2607z00_6999
																																= ((bool_t) 0);
																														}
																												}
																												if (BgL_test2607z00_6999)
																													{	/* Stackable/walk.scm 211 */
																														BgL_nvz00_4868 =
																															(((BgL_makezd2boxzd2_bglt) COBJECT(((BgL_makezd2boxzd2_bglt) BgL_az00_4869)))->BgL_stackablez00);
																													}
																												else
																													{	/* Stackable/walk.scm 213 */
																														bool_t
																															BgL_test2611z00_7020;
																														{	/* Stackable/walk.scm 213 */
																															obj_t
																																BgL_classz00_4898;
																															BgL_classz00_4898
																																=
																																BGl_varz00zzast_nodez00;
																															if (BGL_OBJECTP
																																(BgL_az00_4869))
																																{	/* Stackable/walk.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_arg1825z00_4899;
																																	BgL_arg1825z00_4899
																																		=
																																		(BgL_objectz00_bglt)
																																		(BgL_az00_4869);
																																	{	/* Stackable/walk.scm 213 */
																																		bool_t
																																			BgL_arg1822z00_4900;
																																		bool_t
																																			BgL_arg1823z00_4901;
																																		{	/* Stackable/walk.scm 213 */
																																			long
																																				BgL_idxz00_4902;
																																			BgL_idxz00_4902
																																				=
																																				BGL_OBJECT_INHERITANCE_NUM
																																				(BgL_arg1825z00_4899);
																																			BgL_arg1822z00_4900
																																				=
																																				(VECTOR_REF
																																				(BGl_za2inheritancesza2z00zz__objectz00,
																																					(BgL_idxz00_4902
																																						+
																																						((long) 2))) == BgL_classz00_4898);
																																		}
																																		{	/* Stackable/walk.scm 213 */
																																			bool_t
																																				BgL_res2297z00_4905;
																																			{	/* Stackable/walk.scm 213 */
																																				obj_t
																																					BgL_oclassz00_4906;
																																				{	/* Stackable/walk.scm 213 */
																																					long
																																						BgL_arg1833z00_4907;
																																					{	/* Stackable/walk.scm 213 */
																																						long
																																							BgL_arg1834z00_4908;
																																						BgL_arg1834z00_4908
																																							=
																																							BGL_OBJECT_CLASS_NUM
																																							(BgL_arg1825z00_4899);
																																						BgL_arg1833z00_4907
																																							=
																																							(BgL_arg1834z00_4908
																																							-
																																							OBJECT_TYPE);
																																					}
																																					BgL_oclassz00_4906
																																						=
																																						VECTOR_REF
																																						(BGl_za2classesza2z00zz__objectz00,
																																						BgL_arg1833z00_4907);
																																				}
																																				{	/* Stackable/walk.scm 213 */
																																					bool_t
																																						BgL__ortest_1110z00_4909;
																																					BgL__ortest_1110z00_4909
																																						=
																																						(BgL_classz00_4898
																																						==
																																						BgL_oclassz00_4906);
																																					if (BgL__ortest_1110z00_4909)
																																						{	/* Stackable/walk.scm 213 */
																																							BgL_res2297z00_4905
																																								=
																																								BgL__ortest_1110z00_4909;
																																						}
																																					else
																																						{	/* Stackable/walk.scm 213 */
																																							long
																																								BgL_odepthz00_4910;
																																							BgL_odepthz00_4910
																																								=
																																								BGL_CLASS_DEPTH
																																								(BgL_oclassz00_4906);
																																							if ((((long) 2) < BgL_odepthz00_4910))
																																								{	/* Stackable/walk.scm 213 */
																																									obj_t
																																										BgL_arg1821z00_4911;
																																									BgL_arg1821z00_4911
																																										=
																																										BGL_CLASS_ANCESTORS_REF
																																										(BgL_oclassz00_4906,
																																										((long) 2));
																																									BgL_res2297z00_4905
																																										=
																																										(BgL_arg1821z00_4911
																																										==
																																										BgL_classz00_4898);
																																								}
																																							else
																																								{	/* Stackable/walk.scm 213 */
																																									BgL_res2297z00_4905
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																						}
																																				}
																																			}
																																			BgL_arg1823z00_4901
																																				=
																																				BgL_res2297z00_4905;
																																		}
																																		BgL_test2611z00_7020
																																			=
																																			BGL_ISA_C_BACKEND
																																			(BgL_arg1822z00_4900,
																																			BgL_arg1823z00_4901);
																																	}
																																}
																															else
																																{	/* Stackable/walk.scm 213 */
																																	BgL_test2611z00_7020
																																		=
																																		((bool_t)
																																		0);
																																}
																														}
																														if (BgL_test2611z00_7020)
																															{	/* Stackable/walk.scm 215 */
																																bool_t
																																	BgL_test2615z00_7039;
																																{	/* Stackable/walk.scm 215 */
																																	BgL_variablez00_bglt
																																		BgL_arg2049z00_4912;
																																	BgL_arg2049z00_4912
																																		=
																																		(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4869)))->BgL_variablez00);
																																	{	/* Stackable/walk.scm 215 */
																																		obj_t
																																			BgL_classz00_4913;
																																		BgL_classz00_4913
																																			=
																																			BGl_localz00zzast_varz00;
																																		{	/* Stackable/walk.scm 215 */
																																			BgL_objectz00_bglt
																																				BgL_arg1825z00_4914;
																																			{	/* Stackable/walk.scm 215 */
																																				obj_t
																																					BgL_tmpz00_7042;
																																				BgL_tmpz00_7042
																																					=
																																					(
																																					(obj_t)
																																					((BgL_objectz00_bglt) BgL_arg2049z00_4912));
																																				BgL_arg1825z00_4914
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_tmpz00_7042);
																																			}
																																			{	/* Stackable/walk.scm 215 */
																																				bool_t
																																					BgL_arg1822z00_4915;
																																				bool_t
																																					BgL_arg1823z00_4916;
																																				{	/* Stackable/walk.scm 215 */
																																					long
																																						BgL_idxz00_4917;
																																					BgL_idxz00_4917
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1825z00_4914);
																																					BgL_arg1822z00_4915
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4917
																																								+
																																								((long) 2))) == BgL_classz00_4913);
																																				}
																																				{	/* Stackable/walk.scm 215 */
																																					bool_t
																																						BgL_res2298z00_4920;
																																					{	/* Stackable/walk.scm 215 */
																																						obj_t
																																							BgL_oclassz00_4921;
																																						{	/* Stackable/walk.scm 215 */
																																							long
																																								BgL_arg1833z00_4922;
																																							{	/* Stackable/walk.scm 215 */
																																								long
																																									BgL_arg1834z00_4923;
																																								BgL_arg1834z00_4923
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1825z00_4914);
																																								BgL_arg1833z00_4922
																																									=
																																									(BgL_arg1834z00_4923
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4921
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1833z00_4922);
																																						}
																																						{	/* Stackable/walk.scm 215 */
																																							bool_t
																																								BgL__ortest_1110z00_4924;
																																							BgL__ortest_1110z00_4924
																																								=
																																								(BgL_classz00_4913
																																								==
																																								BgL_oclassz00_4921);
																																							if (BgL__ortest_1110z00_4924)
																																								{	/* Stackable/walk.scm 215 */
																																									BgL_res2298z00_4920
																																										=
																																										BgL__ortest_1110z00_4924;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 215 */
																																									long
																																										BgL_odepthz00_4925;
																																									BgL_odepthz00_4925
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_4921);
																																									if ((((long) 2) < BgL_odepthz00_4925))
																																										{	/* Stackable/walk.scm 215 */
																																											obj_t
																																												BgL_arg1821z00_4926;
																																											BgL_arg1821z00_4926
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_4921,
																																												((long) 2));
																																											BgL_res2298z00_4920
																																												=
																																												(BgL_arg1821z00_4926
																																												==
																																												BgL_classz00_4913);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 215 */
																																											BgL_res2298z00_4920
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_arg1823z00_4916
																																						=
																																						BgL_res2298z00_4920;
																																				}
																																				BgL_test2615z00_7039
																																					=
																																					BGL_ISA_C_BACKEND
																																					(BgL_arg1822z00_4915,
																																					BgL_arg1823z00_4916);
																																			}
																																		}
																																	}
																																}
																																if (BgL_test2615z00_7039)
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4868
																																			=
																																			(((BgL_localz00_bglt) COBJECT(((BgL_localz00_bglt) (((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt) BgL_az00_4869)))->BgL_variablez00))))->BgL_valzd2noescapezd2);
																																	}
																																else
																																	{	/* Stackable/walk.scm 215 */
																																		BgL_nvz00_4868
																																			= BFALSE;
																																	}
																															}
																														else
																															{	/* Stackable/walk.scm 218 */
																																bool_t
																																	BgL_test2618z00_7065;
																																{	/* Stackable/walk.scm 218 */
																																	obj_t
																																		BgL_classz00_4927;
																																	BgL_classz00_4927
																																		=
																																		BGl_atomz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_az00_4869))
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_objectz00_bglt
																																				BgL_arg1825z00_4928;
																																			BgL_arg1825z00_4928
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_az00_4869);
																																			{	/* Stackable/walk.scm 218 */
																																				bool_t
																																					BgL_arg1822z00_4929;
																																				bool_t
																																					BgL_arg1823z00_4930;
																																				{	/* Stackable/walk.scm 218 */
																																					long
																																						BgL_idxz00_4931;
																																					BgL_idxz00_4931
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1825z00_4928);
																																					BgL_arg1822z00_4929
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_4931
																																								+
																																								((long) 2))) == BgL_classz00_4927);
																																				}
																																				{	/* Stackable/walk.scm 218 */
																																					bool_t
																																						BgL_res2299z00_4934;
																																					{	/* Stackable/walk.scm 218 */
																																						obj_t
																																							BgL_oclassz00_4935;
																																						{	/* Stackable/walk.scm 218 */
																																							long
																																								BgL_arg1833z00_4936;
																																							{	/* Stackable/walk.scm 218 */
																																								long
																																									BgL_arg1834z00_4937;
																																								BgL_arg1834z00_4937
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1825z00_4928);
																																								BgL_arg1833z00_4936
																																									=
																																									(BgL_arg1834z00_4937
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_4935
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1833z00_4936);
																																						}
																																						{	/* Stackable/walk.scm 218 */
																																							bool_t
																																								BgL__ortest_1110z00_4938;
																																							BgL__ortest_1110z00_4938
																																								=
																																								(BgL_classz00_4927
																																								==
																																								BgL_oclassz00_4935);
																																							if (BgL__ortest_1110z00_4938)
																																								{	/* Stackable/walk.scm 218 */
																																									BgL_res2299z00_4934
																																										=
																																										BgL__ortest_1110z00_4938;
																																								}
																																							else
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_odepthz00_4939;
																																									BgL_odepthz00_4939
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_4935);
																																									if ((((long) 2) < BgL_odepthz00_4939))
																																										{	/* Stackable/walk.scm 218 */
																																											obj_t
																																												BgL_arg1821z00_4940;
																																											BgL_arg1821z00_4940
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_4935,
																																												((long) 2));
																																											BgL_res2299z00_4934
																																												=
																																												(BgL_arg1821z00_4940
																																												==
																																												BgL_classz00_4927);
																																										}
																																									else
																																										{	/* Stackable/walk.scm 218 */
																																											BgL_res2299z00_4934
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_arg1823z00_4930
																																						=
																																						BgL_res2299z00_4934;
																																				}
																																				BgL_test2618z00_7065
																																					=
																																					BGL_ISA_C_BACKEND
																																					(BgL_arg1822z00_4929,
																																					BgL_arg1823z00_4930);
																																			}
																																		}
																																	else
																																		{	/* Stackable/walk.scm 218 */
																																			BgL_test2618z00_7065
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2618z00_7065)
																																	{	/* Stackable/walk.scm 218 */
																																		BgL_nvz00_4868
																																			= BTRUE;
																																	}
																																else
																																	{	/* Stackable/walk.scm 218 */
																																		obj_t
																																			BgL_classz00_4941;
																																		BgL_classz00_4941
																																			=
																																			BGl_kwotez00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_az00_4869))
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_objectz00_bglt
																																					BgL_arg1825z00_4942;
																																				BgL_arg1825z00_4942
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_az00_4869);
																																				{	/* Stackable/walk.scm 218 */
																																					bool_t
																																						BgL_arg1822z00_4943;
																																					bool_t
																																						BgL_arg1823z00_4944;
																																					{	/* Stackable/walk.scm 218 */
																																						long
																																							BgL_idxz00_4945;
																																						BgL_idxz00_4945
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1825z00_4942);
																																						BgL_arg1822z00_4943
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_4945
																																									+
																																									((long) 2))) == BgL_classz00_4941);
																																					}
																																					{	/* Stackable/walk.scm 218 */
																																						bool_t
																																							BgL_res2300z00_4948;
																																						{	/* Stackable/walk.scm 218 */
																																							obj_t
																																								BgL_oclassz00_4949;
																																							{	/* Stackable/walk.scm 218 */
																																								long
																																									BgL_arg1833z00_4950;
																																								{	/* Stackable/walk.scm 218 */
																																									long
																																										BgL_arg1834z00_4951;
																																									BgL_arg1834z00_4951
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1825z00_4942);
																																									BgL_arg1833z00_4950
																																										=
																																										(BgL_arg1834z00_4951
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_4949
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1833z00_4950);
																																							}
																																							{	/* Stackable/walk.scm 218 */
																																								bool_t
																																									BgL__ortest_1110z00_4952;
																																								BgL__ortest_1110z00_4952
																																									=
																																									(BgL_classz00_4941
																																									==
																																									BgL_oclassz00_4949);
																																								if (BgL__ortest_1110z00_4952)
																																									{	/* Stackable/walk.scm 218 */
																																										BgL_res2300z00_4948
																																											=
																																											BgL__ortest_1110z00_4952;
																																									}
																																								else
																																									{	/* Stackable/walk.scm 218 */
																																										long
																																											BgL_odepthz00_4953;
																																										BgL_odepthz00_4953
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_4949);
																																										if ((((long) 2) < BgL_odepthz00_4953))
																																											{	/* Stackable/walk.scm 218 */
																																												obj_t
																																													BgL_arg1821z00_4954;
																																												BgL_arg1821z00_4954
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_4949,
																																													((long) 2));
																																												BgL_res2300z00_4948
																																													=
																																													(BgL_arg1821z00_4954
																																													==
																																													BgL_classz00_4941);
																																											}
																																										else
																																											{	/* Stackable/walk.scm 218 */
																																												BgL_res2300z00_4948
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_arg1823z00_4944
																																							=
																																							BgL_res2300z00_4948;
																																					}
																																					BgL_nvz00_4868
																																						=
																																						BBOOL
																																						(BGL_ISA_C_BACKEND
																																						(BgL_arg1822z00_4943,
																																							BgL_arg1823z00_4944));
																																				}
																																			}
																																		else
																																			{	/* Stackable/walk.scm 218 */
																																				BgL_nvz00_4868
																																					=
																																					BFALSE;
																																			}
																																	}
																															}
																													}
																											}
																									}
																								}
																								if (CBOOL(BgL_nvz00_4868))
																									{
																										obj_t BgL_l1410z00_7105;

																										BgL_l1410z00_7105 =
																											CDR(
																											((obj_t)
																												BgL_l1410z00_4867));
																										BgL_l1410z00_4867 =
																											BgL_l1410z00_7105;
																										goto
																											BgL_zc3z04anonymousza32040ze3z87_4866;
																									}
																								else
																									{	/* Stackable/walk.scm 207 */
																										BgL_test2599z00_6964 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																			else
																				{	/* Stackable/walk.scm 251 */
																					BgL_test2599z00_6964 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Stackable/walk.scm 251 */
																			BgL_test2599z00_6964 = ((bool_t) 0);
																		}
																	if (BgL_test2599z00_6964)
																		{	/* Stackable/walk.scm 252 */
																			obj_t BgL_g1426z00_5046;

																			BgL_g1426z00_5046 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_4648)))->BgL_argsz00);
																			{
																				obj_t BgL_l1424z00_5048;

																				BgL_l1424z00_5048 = BgL_g1426z00_5046;
																			BgL_zc3z04anonymousza31990ze3z87_5047:
																				if (PAIRP(BgL_l1424z00_5048))
																					{	/* Stackable/walk.scm 252 */
																						{	/* Stackable/walk.scm 252 */
																							obj_t BgL_az00_5049;

																							BgL_az00_5049 =
																								CAR(BgL_l1424z00_5048);
																							BGl_stackablez00zzstackable_walkz00
																								(((BgL_nodez00_bglt)
																									BgL_az00_5049), ((bool_t) 0),
																								(long) CINT(BgL_depthz00_4650),
																								((obj_t) BgL_ctxz00_4651));
																						}
																						{
																							obj_t BgL_l1424z00_7119;

																							BgL_l1424z00_7119 =
																								CDR(BgL_l1424z00_5048);
																							BgL_l1424z00_5048 =
																								BgL_l1424z00_7119;
																							goto
																								BgL_zc3z04anonymousza31990ze3z87_5047;
																						}
																					}
																				else
																					{	/* Stackable/walk.scm 252 */
																						BgL_tmpz00_6777 = ((bool_t) 1);
																					}
																			}
																		}
																	else
																		{	/* Stackable/walk.scm 253 */
																			bool_t BgL_test2627z00_7121;

																			{	/* Stackable/walk.scm 253 */
																				bool_t BgL_test2628z00_7122;

																				{	/* Stackable/walk.scm 253 */
																					obj_t BgL_tmpz00_7123;

																					BgL_tmpz00_7123 =
																						(((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_fz00_4956)))->
																						BgL_argszd2noescapezd2);
																					BgL_test2628z00_7122 =
																						PAIRP(BgL_tmpz00_7123);
																				}
																				if (BgL_test2628z00_7122)
																					{	/* Stackable/walk.scm 253 */
																						BgL_test2627z00_7121 = ((bool_t) 1);
																					}
																				else
																					{	/* Stackable/walk.scm 253 */
																						obj_t BgL_tmpz00_7127;

																						BgL_tmpz00_7127 =
																							(((BgL_funz00_bglt) COBJECT(
																									((BgL_funz00_bglt)
																										BgL_fz00_4956)))->
																							BgL_argszd2retescapezd2);
																						BgL_test2627z00_7121 =
																							PAIRP(BgL_tmpz00_7127);
																					}
																			}
																			if (BgL_test2627z00_7121)
																				{
																					long BgL_iz00_5051;
																					obj_t BgL_argsz00_5052;

																					BgL_iz00_5051 = ((long) 0);
																					BgL_argsz00_5052 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4648)))->
																						BgL_argsz00);
																				BgL_loopz00_5050:
																					if (PAIRP(BgL_argsz00_5052))
																						{	/* Stackable/walk.scm 256 */
																							if (CBOOL
																								(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																									(BINT(BgL_iz00_5051),
																										(((BgL_funz00_bglt)
																												COBJECT((
																														(BgL_funz00_bglt)
																														BgL_fz00_4956)))->
																											BgL_argszd2noescapezd2))))
																								{	/* Stackable/walk.scm 259 */
																									obj_t BgL_arg2004z00_5053;

																									BgL_arg2004z00_5053 =
																										CAR(BgL_argsz00_5052);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_arg2004z00_5053),
																										((bool_t) 0),
																										((long) 100000),
																										((obj_t) BgL_ctxz00_4651));
																								}
																							else
																								{	/* Stackable/walk.scm 260 */
																									bool_t BgL_test2631z00_7143;

																									if (CBOOL
																										(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																											(BINT(BgL_iz00_5051),
																												(((BgL_funz00_bglt)
																														COBJECT((
																																(BgL_funz00_bglt)
																																BgL_fz00_4956)))->
																													BgL_argszd2retescapezd2))))
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2631z00_7143 =
																												CBOOL(
																												(((BgL_appz00_bglt)
																														COBJECT((
																																(BgL_appz00_bglt)
																																BgL_nodez00_4648)))->
																													BgL_stackablez00));
																										}
																									else
																										{	/* Stackable/walk.scm 260 */
																											BgL_test2631z00_7143 =
																												((bool_t) 0);
																										}
																									if (BgL_test2631z00_7143)
																										{	/* Stackable/walk.scm 261 */
																											obj_t BgL_arg2010z00_5054;
																											bool_t
																												BgL_arg2011z00_5055;
																											BgL_arg2010z00_5054 =
																												CAR(BgL_argsz00_5052);
																											if (CBOOL(((
																															(BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_nodez00_4648)))->
																														BgL_stackablez00)))
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2011z00_5055 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Stackable/walk.scm 261 */
																													BgL_arg2011z00_5055 =
																														((bool_t) 1);
																												}
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2010z00_5054),
																												BgL_arg2011z00_5055,
																												(long)
																												CINT(BgL_depthz00_4650),
																												((obj_t)
																													BgL_ctxz00_4651));
																										}
																									else
																										{	/* Stackable/walk.scm 263 */
																											obj_t BgL_arg2013z00_5056;

																											BgL_arg2013z00_5056 =
																												CAR(BgL_argsz00_5052);
																											BGl_stackablez00zzstackable_walkz00
																												(((BgL_nodez00_bglt)
																													BgL_arg2013z00_5056),
																												((bool_t) 1),
																												(long)
																												CINT(BgL_depthz00_4650),
																												((obj_t)
																													BgL_ctxz00_4651));
																								}}
																							{
																								obj_t BgL_argsz00_7169;
																								long BgL_iz00_7167;

																								BgL_iz00_7167 =
																									(BgL_iz00_5051 + ((long) 1));
																								BgL_argsz00_7169 =
																									CDR(BgL_argsz00_5052);
																								BgL_argsz00_5052 =
																									BgL_argsz00_7169;
																								BgL_iz00_5051 = BgL_iz00_7167;
																								goto BgL_loopz00_5050;
																							}
																						}
																					else
																						{	/* Stackable/walk.scm 256 */
																							BgL_tmpz00_6777 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Stackable/walk.scm 266 */
																					obj_t BgL_g1429z00_5057;

																					BgL_g1429z00_5057 =
																						(((BgL_appz00_bglt) COBJECT(
																								((BgL_appz00_bglt)
																									BgL_nodez00_4648)))->
																						BgL_argsz00);
																					{
																						obj_t BgL_l1427z00_5059;

																						BgL_l1427z00_5059 =
																							BgL_g1429z00_5057;
																					BgL_zc3z04anonymousza32018ze3z87_5058:
																						if (PAIRP
																							(BgL_l1427z00_5059))
																							{	/* Stackable/walk.scm 266 */
																								{	/* Stackable/walk.scm 266 */
																									obj_t BgL_az00_5060;

																									BgL_az00_5060 =
																										CAR(BgL_l1427z00_5059);
																									BGl_stackablez00zzstackable_walkz00
																										(((BgL_nodez00_bglt)
																											BgL_az00_5060),
																										((bool_t) 1),
																										((long) 100000),
																										((obj_t) BgL_ctxz00_4651));
																								}
																								{
																									obj_t BgL_l1427z00_7181;

																									BgL_l1427z00_7181 =
																										CDR(BgL_l1427z00_5059);
																									BgL_l1427z00_5059 =
																										BgL_l1427z00_7181;
																									goto
																										BgL_zc3z04anonymousza32018ze3z87_5058;
																								}
																							}
																						else
																							{	/* Stackable/walk.scm 266 */
																								BgL_tmpz00_6777 = ((bool_t) 1);
																							}
																					}
																				}
																		}
																}
														}
													else
														{	/* Stackable/walk.scm 268 */
															obj_t BgL_g1432z00_5061;

															BgL_g1432z00_5061 =
																(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_4648)))->
																BgL_argsz00);
															{
																obj_t BgL_l1430z00_5063;

																BgL_l1430z00_5063 = BgL_g1432z00_5061;
															BgL_zc3z04anonymousza32030ze3z87_5062:
																if (PAIRP(BgL_l1430z00_5063))
																	{	/* Stackable/walk.scm 268 */
																		{	/* Stackable/walk.scm 268 */
																			obj_t BgL_az00_5064;

																			BgL_az00_5064 = CAR(BgL_l1430z00_5063);
																			BGl_stackablez00zzstackable_walkz00(
																				((BgL_nodez00_bglt) BgL_az00_5064),
																				((bool_t) 1), ((long) 100000),
																				((obj_t) BgL_ctxz00_4651));
																		}
																		{
																			obj_t BgL_l1430z00_7191;

																			BgL_l1430z00_7191 =
																				CDR(BgL_l1430z00_5063);
																			BgL_l1430z00_5063 = BgL_l1430z00_7191;
																			goto
																				BgL_zc3z04anonymousza32030ze3z87_5062;
																		}
																	}
																else
																	{	/* Stackable/walk.scm 268 */
																		BgL_tmpz00_6777 = ((bool_t) 1);
																	}
															}
														}
												}
										}
								}
							}
						}
					}
				}
				return BBOOL(BgL_tmpz00_6777);
			}
		}

	}



/* &stackable-let-fun1474 */
	obj_t BGl_z62stackablezd2letzd2fun1474z62zzstackable_walkz00(obj_t
		BgL_envz00_4652, obj_t BgL_nodez00_4653, obj_t BgL_escpz00_4654,
		obj_t BgL_depthz00_4655, obj_t BgL_ctxz00_4656)
	{
		{	/* Stackable/walk.scm 177 */
			{	/* Stackable/walk.scm 179 */
				obj_t BgL_g1409z00_5067;

				BgL_g1409z00_5067 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4653)))->BgL_localsz00);
				{
					obj_t BgL_l1407z00_5069;

					BgL_l1407z00_5069 = BgL_g1409z00_5067;
				BgL_zc3z04anonymousza31943ze3z87_5068:
					if (PAIRP(BgL_l1407z00_5069))
						{	/* Stackable/walk.scm 179 */
							{	/* Stackable/walk.scm 180 */
								obj_t BgL_localz00_5070;

								BgL_localz00_5070 = CAR(BgL_l1407z00_5069);
								{	/* Stackable/walk.scm 181 */
									BgL_sfunz00_bglt BgL_i1190z00_5071;

									BgL_i1190z00_5071 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5070))))->
											BgL_valuez00));
									{	/* Stackable/walk.scm 182 */
										obj_t BgL_arg1945z00_5072;
										long BgL_arg1946z00_5073;

										BgL_arg1945z00_5072 =
											(((BgL_sfunz00_bglt) COBJECT(BgL_i1190z00_5071))->
											BgL_bodyz00);
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7204;

											{
												obj_t BgL_auxz00_7205;

												{	/* Stackable/walk.scm 182 */
													BgL_objectz00_bglt BgL_tmpz00_7206;

													BgL_tmpz00_7206 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_localz00_5070));
													BgL_auxz00_7205 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7206);
												}
												BgL_auxz00_7204 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7205);
											}
											BgL_arg1946z00_5073 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7204))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_arg1945z00_5072), ((bool_t) 0),
											BgL_arg1946z00_5073, ((obj_t) BgL_ctxz00_4656));
							}}}
							{
								obj_t BgL_l1407z00_7215;

								BgL_l1407z00_7215 = CDR(BgL_l1407z00_5069);
								BgL_l1407z00_5069 = BgL_l1407z00_7215;
								goto BgL_zc3z04anonymousza31943ze3z87_5068;
							}
						}
					else
						{	/* Stackable/walk.scm 179 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_4653)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4654),
				(long) CINT(BgL_depthz00_4655), ((obj_t) BgL_ctxz00_4656));
		}

	}



/* &stackable-let-var1472 */
	obj_t BGl_z62stackablezd2letzd2var1472z62zzstackable_walkz00(obj_t
		BgL_envz00_4657, obj_t BgL_nodez00_4658, obj_t BgL_escpz00_4659,
		obj_t BgL_depthz00_4660, obj_t BgL_ctxz00_4661)
	{
		{	/* Stackable/walk.scm 164 */
			{	/* Stackable/walk.scm 166 */
				obj_t BgL_g1406z00_5076;

				BgL_g1406z00_5076 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4658)))->BgL_bindingsz00);
				{
					obj_t BgL_l1404z00_5078;

					BgL_l1404z00_5078 = BgL_g1406z00_5076;
				BgL_zc3z04anonymousza31933ze3z87_5077:
					if (PAIRP(BgL_l1404z00_5078))
						{	/* Stackable/walk.scm 166 */
							{	/* Stackable/walk.scm 167 */
								obj_t BgL_bindz00_5079;

								BgL_bindz00_5079 = CAR(BgL_l1404z00_5078);
								{	/* Stackable/walk.scm 167 */
									obj_t BgL_varz00_5080;
									obj_t BgL_valz00_5081;

									BgL_varz00_5080 = CAR(((obj_t) BgL_bindz00_5079));
									BgL_valz00_5081 = CDR(((obj_t) BgL_bindz00_5079));
									{	/* Stackable/walk.scm 170 */
										bool_t BgL_arg1935z00_5082;
										long BgL_arg1936z00_5083;

										if (CBOOL(
												(((BgL_localz00_bglt) COBJECT(
															((BgL_localz00_bglt)
																((BgL_localz00_bglt) BgL_varz00_5080))))->
													BgL_valzd2noescapezd2)))
											{	/* Stackable/walk.scm 170 */
												BgL_arg1935z00_5082 = ((bool_t) 0);
											}
										else
											{	/* Stackable/walk.scm 170 */
												BgL_arg1935z00_5082 = ((bool_t) 1);
											}
										{
											BgL_localzf2depthzf2_bglt BgL_auxz00_7237;

											{
												obj_t BgL_auxz00_7238;

												{	/* Stackable/walk.scm 170 */
													BgL_objectz00_bglt BgL_tmpz00_7239;

													BgL_tmpz00_7239 =
														((BgL_objectz00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5080));
													BgL_auxz00_7238 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_7239);
												}
												BgL_auxz00_7237 =
													((BgL_localzf2depthzf2_bglt) BgL_auxz00_7238);
											}
											BgL_arg1936z00_5083 =
												(((BgL_localzf2depthzf2_bglt)
													COBJECT(BgL_auxz00_7237))->BgL_depthz00);
										}
										BGl_stackablez00zzstackable_walkz00(
											((BgL_nodez00_bglt) BgL_valz00_5081), BgL_arg1935z00_5082,
											BgL_arg1936z00_5083, ((obj_t) BgL_ctxz00_4661));
									}
								}
							}
							{
								obj_t BgL_l1404z00_7248;

								BgL_l1404z00_7248 = CDR(BgL_l1404z00_5078);
								BgL_l1404z00_5078 = BgL_l1404z00_7248;
								goto BgL_zc3z04anonymousza31933ze3z87_5077;
							}
						}
					else
						{	/* Stackable/walk.scm 166 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_stackablez00zzstackable_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4658)))->BgL_bodyz00),
				CBOOL(BgL_escpz00_4659),
				(long) CINT(BgL_depthz00_4660), ((obj_t) BgL_ctxz00_4661));
		}

	}



/* &stackable-conditiona1470 */
	obj_t BGl_z62stackablezd2conditiona1470zb0zzstackable_walkz00(obj_t
		BgL_envz00_4662, obj_t BgL_nodez00_4663, obj_t BgL_escpz00_4664,
		obj_t BgL_depthz00_4665, obj_t BgL_ctxz00_4666)
	{
		{	/* Stackable/walk.scm 155 */
			BGl_stackablez00zzstackable_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_4663)))->BgL_testz00),
				((bool_t) 0), (long) CINT(BgL_depthz00_4665),
				((obj_t) BgL_ctxz00_4666));
			BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4663)))->
					BgL_truez00), CBOOL(BgL_escpz00_4664), (long) CINT(BgL_depthz00_4665),
				((obj_t) BgL_ctxz00_4666));
			return BGl_stackablez00zzstackable_walkz00((((BgL_conditionalz00_bglt)
						COBJECT(((BgL_conditionalz00_bglt) BgL_nodez00_4663)))->
					BgL_falsez00), CBOOL(BgL_escpz00_4664),
				(long) CINT(BgL_depthz00_4665), ((obj_t) BgL_ctxz00_4666));
		}

	}



/* &stackable-setq1468 */
	obj_t BGl_z62stackablezd2setq1468zb0zzstackable_walkz00(obj_t BgL_envz00_4667,
		obj_t BgL_nodez00_4668, obj_t BgL_escpz00_4669, obj_t BgL_depthz00_4670,
		obj_t BgL_ctxz00_4671)
	{
		{	/* Stackable/walk.scm 144 */
			{	/* Stackable/walk.scm 146 */
				BgL_varz00_bglt BgL_i1183z00_5088;

				BgL_i1183z00_5088 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_4668)))->BgL_varz00);
				{	/* Stackable/walk.scm 147 */
					bool_t BgL_test2639z00_7275;

					{	/* Stackable/walk.scm 147 */
						BgL_variablez00_bglt BgL_arg1922z00_5089;

						BgL_arg1922z00_5089 =
							(((BgL_varz00_bglt) COBJECT(BgL_i1183z00_5088))->BgL_variablez00);
						{	/* Stackable/walk.scm 147 */
							obj_t BgL_classz00_5090;

							BgL_classz00_5090 = BGl_globalz00zzast_varz00;
							{	/* Stackable/walk.scm 147 */
								BgL_objectz00_bglt BgL_arg1825z00_5091;

								{	/* Stackable/walk.scm 147 */
									obj_t BgL_tmpz00_7277;

									BgL_tmpz00_7277 =
										((obj_t) ((BgL_objectz00_bglt) BgL_arg1922z00_5089));
									BgL_arg1825z00_5091 = (BgL_objectz00_bglt) (BgL_tmpz00_7277);
								}
								{	/* Stackable/walk.scm 147 */
									bool_t BgL_arg1822z00_5092;
									bool_t BgL_arg1823z00_5093;

									{	/* Stackable/walk.scm 147 */
										long BgL_idxz00_5094;

										BgL_idxz00_5094 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5091);
										BgL_arg1822z00_5092 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5094 + ((long) 2))) == BgL_classz00_5090);
									}
									{	/* Stackable/walk.scm 147 */
										bool_t BgL_res2294z00_5097;

										{	/* Stackable/walk.scm 147 */
											obj_t BgL_oclassz00_5098;

											{	/* Stackable/walk.scm 147 */
												long BgL_arg1833z00_5099;

												{	/* Stackable/walk.scm 147 */
													long BgL_arg1834z00_5100;

													BgL_arg1834z00_5100 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5091);
													BgL_arg1833z00_5099 =
														(BgL_arg1834z00_5100 - OBJECT_TYPE);
												}
												BgL_oclassz00_5098 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5099);
											}
											{	/* Stackable/walk.scm 147 */
												bool_t BgL__ortest_1110z00_5101;

												BgL__ortest_1110z00_5101 =
													(BgL_classz00_5090 == BgL_oclassz00_5098);
												if (BgL__ortest_1110z00_5101)
													{	/* Stackable/walk.scm 147 */
														BgL_res2294z00_5097 = BgL__ortest_1110z00_5101;
													}
												else
													{	/* Stackable/walk.scm 147 */
														long BgL_odepthz00_5102;

														BgL_odepthz00_5102 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5098);
														if ((((long) 2) < BgL_odepthz00_5102))
															{	/* Stackable/walk.scm 147 */
																obj_t BgL_arg1821z00_5103;

																BgL_arg1821z00_5103 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5098,
																	((long) 2));
																BgL_res2294z00_5097 =
																	(BgL_arg1821z00_5103 == BgL_classz00_5090);
															}
														else
															{	/* Stackable/walk.scm 147 */
																BgL_res2294z00_5097 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5093 = BgL_res2294z00_5097;
									}
									BgL_test2639z00_7275 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5092, BgL_arg1823z00_5093);
								}
							}
						}
					}
					if (BgL_test2639z00_7275)
						{	/* Stackable/walk.scm 147 */
							return
								BGl_stackablez00zzstackable_walkz00(
								(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4668)))->BgL_valuez00),
								((bool_t) 1), ((long) -1), ((obj_t) BgL_ctxz00_4671));
						}
					else
						{	/* Stackable/walk.scm 149 */
							BgL_localz00_bglt BgL_i1184z00_5104;

							BgL_i1184z00_5104 =
								((BgL_localz00_bglt)
								(((BgL_varz00_bglt) COBJECT(BgL_i1183z00_5088))->
									BgL_variablez00));
							{	/* Stackable/walk.scm 150 */
								BgL_nodez00_bglt BgL_arg1919z00_5105;
								long BgL_arg1920z00_5106;

								BgL_arg1919z00_5105 =
									(((BgL_setqz00_bglt) COBJECT(
											((BgL_setqz00_bglt) BgL_nodez00_4668)))->BgL_valuez00);
								{
									BgL_localzf2depthzf2_bglt BgL_auxz00_7304;

									{
										obj_t BgL_auxz00_7305;

										{	/* Stackable/walk.scm 150 */
											BgL_objectz00_bglt BgL_tmpz00_7306;

											BgL_tmpz00_7306 =
												((BgL_objectz00_bglt) BgL_i1184z00_5104);
											BgL_auxz00_7305 = BGL_OBJECT_WIDENING(BgL_tmpz00_7306);
										}
										BgL_auxz00_7304 =
											((BgL_localzf2depthzf2_bglt) BgL_auxz00_7305);
									}
									BgL_arg1920z00_5106 =
										(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7304))->
										BgL_depthz00);
								}
								return
									BGl_stackablez00zzstackable_walkz00(BgL_arg1919z00_5105,
									CBOOL(BgL_escpz00_4669), BgL_arg1920z00_5106,
									((obj_t) BgL_ctxz00_4671));
							}
						}
				}
			}
		}

	}



/* &stackable-closure1466 */
	obj_t BGl_z62stackablezd2closure1466zb0zzstackable_walkz00(obj_t
		BgL_envz00_4672, obj_t BgL_nodez00_4673, obj_t BgL_escpz00_4674,
		obj_t BgL_depthz00_4675, obj_t BgL_ctxz00_4676)
	{
		{	/* Stackable/walk.scm 130 */
			{

				{	/* Stackable/walk.scm 130 */
					obj_t BgL_nextzd2method1465zd2_5110;

					BgL_nextzd2method1465zd2_5110 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_closurez00_bglt) BgL_nodez00_4673)),
						BGl_stackablezd2envzd2zzstackable_walkz00,
						BGl_closurez00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1465zd2_5110)
						(BgL_nextzd2method1465zd2_5110,
						((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_4673)),
						BgL_escpz00_4674, BgL_depthz00_4675, ((obj_t) BgL_ctxz00_4676),
						BEOA);
				}
				{	/* Stackable/walk.scm 132 */
					BgL_variablez00_bglt BgL_vz00_5111;

					BgL_vz00_5111 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt)
									((BgL_closurez00_bglt) BgL_nodez00_4673))))->BgL_variablez00);
					{	/* Stackable/walk.scm 133 */
						bool_t BgL_test2642z00_7330;

						{	/* Stackable/walk.scm 133 */
							obj_t BgL_classz00_5112;

							BgL_classz00_5112 = BGl_localz00zzast_varz00;
							{	/* Stackable/walk.scm 133 */
								BgL_objectz00_bglt BgL_arg1825z00_5113;

								{	/* Stackable/walk.scm 133 */
									obj_t BgL_tmpz00_7331;

									BgL_tmpz00_7331 =
										((obj_t) ((BgL_objectz00_bglt) BgL_vz00_5111));
									BgL_arg1825z00_5113 = (BgL_objectz00_bglt) (BgL_tmpz00_7331);
								}
								{	/* Stackable/walk.scm 133 */
									bool_t BgL_arg1822z00_5114;
									bool_t BgL_arg1823z00_5115;

									{	/* Stackable/walk.scm 133 */
										long BgL_idxz00_5116;

										BgL_idxz00_5116 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5113);
										BgL_arg1822z00_5114 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_5116 + ((long) 2))) == BgL_classz00_5112);
									}
									{	/* Stackable/walk.scm 133 */
										bool_t BgL_res2293z00_5119;

										{	/* Stackable/walk.scm 133 */
											obj_t BgL_oclassz00_5120;

											{	/* Stackable/walk.scm 133 */
												long BgL_arg1833z00_5121;

												{	/* Stackable/walk.scm 133 */
													long BgL_arg1834z00_5122;

													BgL_arg1834z00_5122 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5113);
													BgL_arg1833z00_5121 =
														(BgL_arg1834z00_5122 - OBJECT_TYPE);
												}
												BgL_oclassz00_5120 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_5121);
											}
											{	/* Stackable/walk.scm 133 */
												bool_t BgL__ortest_1110z00_5123;

												BgL__ortest_1110z00_5123 =
													(BgL_classz00_5112 == BgL_oclassz00_5120);
												if (BgL__ortest_1110z00_5123)
													{	/* Stackable/walk.scm 133 */
														BgL_res2293z00_5119 = BgL__ortest_1110z00_5123;
													}
												else
													{	/* Stackable/walk.scm 133 */
														long BgL_odepthz00_5124;

														BgL_odepthz00_5124 =
															BGL_CLASS_DEPTH(BgL_oclassz00_5120);
														if ((((long) 2) < BgL_odepthz00_5124))
															{	/* Stackable/walk.scm 133 */
																obj_t BgL_arg1821z00_5125;

																BgL_arg1821z00_5125 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5120,
																	((long) 2));
																BgL_res2293z00_5119 =
																	(BgL_arg1821z00_5125 == BgL_classz00_5112);
															}
														else
															{	/* Stackable/walk.scm 133 */
																BgL_res2293z00_5119 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_5115 = BgL_res2293z00_5119;
									}
									BgL_test2642z00_7330 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_5114, BgL_arg1823z00_5115);
								}
							}
						}
						if (BgL_test2642z00_7330)
							{	/* Stackable/walk.scm 134 */
								BgL_valuez00_bglt BgL_fz00_5126;

								BgL_fz00_5126 =
									(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5111))->
									BgL_valuez00);
								{	/* Stackable/walk.scm 137 */
									bool_t BgL_test2645z00_7351;

									if (CBOOL(
											(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_fz00_5126)))->
												BgL_stackablez00)))
										{	/* Stackable/walk.scm 137 */
											if (CBOOL(BgL_escpz00_4674))
												{	/* Stackable/walk.scm 137 */
													BgL_test2645z00_7351 = CBOOL(BgL_escpz00_4674);
												}
											else
												{	/* Stackable/walk.scm 137 */
													if (CBOOL(
															(((BgL_localz00_bglt) COBJECT(
																		((BgL_localz00_bglt)
																			((BgL_localz00_bglt) BgL_vz00_5111))))->
																BgL_valzd2noescapezd2)))
														{	/* Stackable/walk.scm 137 */
															BgL_test2645z00_7351 = ((bool_t) 0);
														}
													else
														{	/* Stackable/walk.scm 137 */
															BgL_test2645z00_7351 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Stackable/walk.scm 137 */
											BgL_test2645z00_7351 = ((bool_t) 0);
										}
									if (BgL_test2645z00_7351)
										{	/* Stackable/walk.scm 137 */
											{	/* Stackable/walk.scm 138 */
												obj_t BgL_tmpz00_7364;

												BgL_tmpz00_7364 = ((obj_t) BgL_ctxz00_4676);
												SET_CAR(BgL_tmpz00_7364, BFALSE);
											}
											return
												((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_fz00_5126)))->
													BgL_stackablez00) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Stackable/walk.scm 137 */
											return BFALSE;
										}
								}
							}
						else
							{	/* Stackable/walk.scm 133 */
								return BFALSE;
							}
					}
				}
			}
		}

	}



/* &stackable-var1464 */
	obj_t BGl_z62stackablezd2var1464zb0zzstackable_walkz00(obj_t BgL_envz00_4677,
		obj_t BgL_nodez00_4678, obj_t BgL_escpz00_4679, obj_t BgL_depthz00_4680,
		obj_t BgL_ctxz00_4681)
	{
		{	/* Stackable/walk.scm 120 */
			{	/* Stackable/walk.scm 122 */
				bool_t BgL_test2649z00_7369;

				{	/* Stackable/walk.scm 122 */
					BgL_variablez00_bglt BgL_arg1905z00_5129;

					BgL_arg1905z00_5129 =
						(((BgL_varz00_bglt) COBJECT(
								((BgL_varz00_bglt) BgL_nodez00_4678)))->BgL_variablez00);
					{	/* Stackable/walk.scm 122 */
						obj_t BgL_classz00_5130;

						BgL_classz00_5130 = BGl_localz00zzast_varz00;
						{	/* Stackable/walk.scm 122 */
							BgL_objectz00_bglt BgL_arg1825z00_5131;

							{	/* Stackable/walk.scm 122 */
								obj_t BgL_tmpz00_7372;

								BgL_tmpz00_7372 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1905z00_5129));
								BgL_arg1825z00_5131 = (BgL_objectz00_bglt) (BgL_tmpz00_7372);
							}
							{	/* Stackable/walk.scm 122 */
								bool_t BgL_arg1822z00_5132;
								bool_t BgL_arg1823z00_5133;

								{	/* Stackable/walk.scm 122 */
									long BgL_idxz00_5134;

									BgL_idxz00_5134 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_5131);
									BgL_arg1822z00_5132 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_5134 + ((long) 2))) == BgL_classz00_5130);
								}
								{	/* Stackable/walk.scm 122 */
									bool_t BgL_res2292z00_5137;

									{	/* Stackable/walk.scm 122 */
										obj_t BgL_oclassz00_5138;

										{	/* Stackable/walk.scm 122 */
											long BgL_arg1833z00_5139;

											{	/* Stackable/walk.scm 122 */
												long BgL_arg1834z00_5140;

												BgL_arg1834z00_5140 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_5131);
												BgL_arg1833z00_5139 =
													(BgL_arg1834z00_5140 - OBJECT_TYPE);
											}
											BgL_oclassz00_5138 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1833z00_5139);
										}
										{	/* Stackable/walk.scm 122 */
											bool_t BgL__ortest_1110z00_5141;

											BgL__ortest_1110z00_5141 =
												(BgL_classz00_5130 == BgL_oclassz00_5138);
											if (BgL__ortest_1110z00_5141)
												{	/* Stackable/walk.scm 122 */
													BgL_res2292z00_5137 = BgL__ortest_1110z00_5141;
												}
											else
												{	/* Stackable/walk.scm 122 */
													long BgL_odepthz00_5142;

													BgL_odepthz00_5142 =
														BGL_CLASS_DEPTH(BgL_oclassz00_5138);
													if ((((long) 2) < BgL_odepthz00_5142))
														{	/* Stackable/walk.scm 122 */
															obj_t BgL_arg1821z00_5143;

															BgL_arg1821z00_5143 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_5138,
																((long) 2));
															BgL_res2292z00_5137 =
																(BgL_arg1821z00_5143 == BgL_classz00_5130);
														}
													else
														{	/* Stackable/walk.scm 122 */
															BgL_res2292z00_5137 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg1823z00_5133 = BgL_res2292z00_5137;
								}
								BgL_test2649z00_7369 =
									BGL_ISA_C_BACKEND(BgL_arg1822z00_5132, BgL_arg1823z00_5133);
							}
						}
					}
				}
				if (BgL_test2649z00_7369)
					{	/* Stackable/walk.scm 123 */
						BgL_localz00_bglt BgL_i1178z00_5144;

						BgL_i1178z00_5144 =
							((BgL_localz00_bglt)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_4678)))->BgL_variablez00));
						{	/* Stackable/walk.scm 124 */
							bool_t BgL_test2652z00_7394;

							if (CBOOL(BgL_escpz00_4679))
								{	/* Stackable/walk.scm 124 */
									BgL_test2652z00_7394 = ((bool_t) 1);
								}
							else
								{	/* Stackable/walk.scm 124 */
									long BgL_arg1904z00_5145;

									{
										BgL_localzf2depthzf2_bglt BgL_auxz00_7397;

										{
											obj_t BgL_auxz00_7398;

											{	/* Stackable/walk.scm 124 */
												BgL_objectz00_bglt BgL_tmpz00_7399;

												BgL_tmpz00_7399 =
													((BgL_objectz00_bglt) BgL_i1178z00_5144);
												BgL_auxz00_7398 = BGL_OBJECT_WIDENING(BgL_tmpz00_7399);
											}
											BgL_auxz00_7397 =
												((BgL_localzf2depthzf2_bglt) BgL_auxz00_7398);
										}
										BgL_arg1904z00_5145 =
											(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7397))->
											BgL_depthz00);
									}
									BgL_test2652z00_7394 =
										((long) CINT(BgL_depthz00_4680) < BgL_arg1904z00_5145);
								}
							if (BgL_test2652z00_7394)
								{	/* Stackable/walk.scm 125 */
									BgL_variablez00_bglt BgL_arg1901z00_5146;

									BgL_arg1901z00_5146 =
										(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_4678)))->
										BgL_variablez00);
									return BGl_escapez12z12zzstackable_walkz00(((obj_t)
											BgL_arg1901z00_5146), ((obj_t) BgL_ctxz00_4681));
								}
							else
								{	/* Stackable/walk.scm 124 */
									return BFALSE;
								}
						}
					}
				else
					{	/* Stackable/walk.scm 122 */
						return BFALSE;
					}
			}
		}

	}



/* &node->sexp-app/depth1460 */
	obj_t BGl_z62nodezd2ze3sexpzd2appzf2depth1460z73zzstackable_walkz00(obj_t
		BgL_envz00_4682, obj_t BgL_nodez00_4683)
	{
		{	/* Stackable/walk.scm 57 */
			{

				{	/* Stackable/walk.scm 59 */
					obj_t BgL_nz00_5150;

					{	/* Stackable/walk.scm 57 */
						obj_t BgL_nextzd2method1459zd2_5149;

						BgL_nextzd2method1459zd2_5149 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt)
								((BgL_appz00_bglt) BgL_nodez00_4683)),
							BGl_nodezd2ze3sexpzd2envze3zzast_dumpz00,
							BGl_appzf2depthzf2zzstackable_walkz00);
						BgL_nz00_5150 =
							PROCEDURE_ENTRY(BgL_nextzd2method1459zd2_5149)
							(BgL_nextzd2method1459zd2_5149,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_4683)), BEOA);
					}
					{	/* Stackable/walk.scm 60 */
						bool_t BgL_test2654z00_7420;

						{	/* Stackable/walk.scm 60 */
							bool_t BgL_test2655z00_7421;

							{	/* Stackable/walk.scm 60 */
								obj_t BgL_tmpz00_7422;

								BgL_tmpz00_7422 = CAR(((obj_t) BgL_nz00_5150));
								BgL_test2655z00_7421 = SYMBOLP(BgL_tmpz00_7422);
							}
							if (BgL_test2655z00_7421)
								{	/* Stackable/walk.scm 60 */
									BgL_test2654z00_7420 =
										CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00);
								}
							else
								{	/* Stackable/walk.scm 60 */
									BgL_test2654z00_7420 = ((bool_t) 0);
								}
						}
						if (BgL_test2654z00_7420)
							{	/* Stackable/walk.scm 61 */
								obj_t BgL_arg1882z00_5151;
								obj_t BgL_arg1883z00_5152;

								{	/* Stackable/walk.scm 61 */
									obj_t BgL_arg1884z00_5153;

									{	/* Stackable/walk.scm 61 */
										obj_t BgL_arg1885z00_5154;
										obj_t BgL_arg1886z00_5155;

										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1887z00_5156;

											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1888z00_5157;

												{	/* Stackable/walk.scm 61 */
													long BgL_arg1890z00_5158;

													{
														BgL_appzf2depthzf2_bglt BgL_auxz00_7427;

														{
															obj_t BgL_auxz00_7428;

															{	/* Stackable/walk.scm 61 */
																BgL_objectz00_bglt BgL_tmpz00_7429;

																BgL_tmpz00_7429 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_4683));
																BgL_auxz00_7428 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_7429);
															}
															BgL_auxz00_7427 =
																((BgL_appzf2depthzf2_bglt) BgL_auxz00_7428);
														}
														BgL_arg1890z00_5158 =
															(((BgL_appzf2depthzf2_bglt)
																COBJECT(BgL_auxz00_7427))->BgL_depthz00);
													}
													{	/* Stackable/walk.scm 61 */
														obj_t BgL_list1891z00_5159;

														BgL_list1891z00_5159 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1890z00_5158), BNIL);
														BgL_arg1888z00_5157 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2396z00zzstackable_walkz00,
															BgL_list1891z00_5159);
												}}
												BgL_arg1887z00_5156 =
													bstring_to_symbol(BgL_arg1888z00_5157);
											}
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1463z00_5160;

												BgL_arg1463z00_5160 =
													SYMBOL_TO_STRING(BgL_arg1887z00_5156);
												BgL_arg1885z00_5154 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_5160);
										}}
										{	/* Stackable/walk.scm 61 */
											obj_t BgL_arg1892z00_5161;

											BgL_arg1892z00_5161 = CAR(((obj_t) BgL_nz00_5150));
											{	/* Stackable/walk.scm 61 */
												obj_t BgL_arg1463z00_5162;

												BgL_arg1463z00_5162 =
													SYMBOL_TO_STRING(((obj_t) BgL_arg1892z00_5161));
												BgL_arg1886z00_5155 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1463z00_5162);
										}}
										BgL_arg1884z00_5153 =
											string_append(BgL_arg1885z00_5154, BgL_arg1886z00_5155);
									}
									BgL_arg1882z00_5151 = bstring_to_symbol(BgL_arg1884z00_5153);
								}
								BgL_arg1883z00_5152 = CDR(((obj_t) BgL_nz00_5150));
								return
									MAKE_YOUNG_PAIR(BgL_arg1882z00_5151, BgL_arg1883z00_5152);
							}
						else
							{	/* Stackable/walk.scm 60 */
								return BgL_nz00_5150;
							}
					}
				}
			}
		}

	}



/* &shape-local/depth1458 */
	obj_t BGl_z62shapezd2localzf2depth1458z42zzstackable_walkz00(obj_t
		BgL_envz00_4684, obj_t BgL_varz00_4685)
	{
		{	/* Stackable/walk.scm 48 */
			if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
				{	/* Stackable/walk.scm 51 */
					obj_t BgL_arg1869z00_5164;

					{	/* Stackable/walk.scm 51 */
						long BgL_arg1870z00_5165;
						obj_t BgL_arg1871z00_5166;

						{
							BgL_localzf2depthzf2_bglt BgL_auxz00_7453;

							{
								obj_t BgL_auxz00_7454;

								{	/* Stackable/walk.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_7455;

									BgL_tmpz00_7455 =
										((BgL_objectz00_bglt)
										((BgL_localz00_bglt) BgL_varz00_4685));
									BgL_auxz00_7454 = BGL_OBJECT_WIDENING(BgL_tmpz00_7455);
								}
								BgL_auxz00_7453 = ((BgL_localzf2depthzf2_bglt) BgL_auxz00_7454);
							}
							BgL_arg1870z00_5165 =
								(((BgL_localzf2depthzf2_bglt) COBJECT(BgL_auxz00_7453))->
								BgL_depthz00);
						}
						BgL_arg1871z00_5166 =
							BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
							((BgL_localz00_bglt) BgL_varz00_4685));
						{	/* Stackable/walk.scm 51 */
							obj_t BgL_list1872z00_5167;

							{	/* Stackable/walk.scm 51 */
								obj_t BgL_arg1875z00_5168;

								BgL_arg1875z00_5168 =
									MAKE_YOUNG_PAIR(BgL_arg1871z00_5166, BNIL);
								BgL_list1872z00_5167 =
									MAKE_YOUNG_PAIR(BINT(BgL_arg1870z00_5165),
									BgL_arg1875z00_5168);
							}
							BgL_arg1869z00_5164 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2397z00zzstackable_walkz00, BgL_list1872z00_5167);
					}}
					return bstring_to_symbol(BgL_arg1869z00_5164);
				}
			else
				{	/* Stackable/walk.scm 50 */
					return
						BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(
						((BgL_localz00_bglt) BgL_varz00_4685));
				}
		}

	}



/* call-next-method~0 */
	obj_t BGl_callzd2nextzd2methodze70ze7zzstackable_walkz00(BgL_localz00_bglt
		BgL_varz00_4686)
	{
		{	/* Stackable/walk.scm 48 */
			{	/* Stackable/walk.scm 48 */
				obj_t BgL_nextzd2method1457zd2_2068;

				BgL_nextzd2method1457zd2_2068 =
					BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
					((BgL_objectz00_bglt) BgL_varz00_4686),
					BGl_shapezd2envzd2zztools_shapez00,
					BGl_localzf2depthzf2zzstackable_walkz00);
				return
					PROCEDURE_ENTRY(BgL_nextzd2method1457zd2_2068)
					(BgL_nextzd2method1457zd2_2068, ((obj_t) BgL_varz00_4686), BEOA);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzstackable_walkz00()
	{
		{	/* Stackable/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 282085879),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2398z00zzstackable_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
