/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1322z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1340z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern bool_t BGl_isloopzf3zf3zztrace_isloopz00(BgL_letzd2funzd2_bglt);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1326zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1324zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1346z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1330zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1350z62zztrace_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1362z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1338z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1336z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1368zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2app1320zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21342z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2node1313z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1352zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztrace_isloopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1374z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1328zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1318zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1356z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1372z62zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1332zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zztrace_walkz00();
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1316zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2switch1366z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21384zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tracezd2node1343zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1354z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2switc1334zb0zztrace_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1370zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1358z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1376zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1378zb0zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121380za2zztrace_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62toplevelzd2tracezd2node1381z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1360z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1348z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1364z62zztrace_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2129z00zztrace_walkz00,
		BgL_bgl_string2129za700za7za7t2187za7, "Trace", 5);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2188z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2130z00zztrace_walkz00,
		BgL_bgl_string2130za700za7za7t2189za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2131z00zztrace_walkz00,
		BgL_bgl_string2131za700za7za7t2190za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2132z00zztrace_walkz00,
		BgL_bgl_string2132za700za7za7t2191za7, " error", 6);
	      DEFINE_STRING(BGl_string2133z00zztrace_walkz00,
		BgL_bgl_string2133za700za7za7t2192za7, "s", 1);
	      DEFINE_STRING(BGl_string2134z00zztrace_walkz00,
		BgL_bgl_string2134za700za7za7t2193za7, "", 0);
	      DEFINE_STRING(BGl_string2135z00zztrace_walkz00,
		BgL_bgl_string2135za700za7za7t2194za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2136z00zztrace_walkz00,
		BgL_bgl_string2136za700za7za7t2195za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2137z00zztrace_walkz00,
		BgL_bgl_string2137za700za7za7t2196za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2138z00zztrace_walkz00,
		BgL_bgl_string2138za700za7za7t2197za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2140z00zztrace_walkz00,
		BgL_bgl_string2140za700za7za7t2198za7, "find-last-node1313", 18);
	      DEFINE_STRING(BGl_string2142z00zztrace_walkz00,
		BgL_bgl_string2142za700za7za7t2199za7, "trace-node1343", 14);
	      DEFINE_STRING(BGl_string2144z00zztrace_walkz00,
		BgL_bgl_string2144za700za7za7t2200za7, "toplevel-trace-node1381", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2201za7,
		BGl_z62findzd2lastzd2node1313z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2146z00zztrace_walkz00,
		BgL_bgl_string2146za700za7za7t2202za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12203z00,
		BGl_z62tracezd2node1343zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2204z00,
		BGl_z62toplevelzd2tracezd2node1381z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2205za7,
		BGl_z62findzd2lastzd2nodezd2seque1316zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2206za7,
		BGl_z62findzd2lastzd2nodezd2sync1318zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2207za7,
		BGl_z62findzd2lastzd2nodezd2app1320zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2208za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1322z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2209za7,
		BGl_z62findzd2lastzd2nodezd2funca1324zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2210za7,
		BGl_z62findzd2lastzd2nodezd2exter1326zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2211za7,
		BGl_z62findzd2lastzd2nodezd2setq1328zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2212za7,
		BGl_z62findzd2lastzd2nodezd2condi1330zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2213za7,
		BGl_z62findzd2lastzd2nodezd2fail1332zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2161z00zztrace_walkz00,
		BgL_bgl_string2161za700za7za7t2214za7, "trace-node", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2215za7,
		BGl_z62findzd2lastzd2nodezd2switc1334zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2216za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1336z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2217za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1338z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2218za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1340z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2219za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21342z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72220za7,
		BGl_z62tracezd2nodezd2sequence1346z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72221za7,
		BGl_z62tracezd2nodezd2sync1348z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72222za7,
		BGl_z62tracezd2nodezd2app1350z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72223za7,
		BGl_z62tracezd2nodezd2appzd2ly1352zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72224za7,
		BGl_z62tracezd2nodezd2funcall1354z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72225za7,
		BGl_z62tracezd2nodezd2extern1356z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72226za7,
		BGl_z62tracezd2nodezd2cast1358z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72227za7,
		BGl_z62tracezd2nodezd2setq1360z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72228za7,
		BGl_z62tracezd2nodezd2condition1362z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72229za7,
		BGl_z62tracezd2nodezd2fail1364z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72230za7,
		BGl_z62tracezd2nodezd2switch1366z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72231za7,
		BGl_z62tracezd2nodezd2letzd2fun1368zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72232za7,
		BGl_z62tracezd2nodezd2letzd2var1370zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2180z00zztrace_walkz00,
		BgL_bgl_string2180za700za7za7t2233za7, "toplevel-trace-node", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72234za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1372z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72235za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1374z62zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72236za7,
		BGl_z62tracezd2nodezd2makezd2box1376zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2183z00zztrace_walkz00,
		BgL_bgl_string2183za700za7za7t2237za7, "trace_walk", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72238za7,
		BGl_z62tracezd2nodezd2boxzd2ref1378zb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2184z00zztrace_walkz00,
		BgL_bgl_string2184za700za7za7t2239za7,
		"|:| value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72240za7,
		BGl_z62tracezd2nodezd2boxzd2setz121380za2zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2241z00,
		BGl_z62toplevelzd2tracezd2nodezd21384zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2242z00,
		BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2243z00,
		BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72244za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72245za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2246za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zztrace_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3644, char *BgL_fromz00_3645)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zztrace_walkz00();
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					return BGl_toplevelzd2initzd2zztrace_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3462;

				{	/* Trace/walk.scm 15 */
					obj_t BgL_stringz00_3470;

					BgL_stringz00_3470 = BGl_string2184z00zztrace_walkz00;
					{	/* Trace/walk.scm 15 */
						obj_t BgL_startz00_3471;

						BgL_startz00_3471 = BINT(((long) 0));
						{	/* Trace/walk.scm 15 */
							obj_t BgL_endz00_3472;

							BgL_endz00_3472 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3470)));
							{	/* Trace/walk.scm 15 */

								BgL_cportz00_3462 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3470, BgL_startz00_3471, BgL_endz00_3472);
				}}}}
				{
					long BgL_iz00_3463;

					BgL_iz00_3463 = ((long) 20);
				BgL_loopz00_3464:
					if ((BgL_iz00_3463 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2186z00_3466;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3468;

										BgL_locationz00_3468 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2186z00_3466 =
												BGl_readz00zz__readerz00(BgL_cportz00_3462,
												BgL_locationz00_3468);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_tmpz00_3680;

									BgL_tmpz00_3680 = (int) (BgL_iz00_3463);
									CNST_TABLE_SET(BgL_tmpz00_3680, BgL_arg2186z00_3466);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3469;

								BgL_auxz00_3469 = (int) ((BgL_iz00_3463 - ((long) 1)));
								{
									long BgL_iz00_3685;

									BgL_iz00_3685 = (long) (BgL_auxz00_3469);
									BgL_iz00_3463 = BgL_iz00_3685;
									goto BgL_loopz00_3464;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Trace/walk.scm 39 */
			{	/* Trace/walk.scm 40 */
				obj_t BgL_list1455z00_1566;

				{	/* Trace/walk.scm 40 */
					obj_t BgL_arg1456z00_1567;

					{	/* Trace/walk.scm 40 */
						obj_t BgL_arg1457z00_1568;

						BgL_arg1457z00_1568 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1456z00_1567 =
							MAKE_YOUNG_PAIR(BGl_string2129z00zztrace_walkz00,
							BgL_arg1457z00_1568);
					}
					BgL_list1455z00_1566 =
						MAKE_YOUNG_PAIR(BGl_string2130z00zztrace_walkz00,
						BgL_arg1456z00_1567);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1455z00_1566);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2129z00zztrace_walkz00;
			{	/* Trace/walk.scm 40 */
				obj_t BgL_g1107z00_1569;

				BgL_g1107z00_1569 = BNIL;
				{
					obj_t BgL_hooksz00_1572;
					obj_t BgL_hnamesz00_1573;

					BgL_hooksz00_1572 = BgL_g1107z00_1569;
					BgL_hnamesz00_1573 = BNIL;
				BgL_zc3z04anonymousza31458ze3z87_1574:
					if (NULLP(BgL_hooksz00_1572))
						{	/* Trace/walk.scm 40 */
							CNST_TABLE_REF(((long) 0));
						}
					else
						{	/* Trace/walk.scm 40 */
							bool_t BgL_test2250z00_3698;

							{	/* Trace/walk.scm 40 */
								obj_t BgL_fun1497z00_1581;

								BgL_fun1497z00_1581 = CAR(((obj_t) BgL_hooksz00_1572));
								BgL_test2250z00_3698 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1497z00_1581)
									(BgL_fun1497z00_1581, BEOA));
							}
							if (BgL_test2250z00_3698)
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1477z00_1578;
									obj_t BgL_arg1494z00_1579;

									BgL_arg1477z00_1578 = CDR(((obj_t) BgL_hooksz00_1572));
									BgL_arg1494z00_1579 = CDR(((obj_t) BgL_hnamesz00_1573));
									{
										obj_t BgL_hnamesz00_3710;
										obj_t BgL_hooksz00_3709;

										BgL_hooksz00_3709 = BgL_arg1477z00_1578;
										BgL_hnamesz00_3710 = BgL_arg1494z00_1579;
										BgL_hnamesz00_1573 = BgL_hnamesz00_3710;
										BgL_hooksz00_1572 = BgL_hooksz00_3709;
										goto BgL_zc3z04anonymousza31458ze3z87_1574;
									}
								}
							else
								{	/* Trace/walk.scm 40 */
									obj_t BgL_arg1496z00_1580;

									BgL_arg1496z00_1580 = CAR(((obj_t) BgL_hnamesz00_1573));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2129z00zztrace_walkz00,
										BGl_string2131z00zztrace_walkz00, BgL_arg1496z00_1580);
								}
						}
				}
			}
			{	/* Trace/walk.scm 46 */
				obj_t BgL_idz00_1584;

				BgL_idz00_1584 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 46 */
					obj_t BgL_gloz00_1585;

					{	/* Trace/walk.scm 47 */
						obj_t BgL_list1501z00_1589;

						BgL_list1501z00_1589 =
							MAKE_YOUNG_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1585 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1584,
							BgL_list1501z00_1589);
					}
					{	/* Trace/walk.scm 47 */

						{	/* Trace/walk.scm 48 */
							bool_t BgL_test2251z00_3717;

							{	/* Trace/walk.scm 48 */
								obj_t BgL_classz00_2401;

								BgL_classz00_2401 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_gloz00_1585))
									{	/* Trace/walk.scm 48 */
										BgL_objectz00_bglt BgL_arg1825z00_2403;

										BgL_arg1825z00_2403 =
											(BgL_objectz00_bglt) (BgL_gloz00_1585);
										{	/* Trace/walk.scm 48 */
											bool_t BgL_arg1822z00_2406;
											bool_t BgL_arg1823z00_2407;

											{	/* Trace/walk.scm 48 */
												long BgL_idxz00_2410;

												BgL_idxz00_2410 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2403);
												BgL_arg1822z00_2406 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2410 + ((long) 2))) ==
													BgL_classz00_2401);
											}
											{	/* Trace/walk.scm 48 */
												bool_t BgL_res2089z00_2432;

												{	/* Trace/walk.scm 48 */
													obj_t BgL_oclassz00_2418;

													{	/* Trace/walk.scm 48 */
														long BgL_arg1833z00_2424;

														{	/* Trace/walk.scm 48 */
															long BgL_arg1834z00_2425;

															BgL_arg1834z00_2425 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2403);
															BgL_arg1833z00_2424 =
																(BgL_arg1834z00_2425 - OBJECT_TYPE);
														}
														BgL_oclassz00_2418 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2424);
													}
													{	/* Trace/walk.scm 48 */
														bool_t BgL__ortest_1110z00_2419;

														BgL__ortest_1110z00_2419 =
															(BgL_classz00_2401 == BgL_oclassz00_2418);
														if (BgL__ortest_1110z00_2419)
															{	/* Trace/walk.scm 48 */
																BgL_res2089z00_2432 = BgL__ortest_1110z00_2419;
															}
														else
															{	/* Trace/walk.scm 48 */
																long BgL_odepthz00_2420;

																BgL_odepthz00_2420 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2418);
																if ((((long) 2) < BgL_odepthz00_2420))
																	{	/* Trace/walk.scm 48 */
																		obj_t BgL_arg1821z00_2422;

																		BgL_arg1821z00_2422 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2418, ((long) 2));
																		BgL_res2089z00_2432 =
																			(BgL_arg1821z00_2422 ==
																			BgL_classz00_2401);
																	}
																else
																	{	/* Trace/walk.scm 48 */
																		BgL_res2089z00_2432 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2407 = BgL_res2089z00_2432;
											}
											BgL_test2251z00_3717 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2406,
												BgL_arg1823z00_2407);
										}
									}
								else
									{	/* Trace/walk.scm 48 */
										BgL_test2251z00_3717 = ((bool_t) 0);
									}
							}
							if (BgL_test2251z00_3717)
								{	/* Trace/walk.scm 49 */
									BgL_sfunz00_bglt BgL_i1109z00_1587;

									BgL_i1109z00_1587 =
										((BgL_sfunz00_bglt)
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_gloz00_1585))))->
											BgL_valuez00));
									{
										obj_t BgL_auxz00_3740;

										{	/* Trace/walk.scm 50 */
											obj_t BgL_arg1500z00_1588;

											BgL_arg1500z00_1588 =
												(((BgL_sfunz00_bglt) COBJECT(BgL_i1109z00_1587))->
												BgL_bodyz00);
											BgL_auxz00_3740 =
												((obj_t)
												BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
														(BgL_nodez00_bglt) BgL_arg1500z00_1588)));
										}
										((((BgL_sfunz00_bglt) COBJECT(BgL_i1109z00_1587))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_3740), BUNSPEC);
									}
								}
							else
								{	/* Trace/walk.scm 48 */
									BFALSE;
								}
						}
					}
				}
			}
			{
				obj_t BgL_l1301z00_1591;

				BgL_l1301z00_1591 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31502ze3z87_1592:
				if (PAIRP(BgL_l1301z00_1591))
					{	/* Trace/walk.scm 52 */
						{	/* Trace/walk.scm 52 */
							obj_t BgL_vz00_1594;

							BgL_vz00_1594 = CAR(BgL_l1301z00_1591);
							BGl_tracezd2funz12zc0zztrace_walkz00(BgL_vz00_1594, BNIL,
								BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00);
						}
						{
							obj_t BgL_l1301z00_3750;

							BgL_l1301z00_3750 = CDR(BgL_l1301z00_1591);
							BgL_l1301z00_1591 = BgL_l1301z00_3750;
							goto BgL_zc3z04anonymousza31502ze3z87_1592;
						}
					}
				else
					{	/* Trace/walk.scm 52 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 53 */
					{	/* Trace/walk.scm 53 */
						obj_t BgL_port1303z00_1599;

						{	/* Trace/walk.scm 53 */
							obj_t BgL_tmpz00_3755;

							BgL_tmpz00_3755 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1303z00_1599 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3755);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1303z00_1599);
						bgl_display_string(BGl_string2132z00zztrace_walkz00,
							BgL_port1303z00_1599);
						{	/* Trace/walk.scm 53 */
							obj_t BgL_arg1524z00_1600;

							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2257z00_3760;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 53 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 53 */
												BgL_test2257z00_3760 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 53 */
												BgL_test2257z00_3760 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 53 */
										BgL_test2257z00_3760 = ((bool_t) 0);
									}
								if (BgL_test2257z00_3760)
									{	/* Trace/walk.scm 53 */
										BgL_arg1524z00_1600 = BGl_string2133z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 53 */
										BgL_arg1524z00_1600 = BGl_string2134z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1524z00_1600, BgL_port1303z00_1599);
						}
						bgl_display_string(BGl_string2135z00zztrace_walkz00,
							BgL_port1303z00_1599);
						bgl_display_char(((unsigned char) 10), BgL_port1303z00_1599);
					}
					{	/* Trace/walk.scm 53 */
						obj_t BgL_list1528z00_1606;

						BgL_list1528z00_1606 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1528z00_1606);
					}
				}
			else
				{	/* Trace/walk.scm 53 */
					obj_t BgL_g1110z00_1607;

					BgL_g1110z00_1607 = BNIL;
					{
						obj_t BgL_hooksz00_1610;
						obj_t BgL_hnamesz00_1611;

						BgL_hooksz00_1610 = BgL_g1110z00_1607;
						BgL_hnamesz00_1611 = BNIL;
					BgL_zc3z04anonymousza31529ze3z87_1612:
						if (NULLP(BgL_hooksz00_1610))
							{	/* Trace/walk.scm 53 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Trace/walk.scm 53 */
								bool_t BgL_test2261z00_3777;

								{	/* Trace/walk.scm 53 */
									obj_t BgL_fun1543z00_1619;

									BgL_fun1543z00_1619 = CAR(((obj_t) BgL_hooksz00_1610));
									BgL_test2261z00_3777 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1543z00_1619)
										(BgL_fun1543z00_1619, BEOA));
								}
								if (BgL_test2261z00_3777)
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1534z00_1616;
										obj_t BgL_arg1536z00_1617;

										BgL_arg1534z00_1616 = CDR(((obj_t) BgL_hooksz00_1610));
										BgL_arg1536z00_1617 = CDR(((obj_t) BgL_hnamesz00_1611));
										{
											obj_t BgL_hnamesz00_3789;
											obj_t BgL_hooksz00_3788;

											BgL_hooksz00_3788 = BgL_arg1534z00_1616;
											BgL_hnamesz00_3789 = BgL_arg1536z00_1617;
											BgL_hnamesz00_1611 = BgL_hnamesz00_3789;
											BgL_hooksz00_1610 = BgL_hooksz00_3788;
											goto BgL_zc3z04anonymousza31529ze3z87_1612;
										}
									}
								else
									{	/* Trace/walk.scm 53 */
										obj_t BgL_arg1542z00_1618;

										BgL_arg1542z00_1618 = CAR(((obj_t) BgL_hnamesz00_1611));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2136z00zztrace_walkz00, BgL_arg1542z00_1618);
									}
							}
					}
				}
		}

	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3299,
		obj_t BgL_globalsz00_3300)
	{
		{	/* Trace/walk.scm 39 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3300);
		}

	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		{	/* Trace/walk.scm 64 */
			{	/* Trace/walk.scm 66 */
				bool_t BgL_test2262z00_3794;

				{	/* Trace/walk.scm 66 */
					bool_t BgL_test2263z00_3795;

					{	/* Trace/walk.scm 66 */
						obj_t BgL_classz00_2450;

						BgL_classz00_2450 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_vz00_18))
							{	/* Trace/walk.scm 66 */
								BgL_objectz00_bglt BgL_arg1825z00_2452;

								BgL_arg1825z00_2452 = (BgL_objectz00_bglt) (BgL_vz00_18);
								{	/* Trace/walk.scm 66 */
									bool_t BgL_arg1822z00_2455;
									bool_t BgL_arg1823z00_2456;

									{	/* Trace/walk.scm 66 */
										long BgL_idxz00_2459;

										BgL_idxz00_2459 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2452);
										BgL_arg1822z00_2455 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2459 + ((long) 2))) == BgL_classz00_2450);
									}
									{	/* Trace/walk.scm 66 */
										bool_t BgL_res2091z00_2481;

										{	/* Trace/walk.scm 66 */
											obj_t BgL_oclassz00_2467;

											{	/* Trace/walk.scm 66 */
												long BgL_arg1833z00_2473;

												{	/* Trace/walk.scm 66 */
													long BgL_arg1834z00_2474;

													BgL_arg1834z00_2474 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2452);
													BgL_arg1833z00_2473 =
														(BgL_arg1834z00_2474 - OBJECT_TYPE);
												}
												BgL_oclassz00_2467 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1833z00_2473);
											}
											{	/* Trace/walk.scm 66 */
												bool_t BgL__ortest_1110z00_2468;

												BgL__ortest_1110z00_2468 =
													(BgL_classz00_2450 == BgL_oclassz00_2467);
												if (BgL__ortest_1110z00_2468)
													{	/* Trace/walk.scm 66 */
														BgL_res2091z00_2481 = BgL__ortest_1110z00_2468;
													}
												else
													{	/* Trace/walk.scm 66 */
														long BgL_odepthz00_2469;

														BgL_odepthz00_2469 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2467);
														if ((((long) 2) < BgL_odepthz00_2469))
															{	/* Trace/walk.scm 66 */
																obj_t BgL_arg1821z00_2471;

																BgL_arg1821z00_2471 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2467,
																	((long) 2));
																BgL_res2091z00_2481 =
																	(BgL_arg1821z00_2471 == BgL_classz00_2450);
															}
														else
															{	/* Trace/walk.scm 66 */
																BgL_res2091z00_2481 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg1823z00_2456 = BgL_res2091z00_2481;
									}
									BgL_test2263z00_3795 =
										BGL_ISA_C_BACKEND(BgL_arg1822z00_2455, BgL_arg1823z00_2456);
								}
							}
						else
							{	/* Trace/walk.scm 66 */
								BgL_test2263z00_3795 = ((bool_t) 0);
							}
					}
					if (BgL_test2263z00_3795)
						{	/* Trace/walk.scm 66 */
							BgL_test2262z00_3794 =
								(
								(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
								CNST_TABLE_REF(((long) 1)));
						}
					else
						{	/* Trace/walk.scm 66 */
							BgL_test2262z00_3794 = ((bool_t) 0);
						}
				}
				if (BgL_test2262z00_3794)
					{	/* Trace/walk.scm 67 */
						obj_t BgL_arg1551z00_1625;

						{	/* Trace/walk.scm 67 */
							obj_t BgL_arg1552z00_1626;
							obj_t BgL_arg1554z00_1627;

							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1555z00_1628;

								BgL_arg1555z00_1628 =
									bstring_to_symbol(BGl_string2137z00zztrace_walkz00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1463z00_2485;

									BgL_arg1463z00_2485 = SYMBOL_TO_STRING(BgL_arg1555z00_1628);
									BgL_arg1552z00_1626 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2485);
								}
							}
							{	/* Trace/walk.scm 67 */
								obj_t BgL_arg1563z00_1629;

								BgL_arg1563z00_1629 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 67 */
									obj_t BgL_arg1463z00_2488;

									BgL_arg1463z00_2488 = SYMBOL_TO_STRING(BgL_arg1563z00_1629);
									BgL_arg1554z00_1627 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1463z00_2488);
								}
							}
							BgL_arg1551z00_1625 =
								string_append(BgL_arg1552z00_1626, BgL_arg1554z00_1627);
						}
						return bstring_to_symbol(BgL_arg1551z00_1625);
					}
				else
					{	/* Trace/walk.scm 68 */
						bool_t BgL_test2267z00_3828;

						{	/* Trace/walk.scm 68 */
							bool_t BgL_test2268z00_3829;

							{	/* Trace/walk.scm 68 */
								obj_t BgL_classz00_2490;

								BgL_classz00_2490 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_vz00_18))
									{	/* Trace/walk.scm 68 */
										BgL_objectz00_bglt BgL_arg1825z00_2492;

										BgL_arg1825z00_2492 = (BgL_objectz00_bglt) (BgL_vz00_18);
										{	/* Trace/walk.scm 68 */
											bool_t BgL_arg1822z00_2495;
											bool_t BgL_arg1823z00_2496;

											{	/* Trace/walk.scm 68 */
												long BgL_idxz00_2499;

												BgL_idxz00_2499 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2492);
												BgL_arg1822z00_2495 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2499 + ((long) 2))) ==
													BgL_classz00_2490);
											}
											{	/* Trace/walk.scm 68 */
												bool_t BgL_res2092z00_2521;

												{	/* Trace/walk.scm 68 */
													obj_t BgL_oclassz00_2507;

													{	/* Trace/walk.scm 68 */
														long BgL_arg1833z00_2513;

														{	/* Trace/walk.scm 68 */
															long BgL_arg1834z00_2514;

															BgL_arg1834z00_2514 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2492);
															BgL_arg1833z00_2513 =
																(BgL_arg1834z00_2514 - OBJECT_TYPE);
														}
														BgL_oclassz00_2507 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2513);
													}
													{	/* Trace/walk.scm 68 */
														bool_t BgL__ortest_1110z00_2508;

														BgL__ortest_1110z00_2508 =
															(BgL_classz00_2490 == BgL_oclassz00_2507);
														if (BgL__ortest_1110z00_2508)
															{	/* Trace/walk.scm 68 */
																BgL_res2092z00_2521 = BgL__ortest_1110z00_2508;
															}
														else
															{	/* Trace/walk.scm 68 */
																long BgL_odepthz00_2509;

																BgL_odepthz00_2509 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2507);
																if ((((long) 2) < BgL_odepthz00_2509))
																	{	/* Trace/walk.scm 68 */
																		obj_t BgL_arg1821z00_2511;

																		BgL_arg1821z00_2511 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2507, ((long) 2));
																		BgL_res2092z00_2521 =
																			(BgL_arg1821z00_2511 ==
																			BgL_classz00_2490);
																	}
																else
																	{	/* Trace/walk.scm 68 */
																		BgL_res2092z00_2521 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2496 = BgL_res2092z00_2521;
											}
											BgL_test2268z00_3829 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2495,
												BgL_arg1823z00_2496);
										}
									}
								else
									{	/* Trace/walk.scm 68 */
										BgL_test2268z00_3829 = ((bool_t) 0);
									}
							}
							if (BgL_test2268z00_3829)
								{	/* Trace/walk.scm 68 */
									BgL_test2267z00_3828 =
										(
										(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Trace/walk.scm 68 */
									BgL_test2267z00_3828 = ((bool_t) 0);
								}
						}
						if (BgL_test2267z00_3828)
							{	/* Trace/walk.scm 69 */
								obj_t BgL_arg1570z00_1633;

								{	/* Trace/walk.scm 69 */
									obj_t BgL_arg1571z00_1634;
									obj_t BgL_arg1578z00_1635;

									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1581z00_1636;

										BgL_arg1581z00_1636 =
											bstring_to_symbol(BGl_string2138z00zztrace_walkz00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1463z00_2525;

											BgL_arg1463z00_2525 =
												SYMBOL_TO_STRING(BgL_arg1581z00_1636);
											BgL_arg1571z00_1634 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2525);
										}
									}
									{	/* Trace/walk.scm 69 */
										obj_t BgL_arg1582z00_1637;

										BgL_arg1582z00_1637 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 69 */
											obj_t BgL_arg1463z00_2528;

											BgL_arg1463z00_2528 =
												SYMBOL_TO_STRING(BgL_arg1582z00_1637);
											BgL_arg1578z00_1635 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1463z00_2528);
										}
									}
									BgL_arg1570z00_1633 =
										string_append(BgL_arg1571z00_1634, BgL_arg1578z00_1635);
								}
								return bstring_to_symbol(BgL_arg1570z00_1633);
							}
						else
							{	/* Trace/walk.scm 70 */
								bool_t BgL_test2272z00_3862;

								{	/* Trace/walk.scm 70 */
									obj_t BgL_classz00_2530;

									BgL_classz00_2530 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_vz00_18))
										{	/* Trace/walk.scm 70 */
											BgL_objectz00_bglt BgL_arg1825z00_2532;

											BgL_arg1825z00_2532 = (BgL_objectz00_bglt) (BgL_vz00_18);
											{	/* Trace/walk.scm 70 */
												bool_t BgL_arg1822z00_2535;
												bool_t BgL_arg1823z00_2536;

												{	/* Trace/walk.scm 70 */
													long BgL_idxz00_2539;

													BgL_idxz00_2539 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2532);
													BgL_arg1822z00_2535 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2539 + ((long) 2))) ==
														BgL_classz00_2530);
												}
												{	/* Trace/walk.scm 70 */
													bool_t BgL_res2093z00_2561;

													{	/* Trace/walk.scm 70 */
														obj_t BgL_oclassz00_2547;

														{	/* Trace/walk.scm 70 */
															long BgL_arg1833z00_2553;

															{	/* Trace/walk.scm 70 */
																long BgL_arg1834z00_2554;

																BgL_arg1834z00_2554 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2532);
																BgL_arg1833z00_2553 =
																	(BgL_arg1834z00_2554 - OBJECT_TYPE);
															}
															BgL_oclassz00_2547 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1833z00_2553);
														}
														{	/* Trace/walk.scm 70 */
															bool_t BgL__ortest_1110z00_2548;

															BgL__ortest_1110z00_2548 =
																(BgL_classz00_2530 == BgL_oclassz00_2547);
															if (BgL__ortest_1110z00_2548)
																{	/* Trace/walk.scm 70 */
																	BgL_res2093z00_2561 =
																		BgL__ortest_1110z00_2548;
																}
															else
																{	/* Trace/walk.scm 70 */
																	long BgL_odepthz00_2549;

																	BgL_odepthz00_2549 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2547);
																	if ((((long) 2) < BgL_odepthz00_2549))
																		{	/* Trace/walk.scm 70 */
																			obj_t BgL_arg1821z00_2551;

																			BgL_arg1821z00_2551 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2547, ((long) 2));
																			BgL_res2093z00_2561 =
																				(BgL_arg1821z00_2551 ==
																				BgL_classz00_2530);
																		}
																	else
																		{	/* Trace/walk.scm 70 */
																			BgL_res2093z00_2561 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg1823z00_2536 = BgL_res2093z00_2561;
												}
												BgL_test2272z00_3862 =
													BGL_ISA_C_BACKEND(BgL_arg1822z00_2535,
													BgL_arg1823z00_2536);
											}
										}
									else
										{	/* Trace/walk.scm 70 */
											BgL_test2272z00_3862 = ((bool_t) 0);
										}
								}
								if (BgL_test2272z00_3862)
									{	/* Trace/walk.scm 71 */
										obj_t BgL_arg1585z00_1639;
										obj_t BgL_arg1586z00_1640;

										BgL_arg1585z00_1639 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg1586z00_1640 =
											(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 71 */
											obj_t BgL_list1587z00_1641;

											{	/* Trace/walk.scm 71 */
												obj_t BgL_arg1588z00_1642;

												{	/* Trace/walk.scm 71 */
													obj_t BgL_arg1595z00_1643;

													BgL_arg1595z00_1643 =
														MAKE_YOUNG_PAIR(BgL_arg1586z00_1640, BNIL);
													BgL_arg1588z00_1642 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg1595z00_1643);
												}
												BgL_list1587z00_1641 =
													MAKE_YOUNG_PAIR(BgL_arg1585z00_1639,
													BgL_arg1588z00_1642);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list1587z00_1641);
										}
									}
								else
									{	/* Trace/walk.scm 70 */
										return
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}

	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20, obj_t BgL_levelz00_21)
	{
		{	/* Trace/walk.scm 81 */
			{	/* Trace/walk.scm 82 */
				BgL_valuez00_bglt BgL_funz00_1648;

				BgL_funz00_1648 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 82 */
					obj_t BgL_bodyz00_1649;

					BgL_bodyz00_1649 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1648)))->BgL_bodyz00);
					{	/* Trace/walk.scm 83 */
						obj_t BgL_llocz00_1650;

						{	/* Trace/walk.scm 84 */
							bool_t BgL_test2276z00_3897;

							{	/* Trace/walk.scm 84 */
								obj_t BgL_classz00_2567;

								BgL_classz00_2567 = BGl_globalz00zzast_varz00;
								if (BGL_OBJECTP(BgL_varz00_19))
									{	/* Trace/walk.scm 84 */
										BgL_objectz00_bglt BgL_arg1825z00_2569;

										BgL_arg1825z00_2569 = (BgL_objectz00_bglt) (BgL_varz00_19);
										{	/* Trace/walk.scm 84 */
											bool_t BgL_arg1822z00_2572;
											bool_t BgL_arg1823z00_2573;

											{	/* Trace/walk.scm 84 */
												long BgL_idxz00_2576;

												BgL_idxz00_2576 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_2569);
												BgL_arg1822z00_2572 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2576 + ((long) 2))) ==
													BgL_classz00_2567);
											}
											{	/* Trace/walk.scm 84 */
												bool_t BgL_res2094z00_2598;

												{	/* Trace/walk.scm 84 */
													obj_t BgL_oclassz00_2584;

													{	/* Trace/walk.scm 84 */
														long BgL_arg1833z00_2590;

														{	/* Trace/walk.scm 84 */
															long BgL_arg1834z00_2591;

															BgL_arg1834z00_2591 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_2569);
															BgL_arg1833z00_2590 =
																(BgL_arg1834z00_2591 - OBJECT_TYPE);
														}
														BgL_oclassz00_2584 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1833z00_2590);
													}
													{	/* Trace/walk.scm 84 */
														bool_t BgL__ortest_1110z00_2585;

														BgL__ortest_1110z00_2585 =
															(BgL_classz00_2567 == BgL_oclassz00_2584);
														if (BgL__ortest_1110z00_2585)
															{	/* Trace/walk.scm 84 */
																BgL_res2094z00_2598 = BgL__ortest_1110z00_2585;
															}
														else
															{	/* Trace/walk.scm 84 */
																long BgL_odepthz00_2586;

																BgL_odepthz00_2586 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2584);
																if ((((long) 2) < BgL_odepthz00_2586))
																	{	/* Trace/walk.scm 84 */
																		obj_t BgL_arg1821z00_2588;

																		BgL_arg1821z00_2588 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2584, ((long) 2));
																		BgL_res2094z00_2598 =
																			(BgL_arg1821z00_2588 ==
																			BgL_classz00_2567);
																	}
																else
																	{	/* Trace/walk.scm 84 */
																		BgL_res2094z00_2598 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg1823z00_2573 = BgL_res2094z00_2598;
											}
											BgL_test2276z00_3897 =
												BGL_ISA_C_BACKEND(BgL_arg1822z00_2572,
												BgL_arg1823z00_2573);
										}
									}
								else
									{	/* Trace/walk.scm 84 */
										BgL_test2276z00_3897 = ((bool_t) 0);
									}
							}
							if (BgL_test2276z00_3897)
								{	/* Trace/walk.scm 85 */
									obj_t BgL_arg1694z00_1697;

									BgL_arg1694z00_1697 =
										BGl_findzd2lastzd2sexpz00zztrace_walkz00(
										(((BgL_globalz00_bglt) COBJECT(
													((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
									BgL_llocz00_1650 =
										BGl_findzd2locationzd2zztools_locationz00
										(BgL_arg1694z00_1697);
								}
							else
								{	/* Trace/walk.scm 86 */
									obj_t BgL_arg1696z00_1699;

									BgL_arg1696z00_1699 =
										BGl_findzd2lastzd2nodez00zztrace_walkz00(
										((BgL_nodez00_bglt) BgL_bodyz00_1649));
									BgL_llocz00_1650 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_arg1696z00_1699)))->BgL_locz00);
								}
						}
						{	/* Trace/walk.scm 84 */

							{	/* Trace/walk.scm 87 */
								bool_t BgL_test2280z00_3924;

								if (CBOOL(
										(((BgL_funz00_bglt) COBJECT(
													((BgL_funz00_bglt) BgL_funz00_1648)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 87 */
										BgL_test2280z00_3924 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 87 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_funz00_1648)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 88 */
												BgL_test2280z00_3924 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 89 */
												obj_t BgL_arg1681z00_1694;

												BgL_arg1681z00_1694 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_test2280z00_3924 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg1681z00_1694);
											}
									}
								if (BgL_test2280z00_3924)
									{	/* Trace/walk.scm 87 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 91 */
											obj_t BgL_bdz00_1658;

											{	/* Trace/walk.scm 91 */
												bool_t BgL_test2283z00_3940;

												if (((long) CINT(BgL_levelz00_21) > ((long) 1)))
													{	/* Trace/walk.scm 91 */
														BgL_test2283z00_3940 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 92 */
														bool_t BgL_test2285z00_3944;

														{	/* Trace/walk.scm 92 */
															obj_t BgL_classz00_2605;

															BgL_classz00_2605 = BGl_globalz00zzast_varz00;
															if (BGL_OBJECTP(BgL_varz00_19))
																{	/* Trace/walk.scm 92 */
																	BgL_objectz00_bglt BgL_arg1825z00_2607;

																	BgL_arg1825z00_2607 =
																		(BgL_objectz00_bglt) (BgL_varz00_19);
																	{	/* Trace/walk.scm 92 */
																		bool_t BgL_arg1822z00_2610;
																		bool_t BgL_arg1823z00_2611;

																		{	/* Trace/walk.scm 92 */
																			long BgL_idxz00_2614;

																			BgL_idxz00_2614 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_2607);
																			BgL_arg1822z00_2610 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2614 + ((long) 2))) ==
																				BgL_classz00_2605);
																		}
																		{	/* Trace/walk.scm 92 */
																			bool_t BgL_res2095z00_2636;

																			{	/* Trace/walk.scm 92 */
																				obj_t BgL_oclassz00_2622;

																				{	/* Trace/walk.scm 92 */
																					long BgL_arg1833z00_2628;

																					{	/* Trace/walk.scm 92 */
																						long BgL_arg1834z00_2629;

																						BgL_arg1834z00_2629 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_2607);
																						BgL_arg1833z00_2628 =
																							(BgL_arg1834z00_2629 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2622 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_2628);
																				}
																				{	/* Trace/walk.scm 92 */
																					bool_t BgL__ortest_1110z00_2623;

																					BgL__ortest_1110z00_2623 =
																						(BgL_classz00_2605 ==
																						BgL_oclassz00_2622);
																					if (BgL__ortest_1110z00_2623)
																						{	/* Trace/walk.scm 92 */
																							BgL_res2095z00_2636 =
																								BgL__ortest_1110z00_2623;
																						}
																					else
																						{	/* Trace/walk.scm 92 */
																							long BgL_odepthz00_2624;

																							BgL_odepthz00_2624 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2622);
																							if ((((long) 2) <
																									BgL_odepthz00_2624))
																								{	/* Trace/walk.scm 92 */
																									obj_t BgL_arg1821z00_2626;

																									BgL_arg1821z00_2626 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2622,
																										((long) 2));
																									BgL_res2095z00_2636 =
																										(BgL_arg1821z00_2626 ==
																										BgL_classz00_2605);
																								}
																							else
																								{	/* Trace/walk.scm 92 */
																									BgL_res2095z00_2636 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_2611 = BgL_res2095z00_2636;
																		}
																		BgL_test2285z00_3944 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_2610,
																			BgL_arg1823z00_2611);
																	}
																}
															else
																{	/* Trace/walk.scm 92 */
																	BgL_test2285z00_3944 = ((bool_t) 0);
																}
														}
														if (BgL_test2285z00_3944)
															{	/* Trace/walk.scm 93 */
																bool_t BgL__ortest_1113z00_1687;

																BgL__ortest_1113z00_1687 =
																	(
																	(((BgL_variablez00_bglt) COBJECT(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1113z00_1687)
																	{	/* Trace/walk.scm 93 */
																		BgL_test2283z00_3940 =
																			BgL__ortest_1113z00_1687;
																	}
																else
																	{	/* Trace/walk.scm 94 */
																		bool_t BgL__ortest_1114z00_1688;

																		BgL__ortest_1114z00_1688 =
																			(
																			(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1114z00_1688)
																			{	/* Trace/walk.scm 94 */
																				BgL_test2283z00_3940 =
																					BgL__ortest_1114z00_1688;
																			}
																		else
																			{	/* Trace/walk.scm 94 */
																				BgL_test2283z00_3940 =
																					(
																					(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 92 */
																BgL_test2283z00_3940 = ((bool_t) 0);
															}
													}
												if (BgL_test2283z00_3940)
													{	/* Trace/walk.scm 103 */
														bool_t BgL_test2291z00_3980;

														{	/* Trace/walk.scm 103 */
															bool_t BgL_test2292z00_3981;

															{	/* Trace/walk.scm 103 */
																obj_t BgL_classz00_2640;

																BgL_classz00_2640 = BGl_localz00zzast_varz00;
																if (BGL_OBJECTP(BgL_varz00_19))
																	{	/* Trace/walk.scm 103 */
																		BgL_objectz00_bglt BgL_arg1825z00_2642;

																		BgL_arg1825z00_2642 =
																			(BgL_objectz00_bglt) (BgL_varz00_19);
																		{	/* Trace/walk.scm 103 */
																			bool_t BgL_arg1822z00_2645;
																			bool_t BgL_arg1823z00_2646;

																			{	/* Trace/walk.scm 103 */
																				long BgL_idxz00_2649;

																				BgL_idxz00_2649 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1825z00_2642);
																				BgL_arg1822z00_2645 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2649 + ((long) 2))) ==
																					BgL_classz00_2640);
																			}
																			{	/* Trace/walk.scm 103 */
																				bool_t BgL_res2096z00_2671;

																				{	/* Trace/walk.scm 103 */
																					obj_t BgL_oclassz00_2657;

																					{	/* Trace/walk.scm 103 */
																						long BgL_arg1833z00_2663;

																						{	/* Trace/walk.scm 103 */
																							long BgL_arg1834z00_2664;

																							BgL_arg1834z00_2664 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1825z00_2642);
																							BgL_arg1833z00_2663 =
																								(BgL_arg1834z00_2664 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2657 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1833z00_2663);
																					}
																					{	/* Trace/walk.scm 103 */
																						bool_t BgL__ortest_1110z00_2658;

																						BgL__ortest_1110z00_2658 =
																							(BgL_classz00_2640 ==
																							BgL_oclassz00_2657);
																						if (BgL__ortest_1110z00_2658)
																							{	/* Trace/walk.scm 103 */
																								BgL_res2096z00_2671 =
																									BgL__ortest_1110z00_2658;
																							}
																						else
																							{	/* Trace/walk.scm 103 */
																								long BgL_odepthz00_2659;

																								BgL_odepthz00_2659 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2657);
																								if ((((long) 2) <
																										BgL_odepthz00_2659))
																									{	/* Trace/walk.scm 103 */
																										obj_t BgL_arg1821z00_2661;

																										BgL_arg1821z00_2661 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2657,
																											((long) 2));
																										BgL_res2096z00_2671 =
																											(BgL_arg1821z00_2661 ==
																											BgL_classz00_2640);
																									}
																								else
																									{	/* Trace/walk.scm 103 */
																										BgL_res2096z00_2671 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_arg1823z00_2646 =
																					BgL_res2096z00_2671;
																			}
																			BgL_test2292z00_3981 =
																				BGL_ISA_C_BACKEND(BgL_arg1822z00_2645,
																				BgL_arg1823z00_2646);
																		}
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_test2292z00_3981 = ((bool_t) 0);
																	}
															}
															if (BgL_test2292z00_3981)
																{	/* Trace/walk.scm 103 */
																	BgL_test2291z00_3980 = ((bool_t) 1);
																}
															else
																{	/* Trace/walk.scm 103 */
																	if (
																		((((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5))))
																		{	/* Trace/walk.scm 104 */
																			BgL_test2291z00_3980 = ((bool_t) 1);
																		}
																	else
																		{	/* Trace/walk.scm 104 */
																			BgL_test2291z00_3980 =
																				(
																				(((BgL_variablez00_bglt) COBJECT(
																							((BgL_variablez00_bglt)
																								((BgL_globalz00_bglt)
																									BgL_varz00_19))))->
																					BgL_idz00) ==
																				CNST_TABLE_REF(((long) 6)));
														}}}
														if (BgL_test2291z00_3980)
															{	/* Trace/walk.scm 106 */
																long BgL_arg1660z00_1678;

																BgL_arg1660z00_1678 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1658 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1649),
																		BgL_stackz00_20,
																		BINT(BgL_arg1660z00_1678)));
															}
														else
															{	/* Trace/walk.scm 107 */
																obj_t BgL_arg1665z00_1679;
																long BgL_arg1667z00_1680;

																BgL_arg1665z00_1679 =
																	MAKE_YOUNG_PAIR(BgL_varz00_19,
																	BgL_stackz00_20);
																BgL_arg1667z00_1680 =
																	((long) CINT(BgL_levelz00_21) - ((long) 1));
																BgL_bdz00_1658 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00((
																			(BgL_nodez00_bglt) BgL_bodyz00_1649),
																		BgL_arg1665z00_1679,
																		BINT(BgL_arg1667z00_1680)));
													}}
												else
													{	/* Trace/walk.scm 91 */
														BgL_bdz00_1658 = BgL_bodyz00_1649;
													}
											}
											{	/* Trace/walk.scm 91 */
												BgL_typez00_bglt BgL_tz00_1659;

												{	/* Trace/walk.scm 109 */
													BgL_typez00_bglt BgL_arg1620z00_1662;
													BgL_typez00_bglt BgL_arg1621z00_1663;

													BgL_arg1620z00_1662 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_bodyz00_1649)))->
														BgL_typez00);
													BgL_arg1621z00_1663 =
														(((BgL_variablez00_bglt)
															COBJECT(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1659 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg1620z00_1662, BgL_arg1621z00_1663);
												}
												{	/* Trace/walk.scm 109 */
													obj_t BgL_idz00_1660;

													BgL_idz00_1660 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 110 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1661;

														BgL_nbodyz00_1661 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1658),
															BgL_tz00_1659, BgL_idz00_1660, BgL_llocz00_1650,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 111 */

															((((BgL_sfunz00_bglt) COBJECT(
																			((BgL_sfunz00_bglt) BgL_funz00_1648)))->
																	BgL_bodyz00) =
																((obj_t) ((obj_t) BgL_nbodyz00_1661)), BUNSPEC);
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 87 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}

	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_22)
	{
		{	/* Trace/walk.scm 122 */
			{
				obj_t BgL_sexpz00_1701;
				obj_t BgL_resz00_1702;

				BgL_sexpz00_1701 = BgL_sexpz00_22;
				BgL_resz00_1702 = BgL_sexpz00_22;
			BgL_zc3z04anonymousza31697ze3z87_1703:
				if (PAIRP(BgL_sexpz00_1701))
					{	/* Trace/walk.scm 128 */
						bool_t BgL_test2298z00_4038;

						{	/* Trace/walk.scm 128 */
							obj_t BgL_tmpz00_4039;

							BgL_tmpz00_4039 = CDR(BgL_sexpz00_1701);
							BgL_test2298z00_4038 = PAIRP(BgL_tmpz00_4039);
						}
						if (BgL_test2298z00_4038)
							{
								obj_t BgL_resz00_4044;
								obj_t BgL_sexpz00_4042;

								BgL_sexpz00_4042 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1701);
								BgL_resz00_4044 = BgL_sexpz00_1701;
								BgL_resz00_1702 = BgL_resz00_4044;
								BgL_sexpz00_1701 = BgL_sexpz00_4042;
								goto BgL_zc3z04anonymousza31697ze3z87_1703;
							}
						else
							{
								obj_t BgL_resz00_4047;
								obj_t BgL_sexpz00_4045;

								BgL_sexpz00_4045 = CAR(BgL_sexpz00_1701);
								BgL_resz00_4047 = BgL_sexpz00_1701;
								BgL_resz00_1702 = BgL_resz00_4047;
								BgL_sexpz00_1701 = BgL_sexpz00_4045;
								goto BgL_zc3z04anonymousza31697ze3z87_1703;
							}
					}
				else
					{	/* Trace/walk.scm 126 */
						return BgL_resz00_1702;
					}
			}
		}

	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_38,
		BgL_typez00_bglt BgL_typez00_39, obj_t BgL_symbolz00_40,
		obj_t BgL_llocz00_41, obj_t BgL_stackz00_42)
	{
		{	/* Trace/walk.scm 245 */
			{	/* Trace/walk.scm 252 */
				obj_t BgL_locz00_1712;

				BgL_locz00_1712 =
					(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_38))->BgL_locz00);
				{	/* Trace/walk.scm 252 */
					obj_t BgL_auxz00_1713;

					BgL_auxz00_1713 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 253 */
						obj_t BgL_tauxz00_1714;

						BgL_tauxz00_1714 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1713,
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_39))->BgL_idz00));
						{	/* Trace/walk.scm 254 */
							obj_t BgL_tmp1z00_1715;

							BgL_tmp1z00_1715 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 255 */
								obj_t BgL_tmp2z00_1716;

								BgL_tmp2z00_1716 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 256 */
									obj_t BgL_tmp3z00_1717;

									BgL_tmp3z00_1717 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 257 */
										obj_t BgL_symz00_1718;

										{	/* Trace/walk.scm 258 */
											bool_t BgL_test2299z00_4063;

											if (PAIRP(BgL_stackz00_42))
												{	/* Trace/walk.scm 258 */
													obj_t BgL_arg1817z00_1769;

													BgL_arg1817z00_1769 = CAR(BgL_stackz00_42);
													{	/* Trace/walk.scm 258 */
														obj_t BgL_classz00_2686;

														BgL_classz00_2686 = BGl_variablez00zzast_varz00;
														if (BGL_OBJECTP(BgL_arg1817z00_1769))
															{	/* Trace/walk.scm 258 */
																BgL_objectz00_bglt BgL_arg1825z00_2688;

																BgL_arg1825z00_2688 =
																	(BgL_objectz00_bglt) (BgL_arg1817z00_1769);
																{	/* Trace/walk.scm 258 */
																	bool_t BgL_arg1822z00_2691;
																	bool_t BgL_arg1823z00_2692;

																	{	/* Trace/walk.scm 258 */
																		long BgL_idxz00_2695;

																		BgL_idxz00_2695 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_2688);
																		BgL_arg1822z00_2691 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_2695 + ((long) 1))) ==
																			BgL_classz00_2686);
																	}
																	{	/* Trace/walk.scm 258 */
																		bool_t BgL_res2097z00_2717;

																		{	/* Trace/walk.scm 258 */
																			obj_t BgL_oclassz00_2703;

																			{	/* Trace/walk.scm 258 */
																				long BgL_arg1833z00_2709;

																				{	/* Trace/walk.scm 258 */
																					long BgL_arg1834z00_2710;

																					BgL_arg1834z00_2710 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_2688);
																					BgL_arg1833z00_2709 =
																						(BgL_arg1834z00_2710 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_2703 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_2709);
																			}
																			{	/* Trace/walk.scm 258 */
																				bool_t BgL__ortest_1110z00_2704;

																				BgL__ortest_1110z00_2704 =
																					(BgL_classz00_2686 ==
																					BgL_oclassz00_2703);
																				if (BgL__ortest_1110z00_2704)
																					{	/* Trace/walk.scm 258 */
																						BgL_res2097z00_2717 =
																							BgL__ortest_1110z00_2704;
																					}
																				else
																					{	/* Trace/walk.scm 258 */
																						long BgL_odepthz00_2705;

																						BgL_odepthz00_2705 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_2703);
																						if ((((long) 1) <
																								BgL_odepthz00_2705))
																							{	/* Trace/walk.scm 258 */
																								obj_t BgL_arg1821z00_2707;

																								BgL_arg1821z00_2707 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_2703,
																									((long) 1));
																								BgL_res2097z00_2717 =
																									(BgL_arg1821z00_2707 ==
																									BgL_classz00_2686);
																							}
																						else
																							{	/* Trace/walk.scm 258 */
																								BgL_res2097z00_2717 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_2692 = BgL_res2097z00_2717;
																	}
																	BgL_test2299z00_4063 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_2691,
																		BgL_arg1823z00_2692);
																}
															}
														else
															{	/* Trace/walk.scm 258 */
																BgL_test2299z00_4063 = ((bool_t) 0);
															}
													}
												}
											else
												{	/* Trace/walk.scm 258 */
													BgL_test2299z00_4063 = ((bool_t) 0);
												}
											if (BgL_test2299z00_4063)
												{	/* Trace/walk.scm 258 */
													BgL_symz00_1718 =
														BGl_fqnameze70ze7zztrace_walkz00(BgL_symbolz00_40,
														BgL_stackz00_42);
												}
											else
												{	/* Trace/walk.scm 258 */
													BgL_symz00_1718 = BgL_symbolz00_40;
												}
										}
										{	/* Trace/walk.scm 258 */
											obj_t BgL_lz00_1719;

											{	/* Trace/walk.scm 262 */
												bool_t BgL_test2304z00_4086;

												if (STRUCTP(BgL_locz00_1712))
													{	/* Trace/walk.scm 262 */
														BgL_test2304z00_4086 =
															(STRUCT_KEY(BgL_locz00_1712) ==
															CNST_TABLE_REF(((long) 11)));
													}
												else
													{	/* Trace/walk.scm 262 */
														BgL_test2304z00_4086 = ((bool_t) 0);
													}
												if (BgL_test2304z00_4086)
													{	/* Trace/walk.scm 263 */
														obj_t BgL_arg1799z00_1761;

														{	/* Trace/walk.scm 263 */
															obj_t BgL_arg1801z00_1762;
															obj_t BgL_arg1805z00_1763;

															BgL_arg1801z00_1762 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1712);
															BgL_arg1805z00_1763 =
																MAKE_YOUNG_PAIR(STRUCT_REF(BgL_locz00_1712,
																	(int) (((long) 1))), BNIL);
															BgL_arg1799z00_1761 =
																MAKE_YOUNG_PAIR(BgL_arg1801z00_1762,
																BgL_arg1805z00_1763);
														}
														BgL_lz00_1719 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1799z00_1761);
													}
												else
													{	/* Trace/walk.scm 262 */
														BgL_lz00_1719 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 262 */
												obj_t BgL_expz00_1720;

												{	/* Trace/walk.scm 264 */
													obj_t BgL_arg1714z00_1724;

													{	/* Trace/walk.scm 264 */
														obj_t BgL_arg1715z00_1725;
														obj_t BgL_arg1716z00_1726;

														{	/* Trace/walk.scm 264 */
															obj_t BgL_arg1721z00_1727;
															obj_t BgL_arg1723z00_1728;

															{	/* Trace/walk.scm 264 */
																obj_t BgL_arg1725z00_1729;

																{	/* Trace/walk.scm 264 */
																	obj_t BgL_arg1726z00_1730;

																	{	/* Trace/walk.scm 264 */
																		obj_t BgL_arg1728z00_1731;

																		BgL_arg1728z00_1731 =
																			MAKE_YOUNG_PAIR(BgL_symz00_1718, BNIL);
																		BgL_arg1726z00_1730 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					13)), BgL_arg1728z00_1731);
																	}
																	BgL_arg1725z00_1729 =
																		MAKE_YOUNG_PAIR(BgL_arg1726z00_1730, BNIL);
																}
																BgL_arg1721z00_1727 =
																	MAKE_YOUNG_PAIR(BgL_tmp1z00_1715,
																	BgL_arg1725z00_1729);
															}
															{	/* Trace/walk.scm 265 */
																obj_t BgL_arg1729z00_1732;
																obj_t BgL_arg1731z00_1733;

																{	/* Trace/walk.scm 265 */
																	obj_t BgL_arg1738z00_1734;

																	{	/* Trace/walk.scm 265 */
																		obj_t BgL_arg1739z00_1735;

																		{	/* Trace/walk.scm 265 */
																			obj_t BgL_arg1742z00_1736;

																			BgL_arg1742z00_1736 =
																				MAKE_YOUNG_PAIR(BgL_lz00_1719, BNIL);
																			BgL_arg1739z00_1735 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						13)), BgL_arg1742z00_1736);
																		}
																		BgL_arg1738z00_1734 =
																			MAKE_YOUNG_PAIR(BgL_arg1739z00_1735,
																			BNIL);
																	}
																	BgL_arg1729z00_1732 =
																		MAKE_YOUNG_PAIR(BgL_tmp2z00_1716,
																		BgL_arg1738z00_1734);
																}
																{	/* Trace/walk.scm 266 */
																	obj_t BgL_arg1743z00_1737;

																	{	/* Trace/walk.scm 266 */
																		obj_t BgL_arg1745z00_1738;
																		obj_t BgL_arg1746z00_1739;

																		BgL_arg1745z00_1738 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1717,
																			CNST_TABLE_REF(((long) 14)));
																		{	/* Trace/walk.scm 266 */
																			obj_t BgL_arg1747z00_1740;

																			BgL_arg1747z00_1740 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						15)), BNIL);
																			BgL_arg1746z00_1739 =
																				MAKE_YOUNG_PAIR(BgL_arg1747z00_1740,
																				BNIL);
																		}
																		BgL_arg1743z00_1737 =
																			MAKE_YOUNG_PAIR(BgL_arg1745z00_1738,
																			BgL_arg1746z00_1739);
																	}
																	BgL_arg1731z00_1733 =
																		MAKE_YOUNG_PAIR(BgL_arg1743z00_1737, BNIL);
																}
																BgL_arg1723z00_1728 =
																	MAKE_YOUNG_PAIR(BgL_arg1729z00_1732,
																	BgL_arg1731z00_1733);
															}
															BgL_arg1715z00_1725 =
																MAKE_YOUNG_PAIR(BgL_arg1721z00_1727,
																BgL_arg1723z00_1728);
														}
														{	/* Trace/walk.scm 268 */
															obj_t BgL_arg1748z00_1741;

															{	/* Trace/walk.scm 268 */
																obj_t BgL_arg1749z00_1742;

																{	/* Trace/walk.scm 268 */
																	obj_t BgL_arg1750z00_1743;

																	{	/* Trace/walk.scm 268 */
																		obj_t BgL_arg1751z00_1744;
																		obj_t BgL_arg1752z00_1745;

																		{	/* Trace/walk.scm 268 */
																			obj_t BgL_arg1753z00_1746;

																			{	/* Trace/walk.scm 268 */
																				obj_t BgL_arg1759z00_1747;

																				{	/* Trace/walk.scm 268 */
																					obj_t BgL_arg1761z00_1748;

																					BgL_arg1761z00_1748 =
																						MAKE_YOUNG_PAIR(BgL_tmp2z00_1716,
																						BNIL);
																					BgL_arg1759z00_1747 =
																						MAKE_YOUNG_PAIR(BgL_tmp1z00_1715,
																						BgL_arg1761z00_1748);
																				}
																				BgL_arg1753z00_1746 =
																					MAKE_YOUNG_PAIR(BgL_tmp3z00_1717,
																					BgL_arg1759z00_1747);
																			}
																			BgL_arg1751z00_1744 =
																				MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																						16)), BgL_arg1753z00_1746);
																		}
																		{	/* Trace/walk.scm 269 */
																			obj_t BgL_arg1762z00_1749;

																			{	/* Trace/walk.scm 269 */
																				obj_t BgL_arg1763z00_1750;

																				{	/* Trace/walk.scm 269 */
																					obj_t BgL_arg1766z00_1751;
																					obj_t BgL_arg1770z00_1752;

																					{	/* Trace/walk.scm 269 */
																						obj_t BgL_arg1772z00_1753;

																						{	/* Trace/walk.scm 269 */
																							obj_t BgL_arg1777z00_1754;

																							BgL_arg1777z00_1754 =
																								MAKE_YOUNG_PAIR(
																								((obj_t) BgL_nodez00_38), BNIL);
																							BgL_arg1772z00_1753 =
																								MAKE_YOUNG_PAIR
																								(BgL_tauxz00_1714,
																								BgL_arg1777z00_1754);
																						}
																						BgL_arg1766z00_1751 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1772z00_1753, BNIL);
																					}
																					{	/* Trace/walk.scm 270 */
																						obj_t BgL_arg1781z00_1755;
																						obj_t BgL_arg1785z00_1756;

																						{	/* Trace/walk.scm 270 */
																							bool_t BgL_test2306z00_4127;

																							if (STRUCTP(BgL_llocz00_41))
																								{	/* Trace/walk.scm 270 */
																									BgL_test2306z00_4127 =
																										(STRUCT_KEY(BgL_llocz00_41)
																										==
																										CNST_TABLE_REF(((long)
																												11)));
																								}
																							else
																								{	/* Trace/walk.scm 270 */
																									BgL_test2306z00_4127 =
																										((bool_t) 0);
																								}
																							if (BgL_test2306z00_4127)
																								{	/* Trace/walk.scm 272 */
																									obj_t BgL_arg1788z00_1758;

																									{	/* Trace/walk.scm 272 */
																										obj_t BgL_res2100z00_2727;

																										BgL_res2100z00_2727 =
																											MAKE_YOUNG_EPAIR
																											(BgL_tmp3z00_1717, BNIL,
																											BgL_llocz00_41);
																										BgL_arg1788z00_1758 =
																											BgL_res2100z00_2727;
																									}
																									{	/* Trace/walk.scm 271 */
																										obj_t BgL_res2101z00_2729;

																										{	/* Trace/walk.scm 271 */
																											obj_t BgL_obj1z00_2728;

																											BgL_obj1z00_2728 =
																												CNST_TABLE_REF(((long)
																													17));
																											BgL_res2101z00_2729 =
																												MAKE_YOUNG_EPAIR
																												(BgL_obj1z00_2728,
																												BgL_arg1788z00_1758,
																												BgL_llocz00_41);
																										}
																										BgL_arg1781z00_1755 =
																											BgL_res2101z00_2729;
																								}}
																							else
																								{	/* Trace/walk.scm 274 */
																									obj_t BgL_arg1789z00_1759;

																									BgL_arg1789z00_1759 =
																										MAKE_YOUNG_PAIR
																										(BgL_tmp3z00_1717, BNIL);
																									BgL_arg1781z00_1755 =
																										MAKE_YOUNG_PAIR
																										(CNST_TABLE_REF(((long)
																												17)),
																										BgL_arg1789z00_1759);
																						}}
																						BgL_arg1785z00_1756 =
																							MAKE_YOUNG_PAIR(BgL_auxz00_1713,
																							BNIL);
																						BgL_arg1770z00_1752 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1781z00_1755,
																							BgL_arg1785z00_1756);
																					}
																					BgL_arg1763z00_1750 =
																						MAKE_YOUNG_PAIR(BgL_arg1766z00_1751,
																						BgL_arg1770z00_1752);
																				}
																				BgL_arg1762z00_1749 =
																					MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																							18)), BgL_arg1763z00_1750);
																			}
																			BgL_arg1752z00_1745 =
																				MAKE_YOUNG_PAIR(BgL_arg1762z00_1749,
																				BNIL);
																		}
																		BgL_arg1750z00_1743 =
																			MAKE_YOUNG_PAIR(BgL_arg1751z00_1744,
																			BgL_arg1752z00_1745);
																	}
																	BgL_arg1749z00_1742 =
																		MAKE_YOUNG_PAIR(BNIL, BgL_arg1750z00_1743);
																}
																BgL_arg1748z00_1741 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
																	BgL_arg1749z00_1742);
															}
															BgL_arg1716z00_1726 =
																MAKE_YOUNG_PAIR(BgL_arg1748z00_1741, BNIL);
														}
														BgL_arg1714z00_1724 =
															MAKE_YOUNG_PAIR(BgL_arg1715z00_1725,
															BgL_arg1716z00_1726);
													}
													BgL_expz00_1720 =
														MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg1714z00_1724);
												}
												{	/* Trace/walk.scm 264 */
													BgL_nodez00_bglt BgL_nnodez00_1721;

													BgL_nnodez00_1721 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1720,
														BNIL, BgL_locz00_1712, CNST_TABLE_REF(((long) 19)));
													{	/* Trace/walk.scm 276 */

														{	/* Trace/walk.scm 277 */
															bool_t BgL_arg1712z00_1722;

															{	/* Trace/walk.scm 277 */
																obj_t BgL_arg1713z00_1723;

																BgL_arg1713z00_1723 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg1712z00_1722 =
																	(((BgL_backendz00_bglt) COBJECT(
																			((BgL_backendz00_bglt)
																				BgL_arg1713z00_1723)))->
																	BgL_removezd2emptyzd2letz00);
															}
															((((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nnodez00_1721)))->
																	BgL_removablezf3zf3) =
																((bool_t) BgL_arg1712z00_1722), BUNSPEC);
														}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1721);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* fqname~0 */
	obj_t BGl_fqnameze70ze7zztrace_walkz00(obj_t BgL_symz00_1775,
		obj_t BgL_stackz00_1776)
	{
		{	/* Trace/walk.scm 250 */
			if (NULLP(BgL_stackz00_1776))
				{	/* Trace/walk.scm 248 */
					return BgL_symz00_1775;
				}
			else
				{	/* Trace/walk.scm 250 */
					obj_t BgL_arg1842z00_1779;

					{	/* Trace/walk.scm 250 */
						obj_t BgL_arg1850z00_1783;
						obj_t BgL_arg1852z00_1784;

						{	/* Trace/walk.scm 250 */
							obj_t BgL_arg1854z00_1785;

							BgL_arg1854z00_1785 = CAR(((obj_t) BgL_stackz00_1776));
							BgL_arg1850z00_1783 =
								BGl_tracezd2idzd2zztrace_walkz00(BgL_arg1854z00_1785);
						}
						BgL_arg1852z00_1784 = CDR(((obj_t) BgL_stackz00_1776));
						BgL_arg1842z00_1779 =
							BGl_fqnameze70ze7zztrace_walkz00(BgL_arg1850z00_1783,
							BgL_arg1852z00_1784);
					}
					{	/* Trace/walk.scm 250 */
						obj_t BgL_list1843z00_1780;

						{	/* Trace/walk.scm 250 */
							obj_t BgL_arg1848z00_1781;

							{	/* Trace/walk.scm 250 */
								obj_t BgL_arg1849z00_1782;

								BgL_arg1849z00_1782 =
									MAKE_YOUNG_PAIR(BgL_arg1842z00_1779, BNIL);
								BgL_arg1848z00_1781 =
									MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 20)),
									BgL_arg1849z00_1782);
							}
							BgL_list1843z00_1780 =
								MAKE_YOUNG_PAIR(BgL_symz00_1775, BgL_arg1848z00_1781);
						}
						return
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1843z00_1780);
					}
				}
		}

	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_100,
		obj_t BgL_stackz00_101, obj_t BgL_levelz00_102)
	{
		{	/* Trace/walk.scm 450 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_100))
				{	/* Trace/walk.scm 451 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 451 */
					{	/* Trace/walk.scm 452 */
						BgL_nodez00_bglt BgL_arg1856z00_1788;

						{	/* Trace/walk.scm 452 */
							obj_t BgL_arg1857z00_1789;

							BgL_arg1857z00_1789 = CAR(((obj_t) BgL_nodeza2za2_100));
							BgL_arg1856z00_1788 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1857z00_1789), BgL_stackz00_101,
								BgL_levelz00_102);
						}
						{	/* Trace/walk.scm 452 */
							obj_t BgL_auxz00_4182;
							obj_t BgL_tmpz00_4180;

							BgL_auxz00_4182 = ((obj_t) BgL_arg1856z00_1788);
							BgL_tmpz00_4180 = ((obj_t) BgL_nodeza2za2_100);
							SET_CAR(BgL_tmpz00_4180, BgL_auxz00_4182);
						}
					}
					{	/* Trace/walk.scm 453 */
						obj_t BgL_arg1858z00_1790;

						BgL_arg1858z00_1790 = CDR(((obj_t) BgL_nodeza2za2_100));
						{
							obj_t BgL_nodeza2za2_4187;

							BgL_nodeza2za2_4187 = BgL_arg1858z00_1790;
							BgL_nodeza2za2_100 = BgL_nodeza2za2_4187;
							goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
						}
					}
				}
		}

	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_107)
	{
		{	/* Trace/walk.scm 501 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_107))
				{	/* Trace/walk.scm 502 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 502 */
					{	/* Trace/walk.scm 503 */
						BgL_nodez00_bglt BgL_arg1862z00_1792;

						{	/* Trace/walk.scm 503 */
							obj_t BgL_arg1863z00_1793;

							BgL_arg1863z00_1793 = CAR(((obj_t) BgL_nodeza2za2_107));
							BgL_arg1862z00_1792 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg1863z00_1793));
						}
						{	/* Trace/walk.scm 503 */
							obj_t BgL_auxz00_4196;
							obj_t BgL_tmpz00_4194;

							BgL_auxz00_4196 = ((obj_t) BgL_arg1862z00_1792);
							BgL_tmpz00_4194 = ((obj_t) BgL_nodeza2za2_107);
							SET_CAR(BgL_tmpz00_4194, BgL_auxz00_4196);
						}
					}
					{	/* Trace/walk.scm 504 */
						obj_t BgL_arg1865z00_1794;

						BgL_arg1865z00_1794 = CDR(((obj_t) BgL_nodeza2za2_107));
						{
							obj_t BgL_nodeza2za2_4201;

							BgL_nodeza2za2_4201 = BgL_arg1865z00_1794;
							BgL_nodeza2za2_107 = BgL_nodeza2za2_4201;
							goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
						}
					}
				}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2139z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2140z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2141z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2142z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2143z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2144z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node1381 */
	obj_t BGl_z62toplevelzd2tracezd2node1381z62zztrace_walkz00(obj_t
		BgL_envz00_3304, obj_t BgL_nodez00_3305)
	{
		{	/* Trace/walk.scm 458 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3305));
		}

	}



/* &trace-node1343 */
	obj_t BGl_z62tracezd2node1343zb0zztrace_walkz00(obj_t BgL_envz00_3306,
		obj_t BgL_nodez00_3307, obj_t BgL_stackz00_3308, obj_t BgL_levelz00_3309)
	{
		{	/* Trace/walk.scm 283 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3307));
		}

	}



/* &find-last-node1313 */
	obj_t BGl_z62findzd2lastzd2node1313z62zztrace_walkz00(obj_t BgL_envz00_3310,
		obj_t BgL_nodez00_3311)
	{
		{	/* Trace/walk.scm 139 */
			return ((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_3311));
		}

	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_23)
	{
		{	/* Trace/walk.scm 139 */
			{	/* Trace/walk.scm 139 */
				obj_t BgL_method1314z00_1809;

				{	/* Trace/walk.scm 139 */
					obj_t BgL_res2106z00_2770;

					{	/* Trace/walk.scm 139 */
						long BgL_objzd2classzd2numz00_2741;

						BgL_objzd2classzd2numz00_2741 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_23));
						{	/* Trace/walk.scm 139 */
							obj_t BgL_arg1829z00_2742;

							BgL_arg1829z00_2742 =
								PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 139 */
								int BgL_offsetz00_2745;

								BgL_offsetz00_2745 = (int) (BgL_objzd2classzd2numz00_2741);
								{	/* Trace/walk.scm 139 */
									long BgL_offsetz00_2746;

									BgL_offsetz00_2746 =
										((long) (BgL_offsetz00_2745) - OBJECT_TYPE);
									{	/* Trace/walk.scm 139 */
										long BgL_modz00_2747;

										BgL_modz00_2747 =
											(BgL_offsetz00_2746 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 139 */
											long BgL_restz00_2749;

											BgL_restz00_2749 =
												(BgL_offsetz00_2746 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 139 */

												{	/* Trace/walk.scm 139 */
													obj_t BgL_bucketz00_2751;

													BgL_bucketz00_2751 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2742), BgL_modz00_2747);
													BgL_res2106z00_2770 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2751), BgL_restz00_2749);
					}}}}}}}}
					BgL_method1314z00_1809 = BgL_res2106z00_2770;
				}
				return
					PROCEDURE_ENTRY(BgL_method1314z00_1809) (BgL_method1314z00_1809,
					((obj_t) BgL_nodez00_23), BEOA);
			}
		}

	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3312,
		obj_t BgL_nodez00_3313)
	{
		{	/* Trace/walk.scm 139 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3313));
		}

	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_43, obj_t BgL_stackz00_44, obj_t BgL_levelz00_45)
	{
		{	/* Trace/walk.scm 283 */
			{	/* Trace/walk.scm 283 */
				obj_t BgL_method1344z00_1810;

				{	/* Trace/walk.scm 283 */
					obj_t BgL_res2111z00_2801;

					{	/* Trace/walk.scm 283 */
						long BgL_objzd2classzd2numz00_2772;

						BgL_objzd2classzd2numz00_2772 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_43));
						{	/* Trace/walk.scm 283 */
							obj_t BgL_arg1829z00_2773;

							BgL_arg1829z00_2773 =
								PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 283 */
								int BgL_offsetz00_2776;

								BgL_offsetz00_2776 = (int) (BgL_objzd2classzd2numz00_2772);
								{	/* Trace/walk.scm 283 */
									long BgL_offsetz00_2777;

									BgL_offsetz00_2777 =
										((long) (BgL_offsetz00_2776) - OBJECT_TYPE);
									{	/* Trace/walk.scm 283 */
										long BgL_modz00_2778;

										BgL_modz00_2778 =
											(BgL_offsetz00_2777 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 283 */
											long BgL_restz00_2780;

											BgL_restz00_2780 =
												(BgL_offsetz00_2777 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 283 */

												{	/* Trace/walk.scm 283 */
													obj_t BgL_bucketz00_2782;

													BgL_bucketz00_2782 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2773), BgL_modz00_2778);
													BgL_res2111z00_2801 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2782), BgL_restz00_2780);
					}}}}}}}}
					BgL_method1344z00_1810 = BgL_res2111z00_2801;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1344z00_1810) (BgL_method1344z00_1810,
						((obj_t) BgL_nodez00_43), BgL_stackz00_44, BgL_levelz00_45, BEOA));
			}
		}

	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3314,
		obj_t BgL_nodez00_3315, obj_t BgL_stackz00_3316, obj_t BgL_levelz00_3317)
	{
		{	/* Trace/walk.scm 283 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3315), BgL_stackz00_3316,
				BgL_levelz00_3317);
		}

	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_103)
	{
		{	/* Trace/walk.scm 458 */
			{	/* Trace/walk.scm 458 */
				obj_t BgL_method1382z00_1811;

				{	/* Trace/walk.scm 458 */
					obj_t BgL_res2116z00_2832;

					{	/* Trace/walk.scm 458 */
						long BgL_objzd2classzd2numz00_2803;

						BgL_objzd2classzd2numz00_2803 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_103));
						{	/* Trace/walk.scm 458 */
							obj_t BgL_arg1829z00_2804;

							BgL_arg1829z00_2804 =
								PROCEDURE_REF
								(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
								(int) (((long) 1)));
							{	/* Trace/walk.scm 458 */
								int BgL_offsetz00_2807;

								BgL_offsetz00_2807 = (int) (BgL_objzd2classzd2numz00_2803);
								{	/* Trace/walk.scm 458 */
									long BgL_offsetz00_2808;

									BgL_offsetz00_2808 =
										((long) (BgL_offsetz00_2807) - OBJECT_TYPE);
									{	/* Trace/walk.scm 458 */
										long BgL_modz00_2809;

										BgL_modz00_2809 =
											(BgL_offsetz00_2808 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Trace/walk.scm 458 */
											long BgL_restz00_2811;

											BgL_restz00_2811 =
												(BgL_offsetz00_2808 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Trace/walk.scm 458 */

												{	/* Trace/walk.scm 458 */
													obj_t BgL_bucketz00_2813;

													BgL_bucketz00_2813 =
														VECTOR_REF(
														((obj_t) BgL_arg1829z00_2804), BgL_modz00_2809);
													BgL_res2116z00_2832 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2813), BgL_restz00_2811);
					}}}}}}}}
					BgL_method1382z00_1811 = BgL_res2116z00_2832;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1382z00_1811) (BgL_method1382z00_1811,
						((obj_t) BgL_nodez00_103), BEOA));
			}
		}

	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3318, obj_t BgL_nodez00_3319)
	{
		{	/* Trace/walk.scm 458 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3319));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2145z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2147z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2148z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2149z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2150z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2151z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2152z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2153z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2154z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_switchz00zzast_nodez00, BGl_proc2155z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2156z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2157z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2158z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2159z00zztrace_walkz00,
				BGl_string2146z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2160z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2162z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2163z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2164z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2165z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2166z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2167z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2168z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2169z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2170z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_switchz00zzast_nodez00,
				BGl_proc2171z00zztrace_walkz00, BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2172z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2173z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2174z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2175z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2176z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2177z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2178z00zztrace_walkz00,
				BGl_string2161z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2179z00zztrace_walkz00,
				BGl_string2180z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2181z00zztrace_walkz00,
				BGl_string2180z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2182z00zztrace_walkz00,
				BGl_string2180z00zztrace_walkz00);
		}

	}



/* &toplevel-trace-node-1388 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21388zb0zztrace_walkz00(obj_t
		BgL_envz00_3355, obj_t BgL_nodez00_3356)
	{
		{	/* Trace/walk.scm 485 */
			{	/* Trace/walk.scm 487 */
				BgL_varz00_bglt BgL_i1133z00_3478;

				BgL_i1133z00_3478 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3356)))->BgL_varz00);
				{	/* Trace/walk.scm 488 */
					bool_t BgL_test2311z00_4348;

					{	/* Trace/walk.scm 488 */
						bool_t BgL_test2312z00_4349;

						{	/* Trace/walk.scm 488 */
							BgL_variablez00_bglt BgL_arg2020z00_3479;

							BgL_arg2020z00_3479 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1133z00_3478))->
								BgL_variablez00);
							{	/* Trace/walk.scm 488 */
								obj_t BgL_classz00_3480;

								BgL_classz00_3480 = BGl_globalz00zzast_varz00;
								{	/* Trace/walk.scm 488 */
									BgL_objectz00_bglt BgL_arg1825z00_3481;

									{	/* Trace/walk.scm 488 */
										obj_t BgL_tmpz00_4351;

										BgL_tmpz00_4351 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg2020z00_3479));
										BgL_arg1825z00_3481 =
											(BgL_objectz00_bglt) (BgL_tmpz00_4351);
									}
									{	/* Trace/walk.scm 488 */
										bool_t BgL_arg1822z00_3482;
										bool_t BgL_arg1823z00_3483;

										{	/* Trace/walk.scm 488 */
											long BgL_idxz00_3484;

											BgL_idxz00_3484 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3481);
											BgL_arg1822z00_3482 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3484 + ((long) 2))) == BgL_classz00_3480);
										}
										{	/* Trace/walk.scm 488 */
											bool_t BgL_res2117z00_3487;

											{	/* Trace/walk.scm 488 */
												obj_t BgL_oclassz00_3488;

												{	/* Trace/walk.scm 488 */
													long BgL_arg1833z00_3489;

													{	/* Trace/walk.scm 488 */
														long BgL_arg1834z00_3490;

														BgL_arg1834z00_3490 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3481);
														BgL_arg1833z00_3489 =
															(BgL_arg1834z00_3490 - OBJECT_TYPE);
													}
													BgL_oclassz00_3488 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1833z00_3489);
												}
												{	/* Trace/walk.scm 488 */
													bool_t BgL__ortest_1110z00_3491;

													BgL__ortest_1110z00_3491 =
														(BgL_classz00_3480 == BgL_oclassz00_3488);
													if (BgL__ortest_1110z00_3491)
														{	/* Trace/walk.scm 488 */
															BgL_res2117z00_3487 = BgL__ortest_1110z00_3491;
														}
													else
														{	/* Trace/walk.scm 488 */
															long BgL_odepthz00_3492;

															BgL_odepthz00_3492 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3488);
															if ((((long) 2) < BgL_odepthz00_3492))
																{	/* Trace/walk.scm 488 */
																	obj_t BgL_arg1821z00_3493;

																	BgL_arg1821z00_3493 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3488,
																		((long) 2));
																	BgL_res2117z00_3487 =
																		(BgL_arg1821z00_3493 == BgL_classz00_3480);
																}
															else
																{	/* Trace/walk.scm 488 */
																	BgL_res2117z00_3487 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg1823z00_3483 = BgL_res2117z00_3487;
										}
										BgL_test2312z00_4349 =
											BGL_ISA_C_BACKEND(BgL_arg1822z00_3482,
											BgL_arg1823z00_3483);
									}
								}
							}
						}
						if (BgL_test2312z00_4349)
							{	/* Trace/walk.scm 489 */
								bool_t BgL_test2315z00_4370;

								{	/* Trace/walk.scm 489 */
									bool_t BgL_test2316z00_4371;

									{	/* Trace/walk.scm 489 */
										BgL_nodez00_bglt BgL_arg2019z00_3494;

										BgL_arg2019z00_3494 =
											(((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3356)))->
											BgL_valuez00);
										{	/* Trace/walk.scm 489 */
											obj_t BgL_classz00_3495;

											BgL_classz00_3495 = BGl_atomz00zzast_nodez00;
											{	/* Trace/walk.scm 489 */
												BgL_objectz00_bglt BgL_arg1825z00_3496;

												{	/* Trace/walk.scm 489 */
													obj_t BgL_tmpz00_4374;

													BgL_tmpz00_4374 =
														((obj_t)
														((BgL_objectz00_bglt) BgL_arg2019z00_3494));
													BgL_arg1825z00_3496 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4374);
												}
												{	/* Trace/walk.scm 489 */
													bool_t BgL_arg1822z00_3497;
													bool_t BgL_arg1823z00_3498;

													{	/* Trace/walk.scm 489 */
														long BgL_idxz00_3499;

														BgL_idxz00_3499 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1825z00_3496);
														BgL_arg1822z00_3497 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3499 + ((long) 2))) ==
															BgL_classz00_3495);
													}
													{	/* Trace/walk.scm 489 */
														bool_t BgL_res2118z00_3502;

														{	/* Trace/walk.scm 489 */
															obj_t BgL_oclassz00_3503;

															{	/* Trace/walk.scm 489 */
																long BgL_arg1833z00_3504;

																{	/* Trace/walk.scm 489 */
																	long BgL_arg1834z00_3505;

																	BgL_arg1834z00_3505 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1825z00_3496);
																	BgL_arg1833z00_3504 =
																		(BgL_arg1834z00_3505 - OBJECT_TYPE);
																}
																BgL_oclassz00_3503 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1833z00_3504);
															}
															{	/* Trace/walk.scm 489 */
																bool_t BgL__ortest_1110z00_3506;

																BgL__ortest_1110z00_3506 =
																	(BgL_classz00_3495 == BgL_oclassz00_3503);
																if (BgL__ortest_1110z00_3506)
																	{	/* Trace/walk.scm 489 */
																		BgL_res2118z00_3502 =
																			BgL__ortest_1110z00_3506;
																	}
																else
																	{	/* Trace/walk.scm 489 */
																		long BgL_odepthz00_3507;

																		BgL_odepthz00_3507 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3503);
																		if ((((long) 2) < BgL_odepthz00_3507))
																			{	/* Trace/walk.scm 489 */
																				obj_t BgL_arg1821z00_3508;

																				BgL_arg1821z00_3508 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3503, ((long) 2));
																				BgL_res2118z00_3502 =
																					(BgL_arg1821z00_3508 ==
																					BgL_classz00_3495);
																			}
																		else
																			{	/* Trace/walk.scm 489 */
																				BgL_res2118z00_3502 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_arg1823z00_3498 = BgL_res2118z00_3502;
													}
													BgL_test2316z00_4371 =
														BGL_ISA_C_BACKEND(BgL_arg1822z00_3497,
														BgL_arg1823z00_3498);
												}
											}
										}
									}
									if (BgL_test2316z00_4371)
										{	/* Trace/walk.scm 489 */
											BgL_test2315z00_4370 = ((bool_t) 1);
										}
									else
										{	/* Trace/walk.scm 490 */
											bool_t BgL_test2319z00_4393;

											{	/* Trace/walk.scm 490 */
												BgL_nodez00_bglt BgL_arg2018z00_3509;

												BgL_arg2018z00_3509 =
													(((BgL_setqz00_bglt) COBJECT(
															((BgL_setqz00_bglt) BgL_nodez00_3356)))->
													BgL_valuez00);
												{	/* Trace/walk.scm 490 */
													obj_t BgL_classz00_3510;

													BgL_classz00_3510 = BGl_varz00zzast_nodez00;
													{	/* Trace/walk.scm 490 */
														BgL_objectz00_bglt BgL_arg1825z00_3511;

														{	/* Trace/walk.scm 490 */
															obj_t BgL_tmpz00_4396;

															BgL_tmpz00_4396 =
																((obj_t)
																((BgL_objectz00_bglt) BgL_arg2018z00_3509));
															BgL_arg1825z00_3511 =
																(BgL_objectz00_bglt) (BgL_tmpz00_4396);
														}
														{	/* Trace/walk.scm 490 */
															bool_t BgL_arg1822z00_3512;
															bool_t BgL_arg1823z00_3513;

															{	/* Trace/walk.scm 490 */
																long BgL_idxz00_3514;

																BgL_idxz00_3514 =
																	BGL_OBJECT_INHERITANCE_NUM
																	(BgL_arg1825z00_3511);
																BgL_arg1822z00_3512 =
																	(VECTOR_REF
																	(BGl_za2inheritancesza2z00zz__objectz00,
																		(BgL_idxz00_3514 + ((long) 2))) ==
																	BgL_classz00_3510);
															}
															{	/* Trace/walk.scm 490 */
																bool_t BgL_res2119z00_3517;

																{	/* Trace/walk.scm 490 */
																	obj_t BgL_oclassz00_3518;

																	{	/* Trace/walk.scm 490 */
																		long BgL_arg1833z00_3519;

																		{	/* Trace/walk.scm 490 */
																			long BgL_arg1834z00_3520;

																			BgL_arg1834z00_3520 =
																				BGL_OBJECT_CLASS_NUM
																				(BgL_arg1825z00_3511);
																			BgL_arg1833z00_3519 =
																				(BgL_arg1834z00_3520 - OBJECT_TYPE);
																		}
																		BgL_oclassz00_3518 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			BgL_arg1833z00_3519);
																	}
																	{	/* Trace/walk.scm 490 */
																		bool_t BgL__ortest_1110z00_3521;

																		BgL__ortest_1110z00_3521 =
																			(BgL_classz00_3510 == BgL_oclassz00_3518);
																		if (BgL__ortest_1110z00_3521)
																			{	/* Trace/walk.scm 490 */
																				BgL_res2119z00_3517 =
																					BgL__ortest_1110z00_3521;
																			}
																		else
																			{	/* Trace/walk.scm 490 */
																				long BgL_odepthz00_3522;

																				BgL_odepthz00_3522 =
																					BGL_CLASS_DEPTH(BgL_oclassz00_3518);
																				if ((((long) 2) < BgL_odepthz00_3522))
																					{	/* Trace/walk.scm 490 */
																						obj_t BgL_arg1821z00_3523;

																						BgL_arg1821z00_3523 =
																							BGL_CLASS_ANCESTORS_REF
																							(BgL_oclassz00_3518, ((long) 2));
																						BgL_res2119z00_3517 =
																							(BgL_arg1821z00_3523 ==
																							BgL_classz00_3510);
																					}
																				else
																					{	/* Trace/walk.scm 490 */
																						BgL_res2119z00_3517 = ((bool_t) 0);
																					}
																			}
																	}
																}
																BgL_arg1823z00_3513 = BgL_res2119z00_3517;
															}
															BgL_test2319z00_4393 =
																BGL_ISA_C_BACKEND(BgL_arg1822z00_3512,
																BgL_arg1823z00_3513);
														}
													}
												}
											}
											if (BgL_test2319z00_4393)
												{	/* Trace/walk.scm 490 */
													BgL_test2315z00_4370 = ((bool_t) 1);
												}
											else
												{	/* Trace/walk.scm 491 */
													bool_t BgL_test2322z00_4415;

													{	/* Trace/walk.scm 491 */
														BgL_nodez00_bglt BgL_arg2017z00_3524;

														BgL_arg2017z00_3524 =
															(((BgL_setqz00_bglt) COBJECT(
																	((BgL_setqz00_bglt) BgL_nodez00_3356)))->
															BgL_valuez00);
														{	/* Trace/walk.scm 491 */
															obj_t BgL_classz00_3525;

															BgL_classz00_3525 = BGl_kwotez00zzast_nodez00;
															{	/* Trace/walk.scm 491 */
																BgL_objectz00_bglt BgL_arg1825z00_3526;

																{	/* Trace/walk.scm 491 */
																	obj_t BgL_tmpz00_4418;

																	BgL_tmpz00_4418 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg2017z00_3524));
																	BgL_arg1825z00_3526 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4418);
																}
																{	/* Trace/walk.scm 491 */
																	bool_t BgL_arg1822z00_3527;
																	bool_t BgL_arg1823z00_3528;

																	{	/* Trace/walk.scm 491 */
																		long BgL_idxz00_3529;

																		BgL_idxz00_3529 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1825z00_3526);
																		BgL_arg1822z00_3527 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3529 + ((long) 2))) ==
																			BgL_classz00_3525);
																	}
																	{	/* Trace/walk.scm 491 */
																		bool_t BgL_res2120z00_3532;

																		{	/* Trace/walk.scm 491 */
																			obj_t BgL_oclassz00_3533;

																			{	/* Trace/walk.scm 491 */
																				long BgL_arg1833z00_3534;

																				{	/* Trace/walk.scm 491 */
																					long BgL_arg1834z00_3535;

																					BgL_arg1834z00_3535 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1825z00_3526);
																					BgL_arg1833z00_3534 =
																						(BgL_arg1834z00_3535 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3533 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1833z00_3534);
																			}
																			{	/* Trace/walk.scm 491 */
																				bool_t BgL__ortest_1110z00_3536;

																				BgL__ortest_1110z00_3536 =
																					(BgL_classz00_3525 ==
																					BgL_oclassz00_3533);
																				if (BgL__ortest_1110z00_3536)
																					{	/* Trace/walk.scm 491 */
																						BgL_res2120z00_3532 =
																							BgL__ortest_1110z00_3536;
																					}
																				else
																					{	/* Trace/walk.scm 491 */
																						long BgL_odepthz00_3537;

																						BgL_odepthz00_3537 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3533);
																						if ((((long) 2) <
																								BgL_odepthz00_3537))
																							{	/* Trace/walk.scm 491 */
																								obj_t BgL_arg1821z00_3538;

																								BgL_arg1821z00_3538 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3533,
																									((long) 2));
																								BgL_res2120z00_3532 =
																									(BgL_arg1821z00_3538 ==
																									BgL_classz00_3525);
																							}
																						else
																							{	/* Trace/walk.scm 491 */
																								BgL_res2120z00_3532 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_arg1823z00_3528 = BgL_res2120z00_3532;
																	}
																	BgL_test2322z00_4415 =
																		BGL_ISA_C_BACKEND(BgL_arg1822z00_3527,
																		BgL_arg1823z00_3528);
																}
															}
														}
													}
													if (BgL_test2322z00_4415)
														{	/* Trace/walk.scm 491 */
															BgL_test2315z00_4370 = ((bool_t) 1);
														}
													else
														{	/* Trace/walk.scm 492 */
															BgL_nodez00_bglt BgL_arg2016z00_3539;

															BgL_arg2016z00_3539 =
																(((BgL_setqz00_bglt) COBJECT(
																		((BgL_setqz00_bglt) BgL_nodez00_3356)))->
																BgL_valuez00);
															{	/* Trace/walk.scm 492 */
																obj_t BgL_classz00_3540;

																BgL_classz00_3540 = BGl_pragmaz00zzast_nodez00;
																{	/* Trace/walk.scm 492 */
																	BgL_objectz00_bglt BgL_arg1825z00_3541;

																	{	/* Trace/walk.scm 492 */
																		obj_t BgL_tmpz00_4439;

																		BgL_tmpz00_4439 =
																			((obj_t)
																			((BgL_objectz00_bglt)
																				BgL_arg2016z00_3539));
																		BgL_arg1825z00_3541 =
																			(BgL_objectz00_bglt) (BgL_tmpz00_4439);
																	}
																	{	/* Trace/walk.scm 492 */
																		bool_t BgL_arg1822z00_3542;
																		bool_t BgL_arg1823z00_3543;

																		{	/* Trace/walk.scm 492 */
																			long BgL_idxz00_3544;

																			BgL_idxz00_3544 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg1825z00_3541);
																			BgL_arg1822z00_3542 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_3544 + ((long) 4))) ==
																				BgL_classz00_3540);
																		}
																		{	/* Trace/walk.scm 492 */
																			bool_t BgL_res2121z00_3547;

																			{	/* Trace/walk.scm 492 */
																				obj_t BgL_oclassz00_3548;

																				{	/* Trace/walk.scm 492 */
																					long BgL_arg1833z00_3549;

																					{	/* Trace/walk.scm 492 */
																						long BgL_arg1834z00_3550;

																						BgL_arg1834z00_3550 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg1825z00_3541);
																						BgL_arg1833z00_3549 =
																							(BgL_arg1834z00_3550 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_3548 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg1833z00_3549);
																				}
																				{	/* Trace/walk.scm 492 */
																					bool_t BgL__ortest_1110z00_3551;

																					BgL__ortest_1110z00_3551 =
																						(BgL_classz00_3540 ==
																						BgL_oclassz00_3548);
																					if (BgL__ortest_1110z00_3551)
																						{	/* Trace/walk.scm 492 */
																							BgL_res2121z00_3547 =
																								BgL__ortest_1110z00_3551;
																						}
																					else
																						{	/* Trace/walk.scm 492 */
																							long BgL_odepthz00_3552;

																							BgL_odepthz00_3552 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_3548);
																							if ((((long) 4) <
																									BgL_odepthz00_3552))
																								{	/* Trace/walk.scm 492 */
																									obj_t BgL_arg1821z00_3553;

																									BgL_arg1821z00_3553 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_3548,
																										((long) 4));
																									BgL_res2121z00_3547 =
																										(BgL_arg1821z00_3553 ==
																										BgL_classz00_3540);
																								}
																							else
																								{	/* Trace/walk.scm 492 */
																									BgL_res2121z00_3547 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg1823z00_3543 = BgL_res2121z00_3547;
																		}
																		BgL_test2315z00_4370 =
																			BGL_ISA_C_BACKEND(BgL_arg1822z00_3542,
																			BgL_arg1823z00_3543);
																	}
																}
															}
														}
												}
										}
								}
								if (BgL_test2315z00_4370)
									{	/* Trace/walk.scm 489 */
										BgL_test2311z00_4348 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 489 */
										BgL_test2311z00_4348 = ((bool_t) 1);
									}
							}
						else
							{	/* Trace/walk.scm 488 */
								BgL_test2311z00_4348 = ((bool_t) 0);
							}
					}
					if (BgL_test2311z00_4348)
						{	/* Trace/walk.scm 493 */
							BgL_typez00_bglt BgL_tz00_3554;

							{	/* Trace/walk.scm 493 */
								BgL_typez00_bglt BgL_arg2012z00_3555;
								BgL_typez00_bglt BgL_arg2013z00_3556;

								BgL_arg2012z00_3555 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_setqz00_bglt) COBJECT(
														((BgL_setqz00_bglt) BgL_nodez00_3356)))->
												BgL_valuez00)))->BgL_typez00);
								BgL_arg2013z00_3556 =
									(((BgL_variablez00_bglt)
										COBJECT(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
															(BgL_varz00_bglt) COBJECT(BgL_i1133z00_3478))->
														BgL_variablez00)))))->BgL_typez00);
								BgL_tz00_3554 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg2012z00_3555,
									BgL_arg2013z00_3556);
							}
							{	/* Trace/walk.scm 493 */
								BgL_letzd2varzd2_bglt BgL_tracez00_3557;

								{	/* Trace/walk.scm 494 */
									BgL_nodez00_bglt BgL_arg2008z00_3558;
									obj_t BgL_arg2009z00_3559;
									obj_t BgL_arg2010z00_3560;

									BgL_arg2008z00_3558 =
										(((BgL_setqz00_bglt) COBJECT(
												((BgL_setqz00_bglt) BgL_nodez00_3356)))->BgL_valuez00);
									{	/* Trace/walk.scm 494 */
										BgL_variablez00_bglt BgL_arg2011z00_3561;

										BgL_arg2011z00_3561 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1133z00_3478))->
											BgL_variablez00);
										BgL_arg2009z00_3559 =
											BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
												BgL_arg2011z00_3561));
									}
									BgL_arg2010z00_3560 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_setqz00_bglt) BgL_nodez00_3356))))->BgL_locz00);
									BgL_tracez00_3557 =
										BGl_makezd2tracedzd2nodez00zztrace_walkz00
										(BgL_arg2008z00_3558, BgL_tz00_3554, BgL_arg2009z00_3559,
										BgL_arg2010z00_3560, BNIL);
								}
								{	/* Trace/walk.scm 494 */

									((((BgL_setqz00_bglt) COBJECT(
													((BgL_setqz00_bglt) BgL_nodez00_3356)))->
											BgL_valuez00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_tracez00_3557)),
										BUNSPEC);
								}
							}
						}
					else
						{	/* Trace/walk.scm 488 */
							BFALSE;
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3356));
		}

	}



/* &toplevel-trace-node-1386 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21386zb0zztrace_walkz00(obj_t
		BgL_envz00_3357, obj_t BgL_nodez00_3358)
	{
		{	/* Trace/walk.scm 471 */
			((((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3358)))->BgL_mutexz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3358)))->
							BgL_mutexz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3358)))->
					BgL_prelockz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3358)))->
							BgL_prelockz00))), BUNSPEC);
			((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3358)))->
					BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
								COBJECT(((BgL_syncz00_bglt) BgL_nodez00_3358)))->BgL_bodyz00))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3358));
		}

	}



/* &toplevel-trace-node-1384 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21384zb0zztrace_walkz00(obj_t
		BgL_envz00_3359, obj_t BgL_nodez00_3360)
	{
		{	/* Trace/walk.scm 464 */
			BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3360)))->BgL_nodesz00));
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3360));
		}

	}



/* &trace-node-box-set!1380 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121380za2zztrace_walkz00(obj_t
		BgL_envz00_3361, obj_t BgL_nodez00_3362, obj_t BgL_stackz00_3363,
		obj_t BgL_levelz00_3364)
	{
		{	/* Trace/walk.scm 441 */
			{
				BgL_varz00_bglt BgL_auxz00_4502;

				{	/* Trace/walk.scm 443 */
					BgL_varz00_bglt BgL_arg1979z00_3565;

					BgL_arg1979z00_3565 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3362)))->BgL_varz00);
					BgL_auxz00_4502 =
						((BgL_varz00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1979z00_3565), BgL_stackz00_3363,
							BgL_levelz00_3364));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3362)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_4502), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4510;

				{	/* Trace/walk.scm 444 */
					BgL_nodez00_bglt BgL_arg1980z00_3566;

					BgL_arg1980z00_3566 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3362)))->BgL_valuez00);
					BgL_auxz00_4510 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1980z00_3566,
						BgL_stackz00_3363, BgL_levelz00_3364);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3362)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4510), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3362));
		}

	}



/* &trace-node-box-ref1378 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1378zb0zztrace_walkz00(obj_t
		BgL_envz00_3365, obj_t BgL_nodez00_3366, obj_t BgL_stackz00_3367,
		obj_t BgL_levelz00_3368)
	{
		{	/* Trace/walk.scm 434 */
			{	/* Trace/walk.scm 435 */
				BgL_nodez00_bglt BgL_arg1977z00_3568;

				{	/* Trace/walk.scm 435 */
					BgL_varz00_bglt BgL_arg1978z00_3569;

					BgL_arg1978z00_3569 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3366)))->BgL_varz00);
					BgL_arg1977z00_3568 =
						BGl_tracezd2nodezd2zztrace_walkz00(
						((BgL_nodez00_bglt) BgL_arg1978z00_3569), BgL_stackz00_3367,
						BgL_levelz00_3368);
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3366)))->BgL_varz00) =
					((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_arg1977z00_3568)), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3366));
		}

	}



/* &trace-node-make-box1376 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1376zb0zztrace_walkz00(obj_t
		BgL_envz00_3369, obj_t BgL_nodez00_3370, obj_t BgL_stackz00_3371,
		obj_t BgL_levelz00_3372)
	{
		{	/* Trace/walk.scm 427 */
			((((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3370)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
								COBJECT(((BgL_makezd2boxzd2_bglt) BgL_nodez00_3370)))->
							BgL_valuez00), BgL_stackz00_3371, BgL_levelz00_3372)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3370));
		}

	}



/* &trace-node-jump-ex-i1374 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1374z62zztrace_walkz00(obj_t
		BgL_envz00_3373, obj_t BgL_nodez00_3374, obj_t BgL_stackz00_3375,
		obj_t BgL_levelz00_3376)
	{
		{	/* Trace/walk.scm 418 */
			{
				BgL_nodez00_bglt BgL_auxz00_4534;

				{	/* Trace/walk.scm 420 */
					BgL_nodez00_bglt BgL_arg1973z00_3572;

					BgL_arg1973z00_3572 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3374)))->BgL_exitz00);
					BgL_auxz00_4534 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1973z00_3572,
						BgL_stackz00_3375, BgL_levelz00_3376);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3374)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4534), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4540;

				{	/* Trace/walk.scm 421 */
					BgL_nodez00_bglt BgL_arg1974z00_3573;

					BgL_arg1974z00_3573 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3374)))->
						BgL_valuez00);
					BgL_auxz00_4540 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1974z00_3573,
						BgL_stackz00_3375, BgL_levelz00_3376);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3374)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4540), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3374));
		}

	}



/* &trace-node-set-ex-it1372 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1372z62zztrace_walkz00(obj_t
		BgL_envz00_3377, obj_t BgL_nodez00_3378, obj_t BgL_stackz00_3379,
		obj_t BgL_levelz00_3380)
	{
		{	/* Trace/walk.scm 410 */
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3378)))->BgL_bodyz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3378)))->
							BgL_bodyz00), BgL_stackz00_3379, BgL_levelz00_3380)), BUNSPEC);
			((((BgL_setzd2exzd2itz00_bglt) COBJECT(((BgL_setzd2exzd2itz00_bglt)
								BgL_nodez00_3378)))->BgL_onexitz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
								COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3378)))->
							BgL_onexitz00), BgL_stackz00_3379, BgL_levelz00_3380)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt)
					BgL_nodez00_3378));
		}

	}



/* &trace-node-let-var1370 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1370zb0zztrace_walkz00(obj_t
		BgL_envz00_3381, obj_t BgL_nodez00_3382, obj_t BgL_stackz00_3383,
		obj_t BgL_levelz00_3384)
	{
		{	/* Trace/walk.scm 399 */
			{	/* Trace/walk.scm 401 */
				obj_t BgL_g1312z00_3576;

				BgL_g1312z00_3576 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3382)))->BgL_bindingsz00);
				{
					obj_t BgL_l1310z00_3578;

					BgL_l1310z00_3578 = BgL_g1312z00_3576;
				BgL_zc3z04anonymousza31963ze3z87_3577:
					if (PAIRP(BgL_l1310z00_3578))
						{	/* Trace/walk.scm 401 */
							{	/* Trace/walk.scm 402 */
								obj_t BgL_bindingz00_3579;

								BgL_bindingz00_3579 = CAR(BgL_l1310z00_3578);
								{	/* Trace/walk.scm 402 */
									BgL_nodez00_bglt BgL_arg1965z00_3580;

									{	/* Trace/walk.scm 402 */
										obj_t BgL_arg1966z00_3581;

										BgL_arg1966z00_3581 = CDR(((obj_t) BgL_bindingz00_3579));
										BgL_arg1965z00_3580 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1966z00_3581),
											BgL_stackz00_3383, BgL_levelz00_3384);
									}
									{	/* Trace/walk.scm 402 */
										obj_t BgL_auxz00_4571;
										obj_t BgL_tmpz00_4569;

										BgL_auxz00_4571 = ((obj_t) BgL_arg1965z00_3580);
										BgL_tmpz00_4569 = ((obj_t) BgL_bindingz00_3579);
										SET_CDR(BgL_tmpz00_4569, BgL_auxz00_4571);
									}
								}
							}
							{
								obj_t BgL_l1310z00_4574;

								BgL_l1310z00_4574 = CDR(BgL_l1310z00_3578);
								BgL_l1310z00_3578 = BgL_l1310z00_4574;
								goto BgL_zc3z04anonymousza31963ze3z87_3577;
							}
						}
					else
						{	/* Trace/walk.scm 401 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4576;

				{	/* Trace/walk.scm 404 */
					BgL_nodez00_bglt BgL_arg1968z00_3582;

					BgL_arg1968z00_3582 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3382)))->BgL_bodyz00);
					BgL_auxz00_4576 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1968z00_3582,
						BgL_stackz00_3383, BgL_levelz00_3384);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_3382)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4576), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_3382));
		}

	}



/* &trace-node-let-fun1368 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1368zb0zztrace_walkz00(obj_t
		BgL_envz00_3385, obj_t BgL_nodez00_3386, obj_t BgL_stackz00_3387,
		obj_t BgL_levelz00_3388)
	{
		{	/* Trace/walk.scm 383 */
			if (BGl_isloopzf3zf3zztrace_isloopz00(
					((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))
				{	/* Trace/walk.scm 384 */
					{	/* Trace/walk.scm 386 */
						obj_t BgL_varz00_3584;

						BgL_varz00_3584 =
							CAR(
							(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->
								BgL_localsz00));
						{	/* Trace/walk.scm 386 */
							BgL_typez00_bglt BgL_tz00_3585;

							{	/* Trace/walk.scm 387 */
								BgL_typez00_bglt BgL_arg1955z00_3586;
								BgL_typez00_bglt BgL_arg1956z00_3587;

								BgL_arg1955z00_3586 =
									(((BgL_nodez00_bglt) COBJECT(
											(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->
												BgL_bodyz00)))->BgL_typez00);
								BgL_arg1956z00_3587 =
									(((BgL_variablez00_bglt) COBJECT(((BgL_variablez00_bglt)
												BgL_varz00_3584)))->BgL_typez00);
								BgL_tz00_3585 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1955z00_3586,
									BgL_arg1956z00_3587);
							}
							{	/* Trace/walk.scm 387 */
								obj_t BgL_idz00_3588;

								BgL_idz00_3588 =
									BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_3584);
								{	/* Trace/walk.scm 388 */

									{
										BgL_nodez00_bglt BgL_auxz00_4597;

										{	/* Trace/walk.scm 389 */
											BgL_nodez00_bglt BgL_arg1953z00_3589;
											obj_t BgL_arg1954z00_3590;

											BgL_arg1953z00_3589 =
												(((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->
												BgL_bodyz00);
											BgL_arg1954z00_3590 =
												(((BgL_nodez00_bglt)
													COBJECT(((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt)
																BgL_nodez00_3386))))->BgL_locz00);
											BgL_auxz00_4597 =
												((BgL_nodez00_bglt)
												BGl_makezd2tracedzd2nodez00zztrace_walkz00
												(BgL_arg1953z00_3589, BgL_tz00_3585, BgL_idz00_3588,
													BgL_arg1954z00_3590, BNIL));
										}
										((((BgL_letzd2funzd2_bglt) COBJECT(
														((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->
												BgL_bodyz00) =
											((BgL_nodez00_bglt) BgL_auxz00_4597), BUNSPEC);
									}
								}
							}
						}
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3386));
				}
			else
				{	/* Trace/walk.scm 384 */
					{	/* Trace/walk.scm 392 */
						obj_t BgL_g1309z00_3591;

						BgL_g1309z00_3591 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->BgL_localsz00);
						{
							obj_t BgL_l1307z00_3593;

							BgL_l1307z00_3593 = BgL_g1309z00_3591;
						BgL_zc3z04anonymousza31959ze3z87_3592:
							if (PAIRP(BgL_l1307z00_3593))
								{	/* Trace/walk.scm 392 */
									BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1307z00_3593),
										BgL_stackz00_3387, BgL_levelz00_3388);
									{
										obj_t BgL_l1307z00_4615;

										BgL_l1307z00_4615 = CDR(BgL_l1307z00_3593);
										BgL_l1307z00_3593 = BgL_l1307z00_4615;
										goto BgL_zc3z04anonymousza31959ze3z87_3592;
									}
								}
							else
								{	/* Trace/walk.scm 392 */
									((bool_t) 1);
								}
						}
					}
					{
						BgL_nodez00_bglt BgL_auxz00_4617;

						{	/* Trace/walk.scm 393 */
							BgL_nodez00_bglt BgL_arg1962z00_3594;

							BgL_arg1962z00_3594 =
								(((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->BgL_bodyz00);
							BgL_auxz00_4617 =
								BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1962z00_3594,
								BgL_stackz00_3387, BgL_levelz00_3388);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(
										((BgL_letzd2funzd2_bglt) BgL_nodez00_3386)))->BgL_bodyz00) =
							((BgL_nodez00_bglt) BgL_auxz00_4617), BUNSPEC);
					}
					return
						((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3386));
				}
		}

	}



/* &trace-node-switch1366 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2switch1366z62zztrace_walkz00(obj_t
		BgL_envz00_3389, obj_t BgL_nodez00_3390, obj_t BgL_stackz00_3391,
		obj_t BgL_levelz00_3392)
	{
		{	/* Trace/walk.scm 372 */
			{
				BgL_nodez00_bglt BgL_auxz00_4625;

				{	/* Trace/walk.scm 374 */
					BgL_nodez00_bglt BgL_arg1946z00_3596;

					BgL_arg1946z00_3596 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3390)))->BgL_testz00);
					BgL_auxz00_4625 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1946z00_3596,
						BgL_stackz00_3391, BgL_levelz00_3392);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3390)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4625), BUNSPEC);
			}
			{	/* Trace/walk.scm 375 */
				obj_t BgL_g1306z00_3597;

				BgL_g1306z00_3597 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_3390)))->BgL_clausesz00);
				{
					obj_t BgL_l1304z00_3599;

					BgL_l1304z00_3599 = BgL_g1306z00_3597;
				BgL_zc3z04anonymousza31947ze3z87_3598:
					if (PAIRP(BgL_l1304z00_3599))
						{	/* Trace/walk.scm 375 */
							{	/* Trace/walk.scm 376 */
								obj_t BgL_clausez00_3600;

								BgL_clausez00_3600 = CAR(BgL_l1304z00_3599);
								{	/* Trace/walk.scm 376 */
									BgL_nodez00_bglt BgL_arg1949z00_3601;

									{	/* Trace/walk.scm 376 */
										obj_t BgL_arg1950z00_3602;

										BgL_arg1950z00_3602 = CDR(((obj_t) BgL_clausez00_3600));
										BgL_arg1949z00_3601 =
											BGl_tracezd2nodezd2zztrace_walkz00(
											((BgL_nodez00_bglt) BgL_arg1950z00_3602),
											BgL_stackz00_3391, BgL_levelz00_3392);
									}
									{	/* Trace/walk.scm 376 */
										obj_t BgL_auxz00_4642;
										obj_t BgL_tmpz00_4640;

										BgL_auxz00_4642 = ((obj_t) BgL_arg1949z00_3601);
										BgL_tmpz00_4640 = ((obj_t) BgL_clausez00_3600);
										SET_CDR(BgL_tmpz00_4640, BgL_auxz00_4642);
									}
								}
							}
							{
								obj_t BgL_l1304z00_4645;

								BgL_l1304z00_4645 = CDR(BgL_l1304z00_3599);
								BgL_l1304z00_3599 = BgL_l1304z00_4645;
								goto BgL_zc3z04anonymousza31947ze3z87_3598;
							}
						}
					else
						{	/* Trace/walk.scm 375 */
							((bool_t) 1);
						}
				}
			}
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_3390));
		}

	}



/* &trace-node-fail1364 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1364z62zztrace_walkz00(obj_t
		BgL_envz00_3393, obj_t BgL_nodez00_3394, obj_t BgL_stackz00_3395,
		obj_t BgL_levelz00_3396)
	{
		{	/* Trace/walk.scm 362 */
			{
				BgL_nodez00_bglt BgL_auxz00_4649;

				{	/* Trace/walk.scm 364 */
					BgL_nodez00_bglt BgL_arg1943z00_3604;

					BgL_arg1943z00_3604 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_procz00);
					BgL_auxz00_4649 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1943z00_3604,
						BgL_stackz00_3395, BgL_levelz00_3396);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4649), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4655;

				{	/* Trace/walk.scm 365 */
					BgL_nodez00_bglt BgL_arg1944z00_3605;

					BgL_arg1944z00_3605 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_msgz00);
					BgL_auxz00_4655 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1944z00_3605,
						BgL_stackz00_3395, BgL_levelz00_3396);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4655), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4661;

				{	/* Trace/walk.scm 366 */
					BgL_nodez00_bglt BgL_arg1945z00_3606;

					BgL_arg1945z00_3606 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_objz00);
					BgL_auxz00_4661 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1945z00_3606,
						BgL_stackz00_3395, BgL_levelz00_3396);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_3394)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4661), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_3394));
		}

	}



/* &trace-node-condition1362 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1362z62zztrace_walkz00(obj_t
		BgL_envz00_3397, obj_t BgL_nodez00_3398, obj_t BgL_stackz00_3399,
		obj_t BgL_levelz00_3400)
	{
		{	/* Trace/walk.scm 352 */
			{
				BgL_nodez00_bglt BgL_auxz00_4669;

				{	/* Trace/walk.scm 354 */
					BgL_nodez00_bglt BgL_arg1940z00_3608;

					BgL_arg1940z00_3608 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_testz00);
					BgL_auxz00_4669 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1940z00_3608,
						BgL_stackz00_3399, BgL_levelz00_3400);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4669), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4675;

				{	/* Trace/walk.scm 355 */
					BgL_nodez00_bglt BgL_arg1941z00_3609;

					BgL_arg1941z00_3609 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_truez00);
					BgL_auxz00_4675 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1941z00_3609,
						BgL_stackz00_3399, BgL_levelz00_3400);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4675), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4681;

				{	/* Trace/walk.scm 356 */
					BgL_nodez00_bglt BgL_arg1942z00_3610;

					BgL_arg1942z00_3610 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_falsez00);
					BgL_auxz00_4681 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1942z00_3610,
						BgL_stackz00_3399, BgL_levelz00_3400);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_3398)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_4681), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_3398));
		}

	}



/* &trace-node-setq1360 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1360z62zztrace_walkz00(obj_t
		BgL_envz00_3401, obj_t BgL_nodez00_3402, obj_t BgL_stackz00_3403,
		obj_t BgL_levelz00_3404)
	{
		{	/* Trace/walk.scm 345 */
			((((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3402)))->BgL_valuez00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
								COBJECT(((BgL_setqz00_bglt) BgL_nodez00_3402)))->BgL_valuez00),
						BgL_stackz00_3403, BgL_levelz00_3404)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_3402));
		}

	}



/* &trace-node-cast1358 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1358z62zztrace_walkz00(obj_t
		BgL_envz00_3405, obj_t BgL_nodez00_3406, obj_t BgL_stackz00_3407,
		obj_t BgL_levelz00_3408)
	{
		{	/* Trace/walk.scm 338 */
			((((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_3406)))->BgL_argz00) =
				((BgL_nodez00_bglt)
					BGl_tracezd2nodezd2zztrace_walkz00((((BgL_castz00_bglt)
								COBJECT(((BgL_castz00_bglt) BgL_nodez00_3406)))->BgL_argz00),
						BgL_stackz00_3407, BgL_levelz00_3408)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_3406));
		}

	}



/* &trace-node-extern1356 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1356z62zztrace_walkz00(obj_t
		BgL_envz00_3409, obj_t BgL_nodez00_3410, obj_t BgL_stackz00_3411,
		obj_t BgL_levelz00_3412)
	{
		{	/* Trace/walk.scm 331 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_3410)))->BgL_exprza2za2),
				BgL_stackz00_3411, BgL_levelz00_3412);
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_3410));
		}

	}



/* &trace-node-funcall1354 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1354z62zztrace_walkz00(obj_t
		BgL_envz00_3413, obj_t BgL_nodez00_3414, obj_t BgL_stackz00_3415,
		obj_t BgL_levelz00_3416)
	{
		{	/* Trace/walk.scm 322 */
			{
				BgL_nodez00_bglt BgL_auxz00_4708;

				{	/* Trace/walk.scm 324 */
					BgL_nodez00_bglt BgL_arg1932z00_3615;

					BgL_arg1932z00_3615 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3414)))->BgL_funz00);
					BgL_auxz00_4708 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1932z00_3615,
						BgL_stackz00_3415, BgL_levelz00_3416);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3414)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4708), BUNSPEC);
			}
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_3414)))->BgL_argsz00),
				BgL_stackz00_3415, BgL_levelz00_3416);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_3414));
		}

	}



/* &trace-node-app-ly1352 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1352zb0zztrace_walkz00(obj_t
		BgL_envz00_3417, obj_t BgL_nodez00_3418, obj_t BgL_stackz00_3419,
		obj_t BgL_levelz00_3420)
	{
		{	/* Trace/walk.scm 313 */
			{
				BgL_nodez00_bglt BgL_auxz00_4719;

				{	/* Trace/walk.scm 315 */
					BgL_nodez00_bglt BgL_arg1930z00_3617;

					BgL_arg1930z00_3617 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3418)))->BgL_funz00);
					BgL_auxz00_4719 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1930z00_3617,
						BgL_stackz00_3419, BgL_levelz00_3420);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3418)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4719), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4725;

				{	/* Trace/walk.scm 316 */
					BgL_nodez00_bglt BgL_arg1931z00_3618;

					BgL_arg1931z00_3618 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3418)))->BgL_argz00);
					BgL_auxz00_4725 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1931z00_3618,
						BgL_stackz00_3419, BgL_levelz00_3420);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_3418)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4725), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3418));
		}

	}



/* &trace-node-app1350 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1350z62zztrace_walkz00(obj_t
		BgL_envz00_3421, obj_t BgL_nodez00_3422, obj_t BgL_stackz00_3423,
		obj_t BgL_levelz00_3424)
	{
		{	/* Trace/walk.scm 306 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3422)))->BgL_argsz00),
				BgL_stackz00_3423, BgL_levelz00_3424);
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3422));
		}

	}



/* &trace-node-sync1348 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1348z62zztrace_walkz00(obj_t
		BgL_envz00_3425, obj_t BgL_nodez00_3426, obj_t BgL_stackz00_3427,
		obj_t BgL_levelz00_3428)
	{
		{	/* Trace/walk.scm 296 */
			{
				BgL_nodez00_bglt BgL_auxz00_4738;

				{	/* Trace/walk.scm 298 */
					BgL_nodez00_bglt BgL_arg1925z00_3621;

					BgL_arg1925z00_3621 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_mutexz00);
					BgL_auxz00_4738 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1925z00_3621,
						BgL_stackz00_3427, BgL_levelz00_3428);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4738), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4744;

				{	/* Trace/walk.scm 299 */
					BgL_nodez00_bglt BgL_arg1926z00_3622;

					BgL_arg1926z00_3622 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_prelockz00);
					BgL_auxz00_4744 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1926z00_3622,
						BgL_stackz00_3427, BgL_levelz00_3428);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4744), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_4750;

				{	/* Trace/walk.scm 300 */
					BgL_nodez00_bglt BgL_arg1927z00_3623;

					BgL_arg1927z00_3623 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_bodyz00);
					BgL_auxz00_4750 =
						BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg1927z00_3623,
						BgL_stackz00_3427, BgL_levelz00_3428);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_3426)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_4750), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_3426));
		}

	}



/* &trace-node-sequence1346 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1346z62zztrace_walkz00(obj_t
		BgL_envz00_3429, obj_t BgL_nodez00_3430, obj_t BgL_stackz00_3431,
		obj_t BgL_levelz00_3432)
	{
		{	/* Trace/walk.scm 289 */
			BGl_tracezd2nodeza2z12z62zztrace_walkz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_3430)))->BgL_nodesz00),
				BgL_stackz00_3431, BgL_levelz00_3432);
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_3430));
		}

	}



/* &find-last-node-jump-1342 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21342z62zztrace_walkz00(obj_t
		BgL_envz00_3433, obj_t BgL_nodez00_3434)
	{
		{	/* Trace/walk.scm 239 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3434)))->BgL_valuez00));
		}

	}



/* &find-last-node-set-e1340 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1340z62zztrace_walkz00(obj_t
		BgL_envz00_3435, obj_t BgL_nodez00_3436)
	{
		{	/* Trace/walk.scm 233 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3436)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-f1338 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1338z62zztrace_walkz00(obj_t
		BgL_envz00_3437, obj_t BgL_nodez00_3438)
	{
		{	/* Trace/walk.scm 227 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3438)))->BgL_bodyz00));
		}

	}



/* &find-last-node-let-v1336 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1336z62zztrace_walkz00(obj_t
		BgL_envz00_3439, obj_t BgL_nodez00_3440)
	{
		{	/* Trace/walk.scm 221 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3440)))->BgL_bodyz00));
		}

	}



/* &find-last-node-switc1334 */
	obj_t BGl_z62findzd2lastzd2nodezd2switc1334zb0zztrace_walkz00(obj_t
		BgL_envz00_3441, obj_t BgL_nodez00_3442)
	{
		{	/* Trace/walk.scm 212 */
			{	/* Trace/walk.scm 214 */
				bool_t BgL_test2331z00_4775;

				{	/* Trace/walk.scm 214 */
					obj_t BgL_tmpz00_4776;

					BgL_tmpz00_4776 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3442)))->BgL_clausesz00);
					BgL_test2331z00_4775 = PAIRP(BgL_tmpz00_4776);
				}
				if (BgL_test2331z00_4775)
					{	/* Trace/walk.scm 215 */
						obj_t BgL_arg1913z00_3630;

						BgL_arg1913z00_3630 =
							CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_3442)))->
									BgL_clausesz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1913z00_3630));
					}
				else
					{	/* Trace/walk.scm 214 */
						return
							BGl_findzd2lastzd2sexpz00zztrace_walkz00(
							((obj_t)
								(((BgL_switchz00_bglt) COBJECT(
											((BgL_switchz00_bglt) BgL_nodez00_3442)))->BgL_testz00)));
					}
			}
		}

	}



/* &find-last-node-fail1332 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1332zb0zztrace_walkz00(obj_t
		BgL_envz00_3443, obj_t BgL_nodez00_3444)
	{
		{	/* Trace/walk.scm 206 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3444)))->BgL_objz00));
		}

	}



/* &find-last-node-condi1330 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1330zb0zztrace_walkz00(obj_t
		BgL_envz00_3445, obj_t BgL_nodez00_3446)
	{
		{	/* Trace/walk.scm 200 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3446)))->BgL_falsez00));
		}

	}



/* &find-last-node-setq1328 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1328zb0zztrace_walkz00(obj_t
		BgL_envz00_3447, obj_t BgL_nodez00_3448)
	{
		{	/* Trace/walk.scm 194 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3448)))->BgL_valuez00));
		}

	}



/* &find-last-node-exter1326 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1326zb0zztrace_walkz00(obj_t
		BgL_envz00_3449, obj_t BgL_nodez00_3450)
	{
		{	/* Trace/walk.scm 185 */
			if (NULLP(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_3450)))->BgL_exprza2za2)))
				{	/* Trace/walk.scm 187 */
					return ((obj_t) ((BgL_externz00_bglt) BgL_nodez00_3450));
				}
			else
				{	/* Trace/walk.scm 188 */
					obj_t BgL_arg1904z00_3635;

					BgL_arg1904z00_3635 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt) BgL_nodez00_3450)))->
								BgL_exprza2za2)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1904z00_3635));
				}
		}

	}



/* &find-last-node-funca1324 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1324zb0zztrace_walkz00(obj_t
		BgL_envz00_3451, obj_t BgL_nodez00_3452)
	{
		{	/* Trace/walk.scm 176 */
			{	/* Trace/walk.scm 178 */
				bool_t BgL_test2333z00_4811;

				{	/* Trace/walk.scm 178 */
					obj_t BgL_tmpz00_4812;

					BgL_tmpz00_4812 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3452)))->BgL_argsz00);
					BgL_test2333z00_4811 = PAIRP(BgL_tmpz00_4812);
				}
				if (BgL_test2333z00_4811)
					{	/* Trace/walk.scm 179 */
						obj_t BgL_arg1894z00_3637;

						BgL_arg1894z00_3637 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_funcallz00_bglt) COBJECT(
											((BgL_funcallz00_bglt) BgL_nodez00_3452)))->
									BgL_argsz00)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg1894z00_3637));
					}
				else
					{	/* Trace/walk.scm 178 */
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							(((BgL_funcallz00_bglt) COBJECT(
										((BgL_funcallz00_bglt) BgL_nodez00_3452)))->BgL_funz00));
					}
			}
		}

	}



/* &find-last-node-app-l1322 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1322z62zztrace_walkz00(obj_t
		BgL_envz00_3453, obj_t BgL_nodez00_3454)
	{
		{	/* Trace/walk.scm 170 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3454)))->BgL_argz00));
		}

	}



/* &find-last-node-app1320 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1320zb0zztrace_walkz00(obj_t
		BgL_envz00_3455, obj_t BgL_nodez00_3456)
	{
		{	/* Trace/walk.scm 161 */
			{	/* Trace/walk.scm 163 */
				bool_t BgL_test2334z00_4828;

				{	/* Trace/walk.scm 163 */
					obj_t BgL_tmpz00_4829;

					BgL_tmpz00_4829 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3456)))->BgL_argsz00);
					BgL_test2334z00_4828 = PAIRP(BgL_tmpz00_4829);
				}
				if (BgL_test2334z00_4828)
					{	/* Trace/walk.scm 164 */
						obj_t BgL_arg1885z00_3640;

						BgL_arg1885z00_3640 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_3456)))->BgL_argsz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg1885z00_3640));
					}
				else
					{	/* Trace/walk.scm 163 */
						return ((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3456));
					}
			}
		}

	}



/* &find-last-node-sync1318 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1318zb0zztrace_walkz00(obj_t
		BgL_envz00_3457, obj_t BgL_nodez00_3458)
	{
		{	/* Trace/walk.scm 154 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3458)))->BgL_bodyz00));
		}

	}



/* &find-last-node-seque1316 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1316zb0zztrace_walkz00(obj_t
		BgL_envz00_3459, obj_t BgL_nodez00_3460)
	{
		{	/* Trace/walk.scm 145 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3460)))->BgL_nodesz00)))
				{	/* Trace/walk.scm 147 */
					return ((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_3460));
				}
			else
				{	/* Trace/walk.scm 148 */
					obj_t BgL_arg1875z00_3643;

					BgL_arg1875z00_3643 =
						CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_sequencez00_bglt) COBJECT(
										((BgL_sequencez00_bglt) BgL_nodez00_3460)))->
								BgL_nodesz00)));
					return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
							BgL_arg1875z00_3643));
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 469204197),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 357572059),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztrace_isloopz00(((long) 332486922),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2183z00zztrace_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
