/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol2800z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static obj_t BGl_symbol2803z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2805z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2724z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2807z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2726z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2809z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2728z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2729z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
static obj_t BGl_symbol2811z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2731z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2813z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2733z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2815z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol2735z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2817z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_symbol2737z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol2819z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2739z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_symbol2821z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2741z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2823z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2742z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static obj_t BGl_symbol2825z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2744z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2827z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2746z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2829z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2748z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_expandz00zz__expandz00(obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_symbol2750z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2833z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2752z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2754z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2756z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol2758z00zz__evaluatez00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol2760z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2762z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2764z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
static obj_t BGl_symbol2766z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2768z00zz__evaluatez00 = BUNSPEC;
extern int bgl_debug();
static obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__evaluatez00(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2770z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2772z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol2774z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2776z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2778z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_symbol2780z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2782z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2784z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
static obj_t BGl_symbol2786z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2788z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00();
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol2790z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2795z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_symbol2798z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00();
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00();
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_keyword2831z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2716z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2761z00zz__evaluatez00, BgL_bgl_string2761za700za7za7_2836za7, "class?", 6 );
DEFINE_STRING( BGl_string2763z00zz__evaluatez00, BgL_bgl_string2763za700za7za7_2837za7, "string", 6 );
DEFINE_STRING( BGl_string2765z00zz__evaluatez00, BgL_bgl_string2765za700za7za7_2838za7, "bstring", 7 );
DEFINE_STRING( BGl_string2767z00zz__evaluatez00, BgL_bgl_string2767za700za7za7_2839za7, "string?", 7 );
DEFINE_STRING( BGl_string2769z00zz__evaluatez00, BgL_bgl_string2769za700za7za7_2840za7, "o", 1 );
DEFINE_STRING( BGl_string2771z00zz__evaluatez00, BgL_bgl_string2771za700za7za7_2841za7, "quote", 5 );
DEFINE_STRING( BGl_string2773z00zz__evaluatez00, BgL_bgl_string2773za700za7za7_2842za7, "class-exists", 12 );
DEFINE_STRING( BGl_string2775z00zz__evaluatez00, BgL_bgl_string2775za700za7za7_2843za7, "c", 1 );
DEFINE_STRING( BGl_string2777z00zz__evaluatez00, BgL_bgl_string2777za700za7za7_2844za7, "isa?", 4 );
DEFINE_STRING( BGl_string2779z00zz__evaluatez00, BgL_bgl_string2779za700za7za7_2845za7, "if", 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2846z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat2847z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2781z00zz__evaluatez00, BgL_bgl_string2781za700za7za7_2848za7, "let", 3 );
DEFINE_STRING( BGl_string2783z00zz__evaluatez00, BgL_bgl_string2783za700za7za7_2849za7, "lambda", 6 );
DEFINE_STRING( BGl_string2785z00zz__evaluatez00, BgL_bgl_string2785za700za7za7_2850za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string2787z00zz__evaluatez00, BgL_bgl_string2787za700za7za7_2851za7, "bigloo-type-error", 17 );
DEFINE_STRING( BGl_string2789z00zz__evaluatez00, BgL_bgl_string2789za700za7za7_2852za7, "at", 2 );
DEFINE_STRING( BGl_string2791z00zz__evaluatez00, BgL_bgl_string2791za700za7za7_2853za7, "tmp", 3 );
DEFINE_STRING( BGl_string2792z00zz__evaluatez00, BgL_bgl_string2792za700za7za7_2854za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string2793z00zz__evaluatez00, BgL_bgl_string2793za700za7za7_2855za7, "free-pragma", 11 );
DEFINE_STRING( BGl_string2794z00zz__evaluatez00, BgL_bgl_string2794za700za7za7_2856za7, "not supported in eval", 21 );
DEFINE_STRING( BGl_string2796z00zz__evaluatez00, BgL_bgl_string2796za700za7za7_2857za7, "\\@", 2 );
DEFINE_STRING( BGl_string2797z00zz__evaluatez00, BgL_bgl_string2797za700za7za7_2858za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string2799z00zz__evaluatez00, BgL_bgl_string2799za700za7za7_2859za7, "begin", 5 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r2860z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat2861z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2710z00zz__evaluatez00, BgL_bgl_string2710za700za7za7_2862za7, "", 0 );
DEFINE_STRING( BGl_string2711z00zz__evaluatez00, BgL_bgl_string2711za700za7za7_2863za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate.scm", 61 );
DEFINE_STRING( BGl_string2712z00zz__evaluatez00, BgL_bgl_string2712za700za7za7_2864za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2713z00zz__evaluatez00, BgL_bgl_string2713za700za7za7_2865za7, "bint", 4 );
DEFINE_STRING( BGl_string2714z00zz__evaluatez00, BgL_bgl_string2714za700za7za7_2866za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2715z00zz__evaluatez00, BgL_bgl_string2715za700za7za7_2867za7, "vector", 6 );
DEFINE_STRING( BGl_string2717z00zz__evaluatez00, BgL_bgl_string2717za700za7za7_2868za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2718z00zz__evaluatez00, BgL_bgl_string2718za700za7za7_2869za7, "eval", 4 );
DEFINE_STRING( BGl_string2719z00zz__evaluatez00, BgL_bgl_string2719za700za7za7_2870za7, "Bad syntax", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za72871za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2801z00zz__evaluatez00, BgL_bgl_string2801za700za7za7_2872za7, " ", 1 );
DEFINE_STRING( BGl_string2720z00zz__evaluatez00, BgL_bgl_string2720za700za7za7_2873za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2802z00zz__evaluatez00, BgL_bgl_string2802za700za7za7_2874za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string2721z00zz__evaluatez00, BgL_bgl_string2721za700za7za7_2875za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2722z00zz__evaluatez00, BgL_bgl_string2722za700za7za7_2876za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2804z00zz__evaluatez00, BgL_bgl_string2804za700za7za7_2877za7, "module", 6 );
DEFINE_STRING( BGl_string2723z00zz__evaluatez00, BgL_bgl_string2723za700za7za7_2878za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2806z00zz__evaluatez00, BgL_bgl_string2806za700za7za7_2879za7, "@", 1 );
DEFINE_STRING( BGl_string2725z00zz__evaluatez00, BgL_bgl_string2725za700za7za7_2880za7, "pair", 4 );
DEFINE_STRING( BGl_string2808z00zz__evaluatez00, BgL_bgl_string2808za700za7za7_2881za7, "->", 2 );
DEFINE_STRING( BGl_string2727z00zz__evaluatez00, BgL_bgl_string2727za700za7za7_2882za7, "pair?", 5 );
DEFINE_STRING( BGl_string2810z00zz__evaluatez00, BgL_bgl_string2810za700za7za7_2883za7, "trap", 4 );
DEFINE_STRING( BGl_string2730z00zz__evaluatez00, BgL_bgl_string2730za700za7za7_2884za7, "vector?", 7 );
DEFINE_STRING( BGl_string2812z00zz__evaluatez00, BgL_bgl_string2812za700za7za7_2885za7, "or", 2 );
DEFINE_STRING( BGl_string2732z00zz__evaluatez00, BgL_bgl_string2732za700za7za7_2886za7, "symbol", 6 );
DEFINE_STRING( BGl_string2814z00zz__evaluatez00, BgL_bgl_string2814za700za7za7_2887za7, "and", 3 );
DEFINE_STRING( BGl_string2734z00zz__evaluatez00, BgL_bgl_string2734za700za7za7_2888za7, "symbol?", 7 );
DEFINE_STRING( BGl_string2816z00zz__evaluatez00, BgL_bgl_string2816za700za7za7_2889za7, "let*", 4 );
DEFINE_STRING( BGl_string2736z00zz__evaluatez00, BgL_bgl_string2736za700za7za7_2890za7, "char", 4 );
DEFINE_STRING( BGl_string2818z00zz__evaluatez00, BgL_bgl_string2818za700za7za7_2891za7, "letrec", 6 );
DEFINE_STRING( BGl_string2738z00zz__evaluatez00, BgL_bgl_string2738za700za7za7_2892za7, "char?", 5 );
DEFINE_STRING( BGl_string2820z00zz__evaluatez00, BgL_bgl_string2820za700za7za7_2893za7, "set!", 4 );
DEFINE_STRING( BGl_string2740z00zz__evaluatez00, BgL_bgl_string2740za700za7za7_2894za7, "int", 3 );
DEFINE_STRING( BGl_string2822z00zz__evaluatez00, BgL_bgl_string2822za700za7za7_2895za7, "define", 6 );
DEFINE_STRING( BGl_string2824z00zz__evaluatez00, BgL_bgl_string2824za700za7za7_2896za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string2743z00zz__evaluatez00, BgL_bgl_string2743za700za7za7_2897za7, "integer?", 8 );
DEFINE_STRING( BGl_string2826z00zz__evaluatez00, BgL_bgl_string2826za700za7za7_2898za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string2745z00zz__evaluatez00, BgL_bgl_string2745za700za7za7_2899za7, "real", 4 );
DEFINE_STRING( BGl_string2828z00zz__evaluatez00, BgL_bgl_string2828za700za7za7_2900za7, "with-handler", 12 );
DEFINE_STRING( BGl_string2747z00zz__evaluatez00, BgL_bgl_string2747za700za7za7_2901za7, "breal", 5 );
DEFINE_STRING( BGl_string2749z00zz__evaluatez00, BgL_bgl_string2749za700za7za7_2902za7, "real?", 5 );
DEFINE_STRING( BGl_string2830z00zz__evaluatez00, BgL_bgl_string2830za700za7za7_2903za7, "synchronize", 11 );
DEFINE_STRING( BGl_string2832z00zz__evaluatez00, BgL_bgl_string2832za700za7za7_2904za7, "prelock", 7 );
DEFINE_STRING( BGl_string2751z00zz__evaluatez00, BgL_bgl_string2751za700za7za7_2905za7, "bool", 4 );
DEFINE_STRING( BGl_string2834z00zz__evaluatez00, BgL_bgl_string2834za700za7za7_2906za7, "free-pragma::obj", 16 );
DEFINE_STRING( BGl_string2753z00zz__evaluatez00, BgL_bgl_string2753za700za7za7_2907za7, "boolean?", 8 );
DEFINE_STRING( BGl_string2835z00zz__evaluatez00, BgL_bgl_string2835za700za7za7_2908za7, "__evaluate", 10 );
DEFINE_STRING( BGl_string2755z00zz__evaluatez00, BgL_bgl_string2755za700za7za7_2909za7, "struct", 6 );
DEFINE_STRING( BGl_string2757z00zz__evaluatez00, BgL_bgl_string2757za700za7za7_2910za7, "struct?", 7 );
DEFINE_STRING( BGl_string2759z00zz__evaluatez00, BgL_bgl_string2759za700za7za7_2911za7, "class", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2800z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2803z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2805z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2724z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2807z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2726z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2809z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2728z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2729z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2811z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2731z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2813z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2733z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2815z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2735z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2817z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2737z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2819z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2739z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2821z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2741z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2823z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2742z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2825z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2744z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2827z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2746z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2829z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2748z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2750z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2833z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2752z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2754z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2756z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2758z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2760z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2762z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2764z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2766z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2768z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2770z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2772z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2774z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2776z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2778z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2780z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2782z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2784z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2786z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2788z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2790z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2795z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2798z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword2831z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2716z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1365>\" \"Eval/evaluate.scm\" 4796) \"BGl_z62zc3z04anonymousza31365ze3ze5zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5084) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5377) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5715) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6016) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6437) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7149) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7530) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8597) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 9944) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10386) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10822) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11104) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12230) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12330) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12883) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13355) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13921) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13488) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13727) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17675) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14468) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13794) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4415, char * BgL_fromz00_4416)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
BGl_symbol2716z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2717z00zz__evaluatez00); 
BGl_symbol2724z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2725z00zz__evaluatez00); 
BGl_symbol2726z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2727z00zz__evaluatez00); 
BGl_symbol2728z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2715z00zz__evaluatez00); 
BGl_symbol2729z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2730z00zz__evaluatez00); 
BGl_symbol2731z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2732z00zz__evaluatez00); 
BGl_symbol2733z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2734z00zz__evaluatez00); 
BGl_symbol2735z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2736z00zz__evaluatez00); 
BGl_symbol2737z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2738z00zz__evaluatez00); 
BGl_symbol2739z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2740z00zz__evaluatez00); 
BGl_symbol2741z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2713z00zz__evaluatez00); 
BGl_symbol2742z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2743z00zz__evaluatez00); 
BGl_symbol2744z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2745z00zz__evaluatez00); 
BGl_symbol2746z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2747z00zz__evaluatez00); 
BGl_symbol2748z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2749z00zz__evaluatez00); 
BGl_symbol2750z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2751z00zz__evaluatez00); 
BGl_symbol2752z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2753z00zz__evaluatez00); 
BGl_symbol2754z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2755z00zz__evaluatez00); 
BGl_symbol2756z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2757z00zz__evaluatez00); 
BGl_symbol2758z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2759z00zz__evaluatez00); 
BGl_symbol2760z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2761z00zz__evaluatez00); 
BGl_symbol2762z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2763z00zz__evaluatez00); 
BGl_symbol2764z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2765z00zz__evaluatez00); 
BGl_symbol2766z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2767z00zz__evaluatez00); 
BGl_symbol2768z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2769z00zz__evaluatez00); 
BGl_symbol2770z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2771z00zz__evaluatez00); 
BGl_symbol2772z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2773z00zz__evaluatez00); 
BGl_symbol2774z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2775z00zz__evaluatez00); 
BGl_symbol2776z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2777z00zz__evaluatez00); 
BGl_symbol2778z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2779z00zz__evaluatez00); 
BGl_symbol2780z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2781z00zz__evaluatez00); 
BGl_symbol2782z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2783z00zz__evaluatez00); 
BGl_symbol2784z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2785z00zz__evaluatez00); 
BGl_symbol2786z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2787z00zz__evaluatez00); 
BGl_symbol2788z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2789z00zz__evaluatez00); 
BGl_symbol2790z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2791z00zz__evaluatez00); 
BGl_symbol2795z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2796z00zz__evaluatez00); 
BGl_symbol2798z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2799z00zz__evaluatez00); 
BGl_symbol2800z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2801z00zz__evaluatez00); 
BGl_symbol2803z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2804z00zz__evaluatez00); 
BGl_symbol2805z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2806z00zz__evaluatez00); 
BGl_symbol2807z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2808z00zz__evaluatez00); 
BGl_symbol2809z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2810z00zz__evaluatez00); 
BGl_symbol2811z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2812z00zz__evaluatez00); 
BGl_symbol2813z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2814z00zz__evaluatez00); 
BGl_symbol2815z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2816z00zz__evaluatez00); 
BGl_symbol2817z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2818z00zz__evaluatez00); 
BGl_symbol2819z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2820z00zz__evaluatez00); 
BGl_symbol2821z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2822z00zz__evaluatez00); 
BGl_symbol2823z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2824z00zz__evaluatez00); 
BGl_symbol2825z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2826z00zz__evaluatez00); 
BGl_symbol2827z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2828z00zz__evaluatez00); 
BGl_symbol2829z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2830z00zz__evaluatez00); 
BGl_keyword2831z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string2832z00zz__evaluatez00); 
return ( 
BGl_symbol2833z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2834z00zz__evaluatez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1181;
BgL_headz00_1181 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1182; obj_t BgL_tailz00_1183;
BgL_prevz00_1182 = BgL_headz00_1181; 
BgL_tailz00_1183 = BgL_l1z00_1; 
BgL_loopz00_1184:
if(
PAIRP(BgL_tailz00_1183))
{ 
 obj_t BgL_newzd2prevzd2_1186;
BgL_newzd2prevzd2_1186 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1183), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1182, BgL_newzd2prevzd2_1186); 
{ 
 obj_t BgL_tailz00_4488; obj_t BgL_prevz00_4487;
BgL_prevz00_4487 = BgL_newzd2prevzd2_1186; 
BgL_tailz00_4488 = 
CDR(BgL_tailz00_1183); 
BgL_tailz00_1183 = BgL_tailz00_4488; 
BgL_prevz00_1182 = BgL_prevz00_4487; 
goto BgL_loopz00_1184;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1181);} } } 

}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_stringz00_1189;
{ /* Eval/evaluate.scm 74 */
 obj_t BgL_arg2524z00_3193;
BgL_arg2524z00_3193 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_stringz00_1189 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3193); } 
{ /* Eval/evaluate.scm 74 */
 long BgL_lenz00_1190;
BgL_lenz00_1190 = 
STRING_LENGTH(BgL_stringz00_1189); 
{ /* Eval/evaluate.scm 75 */

{ 
 long BgL_walkerz00_1192;
BgL_walkerz00_1192 = ((long)0); 
BgL_zc3z04anonymousza31332ze3z87_1193:
if(
(BgL_walkerz00_1192==BgL_lenz00_1190))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
 bool_t BgL_test2915z00_4497;
if(
(
STRING_REF(BgL_stringz00_1189, BgL_walkerz00_1192)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1192<
(BgL_lenz00_1190-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_test2915z00_4497 = 
(
STRING_REF(BgL_stringz00_1189, 
(BgL_walkerz00_1192+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_test2915z00_4497 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_test2915z00_4497 = ((bool_t)0)
; } 
if(BgL_test2915z00_4497)
{ /* Eval/evaluate.scm 83 */
 obj_t BgL_arg1344z00_1204; obj_t BgL_arg1345z00_1205;
BgL_arg1344z00_1204 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1189, ((long)0), BgL_walkerz00_1192)); 
{ /* Eval/evaluate.scm 84 */
 obj_t BgL_arg1348z00_1207;
{ /* Eval/evaluate.scm 84 */
 long BgL_arg1349z00_1208;
BgL_arg1349z00_1208 = 
(BgL_walkerz00_1192+((long)2)); 
{ /* Ieee/string.scm 190 */
 long BgL_endz00_1211;
BgL_endz00_1211 = 
STRING_LENGTH(BgL_stringz00_1189); 
{ /* Ieee/string.scm 190 */

BgL_arg1348z00_1207 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1189, BgL_arg1349z00_1208, BgL_endz00_1211); } } } 
BgL_arg1345z00_1205 = 
bstring_to_symbol(BgL_arg1348z00_1207); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1344z00_1204, BgL_arg1345z00_1205);}  else 
{ 
 long BgL_walkerz00_4514;
BgL_walkerz00_4514 = 
(BgL_walkerz00_1192+((long)1)); 
BgL_walkerz00_1192 = BgL_walkerz00_4514; 
goto BgL_zc3z04anonymousza31332ze3z87_1193;} } } } } } } 

}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
 obj_t BgL_sz00_1220;
BgL_sz00_1220 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
 obj_t BgL_bpz00_1221;
BgL_bpz00_1221 = 
VECTOR_REF(
((obj_t)BgL_sz00_1220),((long)0)); 
{ /* Eval/evaluate.scm 94 */
 obj_t BgL_rz00_1222;
BgL_rz00_1222 = 
make_vector(
(long)CINT(BgL_bpz00_1221), BGl_string2710z00zz__evaluatez00); 
{ 
 long BgL_iz00_1224;
BgL_iz00_1224 = ((long)0); 
BgL_zc3z04anonymousza31356ze3z87_1225:
if(
(BgL_iz00_1224<
(long)CINT(BgL_bpz00_1221)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
 obj_t BgL_arg1358z00_1227;
BgL_arg1358z00_1227 = 
VECTOR_REF(
((obj_t)BgL_sz00_1220),BgL_iz00_1224); 
VECTOR_SET(BgL_rz00_1222,BgL_iz00_1224,BgL_arg1358z00_1227); } 
{ 
 long BgL_iz00_4527;
BgL_iz00_4527 = 
(BgL_iz00_1224+((long)1)); 
BgL_iz00_1224 = BgL_iz00_4527; 
goto BgL_zc3z04anonymousza31356ze3z87_1225;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1222;} } } } 

}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4364)
{
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 

}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
 obj_t BgL_sz00_1230;
BgL_sz00_1230 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
 obj_t BgL_bpz00_1231;
BgL_bpz00_1231 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
 long BgL_iz00_1233;
{ /* Eval/evaluate.scm 107 */
 bool_t BgL_tmpz00_4533;
BgL_iz00_1233 = ((long)0); 
BgL_zc3z04anonymousza31360ze3z87_1234:
if(
(BgL_iz00_1233<
(long)CINT(BgL_bpz00_1231)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
 obj_t BgL_arg1362z00_1236;
BgL_arg1362z00_1236 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1233); 
VECTOR_SET(
((obj_t)BgL_sz00_1230),BgL_iz00_1233,BgL_arg1362z00_1236); } 
{ 
 long BgL_iz00_4541;
BgL_iz00_4541 = 
(BgL_iz00_1233+((long)1)); 
BgL_iz00_1233 = BgL_iz00_4541; 
goto BgL_zc3z04anonymousza31360ze3z87_1234;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4533 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4533);} } } } } 

}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4365, obj_t BgL_vz00_4366)
{
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4366);} 

}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_sz00_1239;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4545;
BgL_tmpz00_4545 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1239 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4545); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1239),((long)0),
BINT(BgL_bpz00_5));} } 

}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4367, obj_t BgL_bpz00_4368)
{
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
 int BgL_auxz00_4551;
{ /* Eval/evaluate.scm 116 */
 obj_t BgL_tmpz00_4552;
if(
INTEGERP(BgL_bpz00_4368))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4552 = BgL_bpz00_4368
; }  else 
{ 
 obj_t BgL_auxz00_4555;
BgL_auxz00_4555 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2711z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2712z00zz__evaluatez00, BGl_string2713z00zz__evaluatez00, BgL_bpz00_4368); 
FAILURE(BgL_auxz00_4555,BFALSE,BFALSE);} 
BgL_auxz00_4551 = 
CINT(BgL_tmpz00_4552); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4551);} } 

}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
 obj_t BgL_tmpz00_4561;
BgL_tmpz00_4561 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4561, BgL_statez00_6);} } 

}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4369, obj_t BgL_statez00_4370)
{
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
 obj_t BgL_auxz00_4564;
if(
VECTORP(BgL_statez00_4370))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4564 = BgL_statez00_4370
; }  else 
{ 
 obj_t BgL_auxz00_4567;
BgL_auxz00_4567 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2711z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2714z00zz__evaluatez00, BGl_string2715z00zz__evaluatez00, BgL_statez00_4370); 
FAILURE(BgL_auxz00_4567,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4564);} } 

}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
 BgL_ev_exprz00_bglt BgL_astz00_1242;
{ /* Eval/evaluate.scm 130 */
 obj_t BgL_arg1366z00_1252;
BgL_arg1366z00_1252 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1242 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1366z00_1252)); } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1242); 
{ /* Eval/evaluate.scm 132 */
 int BgL_nz00_1243;
BgL_nz00_1243 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1242); 
{ /* Eval/evaluate.scm 133 */
 obj_t BgL_fz00_1244;
BgL_fz00_1244 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1242); 
{ /* Eval/evaluate.scm 134 */
 obj_t BgL_sz00_1245;
BgL_sz00_1245 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 135 */
 obj_t BgL_bpz00_1246;
BgL_bpz00_1246 = 
VECTOR_REF(
((obj_t)BgL_sz00_1245),((long)0)); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_exitd1064z00_1247;
BgL_exitd1064z00_1247 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_zc3z04anonymousza31365ze3z87_4371;
BgL_zc3z04anonymousza31365ze3z87_4371 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31365ze3ze5zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31365ze3z87_4371, 
(int)(((long)0)), BgL_sz00_1245); 
PROCEDURE_SET(BgL_zc3z04anonymousza31365ze3z87_4371, 
(int)(((long)1)), BgL_bpz00_1246); 
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2691z00_3235;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2692z00_3236;
BgL_arg2692z00_3236 = 
BGL_EXITD_PROTECT(BgL_exitd1064z00_1247); 
BgL_arg2691z00_3235 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31365ze3z87_4371, BgL_arg2692z00_3236); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1064z00_1247, BgL_arg2691z00_3235); BUNSPEC; } 
{ /* Eval/evaluate.scm 137 */
 obj_t BgL_tmp1066z00_1249;
BgL_tmp1066z00_1249 = 
PROCEDURE_ENTRY(BgL_fz00_1244)(BgL_fz00_1244, BgL_sz00_1245, BEOA); 
{ /* Eval/evaluate.scm 136 */
 bool_t BgL_test2922z00_4596;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2690z00_3238;
BgL_arg2690z00_3238 = 
BGL_EXITD_PROTECT(BgL_exitd1064z00_1247); 
BgL_test2922z00_4596 = 
PAIRP(BgL_arg2690z00_3238); } 
if(BgL_test2922z00_4596)
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2688z00_3239;
{ /* Eval/evaluate.scm 136 */
 obj_t BgL_arg2689z00_3240;
BgL_arg2689z00_3240 = 
BGL_EXITD_PROTECT(BgL_exitd1064z00_1247); 
BgL_arg2688z00_3239 = 
CDR(
((obj_t)BgL_arg2689z00_3240)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1064z00_1247, BgL_arg2688z00_3239); BUNSPEC; }  else 
{ /* Eval/evaluate.scm 136 */BFALSE; } } 
BGl_z62zc3z04anonymousza31365ze3ze5zz__evaluatez00(BgL_zc3z04anonymousza31365ze3z87_4371); 
return BgL_tmp1066z00_1249;} } } } } } } } } 

}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4372, obj_t BgL_sexpz00_4373, obj_t BgL_envz00_4374, obj_t BgL_locz00_4375)
{
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4373, BgL_envz00_4374, BgL_locz00_4375);} 

}



/* &<@anonymous:1365> */
obj_t BGl_z62zc3z04anonymousza31365ze3ze5zz__evaluatez00(obj_t BgL_envz00_4376)
{
{ /* Eval/evaluate.scm 136 */
{ /* Eval/evaluate.scm 138 */
 obj_t BgL_sz00_4377; obj_t BgL_bpz00_4378;
BgL_sz00_4377 = 
PROCEDURE_REF(BgL_envz00_4376, 
(int)(((long)0))); 
BgL_bpz00_4378 = 
PROCEDURE_REF(BgL_envz00_4376, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4377),((long)0),BgL_bpz00_4378);} } 

}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{
{ /* Eval/evaluate.scm 143 */
{ /* Eval/evaluate.scm 144 */
 obj_t BgL__ortest_1068z00_1253;
BgL__ortest_1068z00_1253 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1068z00_1253))
{ /* Eval/evaluate.scm 144 */
return BgL__ortest_1068z00_1253;}  else 
{ /* Eval/evaluate.scm 144 */
return BgL_locz00_11;} } } 

}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{
{ /* Eval/evaluate.scm 149 */
{ /* Eval/evaluate.scm 150 */
 obj_t BgL__ortest_1069z00_1254;
BgL__ortest_1069z00_1254 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1069z00_1254))
{ /* Eval/evaluate.scm 150 */
return BgL__ortest_1069z00_1254;}  else 
{ /* Eval/evaluate.scm 151 */
 obj_t BgL__ortest_1070z00_1255;
BgL__ortest_1070z00_1255 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1070z00_1255))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1070z00_1255;}  else 
{ /* Eval/evaluate.scm 151 */
return BgL_locz00_14;} } } } 

}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{
{ /* Eval/evaluate.scm 157 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2716z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 

}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{
{ /* Eval/evaluate.scm 163 */
{ 
 obj_t BgL_lz00_1257;
BgL_lz00_1257 = BgL_localsz00_19; 
BgL_zc3z04anonymousza31367ze3z87_1258:
if(
NULLP(BgL_lz00_1257))
{ /* Eval/evaluate.scm 165 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 167 */
 obj_t BgL_rvz00_1260;
BgL_rvz00_1260 = 
CAR(
((obj_t)BgL_lz00_1257)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1260)))->BgL_namez00)))
{ /* Eval/evaluate.scm 169 */
return BgL_rvz00_1260;}  else 
{ 
 obj_t BgL_lz00_4629;
BgL_lz00_4629 = 
CDR(
((obj_t)BgL_lz00_1257)); 
BgL_lz00_1257 = BgL_lz00_4629; 
goto BgL_zc3z04anonymousza31367ze3z87_1258;} } } } 

}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{
{ /* Eval/evaluate.scm 176 */
{ /* Eval/evaluate.scm 177 */
 obj_t BgL_locz00_1267;
BgL_locz00_1267 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
 obj_t BgL_e1z00_1271; obj_t BgL_rz00_1272; obj_t BgL_ez00_1269;
if(
NULLP(BgL_lz00_20))
{ 
 BgL_ev_littz00_bglt BgL_auxz00_4635;
{ /* Eval/evaluate.scm 180 */
 BgL_ev_littz00_bglt BgL_new1073z00_1284;
{ /* Eval/evaluate.scm 181 */
 BgL_ev_littz00_bglt BgL_new1072z00_1285;
BgL_new1072z00_1285 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 181 */
 long BgL_arg1381z00_1286;
BgL_arg1381z00_1286 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1285), BgL_arg1381z00_1286); } 
BgL_new1073z00_1284 = BgL_new1072z00_1285; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1073z00_1284))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4635 = BgL_new1073z00_1284; } 
return 
((obj_t)BgL_auxz00_4635);}  else 
{ /* Eval/evaluate.scm 178 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 178 */
if(
NULLP(
CDR(BgL_lz00_20)))
{ /* Eval/evaluate.scm 178 */
BgL_ez00_1269 = 
CAR(BgL_lz00_20); 
return 
BGl_convz00zz__evaluatez00(BgL_ez00_1269, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1269, BgL_locz00_1267), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 178 */
 obj_t BgL_arg1378z00_1281; obj_t BgL_arg1379z00_1282;
BgL_arg1378z00_1281 = 
CAR(BgL_lz00_20); 
BgL_arg1379z00_1282 = 
CDR(BgL_lz00_20); 
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_4652;
BgL_e1z00_1271 = BgL_arg1378z00_1281; 
BgL_rz00_1272 = BgL_arg1379z00_1282; 
{ /* Eval/evaluate.scm 185 */
 BgL_ev_prog2z00_bglt BgL_new1075z00_1288;
{ /* Eval/evaluate.scm 186 */
 BgL_ev_prog2z00_bglt BgL_new1074z00_1290;
BgL_new1074z00_1290 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 186 */
 long BgL_arg1385z00_1291;
BgL_arg1385z00_1291 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_1290), BgL_arg1385z00_1291); } 
BgL_new1075z00_1288 = BgL_new1074z00_1290; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4657;
{ /* Eval/evaluate.scm 186 */
 obj_t BgL_arg1384z00_1289;
BgL_arg1384z00_1289 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1271, BgL_locz00_1267); 
BgL_auxz00_4657 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1271, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1384z00_1289, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1075z00_1288))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4657),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1075z00_1288))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1272, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1267, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4652 = BgL_new1075z00_1288; } 
return 
((obj_t)BgL_auxz00_4652);} } }  else 
{ /* Eval/evaluate.scm 178 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1267, BGl_string2718z00zz__evaluatez00, BGl_string2719z00zz__evaluatez00, BgL_lz00_20);} } } } } 

}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{
{ /* Eval/evaluate.scm 194 */
{ /* Eval/evaluate.scm 195 */
 BgL_ev_globalz00_bglt BgL_new1077z00_1292;
{ /* Eval/evaluate.scm 196 */
 BgL_ev_globalz00_bglt BgL_new1076z00_1294;
BgL_new1076z00_1294 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 196 */
 long BgL_arg1387z00_1295;
BgL_arg1387z00_1295 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_1294), BgL_arg1387z00_1295); } 
BgL_new1077z00_1292 = BgL_new1076z00_1294; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1077z00_1292))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1077z00_1292))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4673;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4673 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4673 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1077z00_1292))->BgL_modz00)=((obj_t)BgL_auxz00_4673),BUNSPEC); } 
return BgL_new1077z00_1292;} } 

}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{
{ /* Eval/evaluate.scm 203 */
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_lz00_1296;
BgL_lz00_1296 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 204 */
 obj_t BgL_vz00_1297;
BgL_vz00_1297 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1296)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 205 */

{ /* Eval/evaluate.scm 206 */
 bool_t BgL_test2932z00_4683;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_classz00_3259;
BgL_classz00_3259 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1297))
{ /* Eval/evaluate.scm 206 */
 BgL_objectz00_bglt BgL_arg2674z00_3261;
BgL_arg2674z00_3261 = 
(BgL_objectz00_bglt)(BgL_vz00_1297); 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL_arg2671z00_3264; bool_t BgL_arg2672z00_3265;
{ /* Eval/evaluate.scm 206 */
 long BgL_idxz00_3268;
BgL_idxz00_3268 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2674z00_3261); 
BgL_arg2671z00_3264 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3268+((long)2)))==BgL_classz00_3259); } 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL_res2693z00_3290;
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_oclassz00_3276;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2681z00_3282;
{ /* Eval/evaluate.scm 206 */
 long BgL_arg2682z00_3283;
BgL_arg2682z00_3283 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2674z00_3261); 
BgL_arg2681z00_3282 = 
(BgL_arg2682z00_3283-OBJECT_TYPE); } 
BgL_oclassz00_3276 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2681z00_3282); } 
{ /* Eval/evaluate.scm 206 */
 bool_t BgL__ortest_1196z00_3277;
BgL__ortest_1196z00_3277 = 
(BgL_classz00_3259==BgL_oclassz00_3276); 
if(BgL__ortest_1196z00_3277)
{ /* Eval/evaluate.scm 206 */
BgL_res2693z00_3290 = BgL__ortest_1196z00_3277; }  else 
{ /* Eval/evaluate.scm 206 */
 long BgL_odepthz00_3278;
BgL_odepthz00_3278 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3276); 
if(
(((long)2)<BgL_odepthz00_3278))
{ /* Eval/evaluate.scm 206 */
 obj_t BgL_arg2670z00_3280;
BgL_arg2670z00_3280 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3276, ((long)2)); 
BgL_res2693z00_3290 = 
(BgL_arg2670z00_3280==BgL_classz00_3259); }  else 
{ /* Eval/evaluate.scm 206 */
BgL_res2693z00_3290 = ((bool_t)0); } } } } 
BgL_arg2672z00_3265 = BgL_res2693z00_3290; } 
BgL_test2932z00_4683 = 
BGL_ISA_C_BACKEND(BgL_arg2671z00_3264, BgL_arg2672z00_3265); } }  else 
{ /* Eval/evaluate.scm 206 */
BgL_test2932z00_4683 = ((bool_t)0)
; } } 
if(BgL_test2932z00_4683)
{ /* Eval/evaluate.scm 208 */
 obj_t BgL_g1079z00_1300; obj_t BgL_g1080z00_1301;
{ /* Eval/evaluate.scm 209 */
 obj_t BgL_arg1405z00_1324;
BgL_arg1405z00_1324 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1297)))->BgL_typez00); 
BgL_g1079z00_1300 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1405z00_1324); } 
BgL_g1080z00_1301 = 
CDR(
((obj_t)BgL_lz00_1296)); 
{ 
 obj_t BgL_nodez00_1303; obj_t BgL_klassz00_1304; obj_t BgL_fieldsz00_1305;
BgL_nodez00_1303 = BgL_vz00_1297; 
BgL_klassz00_1304 = BgL_g1079z00_1300; 
BgL_fieldsz00_1305 = BgL_g1080z00_1301; 
BgL_zc3z04anonymousza31389ze3z87_1306:
if(
NULLP(BgL_fieldsz00_1305))
{ /* Eval/evaluate.scm 212 */
return BgL_nodez00_1303;}  else 
{ /* Eval/evaluate.scm 212 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1304))
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_fieldz00_1309;
{ /* Eval/evaluate.scm 215 */
 obj_t BgL_arg1403z00_1320;
BgL_arg1403z00_1320 = 
CAR(
((obj_t)BgL_fieldsz00_1305)); 
BgL_fieldz00_1309 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1304, BgL_arg1403z00_1320); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1309))
{ /* Eval/evaluate.scm 217 */
 BgL_ev_appz00_bglt BgL_nodez00_1311;
BgL_nodez00_1311 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1309, BgL_nodez00_1303, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 220 */
 obj_t BgL_arg1393z00_1312; obj_t BgL_arg1394z00_1313;
BgL_arg1393z00_1312 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1309); 
BgL_arg1394z00_1313 = 
CDR(
((obj_t)BgL_fieldsz00_1305)); 
{ 
 obj_t BgL_fieldsz00_4723; obj_t BgL_klassz00_4722; obj_t BgL_nodez00_4720;
BgL_nodez00_4720 = 
((obj_t)BgL_nodez00_1311); 
BgL_klassz00_4722 = BgL_arg1393z00_1312; 
BgL_fieldsz00_4723 = BgL_arg1394z00_1313; 
BgL_fieldsz00_1305 = BgL_fieldsz00_4723; 
BgL_klassz00_1304 = BgL_klassz00_4722; 
BgL_nodez00_1303 = BgL_nodez00_4720; 
goto BgL_zc3z04anonymousza31389ze3z87_1306;} } }  else 
{ /* Eval/evaluate.scm 222 */
 obj_t BgL_arg1395z00_1314; obj_t BgL_arg1396z00_1315;
BgL_arg1395z00_1314 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1297)))->BgL_typez00); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1397z00_1316; obj_t BgL_arg1400z00_1317;
BgL_arg1397z00_1316 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1297)))->BgL_typez00); 
BgL_arg1400z00_1317 = 
CAR(
((obj_t)BgL_fieldsz00_1305)); 
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_list1401z00_1318;
{ /* Eval/evaluate.scm 223 */
 obj_t BgL_arg1402z00_1319;
BgL_arg1402z00_1319 = 
MAKE_YOUNG_PAIR(BgL_arg1400z00_1317, BNIL); 
BgL_list1401z00_1318 = 
MAKE_YOUNG_PAIR(BgL_arg1397z00_1316, BgL_arg1402z00_1319); } 
BgL_arg1396z00_1315 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2720z00zz__evaluatez00, BgL_list1401z00_1318); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1395z00_1314, BgL_arg1396z00_1315, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 226 */
 obj_t BgL_arg1404z00_1321;
{ /* Eval/evaluate.scm 226 */
 obj_t BgL__ortest_1081z00_1322;
BgL__ortest_1081z00_1322 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1297)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1081z00_1322))
{ /* Eval/evaluate.scm 226 */
BgL_arg1404z00_1321 = BgL__ortest_1081z00_1322; }  else 
{ /* Eval/evaluate.scm 226 */
BgL_arg1404z00_1321 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1297)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1404z00_1321, BGl_string2721z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_arg1406z00_1325;
{ /* Eval/evaluate.scm 228 */
 obj_t BgL_pairz00_3298;
BgL_pairz00_3298 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1406z00_1325 = 
CAR(BgL_pairz00_3298); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1406z00_1325, BGl_string2722z00zz__evaluatez00, BgL_ez00_30);} } } } } } 

}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{
{ /* Eval/evaluate.scm 233 */
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_vz00_1327;
BgL_vz00_1327 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 234 */
 obj_t BgL_e2z00_1328;
BgL_e2z00_1328 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 235 */

{ /* Eval/evaluate.scm 236 */
 bool_t BgL_test2940z00_4748;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_classz00_3300;
BgL_classz00_3300 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_1327))
{ /* Eval/evaluate.scm 236 */
 BgL_objectz00_bglt BgL_arg2674z00_3302;
BgL_arg2674z00_3302 = 
(BgL_objectz00_bglt)(BgL_vz00_1327); 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL_arg2671z00_3305; bool_t BgL_arg2672z00_3306;
{ /* Eval/evaluate.scm 236 */
 long BgL_idxz00_3309;
BgL_idxz00_3309 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2674z00_3302); 
BgL_arg2671z00_3305 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_3309+((long)2)))==BgL_classz00_3300); } 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL_res2694z00_3331;
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_oclassz00_3317;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2681z00_3323;
{ /* Eval/evaluate.scm 236 */
 long BgL_arg2682z00_3324;
BgL_arg2682z00_3324 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2674z00_3302); 
BgL_arg2681z00_3323 = 
(BgL_arg2682z00_3324-OBJECT_TYPE); } 
BgL_oclassz00_3317 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2681z00_3323); } 
{ /* Eval/evaluate.scm 236 */
 bool_t BgL__ortest_1196z00_3318;
BgL__ortest_1196z00_3318 = 
(BgL_classz00_3300==BgL_oclassz00_3317); 
if(BgL__ortest_1196z00_3318)
{ /* Eval/evaluate.scm 236 */
BgL_res2694z00_3331 = BgL__ortest_1196z00_3318; }  else 
{ /* Eval/evaluate.scm 236 */
 long BgL_odepthz00_3319;
BgL_odepthz00_3319 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3317); 
if(
(((long)2)<BgL_odepthz00_3319))
{ /* Eval/evaluate.scm 236 */
 obj_t BgL_arg2670z00_3321;
BgL_arg2670z00_3321 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3317, ((long)2)); 
BgL_res2694z00_3331 = 
(BgL_arg2670z00_3321==BgL_classz00_3300); }  else 
{ /* Eval/evaluate.scm 236 */
BgL_res2694z00_3331 = ((bool_t)0); } } } } 
BgL_arg2672z00_3306 = BgL_res2694z00_3331; } 
BgL_test2940z00_4748 = 
BGL_ISA_C_BACKEND(BgL_arg2671z00_3305, BgL_arg2672z00_3306); } }  else 
{ /* Eval/evaluate.scm 236 */
BgL_test2940z00_4748 = ((bool_t)0)
; } } 
if(BgL_test2940z00_4748)
{ /* Eval/evaluate.scm 238 */
 obj_t BgL_g1083z00_1331; obj_t BgL_g1084z00_1332;
{ /* Eval/evaluate.scm 239 */
 obj_t BgL_arg1433z00_1363;
BgL_arg1433z00_1363 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1327)))->BgL_typez00); 
BgL_g1083z00_1331 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1433z00_1363); } 
BgL_g1084z00_1332 = 
CDR(BgL_lz00_37); 
{ 
 obj_t BgL_nodez00_1334; obj_t BgL_klassz00_1335; obj_t BgL_fieldsz00_1336;
BgL_nodez00_1334 = BgL_vz00_1327; 
BgL_klassz00_1335 = BgL_g1083z00_1331; 
BgL_fieldsz00_1336 = BgL_g1084z00_1332; 
BgL_zc3z04anonymousza31409ze3z87_1337:
if(
NULLP(BgL_fieldsz00_1336))
{ /* Eval/evaluate.scm 242 */
return BgL_nodez00_1334;}  else 
{ /* Eval/evaluate.scm 242 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1335))
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_fieldz00_1340;
{ /* Eval/evaluate.scm 245 */
 obj_t BgL_arg1431z00_1359;
BgL_arg1431z00_1359 = 
CAR(
((obj_t)BgL_fieldsz00_1336)); 
BgL_fieldz00_1340 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1335, BgL_arg1431z00_1359); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1340))
{ /* Eval/evaluate.scm 246 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1336))))
{ /* Eval/evaluate.scm 247 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1340))
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1417z00_1345;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_list1418z00_1346;
{ /* Eval/evaluate.scm 250 */
 obj_t BgL_arg1419z00_1347;
BgL_arg1419z00_1347 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1328, BNIL); 
BgL_list1418z00_1346 = 
MAKE_YOUNG_PAIR(BgL_nodez00_1334, BgL_arg1419z00_1347); } 
BgL_arg1417z00_1345 = BgL_list1418z00_1346; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1340, BgL_arg1417z00_1345, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 251 */
 obj_t BgL_arg1420z00_1348;
BgL_arg1420z00_1348 = 
CAR(
((obj_t)BgL_fieldsz00_1336)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1420z00_1348, BGl_string2723z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 254 */
 BgL_ev_appz00_bglt BgL_nodez00_1349;
BgL_nodez00_1349 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1340, BgL_nodez00_1334, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 257 */
 obj_t BgL_arg1421z00_1350; obj_t BgL_arg1422z00_1351;
BgL_arg1421z00_1350 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1340); 
BgL_arg1422z00_1351 = 
CDR(
((obj_t)BgL_fieldsz00_1336)); 
{ 
 obj_t BgL_fieldsz00_4800; obj_t BgL_klassz00_4799; obj_t BgL_nodez00_4797;
BgL_nodez00_4797 = 
((obj_t)BgL_nodez00_1349); 
BgL_klassz00_4799 = BgL_arg1421z00_1350; 
BgL_fieldsz00_4800 = BgL_arg1422z00_1351; 
BgL_fieldsz00_1336 = BgL_fieldsz00_4800; 
BgL_klassz00_1335 = BgL_klassz00_4799; 
BgL_nodez00_1334 = BgL_nodez00_4797; 
goto BgL_zc3z04anonymousza31409ze3z87_1337;} } } }  else 
{ /* Eval/evaluate.scm 259 */
 obj_t BgL_arg1424z00_1353; obj_t BgL_arg1425z00_1354;
BgL_arg1424z00_1353 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1327)))->BgL_typez00); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1427z00_1355; obj_t BgL_arg1428z00_1356;
BgL_arg1427z00_1355 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1327)))->BgL_typez00); 
BgL_arg1428z00_1356 = 
CAR(
((obj_t)BgL_fieldsz00_1336)); 
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_list1429z00_1357;
{ /* Eval/evaluate.scm 260 */
 obj_t BgL_arg1430z00_1358;
BgL_arg1430z00_1358 = 
MAKE_YOUNG_PAIR(BgL_arg1428z00_1356, BNIL); 
BgL_list1429z00_1357 = 
MAKE_YOUNG_PAIR(BgL_arg1427z00_1355, BgL_arg1430z00_1358); } 
BgL_arg1425z00_1354 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2720z00zz__evaluatez00, BgL_list1429z00_1357); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1424z00_1353, BgL_arg1425z00_1354, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 264 */
 obj_t BgL_arg1432z00_1360;
{ /* Eval/evaluate.scm 264 */
 obj_t BgL__ortest_1085z00_1361;
BgL__ortest_1085z00_1361 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1327)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1085z00_1361))
{ /* Eval/evaluate.scm 264 */
BgL_arg1432z00_1360 = BgL__ortest_1085z00_1361; }  else 
{ /* Eval/evaluate.scm 264 */
BgL_arg1432z00_1360 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1327)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1432z00_1360, BGl_string2721z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 236 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2722z00zz__evaluatez00, BgL_ez00_39);} } } } } } 

}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, obj_t BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{
{ /* Eval/evaluate.scm 270 */
{ /* Eval/evaluate.scm 271 */
 obj_t BgL_getz00_1366;
BgL_getz00_1366 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 272 */
 BgL_ev_appz00_bglt BgL_new1087z00_1367;
{ /* Eval/evaluate.scm 273 */
 BgL_ev_appz00_bglt BgL_new1086z00_1372;
BgL_new1086z00_1372 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 273 */
 long BgL_arg1438z00_1373;
BgL_arg1438z00_1373 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_1372), BgL_arg1438z00_1373); } 
BgL_new1087z00_1367 = BgL_new1086z00_1372; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1087z00_1367))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4826;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1089z00_1368;
{ /* Eval/evaluate.scm 274 */
 BgL_ev_littz00_bglt BgL_new1088z00_1369;
BgL_new1088z00_1369 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
 long BgL_arg1436z00_1370;
{ /* Eval/evaluate.scm 274 */
 obj_t BgL_classz00_3343;
BgL_classz00_3343 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1436z00_1370 = 
BGL_CLASS_NUM(BgL_classz00_3343); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1088z00_1369), BgL_arg1436z00_1370); } 
BgL_new1089z00_1368 = BgL_new1088z00_1369; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1089z00_1368))->BgL_valuez00)=((obj_t)BgL_getz00_1366),BUNSPEC); 
BgL_auxz00_4826 = 
((BgL_ev_exprz00_bglt)BgL_new1089z00_1368); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1087z00_1367))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4826),BUNSPEC); } 
{ 
 obj_t BgL_auxz00_4834;
{ /* Eval/evaluate.scm 275 */
 obj_t BgL_list1437z00_1371;
BgL_list1437z00_1371 = 
MAKE_YOUNG_PAIR(BgL_argz00_47, BNIL); 
BgL_auxz00_4834 = BgL_list1437z00_1371; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1087z00_1367))->BgL_argsz00)=((obj_t)BgL_auxz00_4834),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1087z00_1367))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1087z00_1367;} } } 

}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{
{ /* Eval/evaluate.scm 281 */
{ /* Eval/evaluate.scm 282 */
 obj_t BgL_setz00_1374;
BgL_setz00_1374 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 283 */
 BgL_ev_appz00_bglt BgL_new1091z00_1375;
{ /* Eval/evaluate.scm 284 */
 BgL_ev_appz00_bglt BgL_new1090z00_1379;
BgL_new1090z00_1379 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 284 */
 long BgL_arg1440z00_1380;
BgL_arg1440z00_1380 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_1379), BgL_arg1440z00_1380); } 
BgL_new1091z00_1375 = BgL_new1090z00_1379; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1091z00_1375))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4844;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1093z00_1376;
{ /* Eval/evaluate.scm 285 */
 BgL_ev_littz00_bglt BgL_new1092z00_1377;
BgL_new1092z00_1377 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
 long BgL_arg1439z00_1378;
{ /* Eval/evaluate.scm 285 */
 obj_t BgL_classz00_3350;
BgL_classz00_3350 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1439z00_1378 = 
BGL_CLASS_NUM(BgL_classz00_3350); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_1377), BgL_arg1439z00_1378); } 
BgL_new1093z00_1376 = BgL_new1092z00_1377; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1093z00_1376))->BgL_valuez00)=((obj_t)BgL_setz00_1374),BUNSPEC); 
BgL_auxz00_4844 = 
((BgL_ev_exprz00_bglt)BgL_new1093z00_1376); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1091z00_1375))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4844),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1091z00_1375))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1091z00_1375))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1091z00_1375;} } } 

}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{
{ /* Eval/evaluate.scm 292 */
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_arg1441z00_1381; obj_t BgL_arg1442z00_1382;
BgL_arg1441z00_1381 = 
CAR(BgL_pz00_54); 
BgL_arg1442z00_1382 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 293 */
 obj_t BgL_res2697z00_3355;
BgL_res2697z00_3355 = 
MAKE_YOUNG_EPAIR(BgL_arg1441z00_1381, BgL_arg1442z00_1382, BgL_locz00_55); 
return BgL_res2697z00_3355;} } } 

}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{
{ /* Eval/evaluate.scm 298 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 301 */
 obj_t BgL_predz00_1384;
if(
(BgL_tnamez00_57==BGl_symbol2724z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2726z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2728z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2729z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2731z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2733z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2735z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2737z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2955z00_4867;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1094z00_1460;
BgL__ortest_1094z00_1460 = 
(BgL_tnamez00_57==BGl_symbol2739z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1460)
{ /* Eval/evaluate.scm 301 */
BgL_test2955z00_4867 = BgL__ortest_1094z00_1460
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2955z00_4867 = 
(BgL_tnamez00_57==BGl_symbol2741z00zz__evaluatez00)
; } } 
if(BgL_test2955z00_4867)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2742z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2957z00_4871;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1095z00_1459;
BgL__ortest_1095z00_1459 = 
(BgL_tnamez00_57==BGl_symbol2744z00zz__evaluatez00); 
if(BgL__ortest_1095z00_1459)
{ /* Eval/evaluate.scm 301 */
BgL_test2957z00_4871 = BgL__ortest_1095z00_1459
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2957z00_4871 = 
(BgL_tnamez00_57==BGl_symbol2746z00zz__evaluatez00)
; } } 
if(BgL_test2957z00_4871)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2748z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2750z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2752z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2754z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2756z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2758z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2760z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
 bool_t BgL_test2962z00_4881;
{ /* Eval/evaluate.scm 301 */
 bool_t BgL__ortest_1096z00_1458;
BgL__ortest_1096z00_1458 = 
(BgL_tnamez00_57==BGl_symbol2762z00zz__evaluatez00); 
if(BgL__ortest_1096z00_1458)
{ /* Eval/evaluate.scm 301 */
BgL_test2962z00_4881 = BgL__ortest_1096z00_1458
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_test2962z00_4881 = 
(BgL_tnamez00_57==BGl_symbol2764z00zz__evaluatez00)
; } } 
if(BgL_test2962z00_4881)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1384 = BGl_symbol2766z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1489z00_1438;
{ /* Eval/evaluate.scm 312 */
 obj_t BgL_arg1490z00_1439; obj_t BgL_arg1491z00_1440;
BgL_arg1490z00_1439 = 
MAKE_YOUNG_PAIR(BGl_symbol2768z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1492z00_1441;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1493z00_1442;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1494z00_1443; obj_t BgL_arg1495z00_1444;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1496z00_1445;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1497z00_1446;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1498z00_1447;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1500z00_1448;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1501z00_1449;
{ /* Eval/evaluate.scm 313 */
 obj_t BgL_arg1503z00_1450;
BgL_arg1503z00_1450 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1501z00_1449 = 
MAKE_YOUNG_PAIR(BGl_symbol2770z00zz__evaluatez00, BgL_arg1503z00_1450); } 
BgL_arg1500z00_1448 = 
MAKE_YOUNG_PAIR(BgL_arg1501z00_1449, BNIL); } 
BgL_arg1498z00_1447 = 
MAKE_YOUNG_PAIR(BGl_symbol2772z00zz__evaluatez00, BgL_arg1500z00_1448); } 
BgL_arg1497z00_1446 = 
MAKE_YOUNG_PAIR(BgL_arg1498z00_1447, BNIL); } 
BgL_arg1496z00_1445 = 
MAKE_YOUNG_PAIR(BGl_symbol2774z00zz__evaluatez00, BgL_arg1497z00_1446); } 
BgL_arg1494z00_1443 = 
MAKE_YOUNG_PAIR(BgL_arg1496z00_1445, BNIL); } 
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1504z00_1451;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1505z00_1452;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1506z00_1453;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1507z00_1454; obj_t BgL_arg1508z00_1455;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1509z00_1456;
{ /* Eval/evaluate.scm 314 */
 obj_t BgL_arg1510z00_1457;
BgL_arg1510z00_1457 = 
MAKE_YOUNG_PAIR(BGl_symbol2774z00zz__evaluatez00, BNIL); 
BgL_arg1509z00_1456 = 
MAKE_YOUNG_PAIR(BGl_symbol2768z00zz__evaluatez00, BgL_arg1510z00_1457); } 
BgL_arg1507z00_1454 = 
MAKE_YOUNG_PAIR(BGl_symbol2776z00zz__evaluatez00, BgL_arg1509z00_1456); } 
BgL_arg1508z00_1455 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1506z00_1453 = 
MAKE_YOUNG_PAIR(BgL_arg1507z00_1454, BgL_arg1508z00_1455); } 
BgL_arg1505z00_1452 = 
MAKE_YOUNG_PAIR(BGl_symbol2774z00zz__evaluatez00, BgL_arg1506z00_1453); } 
BgL_arg1504z00_1451 = 
MAKE_YOUNG_PAIR(BGl_symbol2778z00zz__evaluatez00, BgL_arg1505z00_1452); } 
BgL_arg1495z00_1444 = 
MAKE_YOUNG_PAIR(BgL_arg1504z00_1451, BNIL); } 
BgL_arg1493z00_1442 = 
MAKE_YOUNG_PAIR(BgL_arg1494z00_1443, BgL_arg1495z00_1444); } 
BgL_arg1492z00_1441 = 
MAKE_YOUNG_PAIR(BGl_symbol2780z00zz__evaluatez00, BgL_arg1493z00_1442); } 
BgL_arg1491z00_1440 = 
MAKE_YOUNG_PAIR(BgL_arg1492z00_1441, BNIL); } 
BgL_arg1489z00_1438 = 
MAKE_YOUNG_PAIR(BgL_arg1490z00_1439, BgL_arg1491z00_1440); } 
BgL_predz00_1384 = 
MAKE_YOUNG_PAIR(BGl_symbol2782z00zz__evaluatez00, BgL_arg1489z00_1438); } } } } } } } } } } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1444z00_1385;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1445z00_1386;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1446z00_1387; obj_t BgL_arg1447z00_1388;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1448z00_1389;
BgL_arg1448z00_1389 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1446z00_1387 = 
MAKE_YOUNG_PAIR(BgL_predz00_1384, BgL_arg1448z00_1389); } 
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1449z00_1390;
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_arg1452z00_1391;
{ 
 obj_t BgL_fnamez00_1392; obj_t BgL_posz00_1393;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2138zd2_1398;
BgL_cdrzd2138zd2_1398 = 
CDR(BgL_locz00_58); 
if(
(
CAR(BgL_locz00_58)==BGl_symbol2788z00zz__evaluatez00))
{ /* Eval/evaluate.scm 316 */
if(
PAIRP(BgL_cdrzd2138zd2_1398))
{ /* Eval/evaluate.scm 316 */
 obj_t BgL_cdrzd2142zd2_1402;
BgL_cdrzd2142zd2_1402 = 
CDR(BgL_cdrzd2138zd2_1398); 
if(
PAIRP(BgL_cdrzd2142zd2_1402))
{ /* Eval/evaluate.scm 316 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1402)))
{ /* Eval/evaluate.scm 316 */
BgL_fnamez00_1392 = 
CAR(BgL_cdrzd2138zd2_1398); 
BgL_posz00_1393 = 
CAR(BgL_cdrzd2142zd2_1402); 
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1464z00_1410;
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg1465z00_1411; obj_t BgL_arg1466z00_1412;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 321 */
 obj_t BgL_arg2524z00_3364;
BgL_arg2524z00_3364 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1465z00_1411 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3364); }  else 
{ /* Eval/evaluate.scm 321 */
BgL_arg1465z00_1411 = BFALSE; } 
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg1468z00_1414; obj_t BgL_arg1469z00_1415;
{ /* Eval/evaluate.scm 322 */
 obj_t BgL_arg2524z00_3366;
BgL_arg2524z00_3366 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1468z00_1414 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3366); } 
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1470z00_1416;
{ /* Eval/evaluate.scm 320 */
 obj_t BgL_arg1471z00_1417;
BgL_arg1471z00_1417 = 
MAKE_YOUNG_PAIR(BgL_posz00_1393, BNIL); 
BgL_arg1470z00_1416 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1392, BgL_arg1471z00_1417); } 
BgL_arg1469z00_1415 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1470z00_1416); } 
BgL_arg1466z00_1412 = 
MAKE_YOUNG_PAIR(BgL_arg1468z00_1414, BgL_arg1469z00_1415); } 
BgL_arg1464z00_1410 = 
MAKE_YOUNG_PAIR(BgL_arg1465z00_1411, BgL_arg1466z00_1412); } 
BgL_arg1452z00_1391 = 
MAKE_YOUNG_PAIR(BGl_symbol2784z00zz__evaluatez00, BgL_arg1464z00_1410); } }  else 
{ /* Eval/evaluate.scm 316 */
BgL_tagzd2131zd2_1395:
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1472z00_1418;
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg1473z00_1419; obj_t BgL_arg1474z00_1420;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 326 */
 obj_t BgL_arg2524z00_3368;
BgL_arg2524z00_3368 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_arg1473z00_1419 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3368); }  else 
{ /* Eval/evaluate.scm 326 */
BgL_arg1473z00_1419 = BFALSE; } 
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg1476z00_1422; obj_t BgL_arg1477z00_1423;
{ /* Eval/evaluate.scm 327 */
 obj_t BgL_arg2524z00_3370;
BgL_arg2524z00_3370 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_arg1476z00_1422 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3370); } 
BgL_arg1477z00_1423 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1474z00_1420 = 
MAKE_YOUNG_PAIR(BgL_arg1476z00_1422, BgL_arg1477z00_1423); } 
BgL_arg1472z00_1418 = 
MAKE_YOUNG_PAIR(BgL_arg1473z00_1419, BgL_arg1474z00_1420); } 
BgL_arg1452z00_1391 = 
MAKE_YOUNG_PAIR(BGl_symbol2786z00zz__evaluatez00, BgL_arg1472z00_1418); } } }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1395;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1395;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1395;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1395;} } 
BgL_arg1449z00_1390 = 
MAKE_YOUNG_PAIR(BgL_arg1452z00_1391, BNIL); } 
BgL_arg1447z00_1388 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1449z00_1390); } 
BgL_arg1445z00_1386 = 
MAKE_YOUNG_PAIR(BgL_arg1446z00_1387, BgL_arg1447z00_1388); } 
BgL_arg1444z00_1385 = 
MAKE_YOUNG_PAIR(BGl_symbol2778z00zz__evaluatez00, BgL_arg1445z00_1386); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1444z00_1385, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 300 */
return BgL_bodyz00_60;} } 

}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{
{ /* Eval/evaluate.scm 334 */
{ /* Eval/evaluate.scm 335 */
 bool_t BgL_test2971z00_4953;
{ /* Eval/evaluate.scm 335 */
 int BgL_arg1521z00_1479;
BgL_arg1521z00_1479 = 
bgl_debug(); 
BgL_test2971z00_4953 = 
(
(long)(BgL_arg1521z00_1479)<=((long)0)); } 
if(BgL_test2971z00_4953)
{ /* Eval/evaluate.scm 335 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 335 */
return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 

}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4410, obj_t BgL_procnamez00_4409, obj_t BgL_locz00_4408, obj_t BgL_varsz00_1464, obj_t BgL_srcsz00_1465)
{
{ /* Eval/evaluate.scm 337 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1464))
{ /* Eval/evaluate.scm 339 */
return BgL_bodyz00_4410;}  else 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_vz00_1468;
BgL_vz00_1468 = 
CAR(
((obj_t)BgL_varsz00_1464)); 
{ /* Eval/evaluate.scm 341 */
 obj_t BgL_idz00_1469;
BgL_idz00_1469 = 
CAR(
((obj_t)BgL_vz00_1468)); 
{ /* Eval/evaluate.scm 342 */
 obj_t BgL_tnamez00_1470;
BgL_tnamez00_1470 = 
CDR(
((obj_t)BgL_vz00_1468)); 
{ /* Eval/evaluate.scm 343 */

if(
CBOOL(BgL_tnamez00_1470))
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_locz00_1471;
{ /* Eval/evaluate.scm 345 */
 obj_t BgL_arg1518z00_1475;
BgL_arg1518z00_1475 = 
CAR(
((obj_t)BgL_srcsz00_1465)); 
BgL_locz00_1471 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1518z00_1475, BgL_srcsz00_1465, BgL_locz00_4408); } 
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1515z00_1472;
{ /* Eval/evaluate.scm 347 */
 obj_t BgL_arg1516z00_1473; obj_t BgL_arg1517z00_1474;
BgL_arg1516z00_1473 = 
CDR(
((obj_t)BgL_varsz00_1464)); 
BgL_arg1517z00_1474 = 
CDR(
((obj_t)BgL_srcsz00_1465)); 
BgL_arg1515z00_1472 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4410, BgL_procnamez00_4409, BgL_locz00_4408, BgL_arg1516z00_1473, BgL_arg1517z00_1474); } 
return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1469, BgL_tnamez00_1470, BgL_locz00_1471, BgL_procnamez00_4409, BgL_arg1515z00_1472);} }  else 
{ /* Eval/evaluate.scm 348 */
 obj_t BgL_arg1519z00_1476; obj_t BgL_arg1520z00_1477;
BgL_arg1519z00_1476 = 
CDR(
((obj_t)BgL_varsz00_1464)); 
BgL_arg1520z00_1477 = 
CDR(
((obj_t)BgL_srcsz00_1465)); 
{ 
 obj_t BgL_srcsz00_4982; obj_t BgL_varsz00_4981;
BgL_varsz00_4981 = BgL_arg1519z00_1476; 
BgL_srcsz00_4982 = BgL_arg1520z00_1477; 
BgL_srcsz00_1465 = BgL_srcsz00_4982; 
BgL_varsz00_1464 = BgL_varsz00_4981; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 

}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{
{ /* Eval/evaluate.scm 353 */
{ /* Eval/evaluate.scm 354 */
 bool_t BgL_test2974z00_4983;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 354 */
 int BgL_arg1537z00_1494;
BgL_arg1537z00_1494 = 
bgl_debug(); 
BgL_test2974z00_4983 = 
(
(long)(BgL_arg1537z00_1494)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 354 */
BgL_test2974z00_4983 = ((bool_t)0)
; } 
if(BgL_test2974z00_4983)
{ /* Eval/evaluate.scm 355 */
 obj_t BgL_tmpz00_1482;
BgL_tmpz00_1482 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol2790z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1524z00_1483; obj_t BgL_arg1525z00_1484;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1526z00_1485;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1527z00_1486; obj_t BgL_arg1530z00_1487;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1531z00_1488;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1532z00_1489; obj_t BgL_arg1533z00_1490;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1534z00_1491;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_list1535z00_1492;
{ /* Eval/evaluate.scm 357 */
 obj_t BgL_arg1536z00_1493;
BgL_arg1536z00_1493 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1535z00_1492 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1482, BgL_arg1536z00_1493); } 
BgL_arg1534z00_1491 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2792z00zz__evaluatez00, BgL_list1535z00_1492); } 
BgL_arg1532z00_1489 = 
bstring_to_symbol(BgL_arg1534z00_1491); } 
BgL_arg1533z00_1490 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1531z00_1488 = 
MAKE_YOUNG_PAIR(BgL_arg1532z00_1489, BgL_arg1533z00_1490); } 
BgL_arg1527z00_1486 = 
MAKE_YOUNG_PAIR(BgL_arg1531z00_1488, BNIL); } 
BgL_arg1530z00_1487 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1482, BNIL); 
BgL_arg1526z00_1485 = 
MAKE_YOUNG_PAIR(BgL_arg1527z00_1486, BgL_arg1530z00_1487); } 
BgL_arg1524z00_1483 = 
MAKE_YOUNG_PAIR(BGl_symbol2780z00zz__evaluatez00, BgL_arg1526z00_1485); } 
BgL_arg1525z00_1484 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1524z00_1483, BgL_arg1525z00_1484);} }  else 
{ /* Eval/evaluate.scm 354 */
return BgL_bodyz00_67;} } } 

}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{
{ /* Eval/evaluate.scm 365 */
BGl_convz00zz__evaluatez00:
{ 
 obj_t BgL_ez00_2680; obj_t BgL_locz00_2681; obj_t BgL_wherez00_2682; obj_t BgL_ez00_2690; obj_t BgL_wherez00_2691;
{ 
 obj_t BgL_xz00_1503; obj_t BgL_bahz00_1505; obj_t BgL_idz00_1507; obj_t BgL_modnamez00_1508; obj_t BgL_lz00_1510; obj_t BgL_funz00_1512; obj_t BgL_argsz00_1513; obj_t BgL_ez00_1515; obj_t BgL_vz00_1517; obj_t BgL_pz00_1519; obj_t BgL_tz00_1520; obj_t BgL_oz00_1521; obj_t BgL_pz00_1523; obj_t BgL_tz00_1524; obj_t BgL_argsz00_1526; obj_t BgL_argsz00_1528; obj_t BgL_lz00_1530; obj_t BgL_bindsz00_1532; obj_t BgL_bodyz00_1533; obj_t BgL_bindsz00_1535; obj_t BgL_bodyz00_1536; obj_t BgL_bindsz00_1538; obj_t BgL_bodyz00_1539; obj_t BgL_idz00_1541; obj_t BgL_modnamez00_1542; obj_t BgL_ez00_1543; obj_t BgL_lz00_1545; obj_t BgL_e2z00_1546; obj_t BgL_vz00_1548; obj_t BgL_ez00_1549; obj_t BgL_gvz00_1552; obj_t BgL_formalsz00_1553; obj_t BgL_bodyz00_1554; obj_t BgL_gvz00_1556; obj_t BgL_gez00_1557; obj_t BgL_vz00_1559; obj_t BgL_bodyz00_1560; obj_t BgL_ez00_1562; obj_t BgL_bodyz00_1563; obj_t BgL_hz00_1565; obj_t BgL_bodyz00_1566; obj_t BgL_mz00_1568; obj_t BgL_pz00_1569; obj_t BgL_bodyz00_1570; obj_t BgL_mz00_1572; obj_t BgL_bodyz00_1573; obj_t BgL_formalsz00_1575; obj_t BgL_bodyz00_1576; obj_t BgL_fz00_1579; obj_t BgL_argsz00_1580;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2803z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_bahz00_1505 = 
CDR(BgL_ez00_69); 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 432 */
 obj_t BgL_formsz00_2370;
BgL_formsz00_2370 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 433 */
 obj_t BgL_arg2217z00_2371; obj_t BgL_arg2218z00_2372;
BgL_arg2217z00_2371 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2370); 
BgL_arg2218z00_2372 = 
BGL_MODULE(); 
{ 
 bool_t BgL_topzf3zf3_5016; obj_t BgL_wherez00_5015; obj_t BgL_tailzf3zf3_5014; obj_t BgL_globalsz00_5013; obj_t BgL_ez00_5012;
BgL_ez00_5012 = BgL_arg2217z00_2371; 
BgL_globalsz00_5013 = BgL_arg2218z00_2372; 
BgL_tailzf3zf3_5014 = BgL_wherez00_73; 
BgL_wherez00_5015 = BFALSE; 
BgL_topzf3zf3_5016 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5016; 
BgL_wherez00_73 = BgL_wherez00_5015; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5014; 
BgL_globalsz00_71 = BgL_globalsz00_5013; 
BgL_ez00_69 = BgL_ez00_5012; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 431 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2718z00zz__evaluatez00, BGl_string2802z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd2250zd2_1588;
BgL_cdrzd2250zd2_1588 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2805z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1588))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2253zd2_1592; obj_t BgL_cdrzd2254zd2_1593;
BgL_carzd2253zd2_1592 = 
CAR(BgL_cdrzd2250zd2_1588); 
BgL_cdrzd2254zd2_1593 = 
CDR(BgL_cdrzd2250zd2_1588); 
if(
SYMBOLP(BgL_carzd2253zd2_1592))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2254zd2_1593))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2258zd2_1596;
BgL_carzd2258zd2_1596 = 
CAR(BgL_cdrzd2254zd2_1593); 
if(
SYMBOLP(BgL_carzd2258zd2_1596))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2254zd2_1593)))
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5037;
BgL_idz00_1507 = BgL_carzd2253zd2_1592; 
BgL_modnamez00_1508 = BgL_carzd2258zd2_1596; 
{ /* Eval/evaluate.scm 437 */
 BgL_ev_globalz00_bglt BgL_new1106z00_2374;
{ /* Eval/evaluate.scm 438 */
 BgL_ev_globalz00_bglt BgL_new1105z00_2375;
BgL_new1105z00_2375 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 438 */
 long BgL_arg2220z00_2376;
BgL_arg2220z00_2376 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2375), BgL_arg2220z00_2376); } 
BgL_new1106z00_2374 = BgL_new1105z00_2375; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2374))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2374))->BgL_namez00)=((obj_t)BgL_idz00_1507),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2374))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1508)),BUNSPEC); 
BgL_auxz00_5037 = BgL_new1106z00_2374; } 
return 
((obj_t)BgL_auxz00_5037);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd2303zd2_1600;
BgL_carzd2303zd2_1600 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd2303zd2_1600))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2303zd2_1600, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5053;
BgL_funz00_1512 = BgL_carzd2303zd2_1600; 
BgL_argsz00_1513 = BgL_cdrzd2250zd2_1588; 
BgL_tagzd2152zd2_1514:
{ /* Eval/evaluate.scm 449 */
 obj_t BgL_funz00_2403; obj_t BgL_argsz00_2404;
BgL_funz00_2403 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1512); 
BgL_argsz00_2404 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1513); 
{ /* Eval/evaluate.scm 450 */
 BgL_ev_appz00_bglt BgL_new1108z00_2405;
{ /* Eval/evaluate.scm 451 */
 BgL_ev_appz00_bglt BgL_new1107z00_2406;
BgL_new1107z00_2406 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 451 */
 long BgL_arg2234z00_2407;
BgL_arg2234z00_2407 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_2406), BgL_arg2234z00_2407); } 
BgL_new1108z00_2405 = BgL_new1107z00_2406; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2405))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2405))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2403)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2405))->BgL_argsz00)=((obj_t)BgL_argsz00_2404),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2405))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5053 = BgL_new1108z00_2405; } } 
return 
((obj_t)BgL_auxz00_5053);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5066;
BgL_fz00_1579 = BgL_carzd2303zd2_1600; 
BgL_argsz00_1580 = BgL_cdrzd2250zd2_1588; 
BgL_tagzd2176zd2_1581:
{ /* Eval/evaluate.scm 599 */
 obj_t BgL_funz00_2669; obj_t BgL_argsz00_2670;
BgL_funz00_2669 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1579); 
BgL_argsz00_2670 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1580); 
{ /* Eval/evaluate.scm 600 */
 BgL_ev_appz00_bglt BgL_new1157z00_2671;
{ /* Eval/evaluate.scm 601 */
 BgL_ev_appz00_bglt BgL_new1156z00_2672;
BgL_new1156z00_2672 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 601 */
 long BgL_arg2354z00_2673;
BgL_arg2354z00_2673 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_2672), BgL_arg2354z00_2673); } 
BgL_new1157z00_2671 = BgL_new1156z00_2672; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1157z00_2671))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1157z00_2671))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2669)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1157z00_2671))->BgL_argsz00)=((obj_t)BgL_argsz00_2670),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1157z00_2671))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5066 = BgL_new1157z00_2671; } } 
return 
((obj_t)BgL_auxz00_5066);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5079;
{ 
 obj_t BgL_argsz00_5081; obj_t BgL_fz00_5080;
BgL_fz00_5080 = BgL_carzd2303zd2_1600; 
BgL_argsz00_5081 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5081; 
BgL_fz00_1579 = BgL_fz00_5080; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5079);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21010zd2_1611;
BgL_carzd21010zd2_1611 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21010zd2_1611))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21010zd2_1611, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5089;
{ 
 obj_t BgL_argsz00_5091; obj_t BgL_funz00_5090;
BgL_funz00_5090 = BgL_carzd21010zd2_1611; 
BgL_argsz00_5091 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1513 = BgL_argsz00_5091; 
BgL_funz00_1512 = BgL_funz00_5090; 
goto BgL_tagzd2152zd2_1514;} 
return 
((obj_t)BgL_auxz00_5089);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5093;
{ 
 obj_t BgL_argsz00_5095; obj_t BgL_fz00_5094;
BgL_fz00_5094 = BgL_carzd21010zd2_1611; 
BgL_argsz00_5095 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5095; 
BgL_fz00_1579 = BgL_fz00_5094; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5093);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5097;
{ 
 obj_t BgL_argsz00_5099; obj_t BgL_fz00_5098;
BgL_fz00_5098 = BgL_carzd21010zd2_1611; 
BgL_argsz00_5099 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5099; 
BgL_fz00_1579 = BgL_fz00_5098; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5097);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd21717zd2_1621;
BgL_carzd21717zd2_1621 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21717zd2_1621))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21717zd2_1621, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5107;
{ 
 obj_t BgL_argsz00_5109; obj_t BgL_funz00_5108;
BgL_funz00_5108 = BgL_carzd21717zd2_1621; 
BgL_argsz00_5109 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1513 = BgL_argsz00_5109; 
BgL_funz00_1512 = BgL_funz00_5108; 
goto BgL_tagzd2152zd2_1514;} 
return 
((obj_t)BgL_auxz00_5107);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5111;
{ 
 obj_t BgL_argsz00_5113; obj_t BgL_fz00_5112;
BgL_fz00_5112 = BgL_carzd21717zd2_1621; 
BgL_argsz00_5113 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5113; 
BgL_fz00_1579 = BgL_fz00_5112; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5111);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5115;
{ 
 obj_t BgL_argsz00_5117; obj_t BgL_fz00_5116;
BgL_fz00_5116 = BgL_carzd21717zd2_1621; 
BgL_argsz00_5117 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5117; 
BgL_fz00_1579 = BgL_fz00_5116; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5115);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd22424zd2_1631;
BgL_carzd22424zd2_1631 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd22424zd2_1631))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22424zd2_1631, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5125;
{ 
 obj_t BgL_argsz00_5127; obj_t BgL_funz00_5126;
BgL_funz00_5126 = BgL_carzd22424zd2_1631; 
BgL_argsz00_5127 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1513 = BgL_argsz00_5127; 
BgL_funz00_1512 = BgL_funz00_5126; 
goto BgL_tagzd2152zd2_1514;} 
return 
((obj_t)BgL_auxz00_5125);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5129;
{ 
 obj_t BgL_argsz00_5131; obj_t BgL_fz00_5130;
BgL_fz00_5130 = BgL_carzd22424zd2_1631; 
BgL_argsz00_5131 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5131; 
BgL_fz00_1579 = BgL_fz00_5130; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5129);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5133;
{ 
 obj_t BgL_argsz00_5135; obj_t BgL_fz00_5134;
BgL_fz00_5134 = BgL_carzd22424zd2_1631; 
BgL_argsz00_5135 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5135; 
BgL_fz00_1579 = BgL_fz00_5134; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5133);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23131zd2_1641;
BgL_carzd23131zd2_1641 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23131zd2_1641))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23131zd2_1641, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5143;
{ 
 obj_t BgL_argsz00_5145; obj_t BgL_funz00_5144;
BgL_funz00_5144 = BgL_carzd23131zd2_1641; 
BgL_argsz00_5145 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1513 = BgL_argsz00_5145; 
BgL_funz00_1512 = BgL_funz00_5144; 
goto BgL_tagzd2152zd2_1514;} 
return 
((obj_t)BgL_auxz00_5143);}  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5147;
{ 
 obj_t BgL_argsz00_5149; obj_t BgL_fz00_5148;
BgL_fz00_5148 = BgL_carzd23131zd2_1641; 
BgL_argsz00_5149 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5149; 
BgL_fz00_1579 = BgL_fz00_5148; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5147);} }  else 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5151;
{ 
 obj_t BgL_argsz00_5153; obj_t BgL_fz00_5152;
BgL_fz00_5152 = BgL_carzd23131zd2_1641; 
BgL_argsz00_5153 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1580 = BgL_argsz00_5153; 
BgL_fz00_1579 = BgL_fz00_5152; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5151);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2807z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1510 = BgL_cdrzd2250zd2_1588; 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2996z00_5158;
if(
PAIRP(BgL_lz00_1510))
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test2998z00_5161;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5162;
BgL_tmpz00_5162 = 
CDR(BgL_lz00_1510); 
BgL_test2998z00_5161 = 
PAIRP(BgL_tmpz00_5162); } 
if(BgL_test2998z00_5161)
{ 
 obj_t BgL_l1208z00_2394;
BgL_l1208z00_2394 = BgL_lz00_1510; 
BgL_zc3z04anonymousza32230ze3z87_2395:
if(
NULLP(BgL_l1208z00_2394))
{ /* Eval/evaluate.scm 442 */
BgL_test2996z00_5158 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 442 */
 bool_t BgL_test3000z00_5167;
{ /* Eval/evaluate.scm 442 */
 obj_t BgL_tmpz00_5168;
BgL_tmpz00_5168 = 
CAR(
((obj_t)BgL_l1208z00_2394)); 
BgL_test3000z00_5167 = 
SYMBOLP(BgL_tmpz00_5168); } 
if(BgL_test3000z00_5167)
{ 
 obj_t BgL_l1208z00_5172;
BgL_l1208z00_5172 = 
CDR(
((obj_t)BgL_l1208z00_2394)); 
BgL_l1208z00_2394 = BgL_l1208z00_5172; 
goto BgL_zc3z04anonymousza32230ze3z87_2395;}  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2996z00_5158 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2996z00_5158 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_test2996z00_5158 = ((bool_t)0)
; } 
if(BgL_test2996z00_5158)
{ /* Eval/evaluate.scm 442 */
return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 442 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2718z00zz__evaluatez00, BGl_string2797z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd23841zd2_1654;
BgL_carzd23841zd2_1654 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23841zd2_1654))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23841zd2_1654, BgL_localsz00_70)))
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5183;
{ 
 obj_t BgL_argsz00_5185; obj_t BgL_funz00_5184;
BgL_funz00_5184 = BgL_carzd23841zd2_1654; 
BgL_argsz00_5185 = BgL_cdrzd2250zd2_1588; 
BgL_argsz00_1513 = BgL_argsz00_5185; 
BgL_funz00_1512 = BgL_funz00_5184; 
goto BgL_tagzd2152zd2_1514;} 
return 
((obj_t)BgL_auxz00_5183);}  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1654==BGl_symbol2809z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1588))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1588)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1611z00_1665;
BgL_arg1611z00_1665 = 
CAR(BgL_cdrzd2250zd2_1588); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5195;
BgL_ez00_1515 = BgL_arg1611z00_1665; 
BgL_tagzd2153zd2_1516:
{ /* Eval/evaluate.scm 456 */
 BgL_ev_trapz00_bglt BgL_new1110z00_2408;
{ /* Eval/evaluate.scm 457 */
 BgL_ev_trapz00_bglt BgL_new1109z00_2409;
BgL_new1109z00_2409 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 457 */
 long BgL_arg2235z00_2410;
BgL_arg2235z00_2410 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_2409), BgL_arg2235z00_2410); } 
BgL_new1110z00_2408 = BgL_new1109z00_2409; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1110z00_2408)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1515))),BUNSPEC); 
BgL_auxz00_5195 = BgL_new1110z00_2408; } 
return 
((obj_t)BgL_auxz00_5195);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1612z00_1666; obj_t BgL_arg1613z00_1667;
BgL_arg1612z00_1666 = 
CAR(BgL_ez00_69); 
BgL_arg1613z00_1667 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5207;
{ 
 obj_t BgL_argsz00_5209; obj_t BgL_fz00_5208;
BgL_fz00_5208 = BgL_arg1612z00_1666; 
BgL_argsz00_5209 = BgL_arg1613z00_1667; 
BgL_argsz00_1580 = BgL_argsz00_5209; 
BgL_fz00_1579 = BgL_fz00_5208; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5207);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1615z00_1669; obj_t BgL_arg1616z00_1670;
BgL_arg1615z00_1669 = 
CAR(BgL_ez00_69); 
BgL_arg1616z00_1670 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5213;
{ 
 obj_t BgL_argsz00_5215; obj_t BgL_fz00_5214;
BgL_fz00_5214 = BgL_arg1615z00_1669; 
BgL_argsz00_5215 = BgL_arg1616z00_1670; 
BgL_argsz00_1580 = BgL_argsz00_5215; 
BgL_fz00_1579 = BgL_fz00_5214; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5213);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd24514zd2_1671;
BgL_cdrzd24514zd2_1671 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1671))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd24514zd2_1671)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1624z00_1677;
BgL_arg1624z00_1677 = 
CAR(BgL_cdrzd24514zd2_1671); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5227;
BgL_vz00_1517 = BgL_arg1624z00_1677; 
BgL_tagzd2154zd2_1518:
{ /* Eval/evaluate.scm 459 */
 BgL_ev_littz00_bglt BgL_new1113z00_2411;
{ /* Eval/evaluate.scm 460 */
 BgL_ev_littz00_bglt BgL_new1112z00_2412;
BgL_new1112z00_2412 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 460 */
 long BgL_arg2236z00_2413;
BgL_arg2236z00_2413 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1112z00_2412), BgL_arg2236z00_2413); } 
BgL_new1113z00_2411 = BgL_new1112z00_2412; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1113z00_2411))->BgL_valuez00)=((obj_t)BgL_vz00_1517),BUNSPEC); 
BgL_auxz00_5227 = BgL_new1113z00_2411; } 
return 
((obj_t)BgL_auxz00_5227);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1625z00_1678;
BgL_arg1625z00_1678 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5235;
{ 
 obj_t BgL_argsz00_5237; obj_t BgL_fz00_5236;
BgL_fz00_5236 = BgL_arg1625z00_1678; 
BgL_argsz00_5237 = BgL_cdrzd24514zd2_1671; 
BgL_argsz00_1580 = BgL_argsz00_5237; 
BgL_fz00_1579 = BgL_fz00_5236; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5235);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1629z00_1681;
BgL_arg1629z00_1681 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5240;
{ 
 obj_t BgL_argsz00_5242; obj_t BgL_fz00_5241;
BgL_fz00_5241 = BgL_arg1629z00_1681; 
BgL_argsz00_5242 = BgL_cdrzd24514zd2_1671; 
BgL_argsz00_1580 = BgL_argsz00_5242; 
BgL_fz00_1579 = BgL_fz00_5241; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5240);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2778z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24514zd2_1671))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25128zd2_1687;
BgL_cdrzd25128zd2_1687 = 
CDR(BgL_cdrzd24514zd2_1671); 
if(
PAIRP(BgL_cdrzd25128zd2_1687))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25133zd2_1689;
BgL_cdrzd25133zd2_1689 = 
CDR(BgL_cdrzd25128zd2_1687); 
if(
PAIRP(BgL_cdrzd25133zd2_1689))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd25133zd2_1689)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1638z00_1693; obj_t BgL_arg1639z00_1694; obj_t BgL_arg1640z00_1695;
BgL_arg1638z00_1693 = 
CAR(BgL_cdrzd24514zd2_1671); 
BgL_arg1639z00_1694 = 
CAR(BgL_cdrzd25128zd2_1687); 
BgL_arg1640z00_1695 = 
CAR(BgL_cdrzd25133zd2_1689); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5261;
BgL_pz00_1519 = BgL_arg1638z00_1693; 
BgL_tz00_1520 = BgL_arg1639z00_1694; 
BgL_oz00_1521 = BgL_arg1640z00_1695; 
BgL_tagzd2155zd2_1522:
{ /* Eval/evaluate.scm 462 */
 BgL_ev_ifz00_bglt BgL_new1115z00_2414;
{ /* Eval/evaluate.scm 463 */
 BgL_ev_ifz00_bglt BgL_new1114z00_2418;
BgL_new1114z00_2418 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 463 */
 long BgL_arg2240z00_2419;
BgL_arg2240z00_2419 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_2418), BgL_arg2240z00_2419); } 
BgL_new1115z00_2414 = BgL_new1114z00_2418; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5266;
{ /* Eval/evaluate.scm 463 */
 obj_t BgL_arg2237z00_2415;
BgL_arg2237z00_2415 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1519, BgL_locz00_74); 
BgL_auxz00_5266 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1519, BgL_arg2237z00_2415)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2414))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5266),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5271;
{ /* Eval/evaluate.scm 464 */
 obj_t BgL_arg2238z00_2416;
BgL_arg2238z00_2416 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1520, BgL_locz00_74); 
BgL_auxz00_5271 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1520, BgL_arg2238z00_2416)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2414))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5271),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5276;
{ /* Eval/evaluate.scm 465 */
 obj_t BgL_arg2239z00_2417;
BgL_arg2239z00_2417 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1521, BgL_locz00_74); 
BgL_auxz00_5276 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1521, BgL_arg2239z00_2417)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1115z00_2414))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5276),BUNSPEC); } 
BgL_auxz00_5261 = BgL_new1115z00_2414; } 
return 
((obj_t)BgL_auxz00_5261);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1641z00_1696; obj_t BgL_arg1642z00_1697;
BgL_arg1641z00_1696 = 
CAR(BgL_ez00_69); 
BgL_arg1642z00_1697 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5284;
{ 
 obj_t BgL_argsz00_5286; obj_t BgL_fz00_5285;
BgL_fz00_5285 = BgL_arg1641z00_1696; 
BgL_argsz00_5286 = BgL_arg1642z00_1697; 
BgL_argsz00_1580 = BgL_argsz00_5286; 
BgL_fz00_1579 = BgL_fz00_5285; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5284);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25433zd2_1699;
BgL_cdrzd25433zd2_1699 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd25439zd2_1700;
BgL_cdrzd25439zd2_1700 = 
CDR(
((obj_t)BgL_cdrzd25433zd2_1699)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25439zd2_1700))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1647z00_1703; obj_t BgL_arg1648z00_1704;
BgL_arg1647z00_1703 = 
CAR(
((obj_t)BgL_cdrzd25433zd2_1699)); 
BgL_arg1648z00_1704 = 
CAR(
((obj_t)BgL_cdrzd25439zd2_1700)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5299;
BgL_pz00_1523 = BgL_arg1647z00_1703; 
BgL_tz00_1524 = BgL_arg1648z00_1704; 
BgL_tagzd2156zd2_1525:
{ /* Eval/evaluate.scm 467 */
 BgL_ev_ifz00_bglt BgL_new1117z00_2420;
{ /* Eval/evaluate.scm 468 */
 BgL_ev_ifz00_bglt BgL_new1116z00_2424;
BgL_new1116z00_2424 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 468 */
 long BgL_arg2244z00_2425;
BgL_arg2244z00_2425 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_2424), BgL_arg2244z00_2425); } 
BgL_new1117z00_2420 = BgL_new1116z00_2424; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5304;
{ /* Eval/evaluate.scm 468 */
 obj_t BgL_arg2241z00_2421;
BgL_arg2241z00_2421 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1523, BgL_locz00_74); 
BgL_auxz00_5304 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1523, BgL_arg2241z00_2421)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1117z00_2420))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5304),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5309;
{ /* Eval/evaluate.scm 469 */
 obj_t BgL_arg2242z00_2422;
BgL_arg2242z00_2422 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1524, BgL_locz00_74); 
BgL_auxz00_5309 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1524, BgL_arg2242z00_2422)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1117z00_2420))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5309),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5314;
{ /* Eval/evaluate.scm 470 */
 obj_t BgL_arg2243z00_2423;
BgL_arg2243z00_2423 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5314 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2243z00_2423)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1117z00_2420))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5314),BUNSPEC); } 
BgL_auxz00_5299 = BgL_new1117z00_2420; } 
return 
((obj_t)BgL_auxz00_5299);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1649z00_1705;
BgL_arg1649z00_1705 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5321;
{ 
 obj_t BgL_argsz00_5323; obj_t BgL_fz00_5322;
BgL_fz00_5322 = BgL_arg1649z00_1705; 
BgL_argsz00_5323 = BgL_cdrzd25433zd2_1699; 
BgL_argsz00_1580 = BgL_argsz00_5323; 
BgL_fz00_1579 = BgL_fz00_5322; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5321);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1652z00_1708; obj_t BgL_arg1653z00_1709;
BgL_arg1652z00_1708 = 
CAR(BgL_ez00_69); 
BgL_arg1653z00_1709 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5327;
{ 
 obj_t BgL_argsz00_5329; obj_t BgL_fz00_5328;
BgL_fz00_5328 = BgL_arg1652z00_1708; 
BgL_argsz00_5329 = BgL_arg1653z00_1709; 
BgL_argsz00_1580 = BgL_argsz00_5329; 
BgL_fz00_1579 = BgL_fz00_5328; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5327);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1654z00_1710; obj_t BgL_arg1655z00_1711;
BgL_arg1654z00_1710 = 
CAR(BgL_ez00_69); 
BgL_arg1655z00_1711 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5333;
{ 
 obj_t BgL_argsz00_5335; obj_t BgL_fz00_5334;
BgL_fz00_5334 = BgL_arg1654z00_1710; 
BgL_argsz00_5335 = BgL_arg1655z00_1711; 
BgL_argsz00_1580 = BgL_argsz00_5335; 
BgL_fz00_1579 = BgL_fz00_5334; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5333);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2811z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1659z00_1714;
BgL_arg1659z00_1714 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5341;
BgL_argsz00_1526 = BgL_arg1659z00_1714; 
BgL_tagzd2157zd2_1527:
{ /* Eval/evaluate.scm 472 */
 BgL_ev_orz00_bglt BgL_new1119z00_2426;
{ /* Eval/evaluate.scm 473 */
 BgL_ev_orz00_bglt BgL_new1118z00_2427;
BgL_new1118z00_2427 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 473 */
 long BgL_arg2245z00_2428;
BgL_arg2245z00_2428 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_2427), BgL_arg2245z00_2428); } 
BgL_new1119z00_2426 = BgL_new1118z00_2427; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1119z00_2426)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1526)),BUNSPEC); 
BgL_auxz00_5341 = BgL_new1119z00_2426; } 
return 
((obj_t)BgL_auxz00_5341);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2813z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1663z00_1717;
BgL_arg1663z00_1717 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5354;
BgL_argsz00_1528 = BgL_arg1663z00_1717; 
BgL_tagzd2158zd2_1529:
{ /* Eval/evaluate.scm 475 */
 BgL_ev_andz00_bglt BgL_new1121z00_2429;
{ /* Eval/evaluate.scm 476 */
 BgL_ev_andz00_bglt BgL_new1120z00_2430;
BgL_new1120z00_2430 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 476 */
 long BgL_arg2246z00_2431;
BgL_arg2246z00_2431 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1120z00_2430), BgL_arg2246z00_2431); } 
BgL_new1121z00_2429 = BgL_new1120z00_2430; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1121z00_2429)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1528)),BUNSPEC); 
BgL_auxz00_5354 = BgL_new1121z00_2429; } 
return 
((obj_t)BgL_auxz00_5354);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2798z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1530 = 
CDR(BgL_ez00_69); 
BgL_tagzd2159zd2_1531:
return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1530, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26338zd2_1721;
BgL_cdrzd26338zd2_1721 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2780z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1721))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1671z00_1725; obj_t BgL_arg1672z00_1726;
BgL_arg1671z00_1725 = 
CAR(BgL_cdrzd26338zd2_1721); 
BgL_arg1672z00_1726 = 
CDR(BgL_cdrzd26338zd2_1721); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_5376;
BgL_bindsz00_1532 = BgL_arg1671z00_1725; 
BgL_bodyz00_1533 = BgL_arg1672z00_1726; 
BgL_tagzd2160zd2_1534:
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_ubindsz00_2432;
if(
NULLP(BgL_bindsz00_1532))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2432 = BNIL; }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_head1213z00_2477;
BgL_head1213z00_2477 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1211z00_2479; obj_t BgL_tail1214z00_2480;
BgL_l1211z00_2479 = BgL_bindsz00_1532; 
BgL_tail1214z00_2480 = BgL_head1213z00_2477; 
BgL_zc3z04anonymousza32265ze3z87_2481:
if(
NULLP(BgL_l1211z00_2479))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2432 = 
CDR(BgL_head1213z00_2477); }  else 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_newtail1215z00_2483;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2268z00_2485;
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_bz00_2486;
BgL_bz00_2486 = 
CAR(
((obj_t)BgL_l1211z00_2479)); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2269z00_2487;
BgL_arg2269z00_2487 = 
CAR(
((obj_t)BgL_bz00_2486)); 
BgL_arg2268z00_2485 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2269z00_2487); } } 
BgL_newtail1215z00_2483 = 
MAKE_YOUNG_PAIR(BgL_arg2268z00_2485, BNIL); } 
SET_CDR(BgL_tail1214z00_2480, BgL_newtail1215z00_2483); 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_arg2267z00_2484;
BgL_arg2267z00_2484 = 
CDR(
((obj_t)BgL_l1211z00_2479)); 
{ 
 obj_t BgL_tail1214z00_5393; obj_t BgL_l1211z00_5392;
BgL_l1211z00_5392 = BgL_arg2267z00_2484; 
BgL_tail1214z00_5393 = BgL_newtail1215z00_2483; 
BgL_tail1214z00_2480 = BgL_tail1214z00_5393; 
BgL_l1211z00_2479 = BgL_l1211z00_5392; 
goto BgL_zc3z04anonymousza32265ze3z87_2481;} } } } } 
{ /* Eval/evaluate.scm 480 */
 obj_t BgL_varsz00_2433;
if(
NULLP(BgL_ubindsz00_2432))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2433 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_head1218z00_2461;
BgL_head1218z00_2461 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1216z00_2463; obj_t BgL_tail1219z00_2464;
BgL_l1216z00_2463 = BgL_ubindsz00_2432; 
BgL_tail1219z00_2464 = BgL_head1218z00_2461; 
BgL_zc3z04anonymousza32259ze3z87_2465:
if(
NULLP(BgL_l1216z00_2463))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2433 = 
CDR(BgL_head1218z00_2461); }  else 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_newtail1220z00_2467;
{ /* Eval/evaluate.scm 481 */
 BgL_ev_varz00_bglt BgL_arg2262z00_2469;
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_iz00_2470;
BgL_iz00_2470 = 
CAR(
((obj_t)BgL_l1216z00_2463)); 
{ /* Eval/evaluate.scm 482 */
 BgL_ev_varz00_bglt BgL_new1123z00_2471;
{ /* Eval/evaluate.scm 484 */
 BgL_ev_varz00_bglt BgL_new1122z00_2472;
BgL_new1122z00_2472 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 484 */
 long BgL_arg2263z00_2473;
BgL_arg2263z00_2473 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1122z00_2472), BgL_arg2263z00_2473); } 
BgL_new1123z00_2471 = BgL_new1122z00_2472; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1123z00_2471))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2470))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1123z00_2471))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1123z00_2471))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2470))),BUNSPEC); 
BgL_arg2262z00_2469 = BgL_new1123z00_2471; } } 
BgL_newtail1220z00_2467 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2262z00_2469), BNIL); } 
SET_CDR(BgL_tail1219z00_2464, BgL_newtail1220z00_2467); 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_arg2261z00_2468;
BgL_arg2261z00_2468 = 
CDR(
((obj_t)BgL_l1216z00_2463)); 
{ 
 obj_t BgL_tail1219z00_5419; obj_t BgL_l1216z00_5418;
BgL_l1216z00_5418 = BgL_arg2261z00_2468; 
BgL_tail1219z00_5419 = BgL_newtail1220z00_2467; 
BgL_tail1219z00_2464 = BgL_tail1219z00_5419; 
BgL_l1216z00_2463 = BgL_l1216z00_5418; 
goto BgL_zc3z04anonymousza32259ze3z87_2465;} } } } } 
{ /* Eval/evaluate.scm 481 */
 obj_t BgL_bodyz00_2434;
{ /* Eval/evaluate.scm 486 */
 bool_t BgL_test3024z00_5420;
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tmpz00_5421;
BgL_tmpz00_5421 = 
CDR(
((obj_t)BgL_bodyz00_1533)); 
BgL_test3024z00_5420 = 
PAIRP(BgL_tmpz00_5421); } 
if(BgL_test3024z00_5420)
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_res2698z00_3453;
BgL_res2698z00_3453 = 
MAKE_YOUNG_EPAIR(BGl_symbol2798z00zz__evaluatez00, BgL_bodyz00_1533, BgL_locz00_74); 
BgL_bodyz00_2434 = BgL_res2698z00_3453; }  else 
{ /* Eval/evaluate.scm 486 */
BgL_bodyz00_2434 = 
CAR(
((obj_t)BgL_bodyz00_1533)); } } 
{ /* Eval/evaluate.scm 486 */
 obj_t BgL_tbodyz00_2435;
BgL_tbodyz00_2435 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2432, BgL_bindsz00_1532, BgL_bodyz00_2434, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 487 */

{ /* Eval/evaluate.scm 488 */
 obj_t BgL_blocz00_2436;
BgL_blocz00_2436 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1532, BgL_locz00_74); 
{ /* Eval/evaluate.scm 489 */
 BgL_ev_letz00_bglt BgL_new1125z00_2437;
{ /* Eval/evaluate.scm 490 */
 BgL_ev_letz00_bglt BgL_new1124z00_2454;
BgL_new1124z00_2454 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 490 */
 long BgL_arg2254z00_2455;
BgL_arg2254z00_2455 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_2454), BgL_arg2254z00_2455); } 
BgL_new1125z00_2437 = BgL_new1124z00_2454; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1125z00_2437)))->BgL_varsz00)=((obj_t)BgL_varsz00_2433),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5436;
if(
NULLP(BgL_bindsz00_1532))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5436 = BNIL
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_head1223z00_2440;
BgL_head1223z00_2440 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1221z00_2442; obj_t BgL_tail1224z00_2443;
BgL_l1221z00_2442 = BgL_bindsz00_1532; 
BgL_tail1224z00_2443 = BgL_head1223z00_2440; 
BgL_zc3z04anonymousza32248ze3z87_2444:
if(
NULLP(BgL_l1221z00_2442))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5436 = 
CDR(BgL_head1223z00_2440)
; }  else 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_newtail1225z00_2446;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2251z00_2448;
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_bz00_2449;
BgL_bz00_2449 = 
CAR(
((obj_t)BgL_l1221z00_2442)); 
{ /* Eval/evaluate.scm 492 */
 obj_t BgL_locz00_2450;
BgL_locz00_2450 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2449, BgL_blocz00_2436); 
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_arg2252z00_2451;
{ /* Eval/evaluate.scm 493 */
 obj_t BgL_pairz00_3463;
BgL_pairz00_3463 = 
CDR(
((obj_t)BgL_bz00_2449)); 
BgL_arg2252z00_2451 = 
CAR(BgL_pairz00_3463); } 
BgL_arg2251z00_2448 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2252z00_2451, BgL_locz00_2450); } } } 
BgL_newtail1225z00_2446 = 
MAKE_YOUNG_PAIR(BgL_arg2251z00_2448, BNIL); } 
SET_CDR(BgL_tail1224z00_2443, BgL_newtail1225z00_2446); 
{ /* Eval/evaluate.scm 491 */
 obj_t BgL_arg2250z00_2447;
BgL_arg2250z00_2447 = 
CDR(
((obj_t)BgL_l1221z00_2442)); 
{ 
 obj_t BgL_tail1224z00_5456; obj_t BgL_l1221z00_5455;
BgL_l1221z00_5455 = BgL_arg2250z00_2447; 
BgL_tail1224z00_5456 = BgL_newtail1225z00_2446; 
BgL_tail1224z00_2443 = BgL_tail1224z00_5456; 
BgL_l1221z00_2442 = BgL_l1221z00_5455; 
goto BgL_zc3z04anonymousza32248ze3z87_2444;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1125z00_2437)))->BgL_valsz00)=((obj_t)BgL_auxz00_5436),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5458;
{ /* Eval/evaluate.scm 495 */
 obj_t BgL_arg2253z00_2453;
BgL_arg2253z00_2453 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2433, BgL_localsz00_70); 
BgL_auxz00_5458 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2435, BgL_arg2253z00_2453, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1125z00_2437)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5458),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1125z00_2437))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5376 = BgL_new1125z00_2437; } } } } } } } 
return 
((obj_t)BgL_auxz00_5376);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1673z00_1727;
BgL_arg1673z00_1727 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5467;
{ 
 obj_t BgL_argsz00_5469; obj_t BgL_fz00_5468;
BgL_fz00_5468 = BgL_arg1673z00_1727; 
BgL_argsz00_5469 = BgL_cdrzd26338zd2_1721; 
BgL_argsz00_1580 = BgL_argsz00_5469; 
BgL_fz00_1579 = BgL_fz00_5468; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5467);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2815z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26338zd2_1721))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1680z00_1733; obj_t BgL_arg1683z00_1734;
BgL_arg1680z00_1733 = 
CAR(BgL_cdrzd26338zd2_1721); 
BgL_arg1683z00_1734 = 
CDR(BgL_cdrzd26338zd2_1721); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_5478;
BgL_bindsz00_1535 = BgL_arg1680z00_1733; 
BgL_bodyz00_1536 = BgL_arg1683z00_1734; 
BgL_tagzd2161zd2_1537:
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_varsz00_2490; obj_t BgL_blocz00_2491;
if(
NULLP(BgL_bindsz00_1535))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2490 = BNIL; }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_head1228z00_2499;
BgL_head1228z00_2499 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1226z00_2501; obj_t BgL_tail1229z00_2502;
BgL_l1226z00_2501 = BgL_bindsz00_1535; 
BgL_tail1229z00_2502 = BgL_head1228z00_2499; 
BgL_zc3z04anonymousza32274ze3z87_2503:
if(
NULLP(BgL_l1226z00_2501))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2490 = 
CDR(BgL_head1228z00_2499); }  else 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_newtail1230z00_2505;
{ /* Eval/evaluate.scm 503 */
 BgL_ev_varz00_bglt BgL_arg2277z00_2507;
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_bz00_2508;
BgL_bz00_2508 = 
CAR(
((obj_t)BgL_l1226z00_2501)); 
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_iz00_2509;
{ /* Eval/evaluate.scm 504 */
 obj_t BgL_arg2279z00_2513;
BgL_arg2279z00_2513 = 
CAR(
((obj_t)BgL_bz00_2508)); 
BgL_iz00_2509 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2279z00_2513); } 
{ /* Eval/evaluate.scm 505 */
 BgL_ev_varz00_bglt BgL_new1127z00_2510;
{ /* Eval/evaluate.scm 507 */
 BgL_ev_varz00_bglt BgL_new1126z00_2511;
BgL_new1126z00_2511 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 507 */
 long BgL_arg2278z00_2512;
BgL_arg2278z00_2512 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_2511), BgL_arg2278z00_2512); } 
BgL_new1127z00_2510 = BgL_new1126z00_2511; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1127z00_2510))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2509)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1127z00_2510))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1127z00_2510))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2509)),BUNSPEC); 
BgL_arg2277z00_2507 = BgL_new1127z00_2510; } } } 
BgL_newtail1230z00_2505 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2277z00_2507), BNIL); } 
SET_CDR(BgL_tail1229z00_2502, BgL_newtail1230z00_2505); 
{ /* Eval/evaluate.scm 503 */
 obj_t BgL_arg2276z00_2506;
BgL_arg2276z00_2506 = 
CDR(
((obj_t)BgL_l1226z00_2501)); 
{ 
 obj_t BgL_tail1229z00_5505; obj_t BgL_l1226z00_5504;
BgL_l1226z00_5504 = BgL_arg2276z00_2506; 
BgL_tail1229z00_5505 = BgL_newtail1230z00_2505; 
BgL_tail1229z00_2502 = BgL_tail1229z00_5505; 
BgL_l1226z00_2501 = BgL_l1226z00_5504; 
goto BgL_zc3z04anonymousza32274ze3z87_2503;} } } } } 
BgL_blocz00_2491 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1535, BgL_locz00_74); 
{ /* Eval/evaluate.scm 510 */
 BgL_ev_letza2za2_bglt BgL_new1129z00_2492;
{ /* Eval/evaluate.scm 511 */
 BgL_ev_letza2za2_bglt BgL_new1128z00_2495;
BgL_new1128z00_2495 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 511 */
 long BgL_arg2272z00_2496;
BgL_arg2272z00_2496 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_2495), BgL_arg2272z00_2496); } 
BgL_new1129z00_2492 = BgL_new1128z00_2495; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1129z00_2492)))->BgL_varsz00)=((obj_t)BgL_varsz00_2490),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1129z00_2492)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1535, BgL_varsz00_2490, BgL_localsz00_70, BgL_blocz00_2491)),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5516;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2270z00_2493;
{ /* Eval/evaluate.scm 513 */
 obj_t BgL_arg2271z00_2494;
BgL_arg2271z00_2494 = 
bgl_reverse(BgL_varsz00_2490); 
BgL_arg2270z00_2493 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_arg2271z00_2494, BgL_localsz00_70); } 
BgL_auxz00_5516 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1536, BgL_arg2270z00_2493, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1129z00_2492)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5516),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1129z00_2492))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5478 = BgL_new1129z00_2492; } } 
return 
((obj_t)BgL_auxz00_5478);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1684z00_1735; obj_t BgL_arg1685z00_1736;
BgL_arg1684z00_1735 = 
CAR(BgL_ez00_69); 
BgL_arg1685z00_1736 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5527;
{ 
 obj_t BgL_argsz00_5529; obj_t BgL_fz00_5528;
BgL_fz00_5528 = BgL_arg1684z00_1735; 
BgL_argsz00_5529 = BgL_arg1685z00_1736; 
BgL_argsz00_1580 = BgL_argsz00_5529; 
BgL_fz00_1579 = BgL_fz00_5528; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5527);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26736zd2_1737;
BgL_cdrzd26736zd2_1737 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2817z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1737))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1689z00_1741; obj_t BgL_arg1690z00_1742;
BgL_arg1689z00_1741 = 
CAR(BgL_cdrzd26736zd2_1737); 
BgL_arg1690z00_1742 = 
CDR(BgL_cdrzd26736zd2_1737); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_5539;
BgL_bindsz00_1538 = BgL_arg1689z00_1741; 
BgL_bodyz00_1539 = BgL_arg1690z00_1742; 
BgL_tagzd2162zd2_1540:
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_ubindsz00_2531;
if(
NULLP(BgL_bindsz00_1538))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2531 = BNIL; }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_head1233z00_2581;
BgL_head1233z00_2581 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1231z00_2583; obj_t BgL_tail1234z00_2584;
BgL_l1231z00_2583 = BgL_bindsz00_1538; 
BgL_tail1234z00_2584 = BgL_head1233z00_2581; 
BgL_zc3z04anonymousza32313ze3z87_2585:
if(
NULLP(BgL_l1231z00_2583))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2531 = 
CDR(BgL_head1233z00_2581); }  else 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_newtail1235z00_2587;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2316z00_2589;
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_bz00_2590;
BgL_bz00_2590 = 
CAR(
((obj_t)BgL_l1231z00_2583)); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2317z00_2591;
BgL_arg2317z00_2591 = 
CAR(
((obj_t)BgL_bz00_2590)); 
BgL_arg2316z00_2589 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2317z00_2591); } } 
BgL_newtail1235z00_2587 = 
MAKE_YOUNG_PAIR(BgL_arg2316z00_2589, BNIL); } 
SET_CDR(BgL_tail1234z00_2584, BgL_newtail1235z00_2587); 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_arg2315z00_2588;
BgL_arg2315z00_2588 = 
CDR(
((obj_t)BgL_l1231z00_2583)); 
{ 
 obj_t BgL_tail1234z00_5556; obj_t BgL_l1231z00_5555;
BgL_l1231z00_5555 = BgL_arg2315z00_2588; 
BgL_tail1234z00_5556 = BgL_newtail1235z00_2587; 
BgL_tail1234z00_2584 = BgL_tail1234z00_5556; 
BgL_l1231z00_2583 = BgL_l1231z00_5555; 
goto BgL_zc3z04anonymousza32313ze3z87_2585;} } } } } 
{ /* Eval/evaluate.scm 515 */
 obj_t BgL_varsz00_2532;
if(
NULLP(BgL_ubindsz00_2531))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2532 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_head1238z00_2565;
BgL_head1238z00_2565 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1236z00_2567; obj_t BgL_tail1239z00_2568;
BgL_l1236z00_2567 = BgL_ubindsz00_2531; 
BgL_tail1239z00_2568 = BgL_head1238z00_2565; 
BgL_zc3z04anonymousza32307ze3z87_2569:
if(
NULLP(BgL_l1236z00_2567))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2532 = 
CDR(BgL_head1238z00_2565); }  else 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_newtail1240z00_2571;
{ /* Eval/evaluate.scm 516 */
 BgL_ev_varz00_bglt BgL_arg2310z00_2573;
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_iz00_2574;
BgL_iz00_2574 = 
CAR(
((obj_t)BgL_l1236z00_2567)); 
{ /* Eval/evaluate.scm 517 */
 BgL_ev_varz00_bglt BgL_new1131z00_2575;
{ /* Eval/evaluate.scm 519 */
 BgL_ev_varz00_bglt BgL_new1130z00_2576;
BgL_new1130z00_2576 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 519 */
 long BgL_arg2311z00_2577;
BgL_arg2311z00_2577 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_2576), BgL_arg2311z00_2577); } 
BgL_new1131z00_2575 = BgL_new1130z00_2576; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1131z00_2575))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2574))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1131z00_2575))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1131z00_2575))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2574))),BUNSPEC); 
BgL_arg2310z00_2573 = BgL_new1131z00_2575; } } 
BgL_newtail1240z00_2571 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2310z00_2573), BNIL); } 
SET_CDR(BgL_tail1239z00_2568, BgL_newtail1240z00_2571); 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_arg2309z00_2572;
BgL_arg2309z00_2572 = 
CDR(
((obj_t)BgL_l1236z00_2567)); 
{ 
 obj_t BgL_tail1239z00_5582; obj_t BgL_l1236z00_5581;
BgL_l1236z00_5581 = BgL_arg2309z00_2572; 
BgL_tail1239z00_5582 = BgL_newtail1240z00_2571; 
BgL_tail1239z00_2568 = BgL_tail1239z00_5582; 
BgL_l1236z00_2567 = BgL_l1236z00_5581; 
goto BgL_zc3z04anonymousza32307ze3z87_2569;} } } } } 
{ /* Eval/evaluate.scm 516 */
 obj_t BgL_localsz00_2533;
BgL_localsz00_2533 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2532, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 521 */
 obj_t BgL_bodyz00_2534;
{ /* Eval/evaluate.scm 522 */
 bool_t BgL_test3037z00_5584;
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tmpz00_5585;
BgL_tmpz00_5585 = 
CDR(
((obj_t)BgL_bodyz00_1539)); 
BgL_test3037z00_5584 = 
PAIRP(BgL_tmpz00_5585); } 
if(BgL_test3037z00_5584)
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_res2699z00_3505;
BgL_res2699z00_3505 = 
MAKE_YOUNG_EPAIR(BGl_symbol2798z00zz__evaluatez00, BgL_bodyz00_1539, BgL_locz00_74); 
BgL_bodyz00_2534 = BgL_res2699z00_3505; }  else 
{ /* Eval/evaluate.scm 522 */
BgL_bodyz00_2534 = 
CAR(
((obj_t)BgL_bodyz00_1539)); } } 
{ /* Eval/evaluate.scm 522 */
 obj_t BgL_tbodyz00_2535;
BgL_tbodyz00_2535 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2531, BgL_bindsz00_1538, BgL_bodyz00_2534, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 523 */
 obj_t BgL_blocz00_2536;
BgL_blocz00_2536 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1538, BgL_locz00_74); 
{ /* Eval/evaluate.scm 524 */

{ /* Eval/evaluate.scm 525 */
 BgL_ev_letrecz00_bglt BgL_new1133z00_2537;
{ /* Eval/evaluate.scm 526 */
 BgL_ev_letrecz00_bglt BgL_new1132z00_2558;
BgL_new1132z00_2558 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 526 */
 long BgL_arg2302z00_2559;
BgL_arg2302z00_2559 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_2558), BgL_arg2302z00_2559); } 
BgL_new1133z00_2537 = BgL_new1132z00_2558; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_2537)))->BgL_varsz00)=((obj_t)BgL_varsz00_2532),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5600;
if(
NULLP(BgL_bindsz00_1538))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5600 = BNIL
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_head1243z00_2540;
BgL_head1243z00_2540 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1241z00_2542; obj_t BgL_tail1244z00_2543;
BgL_l1241z00_2542 = BgL_bindsz00_1538; 
BgL_tail1244z00_2543 = BgL_head1243z00_2540; 
BgL_zc3z04anonymousza32291ze3z87_2544:
if(
NULLP(BgL_l1241z00_2542))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5600 = 
CDR(BgL_head1243z00_2540)
; }  else 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_newtail1245z00_2546;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2294z00_2548;
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_bz00_2549;
BgL_bz00_2549 = 
CAR(
((obj_t)BgL_l1241z00_2542)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2295z00_2550; obj_t BgL_arg2296z00_2551; obj_t BgL_arg2297z00_2552;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_pairz00_3515;
BgL_pairz00_3515 = 
CDR(
((obj_t)BgL_bz00_2549)); 
BgL_arg2295z00_2550 = 
CAR(BgL_pairz00_3515); } 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2298z00_2553;
BgL_arg2298z00_2553 = 
CAR(
((obj_t)BgL_bz00_2549)); 
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_list2299z00_2554;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2300z00_2555;
{ /* Eval/evaluate.scm 528 */
 obj_t BgL_arg2301z00_2556;
BgL_arg2301z00_2556 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2300z00_2555 = 
MAKE_YOUNG_PAIR(BGl_symbol2800z00zz__evaluatez00, BgL_arg2301z00_2556); } 
BgL_list2299z00_2554 = 
MAKE_YOUNG_PAIR(BgL_arg2298z00_2553, BgL_arg2300z00_2555); } 
BgL_arg2296z00_2551 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2299z00_2554); } } 
BgL_arg2297z00_2552 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2549, BgL_blocz00_2536); 
BgL_arg2294z00_2548 = 
BGl_convz00zz__evaluatez00(BgL_arg2295z00_2550, BgL_localsz00_2533, BgL_globalsz00_71, BFALSE, BgL_arg2296z00_2551, BgL_arg2297z00_2552, ((bool_t)0)); } } 
BgL_newtail1245z00_2546 = 
MAKE_YOUNG_PAIR(BgL_arg2294z00_2548, BNIL); } 
SET_CDR(BgL_tail1244z00_2543, BgL_newtail1245z00_2546); 
{ /* Eval/evaluate.scm 527 */
 obj_t BgL_arg2293z00_2547;
BgL_arg2293z00_2547 = 
CDR(
((obj_t)BgL_l1241z00_2542)); 
{ 
 obj_t BgL_tail1244z00_5626; obj_t BgL_l1241z00_5625;
BgL_l1241z00_5625 = BgL_arg2293z00_2547; 
BgL_tail1244z00_5626 = BgL_newtail1245z00_2546; 
BgL_tail1244z00_2543 = BgL_tail1244z00_5626; 
BgL_l1241z00_2542 = BgL_l1241z00_5625; 
goto BgL_zc3z04anonymousza32291ze3z87_2544;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_2537)))->BgL_valsz00)=((obj_t)BgL_auxz00_5600),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_2537)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2535, BgL_localsz00_2533, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5539 = BgL_new1133z00_2537; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5539);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1691z00_1743;
BgL_arg1691z00_1743 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5634;
{ 
 obj_t BgL_argsz00_5636; obj_t BgL_fz00_5635;
BgL_fz00_5635 = BgL_arg1691z00_1743; 
BgL_argsz00_5636 = BgL_cdrzd26736zd2_1737; 
BgL_argsz00_1580 = BgL_argsz00_5636; 
BgL_fz00_1579 = BgL_fz00_5635; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5634);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2819z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26736zd2_1737))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26912zd2_1749; obj_t BgL_cdrzd26913zd2_1750;
BgL_carzd26912zd2_1749 = 
CAR(BgL_cdrzd26736zd2_1737); 
BgL_cdrzd26913zd2_1750 = 
CDR(BgL_cdrzd26736zd2_1737); 
if(
PAIRP(BgL_carzd26912zd2_1749))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd26917zd2_1752;
BgL_cdrzd26917zd2_1752 = 
CDR(BgL_carzd26912zd2_1749); 
if(
(
CAR(BgL_carzd26912zd2_1749)==BGl_symbol2805z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26917zd2_1752))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26920zd2_1756; obj_t BgL_cdrzd26921zd2_1757;
BgL_carzd26920zd2_1756 = 
CAR(BgL_cdrzd26917zd2_1752); 
BgL_cdrzd26921zd2_1757 = 
CDR(BgL_cdrzd26917zd2_1752); 
if(
SYMBOLP(BgL_carzd26920zd2_1756))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26921zd2_1757))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd26925zd2_1760;
BgL_carzd26925zd2_1760 = 
CAR(BgL_cdrzd26921zd2_1757); 
if(
SYMBOLP(BgL_carzd26925zd2_1760))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26921zd2_1757)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26913zd2_1750))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26913zd2_1750)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1709z00_1767;
BgL_arg1709z00_1767 = 
CAR(BgL_cdrzd26913zd2_1750); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5671;
BgL_idz00_1541 = BgL_carzd26920zd2_1756; 
BgL_modnamez00_1542 = BgL_carzd26925zd2_1760; 
BgL_ez00_1543 = BgL_arg1709z00_1767; 
BgL_tagzd2163zd2_1544:
{ /* Eval/evaluate.scm 531 */
 BgL_ev_setglobalz00_bglt BgL_new1135z00_2593;
{ /* Eval/evaluate.scm 535 */
 BgL_ev_setglobalz00_bglt BgL_new1134z00_2594;
BgL_new1134z00_2594 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 535 */
 long BgL_arg2318z00_2595;
BgL_arg2318z00_2595 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_2594), BgL_arg2318z00_2595); } 
BgL_new1135z00_2593 = BgL_new1134z00_2594; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1135z00_2593)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1543))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1135z00_2593))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1135z00_2593))->BgL_namez00)=((obj_t)BgL_idz00_1541),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1135z00_2593))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1542)),BUNSPEC); 
BgL_auxz00_5671 = BgL_new1135z00_2593; } 
return 
((obj_t)BgL_auxz00_5671);} }  else 
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2166zd2_1551:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2718z00zz__evaluatez00, BGl_string2797z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27041zd2_1769;
BgL_cdrzd27041zd2_1769 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27045zd2_1770;
BgL_cdrzd27045zd2_1770 = 
CDR(
((obj_t)BgL_cdrzd27041zd2_1769)); 
if(
PAIRP(BgL_cdrzd27045zd2_1770))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27045zd2_1770)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1718z00_1774; obj_t BgL_arg1719z00_1775;
BgL_arg1718z00_1774 = 
CAR(
((obj_t)BgL_cdrzd27041zd2_1769)); 
BgL_arg1719z00_1775 = 
CAR(BgL_cdrzd27045zd2_1770); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5697;
BgL_vz00_1548 = BgL_arg1718z00_1774; 
BgL_ez00_1549 = BgL_arg1719z00_1775; 
BgL_tagzd2165zd2_1550:
{ /* Eval/evaluate.scm 541 */
 obj_t BgL_cvz00_2622; obj_t BgL_ez00_2623;
BgL_cvz00_2622 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1548, BgL_localsz00_70); 
BgL_ez00_2623 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1549); 
if(
CBOOL(BgL_cvz00_2622))
{ /* Eval/evaluate.scm 543 */
 BgL_ev_setlocalz00_bglt BgL_new1137z00_2624;
{ /* Eval/evaluate.scm 545 */
 BgL_ev_setlocalz00_bglt BgL_new1136z00_2625;
BgL_new1136z00_2625 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 545 */
 long BgL_arg2332z00_2626;
BgL_arg2332z00_2626 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1136z00_2625), BgL_arg2332z00_2626); } 
BgL_new1137z00_2624 = BgL_new1136z00_2625; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1137z00_2624)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2623)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1137z00_2624))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2622)),BUNSPEC); 
BgL_auxz00_5697 = 
((BgL_ev_hookz00_bglt)BgL_new1137z00_2624); }  else 
{ /* Eval/evaluate.scm 546 */
 BgL_ev_setglobalz00_bglt BgL_new1139z00_2627;
{ /* Eval/evaluate.scm 550 */
 BgL_ev_setglobalz00_bglt BgL_new1138z00_2629;
BgL_new1138z00_2629 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 550 */
 long BgL_arg2334z00_2630;
BgL_arg2334z00_2630 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_2629), BgL_arg2334z00_2630); } 
BgL_new1139z00_2627 = BgL_new1138z00_2629; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1139z00_2627)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2623)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1139z00_2627))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1139z00_2627))->BgL_namez00)=((obj_t)BgL_vz00_1548),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5721;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5721 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5721 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1139z00_2627))->BgL_modz00)=((obj_t)BgL_auxz00_5721),BUNSPEC); } 
BgL_auxz00_5697 = 
((BgL_ev_hookz00_bglt)BgL_new1139z00_2627); } } 
return 
((obj_t)BgL_auxz00_5697);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27102zd2_1778;
BgL_cdrzd27102zd2_1778 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27106zd2_1779;
BgL_cdrzd27106zd2_1779 = 
CDR(
((obj_t)BgL_cdrzd27102zd2_1778)); 
if(
PAIRP(BgL_cdrzd27106zd2_1779))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27106zd2_1779)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1725z00_1783; obj_t BgL_arg1726z00_1784;
BgL_arg1725z00_1783 = 
CAR(
((obj_t)BgL_cdrzd27102zd2_1778)); 
BgL_arg1726z00_1784 = 
CAR(BgL_cdrzd27106zd2_1779); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5739;
{ 
 obj_t BgL_ez00_5741; obj_t BgL_vz00_5740;
BgL_vz00_5740 = BgL_arg1725z00_1783; 
BgL_ez00_5741 = BgL_arg1726z00_1784; 
BgL_ez00_1549 = BgL_ez00_5741; 
BgL_vz00_1548 = BgL_vz00_5740; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5739);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27163zd2_1786;
BgL_cdrzd27163zd2_1786 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27167zd2_1787;
BgL_cdrzd27167zd2_1787 = 
CDR(
((obj_t)BgL_cdrzd27163zd2_1786)); 
if(
PAIRP(BgL_cdrzd27167zd2_1787))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27167zd2_1787)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1731z00_1791; obj_t BgL_arg1732z00_1792;
BgL_arg1731z00_1791 = 
CAR(
((obj_t)BgL_cdrzd27163zd2_1786)); 
BgL_arg1732z00_1792 = 
CAR(BgL_cdrzd27167zd2_1787); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5754;
{ 
 obj_t BgL_ez00_5756; obj_t BgL_vz00_5755;
BgL_vz00_5755 = BgL_arg1731z00_1791; 
BgL_ez00_5756 = BgL_arg1732z00_1792; 
BgL_ez00_1549 = BgL_ez00_5756; 
BgL_vz00_1548 = BgL_vz00_5755; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5754);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27224zd2_1794;
BgL_cdrzd27224zd2_1794 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27228zd2_1795;
BgL_cdrzd27228zd2_1795 = 
CDR(
((obj_t)BgL_cdrzd27224zd2_1794)); 
if(
PAIRP(BgL_cdrzd27228zd2_1795))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27228zd2_1795)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1737z00_1799; obj_t BgL_arg1738z00_1800;
BgL_arg1737z00_1799 = 
CAR(
((obj_t)BgL_cdrzd27224zd2_1794)); 
BgL_arg1738z00_1800 = 
CAR(BgL_cdrzd27228zd2_1795); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5769;
{ 
 obj_t BgL_ez00_5771; obj_t BgL_vz00_5770;
BgL_vz00_5770 = BgL_arg1737z00_1799; 
BgL_ez00_5771 = BgL_arg1738z00_1800; 
BgL_ez00_1549 = BgL_ez00_5771; 
BgL_vz00_1548 = BgL_vz00_5770; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5769);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27285zd2_1802;
BgL_cdrzd27285zd2_1802 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27289zd2_1803;
BgL_cdrzd27289zd2_1803 = 
CDR(
((obj_t)BgL_cdrzd27285zd2_1802)); 
if(
PAIRP(BgL_cdrzd27289zd2_1803))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27289zd2_1803)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1744z00_1807; obj_t BgL_arg1745z00_1808;
BgL_arg1744z00_1807 = 
CAR(
((obj_t)BgL_cdrzd27285zd2_1802)); 
BgL_arg1745z00_1808 = 
CAR(BgL_cdrzd27289zd2_1803); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5784;
{ 
 obj_t BgL_ez00_5786; obj_t BgL_vz00_5785;
BgL_vz00_5785 = BgL_arg1744z00_1807; 
BgL_ez00_5786 = BgL_arg1745z00_1808; 
BgL_ez00_1549 = BgL_ez00_5786; 
BgL_vz00_1548 = BgL_vz00_5785; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5784);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27333zd2_1810;
BgL_cdrzd27333zd2_1810 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27336zd2_1811; obj_t BgL_cdrzd27337zd2_1812;
BgL_carzd27336zd2_1811 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1810)); 
BgL_cdrzd27337zd2_1812 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1810)); 
if(
(
CAR(
((obj_t)BgL_carzd27336zd2_1811))==BGl_symbol2807z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27337zd2_1812))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27337zd2_1812)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1753z00_1818; obj_t BgL_arg1754z00_1819;
BgL_arg1753z00_1818 = 
CDR(
((obj_t)BgL_carzd27336zd2_1811)); 
BgL_arg1754z00_1819 = 
CAR(BgL_cdrzd27337zd2_1812); 
BgL_lz00_1545 = BgL_arg1753z00_1818; 
BgL_e2z00_1546 = BgL_arg1754z00_1819; 
BgL_tagzd2164zd2_1547:
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3066z00_5805;
if(
PAIRP(BgL_lz00_1545))
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3068z00_5808;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5809;
BgL_tmpz00_5809 = 
CDR(BgL_lz00_1545); 
BgL_test3068z00_5808 = 
PAIRP(BgL_tmpz00_5809); } 
if(BgL_test3068z00_5808)
{ 
 obj_t BgL_l1246z00_2613;
BgL_l1246z00_2613 = BgL_lz00_1545; 
BgL_zc3z04anonymousza32328ze3z87_2614:
if(
NULLP(BgL_l1246z00_2613))
{ /* Eval/evaluate.scm 537 */
BgL_test3066z00_5805 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 537 */
 bool_t BgL_test3070z00_5814;
{ /* Eval/evaluate.scm 537 */
 obj_t BgL_tmpz00_5815;
BgL_tmpz00_5815 = 
CAR(
((obj_t)BgL_l1246z00_2613)); 
BgL_test3070z00_5814 = 
SYMBOLP(BgL_tmpz00_5815); } 
if(BgL_test3070z00_5814)
{ 
 obj_t BgL_l1246z00_5819;
BgL_l1246z00_5819 = 
CDR(
((obj_t)BgL_l1246z00_2613)); 
BgL_l1246z00_2613 = BgL_l1246z00_5819; 
goto BgL_zc3z04anonymousza32328ze3z87_2614;}  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3066z00_5805 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3066z00_5805 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_test3066z00_5805 = ((bool_t)0)
; } 
if(BgL_test3066z00_5805)
{ /* Eval/evaluate.scm 537 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1545, BgL_e2z00_1546, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 537 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2718z00zz__evaluatez00, BGl_string2797z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27413zd2_1822;
BgL_cdrzd27413zd2_1822 = 
CDR(
((obj_t)BgL_cdrzd27333zd2_1810)); 
if(
PAIRP(BgL_cdrzd27413zd2_1822))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27413zd2_1822)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1760z00_1826; obj_t BgL_arg1761z00_1827;
BgL_arg1760z00_1826 = 
CAR(
((obj_t)BgL_cdrzd27333zd2_1810)); 
BgL_arg1761z00_1827 = 
CAR(BgL_cdrzd27413zd2_1822); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5834;
{ 
 obj_t BgL_ez00_5836; obj_t BgL_vz00_5835;
BgL_vz00_5835 = BgL_arg1760z00_1826; 
BgL_ez00_5836 = BgL_arg1761z00_1827; 
BgL_ez00_1549 = BgL_ez00_5836; 
BgL_vz00_1548 = BgL_vz00_5835; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5834);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27470zd2_1831;
BgL_cdrzd27470zd2_1831 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27474zd2_1832;
BgL_cdrzd27474zd2_1832 = 
CDR(
((obj_t)BgL_cdrzd27470zd2_1831)); 
if(
PAIRP(BgL_cdrzd27474zd2_1832))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27474zd2_1832)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1768z00_1836; obj_t BgL_arg1769z00_1837;
BgL_arg1768z00_1836 = 
CAR(
((obj_t)BgL_cdrzd27470zd2_1831)); 
BgL_arg1769z00_1837 = 
CAR(BgL_cdrzd27474zd2_1832); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5849;
{ 
 obj_t BgL_ez00_5851; obj_t BgL_vz00_5850;
BgL_vz00_5850 = BgL_arg1768z00_1836; 
BgL_ez00_5851 = BgL_arg1769z00_1837; 
BgL_ez00_1549 = BgL_ez00_5851; 
BgL_vz00_1548 = BgL_vz00_5850; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_5849);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27595zd2_1839;
BgL_cdrzd27595zd2_1839 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2821z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1839))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27600zd2_1843;
BgL_cdrzd27600zd2_1843 = 
CDR(BgL_cdrzd27595zd2_1839); 
if(
PAIRP(BgL_cdrzd27600zd2_1843))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd27604zd2_1845;
BgL_carzd27604zd2_1845 = 
CAR(BgL_cdrzd27600zd2_1843); 
if(
PAIRP(BgL_carzd27604zd2_1845))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27609zd2_1847;
BgL_cdrzd27609zd2_1847 = 
CDR(BgL_carzd27604zd2_1845); 
if(
(
CAR(BgL_carzd27604zd2_1845)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27609zd2_1847))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27613zd2_1851;
BgL_cdrzd27613zd2_1851 = 
CDR(BgL_cdrzd27609zd2_1847); 
if(
PAIRP(BgL_cdrzd27613zd2_1851))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27613zd2_1851)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27600zd2_1843)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1785z00_1857; obj_t BgL_arg1786z00_1858; obj_t BgL_arg1787z00_1859;
BgL_arg1785z00_1857 = 
CAR(BgL_cdrzd27595zd2_1839); 
BgL_arg1786z00_1858 = 
CAR(BgL_cdrzd27609zd2_1847); 
BgL_arg1787z00_1859 = 
CAR(BgL_cdrzd27613zd2_1851); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5883;
BgL_gvz00_1552 = BgL_arg1785z00_1857; 
BgL_formalsz00_1553 = BgL_arg1786z00_1858; 
BgL_bodyz00_1554 = BgL_arg1787z00_1859; 
BgL_tagzd2167zd2_1555:
{ /* Eval/evaluate.scm 554 */
 obj_t BgL_tidz00_2631;
BgL_tidz00_2631 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1552); 
{ /* Eval/evaluate.scm 555 */
 BgL_ev_defglobalz00_bglt BgL_new1141z00_2632;
{ /* Eval/evaluate.scm 559 */
 BgL_ev_defglobalz00_bglt BgL_new1140z00_2635;
BgL_new1140z00_2635 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 559 */
 long BgL_arg2337z00_2636;
BgL_arg2337z00_2636 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1140z00_2635), BgL_arg2337z00_2636); } 
BgL_new1141z00_2632 = BgL_new1140z00_2635; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5889;
{ /* Eval/evaluate.scm 559 */
 obj_t BgL_arg2335z00_2633;
BgL_arg2335z00_2633 = 
CDR(BgL_tidz00_2631); 
BgL_auxz00_5889 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1553, BgL_bodyz00_1554, BgL_gvz00_1552, BgL_arg2335z00_2633)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1141z00_2632)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5889),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2632)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2632)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2631)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5900;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5900 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5900 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1141z00_2632)))->BgL_modz00)=((obj_t)BgL_auxz00_5900),BUNSPEC); } 
BgL_auxz00_5883 = BgL_new1141z00_2632; } } 
return 
((obj_t)BgL_auxz00_5883);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1788z00_1860;
BgL_arg1788z00_1860 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5908;
{ 
 obj_t BgL_argsz00_5910; obj_t BgL_fz00_5909;
BgL_fz00_5909 = BgL_arg1788z00_1860; 
BgL_argsz00_5910 = BgL_cdrzd27595zd2_1839; 
BgL_argsz00_1580 = BgL_argsz00_5910; 
BgL_fz00_1579 = BgL_fz00_5909; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5908);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27715zd2_1864;
BgL_cdrzd27715zd2_1864 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27715zd2_1864))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1793z00_1867; obj_t BgL_arg1794z00_1868;
BgL_arg1793z00_1867 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
BgL_arg1794z00_1868 = 
CAR(
((obj_t)BgL_cdrzd27715zd2_1864)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5922;
BgL_gvz00_1556 = BgL_arg1793z00_1867; 
BgL_gez00_1557 = BgL_arg1794z00_1868; 
BgL_tagzd2168zd2_1558:
{ /* Eval/evaluate.scm 561 */
 obj_t BgL_tidz00_2637;
BgL_tidz00_2637 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1556); 
{ /* Eval/evaluate.scm 562 */
 BgL_ev_defglobalz00_bglt BgL_new1143z00_2638;
{ /* Eval/evaluate.scm 566 */
 BgL_ev_defglobalz00_bglt BgL_new1142z00_2643;
BgL_new1142z00_2643 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 566 */
 long BgL_arg2342z00_2644;
BgL_arg2342z00_2644 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1142z00_2643), BgL_arg2342z00_2644); } 
BgL_new1143z00_2638 = BgL_new1142z00_2643; } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5928;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2338z00_2639;
{ /* Eval/evaluate.scm 567 */
 obj_t BgL_arg2340z00_2641;
BgL_arg2340z00_2641 = 
CDR(BgL_tidz00_2637); 
BgL_arg2338z00_2639 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2340z00_2641, BgL_gez00_1557, BgL_locz00_74); } 
{ 
 obj_t BgL_auxz00_5932;
BgL_ez00_2690 = BgL_arg2338z00_2639; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2691 = BgL_gvz00_1556; }  else 
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2691 = BgL_wherez00_73; } 
BgL_ez00_2680 = BgL_ez00_2690; 
BgL_locz00_2681 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2690, BgL_locz00_74); 
BgL_wherez00_2682 = BgL_wherez00_2691; 
BgL_auxz00_5932 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2680, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2682, BgL_locz00_2681, ((bool_t)0)); 
BgL_auxz00_5928 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5932); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1143z00_2638)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5928),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1143z00_2638)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1143z00_2638)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2637)),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5943;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5943 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5943 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1143z00_2638)))->BgL_modz00)=((obj_t)BgL_auxz00_5943),BUNSPEC); } 
BgL_auxz00_5922 = BgL_new1143z00_2638; } } 
return 
((obj_t)BgL_auxz00_5922);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1795z00_1869; obj_t BgL_arg1796z00_1870;
BgL_arg1795z00_1869 = 
CAR(BgL_ez00_69); 
BgL_arg1796z00_1870 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5952;
{ 
 obj_t BgL_argsz00_5954; obj_t BgL_fz00_5953;
BgL_fz00_5953 = BgL_arg1795z00_1869; 
BgL_argsz00_5954 = BgL_arg1796z00_1870; 
BgL_argsz00_1580 = BgL_argsz00_5954; 
BgL_fz00_1579 = BgL_fz00_5953; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5952);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27804zd2_1874;
BgL_cdrzd27804zd2_1874 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27804zd2_1874))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1801z00_1877; obj_t BgL_arg1802z00_1878;
BgL_arg1801z00_1877 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
BgL_arg1802z00_1878 = 
CAR(
((obj_t)BgL_cdrzd27804zd2_1874)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5966;
{ 
 obj_t BgL_gez00_5968; obj_t BgL_gvz00_5967;
BgL_gvz00_5967 = BgL_arg1801z00_1877; 
BgL_gez00_5968 = BgL_arg1802z00_1878; 
BgL_gez00_1557 = BgL_gez00_5968; 
BgL_gvz00_1556 = BgL_gvz00_5967; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_5966);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1803z00_1879; obj_t BgL_arg1804z00_1880;
BgL_arg1803z00_1879 = 
CAR(BgL_ez00_69); 
BgL_arg1804z00_1880 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5972;
{ 
 obj_t BgL_argsz00_5974; obj_t BgL_fz00_5973;
BgL_fz00_5973 = BgL_arg1803z00_1879; 
BgL_argsz00_5974 = BgL_arg1804z00_1880; 
BgL_argsz00_1580 = BgL_argsz00_5974; 
BgL_fz00_1579 = BgL_fz00_5973; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5972);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27893zd2_1883;
BgL_cdrzd27893zd2_1883 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27893zd2_1883))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1808z00_1886; obj_t BgL_arg1809z00_1887;
BgL_arg1808z00_1886 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
BgL_arg1809z00_1887 = 
CAR(
((obj_t)BgL_cdrzd27893zd2_1883)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5986;
{ 
 obj_t BgL_gez00_5988; obj_t BgL_gvz00_5987;
BgL_gvz00_5987 = BgL_arg1808z00_1886; 
BgL_gez00_5988 = BgL_arg1809z00_1887; 
BgL_gez00_1557 = BgL_gez00_5988; 
BgL_gvz00_1556 = BgL_gvz00_5987; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_5986);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1811z00_1888; obj_t BgL_arg1812z00_1889;
BgL_arg1811z00_1888 = 
CAR(BgL_ez00_69); 
BgL_arg1812z00_1889 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5992;
{ 
 obj_t BgL_argsz00_5994; obj_t BgL_fz00_5993;
BgL_fz00_5993 = BgL_arg1811z00_1888; 
BgL_argsz00_5994 = BgL_arg1812z00_1889; 
BgL_argsz00_1580 = BgL_argsz00_5994; 
BgL_fz00_1579 = BgL_fz00_5993; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_5992);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd27982zd2_1892;
BgL_cdrzd27982zd2_1892 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27982zd2_1892))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1817z00_1895; obj_t BgL_arg1818z00_1896;
BgL_arg1817z00_1895 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
BgL_arg1818z00_1896 = 
CAR(
((obj_t)BgL_cdrzd27982zd2_1892)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6006;
{ 
 obj_t BgL_gez00_6008; obj_t BgL_gvz00_6007;
BgL_gvz00_6007 = BgL_arg1817z00_1895; 
BgL_gez00_6008 = BgL_arg1818z00_1896; 
BgL_gez00_1557 = BgL_gez00_6008; 
BgL_gvz00_1556 = BgL_gvz00_6007; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6006);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1819z00_1897; obj_t BgL_arg1820z00_1898;
BgL_arg1819z00_1897 = 
CAR(BgL_ez00_69); 
BgL_arg1820z00_1898 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6012;
{ 
 obj_t BgL_argsz00_6014; obj_t BgL_fz00_6013;
BgL_fz00_6013 = BgL_arg1819z00_1897; 
BgL_argsz00_6014 = BgL_arg1820z00_1898; 
BgL_argsz00_1580 = BgL_argsz00_6014; 
BgL_fz00_1579 = BgL_fz00_6013; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6012);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28071zd2_1902;
BgL_cdrzd28071zd2_1902 = 
CDR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28071zd2_1902))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1825z00_1905; obj_t BgL_arg1826z00_1906;
BgL_arg1825z00_1905 = 
CAR(
((obj_t)BgL_cdrzd27595zd2_1839)); 
BgL_arg1826z00_1906 = 
CAR(
((obj_t)BgL_cdrzd28071zd2_1902)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6026;
{ 
 obj_t BgL_gez00_6028; obj_t BgL_gvz00_6027;
BgL_gvz00_6027 = BgL_arg1825z00_1905; 
BgL_gez00_6028 = BgL_arg1826z00_1906; 
BgL_gez00_1557 = BgL_gez00_6028; 
BgL_gvz00_1556 = BgL_gvz00_6027; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6026);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1827z00_1907; obj_t BgL_arg1828z00_1908;
BgL_arg1827z00_1907 = 
CAR(BgL_ez00_69); 
BgL_arg1828z00_1908 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6032;
{ 
 obj_t BgL_argsz00_6034; obj_t BgL_fz00_6033;
BgL_fz00_6033 = BgL_arg1827z00_1907; 
BgL_argsz00_6034 = BgL_arg1828z00_1908; 
BgL_argsz00_1580 = BgL_argsz00_6034; 
BgL_fz00_1579 = BgL_fz00_6033; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6032);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1830z00_1910;
BgL_arg1830z00_1910 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6037;
{ 
 obj_t BgL_argsz00_6039; obj_t BgL_fz00_6038;
BgL_fz00_6038 = BgL_arg1830z00_1910; 
BgL_argsz00_6039 = BgL_cdrzd27595zd2_1839; 
BgL_argsz00_1580 = BgL_argsz00_6039; 
BgL_fz00_1579 = BgL_fz00_6038; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6037);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1832z00_1912;
BgL_arg1832z00_1912 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6042;
{ 
 obj_t BgL_argsz00_6044; obj_t BgL_fz00_6043;
BgL_fz00_6043 = BgL_arg1832z00_1912; 
BgL_argsz00_6044 = BgL_cdrzd27595zd2_1839; 
BgL_argsz00_1580 = BgL_argsz00_6044; 
BgL_fz00_1579 = BgL_fz00_6043; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6042);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2823z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27595zd2_1839))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd28319zd2_1918;
BgL_carzd28319zd2_1918 = 
CAR(BgL_cdrzd27595zd2_1839); 
if(
PAIRP(BgL_carzd28319zd2_1918))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd28319zd2_1918)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1840z00_1922; obj_t BgL_arg1841z00_1923;
BgL_arg1840z00_1922 = 
CAR(BgL_carzd28319zd2_1918); 
BgL_arg1841z00_1923 = 
CDR(BgL_cdrzd27595zd2_1839); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6059;
BgL_vz00_1559 = BgL_arg1840z00_1922; 
BgL_bodyz00_1560 = BgL_arg1841z00_1923; 
BgL_tagzd2169zd2_1561:
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_varz00_2645;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1145z00_2650;
{ /* Eval/evaluate.scm 570 */
 BgL_ev_varz00_bglt BgL_new1144z00_2651;
BgL_new1144z00_2651 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 570 */
 long BgL_arg2345z00_2652;
BgL_arg2345z00_2652 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_2651), BgL_arg2345z00_2652); } 
BgL_new1145z00_2650 = BgL_new1144z00_2651; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1145z00_2650))->BgL_namez00)=((obj_t)BgL_vz00_1559),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1145z00_2650))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1145z00_2650))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2645 = BgL_new1145z00_2650; } 
{ /* Eval/evaluate.scm 571 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1147z00_2646;
{ /* Eval/evaluate.scm 572 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1146z00_2648;
BgL_new1146z00_2648 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 572 */
 long BgL_arg2344z00_2649;
BgL_arg2344z00_2649 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_2648), BgL_arg2344z00_2649); } 
BgL_new1147z00_2646 = BgL_new1146z00_2648; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1147z00_2646))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2645),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_6072;
{ /* Eval/evaluate.scm 573 */
 obj_t BgL_arg2343z00_2647;
BgL_arg2343z00_2647 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2645), BgL_localsz00_70); 
BgL_auxz00_6072 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1560, BgL_arg2343z00_2647, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1147z00_2646))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6072),BUNSPEC); } 
BgL_auxz00_6059 = BgL_new1147z00_2646; } } 
return 
((obj_t)BgL_auxz00_6059);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1842z00_1924; obj_t BgL_arg1843z00_1925;
BgL_arg1842z00_1924 = 
CAR(BgL_ez00_69); 
BgL_arg1843z00_1925 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6081;
{ 
 obj_t BgL_argsz00_6083; obj_t BgL_fz00_6082;
BgL_fz00_6082 = BgL_arg1842z00_1924; 
BgL_argsz00_6083 = BgL_arg1843z00_1925; 
BgL_argsz00_1580 = BgL_argsz00_6083; 
BgL_fz00_1579 = BgL_fz00_6082; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6081);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1845z00_1927; obj_t BgL_arg1846z00_1928;
BgL_arg1845z00_1927 = 
CAR(BgL_ez00_69); 
BgL_arg1846z00_1928 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6087;
{ 
 obj_t BgL_argsz00_6089; obj_t BgL_fz00_6088;
BgL_fz00_6088 = BgL_arg1845z00_1927; 
BgL_argsz00_6089 = BgL_arg1846z00_1928; 
BgL_argsz00_1580 = BgL_argsz00_6089; 
BgL_fz00_1579 = BgL_fz00_6088; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6087);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1847z00_1929; obj_t BgL_arg1848z00_1930;
BgL_arg1847z00_1929 = 
CAR(BgL_ez00_69); 
BgL_arg1848z00_1930 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6093;
{ 
 obj_t BgL_argsz00_6095; obj_t BgL_fz00_6094;
BgL_fz00_6094 = BgL_arg1847z00_1929; 
BgL_argsz00_6095 = BgL_arg1848z00_1930; 
BgL_argsz00_1580 = BgL_argsz00_6095; 
BgL_fz00_1579 = BgL_fz00_6094; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6093);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28490zd2_1931;
BgL_cdrzd28490zd2_1931 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2825z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1931))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1852z00_1935; obj_t BgL_arg1853z00_1936;
BgL_arg1852z00_1935 = 
CAR(BgL_cdrzd28490zd2_1931); 
BgL_arg1853z00_1936 = 
CDR(BgL_cdrzd28490zd2_1931); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6105;
BgL_ez00_1562 = BgL_arg1852z00_1935; 
BgL_bodyz00_1563 = BgL_arg1853z00_1936; 
BgL_tagzd2170zd2_1564:
{ /* Eval/evaluate.scm 575 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1149z00_2653;
{ /* Eval/evaluate.scm 576 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1148z00_2654;
BgL_new1148z00_2654 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 576 */
 long BgL_arg2346z00_2655;
BgL_arg2346z00_2655 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_2654), BgL_arg2346z00_2655); } 
BgL_new1149z00_2653 = BgL_new1148z00_2654; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1149z00_2653))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1562))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1149z00_2653))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1563, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6105 = BgL_new1149z00_2653; } 
return 
((obj_t)BgL_auxz00_6105);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1854z00_1937;
BgL_arg1854z00_1937 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6118;
{ 
 obj_t BgL_argsz00_6120; obj_t BgL_fz00_6119;
BgL_fz00_6119 = BgL_arg1854z00_1937; 
BgL_argsz00_6120 = BgL_cdrzd28490zd2_1931; 
BgL_argsz00_1580 = BgL_argsz00_6120; 
BgL_fz00_1579 = BgL_fz00_6119; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6118);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2827z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28490zd2_1931))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1859z00_1943; obj_t BgL_arg1860z00_1944;
BgL_arg1859z00_1943 = 
CAR(BgL_cdrzd28490zd2_1931); 
BgL_arg1860z00_1944 = 
CDR(BgL_cdrzd28490zd2_1931); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6129;
BgL_hz00_1565 = BgL_arg1859z00_1943; 
BgL_bodyz00_1566 = BgL_arg1860z00_1944; 
BgL_tagzd2171zd2_1567:
{ /* Eval/evaluate.scm 579 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1151z00_2656;
{ /* Eval/evaluate.scm 580 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1150z00_2657;
BgL_new1150z00_2657 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 580 */
 long BgL_arg2347z00_2658;
BgL_arg2347z00_2658 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_2657), BgL_arg2347z00_2658); } 
BgL_new1151z00_2656 = BgL_new1150z00_2657; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1151z00_2656))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1565))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1151z00_2656))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1566, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6129 = BgL_new1151z00_2656; } 
return 
((obj_t)BgL_auxz00_6129);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1861z00_1945; obj_t BgL_arg1863z00_1946;
BgL_arg1861z00_1945 = 
CAR(BgL_ez00_69); 
BgL_arg1863z00_1946 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6143;
{ 
 obj_t BgL_argsz00_6145; obj_t BgL_fz00_6144;
BgL_fz00_6144 = BgL_arg1861z00_1945; 
BgL_argsz00_6145 = BgL_arg1863z00_1946; 
BgL_argsz00_1580 = BgL_argsz00_6145; 
BgL_fz00_1579 = BgL_fz00_6144; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6143);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28597zd2_1947;
BgL_cdrzd28597zd2_1947 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2829z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1947))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28602zd2_1951;
BgL_cdrzd28602zd2_1951 = 
CDR(BgL_cdrzd28597zd2_1947); 
if(
PAIRP(BgL_cdrzd28602zd2_1951))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28607zd2_1953;
BgL_cdrzd28607zd2_1953 = 
CDR(BgL_cdrzd28602zd2_1951); 
if(
(
CAR(BgL_cdrzd28602zd2_1951)==BGl_keyword2831z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28607zd2_1953))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1871z00_1957; obj_t BgL_arg1872z00_1958; obj_t BgL_arg1873z00_1959;
BgL_arg1871z00_1957 = 
CAR(BgL_cdrzd28597zd2_1947); 
BgL_arg1872z00_1958 = 
CAR(BgL_cdrzd28607zd2_1953); 
BgL_arg1873z00_1959 = 
CDR(BgL_cdrzd28607zd2_1953); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6165;
BgL_mz00_1568 = BgL_arg1871z00_1957; 
BgL_pz00_1569 = BgL_arg1872z00_1958; 
BgL_bodyz00_1570 = BgL_arg1873z00_1959; 
BgL_tagzd2172zd2_1571:
{ /* Eval/evaluate.scm 583 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2659;
{ /* Eval/evaluate.scm 584 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2660;
BgL_new1152z00_2660 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 584 */
 long BgL_arg2348z00_2661;
BgL_arg2348z00_2661 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_2660), BgL_arg2348z00_2661); } 
BgL_new1153z00_2659 = BgL_new1152z00_2660; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2659))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2659))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1568))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2659))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1569))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1153z00_2659))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1570, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6165 = BgL_new1153z00_2659; } 
return 
((obj_t)BgL_auxz00_6165);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1874z00_1961; obj_t BgL_arg1875z00_1962;
BgL_arg1874z00_1961 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
BgL_arg1875z00_1962 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6185;
BgL_mz00_1572 = BgL_arg1874z00_1961; 
BgL_bodyz00_1573 = BgL_arg1875z00_1962; 
BgL_tagzd2173zd2_1574:
{ /* Eval/evaluate.scm 589 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1155z00_2662;
{ /* Eval/evaluate.scm 590 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1154z00_2663;
BgL_new1154z00_2663 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 590 */
 long BgL_arg2349z00_2664;
BgL_arg2349z00_2664 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_2663), BgL_arg2349z00_2664); } 
BgL_new1155z00_2662 = BgL_new1154z00_2663; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1155z00_2662))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1155z00_2662))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1572))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1155z00_2662))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1155z00_2662))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1573, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6185 = BgL_new1155z00_2662; } 
return 
((obj_t)BgL_auxz00_6185);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1876z00_1964; obj_t BgL_arg1877z00_1965;
BgL_arg1876z00_1964 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
BgL_arg1877z00_1965 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6205;
{ 
 obj_t BgL_bodyz00_6207; obj_t BgL_mz00_6206;
BgL_mz00_6206 = BgL_arg1876z00_1964; 
BgL_bodyz00_6207 = BgL_arg1877z00_1965; 
BgL_bodyz00_1573 = BgL_bodyz00_6207; 
BgL_mz00_1572 = BgL_mz00_6206; 
goto BgL_tagzd2173zd2_1574;} 
return 
((obj_t)BgL_auxz00_6205);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1879z00_1968; obj_t BgL_arg1880z00_1969;
BgL_arg1879z00_1968 = 
CAR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
BgL_arg1880z00_1969 = 
CDR(
((obj_t)BgL_cdrzd28597zd2_1947)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6213;
{ 
 obj_t BgL_bodyz00_6215; obj_t BgL_mz00_6214;
BgL_mz00_6214 = BgL_arg1879z00_1968; 
BgL_bodyz00_6215 = BgL_arg1880z00_1969; 
BgL_bodyz00_1573 = BgL_bodyz00_6215; 
BgL_mz00_1572 = BgL_mz00_6214; 
goto BgL_tagzd2173zd2_1574;} 
return 
((obj_t)BgL_auxz00_6213);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1881z00_1970;
BgL_arg1881z00_1970 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6218;
{ 
 obj_t BgL_argsz00_6220; obj_t BgL_fz00_6219;
BgL_fz00_6219 = BgL_arg1881z00_1970; 
BgL_argsz00_6220 = BgL_cdrzd28597zd2_1947; 
BgL_argsz00_1580 = BgL_argsz00_6220; 
BgL_fz00_1579 = BgL_fz00_6219; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6218);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28597zd2_1947))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd28709zd2_1976;
BgL_cdrzd28709zd2_1976 = 
CDR(BgL_cdrzd28597zd2_1947); 
if(
PAIRP(BgL_cdrzd28709zd2_1976))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd28709zd2_1976)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1889z00_1980; obj_t BgL_arg1890z00_1981;
BgL_arg1889z00_1980 = 
CAR(BgL_cdrzd28597zd2_1947); 
BgL_arg1890z00_1981 = 
CAR(BgL_cdrzd28709zd2_1976); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_6235;
BgL_formalsz00_1575 = BgL_arg1889z00_1980; 
BgL_bodyz00_1576 = BgL_arg1890z00_1981; 
BgL_tagzd2174zd2_1577:
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2350z00_2665;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2351z00_2666;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2352z00_2667; obj_t BgL_arg2353z00_2668;
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_symbolz00_3559;
BgL_symbolz00_3559 = BGl_symbol2795z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2524z00_3560;
BgL_arg2524z00_3560 = 
SYMBOL_TO_STRING(BgL_symbolz00_3559); 
BgL_arg2352z00_2667 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3560); } } 
{ /* Eval/evaluate.scm 595 */
 obj_t BgL_arg2524z00_3562;
BgL_arg2524z00_3562 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_arg2353z00_2668 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2524z00_3562); } 
BgL_arg2351z00_2666 = 
string_append(BgL_arg2352z00_2667, BgL_arg2353z00_2668); } 
BgL_arg2350z00_2665 = 
bstring_to_symbol(BgL_arg2351z00_2666); } 
BgL_auxz00_6235 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1575, BgL_bodyz00_1576, BgL_arg2350z00_2665, BFALSE); } 
return 
((obj_t)BgL_auxz00_6235);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1891z00_1982; obj_t BgL_arg1892z00_1983;
BgL_arg1891z00_1982 = 
CAR(BgL_ez00_69); 
BgL_arg1892z00_1983 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6247;
{ 
 obj_t BgL_argsz00_6249; obj_t BgL_fz00_6248;
BgL_fz00_6248 = BgL_arg1891z00_1982; 
BgL_argsz00_6249 = BgL_arg1892z00_1983; 
BgL_argsz00_1580 = BgL_argsz00_6249; 
BgL_fz00_1579 = BgL_fz00_6248; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6247);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1894z00_1985; obj_t BgL_arg1895z00_1986;
BgL_arg1894z00_1985 = 
CAR(BgL_ez00_69); 
BgL_arg1895z00_1986 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6253;
{ 
 obj_t BgL_argsz00_6255; obj_t BgL_fz00_6254;
BgL_fz00_6254 = BgL_arg1894z00_1985; 
BgL_argsz00_6255 = BgL_arg1895z00_1986; 
BgL_argsz00_1580 = BgL_argsz00_6255; 
BgL_fz00_1579 = BgL_fz00_6254; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6253);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1896z00_1987; obj_t BgL_arg1897z00_1988;
BgL_arg1896z00_1987 = 
CAR(BgL_ez00_69); 
BgL_arg1897z00_1988 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6259;
{ 
 obj_t BgL_argsz00_6261; obj_t BgL_fz00_6260;
BgL_fz00_6260 = BgL_arg1896z00_1987; 
BgL_argsz00_6261 = BgL_arg1897z00_1988; 
BgL_argsz00_1580 = BgL_argsz00_6261; 
BgL_fz00_1579 = BgL_fz00_6260; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6259);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2833z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2175zd2_1578:
return 
BGl_errorz00zz__errorz00(BGl_string2793z00zz__evaluatez00, BGl_string2794z00zz__evaluatez00, BgL_ez00_69);}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1900z00_1991; obj_t BgL_arg1901z00_1992;
BgL_arg1900z00_1991 = 
CAR(BgL_ez00_69); 
BgL_arg1901z00_1992 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6269;
{ 
 obj_t BgL_argsz00_6271; obj_t BgL_fz00_6270;
BgL_fz00_6270 = BgL_arg1900z00_1991; 
BgL_argsz00_6271 = BgL_arg1901z00_1992; 
BgL_argsz00_1580 = BgL_argsz00_6271; 
BgL_fz00_1579 = BgL_fz00_6270; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6269);} } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23841zd2_1654==BGl_symbol2809z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2250zd2_1588))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2250zd2_1588)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1926z00_2017;
BgL_arg1926z00_2017 = 
CAR(BgL_cdrzd2250zd2_1588); 
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_6281;
{ 
 obj_t BgL_ez00_6282;
BgL_ez00_6282 = BgL_arg1926z00_2017; 
BgL_ez00_1515 = BgL_ez00_6282; 
goto BgL_tagzd2153zd2_1516;} 
return 
((obj_t)BgL_auxz00_6281);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1927z00_2018; obj_t BgL_arg1928z00_2019;
BgL_arg1927z00_2018 = 
CAR(BgL_ez00_69); 
BgL_arg1928z00_2019 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6286;
{ 
 obj_t BgL_argsz00_6288; obj_t BgL_fz00_6287;
BgL_fz00_6287 = BgL_arg1927z00_2018; 
BgL_argsz00_6288 = BgL_arg1928z00_2019; 
BgL_argsz00_1580 = BgL_argsz00_6288; 
BgL_fz00_1579 = BgL_fz00_6287; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6286);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1930z00_2021; obj_t BgL_arg1931z00_2022;
BgL_arg1930z00_2021 = 
CAR(BgL_ez00_69); 
BgL_arg1931z00_2022 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6292;
{ 
 obj_t BgL_argsz00_6294; obj_t BgL_fz00_6293;
BgL_fz00_6293 = BgL_arg1930z00_2021; 
BgL_argsz00_6294 = BgL_arg1931z00_2022; 
BgL_argsz00_1580 = BgL_argsz00_6294; 
BgL_fz00_1579 = BgL_fz00_6293; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6292);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd29422zd2_2023;
BgL_cdrzd29422zd2_2023 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2770z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2023))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29422zd2_2023)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1937z00_2029;
BgL_arg1937z00_2029 = 
CAR(BgL_cdrzd29422zd2_2023); 
{ 
 BgL_ev_littz00_bglt BgL_auxz00_6306;
{ 
 obj_t BgL_vz00_6307;
BgL_vz00_6307 = BgL_arg1937z00_2029; 
BgL_vz00_1517 = BgL_vz00_6307; 
goto BgL_tagzd2154zd2_1518;} 
return 
((obj_t)BgL_auxz00_6306);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1938z00_2030;
BgL_arg1938z00_2030 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6310;
{ 
 obj_t BgL_argsz00_6312; obj_t BgL_fz00_6311;
BgL_fz00_6311 = BgL_arg1938z00_2030; 
BgL_argsz00_6312 = BgL_cdrzd29422zd2_2023; 
BgL_argsz00_1580 = BgL_argsz00_6312; 
BgL_fz00_1579 = BgL_fz00_6311; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6310);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1941z00_2033;
BgL_arg1941z00_2033 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6315;
{ 
 obj_t BgL_argsz00_6317; obj_t BgL_fz00_6316;
BgL_fz00_6316 = BgL_arg1941z00_2033; 
BgL_argsz00_6317 = BgL_cdrzd29422zd2_2023; 
BgL_argsz00_1580 = BgL_argsz00_6317; 
BgL_fz00_1579 = BgL_fz00_6316; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6315);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2778z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29422zd2_2023))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210036zd2_2039;
BgL_cdrzd210036zd2_2039 = 
CDR(BgL_cdrzd29422zd2_2023); 
if(
PAIRP(BgL_cdrzd210036zd2_2039))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210041zd2_2041;
BgL_cdrzd210041zd2_2041 = 
CDR(BgL_cdrzd210036zd2_2039); 
if(
PAIRP(BgL_cdrzd210041zd2_2041))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd210041zd2_2041)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1950z00_2045; obj_t BgL_arg1951z00_2046; obj_t BgL_arg1952z00_2047;
BgL_arg1950z00_2045 = 
CAR(BgL_cdrzd29422zd2_2023); 
BgL_arg1951z00_2046 = 
CAR(BgL_cdrzd210036zd2_2039); 
BgL_arg1952z00_2047 = 
CAR(BgL_cdrzd210041zd2_2041); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6336;
{ 
 obj_t BgL_oz00_6339; obj_t BgL_tz00_6338; obj_t BgL_pz00_6337;
BgL_pz00_6337 = BgL_arg1950z00_2045; 
BgL_tz00_6338 = BgL_arg1951z00_2046; 
BgL_oz00_6339 = BgL_arg1952z00_2047; 
BgL_oz00_1521 = BgL_oz00_6339; 
BgL_tz00_1520 = BgL_tz00_6338; 
BgL_pz00_1519 = BgL_pz00_6337; 
goto BgL_tagzd2155zd2_1522;} 
return 
((obj_t)BgL_auxz00_6336);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1953z00_2048; obj_t BgL_arg1954z00_2049;
BgL_arg1953z00_2048 = 
CAR(BgL_ez00_69); 
BgL_arg1954z00_2049 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6343;
{ 
 obj_t BgL_argsz00_6345; obj_t BgL_fz00_6344;
BgL_fz00_6344 = BgL_arg1953z00_2048; 
BgL_argsz00_6345 = BgL_arg1954z00_2049; 
BgL_argsz00_1580 = BgL_argsz00_6345; 
BgL_fz00_1579 = BgL_fz00_6344; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6343);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210341zd2_2051;
BgL_cdrzd210341zd2_2051 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd210347zd2_2052;
BgL_cdrzd210347zd2_2052 = 
CDR(
((obj_t)BgL_cdrzd210341zd2_2051)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210347zd2_2052))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1958z00_2055; obj_t BgL_arg1959z00_2056;
BgL_arg1958z00_2055 = 
CAR(
((obj_t)BgL_cdrzd210341zd2_2051)); 
BgL_arg1959z00_2056 = 
CAR(
((obj_t)BgL_cdrzd210347zd2_2052)); 
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_6358;
{ 
 obj_t BgL_tz00_6360; obj_t BgL_pz00_6359;
BgL_pz00_6359 = BgL_arg1958z00_2055; 
BgL_tz00_6360 = BgL_arg1959z00_2056; 
BgL_tz00_1524 = BgL_tz00_6360; 
BgL_pz00_1523 = BgL_pz00_6359; 
goto BgL_tagzd2156zd2_1525;} 
return 
((obj_t)BgL_auxz00_6358);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1960z00_2057;
BgL_arg1960z00_2057 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6363;
{ 
 obj_t BgL_argsz00_6365; obj_t BgL_fz00_6364;
BgL_fz00_6364 = BgL_arg1960z00_2057; 
BgL_argsz00_6365 = BgL_cdrzd210341zd2_2051; 
BgL_argsz00_1580 = BgL_argsz00_6365; 
BgL_fz00_1579 = BgL_fz00_6364; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6363);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1963z00_2060; obj_t BgL_arg1964z00_2061;
BgL_arg1963z00_2060 = 
CAR(BgL_ez00_69); 
BgL_arg1964z00_2061 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6369;
{ 
 obj_t BgL_argsz00_6371; obj_t BgL_fz00_6370;
BgL_fz00_6370 = BgL_arg1963z00_2060; 
BgL_argsz00_6371 = BgL_arg1964z00_2061; 
BgL_argsz00_1580 = BgL_argsz00_6371; 
BgL_fz00_1579 = BgL_fz00_6370; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6369);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1965z00_2062; obj_t BgL_arg1966z00_2063;
BgL_arg1965z00_2062 = 
CAR(BgL_ez00_69); 
BgL_arg1966z00_2063 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6375;
{ 
 obj_t BgL_argsz00_6377; obj_t BgL_fz00_6376;
BgL_fz00_6376 = BgL_arg1965z00_2062; 
BgL_argsz00_6377 = BgL_arg1966z00_2063; 
BgL_argsz00_1580 = BgL_argsz00_6377; 
BgL_fz00_1579 = BgL_fz00_6376; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6375);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2811z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1969z00_2066;
BgL_arg1969z00_2066 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_orz00_bglt BgL_auxz00_6383;
{ 
 obj_t BgL_argsz00_6384;
BgL_argsz00_6384 = BgL_arg1969z00_2066; 
BgL_argsz00_1526 = BgL_argsz00_6384; 
goto BgL_tagzd2157zd2_1527;} 
return 
((obj_t)BgL_auxz00_6383);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2813z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1972z00_2069;
BgL_arg1972z00_2069 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_andz00_bglt BgL_auxz00_6390;
{ 
 obj_t BgL_argsz00_6391;
BgL_argsz00_6391 = BgL_arg1972z00_2069; 
BgL_argsz00_1528 = BgL_argsz00_6391; 
goto BgL_tagzd2158zd2_1529;} 
return 
((obj_t)BgL_auxz00_6390);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2798z00zz__evaluatez00))
{ 
 obj_t BgL_lz00_6396;
BgL_lz00_6396 = 
CDR(BgL_ez00_69); 
BgL_lz00_1530 = BgL_lz00_6396; 
goto BgL_tagzd2159zd2_1531;}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211246zd2_2073;
BgL_cdrzd211246zd2_2073 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2780z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2073))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1979z00_2077; obj_t BgL_arg1980z00_2078;
BgL_arg1979z00_2077 = 
CAR(BgL_cdrzd211246zd2_2073); 
BgL_arg1980z00_2078 = 
CDR(BgL_cdrzd211246zd2_2073); 
{ 
 BgL_ev_letz00_bglt BgL_auxz00_6406;
{ 
 obj_t BgL_bodyz00_6408; obj_t BgL_bindsz00_6407;
BgL_bindsz00_6407 = BgL_arg1979z00_2077; 
BgL_bodyz00_6408 = BgL_arg1980z00_2078; 
BgL_bodyz00_1533 = BgL_bodyz00_6408; 
BgL_bindsz00_1532 = BgL_bindsz00_6407; 
goto BgL_tagzd2160zd2_1534;} 
return 
((obj_t)BgL_auxz00_6406);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1981z00_2079;
BgL_arg1981z00_2079 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6411;
{ 
 obj_t BgL_argsz00_6413; obj_t BgL_fz00_6412;
BgL_fz00_6412 = BgL_arg1981z00_2079; 
BgL_argsz00_6413 = BgL_cdrzd211246zd2_2073; 
BgL_argsz00_1580 = BgL_argsz00_6413; 
BgL_fz00_1579 = BgL_fz00_6412; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6411);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2815z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211246zd2_2073))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1986z00_2085; obj_t BgL_arg1987z00_2086;
BgL_arg1986z00_2085 = 
CAR(BgL_cdrzd211246zd2_2073); 
BgL_arg1987z00_2086 = 
CDR(BgL_cdrzd211246zd2_2073); 
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_6422;
{ 
 obj_t BgL_bodyz00_6424; obj_t BgL_bindsz00_6423;
BgL_bindsz00_6423 = BgL_arg1986z00_2085; 
BgL_bodyz00_6424 = BgL_arg1987z00_2086; 
BgL_bodyz00_1536 = BgL_bodyz00_6424; 
BgL_bindsz00_1535 = BgL_bindsz00_6423; 
goto BgL_tagzd2161zd2_1537;} 
return 
((obj_t)BgL_auxz00_6422);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1988z00_2087; obj_t BgL_arg1989z00_2088;
BgL_arg1988z00_2087 = 
CAR(BgL_ez00_69); 
BgL_arg1989z00_2088 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6428;
{ 
 obj_t BgL_argsz00_6430; obj_t BgL_fz00_6429;
BgL_fz00_6429 = BgL_arg1988z00_2087; 
BgL_argsz00_6430 = BgL_arg1989z00_2088; 
BgL_argsz00_1580 = BgL_argsz00_6430; 
BgL_fz00_1579 = BgL_fz00_6429; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6428);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211644zd2_2089;
BgL_cdrzd211644zd2_2089 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2817z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2089))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1993z00_2093; obj_t BgL_arg1994z00_2094;
BgL_arg1993z00_2093 = 
CAR(BgL_cdrzd211644zd2_2089); 
BgL_arg1994z00_2094 = 
CDR(BgL_cdrzd211644zd2_2089); 
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_6440;
{ 
 obj_t BgL_bodyz00_6442; obj_t BgL_bindsz00_6441;
BgL_bindsz00_6441 = BgL_arg1993z00_2093; 
BgL_bodyz00_6442 = BgL_arg1994z00_2094; 
BgL_bodyz00_1539 = BgL_bodyz00_6442; 
BgL_bindsz00_1538 = BgL_bindsz00_6441; 
goto BgL_tagzd2162zd2_1540;} 
return 
((obj_t)BgL_auxz00_6440);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg1995z00_2095;
BgL_arg1995z00_2095 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6445;
{ 
 obj_t BgL_argsz00_6447; obj_t BgL_fz00_6446;
BgL_fz00_6446 = BgL_arg1995z00_2095; 
BgL_argsz00_6447 = BgL_cdrzd211644zd2_2089; 
BgL_argsz00_1580 = BgL_argsz00_6447; 
BgL_fz00_1579 = BgL_fz00_6446; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6445);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2819z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211644zd2_2089))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211820zd2_2101; obj_t BgL_cdrzd211821zd2_2102;
BgL_carzd211820zd2_2101 = 
CAR(BgL_cdrzd211644zd2_2089); 
BgL_cdrzd211821zd2_2102 = 
CDR(BgL_cdrzd211644zd2_2089); 
if(
PAIRP(BgL_carzd211820zd2_2101))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211825zd2_2104;
BgL_cdrzd211825zd2_2104 = 
CDR(BgL_carzd211820zd2_2101); 
if(
(
CAR(BgL_carzd211820zd2_2101)==BGl_symbol2805z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211825zd2_2104))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211828zd2_2108; obj_t BgL_cdrzd211829zd2_2109;
BgL_carzd211828zd2_2108 = 
CAR(BgL_cdrzd211825zd2_2104); 
BgL_cdrzd211829zd2_2109 = 
CDR(BgL_cdrzd211825zd2_2104); 
if(
SYMBOLP(BgL_carzd211828zd2_2108))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211829zd2_2109))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd211833zd2_2112;
BgL_carzd211833zd2_2112 = 
CAR(BgL_cdrzd211829zd2_2109); 
if(
SYMBOLP(BgL_carzd211833zd2_2112))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211829zd2_2109)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211821zd2_2102))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211821zd2_2102)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2012z00_2119;
BgL_arg2012z00_2119 = 
CAR(BgL_cdrzd211821zd2_2102); 
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_6482;
{ 
 obj_t BgL_ez00_6485; obj_t BgL_modnamez00_6484; obj_t BgL_idz00_6483;
BgL_idz00_6483 = BgL_carzd211828zd2_2108; 
BgL_modnamez00_6484 = BgL_carzd211833zd2_2112; 
BgL_ez00_6485 = BgL_arg2012z00_2119; 
BgL_ez00_1543 = BgL_ez00_6485; 
BgL_modnamez00_1542 = BgL_modnamez00_6484; 
BgL_idz00_1541 = BgL_idz00_6483; 
goto BgL_tagzd2163zd2_1544;} 
return 
((obj_t)BgL_auxz00_6482);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211949zd2_2121;
BgL_cdrzd211949zd2_2121 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd211953zd2_2122;
BgL_cdrzd211953zd2_2122 = 
CDR(
((obj_t)BgL_cdrzd211949zd2_2121)); 
if(
PAIRP(BgL_cdrzd211953zd2_2122))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211953zd2_2122)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2017z00_2126; obj_t BgL_arg2018z00_2127;
BgL_arg2017z00_2126 = 
CAR(
((obj_t)BgL_cdrzd211949zd2_2121)); 
BgL_arg2018z00_2127 = 
CAR(BgL_cdrzd211953zd2_2122); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6498;
{ 
 obj_t BgL_ez00_6500; obj_t BgL_vz00_6499;
BgL_vz00_6499 = BgL_arg2017z00_2126; 
BgL_ez00_6500 = BgL_arg2018z00_2127; 
BgL_ez00_1549 = BgL_ez00_6500; 
BgL_vz00_1548 = BgL_vz00_6499; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6498);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212010zd2_2130;
BgL_cdrzd212010zd2_2130 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212014zd2_2131;
BgL_cdrzd212014zd2_2131 = 
CDR(
((obj_t)BgL_cdrzd212010zd2_2130)); 
if(
PAIRP(BgL_cdrzd212014zd2_2131))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212014zd2_2131)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2024z00_2135; obj_t BgL_arg2025z00_2136;
BgL_arg2024z00_2135 = 
CAR(
((obj_t)BgL_cdrzd212010zd2_2130)); 
BgL_arg2025z00_2136 = 
CAR(BgL_cdrzd212014zd2_2131); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6513;
{ 
 obj_t BgL_ez00_6515; obj_t BgL_vz00_6514;
BgL_vz00_6514 = BgL_arg2024z00_2135; 
BgL_ez00_6515 = BgL_arg2025z00_2136; 
BgL_ez00_1549 = BgL_ez00_6515; 
BgL_vz00_1548 = BgL_vz00_6514; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6513);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212071zd2_2138;
BgL_cdrzd212071zd2_2138 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212075zd2_2139;
BgL_cdrzd212075zd2_2139 = 
CDR(
((obj_t)BgL_cdrzd212071zd2_2138)); 
if(
PAIRP(BgL_cdrzd212075zd2_2139))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212075zd2_2139)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2030z00_2143; obj_t BgL_arg2031z00_2144;
BgL_arg2030z00_2143 = 
CAR(
((obj_t)BgL_cdrzd212071zd2_2138)); 
BgL_arg2031z00_2144 = 
CAR(BgL_cdrzd212075zd2_2139); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6528;
{ 
 obj_t BgL_ez00_6530; obj_t BgL_vz00_6529;
BgL_vz00_6529 = BgL_arg2030z00_2143; 
BgL_ez00_6530 = BgL_arg2031z00_2144; 
BgL_ez00_1549 = BgL_ez00_6530; 
BgL_vz00_1548 = BgL_vz00_6529; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6528);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212132zd2_2146;
BgL_cdrzd212132zd2_2146 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212136zd2_2147;
BgL_cdrzd212136zd2_2147 = 
CDR(
((obj_t)BgL_cdrzd212132zd2_2146)); 
if(
PAIRP(BgL_cdrzd212136zd2_2147))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212136zd2_2147)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2036z00_2151; obj_t BgL_arg2037z00_2152;
BgL_arg2036z00_2151 = 
CAR(
((obj_t)BgL_cdrzd212132zd2_2146)); 
BgL_arg2037z00_2152 = 
CAR(BgL_cdrzd212136zd2_2147); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6543;
{ 
 obj_t BgL_ez00_6545; obj_t BgL_vz00_6544;
BgL_vz00_6544 = BgL_arg2036z00_2151; 
BgL_ez00_6545 = BgL_arg2037z00_2152; 
BgL_ez00_1549 = BgL_ez00_6545; 
BgL_vz00_1548 = BgL_vz00_6544; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6543);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212193zd2_2154;
BgL_cdrzd212193zd2_2154 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212197zd2_2155;
BgL_cdrzd212197zd2_2155 = 
CDR(
((obj_t)BgL_cdrzd212193zd2_2154)); 
if(
PAIRP(BgL_cdrzd212197zd2_2155))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212197zd2_2155)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2042z00_2159; obj_t BgL_arg2043z00_2160;
BgL_arg2042z00_2159 = 
CAR(
((obj_t)BgL_cdrzd212193zd2_2154)); 
BgL_arg2043z00_2160 = 
CAR(BgL_cdrzd212197zd2_2155); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6558;
{ 
 obj_t BgL_ez00_6560; obj_t BgL_vz00_6559;
BgL_vz00_6559 = BgL_arg2042z00_2159; 
BgL_ez00_6560 = BgL_arg2043z00_2160; 
BgL_ez00_1549 = BgL_ez00_6560; 
BgL_vz00_1548 = BgL_vz00_6559; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6558);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212241zd2_2162;
BgL_cdrzd212241zd2_2162 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212244zd2_2163; obj_t BgL_cdrzd212245zd2_2164;
BgL_carzd212244zd2_2163 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2162)); 
BgL_cdrzd212245zd2_2164 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2162)); 
if(
(
CAR(
((obj_t)BgL_carzd212244zd2_2163))==BGl_symbol2807z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212245zd2_2164))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212245zd2_2164)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2050z00_2170; obj_t BgL_arg2051z00_2171;
BgL_arg2050z00_2170 = 
CDR(
((obj_t)BgL_carzd212244zd2_2163)); 
BgL_arg2051z00_2171 = 
CAR(BgL_cdrzd212245zd2_2164); 
{ 
 obj_t BgL_e2z00_6580; obj_t BgL_lz00_6579;
BgL_lz00_6579 = BgL_arg2050z00_2170; 
BgL_e2z00_6580 = BgL_arg2051z00_2171; 
BgL_e2z00_1546 = BgL_e2z00_6580; 
BgL_lz00_1545 = BgL_lz00_6579; 
goto BgL_tagzd2164zd2_1547;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212321zd2_2174;
BgL_cdrzd212321zd2_2174 = 
CDR(
((obj_t)BgL_cdrzd212241zd2_2162)); 
if(
PAIRP(BgL_cdrzd212321zd2_2174))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212321zd2_2174)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2056z00_2178; obj_t BgL_arg2057z00_2179;
BgL_arg2056z00_2178 = 
CAR(
((obj_t)BgL_cdrzd212241zd2_2162)); 
BgL_arg2057z00_2179 = 
CAR(BgL_cdrzd212321zd2_2174); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6591;
{ 
 obj_t BgL_ez00_6593; obj_t BgL_vz00_6592;
BgL_vz00_6592 = BgL_arg2056z00_2178; 
BgL_ez00_6593 = BgL_arg2057z00_2179; 
BgL_ez00_1549 = BgL_ez00_6593; 
BgL_vz00_1548 = BgL_vz00_6592; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6591);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212378zd2_2183;
BgL_cdrzd212378zd2_2183 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212382zd2_2184;
BgL_cdrzd212382zd2_2184 = 
CDR(
((obj_t)BgL_cdrzd212378zd2_2183)); 
if(
PAIRP(BgL_cdrzd212382zd2_2184))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212382zd2_2184)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2064z00_2188; obj_t BgL_arg2065z00_2189;
BgL_arg2064z00_2188 = 
CAR(
((obj_t)BgL_cdrzd212378zd2_2183)); 
BgL_arg2065z00_2189 = 
CAR(BgL_cdrzd212382zd2_2184); 
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_6606;
{ 
 obj_t BgL_ez00_6608; obj_t BgL_vz00_6607;
BgL_vz00_6607 = BgL_arg2064z00_2188; 
BgL_ez00_6608 = BgL_arg2065z00_2189; 
BgL_ez00_1549 = BgL_ez00_6608; 
BgL_vz00_1548 = BgL_vz00_6607; 
goto BgL_tagzd2165zd2_1550;} 
return 
((obj_t)BgL_auxz00_6606);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1551;} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212503zd2_2191;
BgL_cdrzd212503zd2_2191 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2821z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2191))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212508zd2_2195;
BgL_cdrzd212508zd2_2195 = 
CDR(BgL_cdrzd212503zd2_2191); 
if(
PAIRP(BgL_cdrzd212508zd2_2195))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd212512zd2_2197;
BgL_carzd212512zd2_2197 = 
CAR(BgL_cdrzd212508zd2_2195); 
if(
PAIRP(BgL_carzd212512zd2_2197))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212517zd2_2199;
BgL_cdrzd212517zd2_2199 = 
CDR(BgL_carzd212512zd2_2197); 
if(
(
CAR(BgL_carzd212512zd2_2197)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212517zd2_2199))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212521zd2_2203;
BgL_cdrzd212521zd2_2203 = 
CDR(BgL_cdrzd212517zd2_2199); 
if(
PAIRP(BgL_cdrzd212521zd2_2203))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212521zd2_2203)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212508zd2_2195)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2080z00_2209; obj_t BgL_arg2081z00_2210; obj_t BgL_arg2082z00_2211;
BgL_arg2080z00_2209 = 
CAR(BgL_cdrzd212503zd2_2191); 
BgL_arg2081z00_2210 = 
CAR(BgL_cdrzd212517zd2_2199); 
BgL_arg2082z00_2211 = 
CAR(BgL_cdrzd212521zd2_2203); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6640;
{ 
 obj_t BgL_bodyz00_6643; obj_t BgL_formalsz00_6642; obj_t BgL_gvz00_6641;
BgL_gvz00_6641 = BgL_arg2080z00_2209; 
BgL_formalsz00_6642 = BgL_arg2081z00_2210; 
BgL_bodyz00_6643 = BgL_arg2082z00_2211; 
BgL_bodyz00_1554 = BgL_bodyz00_6643; 
BgL_formalsz00_1553 = BgL_formalsz00_6642; 
BgL_gvz00_1552 = BgL_gvz00_6641; 
goto BgL_tagzd2167zd2_1555;} 
return 
((obj_t)BgL_auxz00_6640);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2083z00_2212;
BgL_arg2083z00_2212 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6646;
{ 
 obj_t BgL_argsz00_6648; obj_t BgL_fz00_6647;
BgL_fz00_6647 = BgL_arg2083z00_2212; 
BgL_argsz00_6648 = BgL_cdrzd212503zd2_2191; 
BgL_argsz00_1580 = BgL_argsz00_6648; 
BgL_fz00_1579 = BgL_fz00_6647; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6646);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212623zd2_2216;
BgL_cdrzd212623zd2_2216 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212623zd2_2216))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2088z00_2219; obj_t BgL_arg2089z00_2220;
BgL_arg2088z00_2219 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
BgL_arg2089z00_2220 = 
CAR(
((obj_t)BgL_cdrzd212623zd2_2216)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6660;
{ 
 obj_t BgL_gez00_6662; obj_t BgL_gvz00_6661;
BgL_gvz00_6661 = BgL_arg2088z00_2219; 
BgL_gez00_6662 = BgL_arg2089z00_2220; 
BgL_gez00_1557 = BgL_gez00_6662; 
BgL_gvz00_1556 = BgL_gvz00_6661; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6660);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2090z00_2221; obj_t BgL_arg2091z00_2222;
BgL_arg2090z00_2221 = 
CAR(BgL_ez00_69); 
BgL_arg2091z00_2222 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6666;
{ 
 obj_t BgL_argsz00_6668; obj_t BgL_fz00_6667;
BgL_fz00_6667 = BgL_arg2090z00_2221; 
BgL_argsz00_6668 = BgL_arg2091z00_2222; 
BgL_argsz00_1580 = BgL_argsz00_6668; 
BgL_fz00_1579 = BgL_fz00_6667; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6666);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212712zd2_2226;
BgL_cdrzd212712zd2_2226 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212712zd2_2226))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2096z00_2229; obj_t BgL_arg2097z00_2230;
BgL_arg2096z00_2229 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
BgL_arg2097z00_2230 = 
CAR(
((obj_t)BgL_cdrzd212712zd2_2226)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6680;
{ 
 obj_t BgL_gez00_6682; obj_t BgL_gvz00_6681;
BgL_gvz00_6681 = BgL_arg2096z00_2229; 
BgL_gez00_6682 = BgL_arg2097z00_2230; 
BgL_gez00_1557 = BgL_gez00_6682; 
BgL_gvz00_1556 = BgL_gvz00_6681; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6680);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2098z00_2231; obj_t BgL_arg2099z00_2232;
BgL_arg2098z00_2231 = 
CAR(BgL_ez00_69); 
BgL_arg2099z00_2232 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6686;
{ 
 obj_t BgL_argsz00_6688; obj_t BgL_fz00_6687;
BgL_fz00_6687 = BgL_arg2098z00_2231; 
BgL_argsz00_6688 = BgL_arg2099z00_2232; 
BgL_argsz00_1580 = BgL_argsz00_6688; 
BgL_fz00_1579 = BgL_fz00_6687; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6686);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212801zd2_2235;
BgL_cdrzd212801zd2_2235 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212801zd2_2235))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2103z00_2238; obj_t BgL_arg2104z00_2239;
BgL_arg2103z00_2238 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
BgL_arg2104z00_2239 = 
CAR(
((obj_t)BgL_cdrzd212801zd2_2235)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6700;
{ 
 obj_t BgL_gez00_6702; obj_t BgL_gvz00_6701;
BgL_gvz00_6701 = BgL_arg2103z00_2238; 
BgL_gez00_6702 = BgL_arg2104z00_2239; 
BgL_gez00_1557 = BgL_gez00_6702; 
BgL_gvz00_1556 = BgL_gvz00_6701; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6700);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2105z00_2240; obj_t BgL_arg2106z00_2241;
BgL_arg2105z00_2240 = 
CAR(BgL_ez00_69); 
BgL_arg2106z00_2241 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6706;
{ 
 obj_t BgL_argsz00_6708; obj_t BgL_fz00_6707;
BgL_fz00_6707 = BgL_arg2105z00_2240; 
BgL_argsz00_6708 = BgL_arg2106z00_2241; 
BgL_argsz00_1580 = BgL_argsz00_6708; 
BgL_fz00_1579 = BgL_fz00_6707; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6706);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212890zd2_2244;
BgL_cdrzd212890zd2_2244 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212890zd2_2244))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2110z00_2247; obj_t BgL_arg2111z00_2248;
BgL_arg2110z00_2247 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
BgL_arg2111z00_2248 = 
CAR(
((obj_t)BgL_cdrzd212890zd2_2244)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6720;
{ 
 obj_t BgL_gez00_6722; obj_t BgL_gvz00_6721;
BgL_gvz00_6721 = BgL_arg2110z00_2247; 
BgL_gez00_6722 = BgL_arg2111z00_2248; 
BgL_gez00_1557 = BgL_gez00_6722; 
BgL_gvz00_1556 = BgL_gvz00_6721; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6720);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2112z00_2249; obj_t BgL_arg2113z00_2250;
BgL_arg2112z00_2249 = 
CAR(BgL_ez00_69); 
BgL_arg2113z00_2250 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6726;
{ 
 obj_t BgL_argsz00_6728; obj_t BgL_fz00_6727;
BgL_fz00_6727 = BgL_arg2112z00_2249; 
BgL_argsz00_6728 = BgL_arg2113z00_2250; 
BgL_argsz00_1580 = BgL_argsz00_6728; 
BgL_fz00_1579 = BgL_fz00_6727; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6726);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd212979zd2_2254;
BgL_cdrzd212979zd2_2254 = 
CDR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212979zd2_2254))))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2118z00_2257; obj_t BgL_arg2119z00_2258;
BgL_arg2118z00_2257 = 
CAR(
((obj_t)BgL_cdrzd212503zd2_2191)); 
BgL_arg2119z00_2258 = 
CAR(
((obj_t)BgL_cdrzd212979zd2_2254)); 
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_6740;
{ 
 obj_t BgL_gez00_6742; obj_t BgL_gvz00_6741;
BgL_gvz00_6741 = BgL_arg2118z00_2257; 
BgL_gez00_6742 = BgL_arg2119z00_2258; 
BgL_gez00_1557 = BgL_gez00_6742; 
BgL_gvz00_1556 = BgL_gvz00_6741; 
goto BgL_tagzd2168zd2_1558;} 
return 
((obj_t)BgL_auxz00_6740);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2120z00_2259; obj_t BgL_arg2121z00_2260;
BgL_arg2120z00_2259 = 
CAR(BgL_ez00_69); 
BgL_arg2121z00_2260 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6746;
{ 
 obj_t BgL_argsz00_6748; obj_t BgL_fz00_6747;
BgL_fz00_6747 = BgL_arg2120z00_2259; 
BgL_argsz00_6748 = BgL_arg2121z00_2260; 
BgL_argsz00_1580 = BgL_argsz00_6748; 
BgL_fz00_1579 = BgL_fz00_6747; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6746);} } } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2123z00_2262;
BgL_arg2123z00_2262 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6751;
{ 
 obj_t BgL_argsz00_6753; obj_t BgL_fz00_6752;
BgL_fz00_6752 = BgL_arg2123z00_2262; 
BgL_argsz00_6753 = BgL_cdrzd212503zd2_2191; 
BgL_argsz00_1580 = BgL_argsz00_6753; 
BgL_fz00_1579 = BgL_fz00_6752; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6751);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2125z00_2264;
BgL_arg2125z00_2264 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6756;
{ 
 obj_t BgL_argsz00_6758; obj_t BgL_fz00_6757;
BgL_fz00_6757 = BgL_arg2125z00_2264; 
BgL_argsz00_6758 = BgL_cdrzd212503zd2_2191; 
BgL_argsz00_1580 = BgL_argsz00_6758; 
BgL_fz00_1579 = BgL_fz00_6757; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6756);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2823z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212503zd2_2191))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_carzd213227zd2_2270;
BgL_carzd213227zd2_2270 = 
CAR(BgL_cdrzd212503zd2_2191); 
if(
PAIRP(BgL_carzd213227zd2_2270))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd213227zd2_2270)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2133z00_2274; obj_t BgL_arg2134z00_2275;
BgL_arg2133z00_2274 = 
CAR(BgL_carzd213227zd2_2270); 
BgL_arg2134z00_2275 = 
CDR(BgL_cdrzd212503zd2_2191); 
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6773;
{ 
 obj_t BgL_bodyz00_6775; obj_t BgL_vz00_6774;
BgL_vz00_6774 = BgL_arg2133z00_2274; 
BgL_bodyz00_6775 = BgL_arg2134z00_2275; 
BgL_bodyz00_1560 = BgL_bodyz00_6775; 
BgL_vz00_1559 = BgL_vz00_6774; 
goto BgL_tagzd2169zd2_1561;} 
return 
((obj_t)BgL_auxz00_6773);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2135z00_2276; obj_t BgL_arg2136z00_2277;
BgL_arg2135z00_2276 = 
CAR(BgL_ez00_69); 
BgL_arg2136z00_2277 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6779;
{ 
 obj_t BgL_argsz00_6781; obj_t BgL_fz00_6780;
BgL_fz00_6780 = BgL_arg2135z00_2276; 
BgL_argsz00_6781 = BgL_arg2136z00_2277; 
BgL_argsz00_1580 = BgL_argsz00_6781; 
BgL_fz00_1579 = BgL_fz00_6780; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6779);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2138z00_2279; obj_t BgL_arg2139z00_2280;
BgL_arg2138z00_2279 = 
CAR(BgL_ez00_69); 
BgL_arg2139z00_2280 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6785;
{ 
 obj_t BgL_argsz00_6787; obj_t BgL_fz00_6786;
BgL_fz00_6786 = BgL_arg2138z00_2279; 
BgL_argsz00_6787 = BgL_arg2139z00_2280; 
BgL_argsz00_1580 = BgL_argsz00_6787; 
BgL_fz00_1579 = BgL_fz00_6786; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6785);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2140z00_2281; obj_t BgL_arg2141z00_2282;
BgL_arg2140z00_2281 = 
CAR(BgL_ez00_69); 
BgL_arg2141z00_2282 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6791;
{ 
 obj_t BgL_argsz00_6793; obj_t BgL_fz00_6792;
BgL_fz00_6792 = BgL_arg2140z00_2281; 
BgL_argsz00_6793 = BgL_arg2141z00_2282; 
BgL_argsz00_1580 = BgL_argsz00_6793; 
BgL_fz00_1579 = BgL_fz00_6792; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6791);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213398zd2_2283;
BgL_cdrzd213398zd2_2283 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2825z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2283))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2145z00_2287; obj_t BgL_arg2146z00_2288;
BgL_arg2145z00_2287 = 
CAR(BgL_cdrzd213398zd2_2283); 
BgL_arg2146z00_2288 = 
CDR(BgL_cdrzd213398zd2_2283); 
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6803;
{ 
 obj_t BgL_bodyz00_6805; obj_t BgL_ez00_6804;
BgL_ez00_6804 = BgL_arg2145z00_2287; 
BgL_bodyz00_6805 = BgL_arg2146z00_2288; 
BgL_bodyz00_1563 = BgL_bodyz00_6805; 
BgL_ez00_1562 = BgL_ez00_6804; 
goto BgL_tagzd2170zd2_1564;} 
return 
((obj_t)BgL_auxz00_6803);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2147z00_2289;
BgL_arg2147z00_2289 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6808;
{ 
 obj_t BgL_argsz00_6810; obj_t BgL_fz00_6809;
BgL_fz00_6809 = BgL_arg2147z00_2289; 
BgL_argsz00_6810 = BgL_cdrzd213398zd2_2283; 
BgL_argsz00_1580 = BgL_argsz00_6810; 
BgL_fz00_1579 = BgL_fz00_6809; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6808);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2827z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213398zd2_2283))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2152z00_2295; obj_t BgL_arg2153z00_2296;
BgL_arg2152z00_2295 = 
CAR(BgL_cdrzd213398zd2_2283); 
BgL_arg2153z00_2296 = 
CDR(BgL_cdrzd213398zd2_2283); 
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6819;
{ 
 obj_t BgL_bodyz00_6821; obj_t BgL_hz00_6820;
BgL_hz00_6820 = BgL_arg2152z00_2295; 
BgL_bodyz00_6821 = BgL_arg2153z00_2296; 
BgL_bodyz00_1566 = BgL_bodyz00_6821; 
BgL_hz00_1565 = BgL_hz00_6820; 
goto BgL_tagzd2171zd2_1567;} 
return 
((obj_t)BgL_auxz00_6819);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2154z00_2297; obj_t BgL_arg2155z00_2298;
BgL_arg2154z00_2297 = 
CAR(BgL_ez00_69); 
BgL_arg2155z00_2298 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6825;
{ 
 obj_t BgL_argsz00_6827; obj_t BgL_fz00_6826;
BgL_fz00_6826 = BgL_arg2154z00_2297; 
BgL_argsz00_6827 = BgL_arg2155z00_2298; 
BgL_argsz00_1580 = BgL_argsz00_6827; 
BgL_fz00_1579 = BgL_fz00_6826; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6825);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213505zd2_2299;
BgL_cdrzd213505zd2_2299 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol2829z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2299))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213510zd2_2303;
BgL_cdrzd213510zd2_2303 = 
CDR(BgL_cdrzd213505zd2_2299); 
if(
PAIRP(BgL_cdrzd213510zd2_2303))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213515zd2_2305;
BgL_cdrzd213515zd2_2305 = 
CDR(BgL_cdrzd213510zd2_2303); 
if(
(
CAR(BgL_cdrzd213510zd2_2303)==BGl_keyword2831z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213515zd2_2305))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2163z00_2309; obj_t BgL_arg2164z00_2310; obj_t BgL_arg2165z00_2311;
BgL_arg2163z00_2309 = 
CAR(BgL_cdrzd213505zd2_2299); 
BgL_arg2164z00_2310 = 
CAR(BgL_cdrzd213515zd2_2305); 
BgL_arg2165z00_2311 = 
CDR(BgL_cdrzd213515zd2_2305); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6847;
{ 
 obj_t BgL_bodyz00_6850; obj_t BgL_pz00_6849; obj_t BgL_mz00_6848;
BgL_mz00_6848 = BgL_arg2163z00_2309; 
BgL_pz00_6849 = BgL_arg2164z00_2310; 
BgL_bodyz00_6850 = BgL_arg2165z00_2311; 
BgL_bodyz00_1570 = BgL_bodyz00_6850; 
BgL_pz00_1569 = BgL_pz00_6849; 
BgL_mz00_1568 = BgL_mz00_6848; 
goto BgL_tagzd2172zd2_1571;} 
return 
((obj_t)BgL_auxz00_6847);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2166z00_2313; obj_t BgL_arg2167z00_2314;
BgL_arg2166z00_2313 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
BgL_arg2167z00_2314 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6856;
{ 
 obj_t BgL_bodyz00_6858; obj_t BgL_mz00_6857;
BgL_mz00_6857 = BgL_arg2166z00_2313; 
BgL_bodyz00_6858 = BgL_arg2167z00_2314; 
BgL_bodyz00_1573 = BgL_bodyz00_6858; 
BgL_mz00_1572 = BgL_mz00_6857; 
goto BgL_tagzd2173zd2_1574;} 
return 
((obj_t)BgL_auxz00_6856);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2168z00_2316; obj_t BgL_arg2169z00_2317;
BgL_arg2168z00_2316 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
BgL_arg2169z00_2317 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6864;
{ 
 obj_t BgL_bodyz00_6866; obj_t BgL_mz00_6865;
BgL_mz00_6865 = BgL_arg2168z00_2316; 
BgL_bodyz00_6866 = BgL_arg2169z00_2317; 
BgL_bodyz00_1573 = BgL_bodyz00_6866; 
BgL_mz00_1572 = BgL_mz00_6865; 
goto BgL_tagzd2173zd2_1574;} 
return 
((obj_t)BgL_auxz00_6864);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2171z00_2320; obj_t BgL_arg2172z00_2321;
BgL_arg2171z00_2320 = 
CAR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
BgL_arg2172z00_2321 = 
CDR(
((obj_t)BgL_cdrzd213505zd2_2299)); 
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6872;
{ 
 obj_t BgL_bodyz00_6874; obj_t BgL_mz00_6873;
BgL_mz00_6873 = BgL_arg2171z00_2320; 
BgL_bodyz00_6874 = BgL_arg2172z00_2321; 
BgL_bodyz00_1573 = BgL_bodyz00_6874; 
BgL_mz00_1572 = BgL_mz00_6873; 
goto BgL_tagzd2173zd2_1574;} 
return 
((obj_t)BgL_auxz00_6872);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2173z00_2322;
BgL_arg2173z00_2322 = 
CAR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6877;
{ 
 obj_t BgL_argsz00_6879; obj_t BgL_fz00_6878;
BgL_fz00_6878 = BgL_arg2173z00_2322; 
BgL_argsz00_6879 = BgL_cdrzd213505zd2_2299; 
BgL_argsz00_1580 = BgL_argsz00_6879; 
BgL_fz00_1579 = BgL_fz00_6878; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6877);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2782z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213505zd2_2299))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_cdrzd213617zd2_2328;
BgL_cdrzd213617zd2_2328 = 
CDR(BgL_cdrzd213505zd2_2299); 
if(
PAIRP(BgL_cdrzd213617zd2_2328))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd213617zd2_2328)))
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2181z00_2332; obj_t BgL_arg2182z00_2333;
BgL_arg2181z00_2332 = 
CAR(BgL_cdrzd213505zd2_2299); 
BgL_arg2182z00_2333 = 
CAR(BgL_cdrzd213617zd2_2328); 
{ 
 BgL_ev_absz00_bglt BgL_auxz00_6894;
{ 
 obj_t BgL_bodyz00_6896; obj_t BgL_formalsz00_6895;
BgL_formalsz00_6895 = BgL_arg2181z00_2332; 
BgL_bodyz00_6896 = BgL_arg2182z00_2333; 
BgL_bodyz00_1576 = BgL_bodyz00_6896; 
BgL_formalsz00_1575 = BgL_formalsz00_6895; 
goto BgL_tagzd2174zd2_1577;} 
return 
((obj_t)BgL_auxz00_6894);} }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2183z00_2334; obj_t BgL_arg2184z00_2335;
BgL_arg2183z00_2334 = 
CAR(BgL_ez00_69); 
BgL_arg2184z00_2335 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6900;
{ 
 obj_t BgL_argsz00_6902; obj_t BgL_fz00_6901;
BgL_fz00_6901 = BgL_arg2183z00_2334; 
BgL_argsz00_6902 = BgL_arg2184z00_2335; 
BgL_argsz00_1580 = BgL_argsz00_6902; 
BgL_fz00_1579 = BgL_fz00_6901; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6900);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2186z00_2337; obj_t BgL_arg2187z00_2338;
BgL_arg2186z00_2337 = 
CAR(BgL_ez00_69); 
BgL_arg2187z00_2338 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6906;
{ 
 obj_t BgL_argsz00_6908; obj_t BgL_fz00_6907;
BgL_fz00_6907 = BgL_arg2186z00_2337; 
BgL_argsz00_6908 = BgL_arg2187z00_2338; 
BgL_argsz00_1580 = BgL_argsz00_6908; 
BgL_fz00_1579 = BgL_fz00_6907; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6906);} } }  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2188z00_2339; obj_t BgL_arg2189z00_2340;
BgL_arg2188z00_2339 = 
CAR(BgL_ez00_69); 
BgL_arg2189z00_2340 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6912;
{ 
 obj_t BgL_argsz00_6914; obj_t BgL_fz00_6913;
BgL_fz00_6913 = BgL_arg2188z00_2339; 
BgL_argsz00_6914 = BgL_arg2189z00_2340; 
BgL_argsz00_1580 = BgL_argsz00_6914; 
BgL_fz00_1579 = BgL_fz00_6913; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6912);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol2833z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2175zd2_1578;}  else 
{ /* Eval/evaluate.scm 424 */
 obj_t BgL_arg2192z00_2343; obj_t BgL_arg2193z00_2344;
BgL_arg2192z00_2343 = 
CAR(BgL_ez00_69); 
BgL_arg2193z00_2344 = 
CDR(BgL_ez00_69); 
{ 
 BgL_ev_appz00_bglt BgL_auxz00_6921;
{ 
 obj_t BgL_argsz00_6923; obj_t BgL_fz00_6922;
BgL_fz00_6922 = BgL_arg2192z00_2343; 
BgL_argsz00_6923 = BgL_arg2193z00_2344; 
BgL_argsz00_1580 = BgL_argsz00_6923; 
BgL_fz00_1579 = BgL_fz00_6922; 
goto BgL_tagzd2176zd2_1581;} 
return 
((obj_t)BgL_auxz00_6921);} } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
BgL_xz00_1503 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1503))
{ /* Eval/evaluate.scm 427 */
 obj_t BgL__ortest_1102z00_2366;
BgL__ortest_1102z00_2366 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1503, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1102z00_2366))
{ /* Eval/evaluate.scm 427 */
return BgL__ortest_1102z00_2366;}  else 
{ /* Eval/evaluate.scm 427 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1503, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 428 */
 BgL_ev_littz00_bglt BgL_new1104z00_2367;
{ /* Eval/evaluate.scm 429 */
 BgL_ev_littz00_bglt BgL_new1103z00_2368;
BgL_new1103z00_2368 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 429 */
 long BgL_arg2216z00_2369;
BgL_arg2216z00_2369 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1103z00_2368), BgL_arg2216z00_2369); } 
BgL_new1104z00_2367 = BgL_new1103z00_2368; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1104z00_2367))->BgL_valuez00)=((obj_t)BgL_xz00_1503),BUNSPEC); 
return 
((obj_t)BgL_new1104z00_2367);} } } } } 

}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4386, obj_t BgL_globalsz00_4385, obj_t BgL_localsz00_4384, obj_t BgL_locz00_4383, obj_t BgL_esz00_2697)
{
{ /* Eval/evaluate.scm 386 */
if(
NULLP(BgL_esz00_2697))
{ /* Eval/evaluate.scm 387 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 389 */
 obj_t BgL_ez00_2700;
BgL_ez00_2700 = 
CAR(
((obj_t)BgL_esz00_2697)); 
{ /* Eval/evaluate.scm 390 */
 obj_t BgL_arg2367z00_2701; obj_t BgL_arg2368z00_2702;
BgL_arg2367z00_2701 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2700, BgL_localsz00_4384, BgL_globalsz00_4385, BFALSE, BgL_wherez00_4386, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2700, BgL_esz00_2697, BgL_locz00_4383), ((bool_t)0)); 
{ /* Eval/evaluate.scm 391 */
 obj_t BgL_arg2370z00_2704;
BgL_arg2370z00_2704 = 
CDR(
((obj_t)BgL_esz00_2697)); 
BgL_arg2368z00_2702 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4386, BgL_globalsz00_4385, BgL_localsz00_4384, BgL_locz00_4383, BgL_arg2370z00_2704); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2367z00_2701, BgL_arg2368z00_2702);} } } 

}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4390, obj_t BgL_tailzf3zf3_4389, obj_t BgL_globalsz00_4388, obj_t BgL_localsz00_4387, obj_t BgL_ez00_2674, obj_t BgL_locz00_2675)
{
{ /* Eval/evaluate.scm 368 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2674, BgL_localsz00_4387, BgL_globalsz00_4388, BgL_tailzf3zf3_4389, BgL_wherez00_4390, BgL_locz00_2675, ((bool_t)0));} 

}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4393, obj_t BgL_globalsz00_4392, obj_t BgL_localsz00_4391, obj_t BgL_ez00_2684, obj_t BgL_locz00_2685)
{
{ /* Eval/evaluate.scm 377 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2684, BgL_localsz00_4391, BgL_globalsz00_4392, BFALSE, BgL_wherez00_4393, BgL_locz00_2685, ((bool_t)0));} 

}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4395, obj_t BgL_globalsz00_4394, obj_t BgL_lz00_2515, obj_t BgL_varsz00_2516, obj_t BgL_localsz00_2517, obj_t BgL_locz00_2518)
{
{ /* Eval/evaluate.scm 502 */
if(
NULLP(BgL_lz00_2515))
{ /* Eval/evaluate.scm 498 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_locz00_2521;
{ /* Eval/evaluate.scm 500 */
 obj_t BgL_arg2289z00_2529;
BgL_arg2289z00_2529 = 
CAR(
((obj_t)BgL_lz00_2515)); 
BgL_locz00_2521 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2289z00_2529, BgL_locz00_2518); } 
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2282z00_2522; obj_t BgL_arg2283z00_2523;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_arg2284z00_2524;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3472;
{ /* Eval/evaluate.scm 501 */
 obj_t BgL_pairz00_3471;
BgL_pairz00_3471 = 
CAR(
((obj_t)BgL_lz00_2515)); 
BgL_pairz00_3472 = 
CDR(BgL_pairz00_3471); } 
BgL_arg2284z00_2524 = 
CAR(BgL_pairz00_3472); } 
BgL_arg2282z00_2522 = 
BGl_convz00zz__evaluatez00(BgL_arg2284z00_2524, BgL_localsz00_2517, BgL_globalsz00_4394, BFALSE, BgL_wherez00_4395, BgL_locz00_2521, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2285z00_2525; obj_t BgL_arg2286z00_2526; obj_t BgL_arg2287z00_2527;
BgL_arg2285z00_2525 = 
CDR(
((obj_t)BgL_lz00_2515)); 
BgL_arg2286z00_2526 = 
CDR(
((obj_t)BgL_varsz00_2516)); 
{ /* Eval/evaluate.scm 502 */
 obj_t BgL_arg2288z00_2528;
BgL_arg2288z00_2528 = 
CAR(
((obj_t)BgL_varsz00_2516)); 
BgL_arg2287z00_2527 = 
MAKE_YOUNG_PAIR(BgL_arg2288z00_2528, BgL_localsz00_2517); } 
BgL_arg2283z00_2523 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4395, BgL_globalsz00_4394, BgL_arg2285z00_2525, BgL_arg2286z00_2526, BgL_arg2287z00_2527, BgL_locz00_2521); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2282z00_2522, BgL_arg2283z00_2523);} } } 

}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4399, obj_t BgL_localsz00_4398, obj_t BgL_ez00_4397, obj_t BgL_locz00_4396, obj_t BgL_formalsz00_2706, obj_t BgL_bodyz00_2707, obj_t BgL_wherez00_2708, obj_t BgL_typez00_2709)
{
{ /* Eval/evaluate.scm 404 */
{ 
 obj_t BgL_lz00_2740;
{ /* Eval/evaluate.scm 406 */
 obj_t BgL_argsz00_2712;
BgL_lz00_2740 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2706, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
 obj_t BgL_rz00_2744; obj_t BgL_flatz00_2745; long BgL_arityz00_2746;
BgL_rz00_2744 = BgL_lz00_2740; 
BgL_flatz00_2745 = BNIL; 
BgL_arityz00_2746 = ((long)0); 
BgL_zc3z04anonymousza32384ze3z87_2747:
if(
NULLP(BgL_rz00_2744))
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_val0_1199z00_2749;
BgL_val0_1199z00_2749 = 
bgl_reverse_bang(BgL_flatz00_2745); 
{ /* Eval/evaluate.scm 399 */
 int BgL_tmpz00_6972;
BgL_tmpz00_6972 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6972); } 
{ /* Eval/evaluate.scm 399 */
 obj_t BgL_auxz00_6977; int BgL_tmpz00_6975;
BgL_auxz00_6977 = 
BINT(BgL_arityz00_2746); 
BgL_tmpz00_6975 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6975, BgL_auxz00_6977); } 
BgL_argsz00_2712 = BgL_val0_1199z00_2749; }  else 
{ /* Eval/evaluate.scm 398 */
if(
PAIRP(BgL_rz00_2744))
{ /* Eval/evaluate.scm 403 */
 obj_t BgL_arg2387z00_2752; obj_t BgL_arg2388z00_2753; long BgL_arg2389z00_2754;
BgL_arg2387z00_2752 = 
CDR(BgL_rz00_2744); 
BgL_arg2388z00_2753 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2744)), BgL_flatz00_2745); 
BgL_arg2389z00_2754 = 
(BgL_arityz00_2746+((long)1)); 
{ 
 long BgL_arityz00_6989; obj_t BgL_flatz00_6988; obj_t BgL_rz00_6987;
BgL_rz00_6987 = BgL_arg2387z00_2752; 
BgL_flatz00_6988 = BgL_arg2388z00_2753; 
BgL_arityz00_6989 = BgL_arg2389z00_2754; 
BgL_arityz00_2746 = BgL_arityz00_6989; 
BgL_flatz00_2745 = BgL_flatz00_6988; 
BgL_rz00_2744 = BgL_rz00_6987; 
goto BgL_zc3z04anonymousza32384ze3z87_2747;} }  else 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_val0_1201z00_2757; long BgL_val1_1202z00_2758;
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_arg2392z00_2759;
BgL_arg2392z00_2759 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2744), BgL_flatz00_2745); 
BgL_val0_1201z00_2757 = 
bgl_reverse_bang(BgL_arg2392z00_2759); } 
BgL_val1_1202z00_2758 = 
(((long)-1)-BgL_arityz00_2746); 
{ /* Eval/evaluate.scm 401 */
 int BgL_tmpz00_6994;
BgL_tmpz00_6994 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6994); } 
{ /* Eval/evaluate.scm 401 */
 obj_t BgL_auxz00_6999; int BgL_tmpz00_6997;
BgL_auxz00_6999 = 
BINT(BgL_val1_1202z00_2758); 
BgL_tmpz00_6997 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6997, BgL_auxz00_6999); } 
BgL_argsz00_2712 = BgL_val0_1201z00_2757; } } } 
{ /* Eval/evaluate.scm 407 */
 obj_t BgL_arityz00_2713;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_tmpz00_3394;
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7003;
BgL_tmpz00_7003 = 
(int)(((long)1)); 
BgL_tmpz00_3394 = 
BGL_MVALUES_VAL(BgL_tmpz00_7003); } 
{ /* Eval/evaluate.scm 408 */
 int BgL_tmpz00_7006;
BgL_tmpz00_7006 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7006, BUNSPEC); } 
BgL_arityz00_2713 = BgL_tmpz00_3394; } 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_varsz00_2714; obj_t BgL_bodyz00_2715; obj_t BgL_nlocz00_2716;
if(
NULLP(BgL_argsz00_2712))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2714 = BNIL; }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_head1205z00_2723;
BgL_head1205z00_2723 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1203z00_2725; obj_t BgL_tail1206z00_2726;
BgL_l1203z00_2725 = BgL_argsz00_2712; 
BgL_tail1206z00_2726 = BgL_head1205z00_2723; 
BgL_zc3z04anonymousza32375ze3z87_2727:
if(
NULLP(BgL_l1203z00_2725))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2714 = 
CDR(BgL_head1205z00_2723); }  else 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_newtail1207z00_2729;
{ /* Eval/evaluate.scm 408 */
 BgL_ev_varz00_bglt BgL_arg2378z00_2731;
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_vz00_2732;
BgL_vz00_2732 = 
CAR(
((obj_t)BgL_l1203z00_2725)); 
{ /* Eval/evaluate.scm 409 */
 BgL_ev_varz00_bglt BgL_new1099z00_2733;
{ /* Eval/evaluate.scm 411 */
 BgL_ev_varz00_bglt BgL_new1098z00_2734;
BgL_new1098z00_2734 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 411 */
 long BgL_arg2379z00_2735;
BgL_arg2379z00_2735 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_2734), BgL_arg2379z00_2735); } 
BgL_new1099z00_2733 = BgL_new1098z00_2734; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1099z00_2733))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2732))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1099z00_2733))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1099z00_2733))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2732))),BUNSPEC); 
BgL_arg2378z00_2731 = BgL_new1099z00_2733; } } 
BgL_newtail1207z00_2729 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2378z00_2731), BNIL); } 
SET_CDR(BgL_tail1206z00_2726, BgL_newtail1207z00_2729); 
{ /* Eval/evaluate.scm 408 */
 obj_t BgL_arg2377z00_2730;
BgL_arg2377z00_2730 = 
CDR(
((obj_t)BgL_l1203z00_2725)); 
{ 
 obj_t BgL_tail1206z00_7034; obj_t BgL_l1203z00_7033;
BgL_l1203z00_7033 = BgL_arg2377z00_2730; 
BgL_tail1206z00_7034 = BgL_newtail1207z00_2729; 
BgL_tail1206z00_2726 = BgL_tail1206z00_7034; 
BgL_l1203z00_2725 = BgL_l1203z00_7033; 
goto BgL_zc3z04anonymousza32375ze3z87_2727;} } } } } 
BgL_bodyz00_2715 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4397, BgL_formalsz00_2706, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2712, BgL_argsz00_2712, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2709, BgL_bodyz00_2707, BgL_locz00_4396), BgL_locz00_4396, BgL_wherez00_2708), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2716 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2707, BgL_locz00_4396); 
{ /* Eval/evaluate.scm 417 */
 BgL_ev_absz00_bglt BgL_new1101z00_2717;
{ /* Eval/evaluate.scm 418 */
 BgL_ev_absz00_bglt BgL_new1100z00_2719;
BgL_new1100z00_2719 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 418 */
 long BgL_arg2373z00_2720;
BgL_arg2373z00_2720 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1100z00_2719), BgL_arg2373z00_2720); } 
BgL_new1101z00_2717 = BgL_new1100z00_2719; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_locz00)=((obj_t)BgL_locz00_4396),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_wherez00)=((obj_t)BgL_wherez00_2708),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_arityz00)=((obj_t)BgL_arityz00_2713),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_varsz00)=((obj_t)BgL_varsz00_2714),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_7047;
{ /* Eval/evaluate.scm 422 */
 obj_t BgL_arg2372z00_2718;
BgL_arg2372z00_2718 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2714, BgL_localsz00_4398); 
BgL_auxz00_7047 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2715, BgL_arg2372z00_2718, BgL_globalsz00_4399, BTRUE, BgL_wherez00_2708, BgL_nlocz00_2716, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7047),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1101z00_2717))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1101z00_2717;} } } } } } 

}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4403, obj_t BgL_wherez00_4402, obj_t BgL_globalsz00_4401, obj_t BgL_localsz00_4400, obj_t BgL_ez00_2687)
{
{ /* Eval/evaluate.scm 380 */
return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4402, BgL_globalsz00_4401, BgL_localsz00_4400, BgL_ez00_2687, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2687, BgL_locz00_4403));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
{
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string2835z00zz__evaluatez00));} 

}

#ifdef __cplusplus
}
#endif
