/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol4341z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4344z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4346z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol4348z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_symbol4350z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4352z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4354z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4356z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol4358z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4441z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4360z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4362z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4364z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4366z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4449z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4368z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_symbol4370z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol4372z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4374z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4376z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4378z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_symbol4460z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4380z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4462z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4382z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4464z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4384z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4466z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4386z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol4388z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol4390z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4392z00zz__evaluate_compz00 = BUNSPEC;
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4394z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4396z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_symbol4398z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run4301z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4303z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4305z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4307z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4309z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4311z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4243z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4245z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4247z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4249z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4251z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4253z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4255z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4257z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4259z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4261z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4263z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4265z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4267z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4269z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run4271z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4273z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4275z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4277z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run4279z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4281z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4283z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run4285z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4287z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4300z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run4289z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main4302z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4304z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4306z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4308z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4291z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4293z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run4295z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62run4297z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4310z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run4299z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4242z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4244z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4246z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4248z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4250z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main4252z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4254z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4256z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4258z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4260z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main4262z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main4264z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main4266z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4268z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4270z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4272z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4274z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4276z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4278z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4280z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4282z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main4284z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4286z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4288z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main4290z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4292z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4294z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main4296z62zz__evaluate_compz00(obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_z62main4298z62zz__evaluate_compz00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62comp1396z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol4316z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4318z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4400z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4320z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4402z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4404z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4406z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4326z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol4408z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol4410z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4334z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4336z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol4338z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t *__cnst;


extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za74470z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_4471z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string4317z00zz__evaluate_compz00, BgL_bgl_string4317za700za7za7_4472za7, "all", 3 );
DEFINE_STRING( BGl_string4319z00zz__evaluate_compz00, BgL_bgl_string4319za700za7za7_4473za7, "label-tag", 9 );
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string4401z00zz__evaluate_compz00, BgL_bgl_string4401za700za7za7_4474za7, ">=fl", 4 );
DEFINE_STRING( BGl_string4321z00zz__evaluate_compz00, BgL_bgl_string4321za700za7za7_4475za7, "bounce", 6 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4403z00zz__evaluate_compz00, BgL_bgl_string4403za700za7za7_4476za7, "=fl", 3 );
DEFINE_STRING( BGl_string4322z00zz__evaluate_compz00, BgL_bgl_string4322za700za7za7_4477za7, "non non non", 11 );
DEFINE_STRING( BGl_string4323z00zz__evaluate_compz00, BgL_bgl_string4323za700za7za7_4478za7, " in ", 4 );
DEFINE_STRING( BGl_string4405z00zz__evaluate_compz00, BgL_bgl_string4405za700za7za7_4479za7, "car", 3 );
DEFINE_STRING( BGl_string4324z00zz__evaluate_compz00, BgL_bgl_string4324za700za7za7_4480za7, "eval", 4 );
DEFINE_STRING( BGl_string4325z00zz__evaluate_compz00, BgL_bgl_string4325za700za7za7_4481za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string4407z00zz__evaluate_compz00, BgL_bgl_string4407za700za7za7_4482za7, "pair", 4 );
DEFINE_STRING( BGl_string4327z00zz__evaluate_compz00, BgL_bgl_string4327za700za7za7_4483za7, "at", 2 );
DEFINE_STRING( BGl_string4409z00zz__evaluate_compz00, BgL_bgl_string4409za700za7za7_4484za7, "cdr", 3 );
DEFINE_STRING( BGl_string4328z00zz__evaluate_compz00, BgL_bgl_string4328za700za7za7_4485za7, "", 0 );
DEFINE_STRING( BGl_string4329z00zz__evaluate_compz00, BgL_bgl_string4329za700za7za7_4486za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate_comp.scm", 66 );
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4411z00zz__evaluate_compz00, BgL_bgl_string4411za700za7za7_4487za7, "cadr", 4 );
DEFINE_STRING( BGl_string4330z00zz__evaluate_compz00, BgL_bgl_string4330za700za7za7_4488za7, "&compile", 8 );
DEFINE_STRING( BGl_string4331z00zz__evaluate_compz00, BgL_bgl_string4331za700za7za7_4489za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string4413z00zz__evaluate_compz00, BgL_bgl_string4413za700za7za7_4490za7, "comp1396", 8 );
DEFINE_STRING( BGl_string4332z00zz__evaluate_compz00, BgL_bgl_string4332za700za7za7_4491za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string4414z00zz__evaluate_compz00, BgL_bgl_string4414za700za7za7_4492za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string4333z00zz__evaluate_compz00, BgL_bgl_string4333za700za7za7_4493za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string4415z00zz__evaluate_compz00, BgL_bgl_string4415za700za7za7_4494za7, "&comp", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza74495za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string4335z00zz__evaluate_compz00, BgL_bgl_string4335za700za7za7_4496za7, "mcell", 5 );
DEFINE_STRING( BGl_string4417z00zz__evaluate_compz00, BgL_bgl_string4417za700za7za7_4497za7, "comp", 4 );
DEFINE_STRING( BGl_string4337z00zz__evaluate_compz00, BgL_bgl_string4337za700za7za7_4498za7, "internal", 8 );
DEFINE_STRING( BGl_string4339z00zz__evaluate_compz00, BgL_bgl_string4339za700za7za7_4499za7, "impossible", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4412z00zz__evaluate_compz00, BgL_bgl_za762comp1396za762za7za74500z00, BGl_z62comp1396z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4340z00zz__evaluate_compz00, BgL_bgl_string4340za700za7za7_4501za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4416z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra4502z00, BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4342z00zz__evaluate_compz00, BgL_bgl_string4342za700za7za7_4503za7, "user", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4418z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var4504z00, BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4343z00zz__evaluate_compz00, BgL_bgl_string4343za700za7za7_4505za7, "invalid byte code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4419z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4506z00, BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4345z00zz__evaluate_compz00, BgL_bgl_string4345za700za7za7_4507za7, "+", 1 );
DEFINE_STRING( BGl_string4347z00zz__evaluate_compz00, BgL_bgl_string4347za700za7za7_4508za7, "number", 6 );
DEFINE_STRING( BGl_string4349z00zz__evaluate_compz00, BgL_bgl_string4349za700za7za7_4509za7, "-", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4420z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo4510z00, BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4421z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set4511z00, BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4422z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def4512z00, BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4423z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit4513z00, BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4424z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if14514z00, BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4425z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or14515z00, BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4426z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and4516z00, BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4351z00zz__evaluate_compz00, BgL_bgl_string4351za700za7za7_4517za7, "*", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4427z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro4518z00, BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4428z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4519z00, BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4353z00zz__evaluate_compz00, BgL_bgl_string4353za700za7za7_4520za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4429z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4521z00, BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4355z00zz__evaluate_compz00, BgL_bgl_string4355za700za7za7_4522za7, "<", 1 );
DEFINE_STRING( BGl_string4357z00zz__evaluate_compz00, BgL_bgl_string4357za700za7za7_4523za7, ">", 1 );
DEFINE_STRING( BGl_string4439z00zz__evaluate_compz00, BgL_bgl_string4439za700za7za7_4524za7, "internal error", 14 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
DEFINE_STRING( BGl_string4359z00zz__evaluate_compz00, BgL_bgl_string4359za700za7za7_4525za7, "<=", 2 );
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4430z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let4526z00, BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4431z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin4527z00, BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4432z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw4528z00, BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4433z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit4529z00, BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4440z00zz__evaluate_compz00, BgL_bgl_string4440za700za7za7_4530za7, "must be dead code", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4434z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn4531z00, BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4435z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab4532z00, BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4442z00zz__evaluate_compz00, BgL_bgl_string4442za700za7za7_4533za7, "notyet", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4436z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got4534z00, BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4361z00zz__evaluate_compz00, BgL_bgl_string4361za700za7za7_4535za7, ">=", 2 );
DEFINE_STRING( BGl_string4443z00zz__evaluate_compz00, BgL_bgl_string4443za700za7za7_4536za7, "synchronize", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4437z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app4537z00, BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4444z00zz__evaluate_compz00, BgL_bgl_string4444za700za7za7_4538za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4438z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs4539z00, BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string4363z00zz__evaluate_compz00, BgL_bgl_string4363za700za7za7_4540za7, "=", 1 );
DEFINE_STRING( BGl_string4445z00zz__evaluate_compz00, BgL_bgl_string4445za700za7za7_4541za7, "set!", 4 );
DEFINE_STRING( BGl_string4446z00zz__evaluate_compz00, BgL_bgl_string4446za700za7za7_4542za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string4365z00zz__evaluate_compz00, BgL_bgl_string4365za700za7za7_4543za7, "+fx", 3 );
DEFINE_STRING( BGl_string4447z00zz__evaluate_compz00, BgL_bgl_string4447za700za7za7_4544za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string4448z00zz__evaluate_compz00, BgL_bgl_string4448za700za7za7_4545za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string4367z00zz__evaluate_compz00, BgL_bgl_string4367za700za7za7_4546za7, "fixnum", 6 );
DEFINE_STRING( BGl_string4369z00zz__evaluate_compz00, BgL_bgl_string4369za700za7za7_4547za7, "-fx", 3 );
DEFINE_STRING( BGl_string4450z00zz__evaluate_compz00, BgL_bgl_string4450za700za7za7_4548za7, "@", 1 );
DEFINE_STRING( BGl_string4451z00zz__evaluate_compz00, BgL_bgl_string4451za700za7za7_4549za7, "Uninitialized variable", 22 );
DEFINE_STRING( BGl_string4371z00zz__evaluate_compz00, BgL_bgl_string4371za700za7za7_4550za7, "*fx", 3 );
DEFINE_STRING( BGl_string4373z00zz__evaluate_compz00, BgL_bgl_string4373za700za7za7_4551za7, "/fx", 3 );
DEFINE_STRING( BGl_string4375z00zz__evaluate_compz00, BgL_bgl_string4375za700za7za7_4552za7, "<fx", 3 );
DEFINE_STRING( BGl_string4377z00zz__evaluate_compz00, BgL_bgl_string4377za700za7za7_4553za7, ">fx", 3 );
DEFINE_STRING( BGl_string4379z00zz__evaluate_compz00, BgL_bgl_string4379za700za7za7_4554za7, "<=fx", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4452z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4555za7, BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4453z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4556za7, BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4454z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4557za7, BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4461z00zz__evaluate_compz00, BgL_bgl_string4461za700za7za7_4558za7, "get_sp", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4455z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4559za7, BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4456z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4560za7, BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4381z00zz__evaluate_compz00, BgL_bgl_string4381za700za7za7_4561za7, ">=fx", 4 );
DEFINE_STRING( BGl_string4463z00zz__evaluate_compz00, BgL_bgl_string4463za700za7za7_4562za7, "reset_profile", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4457z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4563za7, BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4458z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4564za7, BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4383z00zz__evaluate_compz00, BgL_bgl_string4383za700za7za7_4565za7, "=fx", 3 );
DEFINE_STRING( BGl_string4465z00zz__evaluate_compz00, BgL_bgl_string4465za700za7za7_4566za7, "get_profile", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc4459z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo4567za7, BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string4385z00zz__evaluate_compz00, BgL_bgl_string4385za700za7za7_4568za7, "+fl", 3 );
DEFINE_STRING( BGl_string4467z00zz__evaluate_compz00, BgL_bgl_string4467za700za7za7_4569za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string4468z00zz__evaluate_compz00, BgL_bgl_string4468za700za7za7_4570za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string4387z00zz__evaluate_compz00, BgL_bgl_string4387za700za7za7_4571za7, "flonum", 6 );
DEFINE_STRING( BGl_string4469z00zz__evaluate_compz00, BgL_bgl_string4469za700za7za7_4572za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string4389z00zz__evaluate_compz00, BgL_bgl_string4389za700za7za7_4573za7, "-fl", 3 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string4391z00zz__evaluate_compz00, BgL_bgl_string4391za700za7za7_4574za7, "*fl", 3 );
DEFINE_STRING( BGl_string4393z00zz__evaluate_compz00, BgL_bgl_string4393za700za7za7_4575za7, "/fl", 3 );
DEFINE_STRING( BGl_string4395z00zz__evaluate_compz00, BgL_bgl_string4395za700za7za7_4576za7, "<fl", 3 );
DEFINE_STRING( BGl_string4397z00zz__evaluate_compz00, BgL_bgl_string4397za700za7za7_4577za7, ">fl", 3 );
DEFINE_STRING( BGl_string4399z00zz__evaluate_compz00, BgL_bgl_string4399za700za7za7_4578za7, "<=fl", 4 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev4579z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol4341z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4344z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4346z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4348z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4350z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4352z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4354z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4356z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4358z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4441z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4360z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4362z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4364z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4366z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4449z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4368z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4370z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4372z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4374z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4376z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4378z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4460z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4380z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4462z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4382z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4464z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4384z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4466z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4386z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4388z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4390z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4392z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4394z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4396z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4398z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4316z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4318z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4400z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4320z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4402z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4404z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4406z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4326z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4408z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4410z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4334z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4336z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol4338z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17544) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18918) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19526) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 20027) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20362) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20432) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20677) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20840) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 21077) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21237) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23383) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23648) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1804>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1828>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1851>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1873>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1894>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1916>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1939>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1941>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1945>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1959>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1975>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1989>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2005>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2007>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2011>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2030>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2051>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2070>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2091>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2093>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2097>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2123>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2151>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2177>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2206>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2208>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2212>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2247>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2284>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2319>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2356>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2358>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2362>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2408>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2456>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2502>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28599) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29243) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-arity-binop~0\" \"Eval/evaluate_comp.scm\" 29486) \"BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30935) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31767) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31784) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2693>\" \"Eval/evaluate_comp.scm\" 32048) \"BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32975) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2697>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2701>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2705>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2709>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2713>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2717>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2721>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2725>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2729>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2733>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2737>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2741>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2745>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2749>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2753>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2757>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2761>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2765>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2769>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2773>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2777>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2781>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2785>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2789>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2793>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2797>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2801>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2805>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2807>\" \"Eval/evaluate_comp.scm\" 33318) \"BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2810>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2813>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2816>\" \"Eval/evaluate_comp.scm\" 33164) \"BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33552) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33608) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34622) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34708) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 39035) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 39291) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39561) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1396\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1396z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1441\" \"Eval/evaluate_comp.scm\" 38561) \"BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3611>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3622>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4226\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4226z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4227\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4227z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3636>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4228\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4228z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4229\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4229z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3648>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4230\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4230z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4231\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4231z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3560>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4232\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4232z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4233\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4233z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3570>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4234\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4234z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4235\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4235z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3583>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4236\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4236z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4237\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4237z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3594>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4238\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4238z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4239\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4239z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3509>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4240\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4240z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4241\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4241z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3519>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4242\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4242z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4243\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4243z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3532>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4244\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4244z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4245\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4245z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3543>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4246\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4246z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4247\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4247z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3462>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4248\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4248z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4249\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4249z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3471>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4250\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4250z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4251\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4251z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3483>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4252\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4252z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4253\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4253z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3493>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4254\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4254z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4255\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4255z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3415>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4256\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4256z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4257\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4257z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3424>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4258\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4258z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4259\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4259z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3436>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4260\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4260z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4261\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4261z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3446>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4262\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4262z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4263\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4263z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3372>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4264\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4264z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4265\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4265z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3380>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4266\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4266z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4267\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4267z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3391>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4268\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4268z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4269\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4269z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3400>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4270\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4270z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4271\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4271z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3329>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4272\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4272z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4273\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4273z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3337>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4274\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4274z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4275\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4275z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3348>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4276\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4276z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4277\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4277z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3357>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4278\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4278z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4279\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4279z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3290>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4280\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4280z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4281\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4281z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3297>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4282\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4282z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4283\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4283z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3307>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4284\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4284z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4285\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4285z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3315>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4286\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4286z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4287\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4287z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3251>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4288\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4288z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4289\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4289z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3258>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4290\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4290z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4291\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4291z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3268>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4292\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4292z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4293\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4293z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3276>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4294\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4294z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4295\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4295z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3216>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4296\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4296z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4297\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4297z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3222>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4298\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4298z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4299\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4299z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3231>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4300\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4300z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4301\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4301z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3238>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4302\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4302z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4303\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4303z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3666>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4304\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4304z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4305\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4305z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3686>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4306\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4306z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4307\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4307z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3709>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4308\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4308z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4309\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4309z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3730>\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main4310\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62main4310z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run4311\" \"Eval/evaluate_comp.scm\" 38992) \"BGl_z62run4311z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1439\" \"Eval/evaluate_comp.scm\" 34176) \"BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1437\" \"Eval/evaluate_comp.scm\" 17884) \"BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3155>\" \"Eval/evaluate_comp.scm\" 18509) \"BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3161>\" \"Eval/evaluate_comp.scm\" 18790) \"BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1435\" \"Eval/evaluate_comp.scm\" 16809) \"BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3150>\" \"Eval/evaluate_comp.scm\" 17482) \"BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1433\" \"Eval/evaluate_comp.scm\" 16182) \"BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3129>\" \"Eval/evaluate_comp.scm\" 16392) \"BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1431\" \"Eval/evaluate_comp.scm\" 15840) \"BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3122>\" \"Eval/evaluate_comp.scm\" 16005) \"BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3125>~0\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1429\" \"Eval/evaluate_comp.scm\" 15532) \"BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3118>\" \"Eval/evaluate_comp.scm\" 15683) \"BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3119>\" \"Eval/evaluate_comp.scm\" 15752) \"BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1427\" \"Eval/evaluate_comp.scm\" 15077) \"BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3111>\" \"Eval/evaluate_comp.scm\" 15316) \"BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3112>~0\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1425\" \"Eval/evaluate_comp.scm\" 14024) \"BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3072>\" \"Eval/evaluate_comp.scm\" 14306) \"BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3085>\" \"Eval/evaluate_comp.scm\" 14662) \"BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1423\" \"Eval/evaluate_comp.scm\" 13529) \"BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3051>\" \"Eval/evaluate_comp.scm\" 13764) \"BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1421\" \"Eval/evaluate_comp.scm\" 12849) \"BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3030>\" \"Eval/evaluate_comp.scm\" 13176) \"BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21419\" \"Eval/evaluate_comp.scm\" 12655) \"BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3027>\" \"Eval/evaluate_comp.scm\" 12785) \"BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1417\" \"Eval/evaluate_comp.scm\" 12369) \"BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3017>\" \"Eval/evaluate_comp.scm\" 12500) \"BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1415\" \"Eval/evaluate_comp.scm\" 12111) \"BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3007>\" \"Eval/evaluate_comp.scm\" 12240) \"BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1413\" \"Eval/evaluate_comp.scm\" 11907) \"BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3002>\" \"Eval/evaluate_comp.scm\" 12044) \"BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1411\" \"Eval/evaluate_comp.scm\" 11788) \"BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3001>\" \"Eval/evaluate_comp.scm\" 11867) \"BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1409\" \"Eval/evaluate_comp.scm\" 10831) \"BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2975>\" \"Eval/evaluate_comp.scm\" 10957) \"BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1407\" \"Eval/evaluate_comp.scm\" 9970) \"BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2950>\" \"Eval/evaluate_comp.scm\" 10180) \"BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2955>\" \"Eval/evaluate_comp.scm\" 10353) \"BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2966>\" \"Eval/evaluate_comp.scm\" 10613) \"BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1405\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2910>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2912>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2923>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1403\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2899>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2903>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1401\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2887>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2890>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2881>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2884>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2875>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2878>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2869>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2872>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2893>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2896>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1399\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2860>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_15970, char * BgL_fromz00_15971)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol4316z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4317z00zz__evaluate_compz00); 
BGl_symbol4318z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4319z00zz__evaluate_compz00); 
BGl_symbol4320z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4321z00zz__evaluate_compz00); 
BGl_symbol4326z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4327z00zz__evaluate_compz00); 
BGl_symbol4334z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4335z00zz__evaluate_compz00); 
BGl_symbol4336z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4337z00zz__evaluate_compz00); 
BGl_symbol4338z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4339z00zz__evaluate_compz00); 
BGl_symbol4341z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4342z00zz__evaluate_compz00); 
BGl_symbol4344z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4345z00zz__evaluate_compz00); 
BGl_symbol4346z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4347z00zz__evaluate_compz00); 
BGl_symbol4348z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4349z00zz__evaluate_compz00); 
BGl_symbol4350z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4351z00zz__evaluate_compz00); 
BGl_symbol4352z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4353z00zz__evaluate_compz00); 
BGl_symbol4354z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4355z00zz__evaluate_compz00); 
BGl_symbol4356z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4357z00zz__evaluate_compz00); 
BGl_symbol4358z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4359z00zz__evaluate_compz00); 
BGl_symbol4360z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4361z00zz__evaluate_compz00); 
BGl_symbol4362z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4363z00zz__evaluate_compz00); 
BGl_symbol4364z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4365z00zz__evaluate_compz00); 
BGl_symbol4366z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4367z00zz__evaluate_compz00); 
BGl_symbol4368z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4369z00zz__evaluate_compz00); 
BGl_symbol4370z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4371z00zz__evaluate_compz00); 
BGl_symbol4372z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4373z00zz__evaluate_compz00); 
BGl_symbol4374z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4375z00zz__evaluate_compz00); 
BGl_symbol4376z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4377z00zz__evaluate_compz00); 
BGl_symbol4378z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4379z00zz__evaluate_compz00); 
BGl_symbol4380z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4381z00zz__evaluate_compz00); 
BGl_symbol4382z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4383z00zz__evaluate_compz00); 
BGl_symbol4384z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4385z00zz__evaluate_compz00); 
BGl_symbol4386z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4387z00zz__evaluate_compz00); 
BGl_symbol4388z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4389z00zz__evaluate_compz00); 
BGl_symbol4390z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4391z00zz__evaluate_compz00); 
BGl_symbol4392z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4393z00zz__evaluate_compz00); 
BGl_symbol4394z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4395z00zz__evaluate_compz00); 
BGl_symbol4396z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4397z00zz__evaluate_compz00); 
BGl_symbol4398z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4399z00zz__evaluate_compz00); 
BGl_symbol4400z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4401z00zz__evaluate_compz00); 
BGl_symbol4402z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4403z00zz__evaluate_compz00); 
BGl_symbol4404z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4405z00zz__evaluate_compz00); 
BGl_symbol4406z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4407z00zz__evaluate_compz00); 
BGl_symbol4408z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4409z00zz__evaluate_compz00); 
BGl_symbol4410z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4411z00zz__evaluate_compz00); 
BGl_symbol4441z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4442z00zz__evaluate_compz00); 
BGl_symbol4449z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4450z00zz__evaluate_compz00); 
BGl_symbol4460z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4461z00zz__evaluate_compz00); 
BGl_symbol4462z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4463z00zz__evaluate_compz00); 
BGl_symbol4464z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4465z00zz__evaluate_compz00); 
return ( 
BGl_symbol4466z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string4467z00zz__evaluate_compz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
 BGL_LONGLONG_T BgL_arg1508z00_1396;
BgL_arg1508z00_1396 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_list1509z00_1397;
{ /* Eval/evaluate_comp.scm 114 */
 obj_t BgL_arg1510z00_1398;
BgL_arg1510z00_1398 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1508z00_1396), BNIL); 
BgL_list1509z00_1397 = 
MAKE_YOUNG_PAIR(BGl_symbol4316z00zz__evaluate_compz00, BgL_arg1510z00_1398); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1509z00_1397; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4318z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol4320z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
 obj_t BgL_headz00_1399;
BgL_headz00_1399 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
 obj_t BgL_prevz00_1400; obj_t BgL_tailz00_1401;
BgL_prevz00_1400 = BgL_headz00_1399; 
BgL_tailz00_1401 = BgL_l1z00_1; 
BgL_loopz00_1402:
if(
PAIRP(BgL_tailz00_1401))
{ 
 obj_t BgL_newzd2prevzd2_1404;
BgL_newzd2prevzd2_1404 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1401), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1400, BgL_newzd2prevzd2_1404); 
{ 
 obj_t BgL_tailz00_16047; obj_t BgL_prevz00_16046;
BgL_prevz00_16046 = BgL_newzd2prevzd2_1404; 
BgL_tailz00_16047 = 
CDR(BgL_tailz00_1401); 
BgL_tailz00_1401 = BgL_tailz00_16047; 
BgL_prevz00_1400 = BgL_prevz00_16046; 
goto BgL_loopz00_1402;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1399);} } } 

}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
 BGL_LONGLONG_T BgL_arg1533z00_1427;
BgL_arg1533z00_1427 = 
LONG_TO_LLONG(((long)0)); 
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_list1534z00_1428;
{ /* Eval/evaluate_comp.scm 133 */
 obj_t BgL_arg1535z00_1429;
BgL_arg1535z00_1429 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1533z00_1427), BNIL); 
BgL_list1534z00_1428 = 
MAKE_YOUNG_PAIR(BGl_symbol4316z00zz__evaluate_compz00, BgL_arg1535z00_1429); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1534z00_1428, BUNSPEC) ;} } } 

}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1438)
{
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1438))
{ /* Ieee/fixnum.scm 985 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1438), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1438))
{ /* Eval/evaluate_comp.scm 139 */
 obj_t BgL_arg3904z00_6510;
BgL_arg3904z00_6510 = 
SYMBOL_TO_STRING(BgL_vz00_1438); 
return 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3904z00_6510);}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1438))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1438;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string4322z00zz__evaluate_compz00;} } } } 

}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10939, obj_t BgL_t1z00_10940, obj_t BgL_t2z00_10941)
{
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
 bool_t BgL_tmpz00_16064;
{ /* Eval/evaluate_comp.scm 142 */
 obj_t BgL_v1z00_12920; obj_t BgL_v2z00_12921;
BgL_v1z00_12920 = 
CAR(
((obj_t)BgL_t1z00_10940)); 
BgL_v2z00_12921 = 
CAR(
((obj_t)BgL_t2z00_10941)); 
{ /* Eval/evaluate_comp.scm 143 */
 bool_t BgL_test4585z00_16069;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12920))
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4585z00_16069 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12921)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_test4585z00_16069 = ((bool_t)0)
; } 
if(BgL_test4585z00_16069)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_16064 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12920, BgL_v2z00_12921)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_16064 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12920), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12921))
; } } } 
return 
BBOOL(BgL_tmpz00_16064);} } 

}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 

}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1447)
{
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1546z00_1449; obj_t BgL_arg1549z00_1450;
BgL_arg1546z00_1449 = 
CDR(
((obj_t)BgL_tz00_1447)); 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_arg1550z00_1451;
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_pairz00_6519;
BgL_pairz00_6519 = 
CDR(
((obj_t)BgL_tz00_1447)); 
BgL_arg1550z00_1451 = 
CDR(BgL_pairz00_6519); } 
BgL_arg1549z00_1450 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1550z00_1451); } 
{ /* Eval/evaluate_comp.scm 149 */
 obj_t BgL_tmpz00_16085;
BgL_tmpz00_16085 = 
((obj_t)BgL_arg1546z00_1449); 
SET_CDR(BgL_tmpz00_16085, BgL_arg1549z00_1450); } } 
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_g1298z00_1452;
{ /* Eval/evaluate_comp.scm 150 */
 obj_t BgL_pairz00_6524;
BgL_pairz00_6524 = 
CDR(
((obj_t)BgL_tz00_1447)); 
BgL_g1298z00_1452 = 
CDR(BgL_pairz00_6524); } 
{ 
 obj_t BgL_l1296z00_1454;
BgL_l1296z00_1454 = BgL_g1298z00_1452; 
BgL_zc3z04anonymousza31551ze3z87_1455:
if(
PAIRP(BgL_l1296z00_1454))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1296z00_1454)); 
{ 
 obj_t BgL_l1296z00_16095;
BgL_l1296z00_16095 = 
CDR(BgL_l1296z00_1454); 
BgL_l1296z00_1454 = BgL_l1296z00_16095; 
goto BgL_zc3z04anonymousza31551ze3z87_1455;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 

}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{
{ /* Eval/evaluate_comp.scm 156 */
{ 
 obj_t BgL_lz00_1462; long BgL_nz00_1463;
BgL_lz00_1462 = BgL_lz00_7; 
BgL_nz00_1463 = ((long)0); 
BgL_zc3z04anonymousza31554ze3z87_1464:
if(
NULLP(BgL_lz00_1462))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1462))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1463);}  else 
{ 
 long BgL_nz00_16107; obj_t BgL_lz00_16104;
BgL_lz00_16104 = 
CDR(
((obj_t)BgL_lz00_1462)); 
BgL_nz00_16107 = 
(BgL_nz00_1463+((long)1)); 
BgL_nz00_1463 = BgL_nz00_16107; 
BgL_lz00_1462 = BgL_lz00_16104; 
goto BgL_zc3z04anonymousza31554ze3z87_1464;} } } } 

}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL__ortest_1077z00_1472;
BgL__ortest_1077z00_1472 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1077z00_1472))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1077z00_1472;}  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1563z00_1473;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1564z00_1474;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1564z00_1474 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_head1301z00_1480;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1575z00_1492;
BgL_arg1575z00_1492 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
BgL_head1301z00_1480 = 
MAKE_YOUNG_PAIR(BgL_arg1575z00_1492, BNIL); } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_g1304z00_1481;
BgL_g1304z00_1481 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
 obj_t BgL_l1299z00_1483; obj_t BgL_tail1302z00_1484;
BgL_l1299z00_1483 = BgL_g1304z00_1481; 
BgL_tail1302z00_1484 = BgL_head1301z00_1480; 
BgL_zc3z04anonymousza31570ze3z87_1485:
if(
NULLP(BgL_l1299z00_1483))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1564z00_1474 = BgL_head1301z00_1480; }  else 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_newtail1303z00_1487;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1573z00_1489;
BgL_arg1573z00_1489 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1299z00_1483))); 
BgL_newtail1303z00_1487 = 
MAKE_YOUNG_PAIR(BgL_arg1573z00_1489, BNIL); } 
SET_CDR(BgL_tail1302z00_1484, BgL_newtail1303z00_1487); 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1572z00_1488;
BgL_arg1572z00_1488 = 
CDR(
((obj_t)BgL_l1299z00_1483)); 
{ 
 obj_t BgL_tail1302z00_16130; obj_t BgL_l1299z00_16129;
BgL_l1299z00_16129 = BgL_arg1572z00_1488; 
BgL_tail1302z00_16130 = BgL_newtail1303z00_1487; 
BgL_tail1302z00_1484 = BgL_tail1302z00_16130; 
BgL_l1299z00_1483 = BgL_l1299z00_16129; 
goto BgL_zc3z04anonymousza31570ze3z87_1485;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_list1565z00_1475;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1566z00_1476;
{ /* Eval/evaluate_comp.scm 164 */
 obj_t BgL_arg1568z00_1477;
BgL_arg1568z00_1477 = 
MAKE_YOUNG_PAIR(BgL_arg1564z00_1474, BNIL); 
BgL_arg1566z00_1476 = 
MAKE_YOUNG_PAIR(BGl_string4323z00zz__evaluate_compz00, BgL_arg1568z00_1477); } 
BgL_list1565z00_1475 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1566z00_1476); } 
BgL_arg1563z00_1473 = BgL_list1565z00_1475; } } 
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_string4325z00zz__evaluate_compz00, BgL_arg1563z00_1473);} } } 

}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{
{ /* Eval/evaluate_comp.scm 188 */
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_test4593z00_16135;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_classz00_6536;
BgL_classz00_6536 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_16))
{ /* Eval/evaluate_comp.scm 189 */
 BgL_objectz00_bglt BgL_arg4054z00_6538;
BgL_arg4054z00_6538 = 
(BgL_objectz00_bglt)(BgL_vz00_16); 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_arg4051z00_6541; bool_t BgL_arg4052z00_6542;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_idxz00_6545;
BgL_idxz00_6545 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_6538); 
BgL_arg4051z00_6541 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6545+((long)2)))==BgL_classz00_6536); } 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL_res4080z00_6567;
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_oclassz00_6553;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg4061z00_6559;
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_arg4062z00_6560;
BgL_arg4062z00_6560 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_6538); 
BgL_arg4061z00_6559 = 
(BgL_arg4062z00_6560-OBJECT_TYPE); } 
BgL_oclassz00_6553 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_6559); } 
{ /* Eval/evaluate_comp.scm 189 */
 bool_t BgL__ortest_1293z00_6554;
BgL__ortest_1293z00_6554 = 
(BgL_classz00_6536==BgL_oclassz00_6553); 
if(BgL__ortest_1293z00_6554)
{ /* Eval/evaluate_comp.scm 189 */
BgL_res4080z00_6567 = BgL__ortest_1293z00_6554; }  else 
{ /* Eval/evaluate_comp.scm 189 */
 long BgL_odepthz00_6555;
BgL_odepthz00_6555 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6553); 
if(
(((long)2)<BgL_odepthz00_6555))
{ /* Eval/evaluate_comp.scm 189 */
 obj_t BgL_arg4050z00_6557;
BgL_arg4050z00_6557 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6553, ((long)2)); 
BgL_res4080z00_6567 = 
(BgL_arg4050z00_6557==BgL_classz00_6536); }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_res4080z00_6567 = ((bool_t)0); } } } } 
BgL_arg4052z00_6542 = BgL_res4080z00_6567; } 
BgL_test4593z00_16135 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_6541, BgL_arg4052z00_6542); } }  else 
{ /* Eval/evaluate_comp.scm 189 */
BgL_test4593z00_16135 = ((bool_t)0)
; } } 
if(BgL_test4593z00_16135)
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } } 

}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{
{ /* Eval/evaluate_comp.scm 193 */
{ 
 obj_t BgL_fnamez00_1513; obj_t BgL_locz00_1514;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2194zd2_1519;
BgL_cdrzd2194zd2_1519 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol4326z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1519))
{ /* Eval/evaluate_comp.scm 194 */
 obj_t BgL_cdrzd2198zd2_1523;
BgL_cdrzd2198zd2_1523 = 
CDR(BgL_cdrzd2194zd2_1519); 
if(
PAIRP(BgL_cdrzd2198zd2_1523))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1523)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1513 = 
CAR(BgL_cdrzd2194zd2_1519); 
BgL_locz00_1514 = 
CAR(BgL_cdrzd2198zd2_1523); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1513, BgL_locz00_1514);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1516:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1516;} } } 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
 obj_t BgL_stkz00_1541;
BgL_stkz00_1541 = 
make_vector(((long)8192), BGl_string4328z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1541,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1541;} } 

}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_sz00_1542;
{ /* Eval/evaluate_comp.scm 212 */
 obj_t BgL_tmpz00_16177;
BgL_tmpz00_16177 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1542 = 
BGL_ENV_EVSTATE(BgL_tmpz00_16177); } 
if(
VECTORP(BgL_sz00_1542))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1542;}  else 
{ /* Eval/evaluate_comp.scm 214 */
 obj_t BgL_statez00_1544;
BgL_statez00_1544 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
 obj_t BgL_tmpz00_16183;
BgL_tmpz00_16183 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_16183, BgL_statez00_1544); } 
return BgL_statez00_1544;} } } 

}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10942)
{
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 

}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 

}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10943, obj_t BgL_ez00_10944)
{
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
 BgL_ev_exprz00_bglt BgL_auxz00_16188;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10944, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_16188 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10944)
; }  else 
{ 
 obj_t BgL_auxz00_16192;
BgL_auxz00_16192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4329z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string4330z00zz__evaluate_compz00, BGl_string4331z00zz__evaluate_compz00, BgL_ez00_10944); 
FAILURE(BgL_auxz00_16192,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_16188);} } 

}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{
{ /* Eval/evaluate_comp.scm 332 */
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_test4606z00_16197;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_classz00_6579;
BgL_classz00_6579 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 333 */
 BgL_objectz00_bglt BgL_arg4054z00_6581;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_tmpz00_16198;
BgL_tmpz00_16198 = 
((obj_t)BgL_ez00_43); 
BgL_arg4054z00_6581 = 
(BgL_objectz00_bglt)(BgL_tmpz00_16198); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_arg4051z00_6584; bool_t BgL_arg4052z00_6585;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_idxz00_6588;
BgL_idxz00_6588 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_6581); 
BgL_arg4051z00_6584 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_6588+((long)2)))==BgL_classz00_6579); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL_res4081z00_6610;
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_oclassz00_6596;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg4061z00_6602;
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_arg4062z00_6603;
BgL_arg4062z00_6603 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_6581); 
BgL_arg4061z00_6602 = 
(BgL_arg4062z00_6603-OBJECT_TYPE); } 
BgL_oclassz00_6596 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_6602); } 
{ /* Eval/evaluate_comp.scm 333 */
 bool_t BgL__ortest_1293z00_6597;
BgL__ortest_1293z00_6597 = 
(BgL_classz00_6579==BgL_oclassz00_6596); 
if(BgL__ortest_1293z00_6597)
{ /* Eval/evaluate_comp.scm 333 */
BgL_res4081z00_6610 = BgL__ortest_1293z00_6597; }  else 
{ /* Eval/evaluate_comp.scm 333 */
 long BgL_odepthz00_6598;
BgL_odepthz00_6598 = 
BGL_CLASS_DEPTH(BgL_oclassz00_6596); 
if(
(((long)2)<BgL_odepthz00_6598))
{ /* Eval/evaluate_comp.scm 333 */
 obj_t BgL_arg4050z00_6600;
BgL_arg4050z00_6600 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6596, ((long)2)); 
BgL_res4081z00_6610 = 
(BgL_arg4050z00_6600==BgL_classz00_6579); }  else 
{ /* Eval/evaluate_comp.scm 333 */
BgL_res4081z00_6610 = ((bool_t)0); } } } } 
BgL_arg4052z00_6585 = BgL_res4081z00_6610; } 
BgL_test4606z00_16197 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_6584, BgL_arg4052z00_6585); } } } 
if(BgL_test4606z00_16197)
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_gz00_1600;
{ /* Eval/evaluate_comp.scm 335 */
 obj_t BgL_arg1657z00_1601; obj_t BgL_arg1659z00_1602;
BgL_arg1657z00_1601 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1659z00_1602 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1600 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1657z00_1601, BgL_arg1659z00_1602); } 
if(
CBOOL(BgL_gz00_1600))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1600),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } } 

}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{
{ /* Eval/evaluate_comp.scm 593 */
{ 
 obj_t BgL_fz00_1612;
BgL_fz00_1612 = BgL_fz00_78; 
BgL_zc3z04anonymousza31668ze3z87_1613:
{ /* Eval/evaluate_comp.scm 597 */
 obj_t BgL_rz00_1614;
BgL_rz00_1614 = 
PROCEDURE_ENTRY(BgL_fz00_1612)(BgL_fz00_1612, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 599 */
 bool_t BgL_test4610z00_16229;
if(
PROCEDUREP(BgL_rz00_1614))
{ /* Eval/evaluate_comp.scm 599 */
 obj_t BgL_arg1672z00_1619;
BgL_arg1672z00_1619 = 
PROCEDURE_ATTR(BgL_rz00_1614); 
if(
STRUCTP(BgL_arg1672z00_1619))
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4610z00_16229 = 
(
STRUCT_KEY(BgL_arg1672z00_1619)==BGl_symbol4318z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 569 */
BgL_test4610z00_16229 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 599 */
BgL_test4610z00_16229 = ((bool_t)0)
; } 
if(BgL_test4610z00_16229)
{ 
 obj_t BgL_fz00_16237;
BgL_fz00_16237 = BgL_rz00_1614; 
BgL_fz00_1612 = BgL_fz00_16237; 
goto BgL_zc3z04anonymousza31668ze3z87_1613;}  else 
{ /* Eval/evaluate_comp.scm 599 */
return BgL_rz00_1614;} } } } } 

}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{
{ /* Eval/evaluate_comp.scm 623 */
{ 
 obj_t BgL_lz00_1622; obj_t BgL_bsz00_1623; long BgL_spz00_1624;
BgL_lz00_1622 = BgL_argsz00_83; 
BgL_bsz00_1623 = BgL_boxesz00_84; 
BgL_spz00_1624 = BgL_spz00_85; 
BgL_zc3z04anonymousza31673ze3z87_1625:
if(
NULLP(BgL_lz00_1622))
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1623))
{ /* Eval/evaluate_comp.scm 626 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 629 */
 obj_t BgL_arg1677z00_1628;
{ /* Eval/evaluate_comp.scm 629 */
 long BgL_arg1680z00_1629; long BgL_arg1683z00_1630;
BgL_arg1680z00_1629 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1683z00_1630 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_list1684z00_1631;
{ /* Eval/evaluate_comp.scm 628 */
 obj_t BgL_arg1685z00_1632;
BgL_arg1685z00_1632 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1683z00_1630), BNIL); 
BgL_list1684z00_1631 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1680z00_1629), BgL_arg1685z00_1632); } 
BgL_arg1677z00_1628 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4332z00zz__evaluate_compz00, BgL_list1684z00_1631); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4324z00zz__evaluate_compz00, BGl_string4333z00zz__evaluate_compz00, BgL_arg1677z00_1628);} }  else 
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1623))
{ /* Eval/evaluate_comp.scm 633 */
 obj_t BgL_arg1687z00_1634;
{ /* Eval/evaluate_comp.scm 633 */
 long BgL_arg1688z00_1635; long BgL_arg1689z00_1636;
BgL_arg1688z00_1635 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1689z00_1636 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_list1690z00_1637;
{ /* Eval/evaluate_comp.scm 632 */
 obj_t BgL_arg1691z00_1638;
BgL_arg1691z00_1638 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1689z00_1636), BNIL); 
BgL_list1690z00_1637 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1688z00_1635), BgL_arg1691z00_1638); } 
BgL_arg1687z00_1634 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string4332z00zz__evaluate_compz00, BgL_list1690z00_1637); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string4324z00zz__evaluate_compz00, BGl_string4333z00zz__evaluate_compz00, BgL_arg1687z00_1634);}  else 
{ /* Eval/evaluate_comp.scm 630 */
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_arg1692z00_1639;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_vz00_1640;
{ /* Eval/evaluate_comp.scm 636 */
 obj_t BgL_fun1694z00_1642;
BgL_fun1694z00_1642 = 
CAR(
((obj_t)BgL_lz00_1622)); 
BgL_vz00_1640 = 
PROCEDURE_ENTRY(BgL_fun1694z00_1642)(BgL_fun1694z00_1642, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1623))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_6625;
BgL_newz00_6625 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_16272;
BgL_tmpz00_16272 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6625, BgL_tmpz00_16272, BgL_vz00_1640); } 
BgL_arg1692z00_1639 = BgL_newz00_6625; }  else 
{ /* Eval/evaluate_comp.scm 637 */
BgL_arg1692z00_1639 = BgL_vz00_1640; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1624,BgL_arg1692z00_1639); } 
{ /* Eval/evaluate_comp.scm 640 */
 obj_t BgL_arg1695z00_1643; obj_t BgL_arg1698z00_1644; long BgL_arg1700z00_1645;
BgL_arg1695z00_1643 = 
CDR(
((obj_t)BgL_lz00_1622)); 
BgL_arg1698z00_1644 = 
CDR(
((obj_t)BgL_bsz00_1623)); 
BgL_arg1700z00_1645 = 
(BgL_spz00_1624+((long)1)); 
{ 
 long BgL_spz00_16284; obj_t BgL_bsz00_16283; obj_t BgL_lz00_16282;
BgL_lz00_16282 = BgL_arg1695z00_1643; 
BgL_bsz00_16283 = BgL_arg1698z00_1644; 
BgL_spz00_16284 = BgL_arg1700z00_1645; 
BgL_spz00_1624 = BgL_spz00_16284; 
BgL_bsz00_1623 = BgL_bsz00_16283; 
BgL_lz00_1622 = BgL_lz00_16282; 
goto BgL_zc3z04anonymousza31673ze3z87_1625;} } } } } } 

}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{
{ /* Eval/evaluate_comp.scm 645 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 646 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 646 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 649 */
 obj_t BgL_arg1708z00_1651; obj_t BgL_arg1709z00_1652;
BgL_arg1708z00_1651 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1709z00_1652 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
 obj_t BgL_l2z00_16298; obj_t BgL_l1z00_16297;
BgL_l1z00_16297 = BgL_arg1708z00_1651; 
BgL_l2z00_16298 = BgL_arg1709z00_1652; 
BgL_l2z00_89 = BgL_l2z00_16298; 
BgL_l1z00_88 = BgL_l1z00_16297; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 647 */
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_symbol4336z00zz__evaluate_compz00, BGl_symbol4338z00zz__evaluate_compz00);} } } 

}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{
{ /* Eval/evaluate_comp.scm 669 */
{ /* Eval/evaluate_comp.scm 670 */
 obj_t BgL_savedzd2bpzd2_1663;
BgL_savedzd2bpzd2_1663 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
 obj_t BgL_fz00_1665;
BgL_fz00_1665 = BgL_fz00_93; 
BgL_zc3z04anonymousza31722ze3z87_1666:
{ /* Eval/evaluate_comp.scm 673 */
 obj_t BgL_rz00_1667;
BgL_rz00_1667 = 
PROCEDURE_ENTRY(BgL_fz00_1665)(BgL_fz00_1665, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 674 */
 bool_t BgL_test4619z00_16308;
if(
PROCEDUREP(BgL_rz00_1667))
{ /* Eval/evaluate_comp.scm 674 */
 obj_t BgL_arg1726z00_1672;
BgL_arg1726z00_1672 = 
PROCEDURE_ATTR(BgL_rz00_1667); 
if(
STRUCTP(BgL_arg1726z00_1672))
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4619z00_16308 = 
(
STRUCT_KEY(BgL_arg1726z00_1672)==BGl_symbol4320z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 654 */
BgL_test4619z00_16308 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 674 */
BgL_test4619z00_16308 = ((bool_t)0)
; } 
if(BgL_test4619z00_16308)
{ 
 obj_t BgL_fz00_16316;
BgL_fz00_16316 = BgL_rz00_1667; 
BgL_fz00_1665 = BgL_fz00_16316; 
goto BgL_zc3z04anonymousza31722ze3z87_1666;}  else 
{ /* Eval/evaluate_comp.scm 674 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1663); 
return BgL_rz00_1667;} } } } } } 

}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{
{ /* Eval/evaluate_comp.scm 685 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 

}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{
{ /* Eval/evaluate_comp.scm 688 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1742z00_1690; obj_t BgL_arg1744z00_1691;
{ /* Eval/evaluate_comp.scm 692 */
 obj_t BgL_arg1745z00_1692;
BgL_arg1745z00_1692 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1742z00_1690 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1745z00_1692), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1747z00_1693; obj_t BgL_arg1748z00_1694;
BgL_arg1747z00_1693 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 693 */
 obj_t BgL_arg1749z00_1695;
BgL_arg1749z00_1695 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1748z00_1694 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1749z00_1695); } 
BgL_arg1744z00_1691 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1747z00_1693, BgL_arg1748z00_1694); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1742z00_1690, BgL_arg1744z00_1691);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12905, obj_t BgL_lz00_1697, long BgL_iz00_1698)
{
{ /* Eval/evaluate_comp.scm 696 */
if(
NULLP(BgL_lz00_1697))
{ /* Eval/evaluate_comp.scm 697 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 697 */
if(
(BgL_iz00_1698==((long)0)))
{ /* Eval/evaluate_comp.scm 698 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1697, BgL_stkz00_12905);}  else 
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1753z00_1702; obj_t BgL_arg1754z00_1703;
{ /* Eval/evaluate_comp.scm 699 */
 obj_t BgL_arg1755z00_1704;
BgL_arg1755z00_1704 = 
CAR(
((obj_t)BgL_lz00_1697)); 
BgL_arg1753z00_1702 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1755z00_1704), BgL_stkz00_12905); } 
{ /* Eval/evaluate_comp.scm 700 */
 obj_t BgL_arg1756z00_1705; long BgL_arg1757z00_1706;
BgL_arg1756z00_1705 = 
CDR(
((obj_t)BgL_lz00_1697)); 
BgL_arg1757z00_1706 = 
(BgL_iz00_1698-((long)1)); 
BgL_arg1754z00_1703 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12905, BgL_arg1756z00_1705, BgL_arg1757z00_1706); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1753z00_1702, BgL_arg1754z00_1703);} } } 

}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{
{ /* Eval/evaluate_comp.scm 702 */
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_argsz00_1708;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1708 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_head1350z00_1713;
BgL_head1350z00_1713 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1348z00_1715; obj_t BgL_tail1351z00_1716;
BgL_l1348z00_1715 = BgL_argsz00_124; 
BgL_tail1351z00_1716 = BgL_head1350z00_1713; 
BgL_zc3z04anonymousza31760ze3z87_1717:
if(
NULLP(BgL_l1348z00_1715))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1708 = 
CDR(BgL_head1350z00_1713); }  else 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_newtail1352z00_1719;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1763z00_1721;
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_az00_1722;
BgL_az00_1722 = 
CAR(
((obj_t)BgL_l1348z00_1715)); 
BgL_arg1763z00_1721 = 
PROCEDURE_ENTRY(BgL_az00_1722)(BgL_az00_1722, BgL_sz00_122, BEOA); } 
BgL_newtail1352z00_1719 = 
MAKE_YOUNG_PAIR(BgL_arg1763z00_1721, BNIL); } 
SET_CDR(BgL_tail1351z00_1716, BgL_newtail1352z00_1719); 
{ /* Eval/evaluate_comp.scm 704 */
 obj_t BgL_arg1762z00_1720;
BgL_arg1762z00_1720 = 
CDR(
((obj_t)BgL_l1348z00_1715)); 
{ 
 obj_t BgL_tail1351z00_16368; obj_t BgL_l1348z00_16367;
BgL_l1348z00_16367 = BgL_arg1762z00_1720; 
BgL_tail1351z00_16368 = BgL_newtail1352z00_1719; 
BgL_tail1351z00_1716 = BgL_tail1351z00_16368; 
BgL_l1348z00_1715 = BgL_l1348z00_16367; 
goto BgL_zc3z04anonymousza31760ze3z87_1717;} } } } } 
{ /* Eval/evaluate_comp.scm 705 */
 long BgL_arg1758z00_1709;
BgL_arg1758z00_1709 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1758z00_1709)); } 
{ /* Eval/evaluate_comp.scm 706 */
 obj_t BgL_za2za2resza2za2z00_1710;
BgL_za2za2resza2za2z00_1710 = 
apply(BgL_fz00_123, BgL_argsz00_1708); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1710;} } } 

}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{
{ /* Eval/evaluate_comp.scm 709 */
{ 
 obj_t BgL_lz00_1725; obj_t BgL_spz00_1726;
BgL_lz00_1725 = BgL_argsz00_128; 
BgL_spz00_1726 = BgL_spz00_129; 
BgL_zc3z04anonymousza31764ze3z87_1727:
if(
NULLP(BgL_lz00_1725))
{ /* Eval/evaluate_comp.scm 711 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 711 */
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_arg1766z00_1729;
{ /* Eval/evaluate_comp.scm 712 */
 obj_t BgL_fun1767z00_1730;
BgL_fun1767z00_1730 = 
CAR(
((obj_t)BgL_lz00_1725)); 
BgL_arg1766z00_1729 = 
PROCEDURE_ENTRY(BgL_fun1767z00_1730)(BgL_fun1767z00_1730, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 712 */
 long BgL_kz00_6687;
BgL_kz00_6687 = 
(long)CINT(BgL_spz00_1726); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6687,BgL_arg1766z00_1729); } } 
{ /* Eval/evaluate_comp.scm 713 */
 obj_t BgL_arg1768z00_1731; long BgL_arg1769z00_1732;
BgL_arg1768z00_1731 = 
CDR(
((obj_t)BgL_lz00_1725)); 
BgL_arg1769z00_1732 = 
(
(long)CINT(BgL_spz00_1726)+((long)1)); 
{ 
 obj_t BgL_spz00_16395; obj_t BgL_lz00_16394;
BgL_lz00_16394 = BgL_arg1768z00_1731; 
BgL_spz00_16395 = 
BINT(BgL_arg1769z00_1732); 
BgL_spz00_1726 = BgL_spz00_16395; 
BgL_lz00_1725 = BgL_lz00_16394; 
goto BgL_zc3z04anonymousza31764ze3z87_1727;} } } } } 

}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{
{ /* Eval/evaluate_comp.scm 715 */
{ /* Eval/evaluate_comp.scm 716 */
 long BgL_g1154z00_1734;
BgL_g1154z00_1734 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
 obj_t BgL_lz00_1736; obj_t BgL_spz00_1737; long BgL_nz00_1738;
BgL_lz00_1736 = BgL_argsz00_132; 
BgL_spz00_1737 = BgL_spz00_133; 
BgL_nz00_1738 = BgL_g1154z00_1734; 
BgL_zc3z04anonymousza31770ze3z87_1739:
if(
(BgL_nz00_1738==((long)0)))
{ 
 obj_t BgL_lz00_1743; obj_t BgL_rz00_1744;
BgL_lz00_1743 = BgL_lz00_1736; 
BgL_rz00_1744 = BNIL; 
BgL_zc3z04anonymousza31772ze3z87_1745:
if(
NULLP(BgL_lz00_1743))
{ /* Eval/evaluate_comp.scm 720 */
 obj_t BgL_arg1774z00_1747;
BgL_arg1774z00_1747 = 
bgl_reverse_bang(BgL_rz00_1744); 
{ /* Eval/evaluate_comp.scm 720 */
 long BgL_kz00_6693;
BgL_kz00_6693 = 
(long)CINT(BgL_spz00_1737); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6693,BgL_arg1774z00_1747);} }  else 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1775z00_1748; obj_t BgL_arg1776z00_1749;
BgL_arg1775z00_1748 = 
CDR(
((obj_t)BgL_lz00_1743)); 
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_arg1777z00_1750;
{ /* Eval/evaluate_comp.scm 721 */
 obj_t BgL_fun1778z00_1751;
BgL_fun1778z00_1751 = 
CAR(
((obj_t)BgL_lz00_1743)); 
BgL_arg1777z00_1750 = 
PROCEDURE_ENTRY(BgL_fun1778z00_1751)(BgL_fun1778z00_1751, BgL_sz00_131, BEOA); } 
BgL_arg1776z00_1749 = 
MAKE_YOUNG_PAIR(BgL_arg1777z00_1750, BgL_rz00_1744); } 
{ 
 obj_t BgL_rz00_16417; obj_t BgL_lz00_16416;
BgL_lz00_16416 = BgL_arg1775z00_1748; 
BgL_rz00_16417 = BgL_arg1776z00_1749; 
BgL_rz00_1744 = BgL_rz00_16417; 
BgL_lz00_1743 = BgL_lz00_16416; 
goto BgL_zc3z04anonymousza31772ze3z87_1745;} } }  else 
{ /* Eval/evaluate_comp.scm 717 */
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_arg1779z00_1753;
{ /* Eval/evaluate_comp.scm 722 */
 obj_t BgL_fun1780z00_1754;
BgL_fun1780z00_1754 = 
CAR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1779z00_1753 = 
PROCEDURE_ENTRY(BgL_fun1780z00_1754)(BgL_fun1780z00_1754, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 722 */
 long BgL_kz00_6698;
BgL_kz00_6698 = 
(long)CINT(BgL_spz00_1737); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6698,BgL_arg1779z00_1753); } } 
{ /* Eval/evaluate_comp.scm 723 */
 obj_t BgL_arg1781z00_1755; long BgL_arg1782z00_1756; long BgL_arg1783z00_1757;
BgL_arg1781z00_1755 = 
CDR(
((obj_t)BgL_lz00_1736)); 
BgL_arg1782z00_1756 = 
(
(long)CINT(BgL_spz00_1737)+((long)1)); 
BgL_arg1783z00_1757 = 
(BgL_nz00_1738-((long)1)); 
{ 
 long BgL_nz00_16435; obj_t BgL_spz00_16433; obj_t BgL_lz00_16432;
BgL_lz00_16432 = BgL_arg1781z00_1755; 
BgL_spz00_16433 = 
BINT(BgL_arg1782z00_1756); 
BgL_nz00_16435 = BgL_arg1783z00_1757; 
BgL_nz00_1738 = BgL_nz00_16435; 
BgL_spz00_1737 = BgL_spz00_16433; 
BgL_lz00_1736 = BgL_lz00_16432; 
goto BgL_zc3z04anonymousza31770ze3z87_1739;} } } } } } 

}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{
{ /* Eval/evaluate_comp.scm 766 */
{ 
 obj_t BgL_lz00_1760; obj_t BgL_stkz00_1761;
BgL_lz00_1760 = BgL_argsz00_134; 
BgL_stkz00_1761 = BgL_stkz00_135; 
BgL_zc3z04anonymousza31784ze3z87_1762:
{ /* Eval/evaluate_comp.scm 770 */
 bool_t BgL_test4630z00_16436;
if(
NULLP(BgL_lz00_1760))
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4630z00_16436 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 770 */
BgL_test4630z00_16436 = 
NULLP(BgL_stkz00_1761)
; } 
if(BgL_test4630z00_16436)
{ /* Eval/evaluate_comp.scm 770 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 772 */
 bool_t BgL_test4632z00_16440;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_g1355z00_1779;
BgL_g1355z00_1779 = 
CDR(
((obj_t)BgL_lz00_1760)); 
{ 
 obj_t BgL_l1353z00_1781;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_tmpz00_16443;
BgL_l1353z00_1781 = BgL_g1355z00_1779; 
BgL_zc3z04anonymousza31795ze3z87_1782:
if(
NULLP(BgL_l1353z00_1781))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16443 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL__ortest_1356z00_1784;
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_ez00_1786;
BgL_ez00_1786 = 
CAR(
((obj_t)BgL_l1353z00_1781)); 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1797z00_1787; obj_t BgL_arg1798z00_1788;
BgL_arg1797z00_1787 = 
CAR(
((obj_t)BgL_stkz00_1761)); 
BgL_arg1798z00_1788 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1786), BNIL); 
BgL__ortest_1356z00_1784 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1797z00_1787, BgL_arg1798z00_1788); } } 
if(
CBOOL(BgL__ortest_1356z00_1784))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_16443 = BgL__ortest_1356z00_1784
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
 obj_t BgL_arg1796z00_1785;
BgL_arg1796z00_1785 = 
CDR(
((obj_t)BgL_l1353z00_1781)); 
{ 
 obj_t BgL_l1353z00_16457;
BgL_l1353z00_16457 = BgL_arg1796z00_1785; 
BgL_l1353z00_1781 = BgL_l1353z00_16457; 
goto BgL_zc3z04anonymousza31795ze3z87_1782;} } } 
BgL_test4632z00_16440 = 
CBOOL(BgL_tmpz00_16443); } } } 
if(BgL_test4632z00_16440)
{ /* Eval/evaluate_comp.scm 772 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 774 */
 obj_t BgL_arg1793z00_1777; obj_t BgL_arg1794z00_1778;
BgL_arg1793z00_1777 = 
CDR(
((obj_t)BgL_lz00_1760)); 
BgL_arg1794z00_1778 = 
CDR(
((obj_t)BgL_stkz00_1761)); 
{ 
 obj_t BgL_stkz00_16464; obj_t BgL_lz00_16463;
BgL_lz00_16463 = BgL_arg1793z00_1777; 
BgL_stkz00_16464 = BgL_arg1794z00_1778; 
BgL_stkz00_1761 = BgL_stkz00_16464; 
BgL_lz00_1760 = BgL_lz00_16463; 
goto BgL_zc3z04anonymousza31784ze3z87_1762;} } } } } } 

}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{
{ /* Eval/evaluate_comp.scm 776 */
{ /* Eval/evaluate_comp.scm 778 */
 long BgL_siza7eza7_1793; long BgL_nbargsz00_1794; obj_t BgL_fz00_1795; obj_t BgL_symbzd2funzd2_1796;
BgL_siza7eza7_1793 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1794 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1795 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1796 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 780 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4637z00_16478;
{ /* Eval/evaluate_comp.scm 787 */
 int BgL_arg1848z00_1875;
BgL_arg1848z00_1875 = 
bgl_debug(); 
BgL_test4637z00_16478 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1848z00_1875), 
BINT(((long)0))); } 
if(BgL_test4637z00_16478)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1802;
BgL_argsz00_1802 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31804ze3z87_10945;
BgL_zc3z04anonymousza31804ze3z87_10945 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)4)), BgL_argsz00_1802); 
PROCEDURE_SET(BgL_zc3z04anonymousza31804ze3z87_10945, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31804ze3z87_10945;} }  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_argsz00_1840;
BgL_argsz00_1840 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_zc3z04anonymousza31828ze3z87_10946;
BgL_zc3z04anonymousza31828ze3z87_10946 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)4)), BgL_argsz00_1840); 
PROCEDURE_SET(BgL_zc3z04anonymousza31828ze3z87_10946, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31828ze3z87_10946;} } }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4638z00_16523;
{ /* Eval/evaluate_comp.scm 795 */
 int BgL_arg1890z00_1945;
BgL_arg1890z00_1945 = 
bgl_debug(); 
BgL_test4638z00_16523 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1890z00_1945), 
BINT(((long)0))); } 
if(BgL_test4638z00_16523)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1878;
BgL_argsz00_1878 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1793); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31851ze3z87_10947;
BgL_zc3z04anonymousza31851ze3z87_10947 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10947, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10947, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10947, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10947, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31851ze3z87_10947, 
(int)(((long)4)), BgL_argsz00_1878); 
return BgL_zc3z04anonymousza31851ze3z87_10947;} }  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_argsz00_1913;
BgL_argsz00_1913 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1793); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_zc3z04anonymousza31873ze3z87_10948;
BgL_zc3z04anonymousza31873ze3z87_10948 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10948, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10948, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10948, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10948, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31873ze3z87_10948, 
(int)(((long)4)), BgL_argsz00_1913); 
return BgL_zc3z04anonymousza31873ze3z87_10948;} } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4639z00_16562;
{ /* Eval/evaluate_comp.scm 781 */
 int BgL_arg1933z00_2016;
BgL_arg1933z00_2016 = 
bgl_debug(); 
BgL_test4639z00_16562 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1933z00_2016), 
BINT(((long)0))); } 
if(BgL_test4639z00_16562)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_1949;
BgL_argsz00_1949 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31894ze3z87_10949;
BgL_zc3z04anonymousza31894ze3z87_10949 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)4)), BgL_argsz00_1949); 
PROCEDURE_SET(BgL_zc3z04anonymousza31894ze3z87_10949, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31894ze3z87_10949;} }  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_argsz00_1984;
BgL_argsz00_1984 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_zc3z04anonymousza31916ze3z87_10950;
BgL_zc3z04anonymousza31916ze3z87_10950 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)0)), BgL_fz00_1795); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)2)), BgL_symbzd2funzd2_1796); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1794)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)4)), BgL_argsz00_1984); 
PROCEDURE_SET(BgL_zc3z04anonymousza31916ze3z87_10950, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1793)); 
return BgL_zc3z04anonymousza31916ze3z87_10950;} } } } } 

}



/* &<@anonymous:1804> */
obj_t BGl_z62zc3z04anonymousza31804ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10951, obj_t BgL_sz00_10958)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10952; BgL_ev_appz00_bglt BgL_i1162z00_10953; obj_t BgL_symbzd2funzd2_10954; long BgL_nbargsz00_10955; obj_t BgL_argsz00_10956; long BgL_siza7eza7_10957;
BgL_fz00_10952 = 
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)0))); 
BgL_i1162z00_10953 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10954 = 
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)2))); 
BgL_nbargsz00_10955 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)3)))); 
BgL_argsz00_10956 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)4)))); 
BgL_siza7eza7_10957 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10951, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12926;
BgL_bpz00_12926 = 
VECTOR_REF(
((obj_t)BgL_sz00_10958),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12927;
BgL_fz00_12927 = 
PROCEDURE_ENTRY(BgL_fz00_10952)(BgL_fz00_10952, BgL_sz00_10958, BEOA); 
if(
PROCEDUREP(BgL_fz00_12927))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10953))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_12927); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12928;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16633;
BgL_tmpz00_16633 = 
((obj_t)BgL_fz00_12927); 
BgL_ufz00_12928 = 
PROCEDURE_ATTR(BgL_tmpz00_16633); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4641z00_16636;
if(
STRUCTP(BgL_ufz00_12928))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4641z00_16636 = 
(
STRUCT_KEY(BgL_ufz00_12928)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4641z00_16636 = ((bool_t)0)
; } 
if(BgL_test4641z00_16636)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12929; obj_t BgL_runz00_12930; obj_t BgL_sfz00_12931;
BgL_arityz00_12929 = 
STRUCT_REF(BgL_ufz00_12928, 
(int)(((long)0))); 
BgL_runz00_12930 = 
STRUCT_REF(BgL_ufz00_12928, 
(int)(((long)1))); 
BgL_sfz00_12931 = 
STRUCT_REF(BgL_ufz00_12928, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12932;
BgL_spz00_12932 = 
(
(long)CINT(BgL_bpz00_12926)+BgL_siza7eza7_10957); 
if(
(
(long)CINT(BgL_arityz00_12929)==BgL_nbargsz00_10955))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10958, BgL_argsz00_10956, 
BINT(BgL_spz00_12932)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1809z00_12933;
BgL_arg1809z00_12933 = 
(BgL_spz00_12932+BgL_nbargsz00_10955); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10958, 
(long)CINT(BgL_bpz00_12926), BgL_sz00_10958, 
BINT(BgL_spz00_12932), 
BINT(BgL_arg1809z00_12933)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4644z00_16659;
if(
(
(long)CINT(BgL_arityz00_12929)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4644z00_16659 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4644z00_16659 = 
(
(long)CINT(BgL_arityz00_12929)<
(((long)-1)-BgL_nbargsz00_10955))
; } 
if(BgL_test4644z00_16659)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10953))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12928, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10955), 
CINT(BgL_arityz00_12929)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12929, BgL_sz00_10958, BgL_argsz00_10956, 
BINT(BgL_spz00_12932)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1816z00_12934;
BgL_arg1816z00_12934 = 
(BgL_spz00_12932+
(((long)0)-
(long)CINT(BgL_arityz00_12929))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10958, 
(long)CINT(BgL_bpz00_12926), BgL_sz00_10958, 
BINT(BgL_spz00_12932), 
BINT(BgL_arg1816z00_12934)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12935;
BgL_z12denvz12_12935 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16682;
BgL_tmpz00_16682 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10953))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12935, BgL_tmpz00_16682); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10958, BgL_bpz00_12926, BgL_sfz00_12931))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12930;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12936;
BgL_nsz00_12936 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1821z00_12937;
BgL_arg1821z00_12937 = 
(
(long)CINT(BgL_bpz00_12926)+BgL_nbargsz00_10955); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12936, ((long)2), BgL_sz00_10958, BgL_bpz00_12926, 
BINT(BgL_arg1821z00_12937)); } 
VECTOR_SET(BgL_nsz00_12936,((long)1),BgL_sz00_10958); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12935, BgL_nsz00_12936); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12938;
BgL_ez00_12938 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4071z00_12939;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4072z00_12940;
BgL_arg4072z00_12940 = 
BGL_EXITD_PROTECT(BgL_ez00_12938); 
BgL_arg4071z00_12939 = 
MAKE_YOUNG_PAIR(BgL_sz00_10958, BgL_arg4072z00_12940); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12938, BgL_arg4071z00_12939); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12941;
BgL_____rz00_12941 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12930, BgL_nsz00_12936, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4647z00_16700;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4070z00_12942;
BgL_arg4070z00_12942 = 
BGL_EXITD_PROTECT(BgL_ez00_12938); 
BgL_test4647z00_16700 = 
PAIRP(BgL_arg4070z00_12942); } 
if(BgL_test4647z00_16700)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4068z00_12943;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4069z00_12944;
BgL_arg4069z00_12944 = 
BGL_EXITD_PROTECT(BgL_ez00_12938); 
BgL_arg4068z00_12943 = 
CDR(
((obj_t)BgL_arg4069z00_12944)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12938, BgL_arg4068z00_12943); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12935, BgL_sz00_10958); 
return BgL_____rz00_12941;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12927, 
(int)(BgL_nbargsz00_10955)))
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_auxz00_16713; obj_t BgL_tmpz00_16711;
BgL_auxz00_16713 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10953))->BgL_locz00); 
BgL_tmpz00_16711 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16711, BgL_auxz00_16713); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10958, BgL_fz00_12927, BgL_argsz00_10956, BgL_bpz00_12926, 
BINT(BgL_siza7eza7_10957));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10953))->BgL_locz00), BgL_symbzd2funzd2_10954, 
(int)(BgL_nbargsz00_10955), 
PROCEDURE_ARITY(BgL_fz00_12927));} } } } } } } } 

}



/* &<@anonymous:1828> */
obj_t BGl_z62zc3z04anonymousza31828ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10959, obj_t BgL_sz00_10966)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_10960; BgL_ev_appz00_bglt BgL_i1162z00_10961; obj_t BgL_symbzd2funzd2_10962; long BgL_nbargsz00_10963; obj_t BgL_argsz00_10964; long BgL_siza7eza7_10965;
BgL_fz00_10960 = 
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)0))); 
BgL_i1162z00_10961 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10962 = 
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)2))); 
BgL_nbargsz00_10963 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)3)))); 
BgL_argsz00_10964 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)4)))); 
BgL_siza7eza7_10965 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10959, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_bpz00_12945;
BgL_bpz00_12945 = 
VECTOR_REF(
((obj_t)BgL_sz00_10966),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_fz00_12946;
BgL_fz00_12946 = 
PROCEDURE_ENTRY(BgL_fz00_10960)(BgL_fz00_10960, BgL_sz00_10966, BEOA); 
if(
PROCEDUREP(BgL_fz00_12946))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10961))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_12946); } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ufz00_12947;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_tmpz00_16748;
BgL_tmpz00_16748 = 
((obj_t)BgL_fz00_12946); 
BgL_ufz00_12947 = 
PROCEDURE_ATTR(BgL_tmpz00_16748); } 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4650z00_16751;
if(
STRUCTP(BgL_ufz00_12947))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4650z00_16751 = 
(
STRUCT_KEY(BgL_ufz00_12947)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4650z00_16751 = ((bool_t)0)
; } 
if(BgL_test4650z00_16751)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arityz00_12948; obj_t BgL_runz00_12949; obj_t BgL_sfz00_12950;
BgL_arityz00_12948 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)0))); 
BgL_runz00_12949 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)1))); 
BgL_sfz00_12950 = 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_spz00_12951;
BgL_spz00_12951 = 
(
(long)CINT(BgL_bpz00_12945)+BgL_siza7eza7_10965); 
if(
(
(long)CINT(BgL_arityz00_12948)==BgL_nbargsz00_10963))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10966, BgL_argsz00_10964, 
BINT(BgL_spz00_12951)); 
{ /* Eval/evaluate_comp.scm 791 */
 long BgL_arg1833z00_12952;
BgL_arg1833z00_12952 = 
(BgL_spz00_12951+BgL_nbargsz00_10963); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10966, 
(long)CINT(BgL_bpz00_12945), BgL_sz00_10966, 
BINT(BgL_spz00_12951), 
BINT(BgL_arg1833z00_12952)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4653z00_16774;
if(
(
(long)CINT(BgL_arityz00_12948)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4653z00_16774 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test4653z00_16774 = 
(
(long)CINT(BgL_arityz00_12948)<
(((long)-1)-BgL_nbargsz00_10963))
; } 
if(BgL_test4653z00_16774)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10961))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12947, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10963), 
CINT(BgL_arityz00_12948)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12948, BgL_sz00_10966, BgL_argsz00_10964, 
BINT(BgL_spz00_12951)); 
{ /* Eval/evaluate_comp.scm 793 */
 long BgL_arg1839z00_12953;
BgL_arg1839z00_12953 = 
(BgL_spz00_12951+
(((long)0)-
(long)CINT(BgL_arityz00_12948))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10966, 
(long)CINT(BgL_bpz00_12945), BgL_sz00_10966, 
BINT(BgL_spz00_12951), 
BINT(BgL_arg1839z00_12953)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_z12denvz12_12954;
BgL_z12denvz12_12954 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10966, BgL_bpz00_12945, BgL_sfz00_12950))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12949;}  else 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_nsz00_12955;
BgL_nsz00_12955 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
 long BgL_arg1843z00_12956;
BgL_arg1843z00_12956 = 
(
(long)CINT(BgL_bpz00_12945)+BgL_nbargsz00_10963); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12955, ((long)2), BgL_sz00_10966, BgL_bpz00_12945, 
BINT(BgL_arg1843z00_12956)); } 
VECTOR_SET(BgL_nsz00_12955,((long)1),BgL_sz00_10966); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12954, BgL_nsz00_12955); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_ez00_12957;
BgL_ez00_12957 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4071z00_12958;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4072z00_12959;
BgL_arg4072z00_12959 = 
BGL_EXITD_PROTECT(BgL_ez00_12957); 
BgL_arg4071z00_12958 = 
MAKE_YOUNG_PAIR(BgL_sz00_10966, BgL_arg4072z00_12959); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12957, BgL_arg4071z00_12958); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_____rz00_12960;
BgL_____rz00_12960 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12949, BgL_nsz00_12955, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
 bool_t BgL_test4656z00_16812;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4070z00_12961;
BgL_arg4070z00_12961 = 
BGL_EXITD_PROTECT(BgL_ez00_12957); 
BgL_test4656z00_16812 = 
PAIRP(BgL_arg4070z00_12961); } 
if(BgL_test4656z00_16812)
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4068z00_12962;
{ /* Eval/evaluate_comp.scm 787 */
 obj_t BgL_arg4069z00_12963;
BgL_arg4069z00_12963 = 
BGL_EXITD_PROTECT(BgL_ez00_12957); 
BgL_arg4068z00_12962 = 
CDR(
((obj_t)BgL_arg4069z00_12963)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12957, BgL_arg4068z00_12962); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 787 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12954, BgL_sz00_10966); 
return BgL_____rz00_12960;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12946, 
(int)(BgL_nbargsz00_10963)))
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10966, BgL_fz00_12946, BgL_argsz00_10964, BgL_bpz00_12945, 
BINT(BgL_siza7eza7_10965));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10961))->BgL_locz00), BgL_symbzd2funzd2_10962, 
(int)(BgL_nbargsz00_10963), 
PROCEDURE_ARITY(BgL_fz00_12946));} } } } } } } } 

}



/* &<@anonymous:1851> */
obj_t BGl_z62zc3z04anonymousza31851ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10967, obj_t BgL_sz00_10973)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10968; BgL_ev_appz00_bglt BgL_i1162z00_10969; obj_t BgL_symbzd2funzd2_10970; long BgL_nbargsz00_10971; obj_t BgL_argsz00_10972;
BgL_fz00_10968 = 
PROCEDURE_REF(BgL_envz00_10967, 
(int)(((long)0))); 
BgL_i1162z00_10969 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10967, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10970 = 
PROCEDURE_REF(BgL_envz00_10967, 
(int)(((long)2))); 
BgL_nbargsz00_10971 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10967, 
(int)(((long)3)))); 
BgL_argsz00_10972 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10967, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_12964;
BgL_bpz00_12964 = 
VECTOR_REF(
((obj_t)BgL_sz00_10973),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_12965;
BgL_fz00_12965 = 
PROCEDURE_ENTRY(BgL_fz00_10968)(BgL_fz00_10968, BgL_sz00_10973, BEOA); 
if(
PROCEDUREP(BgL_fz00_12965))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10969))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_12965); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_12966;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16852;
BgL_tmpz00_16852 = 
((obj_t)BgL_fz00_12965); 
BgL_ufz00_12966 = 
PROCEDURE_ATTR(BgL_tmpz00_16852); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4659z00_16855;
if(
STRUCTP(BgL_ufz00_12966))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4659z00_16855 = 
(
STRUCT_KEY(BgL_ufz00_12966)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4659z00_16855 = ((bool_t)0)
; } 
if(BgL_test4659z00_16855)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_12967; obj_t BgL_runz00_12968; obj_t BgL_sfz00_12969;
BgL_arityz00_12967 = 
STRUCT_REF(BgL_ufz00_12966, 
(int)(((long)0))); 
BgL_runz00_12968 = 
STRUCT_REF(BgL_ufz00_12966, 
(int)(((long)1))); 
BgL_sfz00_12969 = 
STRUCT_REF(BgL_ufz00_12966, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12967)==BgL_nbargsz00_10971))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10973, BgL_argsz00_10972, BgL_bpz00_12964)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4662z00_16871;
if(
(
(long)CINT(BgL_arityz00_12967)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4662z00_16871 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4662z00_16871 = 
(
(long)CINT(BgL_arityz00_12967)<
(((long)-1)-BgL_nbargsz00_10971))
; } 
if(BgL_test4662z00_16871)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10969))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12966, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10971), 
CINT(BgL_arityz00_12967)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12967, BgL_sz00_10973, BgL_argsz00_10972, BgL_bpz00_12964); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_12970;
BgL_z12denvz12_12970 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16886;
BgL_tmpz00_16886 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10969))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12970, BgL_tmpz00_16886); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10973, BgL_bpz00_12964, BgL_sfz00_12969))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12968;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_12971;
BgL_nsz00_12971 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1865z00_12972;
BgL_arg1865z00_12972 = 
(
(long)CINT(BgL_bpz00_12964)+BgL_nbargsz00_10971); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12971, ((long)2), BgL_sz00_10973, BgL_bpz00_12964, 
BINT(BgL_arg1865z00_12972)); } 
VECTOR_SET(BgL_nsz00_12971,((long)1),BgL_sz00_10973); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12970, BgL_nsz00_12971); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_12973;
BgL_ez00_12973 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4071z00_12974;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4072z00_12975;
BgL_arg4072z00_12975 = 
BGL_EXITD_PROTECT(BgL_ez00_12973); 
BgL_arg4071z00_12974 = 
MAKE_YOUNG_PAIR(BgL_sz00_10973, BgL_arg4072z00_12975); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12973, BgL_arg4071z00_12974); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_12976;
BgL_____rz00_12976 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12968, BgL_nsz00_12971, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4665z00_16904;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4070z00_12977;
BgL_arg4070z00_12977 = 
BGL_EXITD_PROTECT(BgL_ez00_12973); 
BgL_test4665z00_16904 = 
PAIRP(BgL_arg4070z00_12977); } 
if(BgL_test4665z00_16904)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4068z00_12978;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4069z00_12979;
BgL_arg4069z00_12979 = 
BGL_EXITD_PROTECT(BgL_ez00_12973); 
BgL_arg4068z00_12978 = 
CDR(
((obj_t)BgL_arg4069z00_12979)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12973, BgL_arg4068z00_12978); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12970, BgL_sz00_10973); 
return BgL_____rz00_12976;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12965, 
(int)(BgL_nbargsz00_10971)))
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_auxz00_16917; obj_t BgL_tmpz00_16915;
BgL_auxz00_16917 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10969))->BgL_locz00); 
BgL_tmpz00_16915 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16915, BgL_auxz00_16917); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10973, BgL_fz00_12965, BgL_argsz00_10972, BgL_bpz00_12964, 
BINT(BgL_nbargsz00_10971));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10969))->BgL_locz00), BgL_symbzd2funzd2_10970, 
(int)(BgL_nbargsz00_10971), 
PROCEDURE_ARITY(BgL_fz00_12965));} } } } } } } } 

}



/* &<@anonymous:1873> */
obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10974, obj_t BgL_sz00_10980)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_10975; BgL_ev_appz00_bglt BgL_i1162z00_10976; obj_t BgL_symbzd2funzd2_10977; long BgL_nbargsz00_10978; obj_t BgL_argsz00_10979;
BgL_fz00_10975 = 
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)0))); 
BgL_i1162z00_10976 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10977 = 
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)2))); 
BgL_nbargsz00_10978 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)3)))); 
BgL_argsz00_10979 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10974, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_bpz00_12980;
BgL_bpz00_12980 = 
VECTOR_REF(
((obj_t)BgL_sz00_10980),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_fz00_12981;
BgL_fz00_12981 = 
PROCEDURE_ENTRY(BgL_fz00_10975)(BgL_fz00_10975, BgL_sz00_10980, BEOA); 
if(
PROCEDUREP(BgL_fz00_12981))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10976))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_12981); } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ufz00_12982;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_tmpz00_16949;
BgL_tmpz00_16949 = 
((obj_t)BgL_fz00_12981); 
BgL_ufz00_12982 = 
PROCEDURE_ATTR(BgL_tmpz00_16949); } 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4668z00_16952;
if(
STRUCTP(BgL_ufz00_12982))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4668z00_16952 = 
(
STRUCT_KEY(BgL_ufz00_12982)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4668z00_16952 = ((bool_t)0)
; } 
if(BgL_test4668z00_16952)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arityz00_12983; obj_t BgL_runz00_12984; obj_t BgL_sfz00_12985;
BgL_arityz00_12983 = 
STRUCT_REF(BgL_ufz00_12982, 
(int)(((long)0))); 
BgL_runz00_12984 = 
STRUCT_REF(BgL_ufz00_12982, 
(int)(((long)1))); 
BgL_sfz00_12985 = 
STRUCT_REF(BgL_ufz00_12982, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12983)==BgL_nbargsz00_10978))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10980, BgL_argsz00_10979, BgL_bpz00_12980)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4671z00_16968;
if(
(
(long)CINT(BgL_arityz00_12983)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4671z00_16968 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test4671z00_16968 = 
(
(long)CINT(BgL_arityz00_12983)<
(((long)-1)-BgL_nbargsz00_10978))
; } 
if(BgL_test4671z00_16968)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10976))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12982, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10978), 
CINT(BgL_arityz00_12983)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12983, BgL_sz00_10980, BgL_argsz00_10979, BgL_bpz00_12980); } } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_z12denvz12_12986;
BgL_z12denvz12_12986 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10980, BgL_bpz00_12980, BgL_sfz00_12985))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12984;}  else 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_nsz00_12987;
BgL_nsz00_12987 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
 long BgL_arg1885z00_12988;
BgL_arg1885z00_12988 = 
(
(long)CINT(BgL_bpz00_12980)+BgL_nbargsz00_10978); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12987, ((long)2), BgL_sz00_10980, BgL_bpz00_12980, 
BINT(BgL_arg1885z00_12988)); } 
VECTOR_SET(BgL_nsz00_12987,((long)1),BgL_sz00_10980); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12986, BgL_nsz00_12987); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_ez00_12989;
BgL_ez00_12989 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4071z00_12990;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4072z00_12991;
BgL_arg4072z00_12991 = 
BGL_EXITD_PROTECT(BgL_ez00_12989); 
BgL_arg4071z00_12990 = 
MAKE_YOUNG_PAIR(BgL_sz00_10980, BgL_arg4072z00_12991); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12989, BgL_arg4071z00_12990); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_____rz00_12992;
BgL_____rz00_12992 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12984, BgL_nsz00_12987, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 795 */
 bool_t BgL_test4674z00_16998;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4070z00_12993;
BgL_arg4070z00_12993 = 
BGL_EXITD_PROTECT(BgL_ez00_12989); 
BgL_test4674z00_16998 = 
PAIRP(BgL_arg4070z00_12993); } 
if(BgL_test4674z00_16998)
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4068z00_12994;
{ /* Eval/evaluate_comp.scm 795 */
 obj_t BgL_arg4069z00_12995;
BgL_arg4069z00_12995 = 
BGL_EXITD_PROTECT(BgL_ez00_12989); 
BgL_arg4068z00_12994 = 
CDR(
((obj_t)BgL_arg4069z00_12995)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_12989, BgL_arg4068z00_12994); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 795 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12986, BgL_sz00_10980); 
return BgL_____rz00_12992;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12981, 
(int)(BgL_nbargsz00_10978)))
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10980, BgL_fz00_12981, BgL_argsz00_10979, BgL_bpz00_12980, 
BINT(BgL_nbargsz00_10978));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10976))->BgL_locz00), BgL_symbzd2funzd2_10977, 
(int)(BgL_nbargsz00_10978), 
PROCEDURE_ARITY(BgL_fz00_12981));} } } } } } } } 

}



/* &<@anonymous:1894> */
obj_t BGl_z62zc3z04anonymousza31894ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10981, obj_t BgL_sz00_10988)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_10982; BgL_ev_appz00_bglt BgL_i1162z00_10983; obj_t BgL_symbzd2funzd2_10984; long BgL_nbargsz00_10985; obj_t BgL_argsz00_10986; long BgL_siza7eza7_10987;
BgL_fz00_10982 = 
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)0))); 
BgL_i1162z00_10983 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10984 = 
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)2))); 
BgL_nbargsz00_10985 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)3)))); 
BgL_argsz00_10986 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)4)))); 
BgL_siza7eza7_10987 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10981, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_12996;
BgL_bpz00_12996 = 
VECTOR_REF(
((obj_t)BgL_sz00_10988),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_12997;
BgL_fz00_12997 = 
PROCEDURE_ENTRY(BgL_fz00_10982)(BgL_fz00_10982, BgL_sz00_10988, BEOA); 
if(
PROCEDUREP(BgL_fz00_12997))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10983))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_12997); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_12998;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17041;
BgL_tmpz00_17041 = 
((obj_t)BgL_fz00_12997); 
BgL_ufz00_12998 = 
PROCEDURE_ATTR(BgL_tmpz00_17041); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4677z00_17044;
if(
STRUCTP(BgL_ufz00_12998))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4677z00_17044 = 
(
STRUCT_KEY(BgL_ufz00_12998)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4677z00_17044 = ((bool_t)0)
; } 
if(BgL_test4677z00_17044)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_12999; obj_t BgL_runz00_13000; obj_t BgL_sfz00_13001;
BgL_arityz00_12999 = 
STRUCT_REF(BgL_ufz00_12998, 
(int)(((long)0))); 
BgL_runz00_13000 = 
STRUCT_REF(BgL_ufz00_12998, 
(int)(((long)1))); 
BgL_sfz00_13001 = 
STRUCT_REF(BgL_ufz00_12998, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_13002;
BgL_spz00_13002 = 
(
(long)CINT(BgL_bpz00_12996)+BgL_siza7eza7_10987); 
if(
(
(long)CINT(BgL_arityz00_12999)==BgL_nbargsz00_10985))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10988, BgL_argsz00_10986, 
BINT(BgL_spz00_13002))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4680z00_17063;
if(
(
(long)CINT(BgL_arityz00_12999)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4680z00_17063 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4680z00_17063 = 
(
(long)CINT(BgL_arityz00_12999)<
(((long)-1)-BgL_nbargsz00_10985))
; } 
if(BgL_test4680z00_17063)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10983))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12998, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10985), 
CINT(BgL_arityz00_12999)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12999, BgL_sz00_10988, BgL_argsz00_10986, 
BINT(BgL_spz00_13002)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_13003;
BgL_z12denvz12_13003 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17079;
BgL_tmpz00_17079 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10983))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13003, BgL_tmpz00_17079); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10988, 
BINT(BgL_spz00_13002), BgL_sfz00_13001))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13000, BgL_sz00_10988, 
BINT(BgL_spz00_13002));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_13004;
BgL_nsz00_13004 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1909z00_13005;
BgL_arg1909z00_13005 = 
(BgL_spz00_13002+BgL_nbargsz00_10985); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13004, ((long)2), BgL_sz00_10988, 
BINT(BgL_spz00_13002), 
BINT(BgL_arg1909z00_13005)); } 
VECTOR_SET(BgL_nsz00_13004,((long)1),BgL_sz00_10988); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13003, BgL_nsz00_13004); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13006;
BgL_ez00_13006 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4071z00_13007;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4072z00_13008;
BgL_arg4072z00_13008 = 
BGL_EXITD_PROTECT(BgL_ez00_13006); 
BgL_arg4071z00_13007 = 
MAKE_YOUNG_PAIR(BgL_sz00_10988, BgL_arg4072z00_13008); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13006, BgL_arg4071z00_13007); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13009;
BgL_____rz00_13009 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13000, BgL_nsz00_13004, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4683z00_17100;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4070z00_13010;
BgL_arg4070z00_13010 = 
BGL_EXITD_PROTECT(BgL_ez00_13006); 
BgL_test4683z00_17100 = 
PAIRP(BgL_arg4070z00_13010); } 
if(BgL_test4683z00_17100)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4068z00_13011;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4069z00_13012;
BgL_arg4069z00_13012 = 
BGL_EXITD_PROTECT(BgL_ez00_13006); 
BgL_arg4068z00_13011 = 
CDR(
((obj_t)BgL_arg4069z00_13012)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13006, BgL_arg4068z00_13011); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13003, BgL_sz00_10988); 
return BgL_____rz00_13009;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12997, 
(int)(BgL_nbargsz00_10985)))
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_auxz00_17113; obj_t BgL_tmpz00_17111;
BgL_auxz00_17113 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10983))->BgL_locz00); 
BgL_tmpz00_17111 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17111, BgL_auxz00_17113); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10988, BgL_fz00_12997, BgL_argsz00_10986, BgL_bpz00_12996, 
BINT(BgL_siza7eza7_10987));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10983))->BgL_locz00), BgL_symbzd2funzd2_10984, 
(int)(BgL_nbargsz00_10985), 
PROCEDURE_ARITY(BgL_fz00_12997));} } } } } } } } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10989, obj_t BgL_sz00_10996)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_10990; BgL_ev_appz00_bglt BgL_i1162z00_10991; obj_t BgL_symbzd2funzd2_10992; long BgL_nbargsz00_10993; obj_t BgL_argsz00_10994; long BgL_siza7eza7_10995;
BgL_fz00_10990 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)0))); 
BgL_i1162z00_10991 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10992 = 
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)2))); 
BgL_nbargsz00_10993 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)3)))); 
BgL_argsz00_10994 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)4)))); 
BgL_siza7eza7_10995 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10989, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_bpz00_13013;
BgL_bpz00_13013 = 
VECTOR_REF(
((obj_t)BgL_sz00_10996),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_fz00_13014;
BgL_fz00_13014 = 
PROCEDURE_ENTRY(BgL_fz00_10990)(BgL_fz00_10990, BgL_sz00_10996, BEOA); 
if(
PROCEDUREP(BgL_fz00_13014))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10991))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13014); } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ufz00_13015;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_tmpz00_17148;
BgL_tmpz00_17148 = 
((obj_t)BgL_fz00_13014); 
BgL_ufz00_13015 = 
PROCEDURE_ATTR(BgL_tmpz00_17148); } 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4686z00_17151;
if(
STRUCTP(BgL_ufz00_13015))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4686z00_17151 = 
(
STRUCT_KEY(BgL_ufz00_13015)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4686z00_17151 = ((bool_t)0)
; } 
if(BgL_test4686z00_17151)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arityz00_13016; obj_t BgL_runz00_13017; obj_t BgL_sfz00_13018;
BgL_arityz00_13016 = 
STRUCT_REF(BgL_ufz00_13015, 
(int)(((long)0))); 
BgL_runz00_13017 = 
STRUCT_REF(BgL_ufz00_13015, 
(int)(((long)1))); 
BgL_sfz00_13018 = 
STRUCT_REF(BgL_ufz00_13015, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_spz00_13019;
BgL_spz00_13019 = 
(
(long)CINT(BgL_bpz00_13013)+BgL_siza7eza7_10995); 
if(
(
(long)CINT(BgL_arityz00_13016)==BgL_nbargsz00_10993))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10996, BgL_argsz00_10994, 
BINT(BgL_spz00_13019))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4689z00_17170;
if(
(
(long)CINT(BgL_arityz00_13016)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4689z00_17170 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test4689z00_17170 = 
(
(long)CINT(BgL_arityz00_13016)<
(((long)-1)-BgL_nbargsz00_10993))
; } 
if(BgL_test4689z00_17170)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10991))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_13015, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10993), 
CINT(BgL_arityz00_13016)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_13016, BgL_sz00_10996, BgL_argsz00_10994, 
BINT(BgL_spz00_13019)); } } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_z12denvz12_13020;
BgL_z12denvz12_13020 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10996, 
BINT(BgL_spz00_13019), BgL_sfz00_13018))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13017, BgL_sz00_10996, 
BINT(BgL_spz00_13019));}  else 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_nsz00_13021;
BgL_nsz00_13021 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
 long BgL_arg1928z00_13022;
BgL_arg1928z00_13022 = 
(BgL_spz00_13019+BgL_nbargsz00_10993); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13021, ((long)2), BgL_sz00_10996, 
BINT(BgL_spz00_13019), 
BINT(BgL_arg1928z00_13022)); } 
VECTOR_SET(BgL_nsz00_13021,((long)1),BgL_sz00_10996); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13020, BgL_nsz00_13021); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_ez00_13023;
BgL_ez00_13023 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4071z00_13024;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4072z00_13025;
BgL_arg4072z00_13025 = 
BGL_EXITD_PROTECT(BgL_ez00_13023); 
BgL_arg4071z00_13024 = 
MAKE_YOUNG_PAIR(BgL_sz00_10996, BgL_arg4072z00_13025); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13023, BgL_arg4071z00_13024); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_____rz00_13026;
BgL_____rz00_13026 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13017, BgL_nsz00_13021, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
 bool_t BgL_test4692z00_17204;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4070z00_13027;
BgL_arg4070z00_13027 = 
BGL_EXITD_PROTECT(BgL_ez00_13023); 
BgL_test4692z00_17204 = 
PAIRP(BgL_arg4070z00_13027); } 
if(BgL_test4692z00_17204)
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4068z00_13028;
{ /* Eval/evaluate_comp.scm 781 */
 obj_t BgL_arg4069z00_13029;
BgL_arg4069z00_13029 = 
BGL_EXITD_PROTECT(BgL_ez00_13023); 
BgL_arg4068z00_13028 = 
CDR(
((obj_t)BgL_arg4069z00_13029)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13023, BgL_arg4068z00_13028); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 781 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13020, BgL_sz00_10996); 
return BgL_____rz00_13026;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13014, 
(int)(BgL_nbargsz00_10993)))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10996, BgL_fz00_13014, BgL_argsz00_10994, BgL_bpz00_13013, 
BINT(BgL_siza7eza7_10995));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1162z00_10991))->BgL_locz00), BgL_symbzd2funzd2_10992, 
(int)(BgL_nbargsz00_10993), 
PROCEDURE_ARITY(BgL_fz00_13014));} } } } } } } } 

}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2020;
BgL_cfunz00_2020 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_2020))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4695z00_17224;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg1942z00_2034;
BgL_arg1942z00_2034 = 
bgl_debug(); 
BgL_test4695z00_17224 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1942z00_2034), 
BINT(((long)0))); } 
if(BgL_test4695z00_17224)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31939ze3z87_10997;
BgL_zc3z04anonymousza31939ze3z87_10997 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10997, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10997, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31939ze3z87_10997, 
(int)(((long)2)), BgL_cfunz00_2020); 
return BgL_zc3z04anonymousza31939ze3z87_10997;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31941ze3z87_10998;
BgL_zc3z04anonymousza31941ze3z87_10998 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_10998, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31941ze3z87_10998, 
(int)(((long)1)), BgL_cfunz00_2020); 
return BgL_zc3z04anonymousza31941ze3z87_10998;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4697z00_17249;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg1972z00_2098;
BgL_arg1972z00_2098 = 
bgl_debug(); 
BgL_test4697z00_17249 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1972z00_2098), 
BINT(((long)0))); } 
if(BgL_test4697z00_17249)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31945ze3z87_10999;
BgL_zc3z04anonymousza31945ze3z87_10999 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10999, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10999, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10999, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31945ze3z87_10999, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31945ze3z87_10999;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31959ze3z87_11000;
BgL_zc3z04anonymousza31959ze3z87_11000 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_11000, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_11000, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_11000, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31959ze3z87_11000, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31959ze3z87_11000;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4698z00_17278;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2002z00_2162;
BgL_arg2002z00_2162 = 
bgl_debug(); 
BgL_test4698z00_17278 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2002z00_2162), 
BINT(((long)0))); } 
if(BgL_test4698z00_17278)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31975ze3z87_11001;
BgL_zc3z04anonymousza31975ze3z87_11001 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_11001, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_11001, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_11001, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31975ze3z87_11001, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31975ze3z87_11001;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza31989ze3z87_11002;
BgL_zc3z04anonymousza31989ze3z87_11002 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_11002, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_11002, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_11002, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31989ze3z87_11002, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31989ze3z87_11002;} } } } } 

}



/* &<@anonymous:1939> */
obj_t BGl_z62zc3z04anonymousza31939ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11003, obj_t BgL_sz00_11007)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_11004; obj_t BgL_locz00_11005; obj_t BgL_cfunz00_11006;
BgL_siza7eza7_11004 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)0)))); 
BgL_locz00_11005 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)1))); 
BgL_cfunz00_11006 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13030;
BgL_bpz00_13030 = 
VECTOR_REF(
((obj_t)BgL_sz00_11007),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13031;
BgL_nbpz00_13031 = 
(
(long)CINT(BgL_bpz00_13030)+BgL_siza7eza7_11004); 
VECTOR_SET(
((obj_t)BgL_sz00_11007),((long)0),
BINT(BgL_nbpz00_13031)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17321;
BgL_tmpz00_17321 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17321, BgL_locz00_11005); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13032;
BgL_rz00_13032 = 
PROCEDURE_ENTRY(BgL_cfunz00_11006)(BgL_cfunz00_11006, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11007),((long)0),BgL_bpz00_13030); 
return BgL_rz00_13032;} } } } } } 

}



/* &<@anonymous:1941> */
obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11008, obj_t BgL_sz00_11011)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_siza7eza7_11009; obj_t BgL_cfunz00_11010;
BgL_siza7eza7_11009 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)0)))); 
BgL_cfunz00_11010 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13033;
BgL_bpz00_13033 = 
VECTOR_REF(
((obj_t)BgL_sz00_11011),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13034;
BgL_nbpz00_13034 = 
(
(long)CINT(BgL_bpz00_13033)+BgL_siza7eza7_11009); 
VECTOR_SET(
((obj_t)BgL_sz00_11011),((long)0),
BINT(BgL_nbpz00_13034)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13035;
BgL_rz00_13035 = 
PROCEDURE_ENTRY(BgL_cfunz00_11010)(BgL_cfunz00_11010, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11011),((long)0),BgL_bpz00_13033); 
return BgL_rz00_13035;} } } } } } 

}



/* &<@anonymous:1945> */
obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11012, obj_t BgL_sz00_11017)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11013; obj_t BgL_locz00_11014; obj_t BgL_symbzd2funzd2_11015; long BgL_siza7eza7_11016;
BgL_funz00_11013 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)0))); 
BgL_locz00_11014 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11015 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)2))); 
BgL_siza7eza7_11016 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13036;
BgL_bpz00_13036 = 
VECTOR_REF(
((obj_t)BgL_sz00_11017),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13037;
BgL_fz00_13037 = 
PROCEDURE_ENTRY(BgL_funz00_11013)(BgL_funz00_11013, BgL_sz00_11017, BEOA); 
if(
PROCEDUREP(BgL_fz00_13037))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11014, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13037); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13038;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17364;
BgL_tmpz00_17364 = 
((obj_t)BgL_fz00_13037); 
BgL_ufz00_13038 = 
PROCEDURE_ATTR(BgL_tmpz00_17364); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4700z00_17367;
if(
STRUCTP(BgL_ufz00_13038))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4700z00_17367 = 
(
STRUCT_KEY(BgL_ufz00_13038)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4700z00_17367 = ((bool_t)0)
; } 
if(BgL_test4700z00_17367)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13039; obj_t BgL_runz00_13040; obj_t BgL_sfz00_13041;
BgL_arityz00_13039 = 
STRUCT_REF(BgL_ufz00_13038, 
(int)(((long)0))); 
BgL_runz00_13040 = 
STRUCT_REF(BgL_ufz00_13038, 
(int)(((long)1))); 
BgL_sfz00_13041 = 
STRUCT_REF(BgL_ufz00_13038, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13039)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13039))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13039)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1950z00_13044; obj_t BgL_arg1951z00_13045;
BgL_arg1950z00_13044 = 
(
(long)CINT(BgL_bpz00_13036)+((long)0)); 
BgL_arg1951z00_13045 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11017),BgL_arg1950z00_13044,BgL_arg1951z00_13045); } break;
default: 
BgL_case_else1178z00_13042:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1953z00_13043;
BgL_arg1953z00_13043 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13038), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11014, BgL_arg1953z00_13043, 
(int)(((long)0)), 
CINT(BgL_arityz00_13039)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1178z00_13042;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13046;
BgL_z12denvz12_13046 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13046, BgL_locz00_11014); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11017, BgL_bpz00_13036, BgL_sfz00_13041))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13040;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13047;
BgL_nsz00_13047 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1955z00_13048;
BgL_arg1955z00_13048 = 
(
(long)CINT(BgL_bpz00_13036)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13047, ((long)2), BgL_sz00_11017, BgL_bpz00_13036, 
BINT(BgL_arg1955z00_13048)); } 
VECTOR_SET(BgL_nsz00_13047,((long)1),BgL_sz00_11017); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13046, BgL_nsz00_13047); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13049;
BgL_ez00_13049 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13050;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13051;
BgL_arg4072z00_13051 = 
BGL_EXITD_PROTECT(BgL_ez00_13049); 
BgL_arg4071z00_13050 = 
MAKE_YOUNG_PAIR(BgL_sz00_11017, BgL_arg4072z00_13051); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13049, BgL_arg4071z00_13050); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13052;
BgL_____rz00_13052 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13040, BgL_nsz00_13047, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4705z00_17412;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13053;
BgL_arg4070z00_13053 = 
BGL_EXITD_PROTECT(BgL_ez00_13049); 
BgL_test4705z00_17412 = 
PAIRP(BgL_arg4070z00_13053); } 
if(BgL_test4705z00_17412)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13054;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13055;
BgL_arg4069z00_13055 = 
BGL_EXITD_PROTECT(BgL_ez00_13049); 
BgL_arg4068z00_13054 = 
CDR(
((obj_t)BgL_arg4069z00_13055)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13049, BgL_arg4068z00_13054); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13046, BgL_sz00_11017); 
return BgL_____rz00_13052;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13037, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13056;
BgL_nbpz00_13056 = 
(
(long)CINT(BgL_bpz00_13036)+BgL_siza7eza7_11016); 
VECTOR_SET(
((obj_t)BgL_sz00_11017),((long)0),
BINT(BgL_nbpz00_13056)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17428;
BgL_tmpz00_17428 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17428, BgL_locz00_11014); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13057;
BgL_rz00_13057 = 
PROCEDURE_ENTRY(BgL_fz00_13037)(BgL_fz00_13037, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11017),((long)0),BgL_bpz00_13036); 
return BgL_rz00_13057;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11014, BgL_symbzd2funzd2_11015, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13037));} } } } } } } } 

}



/* &<@anonymous:1959> */
obj_t BGl_z62zc3z04anonymousza31959ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11018, obj_t BgL_sz00_11023)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11019; obj_t BgL_locz00_11020; obj_t BgL_symbzd2funzd2_11021; long BgL_siza7eza7_11022;
BgL_funz00_11019 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)0))); 
BgL_locz00_11020 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11021 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)2))); 
BgL_siza7eza7_11022 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13058;
BgL_bpz00_13058 = 
VECTOR_REF(
((obj_t)BgL_sz00_11023),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13059;
BgL_fz00_13059 = 
PROCEDURE_ENTRY(BgL_funz00_11019)(BgL_funz00_11019, BgL_sz00_11023, BEOA); 
if(
PROCEDUREP(BgL_fz00_13059))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11020, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13059); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13060;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17457;
BgL_tmpz00_17457 = 
((obj_t)BgL_fz00_13059); 
BgL_ufz00_13060 = 
PROCEDURE_ATTR(BgL_tmpz00_17457); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4708z00_17460;
if(
STRUCTP(BgL_ufz00_13060))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4708z00_17460 = 
(
STRUCT_KEY(BgL_ufz00_13060)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4708z00_17460 = ((bool_t)0)
; } 
if(BgL_test4708z00_17460)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13061; obj_t BgL_runz00_13062; obj_t BgL_sfz00_13063;
BgL_arityz00_13061 = 
STRUCT_REF(BgL_ufz00_13060, 
(int)(((long)0))); 
BgL_runz00_13062 = 
STRUCT_REF(BgL_ufz00_13060, 
(int)(((long)1))); 
BgL_sfz00_13063 = 
STRUCT_REF(BgL_ufz00_13060, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13061)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13061))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13061)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1964z00_13066; obj_t BgL_arg1965z00_13067;
BgL_arg1964z00_13066 = 
(
(long)CINT(BgL_bpz00_13058)+((long)0)); 
BgL_arg1965z00_13067 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11023),BgL_arg1964z00_13066,BgL_arg1965z00_13067); } break;
default: 
BgL_case_else1180z00_13064:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1967z00_13065;
BgL_arg1967z00_13065 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13060), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11020, BgL_arg1967z00_13065, 
(int)(((long)0)), 
CINT(BgL_arityz00_13061)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1180z00_13064;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13068;
BgL_z12denvz12_13068 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11023, BgL_bpz00_13058, BgL_sfz00_13063))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13062;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13069;
BgL_nsz00_13069 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1969z00_13070;
BgL_arg1969z00_13070 = 
(
(long)CINT(BgL_bpz00_13058)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13069, ((long)2), BgL_sz00_11023, BgL_bpz00_13058, 
BINT(BgL_arg1969z00_13070)); } 
VECTOR_SET(BgL_nsz00_13069,((long)1),BgL_sz00_11023); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13068, BgL_nsz00_13069); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13071;
BgL_ez00_13071 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13072;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13073;
BgL_arg4072z00_13073 = 
BGL_EXITD_PROTECT(BgL_ez00_13071); 
BgL_arg4071z00_13072 = 
MAKE_YOUNG_PAIR(BgL_sz00_11023, BgL_arg4072z00_13073); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13071, BgL_arg4071z00_13072); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13074;
BgL_____rz00_13074 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13062, BgL_nsz00_13069, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4713z00_17504;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13075;
BgL_arg4070z00_13075 = 
BGL_EXITD_PROTECT(BgL_ez00_13071); 
BgL_test4713z00_17504 = 
PAIRP(BgL_arg4070z00_13075); } 
if(BgL_test4713z00_17504)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13076;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13077;
BgL_arg4069z00_13077 = 
BGL_EXITD_PROTECT(BgL_ez00_13071); 
BgL_arg4068z00_13076 = 
CDR(
((obj_t)BgL_arg4069z00_13077)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13071, BgL_arg4068z00_13076); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13068, BgL_sz00_11023); 
return BgL_____rz00_13074;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13059, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13078;
BgL_nbpz00_13078 = 
(
(long)CINT(BgL_bpz00_13058)+BgL_siza7eza7_11022); 
VECTOR_SET(
((obj_t)BgL_sz00_11023),((long)0),
BINT(BgL_nbpz00_13078)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13079;
BgL_rz00_13079 = 
PROCEDURE_ENTRY(BgL_fz00_13059)(BgL_fz00_13059, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11023),((long)0),BgL_bpz00_13058); 
return BgL_rz00_13079;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11020, BgL_symbzd2funzd2_11021, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13059));} } } } } } } } 

}



/* &<@anonymous:1975> */
obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11024, obj_t BgL_sz00_11029)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11025; obj_t BgL_locz00_11026; obj_t BgL_symbzd2funzd2_11027; long BgL_siza7eza7_11028;
BgL_funz00_11025 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)0))); 
BgL_locz00_11026 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11027 = 
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)2))); 
BgL_siza7eza7_11028 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11024, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13080;
BgL_bpz00_13080 = 
VECTOR_REF(
((obj_t)BgL_sz00_11029),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13081;
BgL_fz00_13081 = 
PROCEDURE_ENTRY(BgL_funz00_11025)(BgL_funz00_11025, BgL_sz00_11029, BEOA); 
if(
PROCEDUREP(BgL_fz00_13081))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11026, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13081); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13082;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17546;
BgL_tmpz00_17546 = 
((obj_t)BgL_fz00_13081); 
BgL_ufz00_13082 = 
PROCEDURE_ATTR(BgL_tmpz00_17546); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4716z00_17549;
if(
STRUCTP(BgL_ufz00_13082))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4716z00_17549 = 
(
STRUCT_KEY(BgL_ufz00_13082)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4716z00_17549 = ((bool_t)0)
; } 
if(BgL_test4716z00_17549)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13083; obj_t BgL_runz00_13084; obj_t BgL_sfz00_13085;
BgL_arityz00_13083 = 
STRUCT_REF(BgL_ufz00_13082, 
(int)(((long)0))); 
BgL_runz00_13084 = 
STRUCT_REF(BgL_ufz00_13082, 
(int)(((long)1))); 
BgL_sfz00_13085 = 
STRUCT_REF(BgL_ufz00_13082, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13086;
BgL_spz00_13086 = 
(
(long)CINT(BgL_bpz00_13080)+BgL_siza7eza7_11028); 
if(
(
(long)CINT(BgL_arityz00_13083)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13083))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13083)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1980z00_13089; obj_t BgL_arg1981z00_13090;
BgL_arg1980z00_13089 = 
(BgL_spz00_13086+((long)0)); 
BgL_arg1981z00_13090 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11029),BgL_arg1980z00_13089,BgL_arg1981z00_13090); } break;
default: 
BgL_case_else1182z00_13087:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1983z00_13088;
BgL_arg1983z00_13088 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13082), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11026, BgL_arg1983z00_13088, 
(int)(((long)0)), 
CINT(BgL_arityz00_13083)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1182z00_13087;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13091;
BgL_z12denvz12_13091 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13091, BgL_locz00_11026); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11029, 
BINT(BgL_spz00_13086), BgL_sfz00_13085))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13084, BgL_sz00_11029, 
BINT(BgL_spz00_13086));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13092;
BgL_nsz00_13092 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1985z00_13093;
BgL_arg1985z00_13093 = 
(BgL_spz00_13086+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13092, ((long)2), BgL_sz00_11029, 
BINT(BgL_spz00_13086), 
BINT(BgL_arg1985z00_13093)); } 
VECTOR_SET(BgL_nsz00_13092,((long)1),BgL_sz00_11029); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13091, BgL_nsz00_13092); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13094;
BgL_ez00_13094 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13095;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13096;
BgL_arg4072z00_13096 = 
BGL_EXITD_PROTECT(BgL_ez00_13094); 
BgL_arg4071z00_13095 = 
MAKE_YOUNG_PAIR(BgL_sz00_11029, BgL_arg4072z00_13096); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13094, BgL_arg4071z00_13095); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13097;
BgL_____rz00_13097 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13084, BgL_nsz00_13092, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4721z00_17598;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13098;
BgL_arg4070z00_13098 = 
BGL_EXITD_PROTECT(BgL_ez00_13094); 
BgL_test4721z00_17598 = 
PAIRP(BgL_arg4070z00_13098); } 
if(BgL_test4721z00_17598)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13099;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13100;
BgL_arg4069z00_13100 = 
BGL_EXITD_PROTECT(BgL_ez00_13094); 
BgL_arg4068z00_13099 = 
CDR(
((obj_t)BgL_arg4069z00_13100)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13094, BgL_arg4068z00_13099); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13091, BgL_sz00_11029); 
return BgL_____rz00_13097;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13081, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13101;
BgL_nbpz00_13101 = 
(
(long)CINT(BgL_bpz00_13080)+BgL_siza7eza7_11028); 
VECTOR_SET(
((obj_t)BgL_sz00_11029),((long)0),
BINT(BgL_nbpz00_13101)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17614;
BgL_tmpz00_17614 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17614, BgL_locz00_11026); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13102;
BgL_rz00_13102 = 
PROCEDURE_ENTRY(BgL_fz00_13081)(BgL_fz00_13081, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11029),((long)0),BgL_bpz00_13080); 
return BgL_rz00_13102;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11026, BgL_symbzd2funzd2_11027, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13081));} } } } } } } } 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11030, obj_t BgL_sz00_11035)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11031; obj_t BgL_locz00_11032; obj_t BgL_symbzd2funzd2_11033; long BgL_siza7eza7_11034;
BgL_funz00_11031 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)0))); 
BgL_locz00_11032 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)1))); 
BgL_symbzd2funzd2_11033 = 
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)2))); 
BgL_siza7eza7_11034 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11030, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13103;
BgL_bpz00_13103 = 
VECTOR_REF(
((obj_t)BgL_sz00_11035),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13104;
BgL_fz00_13104 = 
PROCEDURE_ENTRY(BgL_funz00_11031)(BgL_funz00_11031, BgL_sz00_11035, BEOA); 
if(
PROCEDUREP(BgL_fz00_13104))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11032, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13104); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13105;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17643;
BgL_tmpz00_17643 = 
((obj_t)BgL_fz00_13104); 
BgL_ufz00_13105 = 
PROCEDURE_ATTR(BgL_tmpz00_17643); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4724z00_17646;
if(
STRUCTP(BgL_ufz00_13105))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4724z00_17646 = 
(
STRUCT_KEY(BgL_ufz00_13105)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4724z00_17646 = ((bool_t)0)
; } 
if(BgL_test4724z00_17646)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13106; obj_t BgL_runz00_13107; obj_t BgL_sfz00_13108;
BgL_arityz00_13106 = 
STRUCT_REF(BgL_ufz00_13105, 
(int)(((long)0))); 
BgL_runz00_13107 = 
STRUCT_REF(BgL_ufz00_13105, 
(int)(((long)1))); 
BgL_sfz00_13108 = 
STRUCT_REF(BgL_ufz00_13105, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13109;
BgL_spz00_13109 = 
(
(long)CINT(BgL_bpz00_13103)+BgL_siza7eza7_11034); 
if(
(
(long)CINT(BgL_arityz00_13106)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_13106))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13106)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1994z00_13112; obj_t BgL_arg1995z00_13113;
BgL_arg1994z00_13112 = 
(BgL_spz00_13109+((long)0)); 
BgL_arg1995z00_13113 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11035),BgL_arg1994z00_13112,BgL_arg1995z00_13113); } break;
default: 
BgL_case_else1184z00_13110:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg1997z00_13111;
BgL_arg1997z00_13111 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13105), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11032, BgL_arg1997z00_13111, 
(int)(((long)0)), 
CINT(BgL_arityz00_13106)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1184z00_13110;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13114;
BgL_z12denvz12_13114 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11035, 
BINT(BgL_spz00_13109), BgL_sfz00_13108))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13107, BgL_sz00_11035, 
BINT(BgL_spz00_13109));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13115;
BgL_nsz00_13115 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg1999z00_13116;
BgL_arg1999z00_13116 = 
(BgL_spz00_13109+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13115, ((long)2), BgL_sz00_11035, 
BINT(BgL_spz00_13109), 
BINT(BgL_arg1999z00_13116)); } 
VECTOR_SET(BgL_nsz00_13115,((long)1),BgL_sz00_11035); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13114, BgL_nsz00_13115); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13117;
BgL_ez00_13117 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13118;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13119;
BgL_arg4072z00_13119 = 
BGL_EXITD_PROTECT(BgL_ez00_13117); 
BgL_arg4071z00_13118 = 
MAKE_YOUNG_PAIR(BgL_sz00_11035, BgL_arg4072z00_13119); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13117, BgL_arg4071z00_13118); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13120;
BgL_____rz00_13120 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13107, BgL_nsz00_13115, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4729z00_17694;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13121;
BgL_arg4070z00_13121 = 
BGL_EXITD_PROTECT(BgL_ez00_13117); 
BgL_test4729z00_17694 = 
PAIRP(BgL_arg4070z00_13121); } 
if(BgL_test4729z00_17694)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13122;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13123;
BgL_arg4069z00_13123 = 
BGL_EXITD_PROTECT(BgL_ez00_13117); 
BgL_arg4068z00_13122 = 
CDR(
((obj_t)BgL_arg4069z00_13123)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13117, BgL_arg4068z00_13122); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13114, BgL_sz00_11035); 
return BgL_____rz00_13120;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13104, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13124;
BgL_nbpz00_13124 = 
(
(long)CINT(BgL_bpz00_13103)+BgL_siza7eza7_11034); 
VECTOR_SET(
((obj_t)BgL_sz00_11035),((long)0),
BINT(BgL_nbpz00_13124)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13125;
BgL_rz00_13125 = 
PROCEDURE_ENTRY(BgL_fz00_13104)(BgL_fz00_13104, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11035),((long)0),BgL_bpz00_13103); 
return BgL_rz00_13125;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11032, BgL_symbzd2funzd2_11033, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_13104));} } } } } } } } 

}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2163;
BgL_cfunz00_2163 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2163))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4732z00_17721;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2008z00_2179;
BgL_arg2008z00_2179 = 
bgl_debug(); 
BgL_test4732z00_17721 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2008z00_2179), 
BINT(((long)0))); } 
if(BgL_test4732z00_17721)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32005ze3z87_11036;
BgL_zc3z04anonymousza32005ze3z87_11036 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11036, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11036, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11036, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32005ze3z87_11036, 
(int)(((long)3)), BgL_cfunz00_2163); 
return BgL_zc3z04anonymousza32005ze3z87_11036;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32007ze3z87_11037;
BgL_zc3z04anonymousza32007ze3z87_11037 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11037, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11037, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_11037, 
(int)(((long)2)), BgL_cfunz00_2163); 
return BgL_zc3z04anonymousza32007ze3z87_11037;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4734z00_17750;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2048z00_2255;
BgL_arg2048z00_2255 = 
bgl_debug(); 
BgL_test4734z00_17750 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2048z00_2255), 
BINT(((long)0))); } 
if(BgL_test4734z00_17750)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32011ze3z87_11038;
BgL_zc3z04anonymousza32011ze3z87_11038 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11038, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11038, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11038, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11038, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32011ze3z87_11038, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32011ze3z87_11038;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32030ze3z87_11039;
BgL_zc3z04anonymousza32030ze3z87_11039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11039, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11039, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11039, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11039, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_11039, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32030ze3z87_11039;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4735z00_17783;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2088z00_2331;
BgL_arg2088z00_2331 = 
bgl_debug(); 
BgL_test4735z00_17783 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2088z00_2331), 
BINT(((long)0))); } 
if(BgL_test4735z00_17783)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32051ze3z87_11040;
BgL_zc3z04anonymousza32051ze3z87_11040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11040, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11040, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11040, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11040, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32051ze3z87_11040, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32051ze3z87_11040;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32070ze3z87_11041;
BgL_zc3z04anonymousza32070ze3z87_11041 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11041, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11041, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11041, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11041, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32070ze3z87_11041, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32070ze3z87_11041;} } } } } 

}



/* &<@anonymous:2005> */
obj_t BGl_z62zc3z04anonymousza32005ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11042, obj_t BgL_sz00_11047)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11043; long BgL_siza7eza7_11044; obj_t BgL_locz00_11045; obj_t BgL_cfunz00_11046;
BgL_a1z00_11043 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)0))); 
BgL_siza7eza7_11044 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)1)))); 
BgL_locz00_11045 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)2))); 
BgL_cfunz00_11046 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13126;
BgL_bpz00_13126 = 
VECTOR_REF(
((obj_t)BgL_sz00_11047),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13127;
BgL_a1z00_13127 = 
PROCEDURE_ENTRY(BgL_a1z00_11043)(BgL_a1z00_11043, BgL_sz00_11047, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13128;
BgL_nbpz00_13128 = 
(
(long)CINT(BgL_bpz00_13126)+BgL_siza7eza7_11044); 
VECTOR_SET(
((obj_t)BgL_sz00_11047),((long)0),
BINT(BgL_nbpz00_13128)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17836;
BgL_tmpz00_17836 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17836, BgL_locz00_11045); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13129;
BgL_rz00_13129 = 
PROCEDURE_ENTRY(BgL_cfunz00_11046)(BgL_cfunz00_11046, BgL_a1z00_13127, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11047),((long)0),BgL_bpz00_13126); 
return BgL_rz00_13129;} } } } } } 

}



/* &<@anonymous:2007> */
obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11048, obj_t BgL_sz00_11052)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11049; long BgL_siza7eza7_11050; obj_t BgL_cfunz00_11051;
BgL_a1z00_11049 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)0))); 
BgL_siza7eza7_11050 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)1)))); 
BgL_cfunz00_11051 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13130;
BgL_bpz00_13130 = 
VECTOR_REF(
((obj_t)BgL_sz00_11052),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13131;
BgL_a1z00_13131 = 
PROCEDURE_ENTRY(BgL_a1z00_11049)(BgL_a1z00_11049, BgL_sz00_11052, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13132;
BgL_nbpz00_13132 = 
(
(long)CINT(BgL_bpz00_13130)+BgL_siza7eza7_11050); 
VECTOR_SET(
((obj_t)BgL_sz00_11052),((long)0),
BINT(BgL_nbpz00_13132)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13133;
BgL_rz00_13133 = 
PROCEDURE_ENTRY(BgL_cfunz00_11051)(BgL_cfunz00_11051, BgL_a1z00_13131, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11052),((long)0),BgL_bpz00_13130); 
return BgL_rz00_13133;} } } } } } 

}



/* &<@anonymous:2011> */
obj_t BGl_z62zc3z04anonymousza32011ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11053, obj_t BgL_sz00_11059)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11054; obj_t BgL_a1z00_11055; obj_t BgL_locz00_11056; obj_t BgL_symbzd2funzd2_11057; long BgL_siza7eza7_11058;
BgL_funz00_11054 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)0))); 
BgL_a1z00_11055 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)1))); 
BgL_locz00_11056 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11057 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)3))); 
BgL_siza7eza7_11058 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13134;
BgL_bpz00_13134 = 
VECTOR_REF(
((obj_t)BgL_sz00_11059),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13135; obj_t BgL_a1z00_13136;
BgL_fz00_13135 = 
PROCEDURE_ENTRY(BgL_funz00_11054)(BgL_funz00_11054, BgL_sz00_11059, BEOA); 
BgL_a1z00_13136 = 
PROCEDURE_ENTRY(BgL_a1z00_11055)(BgL_a1z00_11055, BgL_sz00_11059, BEOA); 
if(
PROCEDUREP(BgL_fz00_13135))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11056, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13135); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13137;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17893;
BgL_tmpz00_17893 = 
((obj_t)BgL_fz00_13135); 
BgL_ufz00_13137 = 
PROCEDURE_ATTR(BgL_tmpz00_17893); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4737z00_17896;
if(
STRUCTP(BgL_ufz00_13137))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4737z00_17896 = 
(
STRUCT_KEY(BgL_ufz00_13137)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4737z00_17896 = ((bool_t)0)
; } 
if(BgL_test4737z00_17896)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13138; obj_t BgL_runz00_13139; obj_t BgL_sfz00_13140;
BgL_arityz00_13138 = 
STRUCT_REF(BgL_ufz00_13137, 
(int)(((long)0))); 
BgL_runz00_13139 = 
STRUCT_REF(BgL_ufz00_13137, 
(int)(((long)1))); 
BgL_sfz00_13140 = 
STRUCT_REF(BgL_ufz00_13137, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13138)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2015z00_13141;
BgL_arg2015z00_13141 = 
(
(long)CINT(BgL_bpz00_13134)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11059),BgL_arg2015z00_13141,BgL_a1z00_13136); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13138))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13138)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2017z00_13144; obj_t BgL_arg2018z00_13145;
BgL_arg2017z00_13144 = 
(
(long)CINT(BgL_bpz00_13134)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2019z00_13146;
BgL_list2019z00_13146 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13136, BNIL); 
BgL_arg2018z00_13145 = BgL_list2019z00_13146; } 
VECTOR_SET(
((obj_t)BgL_sz00_11059),BgL_arg2017z00_13144,BgL_arg2018z00_13145); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2020z00_13147;
BgL_arg2020z00_13147 = 
(
(long)CINT(BgL_bpz00_13134)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11059),BgL_arg2020z00_13147,BgL_a1z00_13136); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2021z00_13148; obj_t BgL_arg2022z00_13149;
BgL_arg2021z00_13148 = 
(
(long)CINT(BgL_bpz00_13134)+((long)1)); 
BgL_arg2022z00_13149 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11059),BgL_arg2021z00_13148,BgL_arg2022z00_13149); } break;
default: 
BgL_case_else1186z00_13142:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2024z00_13143;
BgL_arg2024z00_13143 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13137), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11056, BgL_arg2024z00_13143, 
(int)(((long)1)), 
CINT(BgL_arityz00_13138)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1186z00_13142;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13150;
BgL_z12denvz12_13150 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13150, BgL_locz00_11056); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11059, BgL_bpz00_13134, BgL_sfz00_13140))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13139;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13151;
BgL_nsz00_13151 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2026z00_13152;
BgL_arg2026z00_13152 = 
(
(long)CINT(BgL_bpz00_13134)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13151, ((long)2), BgL_sz00_11059, BgL_bpz00_13134, 
BINT(BgL_arg2026z00_13152)); } 
VECTOR_SET(BgL_nsz00_13151,((long)1),BgL_sz00_11059); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13150, BgL_nsz00_13151); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13153;
BgL_ez00_13153 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13154;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13155;
BgL_arg4072z00_13155 = 
BGL_EXITD_PROTECT(BgL_ez00_13153); 
BgL_arg4071z00_13154 = 
MAKE_YOUNG_PAIR(BgL_sz00_11059, BgL_arg4072z00_13155); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13153, BgL_arg4071z00_13154); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13156;
BgL_____rz00_13156 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13139, BgL_nsz00_13151, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4742z00_17954;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13157;
BgL_arg4070z00_13157 = 
BGL_EXITD_PROTECT(BgL_ez00_13153); 
BgL_test4742z00_17954 = 
PAIRP(BgL_arg4070z00_13157); } 
if(BgL_test4742z00_17954)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13158;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13159;
BgL_arg4069z00_13159 = 
BGL_EXITD_PROTECT(BgL_ez00_13153); 
BgL_arg4068z00_13158 = 
CDR(
((obj_t)BgL_arg4069z00_13159)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13153, BgL_arg4068z00_13158); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13150, BgL_sz00_11059); 
return BgL_____rz00_13156;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13135, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13160;
BgL_nbpz00_13160 = 
(
(long)CINT(BgL_bpz00_13134)+BgL_siza7eza7_11058); 
VECTOR_SET(
((obj_t)BgL_sz00_11059),((long)0),
BINT(BgL_nbpz00_13160)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_17970;
BgL_tmpz00_17970 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17970, BgL_locz00_11056); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13161;
BgL_rz00_13161 = 
PROCEDURE_ENTRY(BgL_fz00_13135)(BgL_fz00_13135, BgL_a1z00_13136, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11059),((long)0),BgL_bpz00_13134); 
return BgL_rz00_13161;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11056, BgL_symbzd2funzd2_11057, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13135));} } } } } } } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11060, obj_t BgL_sz00_11066)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11061; obj_t BgL_a1z00_11062; obj_t BgL_locz00_11063; obj_t BgL_symbzd2funzd2_11064; long BgL_siza7eza7_11065;
BgL_funz00_11061 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)0))); 
BgL_a1z00_11062 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)1))); 
BgL_locz00_11063 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11064 = 
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)3))); 
BgL_siza7eza7_11065 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11060, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13162;
BgL_bpz00_13162 = 
VECTOR_REF(
((obj_t)BgL_sz00_11066),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13163; obj_t BgL_a1z00_13164;
BgL_fz00_13163 = 
PROCEDURE_ENTRY(BgL_funz00_11061)(BgL_funz00_11061, BgL_sz00_11066, BEOA); 
BgL_a1z00_13164 = 
PROCEDURE_ENTRY(BgL_a1z00_11062)(BgL_a1z00_11062, BgL_sz00_11066, BEOA); 
if(
PROCEDUREP(BgL_fz00_13163))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11063, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13163); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13165;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18006;
BgL_tmpz00_18006 = 
((obj_t)BgL_fz00_13163); 
BgL_ufz00_13165 = 
PROCEDURE_ATTR(BgL_tmpz00_18006); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4745z00_18009;
if(
STRUCTP(BgL_ufz00_13165))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4745z00_18009 = 
(
STRUCT_KEY(BgL_ufz00_13165)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4745z00_18009 = ((bool_t)0)
; } 
if(BgL_test4745z00_18009)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13166; obj_t BgL_runz00_13167; obj_t BgL_sfz00_13168;
BgL_arityz00_13166 = 
STRUCT_REF(BgL_ufz00_13165, 
(int)(((long)0))); 
BgL_runz00_13167 = 
STRUCT_REF(BgL_ufz00_13165, 
(int)(((long)1))); 
BgL_sfz00_13168 = 
STRUCT_REF(BgL_ufz00_13165, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13166)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2034z00_13169;
BgL_arg2034z00_13169 = 
(
(long)CINT(BgL_bpz00_13162)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11066),BgL_arg2034z00_13169,BgL_a1z00_13164); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13166))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13166)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2036z00_13172; obj_t BgL_arg2037z00_13173;
BgL_arg2036z00_13172 = 
(
(long)CINT(BgL_bpz00_13162)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2038z00_13174;
BgL_list2038z00_13174 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13164, BNIL); 
BgL_arg2037z00_13173 = BgL_list2038z00_13174; } 
VECTOR_SET(
((obj_t)BgL_sz00_11066),BgL_arg2036z00_13172,BgL_arg2037z00_13173); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2039z00_13175;
BgL_arg2039z00_13175 = 
(
(long)CINT(BgL_bpz00_13162)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11066),BgL_arg2039z00_13175,BgL_a1z00_13164); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2040z00_13176; obj_t BgL_arg2041z00_13177;
BgL_arg2040z00_13176 = 
(
(long)CINT(BgL_bpz00_13162)+((long)1)); 
BgL_arg2041z00_13177 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11066),BgL_arg2040z00_13176,BgL_arg2041z00_13177); } break;
default: 
BgL_case_else1188z00_13170:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2043z00_13171;
BgL_arg2043z00_13171 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13165), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11063, BgL_arg2043z00_13171, 
(int)(((long)1)), 
CINT(BgL_arityz00_13166)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1188z00_13170;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13178;
BgL_z12denvz12_13178 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11066, BgL_bpz00_13162, BgL_sfz00_13168))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13167;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13179;
BgL_nsz00_13179 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2045z00_13180;
BgL_arg2045z00_13180 = 
(
(long)CINT(BgL_bpz00_13162)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13179, ((long)2), BgL_sz00_11066, BgL_bpz00_13162, 
BINT(BgL_arg2045z00_13180)); } 
VECTOR_SET(BgL_nsz00_13179,((long)1),BgL_sz00_11066); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13178, BgL_nsz00_13179); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13181;
BgL_ez00_13181 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13182;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13183;
BgL_arg4072z00_13183 = 
BGL_EXITD_PROTECT(BgL_ez00_13181); 
BgL_arg4071z00_13182 = 
MAKE_YOUNG_PAIR(BgL_sz00_11066, BgL_arg4072z00_13183); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13181, BgL_arg4071z00_13182); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13184;
BgL_____rz00_13184 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13167, BgL_nsz00_13179, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4750z00_18066;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13185;
BgL_arg4070z00_13185 = 
BGL_EXITD_PROTECT(BgL_ez00_13181); 
BgL_test4750z00_18066 = 
PAIRP(BgL_arg4070z00_13185); } 
if(BgL_test4750z00_18066)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13186;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13187;
BgL_arg4069z00_13187 = 
BGL_EXITD_PROTECT(BgL_ez00_13181); 
BgL_arg4068z00_13186 = 
CDR(
((obj_t)BgL_arg4069z00_13187)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13181, BgL_arg4068z00_13186); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13178, BgL_sz00_11066); 
return BgL_____rz00_13184;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13163, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13188;
BgL_nbpz00_13188 = 
(
(long)CINT(BgL_bpz00_13162)+BgL_siza7eza7_11065); 
VECTOR_SET(
((obj_t)BgL_sz00_11066),((long)0),
BINT(BgL_nbpz00_13188)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13189;
BgL_rz00_13189 = 
PROCEDURE_ENTRY(BgL_fz00_13163)(BgL_fz00_13163, BgL_a1z00_13164, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11066),((long)0),BgL_bpz00_13162); 
return BgL_rz00_13189;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11063, BgL_symbzd2funzd2_11064, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13163));} } } } } } } } 

}



/* &<@anonymous:2051> */
obj_t BGl_z62zc3z04anonymousza32051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11067, obj_t BgL_sz00_11073)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11068; obj_t BgL_a1z00_11069; obj_t BgL_locz00_11070; obj_t BgL_symbzd2funzd2_11071; long BgL_siza7eza7_11072;
BgL_funz00_11068 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)0))); 
BgL_a1z00_11069 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)1))); 
BgL_locz00_11070 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11071 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)3))); 
BgL_siza7eza7_11072 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13190;
BgL_bpz00_13190 = 
VECTOR_REF(
((obj_t)BgL_sz00_11073),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13191; obj_t BgL_a1z00_13192;
BgL_fz00_13191 = 
PROCEDURE_ENTRY(BgL_funz00_11068)(BgL_funz00_11068, BgL_sz00_11073, BEOA); 
BgL_a1z00_13192 = 
PROCEDURE_ENTRY(BgL_a1z00_11069)(BgL_a1z00_11069, BgL_sz00_11073, BEOA); 
if(
PROCEDUREP(BgL_fz00_13191))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11070, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13191); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13193;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18115;
BgL_tmpz00_18115 = 
((obj_t)BgL_fz00_13191); 
BgL_ufz00_13193 = 
PROCEDURE_ATTR(BgL_tmpz00_18115); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4753z00_18118;
if(
STRUCTP(BgL_ufz00_13193))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4753z00_18118 = 
(
STRUCT_KEY(BgL_ufz00_13193)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4753z00_18118 = ((bool_t)0)
; } 
if(BgL_test4753z00_18118)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13194; obj_t BgL_runz00_13195; obj_t BgL_sfz00_13196;
BgL_arityz00_13194 = 
STRUCT_REF(BgL_ufz00_13193, 
(int)(((long)0))); 
BgL_runz00_13195 = 
STRUCT_REF(BgL_ufz00_13193, 
(int)(((long)1))); 
BgL_sfz00_13196 = 
STRUCT_REF(BgL_ufz00_13193, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13197;
BgL_spz00_13197 = 
(
(long)CINT(BgL_bpz00_13190)+BgL_siza7eza7_11072); 
if(
(
(long)CINT(BgL_arityz00_13194)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2055z00_13198;
BgL_arg2055z00_13198 = 
(BgL_spz00_13197+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),BgL_arg2055z00_13198,BgL_a1z00_13192); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13194))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13194)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2057z00_13201; obj_t BgL_arg2058z00_13202;
BgL_arg2057z00_13201 = 
(BgL_spz00_13197+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2059z00_13203;
BgL_list2059z00_13203 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13192, BNIL); 
BgL_arg2058z00_13202 = BgL_list2059z00_13203; } 
VECTOR_SET(
((obj_t)BgL_sz00_11073),BgL_arg2057z00_13201,BgL_arg2058z00_13202); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2060z00_13204;
BgL_arg2060z00_13204 = 
(BgL_spz00_13197+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),BgL_arg2060z00_13204,BgL_a1z00_13192); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2061z00_13205; obj_t BgL_arg2062z00_13206;
BgL_arg2061z00_13205 = 
(BgL_spz00_13197+((long)1)); 
BgL_arg2062z00_13206 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11073),BgL_arg2061z00_13205,BgL_arg2062z00_13206); } break;
default: 
BgL_case_else1190z00_13199:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2064z00_13200;
BgL_arg2064z00_13200 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13193), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11070, BgL_arg2064z00_13200, 
(int)(((long)1)), 
CINT(BgL_arityz00_13194)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1190z00_13199;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13207;
BgL_z12denvz12_13207 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13207, BgL_locz00_11070); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11073, 
BINT(BgL_spz00_13197), BgL_sfz00_13196))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13195, BgL_sz00_11073, 
BINT(BgL_spz00_13197));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13208;
BgL_nsz00_13208 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2066z00_13209;
BgL_arg2066z00_13209 = 
(BgL_spz00_13197+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13208, ((long)2), BgL_sz00_11073, 
BINT(BgL_spz00_13197), 
BINT(BgL_arg2066z00_13209)); } 
VECTOR_SET(BgL_nsz00_13208,((long)1),BgL_sz00_11073); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13207, BgL_nsz00_13208); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13210;
BgL_ez00_13210 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13211;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13212;
BgL_arg4072z00_13212 = 
BGL_EXITD_PROTECT(BgL_ez00_13210); 
BgL_arg4071z00_13211 = 
MAKE_YOUNG_PAIR(BgL_sz00_11073, BgL_arg4072z00_13212); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13210, BgL_arg4071z00_13211); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13213;
BgL_____rz00_13213 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13195, BgL_nsz00_13208, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4758z00_18177;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13214;
BgL_arg4070z00_13214 = 
BGL_EXITD_PROTECT(BgL_ez00_13210); 
BgL_test4758z00_18177 = 
PAIRP(BgL_arg4070z00_13214); } 
if(BgL_test4758z00_18177)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13215;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13216;
BgL_arg4069z00_13216 = 
BGL_EXITD_PROTECT(BgL_ez00_13210); 
BgL_arg4068z00_13215 = 
CDR(
((obj_t)BgL_arg4069z00_13216)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13210, BgL_arg4068z00_13215); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13207, BgL_sz00_11073); 
return BgL_____rz00_13213;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13191, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13217;
BgL_nbpz00_13217 = 
(
(long)CINT(BgL_bpz00_13190)+BgL_siza7eza7_11072); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),((long)0),
BINT(BgL_nbpz00_13217)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18193;
BgL_tmpz00_18193 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18193, BgL_locz00_11070); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13218;
BgL_rz00_13218 = 
PROCEDURE_ENTRY(BgL_fz00_13191)(BgL_fz00_13191, BgL_a1z00_13192, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11073),((long)0),BgL_bpz00_13190); 
return BgL_rz00_13218;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11070, BgL_symbzd2funzd2_11071, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13191));} } } } } } } } 

}



/* &<@anonymous:2070> */
obj_t BGl_z62zc3z04anonymousza32070ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11074, obj_t BgL_sz00_11080)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11075; obj_t BgL_a1z00_11076; obj_t BgL_locz00_11077; obj_t BgL_symbzd2funzd2_11078; long BgL_siza7eza7_11079;
BgL_funz00_11075 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)0))); 
BgL_a1z00_11076 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)1))); 
BgL_locz00_11077 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)2))); 
BgL_symbzd2funzd2_11078 = 
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)3))); 
BgL_siza7eza7_11079 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11074, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13219;
BgL_bpz00_13219 = 
VECTOR_REF(
((obj_t)BgL_sz00_11080),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13220; obj_t BgL_a1z00_13221;
BgL_fz00_13220 = 
PROCEDURE_ENTRY(BgL_funz00_11075)(BgL_funz00_11075, BgL_sz00_11080, BEOA); 
BgL_a1z00_13221 = 
PROCEDURE_ENTRY(BgL_a1z00_11076)(BgL_a1z00_11076, BgL_sz00_11080, BEOA); 
if(
PROCEDUREP(BgL_fz00_13220))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11077, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13220); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13222;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18229;
BgL_tmpz00_18229 = 
((obj_t)BgL_fz00_13220); 
BgL_ufz00_13222 = 
PROCEDURE_ATTR(BgL_tmpz00_18229); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4761z00_18232;
if(
STRUCTP(BgL_ufz00_13222))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4761z00_18232 = 
(
STRUCT_KEY(BgL_ufz00_13222)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4761z00_18232 = ((bool_t)0)
; } 
if(BgL_test4761z00_18232)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13223; obj_t BgL_runz00_13224; obj_t BgL_sfz00_13225;
BgL_arityz00_13223 = 
STRUCT_REF(BgL_ufz00_13222, 
(int)(((long)0))); 
BgL_runz00_13224 = 
STRUCT_REF(BgL_ufz00_13222, 
(int)(((long)1))); 
BgL_sfz00_13225 = 
STRUCT_REF(BgL_ufz00_13222, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13226;
BgL_spz00_13226 = 
(
(long)CINT(BgL_bpz00_13219)+BgL_siza7eza7_11079); 
if(
(
(long)CINT(BgL_arityz00_13223)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2074z00_13227;
BgL_arg2074z00_13227 = 
(BgL_spz00_13226+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2074z00_13227,BgL_a1z00_13221); }  else 
{ 

if(
INTEGERP(BgL_arityz00_13223))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13223)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2076z00_13230; obj_t BgL_arg2077z00_13231;
BgL_arg2076z00_13230 = 
(BgL_spz00_13226+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2078z00_13232;
BgL_list2078z00_13232 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13221, BNIL); 
BgL_arg2077z00_13231 = BgL_list2078z00_13232; } 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2076z00_13230,BgL_arg2077z00_13231); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2079z00_13233;
BgL_arg2079z00_13233 = 
(BgL_spz00_13226+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2079z00_13233,BgL_a1z00_13221); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2080z00_13234; obj_t BgL_arg2081z00_13235;
BgL_arg2080z00_13234 = 
(BgL_spz00_13226+((long)1)); 
BgL_arg2081z00_13235 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11080),BgL_arg2080z00_13234,BgL_arg2081z00_13235); } break;
default: 
BgL_case_else1192z00_13228:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2083z00_13229;
BgL_arg2083z00_13229 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13222), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11077, BgL_arg2083z00_13229, 
(int)(((long)1)), 
CINT(BgL_arityz00_13223)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1192z00_13228;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13236;
BgL_z12denvz12_13236 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11080, 
BINT(BgL_spz00_13226), BgL_sfz00_13225))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13224, BgL_sz00_11080, 
BINT(BgL_spz00_13226));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13237;
BgL_nsz00_13237 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2085z00_13238;
BgL_arg2085z00_13238 = 
(BgL_spz00_13226+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13237, ((long)2), BgL_sz00_11080, 
BINT(BgL_spz00_13226), 
BINT(BgL_arg2085z00_13238)); } 
VECTOR_SET(BgL_nsz00_13237,((long)1),BgL_sz00_11080); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13236, BgL_nsz00_13237); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13239;
BgL_ez00_13239 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13240;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13241;
BgL_arg4072z00_13241 = 
BGL_EXITD_PROTECT(BgL_ez00_13239); 
BgL_arg4071z00_13240 = 
MAKE_YOUNG_PAIR(BgL_sz00_11080, BgL_arg4072z00_13241); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13239, BgL_arg4071z00_13240); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13242;
BgL_____rz00_13242 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13224, BgL_nsz00_13237, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4766z00_18290;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13243;
BgL_arg4070z00_13243 = 
BGL_EXITD_PROTECT(BgL_ez00_13239); 
BgL_test4766z00_18290 = 
PAIRP(BgL_arg4070z00_13243); } 
if(BgL_test4766z00_18290)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13244;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13245;
BgL_arg4069z00_13245 = 
BGL_EXITD_PROTECT(BgL_ez00_13239); 
BgL_arg4068z00_13244 = 
CDR(
((obj_t)BgL_arg4069z00_13245)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13239, BgL_arg4068z00_13244); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13236, BgL_sz00_11080); 
return BgL_____rz00_13242;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13220, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13246;
BgL_nbpz00_13246 = 
(
(long)CINT(BgL_bpz00_13219)+BgL_siza7eza7_11079); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),((long)0),
BINT(BgL_nbpz00_13246)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13247;
BgL_rz00_13247 = 
PROCEDURE_ENTRY(BgL_fz00_13220)(BgL_fz00_13220, BgL_a1z00_13221, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11080),((long)0),BgL_bpz00_13219); 
return BgL_rz00_13247;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11077, BgL_symbzd2funzd2_11078, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_13220));} } } } } } } } 

}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2332;
BgL_cfunz00_2332 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2332))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4769z00_18318;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2094z00_2350;
BgL_arg2094z00_2350 = 
bgl_debug(); 
BgL_test4769z00_18318 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2094z00_2350), 
BINT(((long)0))); } 
if(BgL_test4769z00_18318)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32091ze3z87_11081;
BgL_zc3z04anonymousza32091ze3z87_11081 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11081, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11081, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11081, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11081, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32091ze3z87_11081, 
(int)(((long)4)), BgL_cfunz00_2332); 
return BgL_zc3z04anonymousza32091ze3z87_11081;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32093ze3z87_11082;
BgL_zc3z04anonymousza32093ze3z87_11082 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11082, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11082, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11082, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32093ze3z87_11082, 
(int)(((long)3)), BgL_cfunz00_2332); 
return BgL_zc3z04anonymousza32093ze3z87_11082;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4771z00_18351;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2148z00_2442;
BgL_arg2148z00_2442 = 
bgl_debug(); 
BgL_test4771z00_18351 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2148z00_2442), 
BINT(((long)0))); } 
if(BgL_test4771z00_18351)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32097ze3z87_11083;
BgL_zc3z04anonymousza32097ze3z87_11083 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32097ze3z87_11083, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32097ze3z87_11083;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32123ze3z87_11084;
BgL_zc3z04anonymousza32123ze3z87_11084 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32123ze3z87_11084, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32123ze3z87_11084;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4772z00_18388;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2203z00_2534;
BgL_arg2203z00_2534 = 
bgl_debug(); 
BgL_test4772z00_18388 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2203z00_2534), 
BINT(((long)0))); } 
if(BgL_test4772z00_18388)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32151ze3z87_11085;
BgL_zc3z04anonymousza32151ze3z87_11085 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_11085, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32151ze3z87_11085;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32177ze3z87_11086;
BgL_zc3z04anonymousza32177ze3z87_11086 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32177ze3z87_11086, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32177ze3z87_11086;} } } } } 

}



/* &<@anonymous:2091> */
obj_t BGl_z62zc3z04anonymousza32091ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11087, obj_t BgL_sz00_11093)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11088; obj_t BgL_a2z00_11089; long BgL_siza7eza7_11090; obj_t BgL_locz00_11091; obj_t BgL_cfunz00_11092;
BgL_a1z00_11088 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)0))); 
BgL_a2z00_11089 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)1))); 
BgL_siza7eza7_11090 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)2)))); 
BgL_locz00_11091 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)3))); 
BgL_cfunz00_11092 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13248;
BgL_bpz00_13248 = 
VECTOR_REF(
((obj_t)BgL_sz00_11093),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13249; obj_t BgL_a2z00_13250;
BgL_a1z00_13249 = 
PROCEDURE_ENTRY(BgL_a1z00_11088)(BgL_a1z00_11088, BgL_sz00_11093, BEOA); 
BgL_a2z00_13250 = 
PROCEDURE_ENTRY(BgL_a2z00_11089)(BgL_a2z00_11089, BgL_sz00_11093, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13251;
BgL_nbpz00_13251 = 
(
(long)CINT(BgL_bpz00_13248)+BgL_siza7eza7_11090); 
VECTOR_SET(
((obj_t)BgL_sz00_11093),((long)0),
BINT(BgL_nbpz00_13251)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18451;
BgL_tmpz00_18451 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18451, BgL_locz00_11091); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13252;
BgL_rz00_13252 = 
PROCEDURE_ENTRY(BgL_cfunz00_11092)(BgL_cfunz00_11092, BgL_a1z00_13249, BgL_a2z00_13250, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11093),((long)0),BgL_bpz00_13248); 
return BgL_rz00_13252;} } } } } } 

}



/* &<@anonymous:2093> */
obj_t BGl_z62zc3z04anonymousza32093ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11094, obj_t BgL_sz00_11099)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11095; obj_t BgL_a2z00_11096; long BgL_siza7eza7_11097; obj_t BgL_cfunz00_11098;
BgL_a1z00_11095 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)0))); 
BgL_a2z00_11096 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)1))); 
BgL_siza7eza7_11097 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)2)))); 
BgL_cfunz00_11098 = 
PROCEDURE_REF(BgL_envz00_11094, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13253;
BgL_bpz00_13253 = 
VECTOR_REF(
((obj_t)BgL_sz00_11099),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13254; obj_t BgL_a2z00_13255;
BgL_a1z00_13254 = 
PROCEDURE_ENTRY(BgL_a1z00_11095)(BgL_a1z00_11095, BgL_sz00_11099, BEOA); 
BgL_a2z00_13255 = 
PROCEDURE_ENTRY(BgL_a2z00_11096)(BgL_a2z00_11096, BgL_sz00_11099, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13256;
BgL_nbpz00_13256 = 
(
(long)CINT(BgL_bpz00_13253)+BgL_siza7eza7_11097); 
VECTOR_SET(
((obj_t)BgL_sz00_11099),((long)0),
BINT(BgL_nbpz00_13256)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13257;
BgL_rz00_13257 = 
PROCEDURE_ENTRY(BgL_cfunz00_11098)(BgL_cfunz00_11098, BgL_a1z00_13254, BgL_a2z00_13255, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11099),((long)0),BgL_bpz00_13253); 
return BgL_rz00_13257;} } } } } } 

}



/* &<@anonymous:2097> */
obj_t BGl_z62zc3z04anonymousza32097ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11100, obj_t BgL_sz00_11107)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11101; obj_t BgL_a1z00_11102; obj_t BgL_a2z00_11103; obj_t BgL_locz00_11104; obj_t BgL_symbzd2funzd2_11105; long BgL_siza7eza7_11106;
BgL_funz00_11101 = 
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)0))); 
BgL_a1z00_11102 = 
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)1))); 
BgL_a2z00_11103 = 
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)2))); 
BgL_locz00_11104 = 
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11105 = 
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)4))); 
BgL_siza7eza7_11106 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11100, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13258;
BgL_bpz00_13258 = 
VECTOR_REF(
((obj_t)BgL_sz00_11107),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13259; obj_t BgL_a1z00_13260; obj_t BgL_a2z00_13261;
BgL_fz00_13259 = 
PROCEDURE_ENTRY(BgL_funz00_11101)(BgL_funz00_11101, BgL_sz00_11107, BEOA); 
BgL_a1z00_13260 = 
PROCEDURE_ENTRY(BgL_a1z00_11102)(BgL_a1z00_11102, BgL_sz00_11107, BEOA); 
BgL_a2z00_13261 = 
PROCEDURE_ENTRY(BgL_a2z00_11103)(BgL_a2z00_11103, BgL_sz00_11107, BEOA); 
if(
PROCEDUREP(BgL_fz00_13259))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11104, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13262;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18522;
BgL_tmpz00_18522 = 
((obj_t)BgL_fz00_13259); 
BgL_ufz00_13262 = 
PROCEDURE_ATTR(BgL_tmpz00_18522); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4774z00_18525;
if(
STRUCTP(BgL_ufz00_13262))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4774z00_18525 = 
(
STRUCT_KEY(BgL_ufz00_13262)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4774z00_18525 = ((bool_t)0)
; } 
if(BgL_test4774z00_18525)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13263; obj_t BgL_runz00_13264; obj_t BgL_sfz00_13265;
BgL_arityz00_13263 = 
STRUCT_REF(BgL_ufz00_13262, 
(int)(((long)0))); 
BgL_runz00_13264 = 
STRUCT_REF(BgL_ufz00_13262, 
(int)(((long)1))); 
BgL_sfz00_13265 = 
STRUCT_REF(BgL_ufz00_13262, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13263)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2101z00_13266;
BgL_arg2101z00_13266 = 
(
(long)CINT(BgL_bpz00_13258)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2101z00_13266,BgL_a1z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2102z00_13267;
BgL_arg2102z00_13267 = 
(
(long)CINT(BgL_bpz00_13258)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2102z00_13267,BgL_a2z00_13261); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13263))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13263)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2104z00_13270; obj_t BgL_arg2105z00_13271;
BgL_arg2104z00_13270 = 
(
(long)CINT(BgL_bpz00_13258)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2106z00_13272;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2107z00_13273;
BgL_arg2107z00_13273 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13261, BNIL); 
BgL_list2106z00_13272 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13260, BgL_arg2107z00_13273); } 
BgL_arg2105z00_13271 = BgL_list2106z00_13272; } 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2104z00_13270,BgL_arg2105z00_13271); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2108z00_13274;
BgL_arg2108z00_13274 = 
(
(long)CINT(BgL_bpz00_13258)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2108z00_13274,BgL_a1z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2109z00_13275; obj_t BgL_arg2110z00_13276;
BgL_arg2109z00_13275 = 
(
(long)CINT(BgL_bpz00_13258)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2111z00_13277;
BgL_list2111z00_13277 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13261, BNIL); 
BgL_arg2110z00_13276 = BgL_list2111z00_13277; } 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2109z00_13275,BgL_arg2110z00_13276); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2112z00_13278;
BgL_arg2112z00_13278 = 
(
(long)CINT(BgL_bpz00_13258)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2112z00_13278,BgL_a1z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2113z00_13279;
BgL_arg2113z00_13279 = 
(
(long)CINT(BgL_bpz00_13258)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2113z00_13279,BgL_a2z00_13261); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2114z00_13280; obj_t BgL_arg2115z00_13281;
BgL_arg2114z00_13280 = 
(
(long)CINT(BgL_bpz00_13258)+((long)2)); 
BgL_arg2115z00_13281 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11107),BgL_arg2114z00_13280,BgL_arg2115z00_13281); } break;
default: 
BgL_case_else1194z00_13268:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2117z00_13269;
BgL_arg2117z00_13269 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13262), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11104, BgL_arg2117z00_13269, 
(int)(((long)2)), 
CINT(BgL_arityz00_13263)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1194z00_13268;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13282;
BgL_z12denvz12_13282 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13282, BgL_locz00_11104); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11107, BgL_bpz00_13258, BgL_sfz00_13265))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13264;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13283;
BgL_nsz00_13283 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2119z00_13284;
BgL_arg2119z00_13284 = 
(
(long)CINT(BgL_bpz00_13258)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13283, ((long)2), BgL_sz00_11107, BgL_bpz00_13258, 
BINT(BgL_arg2119z00_13284)); } 
VECTOR_SET(BgL_nsz00_13283,((long)1),BgL_sz00_11107); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13282, BgL_nsz00_13283); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13285;
BgL_ez00_13285 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13286;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13287;
BgL_arg4072z00_13287 = 
BGL_EXITD_PROTECT(BgL_ez00_13285); 
BgL_arg4071z00_13286 = 
MAKE_YOUNG_PAIR(BgL_sz00_11107, BgL_arg4072z00_13287); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13285, BgL_arg4071z00_13286); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13288;
BgL_____rz00_13288 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13264, BgL_nsz00_13283, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4779z00_18601;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13289;
BgL_arg4070z00_13289 = 
BGL_EXITD_PROTECT(BgL_ez00_13285); 
BgL_test4779z00_18601 = 
PAIRP(BgL_arg4070z00_13289); } 
if(BgL_test4779z00_18601)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13290;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13291;
BgL_arg4069z00_13291 = 
BGL_EXITD_PROTECT(BgL_ez00_13285); 
BgL_arg4068z00_13290 = 
CDR(
((obj_t)BgL_arg4069z00_13291)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13285, BgL_arg4068z00_13290); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13282, BgL_sz00_11107); 
return BgL_____rz00_13288;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13259, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13292;
BgL_nbpz00_13292 = 
(
(long)CINT(BgL_bpz00_13258)+BgL_siza7eza7_11106); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),((long)0),
BINT(BgL_nbpz00_13292)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18617;
BgL_tmpz00_18617 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18617, BgL_locz00_11104); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13293;
BgL_rz00_13293 = 
PROCEDURE_ENTRY(BgL_fz00_13259)(BgL_fz00_13259, BgL_a1z00_13260, BgL_a2z00_13261, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11107),((long)0),BgL_bpz00_13258); 
return BgL_rz00_13293;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11104, BgL_symbzd2funzd2_11105, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13259));} } } } } } } } 

}



/* &<@anonymous:2123> */
obj_t BGl_z62zc3z04anonymousza32123ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11108, obj_t BgL_sz00_11115)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11109; obj_t BgL_a1z00_11110; obj_t BgL_a2z00_11111; obj_t BgL_locz00_11112; obj_t BgL_symbzd2funzd2_11113; long BgL_siza7eza7_11114;
BgL_funz00_11109 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)0))); 
BgL_a1z00_11110 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)1))); 
BgL_a2z00_11111 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)2))); 
BgL_locz00_11112 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11113 = 
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)4))); 
BgL_siza7eza7_11114 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11108, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13294;
BgL_bpz00_13294 = 
VECTOR_REF(
((obj_t)BgL_sz00_11115),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13295; obj_t BgL_a1z00_13296; obj_t BgL_a2z00_13297;
BgL_fz00_13295 = 
PROCEDURE_ENTRY(BgL_funz00_11109)(BgL_funz00_11109, BgL_sz00_11115, BEOA); 
BgL_a1z00_13296 = 
PROCEDURE_ENTRY(BgL_a1z00_11110)(BgL_a1z00_11110, BgL_sz00_11115, BEOA); 
BgL_a2z00_13297 = 
PROCEDURE_ENTRY(BgL_a2z00_11111)(BgL_a2z00_11111, BgL_sz00_11115, BEOA); 
if(
PROCEDUREP(BgL_fz00_13295))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11112, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13295); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13298;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18660;
BgL_tmpz00_18660 = 
((obj_t)BgL_fz00_13295); 
BgL_ufz00_13298 = 
PROCEDURE_ATTR(BgL_tmpz00_18660); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4782z00_18663;
if(
STRUCTP(BgL_ufz00_13298))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4782z00_18663 = 
(
STRUCT_KEY(BgL_ufz00_13298)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4782z00_18663 = ((bool_t)0)
; } 
if(BgL_test4782z00_18663)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13299; obj_t BgL_runz00_13300; obj_t BgL_sfz00_13301;
BgL_arityz00_13299 = 
STRUCT_REF(BgL_ufz00_13298, 
(int)(((long)0))); 
BgL_runz00_13300 = 
STRUCT_REF(BgL_ufz00_13298, 
(int)(((long)1))); 
BgL_sfz00_13301 = 
STRUCT_REF(BgL_ufz00_13298, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13299)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2127z00_13302;
BgL_arg2127z00_13302 = 
(
(long)CINT(BgL_bpz00_13294)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2127z00_13302,BgL_a1z00_13296); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2128z00_13303;
BgL_arg2128z00_13303 = 
(
(long)CINT(BgL_bpz00_13294)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2128z00_13303,BgL_a2z00_13297); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13299))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13299)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2130z00_13306; obj_t BgL_arg2131z00_13307;
BgL_arg2130z00_13306 = 
(
(long)CINT(BgL_bpz00_13294)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2132z00_13308;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2133z00_13309;
BgL_arg2133z00_13309 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13297, BNIL); 
BgL_list2132z00_13308 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13296, BgL_arg2133z00_13309); } 
BgL_arg2131z00_13307 = BgL_list2132z00_13308; } 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2130z00_13306,BgL_arg2131z00_13307); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2134z00_13310;
BgL_arg2134z00_13310 = 
(
(long)CINT(BgL_bpz00_13294)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2134z00_13310,BgL_a1z00_13296); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2135z00_13311; obj_t BgL_arg2136z00_13312;
BgL_arg2135z00_13311 = 
(
(long)CINT(BgL_bpz00_13294)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2137z00_13313;
BgL_list2137z00_13313 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13297, BNIL); 
BgL_arg2136z00_13312 = BgL_list2137z00_13313; } 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2135z00_13311,BgL_arg2136z00_13312); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2138z00_13314;
BgL_arg2138z00_13314 = 
(
(long)CINT(BgL_bpz00_13294)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2138z00_13314,BgL_a1z00_13296); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2139z00_13315;
BgL_arg2139z00_13315 = 
(
(long)CINT(BgL_bpz00_13294)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2139z00_13315,BgL_a2z00_13297); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2140z00_13316; obj_t BgL_arg2141z00_13317;
BgL_arg2140z00_13316 = 
(
(long)CINT(BgL_bpz00_13294)+((long)2)); 
BgL_arg2141z00_13317 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11115),BgL_arg2140z00_13316,BgL_arg2141z00_13317); } break;
default: 
BgL_case_else1196z00_13304:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2143z00_13305;
BgL_arg2143z00_13305 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13298), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11112, BgL_arg2143z00_13305, 
(int)(((long)2)), 
CINT(BgL_arityz00_13299)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1196z00_13304;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13318;
BgL_z12denvz12_13318 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11115, BgL_bpz00_13294, BgL_sfz00_13301))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13300;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13319;
BgL_nsz00_13319 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2145z00_13320;
BgL_arg2145z00_13320 = 
(
(long)CINT(BgL_bpz00_13294)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13319, ((long)2), BgL_sz00_11115, BgL_bpz00_13294, 
BINT(BgL_arg2145z00_13320)); } 
VECTOR_SET(BgL_nsz00_13319,((long)1),BgL_sz00_11115); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13318, BgL_nsz00_13319); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13321;
BgL_ez00_13321 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13322;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13323;
BgL_arg4072z00_13323 = 
BGL_EXITD_PROTECT(BgL_ez00_13321); 
BgL_arg4071z00_13322 = 
MAKE_YOUNG_PAIR(BgL_sz00_11115, BgL_arg4072z00_13323); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13321, BgL_arg4071z00_13322); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13324;
BgL_____rz00_13324 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13300, BgL_nsz00_13319, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4787z00_18738;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13325;
BgL_arg4070z00_13325 = 
BGL_EXITD_PROTECT(BgL_ez00_13321); 
BgL_test4787z00_18738 = 
PAIRP(BgL_arg4070z00_13325); } 
if(BgL_test4787z00_18738)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13326;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13327;
BgL_arg4069z00_13327 = 
BGL_EXITD_PROTECT(BgL_ez00_13321); 
BgL_arg4068z00_13326 = 
CDR(
((obj_t)BgL_arg4069z00_13327)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13321, BgL_arg4068z00_13326); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13318, BgL_sz00_11115); 
return BgL_____rz00_13324;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13295, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13328;
BgL_nbpz00_13328 = 
(
(long)CINT(BgL_bpz00_13294)+BgL_siza7eza7_11114); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),((long)0),
BINT(BgL_nbpz00_13328)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13329;
BgL_rz00_13329 = 
PROCEDURE_ENTRY(BgL_fz00_13295)(BgL_fz00_13295, BgL_a1z00_13296, BgL_a2z00_13297, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11115),((long)0),BgL_bpz00_13294); 
return BgL_rz00_13329;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11112, BgL_symbzd2funzd2_11113, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13295));} } } } } } } } 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11116, obj_t BgL_sz00_11123)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11117; obj_t BgL_a1z00_11118; obj_t BgL_a2z00_11119; obj_t BgL_locz00_11120; obj_t BgL_symbzd2funzd2_11121; long BgL_siza7eza7_11122;
BgL_funz00_11117 = 
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)0))); 
BgL_a1z00_11118 = 
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)1))); 
BgL_a2z00_11119 = 
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)2))); 
BgL_locz00_11120 = 
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11121 = 
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)4))); 
BgL_siza7eza7_11122 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11116, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13330;
BgL_bpz00_13330 = 
VECTOR_REF(
((obj_t)BgL_sz00_11123),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13331; obj_t BgL_a1z00_13332; obj_t BgL_a2z00_13333;
BgL_fz00_13331 = 
PROCEDURE_ENTRY(BgL_funz00_11117)(BgL_funz00_11117, BgL_sz00_11123, BEOA); 
BgL_a1z00_13332 = 
PROCEDURE_ENTRY(BgL_a1z00_11118)(BgL_a1z00_11118, BgL_sz00_11123, BEOA); 
BgL_a2z00_13333 = 
PROCEDURE_ENTRY(BgL_a2z00_11119)(BgL_a2z00_11119, BgL_sz00_11123, BEOA); 
if(
PROCEDUREP(BgL_fz00_13331))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11120, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13331); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13334;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18794;
BgL_tmpz00_18794 = 
((obj_t)BgL_fz00_13331); 
BgL_ufz00_13334 = 
PROCEDURE_ATTR(BgL_tmpz00_18794); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4790z00_18797;
if(
STRUCTP(BgL_ufz00_13334))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4790z00_18797 = 
(
STRUCT_KEY(BgL_ufz00_13334)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4790z00_18797 = ((bool_t)0)
; } 
if(BgL_test4790z00_18797)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13335; obj_t BgL_runz00_13336; obj_t BgL_sfz00_13337;
BgL_arityz00_13335 = 
STRUCT_REF(BgL_ufz00_13334, 
(int)(((long)0))); 
BgL_runz00_13336 = 
STRUCT_REF(BgL_ufz00_13334, 
(int)(((long)1))); 
BgL_sfz00_13337 = 
STRUCT_REF(BgL_ufz00_13334, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13338;
BgL_spz00_13338 = 
(
(long)CINT(BgL_bpz00_13330)+BgL_siza7eza7_11122); 
if(
(
(long)CINT(BgL_arityz00_13335)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2155z00_13339;
BgL_arg2155z00_13339 = 
(BgL_spz00_13338+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2155z00_13339,BgL_a1z00_13332); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2156z00_13340;
BgL_arg2156z00_13340 = 
(BgL_spz00_13338+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2156z00_13340,BgL_a2z00_13333); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13335))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13335)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2158z00_13343; obj_t BgL_arg2159z00_13344;
BgL_arg2158z00_13343 = 
(BgL_spz00_13338+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2160z00_13345;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2161z00_13346;
BgL_arg2161z00_13346 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13333, BNIL); 
BgL_list2160z00_13345 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13332, BgL_arg2161z00_13346); } 
BgL_arg2159z00_13344 = BgL_list2160z00_13345; } 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2158z00_13343,BgL_arg2159z00_13344); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2162z00_13347;
BgL_arg2162z00_13347 = 
(BgL_spz00_13338+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2162z00_13347,BgL_a1z00_13332); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2163z00_13348; obj_t BgL_arg2164z00_13349;
BgL_arg2163z00_13348 = 
(BgL_spz00_13338+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2165z00_13350;
BgL_list2165z00_13350 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13333, BNIL); 
BgL_arg2164z00_13349 = BgL_list2165z00_13350; } 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2163z00_13348,BgL_arg2164z00_13349); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2166z00_13351;
BgL_arg2166z00_13351 = 
(BgL_spz00_13338+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2166z00_13351,BgL_a1z00_13332); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2167z00_13352;
BgL_arg2167z00_13352 = 
(BgL_spz00_13338+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2167z00_13352,BgL_a2z00_13333); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2168z00_13353; obj_t BgL_arg2169z00_13354;
BgL_arg2168z00_13353 = 
(BgL_spz00_13338+((long)2)); 
BgL_arg2169z00_13354 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11123),BgL_arg2168z00_13353,BgL_arg2169z00_13354); } break;
default: 
BgL_case_else1198z00_13341:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2171z00_13342;
BgL_arg2171z00_13342 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13334), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11120, BgL_arg2171z00_13342, 
(int)(((long)2)), 
CINT(BgL_arityz00_13335)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1198z00_13341;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13355;
BgL_z12denvz12_13355 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13355, BgL_locz00_11120); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11123, 
BINT(BgL_spz00_13338), BgL_sfz00_13337))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13336, BgL_sz00_11123, 
BINT(BgL_spz00_13338));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13356;
BgL_nsz00_13356 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2173z00_13357;
BgL_arg2173z00_13357 = 
(BgL_spz00_13338+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13356, ((long)2), BgL_sz00_11123, 
BINT(BgL_spz00_13338), 
BINT(BgL_arg2173z00_13357)); } 
VECTOR_SET(BgL_nsz00_13356,((long)1),BgL_sz00_11123); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13355, BgL_nsz00_13356); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13358;
BgL_ez00_13358 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13359;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13360;
BgL_arg4072z00_13360 = 
BGL_EXITD_PROTECT(BgL_ez00_13358); 
BgL_arg4071z00_13359 = 
MAKE_YOUNG_PAIR(BgL_sz00_11123, BgL_arg4072z00_13360); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13358, BgL_arg4071z00_13359); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13361;
BgL_____rz00_13361 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13336, BgL_nsz00_13356, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4795z00_18870;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13362;
BgL_arg4070z00_13362 = 
BGL_EXITD_PROTECT(BgL_ez00_13358); 
BgL_test4795z00_18870 = 
PAIRP(BgL_arg4070z00_13362); } 
if(BgL_test4795z00_18870)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13363;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13364;
BgL_arg4069z00_13364 = 
BGL_EXITD_PROTECT(BgL_ez00_13358); 
BgL_arg4068z00_13363 = 
CDR(
((obj_t)BgL_arg4069z00_13364)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13358, BgL_arg4068z00_13363); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13355, BgL_sz00_11123); 
return BgL_____rz00_13361;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13331, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13365;
BgL_nbpz00_13365 = 
(
(long)CINT(BgL_bpz00_13330)+BgL_siza7eza7_11122); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),((long)0),
BINT(BgL_nbpz00_13365)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18886;
BgL_tmpz00_18886 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18886, BgL_locz00_11120); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13366;
BgL_rz00_13366 = 
PROCEDURE_ENTRY(BgL_fz00_13331)(BgL_fz00_13331, BgL_a1z00_13332, BgL_a2z00_13333, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11123),((long)0),BgL_bpz00_13330); 
return BgL_rz00_13366;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11120, BgL_symbzd2funzd2_11121, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13331));} } } } } } } } 

}



/* &<@anonymous:2177> */
obj_t BGl_z62zc3z04anonymousza32177ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11124, obj_t BgL_sz00_11131)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11125; obj_t BgL_a1z00_11126; obj_t BgL_a2z00_11127; obj_t BgL_locz00_11128; obj_t BgL_symbzd2funzd2_11129; long BgL_siza7eza7_11130;
BgL_funz00_11125 = 
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)0))); 
BgL_a1z00_11126 = 
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)1))); 
BgL_a2z00_11127 = 
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)2))); 
BgL_locz00_11128 = 
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)3))); 
BgL_symbzd2funzd2_11129 = 
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)4))); 
BgL_siza7eza7_11130 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11124, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13367;
BgL_bpz00_13367 = 
VECTOR_REF(
((obj_t)BgL_sz00_11131),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13368; obj_t BgL_a1z00_13369; obj_t BgL_a2z00_13370;
BgL_fz00_13368 = 
PROCEDURE_ENTRY(BgL_funz00_11125)(BgL_funz00_11125, BgL_sz00_11131, BEOA); 
BgL_a1z00_13369 = 
PROCEDURE_ENTRY(BgL_a1z00_11126)(BgL_a1z00_11126, BgL_sz00_11131, BEOA); 
BgL_a2z00_13370 = 
PROCEDURE_ENTRY(BgL_a2z00_11127)(BgL_a2z00_11127, BgL_sz00_11131, BEOA); 
if(
PROCEDUREP(BgL_fz00_13368))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11128, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13368); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13371;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_18929;
BgL_tmpz00_18929 = 
((obj_t)BgL_fz00_13368); 
BgL_ufz00_13371 = 
PROCEDURE_ATTR(BgL_tmpz00_18929); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4798z00_18932;
if(
STRUCTP(BgL_ufz00_13371))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4798z00_18932 = 
(
STRUCT_KEY(BgL_ufz00_13371)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4798z00_18932 = ((bool_t)0)
; } 
if(BgL_test4798z00_18932)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13372; obj_t BgL_runz00_13373; obj_t BgL_sfz00_13374;
BgL_arityz00_13372 = 
STRUCT_REF(BgL_ufz00_13371, 
(int)(((long)0))); 
BgL_runz00_13373 = 
STRUCT_REF(BgL_ufz00_13371, 
(int)(((long)1))); 
BgL_sfz00_13374 = 
STRUCT_REF(BgL_ufz00_13371, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13375;
BgL_spz00_13375 = 
(
(long)CINT(BgL_bpz00_13367)+BgL_siza7eza7_11130); 
if(
(
(long)CINT(BgL_arityz00_13372)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2181z00_13376;
BgL_arg2181z00_13376 = 
(BgL_spz00_13375+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2181z00_13376,BgL_a1z00_13369); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2182z00_13377;
BgL_arg2182z00_13377 = 
(BgL_spz00_13375+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2182z00_13377,BgL_a2z00_13370); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13372))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13372)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2184z00_13380; obj_t BgL_arg2185z00_13381;
BgL_arg2184z00_13380 = 
(BgL_spz00_13375+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2186z00_13382;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2187z00_13383;
BgL_arg2187z00_13383 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13370, BNIL); 
BgL_list2186z00_13382 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13369, BgL_arg2187z00_13383); } 
BgL_arg2185z00_13381 = BgL_list2186z00_13382; } 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2184z00_13380,BgL_arg2185z00_13381); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2188z00_13384;
BgL_arg2188z00_13384 = 
(BgL_spz00_13375+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2188z00_13384,BgL_a1z00_13369); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2189z00_13385; obj_t BgL_arg2190z00_13386;
BgL_arg2189z00_13385 = 
(BgL_spz00_13375+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2191z00_13387;
BgL_list2191z00_13387 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13370, BNIL); 
BgL_arg2190z00_13386 = BgL_list2191z00_13387; } 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2189z00_13385,BgL_arg2190z00_13386); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2192z00_13388;
BgL_arg2192z00_13388 = 
(BgL_spz00_13375+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2192z00_13388,BgL_a1z00_13369); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2193z00_13389;
BgL_arg2193z00_13389 = 
(BgL_spz00_13375+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2193z00_13389,BgL_a2z00_13370); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2194z00_13390; obj_t BgL_arg2196z00_13391;
BgL_arg2194z00_13390 = 
(BgL_spz00_13375+((long)2)); 
BgL_arg2196z00_13391 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11131),BgL_arg2194z00_13390,BgL_arg2196z00_13391); } break;
default: 
BgL_case_else1200z00_13378:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2198z00_13379;
BgL_arg2198z00_13379 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13371), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11128, BgL_arg2198z00_13379, 
(int)(((long)2)), 
CINT(BgL_arityz00_13372)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1200z00_13378;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13392;
BgL_z12denvz12_13392 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11131, 
BINT(BgL_spz00_13375), BgL_sfz00_13374))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13373, BgL_sz00_11131, 
BINT(BgL_spz00_13375));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13393;
BgL_nsz00_13393 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2200z00_13394;
BgL_arg2200z00_13394 = 
(BgL_spz00_13375+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13393, ((long)2), BgL_sz00_11131, 
BINT(BgL_spz00_13375), 
BINT(BgL_arg2200z00_13394)); } 
VECTOR_SET(BgL_nsz00_13393,((long)1),BgL_sz00_11131); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13392, BgL_nsz00_13393); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13395;
BgL_ez00_13395 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13396;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13397;
BgL_arg4072z00_13397 = 
BGL_EXITD_PROTECT(BgL_ez00_13395); 
BgL_arg4071z00_13396 = 
MAKE_YOUNG_PAIR(BgL_sz00_11131, BgL_arg4072z00_13397); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13395, BgL_arg4071z00_13396); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13398;
BgL_____rz00_13398 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13373, BgL_nsz00_13393, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4803z00_19004;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13399;
BgL_arg4070z00_13399 = 
BGL_EXITD_PROTECT(BgL_ez00_13395); 
BgL_test4803z00_19004 = 
PAIRP(BgL_arg4070z00_13399); } 
if(BgL_test4803z00_19004)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13400;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13401;
BgL_arg4069z00_13401 = 
BGL_EXITD_PROTECT(BgL_ez00_13395); 
BgL_arg4068z00_13400 = 
CDR(
((obj_t)BgL_arg4069z00_13401)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13395, BgL_arg4068z00_13400); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13392, BgL_sz00_11131); 
return BgL_____rz00_13398;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13368, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13402;
BgL_nbpz00_13402 = 
(
(long)CINT(BgL_bpz00_13367)+BgL_siza7eza7_11130); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),((long)0),
BINT(BgL_nbpz00_13402)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13403;
BgL_rz00_13403 = 
PROCEDURE_ENTRY(BgL_fz00_13368)(BgL_fz00_13368, BgL_a1z00_13369, BgL_a2z00_13370, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11131),((long)0),BgL_bpz00_13367); 
return BgL_rz00_13403;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11128, BgL_symbzd2funzd2_11129, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_13368));} } } } } } } } 

}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2535;
BgL_cfunz00_2535 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2535))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4806z00_19033;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2209z00_2555;
BgL_arg2209z00_2555 = 
bgl_debug(); 
BgL_test4806z00_19033 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2209z00_2555), 
BINT(((long)0))); } 
if(BgL_test4806z00_19033)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32206ze3z87_11132;
BgL_zc3z04anonymousza32206ze3z87_11132 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32206ze3z87_11132, 
(int)(((long)5)), BgL_cfunz00_2535); 
return BgL_zc3z04anonymousza32206ze3z87_11132;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32208ze3z87_11133;
BgL_zc3z04anonymousza32208ze3z87_11133 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11133, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11133, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11133, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11133, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32208ze3z87_11133, 
(int)(((long)4)), BgL_cfunz00_2535); 
return BgL_zc3z04anonymousza32208ze3z87_11133;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4808z00_19070;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2281z00_2667;
BgL_arg2281z00_2667 = 
bgl_debug(); 
BgL_test4808z00_19070 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2281z00_2667), 
BINT(((long)0))); } 
if(BgL_test4808z00_19070)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32212ze3z87_11134;
BgL_zc3z04anonymousza32212ze3z87_11134 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32212ze3z87_11134, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32212ze3z87_11134;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32247ze3z87_11135;
BgL_zc3z04anonymousza32247ze3z87_11135 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32247ze3z87_11135, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32247ze3z87_11135;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4809z00_19111;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2353z00_2779;
BgL_arg2353z00_2779 = 
bgl_debug(); 
BgL_test4809z00_19111 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2353z00_2779), 
BINT(((long)0))); } 
if(BgL_test4809z00_19111)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32284ze3z87_11136;
BgL_zc3z04anonymousza32284ze3z87_11136 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32284ze3z87_11136, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32284ze3z87_11136;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32319ze3z87_11137;
BgL_zc3z04anonymousza32319ze3z87_11137 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32319ze3z87_11137, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32319ze3z87_11137;} } } } } 

}



/* &<@anonymous:2206> */
obj_t BGl_z62zc3z04anonymousza32206ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11138, obj_t BgL_sz00_11145)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11139; obj_t BgL_a2z00_11140; obj_t BgL_a3z00_11141; long BgL_siza7eza7_11142; obj_t BgL_locz00_11143; obj_t BgL_cfunz00_11144;
BgL_a1z00_11139 = 
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)0))); 
BgL_a2z00_11140 = 
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)1))); 
BgL_a3z00_11141 = 
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)2))); 
BgL_siza7eza7_11142 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)3)))); 
BgL_locz00_11143 = 
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)4))); 
BgL_cfunz00_11144 = 
PROCEDURE_REF(BgL_envz00_11138, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13404;
BgL_bpz00_13404 = 
VECTOR_REF(
((obj_t)BgL_sz00_11145),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13405; obj_t BgL_a2z00_13406; obj_t BgL_a3z00_13407;
BgL_a1z00_13405 = 
PROCEDURE_ENTRY(BgL_a1z00_11139)(BgL_a1z00_11139, BgL_sz00_11145, BEOA); 
BgL_a2z00_13406 = 
PROCEDURE_ENTRY(BgL_a2z00_11140)(BgL_a2z00_11140, BgL_sz00_11145, BEOA); 
BgL_a3z00_13407 = 
PROCEDURE_ENTRY(BgL_a3z00_11141)(BgL_a3z00_11141, BgL_sz00_11145, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13408;
BgL_nbpz00_13408 = 
(
(long)CINT(BgL_bpz00_13404)+BgL_siza7eza7_11142); 
VECTOR_SET(
((obj_t)BgL_sz00_11145),((long)0),
BINT(BgL_nbpz00_13408)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19184;
BgL_tmpz00_19184 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19184, BgL_locz00_11143); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13409;
BgL_rz00_13409 = 
PROCEDURE_ENTRY(BgL_cfunz00_11144)(BgL_cfunz00_11144, BgL_a1z00_13405, BgL_a2z00_13406, BgL_a3z00_13407, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11145),((long)0),BgL_bpz00_13404); 
return BgL_rz00_13409;} } } } } } 

}



/* &<@anonymous:2208> */
obj_t BGl_z62zc3z04anonymousza32208ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11146, obj_t BgL_sz00_11152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11147; obj_t BgL_a2z00_11148; obj_t BgL_a3z00_11149; long BgL_siza7eza7_11150; obj_t BgL_cfunz00_11151;
BgL_a1z00_11147 = 
PROCEDURE_REF(BgL_envz00_11146, 
(int)(((long)0))); 
BgL_a2z00_11148 = 
PROCEDURE_REF(BgL_envz00_11146, 
(int)(((long)1))); 
BgL_a3z00_11149 = 
PROCEDURE_REF(BgL_envz00_11146, 
(int)(((long)2))); 
BgL_siza7eza7_11150 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11146, 
(int)(((long)3)))); 
BgL_cfunz00_11151 = 
PROCEDURE_REF(BgL_envz00_11146, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13410;
BgL_bpz00_13410 = 
VECTOR_REF(
((obj_t)BgL_sz00_11152),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13411; obj_t BgL_a2z00_13412; obj_t BgL_a3z00_13413;
BgL_a1z00_13411 = 
PROCEDURE_ENTRY(BgL_a1z00_11147)(BgL_a1z00_11147, BgL_sz00_11152, BEOA); 
BgL_a2z00_13412 = 
PROCEDURE_ENTRY(BgL_a2z00_11148)(BgL_a2z00_11148, BgL_sz00_11152, BEOA); 
BgL_a3z00_13413 = 
PROCEDURE_ENTRY(BgL_a3z00_11149)(BgL_a3z00_11149, BgL_sz00_11152, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13414;
BgL_nbpz00_13414 = 
(
(long)CINT(BgL_bpz00_13410)+BgL_siza7eza7_11150); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),((long)0),
BINT(BgL_nbpz00_13414)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13415;
BgL_rz00_13415 = 
PROCEDURE_ENTRY(BgL_cfunz00_11151)(BgL_cfunz00_11151, BgL_a1z00_13411, BgL_a2z00_13412, BgL_a3z00_13413, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11152),((long)0),BgL_bpz00_13410); 
return BgL_rz00_13415;} } } } } } 

}



/* &<@anonymous:2212> */
obj_t BGl_z62zc3z04anonymousza32212ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11153, obj_t BgL_sz00_11161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11154; obj_t BgL_a1z00_11155; obj_t BgL_a2z00_11156; obj_t BgL_a3z00_11157; obj_t BgL_locz00_11158; obj_t BgL_symbzd2funzd2_11159; long BgL_siza7eza7_11160;
BgL_funz00_11154 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)0))); 
BgL_a1z00_11155 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)1))); 
BgL_a2z00_11156 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)2))); 
BgL_a3z00_11157 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)3))); 
BgL_locz00_11158 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11159 = 
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)5))); 
BgL_siza7eza7_11160 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11153, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13416;
BgL_bpz00_13416 = 
VECTOR_REF(
((obj_t)BgL_sz00_11161),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13417; obj_t BgL_a1z00_13418; obj_t BgL_a2z00_13419; obj_t BgL_a3z00_13420;
BgL_fz00_13417 = 
PROCEDURE_ENTRY(BgL_funz00_11154)(BgL_funz00_11154, BgL_sz00_11161, BEOA); 
BgL_a1z00_13418 = 
PROCEDURE_ENTRY(BgL_a1z00_11155)(BgL_a1z00_11155, BgL_sz00_11161, BEOA); 
BgL_a2z00_13419 = 
PROCEDURE_ENTRY(BgL_a2z00_11156)(BgL_a2z00_11156, BgL_sz00_11161, BEOA); 
BgL_a3z00_13420 = 
PROCEDURE_ENTRY(BgL_a3z00_11157)(BgL_a3z00_11157, BgL_sz00_11161, BEOA); 
if(
PROCEDUREP(BgL_fz00_13417))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11158, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13417); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13421;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19269;
BgL_tmpz00_19269 = 
((obj_t)BgL_fz00_13417); 
BgL_ufz00_13421 = 
PROCEDURE_ATTR(BgL_tmpz00_19269); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4811z00_19272;
if(
STRUCTP(BgL_ufz00_13421))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4811z00_19272 = 
(
STRUCT_KEY(BgL_ufz00_13421)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4811z00_19272 = ((bool_t)0)
; } 
if(BgL_test4811z00_19272)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13422; obj_t BgL_runz00_13423; obj_t BgL_sfz00_13424;
BgL_arityz00_13422 = 
STRUCT_REF(BgL_ufz00_13421, 
(int)(((long)0))); 
BgL_runz00_13423 = 
STRUCT_REF(BgL_ufz00_13421, 
(int)(((long)1))); 
BgL_sfz00_13424 = 
STRUCT_REF(BgL_ufz00_13421, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13422)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2216z00_13425;
BgL_arg2216z00_13425 = 
(
(long)CINT(BgL_bpz00_13416)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2216z00_13425,BgL_a1z00_13418); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2217z00_13426;
BgL_arg2217z00_13426 = 
(
(long)CINT(BgL_bpz00_13416)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2217z00_13426,BgL_a2z00_13419); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2218z00_13427;
BgL_arg2218z00_13427 = 
(
(long)CINT(BgL_bpz00_13416)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2218z00_13427,BgL_a3z00_13420); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13422))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13422)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2220z00_13430; obj_t BgL_arg2221z00_13431;
BgL_arg2220z00_13430 = 
(
(long)CINT(BgL_bpz00_13416)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2222z00_13432;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2223z00_13433;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2224z00_13434;
BgL_arg2224z00_13434 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13420, BNIL); 
BgL_arg2223z00_13433 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13419, BgL_arg2224z00_13434); } 
BgL_list2222z00_13432 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13418, BgL_arg2223z00_13433); } 
BgL_arg2221z00_13431 = BgL_list2222z00_13432; } 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2220z00_13430,BgL_arg2221z00_13431); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2225z00_13435;
BgL_arg2225z00_13435 = 
(
(long)CINT(BgL_bpz00_13416)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2225z00_13435,BgL_a1z00_13418); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2226z00_13436; obj_t BgL_arg2227z00_13437;
BgL_arg2226z00_13436 = 
(
(long)CINT(BgL_bpz00_13416)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2228z00_13438;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2229z00_13439;
BgL_arg2229z00_13439 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13420, BNIL); 
BgL_list2228z00_13438 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13419, BgL_arg2229z00_13439); } 
BgL_arg2227z00_13437 = BgL_list2228z00_13438; } 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2226z00_13436,BgL_arg2227z00_13437); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2230z00_13440;
BgL_arg2230z00_13440 = 
(
(long)CINT(BgL_bpz00_13416)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2230z00_13440,BgL_a1z00_13418); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2231z00_13441;
BgL_arg2231z00_13441 = 
(
(long)CINT(BgL_bpz00_13416)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2231z00_13441,BgL_a2z00_13419); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2232z00_13442; obj_t BgL_arg2233z00_13443;
BgL_arg2232z00_13442 = 
(
(long)CINT(BgL_bpz00_13416)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2234z00_13444;
BgL_list2234z00_13444 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13420, BNIL); 
BgL_arg2233z00_13443 = BgL_list2234z00_13444; } 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2232z00_13442,BgL_arg2233z00_13443); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2235z00_13445;
BgL_arg2235z00_13445 = 
(
(long)CINT(BgL_bpz00_13416)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2235z00_13445,BgL_a1z00_13418); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2236z00_13446;
BgL_arg2236z00_13446 = 
(
(long)CINT(BgL_bpz00_13416)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2236z00_13446,BgL_a2z00_13419); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2237z00_13447;
BgL_arg2237z00_13447 = 
(
(long)CINT(BgL_bpz00_13416)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2237z00_13447,BgL_a3z00_13420); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2238z00_13448; obj_t BgL_arg2239z00_13449;
BgL_arg2238z00_13448 = 
(
(long)CINT(BgL_bpz00_13416)+((long)3)); 
BgL_arg2239z00_13449 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11161),BgL_arg2238z00_13448,BgL_arg2239z00_13449); } break;
default: 
BgL_case_else1202z00_13428:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2241z00_13429;
BgL_arg2241z00_13429 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13421), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11158, BgL_arg2241z00_13429, 
(int)(((long)3)), 
CINT(BgL_arityz00_13422)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1202z00_13428;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13450;
BgL_z12denvz12_13450 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13450, BgL_locz00_11158); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11161, BgL_bpz00_13416, BgL_sfz00_13424))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13423;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13451;
BgL_nsz00_13451 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2243z00_13452;
BgL_arg2243z00_13452 = 
(
(long)CINT(BgL_bpz00_13416)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13451, ((long)2), BgL_sz00_11161, BgL_bpz00_13416, 
BINT(BgL_arg2243z00_13452)); } 
VECTOR_SET(BgL_nsz00_13451,((long)1),BgL_sz00_11161); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13450, BgL_nsz00_13451); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13453;
BgL_ez00_13453 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13454;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13455;
BgL_arg4072z00_13455 = 
BGL_EXITD_PROTECT(BgL_ez00_13453); 
BgL_arg4071z00_13454 = 
MAKE_YOUNG_PAIR(BgL_sz00_11161, BgL_arg4072z00_13455); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13453, BgL_arg4071z00_13454); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13456;
BgL_____rz00_13456 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13423, BgL_nsz00_13451, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4816z00_19371;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13457;
BgL_arg4070z00_13457 = 
BGL_EXITD_PROTECT(BgL_ez00_13453); 
BgL_test4816z00_19371 = 
PAIRP(BgL_arg4070z00_13457); } 
if(BgL_test4816z00_19371)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13458;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13459;
BgL_arg4069z00_13459 = 
BGL_EXITD_PROTECT(BgL_ez00_13453); 
BgL_arg4068z00_13458 = 
CDR(
((obj_t)BgL_arg4069z00_13459)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13453, BgL_arg4068z00_13458); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13450, BgL_sz00_11161); 
return BgL_____rz00_13456;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13417, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13460;
BgL_nbpz00_13460 = 
(
(long)CINT(BgL_bpz00_13416)+BgL_siza7eza7_11160); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),((long)0),
BINT(BgL_nbpz00_13460)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19387;
BgL_tmpz00_19387 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19387, BgL_locz00_11158); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13461;
BgL_rz00_13461 = 
PROCEDURE_ENTRY(BgL_fz00_13417)(BgL_fz00_13417, BgL_a1z00_13418, BgL_a2z00_13419, BgL_a3z00_13420, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11161),((long)0),BgL_bpz00_13416); 
return BgL_rz00_13461;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11158, BgL_symbzd2funzd2_11159, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13417));} } } } } } } } 

}



/* &<@anonymous:2247> */
obj_t BGl_z62zc3z04anonymousza32247ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11162, obj_t BgL_sz00_11170)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11163; obj_t BgL_a1z00_11164; obj_t BgL_a2z00_11165; obj_t BgL_a3z00_11166; obj_t BgL_locz00_11167; obj_t BgL_symbzd2funzd2_11168; long BgL_siza7eza7_11169;
BgL_funz00_11163 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)0))); 
BgL_a1z00_11164 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)1))); 
BgL_a2z00_11165 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)2))); 
BgL_a3z00_11166 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)3))); 
BgL_locz00_11167 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11168 = 
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)5))); 
BgL_siza7eza7_11169 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11162, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13462;
BgL_bpz00_13462 = 
VECTOR_REF(
((obj_t)BgL_sz00_11170),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13463; obj_t BgL_a1z00_13464; obj_t BgL_a2z00_13465; obj_t BgL_a3z00_13466;
BgL_fz00_13463 = 
PROCEDURE_ENTRY(BgL_funz00_11163)(BgL_funz00_11163, BgL_sz00_11170, BEOA); 
BgL_a1z00_13464 = 
PROCEDURE_ENTRY(BgL_a1z00_11164)(BgL_a1z00_11164, BgL_sz00_11170, BEOA); 
BgL_a2z00_13465 = 
PROCEDURE_ENTRY(BgL_a2z00_11165)(BgL_a2z00_11165, BgL_sz00_11170, BEOA); 
BgL_a3z00_13466 = 
PROCEDURE_ENTRY(BgL_a3z00_11166)(BgL_a3z00_11166, BgL_sz00_11170, BEOA); 
if(
PROCEDUREP(BgL_fz00_13463))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11167, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13463); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13467;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19437;
BgL_tmpz00_19437 = 
((obj_t)BgL_fz00_13463); 
BgL_ufz00_13467 = 
PROCEDURE_ATTR(BgL_tmpz00_19437); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4819z00_19440;
if(
STRUCTP(BgL_ufz00_13467))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4819z00_19440 = 
(
STRUCT_KEY(BgL_ufz00_13467)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4819z00_19440 = ((bool_t)0)
; } 
if(BgL_test4819z00_19440)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13468; obj_t BgL_runz00_13469; obj_t BgL_sfz00_13470;
BgL_arityz00_13468 = 
STRUCT_REF(BgL_ufz00_13467, 
(int)(((long)0))); 
BgL_runz00_13469 = 
STRUCT_REF(BgL_ufz00_13467, 
(int)(((long)1))); 
BgL_sfz00_13470 = 
STRUCT_REF(BgL_ufz00_13467, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13468)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2251z00_13471;
BgL_arg2251z00_13471 = 
(
(long)CINT(BgL_bpz00_13462)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2251z00_13471,BgL_a1z00_13464); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2252z00_13472;
BgL_arg2252z00_13472 = 
(
(long)CINT(BgL_bpz00_13462)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2252z00_13472,BgL_a2z00_13465); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2253z00_13473;
BgL_arg2253z00_13473 = 
(
(long)CINT(BgL_bpz00_13462)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2253z00_13473,BgL_a3z00_13466); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13468))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13468)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2255z00_13476; obj_t BgL_arg2256z00_13477;
BgL_arg2255z00_13476 = 
(
(long)CINT(BgL_bpz00_13462)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2257z00_13478;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2258z00_13479;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2259z00_13480;
BgL_arg2259z00_13480 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13466, BNIL); 
BgL_arg2258z00_13479 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13465, BgL_arg2259z00_13480); } 
BgL_list2257z00_13478 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13464, BgL_arg2258z00_13479); } 
BgL_arg2256z00_13477 = BgL_list2257z00_13478; } 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2255z00_13476,BgL_arg2256z00_13477); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2260z00_13481;
BgL_arg2260z00_13481 = 
(
(long)CINT(BgL_bpz00_13462)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2260z00_13481,BgL_a1z00_13464); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2261z00_13482; obj_t BgL_arg2262z00_13483;
BgL_arg2261z00_13482 = 
(
(long)CINT(BgL_bpz00_13462)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2263z00_13484;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2264z00_13485;
BgL_arg2264z00_13485 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13466, BNIL); 
BgL_list2263z00_13484 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13465, BgL_arg2264z00_13485); } 
BgL_arg2262z00_13483 = BgL_list2263z00_13484; } 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2261z00_13482,BgL_arg2262z00_13483); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2265z00_13486;
BgL_arg2265z00_13486 = 
(
(long)CINT(BgL_bpz00_13462)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2265z00_13486,BgL_a1z00_13464); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2266z00_13487;
BgL_arg2266z00_13487 = 
(
(long)CINT(BgL_bpz00_13462)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2266z00_13487,BgL_a2z00_13465); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2267z00_13488; obj_t BgL_arg2268z00_13489;
BgL_arg2267z00_13488 = 
(
(long)CINT(BgL_bpz00_13462)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2269z00_13490;
BgL_list2269z00_13490 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13466, BNIL); 
BgL_arg2268z00_13489 = BgL_list2269z00_13490; } 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2267z00_13488,BgL_arg2268z00_13489); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2270z00_13491;
BgL_arg2270z00_13491 = 
(
(long)CINT(BgL_bpz00_13462)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2270z00_13491,BgL_a1z00_13464); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2271z00_13492;
BgL_arg2271z00_13492 = 
(
(long)CINT(BgL_bpz00_13462)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2271z00_13492,BgL_a2z00_13465); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2272z00_13493;
BgL_arg2272z00_13493 = 
(
(long)CINT(BgL_bpz00_13462)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2272z00_13493,BgL_a3z00_13466); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2273z00_13494; obj_t BgL_arg2274z00_13495;
BgL_arg2273z00_13494 = 
(
(long)CINT(BgL_bpz00_13462)+((long)3)); 
BgL_arg2274z00_13495 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11170),BgL_arg2273z00_13494,BgL_arg2274z00_13495); } break;
default: 
BgL_case_else1204z00_13474:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2276z00_13475;
BgL_arg2276z00_13475 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13467), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11167, BgL_arg2276z00_13475, 
(int)(((long)3)), 
CINT(BgL_arityz00_13468)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1204z00_13474;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13496;
BgL_z12denvz12_13496 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11170, BgL_bpz00_13462, BgL_sfz00_13470))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13469;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13497;
BgL_nsz00_13497 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2278z00_13498;
BgL_arg2278z00_13498 = 
(
(long)CINT(BgL_bpz00_13462)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13497, ((long)2), BgL_sz00_11170, BgL_bpz00_13462, 
BINT(BgL_arg2278z00_13498)); } 
VECTOR_SET(BgL_nsz00_13497,((long)1),BgL_sz00_11170); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13496, BgL_nsz00_13497); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13499;
BgL_ez00_13499 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13500;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13501;
BgL_arg4072z00_13501 = 
BGL_EXITD_PROTECT(BgL_ez00_13499); 
BgL_arg4071z00_13500 = 
MAKE_YOUNG_PAIR(BgL_sz00_11170, BgL_arg4072z00_13501); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13499, BgL_arg4071z00_13500); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13502;
BgL_____rz00_13502 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13469, BgL_nsz00_13497, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4824z00_19538;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13503;
BgL_arg4070z00_13503 = 
BGL_EXITD_PROTECT(BgL_ez00_13499); 
BgL_test4824z00_19538 = 
PAIRP(BgL_arg4070z00_13503); } 
if(BgL_test4824z00_19538)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13504;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13505;
BgL_arg4069z00_13505 = 
BGL_EXITD_PROTECT(BgL_ez00_13499); 
BgL_arg4068z00_13504 = 
CDR(
((obj_t)BgL_arg4069z00_13505)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13499, BgL_arg4068z00_13504); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13496, BgL_sz00_11170); 
return BgL_____rz00_13502;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13463, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13506;
BgL_nbpz00_13506 = 
(
(long)CINT(BgL_bpz00_13462)+BgL_siza7eza7_11169); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),((long)0),
BINT(BgL_nbpz00_13506)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13507;
BgL_rz00_13507 = 
PROCEDURE_ENTRY(BgL_fz00_13463)(BgL_fz00_13463, BgL_a1z00_13464, BgL_a2z00_13465, BgL_a3z00_13466, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11170),((long)0),BgL_bpz00_13462); 
return BgL_rz00_13507;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11167, BgL_symbzd2funzd2_11168, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13463));} } } } } } } } 

}



/* &<@anonymous:2284> */
obj_t BGl_z62zc3z04anonymousza32284ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11171, obj_t BgL_sz00_11179)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11172; obj_t BgL_a1z00_11173; obj_t BgL_a2z00_11174; obj_t BgL_a3z00_11175; obj_t BgL_locz00_11176; obj_t BgL_symbzd2funzd2_11177; long BgL_siza7eza7_11178;
BgL_funz00_11172 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)0))); 
BgL_a1z00_11173 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)1))); 
BgL_a2z00_11174 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)2))); 
BgL_a3z00_11175 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)3))); 
BgL_locz00_11176 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11177 = 
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)5))); 
BgL_siza7eza7_11178 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11171, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13508;
BgL_bpz00_13508 = 
VECTOR_REF(
((obj_t)BgL_sz00_11179),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13509; obj_t BgL_a1z00_13510; obj_t BgL_a2z00_13511; obj_t BgL_a3z00_13512;
BgL_fz00_13509 = 
PROCEDURE_ENTRY(BgL_funz00_11172)(BgL_funz00_11172, BgL_sz00_11179, BEOA); 
BgL_a1z00_13510 = 
PROCEDURE_ENTRY(BgL_a1z00_11173)(BgL_a1z00_11173, BgL_sz00_11179, BEOA); 
BgL_a2z00_13511 = 
PROCEDURE_ENTRY(BgL_a2z00_11174)(BgL_a2z00_11174, BgL_sz00_11179, BEOA); 
BgL_a3z00_13512 = 
PROCEDURE_ENTRY(BgL_a3z00_11175)(BgL_a3z00_11175, BgL_sz00_11179, BEOA); 
if(
PROCEDUREP(BgL_fz00_13509))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11176, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13509); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13513;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19601;
BgL_tmpz00_19601 = 
((obj_t)BgL_fz00_13509); 
BgL_ufz00_13513 = 
PROCEDURE_ATTR(BgL_tmpz00_19601); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4827z00_19604;
if(
STRUCTP(BgL_ufz00_13513))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4827z00_19604 = 
(
STRUCT_KEY(BgL_ufz00_13513)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4827z00_19604 = ((bool_t)0)
; } 
if(BgL_test4827z00_19604)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13514; obj_t BgL_runz00_13515; obj_t BgL_sfz00_13516;
BgL_arityz00_13514 = 
STRUCT_REF(BgL_ufz00_13513, 
(int)(((long)0))); 
BgL_runz00_13515 = 
STRUCT_REF(BgL_ufz00_13513, 
(int)(((long)1))); 
BgL_sfz00_13516 = 
STRUCT_REF(BgL_ufz00_13513, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13517;
BgL_spz00_13517 = 
(
(long)CINT(BgL_bpz00_13508)+BgL_siza7eza7_11178); 
if(
(
(long)CINT(BgL_arityz00_13514)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2288z00_13518;
BgL_arg2288z00_13518 = 
(BgL_spz00_13517+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2288z00_13518,BgL_a1z00_13510); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2289z00_13519;
BgL_arg2289z00_13519 = 
(BgL_spz00_13517+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2289z00_13519,BgL_a2z00_13511); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2290z00_13520;
BgL_arg2290z00_13520 = 
(BgL_spz00_13517+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2290z00_13520,BgL_a3z00_13512); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13514))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13514)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2292z00_13523; obj_t BgL_arg2293z00_13524;
BgL_arg2292z00_13523 = 
(BgL_spz00_13517+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2294z00_13525;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2295z00_13526;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2296z00_13527;
BgL_arg2296z00_13527 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13512, BNIL); 
BgL_arg2295z00_13526 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13511, BgL_arg2296z00_13527); } 
BgL_list2294z00_13525 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13510, BgL_arg2295z00_13526); } 
BgL_arg2293z00_13524 = BgL_list2294z00_13525; } 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2292z00_13523,BgL_arg2293z00_13524); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2297z00_13528;
BgL_arg2297z00_13528 = 
(BgL_spz00_13517+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2297z00_13528,BgL_a1z00_13510); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2298z00_13529; obj_t BgL_arg2299z00_13530;
BgL_arg2298z00_13529 = 
(BgL_spz00_13517+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2300z00_13531;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2301z00_13532;
BgL_arg2301z00_13532 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13512, BNIL); 
BgL_list2300z00_13531 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13511, BgL_arg2301z00_13532); } 
BgL_arg2299z00_13530 = BgL_list2300z00_13531; } 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2298z00_13529,BgL_arg2299z00_13530); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2302z00_13533;
BgL_arg2302z00_13533 = 
(BgL_spz00_13517+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2302z00_13533,BgL_a1z00_13510); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2303z00_13534;
BgL_arg2303z00_13534 = 
(BgL_spz00_13517+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2303z00_13534,BgL_a2z00_13511); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2304z00_13535; obj_t BgL_arg2305z00_13536;
BgL_arg2304z00_13535 = 
(BgL_spz00_13517+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2306z00_13537;
BgL_list2306z00_13537 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13512, BNIL); 
BgL_arg2305z00_13536 = BgL_list2306z00_13537; } 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2304z00_13535,BgL_arg2305z00_13536); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2307z00_13538;
BgL_arg2307z00_13538 = 
(BgL_spz00_13517+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2307z00_13538,BgL_a1z00_13510); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2308z00_13539;
BgL_arg2308z00_13539 = 
(BgL_spz00_13517+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2308z00_13539,BgL_a2z00_13511); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2309z00_13540;
BgL_arg2309z00_13540 = 
(BgL_spz00_13517+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2309z00_13540,BgL_a3z00_13512); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2310z00_13541; obj_t BgL_arg2311z00_13542;
BgL_arg2310z00_13541 = 
(BgL_spz00_13517+((long)3)); 
BgL_arg2311z00_13542 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11179),BgL_arg2310z00_13541,BgL_arg2311z00_13542); } break;
default: 
BgL_case_else1206z00_13521:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2313z00_13522;
BgL_arg2313z00_13522 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13513), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11176, BgL_arg2313z00_13522, 
(int)(((long)3)), 
CINT(BgL_arityz00_13514)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1206z00_13521;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13543;
BgL_z12denvz12_13543 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13543, BgL_locz00_11176); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11179, 
BINT(BgL_spz00_13517), BgL_sfz00_13516))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13515, BgL_sz00_11179, 
BINT(BgL_spz00_13517));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13544;
BgL_nsz00_13544 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2315z00_13545;
BgL_arg2315z00_13545 = 
(BgL_spz00_13517+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13544, ((long)2), BgL_sz00_11179, 
BINT(BgL_spz00_13517), 
BINT(BgL_arg2315z00_13545)); } 
VECTOR_SET(BgL_nsz00_13544,((long)1),BgL_sz00_11179); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13543, BgL_nsz00_13544); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13546;
BgL_ez00_13546 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13547;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13548;
BgL_arg4072z00_13548 = 
BGL_EXITD_PROTECT(BgL_ez00_13546); 
BgL_arg4071z00_13547 = 
MAKE_YOUNG_PAIR(BgL_sz00_11179, BgL_arg4072z00_13548); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13546, BgL_arg4071z00_13547); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13549;
BgL_____rz00_13549 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13515, BgL_nsz00_13544, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4832z00_19695;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13550;
BgL_arg4070z00_13550 = 
BGL_EXITD_PROTECT(BgL_ez00_13546); 
BgL_test4832z00_19695 = 
PAIRP(BgL_arg4070z00_13550); } 
if(BgL_test4832z00_19695)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13551;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13552;
BgL_arg4069z00_13552 = 
BGL_EXITD_PROTECT(BgL_ez00_13546); 
BgL_arg4068z00_13551 = 
CDR(
((obj_t)BgL_arg4069z00_13552)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13546, BgL_arg4068z00_13551); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13543, BgL_sz00_11179); 
return BgL_____rz00_13549;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13509, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13553;
BgL_nbpz00_13553 = 
(
(long)CINT(BgL_bpz00_13508)+BgL_siza7eza7_11178); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),((long)0),
BINT(BgL_nbpz00_13553)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19711;
BgL_tmpz00_19711 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19711, BgL_locz00_11176); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13554;
BgL_rz00_13554 = 
PROCEDURE_ENTRY(BgL_fz00_13509)(BgL_fz00_13509, BgL_a1z00_13510, BgL_a2z00_13511, BgL_a3z00_13512, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11179),((long)0),BgL_bpz00_13508); 
return BgL_rz00_13554;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11176, BgL_symbzd2funzd2_11177, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13509));} } } } } } } } 

}



/* &<@anonymous:2319> */
obj_t BGl_z62zc3z04anonymousza32319ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11180, obj_t BgL_sz00_11188)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11181; obj_t BgL_a1z00_11182; obj_t BgL_a2z00_11183; obj_t BgL_a3z00_11184; obj_t BgL_locz00_11185; obj_t BgL_symbzd2funzd2_11186; long BgL_siza7eza7_11187;
BgL_funz00_11181 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)0))); 
BgL_a1z00_11182 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)1))); 
BgL_a2z00_11183 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)2))); 
BgL_a3z00_11184 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)3))); 
BgL_locz00_11185 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)4))); 
BgL_symbzd2funzd2_11186 = 
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)5))); 
BgL_siza7eza7_11187 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11180, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13555;
BgL_bpz00_13555 = 
VECTOR_REF(
((obj_t)BgL_sz00_11188),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13556; obj_t BgL_a1z00_13557; obj_t BgL_a2z00_13558; obj_t BgL_a3z00_13559;
BgL_fz00_13556 = 
PROCEDURE_ENTRY(BgL_funz00_11181)(BgL_funz00_11181, BgL_sz00_11188, BEOA); 
BgL_a1z00_13557 = 
PROCEDURE_ENTRY(BgL_a1z00_11182)(BgL_a1z00_11182, BgL_sz00_11188, BEOA); 
BgL_a2z00_13558 = 
PROCEDURE_ENTRY(BgL_a2z00_11183)(BgL_a2z00_11183, BgL_sz00_11188, BEOA); 
BgL_a3z00_13559 = 
PROCEDURE_ENTRY(BgL_a3z00_11184)(BgL_a3z00_11184, BgL_sz00_11188, BEOA); 
if(
PROCEDUREP(BgL_fz00_13556))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11185, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13556); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13560;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_19761;
BgL_tmpz00_19761 = 
((obj_t)BgL_fz00_13556); 
BgL_ufz00_13560 = 
PROCEDURE_ATTR(BgL_tmpz00_19761); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4835z00_19764;
if(
STRUCTP(BgL_ufz00_13560))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4835z00_19764 = 
(
STRUCT_KEY(BgL_ufz00_13560)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4835z00_19764 = ((bool_t)0)
; } 
if(BgL_test4835z00_19764)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13561; obj_t BgL_runz00_13562; obj_t BgL_sfz00_13563;
BgL_arityz00_13561 = 
STRUCT_REF(BgL_ufz00_13560, 
(int)(((long)0))); 
BgL_runz00_13562 = 
STRUCT_REF(BgL_ufz00_13560, 
(int)(((long)1))); 
BgL_sfz00_13563 = 
STRUCT_REF(BgL_ufz00_13560, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13564;
BgL_spz00_13564 = 
(
(long)CINT(BgL_bpz00_13555)+BgL_siza7eza7_11187); 
if(
(
(long)CINT(BgL_arityz00_13561)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2323z00_13565;
BgL_arg2323z00_13565 = 
(BgL_spz00_13564+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2323z00_13565,BgL_a1z00_13557); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2324z00_13566;
BgL_arg2324z00_13566 = 
(BgL_spz00_13564+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2324z00_13566,BgL_a2z00_13558); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2325z00_13567;
BgL_arg2325z00_13567 = 
(BgL_spz00_13564+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2325z00_13567,BgL_a3z00_13559); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13561))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13561)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2327z00_13570; obj_t BgL_arg2328z00_13571;
BgL_arg2327z00_13570 = 
(BgL_spz00_13564+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2329z00_13572;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2330z00_13573;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2331z00_13574;
BgL_arg2331z00_13574 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13559, BNIL); 
BgL_arg2330z00_13573 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13558, BgL_arg2331z00_13574); } 
BgL_list2329z00_13572 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13557, BgL_arg2330z00_13573); } 
BgL_arg2328z00_13571 = BgL_list2329z00_13572; } 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2327z00_13570,BgL_arg2328z00_13571); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2332z00_13575;
BgL_arg2332z00_13575 = 
(BgL_spz00_13564+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2332z00_13575,BgL_a1z00_13557); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2333z00_13576; obj_t BgL_arg2334z00_13577;
BgL_arg2333z00_13576 = 
(BgL_spz00_13564+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2335z00_13578;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2336z00_13579;
BgL_arg2336z00_13579 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13559, BNIL); 
BgL_list2335z00_13578 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13558, BgL_arg2336z00_13579); } 
BgL_arg2334z00_13577 = BgL_list2335z00_13578; } 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2333z00_13576,BgL_arg2334z00_13577); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2337z00_13580;
BgL_arg2337z00_13580 = 
(BgL_spz00_13564+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2337z00_13580,BgL_a1z00_13557); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2338z00_13581;
BgL_arg2338z00_13581 = 
(BgL_spz00_13564+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2338z00_13581,BgL_a2z00_13558); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2339z00_13582; obj_t BgL_arg2340z00_13583;
BgL_arg2339z00_13582 = 
(BgL_spz00_13564+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2341z00_13584;
BgL_list2341z00_13584 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13559, BNIL); 
BgL_arg2340z00_13583 = BgL_list2341z00_13584; } 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2339z00_13582,BgL_arg2340z00_13583); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2342z00_13585;
BgL_arg2342z00_13585 = 
(BgL_spz00_13564+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2342z00_13585,BgL_a1z00_13557); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2343z00_13586;
BgL_arg2343z00_13586 = 
(BgL_spz00_13564+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2343z00_13586,BgL_a2z00_13558); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2344z00_13587;
BgL_arg2344z00_13587 = 
(BgL_spz00_13564+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2344z00_13587,BgL_a3z00_13559); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2345z00_13588; obj_t BgL_arg2346z00_13589;
BgL_arg2345z00_13588 = 
(BgL_spz00_13564+((long)3)); 
BgL_arg2346z00_13589 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11188),BgL_arg2345z00_13588,BgL_arg2346z00_13589); } break;
default: 
BgL_case_else1208z00_13568:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2348z00_13569;
BgL_arg2348z00_13569 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13560), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11185, BgL_arg2348z00_13569, 
(int)(((long)3)), 
CINT(BgL_arityz00_13561)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1208z00_13568;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13590;
BgL_z12denvz12_13590 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11188, 
BINT(BgL_spz00_13564), BgL_sfz00_13563))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13562, BgL_sz00_11188, 
BINT(BgL_spz00_13564));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13591;
BgL_nsz00_13591 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2350z00_13592;
BgL_arg2350z00_13592 = 
(BgL_spz00_13564+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13591, ((long)2), BgL_sz00_11188, 
BINT(BgL_spz00_13564), 
BINT(BgL_arg2350z00_13592)); } 
VECTOR_SET(BgL_nsz00_13591,((long)1),BgL_sz00_11188); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13590, BgL_nsz00_13591); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13593;
BgL_ez00_13593 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13594;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13595;
BgL_arg4072z00_13595 = 
BGL_EXITD_PROTECT(BgL_ez00_13593); 
BgL_arg4071z00_13594 = 
MAKE_YOUNG_PAIR(BgL_sz00_11188, BgL_arg4072z00_13595); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13593, BgL_arg4071z00_13594); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13596;
BgL_____rz00_13596 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13562, BgL_nsz00_13591, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4840z00_19854;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13597;
BgL_arg4070z00_13597 = 
BGL_EXITD_PROTECT(BgL_ez00_13593); 
BgL_test4840z00_19854 = 
PAIRP(BgL_arg4070z00_13597); } 
if(BgL_test4840z00_19854)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13598;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13599;
BgL_arg4069z00_13599 = 
BGL_EXITD_PROTECT(BgL_ez00_13593); 
BgL_arg4068z00_13598 = 
CDR(
((obj_t)BgL_arg4069z00_13599)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13593, BgL_arg4068z00_13598); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13590, BgL_sz00_11188); 
return BgL_____rz00_13596;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13556, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13600;
BgL_nbpz00_13600 = 
(
(long)CINT(BgL_bpz00_13555)+BgL_siza7eza7_11187); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),((long)0),
BINT(BgL_nbpz00_13600)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13601;
BgL_rz00_13601 = 
PROCEDURE_ENTRY(BgL_fz00_13556)(BgL_fz00_13556, BgL_a1z00_13557, BgL_a2z00_13558, BgL_a3z00_13559, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11188),((long)0),BgL_bpz00_13555); 
return BgL_rz00_13601;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11185, BgL_symbzd2funzd2_11186, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13556));} } } } } } } } 

}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_cfunz00_2780;
BgL_cfunz00_2780 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2780))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4843z00_19884;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2359z00_2802;
BgL_arg2359z00_2802 = 
bgl_debug(); 
BgL_test4843z00_19884 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2359z00_2802), 
BINT(((long)0))); } 
if(BgL_test4843z00_19884)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32356ze3z87_11189;
BgL_zc3z04anonymousza32356ze3z87_11189 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32356ze3z87_11189, 
(int)(((long)6)), BgL_cfunz00_2780); 
return BgL_zc3z04anonymousza32356ze3z87_11189;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32358ze3z87_11190;
BgL_zc3z04anonymousza32358ze3z87_11190 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32358ze3z87_11190, 
(int)(((long)5)), BgL_cfunz00_2780); 
return BgL_zc3z04anonymousza32358ze3z87_11190;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4845z00_19925;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2453z00_2938;
BgL_arg2453z00_2938 = 
bgl_debug(); 
BgL_test4845z00_19925 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2453z00_2938), 
BINT(((long)0))); } 
if(BgL_test4845z00_19925)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32362ze3z87_11191;
BgL_zc3z04anonymousza32362ze3z87_11191 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32362ze3z87_11191, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32362ze3z87_11191;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32408ze3z87_11192;
BgL_zc3z04anonymousza32408ze3z87_11192 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32408ze3z87_11192, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32408ze3z87_11192;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4846z00_19970;
{ /* Eval/evaluate_comp.scm 896 */
 int BgL_arg2547z00_3074;
BgL_arg2547z00_3074 = 
bgl_debug(); 
BgL_test4846z00_19970 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2547z00_3074), 
BINT(((long)0))); } 
if(BgL_test4846z00_19970)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32456ze3z87_11193;
BgL_zc3z04anonymousza32456ze3z87_11193 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32456ze3z87_11193, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32456ze3z87_11193;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_zc3z04anonymousza32502ze3z87_11194;
BgL_zc3z04anonymousza32502ze3z87_11194 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32502ze3z87_11194, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32502ze3z87_11194;} } } } } 

}



/* &<@anonymous:2356> */
obj_t BGl_z62zc3z04anonymousza32356ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11195, obj_t BgL_sz00_11203)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11196; obj_t BgL_a2z00_11197; obj_t BgL_a3z00_11198; obj_t BgL_a4z00_11199; long BgL_siza7eza7_11200; obj_t BgL_locz00_11201; obj_t BgL_cfunz00_11202;
BgL_a1z00_11196 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)0))); 
BgL_a2z00_11197 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)1))); 
BgL_a3z00_11198 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)2))); 
BgL_a4z00_11199 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)3))); 
BgL_siza7eza7_11200 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)4)))); 
BgL_locz00_11201 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)5))); 
BgL_cfunz00_11202 = 
PROCEDURE_REF(BgL_envz00_11195, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13602;
BgL_bpz00_13602 = 
VECTOR_REF(
((obj_t)BgL_sz00_11203),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13603; obj_t BgL_a2z00_13604; obj_t BgL_a3z00_13605; obj_t BgL_a4z00_13606;
BgL_a1z00_13603 = 
PROCEDURE_ENTRY(BgL_a1z00_11196)(BgL_a1z00_11196, BgL_sz00_11203, BEOA); 
BgL_a2z00_13604 = 
PROCEDURE_ENTRY(BgL_a2z00_11197)(BgL_a2z00_11197, BgL_sz00_11203, BEOA); 
BgL_a3z00_13605 = 
PROCEDURE_ENTRY(BgL_a3z00_11198)(BgL_a3z00_11198, BgL_sz00_11203, BEOA); 
BgL_a4z00_13606 = 
PROCEDURE_ENTRY(BgL_a4z00_11199)(BgL_a4z00_11199, BgL_sz00_11203, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13607;
BgL_nbpz00_13607 = 
(
(long)CINT(BgL_bpz00_13602)+BgL_siza7eza7_11200); 
VECTOR_SET(
((obj_t)BgL_sz00_11203),((long)0),
BINT(BgL_nbpz00_13607)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20053;
BgL_tmpz00_20053 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20053, BgL_locz00_11201); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13608;
BgL_rz00_13608 = 
PROCEDURE_ENTRY(BgL_cfunz00_11202)(BgL_cfunz00_11202, BgL_a1z00_13603, BgL_a2z00_13604, BgL_a3z00_13605, BgL_a4z00_13606, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11203),((long)0),BgL_bpz00_13602); 
return BgL_rz00_13608;} } } } } } 

}



/* &<@anonymous:2358> */
obj_t BGl_z62zc3z04anonymousza32358ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11204, obj_t BgL_sz00_11211)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_11205; obj_t BgL_a2z00_11206; obj_t BgL_a3z00_11207; obj_t BgL_a4z00_11208; long BgL_siza7eza7_11209; obj_t BgL_cfunz00_11210;
BgL_a1z00_11205 = 
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)0))); 
BgL_a2z00_11206 = 
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)1))); 
BgL_a3z00_11207 = 
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)2))); 
BgL_a4z00_11208 = 
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)3))); 
BgL_siza7eza7_11209 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)4)))); 
BgL_cfunz00_11210 = 
PROCEDURE_REF(BgL_envz00_11204, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13609;
BgL_bpz00_13609 = 
VECTOR_REF(
((obj_t)BgL_sz00_11211),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_a1z00_13610; obj_t BgL_a2z00_13611; obj_t BgL_a3z00_13612; obj_t BgL_a4z00_13613;
BgL_a1z00_13610 = 
PROCEDURE_ENTRY(BgL_a1z00_11205)(BgL_a1z00_11205, BgL_sz00_11211, BEOA); 
BgL_a2z00_13611 = 
PROCEDURE_ENTRY(BgL_a2z00_11206)(BgL_a2z00_11206, BgL_sz00_11211, BEOA); 
BgL_a3z00_13612 = 
PROCEDURE_ENTRY(BgL_a3z00_11207)(BgL_a3z00_11207, BgL_sz00_11211, BEOA); 
BgL_a4z00_13613 = 
PROCEDURE_ENTRY(BgL_a4z00_11208)(BgL_a4z00_11208, BgL_sz00_11211, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13614;
BgL_nbpz00_13614 = 
(
(long)CINT(BgL_bpz00_13609)+BgL_siza7eza7_11209); 
VECTOR_SET(
((obj_t)BgL_sz00_11211),((long)0),
BINT(BgL_nbpz00_13614)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13615;
BgL_rz00_13615 = 
PROCEDURE_ENTRY(BgL_cfunz00_11210)(BgL_cfunz00_11210, BgL_a1z00_13610, BgL_a2z00_13611, BgL_a3z00_13612, BgL_a4z00_13613, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11211),((long)0),BgL_bpz00_13609); 
return BgL_rz00_13615;} } } } } } 

}



/* &<@anonymous:2362> */
obj_t BGl_z62zc3z04anonymousza32362ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11212, obj_t BgL_sz00_11221)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11213; obj_t BgL_a1z00_11214; obj_t BgL_a2z00_11215; obj_t BgL_a3z00_11216; obj_t BgL_a4z00_11217; obj_t BgL_locz00_11218; obj_t BgL_symbzd2funzd2_11219; long BgL_siza7eza7_11220;
BgL_funz00_11213 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)0))); 
BgL_a1z00_11214 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)1))); 
BgL_a2z00_11215 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)2))); 
BgL_a3z00_11216 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)3))); 
BgL_a4z00_11217 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)4))); 
BgL_locz00_11218 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11219 = 
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)6))); 
BgL_siza7eza7_11220 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11212, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13616;
BgL_bpz00_13616 = 
VECTOR_REF(
((obj_t)BgL_sz00_11221),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13617; obj_t BgL_a1z00_13618; obj_t BgL_a2z00_13619; obj_t BgL_a3z00_13620; obj_t BgL_a4z00_13621;
BgL_fz00_13617 = 
PROCEDURE_ENTRY(BgL_funz00_11213)(BgL_funz00_11213, BgL_sz00_11221, BEOA); 
BgL_a1z00_13618 = 
PROCEDURE_ENTRY(BgL_a1z00_11214)(BgL_a1z00_11214, BgL_sz00_11221, BEOA); 
BgL_a2z00_13619 = 
PROCEDURE_ENTRY(BgL_a2z00_11215)(BgL_a2z00_11215, BgL_sz00_11221, BEOA); 
BgL_a3z00_13620 = 
PROCEDURE_ENTRY(BgL_a3z00_11216)(BgL_a3z00_11216, BgL_sz00_11221, BEOA); 
BgL_a4z00_13621 = 
PROCEDURE_ENTRY(BgL_a4z00_11217)(BgL_a4z00_11217, BgL_sz00_11221, BEOA); 
if(
PROCEDUREP(BgL_fz00_13617))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11218, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13617); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13622;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20152;
BgL_tmpz00_20152 = 
((obj_t)BgL_fz00_13617); 
BgL_ufz00_13622 = 
PROCEDURE_ATTR(BgL_tmpz00_20152); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4848z00_20155;
if(
STRUCTP(BgL_ufz00_13622))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4848z00_20155 = 
(
STRUCT_KEY(BgL_ufz00_13622)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4848z00_20155 = ((bool_t)0)
; } 
if(BgL_test4848z00_20155)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13623; obj_t BgL_runz00_13624; obj_t BgL_sfz00_13625;
BgL_arityz00_13623 = 
STRUCT_REF(BgL_ufz00_13622, 
(int)(((long)0))); 
BgL_runz00_13624 = 
STRUCT_REF(BgL_ufz00_13622, 
(int)(((long)1))); 
BgL_sfz00_13625 = 
STRUCT_REF(BgL_ufz00_13622, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13623)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2366z00_13626;
BgL_arg2366z00_13626 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2366z00_13626,BgL_a1z00_13618); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2367z00_13627;
BgL_arg2367z00_13627 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2367z00_13627,BgL_a2z00_13619); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2368z00_13628;
BgL_arg2368z00_13628 = 
(
(long)CINT(BgL_bpz00_13616)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2368z00_13628,BgL_a3z00_13620); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2369z00_13629;
BgL_arg2369z00_13629 = 
(
(long)CINT(BgL_bpz00_13616)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2369z00_13629,BgL_a4z00_13621); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13623))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13623)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2371z00_13632; obj_t BgL_arg2372z00_13633;
BgL_arg2371z00_13632 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2373z00_13634;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2374z00_13635;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2375z00_13636;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2376z00_13637;
BgL_arg2376z00_13637 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13621, BNIL); 
BgL_arg2375z00_13636 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13620, BgL_arg2376z00_13637); } 
BgL_arg2374z00_13635 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13619, BgL_arg2375z00_13636); } 
BgL_list2373z00_13634 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13618, BgL_arg2374z00_13635); } 
BgL_arg2372z00_13633 = BgL_list2373z00_13634; } 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2371z00_13632,BgL_arg2372z00_13633); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2377z00_13638;
BgL_arg2377z00_13638 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2377z00_13638,BgL_a1z00_13618); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2378z00_13639; obj_t BgL_arg2379z00_13640;
BgL_arg2378z00_13639 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2380z00_13641;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2381z00_13642;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2382z00_13643;
BgL_arg2382z00_13643 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13621, BNIL); 
BgL_arg2381z00_13642 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13620, BgL_arg2382z00_13643); } 
BgL_list2380z00_13641 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13619, BgL_arg2381z00_13642); } 
BgL_arg2379z00_13640 = BgL_list2380z00_13641; } 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2378z00_13639,BgL_arg2379z00_13640); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2383z00_13644;
BgL_arg2383z00_13644 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2383z00_13644,BgL_a1z00_13618); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2384z00_13645;
BgL_arg2384z00_13645 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2384z00_13645,BgL_a2z00_13619); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2385z00_13646; obj_t BgL_arg2386z00_13647;
BgL_arg2385z00_13646 = 
(
(long)CINT(BgL_bpz00_13616)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2387z00_13648;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2388z00_13649;
BgL_arg2388z00_13649 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13621, BNIL); 
BgL_list2387z00_13648 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13620, BgL_arg2388z00_13649); } 
BgL_arg2386z00_13647 = BgL_list2387z00_13648; } 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2385z00_13646,BgL_arg2386z00_13647); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2389z00_13650;
BgL_arg2389z00_13650 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2389z00_13650,BgL_a1z00_13618); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2390z00_13651;
BgL_arg2390z00_13651 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2390z00_13651,BgL_a2z00_13619); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2391z00_13652;
BgL_arg2391z00_13652 = 
(
(long)CINT(BgL_bpz00_13616)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2391z00_13652,BgL_a3z00_13620); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2392z00_13653; obj_t BgL_arg2393z00_13654;
BgL_arg2392z00_13653 = 
(
(long)CINT(BgL_bpz00_13616)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2394z00_13655;
BgL_list2394z00_13655 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13621, BNIL); 
BgL_arg2393z00_13654 = BgL_list2394z00_13655; } 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2392z00_13653,BgL_arg2393z00_13654); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2395z00_13656;
BgL_arg2395z00_13656 = 
(
(long)CINT(BgL_bpz00_13616)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2395z00_13656,BgL_a1z00_13618); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2396z00_13657;
BgL_arg2396z00_13657 = 
(
(long)CINT(BgL_bpz00_13616)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2396z00_13657,BgL_a2z00_13619); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2397z00_13658;
BgL_arg2397z00_13658 = 
(
(long)CINT(BgL_bpz00_13616)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2397z00_13658,BgL_a3z00_13620); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2398z00_13659;
BgL_arg2398z00_13659 = 
(
(long)CINT(BgL_bpz00_13616)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2398z00_13659,BgL_a4z00_13621); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2399z00_13660; obj_t BgL_arg2400z00_13661;
BgL_arg2399z00_13660 = 
(
(long)CINT(BgL_bpz00_13616)+((long)4)); 
BgL_arg2400z00_13661 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11221),BgL_arg2399z00_13660,BgL_arg2400z00_13661); } break;
default: 
BgL_case_else1210z00_13630:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2402z00_13631;
BgL_arg2402z00_13631 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13622), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11218, BgL_arg2402z00_13631, 
(int)(((long)4)), 
CINT(BgL_arityz00_13623)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1210z00_13630;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13662;
BgL_z12denvz12_13662 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13662, BgL_locz00_11218); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11221, BgL_bpz00_13616, BgL_sfz00_13625))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13624;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13663;
BgL_nsz00_13663 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2404z00_13664;
BgL_arg2404z00_13664 = 
(
(long)CINT(BgL_bpz00_13616)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13663, ((long)2), BgL_sz00_11221, BgL_bpz00_13616, 
BINT(BgL_arg2404z00_13664)); } 
VECTOR_SET(BgL_nsz00_13663,((long)1),BgL_sz00_11221); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13662, BgL_nsz00_13663); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13665;
BgL_ez00_13665 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13666;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13667;
BgL_arg4072z00_13667 = 
BGL_EXITD_PROTECT(BgL_ez00_13665); 
BgL_arg4071z00_13666 = 
MAKE_YOUNG_PAIR(BgL_sz00_11221, BgL_arg4072z00_13667); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13665, BgL_arg4071z00_13666); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13668;
BgL_____rz00_13668 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13624, BgL_nsz00_13663, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4853z00_20282;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13669;
BgL_arg4070z00_13669 = 
BGL_EXITD_PROTECT(BgL_ez00_13665); 
BgL_test4853z00_20282 = 
PAIRP(BgL_arg4070z00_13669); } 
if(BgL_test4853z00_20282)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13670;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13671;
BgL_arg4069z00_13671 = 
BGL_EXITD_PROTECT(BgL_ez00_13665); 
BgL_arg4068z00_13670 = 
CDR(
((obj_t)BgL_arg4069z00_13671)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13665, BgL_arg4068z00_13670); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13662, BgL_sz00_11221); 
return BgL_____rz00_13668;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13617, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13672;
BgL_nbpz00_13672 = 
(
(long)CINT(BgL_bpz00_13616)+BgL_siza7eza7_11220); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),((long)0),
BINT(BgL_nbpz00_13672)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20298;
BgL_tmpz00_20298 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20298, BgL_locz00_11218); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13673;
BgL_rz00_13673 = 
PROCEDURE_ENTRY(BgL_fz00_13617)(BgL_fz00_13617, BgL_a1z00_13618, BgL_a2z00_13619, BgL_a3z00_13620, BgL_a4z00_13621, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11221),((long)0),BgL_bpz00_13616); 
return BgL_rz00_13673;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11218, BgL_symbzd2funzd2_11219, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13617));} } } } } } } } 

}



/* &<@anonymous:2408> */
obj_t BGl_z62zc3z04anonymousza32408ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11222, obj_t BgL_sz00_11231)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11223; obj_t BgL_a1z00_11224; obj_t BgL_a2z00_11225; obj_t BgL_a3z00_11226; obj_t BgL_a4z00_11227; obj_t BgL_locz00_11228; obj_t BgL_symbzd2funzd2_11229; long BgL_siza7eza7_11230;
BgL_funz00_11223 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)0))); 
BgL_a1z00_11224 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)1))); 
BgL_a2z00_11225 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)2))); 
BgL_a3z00_11226 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)3))); 
BgL_a4z00_11227 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)4))); 
BgL_locz00_11228 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11229 = 
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)6))); 
BgL_siza7eza7_11230 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11222, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13674;
BgL_bpz00_13674 = 
VECTOR_REF(
((obj_t)BgL_sz00_11231),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13675; obj_t BgL_a1z00_13676; obj_t BgL_a2z00_13677; obj_t BgL_a3z00_13678; obj_t BgL_a4z00_13679;
BgL_fz00_13675 = 
PROCEDURE_ENTRY(BgL_funz00_11223)(BgL_funz00_11223, BgL_sz00_11231, BEOA); 
BgL_a1z00_13676 = 
PROCEDURE_ENTRY(BgL_a1z00_11224)(BgL_a1z00_11224, BgL_sz00_11231, BEOA); 
BgL_a2z00_13677 = 
PROCEDURE_ENTRY(BgL_a2z00_11225)(BgL_a2z00_11225, BgL_sz00_11231, BEOA); 
BgL_a3z00_13678 = 
PROCEDURE_ENTRY(BgL_a3z00_11226)(BgL_a3z00_11226, BgL_sz00_11231, BEOA); 
BgL_a4z00_13679 = 
PROCEDURE_ENTRY(BgL_a4z00_11227)(BgL_a4z00_11227, BgL_sz00_11231, BEOA); 
if(
PROCEDUREP(BgL_fz00_13675))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11228, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13675); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13680;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20355;
BgL_tmpz00_20355 = 
((obj_t)BgL_fz00_13675); 
BgL_ufz00_13680 = 
PROCEDURE_ATTR(BgL_tmpz00_20355); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4856z00_20358;
if(
STRUCTP(BgL_ufz00_13680))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4856z00_20358 = 
(
STRUCT_KEY(BgL_ufz00_13680)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4856z00_20358 = ((bool_t)0)
; } 
if(BgL_test4856z00_20358)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13681; obj_t BgL_runz00_13682; obj_t BgL_sfz00_13683;
BgL_arityz00_13681 = 
STRUCT_REF(BgL_ufz00_13680, 
(int)(((long)0))); 
BgL_runz00_13682 = 
STRUCT_REF(BgL_ufz00_13680, 
(int)(((long)1))); 
BgL_sfz00_13683 = 
STRUCT_REF(BgL_ufz00_13680, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13681)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2412z00_13684;
BgL_arg2412z00_13684 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2412z00_13684,BgL_a1z00_13676); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2413z00_13685;
BgL_arg2413z00_13685 = 
(
(long)CINT(BgL_bpz00_13674)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2413z00_13685,BgL_a2z00_13677); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2414z00_13686;
BgL_arg2414z00_13686 = 
(
(long)CINT(BgL_bpz00_13674)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2414z00_13686,BgL_a3z00_13678); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2415z00_13687;
BgL_arg2415z00_13687 = 
(
(long)CINT(BgL_bpz00_13674)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2415z00_13687,BgL_a4z00_13679); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13681))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13681)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2417z00_13690; obj_t BgL_arg2418z00_13691;
BgL_arg2417z00_13690 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2419z00_13692;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2420z00_13693;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2421z00_13694;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2422z00_13695;
BgL_arg2422z00_13695 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13679, BNIL); 
BgL_arg2421z00_13694 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13678, BgL_arg2422z00_13695); } 
BgL_arg2420z00_13693 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13677, BgL_arg2421z00_13694); } 
BgL_list2419z00_13692 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13676, BgL_arg2420z00_13693); } 
BgL_arg2418z00_13691 = BgL_list2419z00_13692; } 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2417z00_13690,BgL_arg2418z00_13691); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2423z00_13696;
BgL_arg2423z00_13696 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2423z00_13696,BgL_a1z00_13676); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2424z00_13697; obj_t BgL_arg2425z00_13698;
BgL_arg2424z00_13697 = 
(
(long)CINT(BgL_bpz00_13674)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2426z00_13699;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2427z00_13700;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2428z00_13701;
BgL_arg2428z00_13701 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13679, BNIL); 
BgL_arg2427z00_13700 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13678, BgL_arg2428z00_13701); } 
BgL_list2426z00_13699 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13677, BgL_arg2427z00_13700); } 
BgL_arg2425z00_13698 = BgL_list2426z00_13699; } 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2424z00_13697,BgL_arg2425z00_13698); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2429z00_13702;
BgL_arg2429z00_13702 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2429z00_13702,BgL_a1z00_13676); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2430z00_13703;
BgL_arg2430z00_13703 = 
(
(long)CINT(BgL_bpz00_13674)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2430z00_13703,BgL_a2z00_13677); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2431z00_13704; obj_t BgL_arg2432z00_13705;
BgL_arg2431z00_13704 = 
(
(long)CINT(BgL_bpz00_13674)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2433z00_13706;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2434z00_13707;
BgL_arg2434z00_13707 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13679, BNIL); 
BgL_list2433z00_13706 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13678, BgL_arg2434z00_13707); } 
BgL_arg2432z00_13705 = BgL_list2433z00_13706; } 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2431z00_13704,BgL_arg2432z00_13705); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2435z00_13708;
BgL_arg2435z00_13708 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2435z00_13708,BgL_a1z00_13676); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2436z00_13709;
BgL_arg2436z00_13709 = 
(
(long)CINT(BgL_bpz00_13674)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2436z00_13709,BgL_a2z00_13677); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2437z00_13710;
BgL_arg2437z00_13710 = 
(
(long)CINT(BgL_bpz00_13674)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2437z00_13710,BgL_a3z00_13678); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2438z00_13711; obj_t BgL_arg2439z00_13712;
BgL_arg2438z00_13711 = 
(
(long)CINT(BgL_bpz00_13674)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2440z00_13713;
BgL_list2440z00_13713 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13679, BNIL); 
BgL_arg2439z00_13712 = BgL_list2440z00_13713; } 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2438z00_13711,BgL_arg2439z00_13712); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2441z00_13714;
BgL_arg2441z00_13714 = 
(
(long)CINT(BgL_bpz00_13674)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2441z00_13714,BgL_a1z00_13676); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2442z00_13715;
BgL_arg2442z00_13715 = 
(
(long)CINT(BgL_bpz00_13674)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2442z00_13715,BgL_a2z00_13677); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2443z00_13716;
BgL_arg2443z00_13716 = 
(
(long)CINT(BgL_bpz00_13674)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2443z00_13716,BgL_a3z00_13678); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2444z00_13717;
BgL_arg2444z00_13717 = 
(
(long)CINT(BgL_bpz00_13674)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2444z00_13717,BgL_a4z00_13679); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2445z00_13718; obj_t BgL_arg2446z00_13719;
BgL_arg2445z00_13718 = 
(
(long)CINT(BgL_bpz00_13674)+((long)4)); 
BgL_arg2446z00_13719 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11231),BgL_arg2445z00_13718,BgL_arg2446z00_13719); } break;
default: 
BgL_case_else1212z00_13688:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2448z00_13689;
BgL_arg2448z00_13689 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13680), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11228, BgL_arg2448z00_13689, 
(int)(((long)4)), 
CINT(BgL_arityz00_13681)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1212z00_13688;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13720;
BgL_z12denvz12_13720 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11231, BgL_bpz00_13674, BgL_sfz00_13683))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13682;}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13721;
BgL_nsz00_13721 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2450z00_13722;
BgL_arg2450z00_13722 = 
(
(long)CINT(BgL_bpz00_13674)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13721, ((long)2), BgL_sz00_11231, BgL_bpz00_13674, 
BINT(BgL_arg2450z00_13722)); } 
VECTOR_SET(BgL_nsz00_13721,((long)1),BgL_sz00_11231); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13720, BgL_nsz00_13721); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13723;
BgL_ez00_13723 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13724;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13725;
BgL_arg4072z00_13725 = 
BGL_EXITD_PROTECT(BgL_ez00_13723); 
BgL_arg4071z00_13724 = 
MAKE_YOUNG_PAIR(BgL_sz00_11231, BgL_arg4072z00_13725); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13723, BgL_arg4071z00_13724); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13726;
BgL_____rz00_13726 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13682, BgL_nsz00_13721, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4861z00_20484;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13727;
BgL_arg4070z00_13727 = 
BGL_EXITD_PROTECT(BgL_ez00_13723); 
BgL_test4861z00_20484 = 
PAIRP(BgL_arg4070z00_13727); } 
if(BgL_test4861z00_20484)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13728;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13729;
BgL_arg4069z00_13729 = 
BGL_EXITD_PROTECT(BgL_ez00_13723); 
BgL_arg4068z00_13728 = 
CDR(
((obj_t)BgL_arg4069z00_13729)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13723, BgL_arg4068z00_13728); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13720, BgL_sz00_11231); 
return BgL_____rz00_13726;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13675, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13730;
BgL_nbpz00_13730 = 
(
(long)CINT(BgL_bpz00_13674)+BgL_siza7eza7_11230); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),((long)0),
BINT(BgL_nbpz00_13730)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13731;
BgL_rz00_13731 = 
PROCEDURE_ENTRY(BgL_fz00_13675)(BgL_fz00_13675, BgL_a1z00_13676, BgL_a2z00_13677, BgL_a3z00_13678, BgL_a4z00_13679, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11231),((long)0),BgL_bpz00_13674); 
return BgL_rz00_13731;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11228, BgL_symbzd2funzd2_11229, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13675));} } } } } } } } 

}



/* &<@anonymous:2456> */
obj_t BGl_z62zc3z04anonymousza32456ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11232, obj_t BgL_sz00_11241)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11233; obj_t BgL_a1z00_11234; obj_t BgL_a2z00_11235; obj_t BgL_a3z00_11236; obj_t BgL_a4z00_11237; obj_t BgL_locz00_11238; obj_t BgL_symbzd2funzd2_11239; long BgL_siza7eza7_11240;
BgL_funz00_11233 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)0))); 
BgL_a1z00_11234 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)1))); 
BgL_a2z00_11235 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)2))); 
BgL_a3z00_11236 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)3))); 
BgL_a4z00_11237 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)4))); 
BgL_locz00_11238 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11239 = 
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)6))); 
BgL_siza7eza7_11240 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11232, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13732;
BgL_bpz00_13732 = 
VECTOR_REF(
((obj_t)BgL_sz00_11241),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13733; obj_t BgL_a1z00_13734; obj_t BgL_a2z00_13735; obj_t BgL_a3z00_13736; obj_t BgL_a4z00_13737;
BgL_fz00_13733 = 
PROCEDURE_ENTRY(BgL_funz00_11233)(BgL_funz00_11233, BgL_sz00_11241, BEOA); 
BgL_a1z00_13734 = 
PROCEDURE_ENTRY(BgL_a1z00_11234)(BgL_a1z00_11234, BgL_sz00_11241, BEOA); 
BgL_a2z00_13735 = 
PROCEDURE_ENTRY(BgL_a2z00_11235)(BgL_a2z00_11235, BgL_sz00_11241, BEOA); 
BgL_a3z00_13736 = 
PROCEDURE_ENTRY(BgL_a3z00_11236)(BgL_a3z00_11236, BgL_sz00_11241, BEOA); 
BgL_a4z00_13737 = 
PROCEDURE_ENTRY(BgL_a4z00_11237)(BgL_a4z00_11237, BgL_sz00_11241, BEOA); 
if(
PROCEDUREP(BgL_fz00_13733))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11238, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13733); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13738;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20554;
BgL_tmpz00_20554 = 
((obj_t)BgL_fz00_13733); 
BgL_ufz00_13738 = 
PROCEDURE_ATTR(BgL_tmpz00_20554); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4864z00_20557;
if(
STRUCTP(BgL_ufz00_13738))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4864z00_20557 = 
(
STRUCT_KEY(BgL_ufz00_13738)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4864z00_20557 = ((bool_t)0)
; } 
if(BgL_test4864z00_20557)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13739; obj_t BgL_runz00_13740; obj_t BgL_sfz00_13741;
BgL_arityz00_13739 = 
STRUCT_REF(BgL_ufz00_13738, 
(int)(((long)0))); 
BgL_runz00_13740 = 
STRUCT_REF(BgL_ufz00_13738, 
(int)(((long)1))); 
BgL_sfz00_13741 = 
STRUCT_REF(BgL_ufz00_13738, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13742;
BgL_spz00_13742 = 
(
(long)CINT(BgL_bpz00_13732)+BgL_siza7eza7_11240); 
if(
(
(long)CINT(BgL_arityz00_13739)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2460z00_13743;
BgL_arg2460z00_13743 = 
(BgL_spz00_13742+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2460z00_13743,BgL_a1z00_13734); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2461z00_13744;
BgL_arg2461z00_13744 = 
(BgL_spz00_13742+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2461z00_13744,BgL_a2z00_13735); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2462z00_13745;
BgL_arg2462z00_13745 = 
(BgL_spz00_13742+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2462z00_13745,BgL_a3z00_13736); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2463z00_13746;
BgL_arg2463z00_13746 = 
(BgL_spz00_13742+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2463z00_13746,BgL_a4z00_13737); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13739))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13739)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2465z00_13749; obj_t BgL_arg2466z00_13750;
BgL_arg2465z00_13749 = 
(BgL_spz00_13742+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2467z00_13751;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2468z00_13752;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2469z00_13753;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2470z00_13754;
BgL_arg2470z00_13754 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13737, BNIL); 
BgL_arg2469z00_13753 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13736, BgL_arg2470z00_13754); } 
BgL_arg2468z00_13752 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13735, BgL_arg2469z00_13753); } 
BgL_list2467z00_13751 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13734, BgL_arg2468z00_13752); } 
BgL_arg2466z00_13750 = BgL_list2467z00_13751; } 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2465z00_13749,BgL_arg2466z00_13750); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2471z00_13755;
BgL_arg2471z00_13755 = 
(BgL_spz00_13742+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2471z00_13755,BgL_a1z00_13734); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2472z00_13756; obj_t BgL_arg2473z00_13757;
BgL_arg2472z00_13756 = 
(BgL_spz00_13742+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2474z00_13758;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2475z00_13759;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2476z00_13760;
BgL_arg2476z00_13760 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13737, BNIL); 
BgL_arg2475z00_13759 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13736, BgL_arg2476z00_13760); } 
BgL_list2474z00_13758 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13735, BgL_arg2475z00_13759); } 
BgL_arg2473z00_13757 = BgL_list2474z00_13758; } 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2472z00_13756,BgL_arg2473z00_13757); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2477z00_13761;
BgL_arg2477z00_13761 = 
(BgL_spz00_13742+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2477z00_13761,BgL_a1z00_13734); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2478z00_13762;
BgL_arg2478z00_13762 = 
(BgL_spz00_13742+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2478z00_13762,BgL_a2z00_13735); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2479z00_13763; obj_t BgL_arg2480z00_13764;
BgL_arg2479z00_13763 = 
(BgL_spz00_13742+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2481z00_13765;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2482z00_13766;
BgL_arg2482z00_13766 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13737, BNIL); 
BgL_list2481z00_13765 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13736, BgL_arg2482z00_13766); } 
BgL_arg2480z00_13764 = BgL_list2481z00_13765; } 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2479z00_13763,BgL_arg2480z00_13764); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2483z00_13767;
BgL_arg2483z00_13767 = 
(BgL_spz00_13742+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2483z00_13767,BgL_a1z00_13734); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2484z00_13768;
BgL_arg2484z00_13768 = 
(BgL_spz00_13742+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2484z00_13768,BgL_a2z00_13735); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2485z00_13769;
BgL_arg2485z00_13769 = 
(BgL_spz00_13742+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2485z00_13769,BgL_a3z00_13736); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2486z00_13770; obj_t BgL_arg2487z00_13771;
BgL_arg2486z00_13770 = 
(BgL_spz00_13742+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2488z00_13772;
BgL_list2488z00_13772 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13737, BNIL); 
BgL_arg2487z00_13771 = BgL_list2488z00_13772; } 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2486z00_13770,BgL_arg2487z00_13771); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2489z00_13773;
BgL_arg2489z00_13773 = 
(BgL_spz00_13742+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2489z00_13773,BgL_a1z00_13734); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2490z00_13774;
BgL_arg2490z00_13774 = 
(BgL_spz00_13742+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2490z00_13774,BgL_a2z00_13735); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2491z00_13775;
BgL_arg2491z00_13775 = 
(BgL_spz00_13742+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2491z00_13775,BgL_a3z00_13736); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2492z00_13776;
BgL_arg2492z00_13776 = 
(BgL_spz00_13742+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2492z00_13776,BgL_a4z00_13737); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2493z00_13777; obj_t BgL_arg2494z00_13778;
BgL_arg2493z00_13777 = 
(BgL_spz00_13742+((long)4)); 
BgL_arg2494z00_13778 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11241),BgL_arg2493z00_13777,BgL_arg2494z00_13778); } break;
default: 
BgL_case_else1214z00_13747:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2496z00_13748;
BgL_arg2496z00_13748 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13738), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11238, BgL_arg2496z00_13748, 
(int)(((long)4)), 
CINT(BgL_arityz00_13739)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1214z00_13747;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13779;
BgL_z12denvz12_13779 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13779, BgL_locz00_11238); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11241, 
BINT(BgL_spz00_13742), BgL_sfz00_13741))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13740, BgL_sz00_11241, 
BINT(BgL_spz00_13742));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13780;
BgL_nsz00_13780 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2498z00_13781;
BgL_arg2498z00_13781 = 
(BgL_spz00_13742+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13780, ((long)2), BgL_sz00_11241, 
BINT(BgL_spz00_13742), 
BINT(BgL_arg2498z00_13781)); } 
VECTOR_SET(BgL_nsz00_13780,((long)1),BgL_sz00_11241); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13779, BgL_nsz00_13780); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13782;
BgL_ez00_13782 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13783;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13784;
BgL_arg4072z00_13784 = 
BGL_EXITD_PROTECT(BgL_ez00_13782); 
BgL_arg4071z00_13783 = 
MAKE_YOUNG_PAIR(BgL_sz00_11241, BgL_arg4072z00_13784); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13782, BgL_arg4071z00_13783); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13785;
BgL_____rz00_13785 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13740, BgL_nsz00_13780, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4869z00_20670;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13786;
BgL_arg4070z00_13786 = 
BGL_EXITD_PROTECT(BgL_ez00_13782); 
BgL_test4869z00_20670 = 
PAIRP(BgL_arg4070z00_13786); } 
if(BgL_test4869z00_20670)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13787;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13788;
BgL_arg4069z00_13788 = 
BGL_EXITD_PROTECT(BgL_ez00_13782); 
BgL_arg4068z00_13787 = 
CDR(
((obj_t)BgL_arg4069z00_13788)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13782, BgL_arg4068z00_13787); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13779, BgL_sz00_11241); 
return BgL_____rz00_13785;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13733, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13789;
BgL_nbpz00_13789 = 
(
(long)CINT(BgL_bpz00_13732)+BgL_siza7eza7_11240); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),((long)0),
BINT(BgL_nbpz00_13789)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20686;
BgL_tmpz00_20686 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20686, BgL_locz00_11238); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13790;
BgL_rz00_13790 = 
PROCEDURE_ENTRY(BgL_fz00_13733)(BgL_fz00_13733, BgL_a1z00_13734, BgL_a2z00_13735, BgL_a3z00_13736, BgL_a4z00_13737, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11241),((long)0),BgL_bpz00_13732); 
return BgL_rz00_13790;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11238, BgL_symbzd2funzd2_11239, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13733));} } } } } } } } 

}



/* &<@anonymous:2502> */
obj_t BGl_z62zc3z04anonymousza32502ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11242, obj_t BgL_sz00_11251)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_funz00_11243; obj_t BgL_a1z00_11244; obj_t BgL_a2z00_11245; obj_t BgL_a3z00_11246; obj_t BgL_a4z00_11247; obj_t BgL_locz00_11248; obj_t BgL_symbzd2funzd2_11249; long BgL_siza7eza7_11250;
BgL_funz00_11243 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)0))); 
BgL_a1z00_11244 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)1))); 
BgL_a2z00_11245 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)2))); 
BgL_a3z00_11246 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)3))); 
BgL_a4z00_11247 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)4))); 
BgL_locz00_11248 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)5))); 
BgL_symbzd2funzd2_11249 = 
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)6))); 
BgL_siza7eza7_11250 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11242, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_bpz00_13791;
BgL_bpz00_13791 = 
VECTOR_REF(
((obj_t)BgL_sz00_11251),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_fz00_13792; obj_t BgL_a1z00_13793; obj_t BgL_a2z00_13794; obj_t BgL_a3z00_13795; obj_t BgL_a4z00_13796;
BgL_fz00_13792 = 
PROCEDURE_ENTRY(BgL_funz00_11243)(BgL_funz00_11243, BgL_sz00_11251, BEOA); 
BgL_a1z00_13793 = 
PROCEDURE_ENTRY(BgL_a1z00_11244)(BgL_a1z00_11244, BgL_sz00_11251, BEOA); 
BgL_a2z00_13794 = 
PROCEDURE_ENTRY(BgL_a2z00_11245)(BgL_a2z00_11245, BgL_sz00_11251, BEOA); 
BgL_a3z00_13795 = 
PROCEDURE_ENTRY(BgL_a3z00_11246)(BgL_a3z00_11246, BgL_sz00_11251, BEOA); 
BgL_a4z00_13796 = 
PROCEDURE_ENTRY(BgL_a4z00_11247)(BgL_a4z00_11247, BgL_sz00_11251, BEOA); 
if(
PROCEDUREP(BgL_fz00_13792))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_11248, BGl_string4324z00zz__evaluate_compz00, BGl_string4340z00zz__evaluate_compz00, BgL_fz00_13792); } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ufz00_13797;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_tmpz00_20743;
BgL_tmpz00_20743 = 
((obj_t)BgL_fz00_13792); 
BgL_ufz00_13797 = 
PROCEDURE_ATTR(BgL_tmpz00_20743); } 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4872z00_20746;
if(
STRUCTP(BgL_ufz00_13797))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4872z00_20746 = 
(
STRUCT_KEY(BgL_ufz00_13797)==BGl_symbol4341z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test4872z00_20746 = ((bool_t)0)
; } 
if(BgL_test4872z00_20746)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arityz00_13798; obj_t BgL_runz00_13799; obj_t BgL_sfz00_13800;
BgL_arityz00_13798 = 
STRUCT_REF(BgL_ufz00_13797, 
(int)(((long)0))); 
BgL_runz00_13799 = 
STRUCT_REF(BgL_ufz00_13797, 
(int)(((long)1))); 
BgL_sfz00_13800 = 
STRUCT_REF(BgL_ufz00_13797, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_spz00_13801;
BgL_spz00_13801 = 
(
(long)CINT(BgL_bpz00_13791)+BgL_siza7eza7_11250); 
if(
(
(long)CINT(BgL_arityz00_13798)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2506z00_13802;
BgL_arg2506z00_13802 = 
(BgL_spz00_13801+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2506z00_13802,BgL_a1z00_13793); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2507z00_13803;
BgL_arg2507z00_13803 = 
(BgL_spz00_13801+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2507z00_13803,BgL_a2z00_13794); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2508z00_13804;
BgL_arg2508z00_13804 = 
(BgL_spz00_13801+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2508z00_13804,BgL_a3z00_13795); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2509z00_13805;
BgL_arg2509z00_13805 = 
(BgL_spz00_13801+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2509z00_13805,BgL_a4z00_13796); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13798))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13798)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2511z00_13808; obj_t BgL_arg2512z00_13809;
BgL_arg2511z00_13808 = 
(BgL_spz00_13801+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2513z00_13810;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2514z00_13811;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2515z00_13812;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2516z00_13813;
BgL_arg2516z00_13813 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13796, BNIL); 
BgL_arg2515z00_13812 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13795, BgL_arg2516z00_13813); } 
BgL_arg2514z00_13811 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13794, BgL_arg2515z00_13812); } 
BgL_list2513z00_13810 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13793, BgL_arg2514z00_13811); } 
BgL_arg2512z00_13809 = BgL_list2513z00_13810; } 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2511z00_13808,BgL_arg2512z00_13809); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2517z00_13814;
BgL_arg2517z00_13814 = 
(BgL_spz00_13801+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2517z00_13814,BgL_a1z00_13793); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2518z00_13815; obj_t BgL_arg2519z00_13816;
BgL_arg2518z00_13815 = 
(BgL_spz00_13801+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2520z00_13817;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2521z00_13818;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2522z00_13819;
BgL_arg2522z00_13819 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13796, BNIL); 
BgL_arg2521z00_13818 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13795, BgL_arg2522z00_13819); } 
BgL_list2520z00_13817 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13794, BgL_arg2521z00_13818); } 
BgL_arg2519z00_13816 = BgL_list2520z00_13817; } 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2518z00_13815,BgL_arg2519z00_13816); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2523z00_13820;
BgL_arg2523z00_13820 = 
(BgL_spz00_13801+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2523z00_13820,BgL_a1z00_13793); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2524z00_13821;
BgL_arg2524z00_13821 = 
(BgL_spz00_13801+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2524z00_13821,BgL_a2z00_13794); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2525z00_13822; obj_t BgL_arg2526z00_13823;
BgL_arg2525z00_13822 = 
(BgL_spz00_13801+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2527z00_13824;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2528z00_13825;
BgL_arg2528z00_13825 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13796, BNIL); 
BgL_list2527z00_13824 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13795, BgL_arg2528z00_13825); } 
BgL_arg2526z00_13823 = BgL_list2527z00_13824; } 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2525z00_13822,BgL_arg2526z00_13823); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2529z00_13826;
BgL_arg2529z00_13826 = 
(BgL_spz00_13801+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2529z00_13826,BgL_a1z00_13793); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2530z00_13827;
BgL_arg2530z00_13827 = 
(BgL_spz00_13801+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2530z00_13827,BgL_a2z00_13794); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2531z00_13828;
BgL_arg2531z00_13828 = 
(BgL_spz00_13801+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2531z00_13828,BgL_a3z00_13795); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2532z00_13829; obj_t BgL_arg2533z00_13830;
BgL_arg2532z00_13829 = 
(BgL_spz00_13801+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_list2534z00_13831;
BgL_list2534z00_13831 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13796, BNIL); 
BgL_arg2533z00_13830 = BgL_list2534z00_13831; } 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2532z00_13829,BgL_arg2533z00_13830); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2535z00_13832;
BgL_arg2535z00_13832 = 
(BgL_spz00_13801+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2535z00_13832,BgL_a1z00_13793); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2536z00_13833;
BgL_arg2536z00_13833 = 
(BgL_spz00_13801+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2536z00_13833,BgL_a2z00_13794); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2537z00_13834;
BgL_arg2537z00_13834 = 
(BgL_spz00_13801+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2537z00_13834,BgL_a3z00_13795); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2538z00_13835;
BgL_arg2538z00_13835 = 
(BgL_spz00_13801+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2538z00_13835,BgL_a4z00_13796); } 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2539z00_13836; obj_t BgL_arg2540z00_13837;
BgL_arg2539z00_13836 = 
(BgL_spz00_13801+((long)4)); 
BgL_arg2540z00_13837 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_11251),BgL_arg2539z00_13836,BgL_arg2540z00_13837); } break;
default: 
BgL_case_else1216z00_13806:
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg2542z00_13807;
BgL_arg2542z00_13807 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13797), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11248, BgL_arg2542z00_13807, 
(int)(((long)4)), 
CINT(BgL_arityz00_13798)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1216z00_13806;} } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_z12denvz12_13838;
BgL_z12denvz12_13838 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_11251, 
BINT(BgL_spz00_13801), BgL_sfz00_13800))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13799, BgL_sz00_11251, 
BINT(BgL_spz00_13801));}  else 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_nsz00_13839;
BgL_nsz00_13839 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_arg2544z00_13840;
BgL_arg2544z00_13840 = 
(BgL_spz00_13801+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13839, ((long)2), BgL_sz00_11251, 
BINT(BgL_spz00_13801), 
BINT(BgL_arg2544z00_13840)); } 
VECTOR_SET(BgL_nsz00_13839,((long)1),BgL_sz00_11251); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13838, BgL_nsz00_13839); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_ez00_13841;
BgL_ez00_13841 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4071z00_13842;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4072z00_13843;
BgL_arg4072z00_13843 = 
BGL_EXITD_PROTECT(BgL_ez00_13841); 
BgL_arg4071z00_13842 = 
MAKE_YOUNG_PAIR(BgL_sz00_11251, BgL_arg4072z00_13843); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13841, BgL_arg4071z00_13842); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_____rz00_13844;
BgL_____rz00_13844 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13799, BgL_nsz00_13839, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
 bool_t BgL_test4877z00_20858;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4070z00_13845;
BgL_arg4070z00_13845 = 
BGL_EXITD_PROTECT(BgL_ez00_13841); 
BgL_test4877z00_20858 = 
PAIRP(BgL_arg4070z00_13845); } 
if(BgL_test4877z00_20858)
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4068z00_13846;
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_arg4069z00_13847;
BgL_arg4069z00_13847 = 
BGL_EXITD_PROTECT(BgL_ez00_13841); 
BgL_arg4068z00_13846 = 
CDR(
((obj_t)BgL_arg4069z00_13847)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_13841, BgL_arg4068z00_13846); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 896 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13838, BgL_sz00_11251); 
return BgL_____rz00_13844;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13792, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
 long BgL_nbpz00_13848;
BgL_nbpz00_13848 = 
(
(long)CINT(BgL_bpz00_13791)+BgL_siza7eza7_11250); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),((long)0),
BINT(BgL_nbpz00_13848)); 
{ /* Eval/evaluate_comp.scm 896 */
 obj_t BgL_rz00_13849;
BgL_rz00_13849 = 
PROCEDURE_ENTRY(BgL_fz00_13792)(BgL_fz00_13792, BgL_a1z00_13793, BgL_a2z00_13794, BgL_a3z00_13795, BgL_a4z00_13796, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_11251),((long)0),BgL_bpz00_13791); 
return BgL_rz00_13849;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_11248, BgL_symbzd2funzd2_11249, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13792));} } } } } } } } 

}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{
{ /* Eval/evaluate_comp.scm 899 */
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_test4879z00_20886;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_classz00_8056;
BgL_classz00_8056 = BGl_ev_globalz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 901 */
 BgL_objectz00_bglt BgL_arg4054z00_8058;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_tmpz00_20887;
BgL_tmpz00_20887 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg4054z00_8058 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20887); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_arg4051z00_8061; bool_t BgL_arg4052z00_8062;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_idxz00_8065;
BgL_idxz00_8065 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8058); 
BgL_arg4051z00_8061 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8065+((long)2)))==BgL_classz00_8056); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL_res4173z00_8087;
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_oclassz00_8073;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg4061z00_8079;
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_arg4062z00_8080;
BgL_arg4062z00_8080 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8058); 
BgL_arg4061z00_8079 = 
(BgL_arg4062z00_8080-OBJECT_TYPE); } 
BgL_oclassz00_8073 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8079); } 
{ /* Eval/evaluate_comp.scm 901 */
 bool_t BgL__ortest_1293z00_8074;
BgL__ortest_1293z00_8074 = 
(BgL_classz00_8056==BgL_oclassz00_8073); 
if(BgL__ortest_1293z00_8074)
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4173z00_8087 = BgL__ortest_1293z00_8074; }  else 
{ /* Eval/evaluate_comp.scm 901 */
 long BgL_odepthz00_8075;
BgL_odepthz00_8075 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8073); 
if(
(((long)2)<BgL_odepthz00_8075))
{ /* Eval/evaluate_comp.scm 901 */
 obj_t BgL_arg4050z00_8077;
BgL_arg4050z00_8077 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8073, ((long)2)); 
BgL_res4173z00_8087 = 
(BgL_arg4050z00_8077==BgL_classz00_8056); }  else 
{ /* Eval/evaluate_comp.scm 901 */
BgL_res4173z00_8087 = ((bool_t)0); } } } } 
BgL_arg4052z00_8062 = BgL_res4173z00_8087; } 
BgL_test4879z00_20886 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8061, BgL_arg4052z00_8062); } } } 
if(BgL_test4879z00_20886)
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_gz00_3077;
{ /* Eval/evaluate_comp.scm 903 */
 obj_t BgL_arg2554z00_3085; obj_t BgL_arg2555z00_3086;
BgL_arg2554z00_3085 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2555z00_3086 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3077 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2554z00_3085, BgL_arg2555z00_3086); } 
if(
CBOOL(BgL_gz00_3077))
{ /* Eval/evaluate_comp.scm 905 */
 bool_t BgL_test4883z00_20913;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_arg2553z00_3084;
{ /* Eval/evaluate_comp.scm 905 */
 int BgL_res4174z00_8090;
BgL_res4174z00_8090 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3077),((long)0))); 
BgL_arg2553z00_3084 = BgL_res4174z00_8090; } 
BgL_test4883z00_20913 = 
(
(long)(BgL_arg2553z00_3084)==((long)0)); } 
if(BgL_test4883z00_20913)
{ /* Eval/evaluate_comp.scm 906 */
 obj_t BgL_valz00_3080;
BgL_valz00_3080 = 
VECTOR_REF(
((obj_t)BgL_gz00_3077),((long)2)); 
{ /* Eval/evaluate_comp.scm 907 */
 bool_t BgL_test4884z00_20921;
if(
PROCEDUREP(BgL_valz00_3080))
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4884z00_20921 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3080, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 907 */
BgL_test4884z00_20921 = ((bool_t)0)
; } 
if(BgL_test4884z00_20921)
{ /* Eval/evaluate_comp.scm 907 */
return BgL_valz00_3080;}  else 
{ /* Eval/evaluate_comp.scm 907 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 905 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 904 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4886z00_20926;
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_test4887z00_20927;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_classz00_8094;
BgL_classz00_8094 = BGl_ev_littz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_comp.scm 910 */
 BgL_objectz00_bglt BgL_arg4054z00_8096;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_tmpz00_20928;
BgL_tmpz00_20928 = 
((obj_t)
((BgL_objectz00_bglt)BgL_funz00_183)); 
BgL_arg4054z00_8096 = 
(BgL_objectz00_bglt)(BgL_tmpz00_20928); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_arg4051z00_8099; bool_t BgL_arg4052z00_8100;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_idxz00_8103;
BgL_idxz00_8103 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8096); 
BgL_arg4051z00_8099 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8103+((long)2)))==BgL_classz00_8094); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL_res4175z00_8125;
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_oclassz00_8111;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg4061z00_8117;
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_arg4062z00_8118;
BgL_arg4062z00_8118 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8096); 
BgL_arg4061z00_8117 = 
(BgL_arg4062z00_8118-OBJECT_TYPE); } 
BgL_oclassz00_8111 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8117); } 
{ /* Eval/evaluate_comp.scm 910 */
 bool_t BgL__ortest_1293z00_8112;
BgL__ortest_1293z00_8112 = 
(BgL_classz00_8094==BgL_oclassz00_8111); 
if(BgL__ortest_1293z00_8112)
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4175z00_8125 = BgL__ortest_1293z00_8112; }  else 
{ /* Eval/evaluate_comp.scm 910 */
 long BgL_odepthz00_8113;
BgL_odepthz00_8113 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8111); 
if(
(((long)2)<BgL_odepthz00_8113))
{ /* Eval/evaluate_comp.scm 910 */
 obj_t BgL_arg4050z00_8115;
BgL_arg4050z00_8115 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8111, ((long)2)); 
BgL_res4175z00_8125 = 
(BgL_arg4050z00_8115==BgL_classz00_8094); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_res4175z00_8125 = ((bool_t)0); } } } } 
BgL_arg4052z00_8100 = BgL_res4175z00_8125; } 
BgL_test4887z00_20927 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8099, BgL_arg4052z00_8100); } } } 
if(BgL_test4887z00_20927)
{ /* Eval/evaluate_comp.scm 911 */
 obj_t BgL_tmpz00_20947;
BgL_tmpz00_20947 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4886z00_20926 = 
PROCEDUREP(BgL_tmpz00_20947); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_test4886z00_20926 = ((bool_t)0)
; } } 
if(BgL_test4886z00_20926)
{ /* Eval/evaluate_comp.scm 913 */
 bool_t BgL_test4890z00_20951;
{ /* Eval/evaluate_comp.scm 913 */
 obj_t BgL_arg2563z00_3096;
BgL_arg2563z00_3096 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test4890z00_20951 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2563z00_3096, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_test4890z00_20951)
{ /* Eval/evaluate_comp.scm 913 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 915 */
 int BgL_arg2561z00_3094;
{ /* Eval/evaluate_comp.scm 915 */
 obj_t BgL_arg2562z00_3095;
BgL_arg2562z00_3095 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2561z00_3094 = 
PROCEDURE_ARITY(BgL_arg2562z00_3095); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2561z00_3094);} }  else 
{ /* Eval/evaluate_comp.scm 910 */
return BFALSE;} } } } 

}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{
{ /* Eval/evaluate_comp.scm 918 */
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_test4891z00_20963;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_classz00_8131;
BgL_classz00_8131 = BGl_ev_littz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 925 */
 BgL_objectz00_bglt BgL_arg4054z00_8133;
BgL_arg4054z00_8133 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_arg4051z00_8136; bool_t BgL_arg4052z00_8137;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_idxz00_8140;
BgL_idxz00_8140 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8133); 
BgL_arg4051z00_8136 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8140+((long)2)))==BgL_classz00_8131); } 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL_res4176z00_8162;
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_oclassz00_8148;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg4061z00_8154;
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_arg4062z00_8155;
BgL_arg4062z00_8155 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8133); 
BgL_arg4061z00_8154 = 
(BgL_arg4062z00_8155-OBJECT_TYPE); } 
BgL_oclassz00_8148 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8154); } 
{ /* Eval/evaluate_comp.scm 925 */
 bool_t BgL__ortest_1293z00_8149;
BgL__ortest_1293z00_8149 = 
(BgL_classz00_8131==BgL_oclassz00_8148); 
if(BgL__ortest_1293z00_8149)
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4176z00_8162 = BgL__ortest_1293z00_8149; }  else 
{ /* Eval/evaluate_comp.scm 925 */
 long BgL_odepthz00_8150;
BgL_odepthz00_8150 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8148); 
if(
(((long)2)<BgL_odepthz00_8150))
{ /* Eval/evaluate_comp.scm 925 */
 obj_t BgL_arg4050z00_8152;
BgL_arg4050z00_8152 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8148, ((long)2)); 
BgL_res4176z00_8162 = 
(BgL_arg4050z00_8152==BgL_classz00_8131); }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_res4176z00_8162 = ((bool_t)0); } } } } 
BgL_arg4052z00_8137 = BgL_res4176z00_8162; } 
BgL_test4891z00_20963 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8136, BgL_arg4052z00_8137); } }  else 
{ /* Eval/evaluate_comp.scm 925 */
BgL_test4891z00_20963 = ((bool_t)0)
; } } 
if(BgL_test4891z00_20963)
{ /* Eval/evaluate_comp.scm 925 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 927 */
 obj_t BgL_v1357z00_3106;
BgL_v1357z00_3106 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1357z00_3106,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 927 */
 double BgL_arg2568z00_3107;
BgL_arg2568z00_3107 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1357z00_3106,((long)1),
DOUBLE_TO_REAL(BgL_arg2568z00_3107)); } 
return BgL_v1357z00_3106;}  else 
{ /* Eval/evaluate_comp.scm 928 */
 bool_t BgL_test4896z00_20995;
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_tmpz00_20996;
BgL_tmpz00_20996 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_test4896z00_20995 = 
REALP(BgL_tmpz00_20996); } 
if(BgL_test4896z00_20995)
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_v1358z00_3111;
BgL_v1358z00_3111 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3111,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 928 */
 obj_t BgL_arg2572z00_3112;
BgL_arg2572z00_3112 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1358z00_3111,((long)1),BgL_arg2572z00_3112); } 
return BgL_v1358z00_3111;}  else 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_v1359z00_3113;
BgL_v1359z00_3113 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1359z00_3113,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 929 */
 obj_t BgL_arg2573z00_3114;
BgL_arg2573z00_3114 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1359z00_3113,((long)1),BgL_arg2573z00_3114); } 
return BgL_v1359z00_3113;} } }  else 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_test4897z00_21012;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_classz00_8170;
BgL_classz00_8170 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 930 */
 BgL_objectz00_bglt BgL_arg4054z00_8172;
BgL_arg4054z00_8172 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_arg4051z00_8175; bool_t BgL_arg4052z00_8176;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_idxz00_8179;
BgL_idxz00_8179 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8172); 
BgL_arg4051z00_8175 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8179+((long)2)))==BgL_classz00_8170); } 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL_res4177z00_8201;
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_oclassz00_8187;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg4061z00_8193;
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_arg4062z00_8194;
BgL_arg4062z00_8194 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8172); 
BgL_arg4061z00_8193 = 
(BgL_arg4062z00_8194-OBJECT_TYPE); } 
BgL_oclassz00_8187 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8193); } 
{ /* Eval/evaluate_comp.scm 930 */
 bool_t BgL__ortest_1293z00_8188;
BgL__ortest_1293z00_8188 = 
(BgL_classz00_8170==BgL_oclassz00_8187); 
if(BgL__ortest_1293z00_8188)
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4177z00_8201 = BgL__ortest_1293z00_8188; }  else 
{ /* Eval/evaluate_comp.scm 930 */
 long BgL_odepthz00_8189;
BgL_odepthz00_8189 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8187); 
if(
(((long)2)<BgL_odepthz00_8189))
{ /* Eval/evaluate_comp.scm 930 */
 obj_t BgL_arg4050z00_8191;
BgL_arg4050z00_8191 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8187, ((long)2)); 
BgL_res4177z00_8201 = 
(BgL_arg4050z00_8191==BgL_classz00_8170); }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_res4177z00_8201 = ((bool_t)0); } } } } 
BgL_arg4052z00_8176 = BgL_res4177z00_8201; } 
BgL_test4897z00_21012 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8175, BgL_arg4052z00_8176); } }  else 
{ /* Eval/evaluate_comp.scm 930 */
BgL_test4897z00_21012 = ((bool_t)0)
; } } 
if(BgL_test4897z00_21012)
{ /* Eval/evaluate_comp.scm 930 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 933 */
 obj_t BgL_v1360z00_3120;
BgL_v1360z00_3120 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1360z00_3120,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1360z00_3120,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1360z00_3120;}  else 
{ /* Eval/evaluate_comp.scm 934 */
 obj_t BgL_v1361z00_3122;
BgL_v1361z00_3122 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1361z00_3122,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1361z00_3122,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1361z00_3122;} }  else 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_test4902z00_21045;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_classz00_8206;
BgL_classz00_8206 = BGl_ev_globalz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 935 */
 BgL_objectz00_bglt BgL_arg4054z00_8208;
BgL_arg4054z00_8208 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_arg4051z00_8211; bool_t BgL_arg4052z00_8212;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_idxz00_8215;
BgL_idxz00_8215 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8208); 
BgL_arg4051z00_8211 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8215+((long)2)))==BgL_classz00_8206); } 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL_res4178z00_8237;
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_oclassz00_8223;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg4061z00_8229;
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_arg4062z00_8230;
BgL_arg4062z00_8230 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8208); 
BgL_arg4061z00_8229 = 
(BgL_arg4062z00_8230-OBJECT_TYPE); } 
BgL_oclassz00_8223 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8229); } 
{ /* Eval/evaluate_comp.scm 935 */
 bool_t BgL__ortest_1293z00_8224;
BgL__ortest_1293z00_8224 = 
(BgL_classz00_8206==BgL_oclassz00_8223); 
if(BgL__ortest_1293z00_8224)
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4178z00_8237 = BgL__ortest_1293z00_8224; }  else 
{ /* Eval/evaluate_comp.scm 935 */
 long BgL_odepthz00_8225;
BgL_odepthz00_8225 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8223); 
if(
(((long)2)<BgL_odepthz00_8225))
{ /* Eval/evaluate_comp.scm 935 */
 obj_t BgL_arg4050z00_8227;
BgL_arg4050z00_8227 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8223, ((long)2)); 
BgL_res4178z00_8237 = 
(BgL_arg4050z00_8227==BgL_classz00_8206); }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_res4178z00_8237 = ((bool_t)0); } } } } 
BgL_arg4052z00_8212 = BgL_res4178z00_8237; } 
BgL_test4902z00_21045 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8211, BgL_arg4052z00_8212); } }  else 
{ /* Eval/evaluate_comp.scm 935 */
BgL_test4902z00_21045 = ((bool_t)0)
; } } 
if(BgL_test4902z00_21045)
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_gz00_3126;
{ /* Eval/evaluate_comp.scm 937 */
 obj_t BgL_arg2585z00_3134; obj_t BgL_arg2586z00_3135;
BgL_arg2585z00_3134 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2586z00_3135 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3126 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2585z00_3134, BgL_arg2586z00_3135); } 
if(
CBOOL(BgL_gz00_3126))
{ /* Eval/evaluate_comp.scm 939 */
 bool_t BgL_test4907z00_21071;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_arg2583z00_3131;
{ /* Eval/evaluate_comp.scm 939 */
 int BgL_res4179z00_8240;
BgL_res4179z00_8240 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3126),((long)0))); 
BgL_arg2583z00_3131 = BgL_res4179z00_8240; } 
BgL_test4907z00_21071 = 
(
BINT(BgL_arg2583z00_3131)==
BINT(((long)1))); } 
if(BgL_test4907z00_21071)
{ /* Eval/evaluate_comp.scm 940 */
 obj_t BgL_v1362z00_3129;
BgL_v1362z00_3129 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1362z00_3129,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1362z00_3129,((long)1),BgL_gz00_3126); 
return BgL_v1362z00_3129;}  else 
{ /* Eval/evaluate_comp.scm 941 */
 obj_t BgL_v1363z00_3130;
BgL_v1363z00_3130 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1363z00_3130,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1363z00_3130,((long)1),BgL_gz00_3126); 
return BgL_v1363z00_3130;} }  else 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_v1364z00_3132;
BgL_v1364z00_3132 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1364z00_3132,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 942 */
 obj_t BgL_arg2584z00_3133;
BgL_arg2584z00_3133 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1364z00_3132,((long)1),BgL_arg2584z00_3133); } 
return BgL_v1364z00_3132;} }  else 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_test4908z00_21092;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_classz00_8247;
BgL_classz00_8247 = BGl_ev_appz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_exprz00_187))
{ /* Eval/evaluate_comp.scm 943 */
 BgL_objectz00_bglt BgL_arg4054z00_8249;
BgL_arg4054z00_8249 = 
(BgL_objectz00_bglt)(BgL_exprz00_187); 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_arg4051z00_8252; bool_t BgL_arg4052z00_8253;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_idxz00_8256;
BgL_idxz00_8256 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_8249); 
BgL_arg4051z00_8252 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_8256+((long)2)))==BgL_classz00_8247); } 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL_res4180z00_8278;
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_oclassz00_8264;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg4061z00_8270;
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_arg4062z00_8271;
BgL_arg4062z00_8271 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_8249); 
BgL_arg4061z00_8270 = 
(BgL_arg4062z00_8271-OBJECT_TYPE); } 
BgL_oclassz00_8264 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_8270); } 
{ /* Eval/evaluate_comp.scm 943 */
 bool_t BgL__ortest_1293z00_8265;
BgL__ortest_1293z00_8265 = 
(BgL_classz00_8247==BgL_oclassz00_8264); 
if(BgL__ortest_1293z00_8265)
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4180z00_8278 = BgL__ortest_1293z00_8265; }  else 
{ /* Eval/evaluate_comp.scm 943 */
 long BgL_odepthz00_8266;
BgL_odepthz00_8266 = 
BGL_CLASS_DEPTH(BgL_oclassz00_8264); 
if(
(((long)2)<BgL_odepthz00_8266))
{ /* Eval/evaluate_comp.scm 943 */
 obj_t BgL_arg4050z00_8268;
BgL_arg4050z00_8268 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_8264, ((long)2)); 
BgL_res4180z00_8278 = 
(BgL_arg4050z00_8268==BgL_classz00_8247); }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_res4180z00_8278 = ((bool_t)0); } } } } 
BgL_arg4052z00_8253 = BgL_res4180z00_8278; } 
BgL_test4908z00_21092 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_8252, BgL_arg4052z00_8253); } }  else 
{ /* Eval/evaluate_comp.scm 943 */
BgL_test4908z00_21092 = ((bool_t)0)
; } } 
if(BgL_test4908z00_21092)
{ /* Eval/evaluate_comp.scm 945 */
 obj_t BgL_fvalz00_3138;
{ /* Eval/evaluate_comp.scm 945 */
 BgL_ev_exprz00_bglt BgL_arg2640z00_3198;
BgL_arg2640z00_3198 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3138 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2640z00_3198); } 
if(
(BgL_fvalz00_3138==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 947 */
{ /* Eval/evaluate_comp.scm 948 */
 obj_t BgL_arg2589z00_3140; BgL_ev_exprz00_bglt BgL_arg2590z00_3141; obj_t BgL_arg2591z00_3142;
BgL_arg2589z00_3140 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2590z00_3141 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2591z00_3142 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2589z00_3140, BgL_arg2590z00_3141, BgL_arg2591z00_3142); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_v1365z00_3143;
BgL_v1365z00_3143 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1365z00_3143,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2592z00_3144;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2593z00_3145;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8280;
BgL_pairz00_8280 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2593z00_3145 = 
CAR(BgL_pairz00_8280); } 
BgL_arg2592z00_3144 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2593z00_3145, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1365z00_3143,((long)1),BgL_arg2592z00_3144); } 
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2595z00_3147;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_arg2596z00_3148;
{ /* Eval/evaluate_comp.scm 949 */
 obj_t BgL_pairz00_8282;
BgL_pairz00_8282 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2596z00_3148 = 
CAR(
CDR(BgL_pairz00_8282)); } 
BgL_arg2595z00_3147 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2596z00_3148, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1365z00_3143,((long)2),BgL_arg2595z00_3147); } 
return BgL_v1365z00_3143;} }  else 
{ /* Eval/evaluate_comp.scm 947 */
if(
(BgL_fvalz00_3138==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 950 */
{ /* Eval/evaluate_comp.scm 951 */
 obj_t BgL_arg2599z00_3151; BgL_ev_exprz00_bglt BgL_arg2600z00_3152; obj_t BgL_arg2601z00_3153;
BgL_arg2599z00_3151 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2600z00_3152 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2601z00_3153 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2599z00_3151, BgL_arg2600z00_3152, BgL_arg2601z00_3153); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_v1366z00_3154;
BgL_v1366z00_3154 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1366z00_3154,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2602z00_3155;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2603z00_3156;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8288;
BgL_pairz00_8288 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2603z00_3156 = 
CAR(BgL_pairz00_8288); } 
BgL_arg2602z00_3155 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2603z00_3156, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1366z00_3154,((long)1),BgL_arg2602z00_3155); } 
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2605z00_3158;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_arg2606z00_3159;
{ /* Eval/evaluate_comp.scm 952 */
 obj_t BgL_pairz00_8290;
BgL_pairz00_8290 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2606z00_3159 = 
CAR(
CDR(BgL_pairz00_8290)); } 
BgL_arg2605z00_3158 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2606z00_3159, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1366z00_3154,((long)2),BgL_arg2605z00_3158); } 
return BgL_v1366z00_3154;} }  else 
{ /* Eval/evaluate_comp.scm 950 */
if(
(BgL_fvalz00_3138==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 953 */
{ /* Eval/evaluate_comp.scm 954 */
 obj_t BgL_arg2609z00_3162; BgL_ev_exprz00_bglt BgL_arg2610z00_3163; obj_t BgL_arg2611z00_3164;
BgL_arg2609z00_3162 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2610z00_3163 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2611z00_3164 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2609z00_3162, BgL_arg2610z00_3163, BgL_arg2611z00_3164); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_v1367z00_3165;
BgL_v1367z00_3165 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1367z00_3165,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2612z00_3166;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2613z00_3167;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8296;
BgL_pairz00_8296 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2613z00_3167 = 
CAR(BgL_pairz00_8296); } 
BgL_arg2612z00_3166 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2613z00_3167, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1367z00_3165,((long)1),BgL_arg2612z00_3166); } 
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2615z00_3169;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_arg2616z00_3170;
{ /* Eval/evaluate_comp.scm 955 */
 obj_t BgL_pairz00_8298;
BgL_pairz00_8298 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2616z00_3170 = 
CAR(
CDR(BgL_pairz00_8298)); } 
BgL_arg2615z00_3169 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2616z00_3170, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1367z00_3165,((long)2),BgL_arg2615z00_3169); } 
return BgL_v1367z00_3165;} }  else 
{ /* Eval/evaluate_comp.scm 953 */
if(
(BgL_fvalz00_3138==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 956 */
{ /* Eval/evaluate_comp.scm 957 */
 obj_t BgL_arg2619z00_3173; BgL_ev_exprz00_bglt BgL_arg2620z00_3174; obj_t BgL_arg2621z00_3175;
BgL_arg2619z00_3173 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_locz00); 
BgL_arg2620z00_3174 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_arg2621z00_3175 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(BgL_arg2619z00_3173, BgL_arg2620z00_3174, BgL_arg2621z00_3175); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_v1368z00_3176;
BgL_v1368z00_3176 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1368z00_3176,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2622z00_3177;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2623z00_3178;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8304;
BgL_pairz00_8304 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2623z00_3178 = 
CAR(BgL_pairz00_8304); } 
BgL_arg2622z00_3177 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2623z00_3178, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1368z00_3176,((long)1),BgL_arg2622z00_3177); } 
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2625z00_3180;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_arg2626z00_3181;
{ /* Eval/evaluate_comp.scm 958 */
 obj_t BgL_pairz00_8306;
BgL_pairz00_8306 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2626z00_3181 = 
CAR(
CDR(BgL_pairz00_8306)); } 
BgL_arg2625z00_3180 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2626z00_3181, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1368z00_3176,((long)2),BgL_arg2625z00_3180); } 
return BgL_v1368z00_3176;} }  else 
{ /* Eval/evaluate_comp.scm 956 */
if(
(BgL_fvalz00_3138==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_v1369z00_3184;
BgL_v1369z00_3184 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1369z00_3184,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2629z00_3185;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_arg2630z00_3186;
{ /* Eval/evaluate_comp.scm 960 */
 obj_t BgL_pairz00_8312;
BgL_pairz00_8312 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2630z00_3186 = 
CAR(BgL_pairz00_8312); } 
BgL_arg2629z00_3185 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2630z00_3186), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1369z00_3184,((long)1),BgL_arg2629z00_3185); } 
return BgL_v1369z00_3184;}  else 
{ /* Eval/evaluate_comp.scm 959 */
if(
(BgL_fvalz00_3138==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_v1370z00_3189;
BgL_v1370z00_3189 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1370z00_3189,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2633z00_3190;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2634z00_3191;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8315;
BgL_pairz00_8315 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2634z00_3191 = 
CAR(BgL_pairz00_8315); } 
BgL_arg2633z00_3190 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2634z00_3191), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1370z00_3189,((long)1),BgL_arg2633z00_3190); } 
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2636z00_3193;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_arg2637z00_3194;
{ /* Eval/evaluate_comp.scm 962 */
 obj_t BgL_pairz00_8317;
BgL_pairz00_8317 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2637z00_3194 = 
CAR(
CDR(BgL_pairz00_8317)); } 
BgL_arg2636z00_3193 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2637z00_3194), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1370z00_3189,((long)2),BgL_arg2636z00_3193); } 
return BgL_v1370z00_3189;}  else 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_v1371z00_3196;
BgL_v1371z00_3196 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1371z00_3196,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 964 */
 obj_t BgL_arg2639z00_3197;
BgL_arg2639z00_3197 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1371z00_3196,((long)1),BgL_arg2639z00_3197); } 
return BgL_v1371z00_3196;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_v1372z00_3199;
BgL_v1372z00_3199 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1372z00_3199,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 965 */
 obj_t BgL_arg2641z00_3200;
BgL_arg2641z00_3200 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1372z00_3199,((long)1),BgL_arg2641z00_3200); } 
return BgL_v1372z00_3199;} } } } } } 

}



/* check-arity-binop~0 */
obj_t BGl_checkzd2arityzd2binopze70ze7zz__evaluate_compz00(obj_t BgL_locz00_3203, BgL_ev_exprz00_bglt BgL_funz00_3204, obj_t BgL_argsz00_3205)
{
{ /* Eval/evaluate_comp.scm 922 */
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4918z00_21247;
if(
PAIRP(BgL_argsz00_3205))
{ /* Eval/evaluate_comp.scm 921 */
 bool_t BgL_test4920z00_21250;
{ /* Eval/evaluate_comp.scm 921 */
 obj_t BgL_tmpz00_21251;
BgL_tmpz00_21251 = 
CDR(BgL_argsz00_3205); 
BgL_test4920z00_21250 = 
PAIRP(BgL_tmpz00_21251); } 
if(BgL_test4920z00_21250)
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4918z00_21247 = 
NULLP(
CDR(
CDR(BgL_argsz00_3205)))
; }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4918z00_21247 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 921 */
BgL_test4918z00_21247 = ((bool_t)0)
; } 
if(BgL_test4918z00_21247)
{ /* Eval/evaluate_comp.scm 921 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 922 */
 long BgL_arg2650z00_3213;
BgL_arg2650z00_3213 = 
bgl_list_length(BgL_argsz00_3205); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_3203, 
((obj_t)BgL_funz00_3204), 
(int)(((long)2)), 
(int)(BgL_arg2650z00_3213));} } } 

}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{
{ /* Eval/evaluate_comp.scm 967 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 

}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12903, obj_t BgL_bcz00_3221)
{
{ /* Eval/evaluate_comp.scm 982 */
{ 

{ /* Eval/evaluate_comp.scm 969 */
 obj_t BgL_aux1226z00_3224;
BgL_aux1226z00_3224 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)0)); 
if(
INTEGERP(BgL_aux1226z00_3224))
{ /* Eval/evaluate_comp.scm 969 */
switch( 
(long)CINT(BgL_aux1226z00_3224)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 970 */
 obj_t BgL_fun2655z00_3226;
BgL_fun2655z00_3226 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2655z00_3226)(BgL_fun2655z00_3226, BgL_sz00_12903, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 972 */
 long BgL_arg2656z00_3227;
{ /* Eval/evaluate_comp.scm 972 */
 obj_t BgL_arg2657z00_3228; obj_t BgL_arg2658z00_3229;
BgL_arg2657z00_3228 = 
VECTOR_REF(
((obj_t)BgL_sz00_12903),((long)0)); 
BgL_arg2658z00_3229 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2656z00_3227 = 
(
(long)CINT(BgL_arg2657z00_3228)+
(long)CINT(BgL_arg2658z00_3229)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12903),BgL_arg2656z00_3227);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2659z00_3230;
{ /* Eval/evaluate_comp.scm 973 */
 long BgL_arg2660z00_3231;
{ /* Eval/evaluate_comp.scm 973 */
 obj_t BgL_arg2661z00_3232; obj_t BgL_arg2662z00_3233;
BgL_arg2661z00_3232 = 
VECTOR_REF(
((obj_t)BgL_sz00_12903),((long)0)); 
BgL_arg2662z00_3233 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2660z00_3231 = 
(
(long)CINT(BgL_arg2661z00_3232)+
(long)CINT(BgL_arg2662z00_3233)); } 
BgL_arg2659z00_3230 = 
VECTOR_REF(
((obj_t)BgL_sz00_12903),BgL_arg2660z00_3231); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2659z00_3230), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2663z00_3234;
{ /* Eval/evaluate_comp.scm 974 */
 obj_t BgL_arg2664z00_3235;
BgL_arg2664z00_3235 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2663z00_3234 = 
VECTOR_REF(
((obj_t)BgL_arg2664z00_3235),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2663z00_3234);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 975 */
 obj_t BgL_arg2665z00_3236;
BgL_arg2665z00_3236 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2665z00_3236),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2666z00_3237; obj_t BgL_arg2667z00_3238;
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2668z00_3239;
BgL_arg2668z00_3239 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2666z00_3237 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2668z00_3239); } 
{ /* Eval/evaluate_comp.scm 976 */
 obj_t BgL_arg2669z00_3240;
BgL_arg2669z00_3240 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2667z00_3238 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2669z00_3240); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2666z00_3237)+
REAL_TO_DOUBLE(BgL_arg2667z00_3238)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2670z00_3241; obj_t BgL_arg2671z00_3242;
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2672z00_3243;
BgL_arg2672z00_3243 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2670z00_3241 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2672z00_3243); } 
{ /* Eval/evaluate_comp.scm 977 */
 obj_t BgL_arg2673z00_3244;
BgL_arg2673z00_3244 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2671z00_3242 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2673z00_3244); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2670z00_3241)-
REAL_TO_DOUBLE(BgL_arg2671z00_3242)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2674z00_3245; obj_t BgL_arg2675z00_3246;
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2676z00_3247;
BgL_arg2676z00_3247 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2674z00_3245 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2676z00_3247); } 
{ /* Eval/evaluate_comp.scm 978 */
 obj_t BgL_arg2677z00_3248;
BgL_arg2677z00_3248 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2675z00_3246 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2677z00_3248); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2674z00_3245)*
REAL_TO_DOUBLE(BgL_arg2675z00_3246)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2678z00_3249; obj_t BgL_arg2679z00_3250;
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2680z00_3251;
BgL_arg2680z00_3251 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2678z00_3249 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2680z00_3251); } 
{ /* Eval/evaluate_comp.scm 979 */
 obj_t BgL_arg2681z00_3252;
BgL_arg2681z00_3252 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2679z00_3250 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12903, BgL_arg2681z00_3252); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2678z00_3249)/
REAL_TO_DOUBLE(BgL_arg2679z00_3250)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_arg2682z00_3253;
{ /* Eval/evaluate_comp.scm 980 */
 obj_t BgL_fun2683z00_3254;
BgL_fun2683z00_3254 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2682z00_3253 = 
PROCEDURE_ENTRY(BgL_fun2683z00_3254)(BgL_fun2683z00_3254, BgL_sz00_12903, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2682z00_3253)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_arg2684z00_3255; obj_t BgL_arg2685z00_3256;
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2686z00_3257;
BgL_fun2686z00_3257 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)1)); 
BgL_arg2684z00_3255 = 
PROCEDURE_ENTRY(BgL_fun2686z00_3257)(BgL_fun2686z00_3257, BgL_sz00_12903, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 obj_t BgL_fun2687z00_3258;
BgL_fun2687z00_3258 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)2)); 
BgL_arg2685z00_3256 = 
PROCEDURE_ENTRY(BgL_fun2687z00_3258)(BgL_fun2687z00_3258, BgL_sz00_12903, BEOA); } 
{ /* Eval/evaluate_comp.scm 981 */
 double BgL_tmpz00_21367;
{ /* Eval/evaluate_comp.scm 981 */
 long BgL_tmpz00_21368;
BgL_tmpz00_21368 = 
(long)CINT(BgL_arg2685z00_3256); 
BgL_tmpz00_21367 = 
BGL_F64VREF(BgL_arg2684z00_3255, BgL_tmpz00_21368); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21367);} } break;
default: 
BgL_case_else1225z00_3223:
{ /* Eval/evaluate_comp.scm 982 */
 obj_t BgL_arg2688z00_3259;
BgL_arg2688z00_3259 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3221),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_string4343z00zz__evaluate_compz00, BgL_arg2688z00_3259);} } }  else 
{ /* Eval/evaluate_comp.scm 969 */
goto BgL_case_else1225z00_3223;} } } } 

}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{
{ /* Eval/evaluate_comp.scm 985 */
{ /* Eval/evaluate_comp.scm 987 */
 obj_t BgL_fvalz00_3262;
BgL_fvalz00_3262 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 988 */
 bool_t BgL_test4922z00_21379;
if(
(BgL_fvalz00_3262==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4922z00_21379 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3262==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4922z00_21379 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
if(
(BgL_fvalz00_3262==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4922z00_21379 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 988 */
BgL_test4922z00_21379 = 
(BgL_fvalz00_3262==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_test4922z00_21379)
{ /* Eval/evaluate_comp.scm 989 */
 obj_t BgL_bcz00_3267;
BgL_bcz00_3267 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_zc3z04anonymousza32693ze3z87_11269;
BgL_zc3z04anonymousza32693ze3z87_11269 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32693ze3z87_11269, 
(int)(((long)0)), BgL_bcz00_3267); 
return BgL_zc3z04anonymousza32693ze3z87_11269;} }  else 
{ /* Eval/evaluate_comp.scm 988 */
return BFALSE;} } } } 

}



/* &<@anonymous:2693> */
obj_t BGl_z62zc3z04anonymousza32693ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11270, obj_t BgL_sz00_11272)
{
{ /* Eval/evaluate_comp.scm 990 */
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bcz00_11271;
BgL_bcz00_11271 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11270, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 990 */
 double BgL_tmpz00_21397;
{ /* Eval/evaluate_comp.scm 990 */
 obj_t BgL_bpz00_13850;
BgL_bpz00_13850 = 
VECTOR_REF(
((obj_t)BgL_sz00_11272),((long)0)); 
BgL_tmpz00_21397 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_11271, BgL_sz00_11272); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21397);} } } 

}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{
{ /* Eval/evaluate_comp.scm 1019 */
{ /* Eval/evaluate_comp.scm 1020 */
 obj_t BgL_valz00_3275;
BgL_valz00_3275 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3275))
{ /* Eval/evaluate_comp.scm 1022 */
 long BgL_nz00_3276;
BgL_nz00_3276 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1023 */
 obj_t BgL__ortest_1232z00_3277;
if(
(BgL_nz00_3276==((long)1)))
{ /* Eval/evaluate_comp.scm 1024 */
 obj_t BgL_a1z00_3568;
BgL_a1z00_3568 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3275==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3570;
BgL_a1z00_3570 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32810ze3z87_11302;
BgL_zc3z04anonymousza32810ze3z87_11302 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32810ze3z87_11302, 
(int)(((long)0)), BgL_a1z00_3570); 
PROCEDURE_SET(BgL_zc3z04anonymousza32810ze3z87_11302, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32810ze3z87_11302; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3275==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3577;
BgL_a1z00_3577 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32813ze3z87_11303;
BgL_zc3z04anonymousza32813ze3z87_11303 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32813ze3z87_11303, 
(int)(((long)0)), BgL_a1z00_3577); 
PROCEDURE_SET(BgL_zc3z04anonymousza32813ze3z87_11303, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32813ze3z87_11303; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
if(
(BgL_valz00_3275==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_3584;
BgL_a1z00_3584 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3568), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_zc3z04anonymousza32816ze3z87_11304;
BgL_zc3z04anonymousza32816ze3z87_11304 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32816ze3z87_11304, 
(int)(((long)0)), BgL_a1z00_3584); 
PROCEDURE_SET(BgL_zc3z04anonymousza32816ze3z87_11304, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1232z00_3277 = BgL_zc3z04anonymousza32816ze3z87_11304; } }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BgL__ortest_1232z00_3277 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1023 */
BgL__ortest_1232z00_3277 = BFALSE; } 
if(
CBOOL(BgL__ortest_1232z00_3277))
{ /* Eval/evaluate_comp.scm 1023 */
return BgL__ortest_1232z00_3277;}  else 
{ /* Eval/evaluate_comp.scm 1023 */
if(
(BgL_nz00_3276==((long)2)))
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_a1z00_3279; obj_t BgL_a2z00_3280;
BgL_a1z00_3279 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1027 */
 obj_t BgL_pairz00_8386;
BgL_pairz00_8386 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3280 = 
CAR(BgL_pairz00_8386); } 
if(
(BgL_valz00_3275==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3282; obj_t BgL_a2z00_3283;
BgL_a1z00_3282 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3283 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32697ze3z87_11273;
BgL_zc3z04anonymousza32697ze3z87_11273 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11273, 
(int)(((long)0)), BgL_a1z00_3282); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11273, 
(int)(((long)1)), BgL_a2z00_3283); 
PROCEDURE_SET(BgL_zc3z04anonymousza32697ze3z87_11273, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32697ze3z87_11273;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3292; obj_t BgL_a2z00_3293;
BgL_a1z00_3292 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3293 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32701ze3z87_11274;
BgL_zc3z04anonymousza32701ze3z87_11274 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11274, 
(int)(((long)0)), BgL_a1z00_3292); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11274, 
(int)(((long)1)), BgL_a2z00_3293); 
PROCEDURE_SET(BgL_zc3z04anonymousza32701ze3z87_11274, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32701ze3z87_11274;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3302; obj_t BgL_a2z00_3303;
BgL_a1z00_3302 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3303 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32705ze3z87_11275;
BgL_zc3z04anonymousza32705ze3z87_11275 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11275, 
(int)(((long)0)), BgL_a1z00_3302); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11275, 
(int)(((long)1)), BgL_a2z00_3303); 
PROCEDURE_SET(BgL_zc3z04anonymousza32705ze3z87_11275, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32705ze3z87_11275;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3312; obj_t BgL_a2z00_3313;
BgL_a1z00_3312 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3313 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32709ze3z87_11276;
BgL_zc3z04anonymousza32709ze3z87_11276 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11276, 
(int)(((long)0)), BgL_a1z00_3312); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11276, 
(int)(((long)1)), BgL_a2z00_3313); 
PROCEDURE_SET(BgL_zc3z04anonymousza32709ze3z87_11276, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32709ze3z87_11276;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3322; obj_t BgL_a2z00_3323;
BgL_a1z00_3322 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3323 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32713ze3z87_11277;
BgL_zc3z04anonymousza32713ze3z87_11277 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11277, 
(int)(((long)0)), BgL_a1z00_3322); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11277, 
(int)(((long)1)), BgL_a2z00_3323); 
PROCEDURE_SET(BgL_zc3z04anonymousza32713ze3z87_11277, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32713ze3z87_11277;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3332; obj_t BgL_a2z00_3333;
BgL_a1z00_3332 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3333 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32717ze3z87_11278;
BgL_zc3z04anonymousza32717ze3z87_11278 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11278, 
(int)(((long)0)), BgL_a1z00_3332); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11278, 
(int)(((long)1)), BgL_a2z00_3333); 
PROCEDURE_SET(BgL_zc3z04anonymousza32717ze3z87_11278, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32717ze3z87_11278;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3342; obj_t BgL_a2z00_3343;
BgL_a1z00_3342 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3343 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32721ze3z87_11279;
BgL_zc3z04anonymousza32721ze3z87_11279 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11279, 
(int)(((long)0)), BgL_a1z00_3342); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11279, 
(int)(((long)1)), BgL_a2z00_3343); 
PROCEDURE_SET(BgL_zc3z04anonymousza32721ze3z87_11279, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32721ze3z87_11279;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3352; obj_t BgL_a2z00_3353;
BgL_a1z00_3352 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3353 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32725ze3z87_11280;
BgL_zc3z04anonymousza32725ze3z87_11280 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11280, 
(int)(((long)0)), BgL_a1z00_3352); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11280, 
(int)(((long)1)), BgL_a2z00_3353); 
PROCEDURE_SET(BgL_zc3z04anonymousza32725ze3z87_11280, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32725ze3z87_11280;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3362; obj_t BgL_a2z00_3363;
BgL_a1z00_3362 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3363 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32729ze3z87_11281;
BgL_zc3z04anonymousza32729ze3z87_11281 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11281, 
(int)(((long)0)), BgL_a1z00_3362); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11281, 
(int)(((long)1)), BgL_a2z00_3363); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_11281, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32729ze3z87_11281;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3372; obj_t BgL_a2z00_3373;
BgL_a1z00_3372 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3373 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32733ze3z87_11282;
BgL_zc3z04anonymousza32733ze3z87_11282 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11282, 
(int)(((long)0)), BgL_a1z00_3372); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11282, 
(int)(((long)1)), BgL_a2z00_3373); 
PROCEDURE_SET(BgL_zc3z04anonymousza32733ze3z87_11282, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32733ze3z87_11282;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3382; obj_t BgL_a2z00_3383;
BgL_a1z00_3382 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3383 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32737ze3z87_11283;
BgL_zc3z04anonymousza32737ze3z87_11283 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11283, 
(int)(((long)0)), BgL_a1z00_3382); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11283, 
(int)(((long)1)), BgL_a2z00_3383); 
PROCEDURE_SET(BgL_zc3z04anonymousza32737ze3z87_11283, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32737ze3z87_11283;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3392; obj_t BgL_a2z00_3393;
BgL_a1z00_3392 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3393 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32741ze3z87_11284;
BgL_zc3z04anonymousza32741ze3z87_11284 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11284, 
(int)(((long)0)), BgL_a1z00_3392); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11284, 
(int)(((long)1)), BgL_a2z00_3393); 
PROCEDURE_SET(BgL_zc3z04anonymousza32741ze3z87_11284, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32741ze3z87_11284;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3402; obj_t BgL_a2z00_3403;
BgL_a1z00_3402 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3403 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32745ze3z87_11285;
BgL_zc3z04anonymousza32745ze3z87_11285 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11285, 
(int)(((long)0)), BgL_a1z00_3402); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11285, 
(int)(((long)1)), BgL_a2z00_3403); 
PROCEDURE_SET(BgL_zc3z04anonymousza32745ze3z87_11285, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32745ze3z87_11285;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3412; obj_t BgL_a2z00_3413;
BgL_a1z00_3412 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3413 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32749ze3z87_11286;
BgL_zc3z04anonymousza32749ze3z87_11286 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11286, 
(int)(((long)0)), BgL_a1z00_3412); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11286, 
(int)(((long)1)), BgL_a2z00_3413); 
PROCEDURE_SET(BgL_zc3z04anonymousza32749ze3z87_11286, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32749ze3z87_11286;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3422; obj_t BgL_a2z00_3423;
BgL_a1z00_3422 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3423 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32753ze3z87_11287;
BgL_zc3z04anonymousza32753ze3z87_11287 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11287, 
(int)(((long)0)), BgL_a1z00_3422); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11287, 
(int)(((long)1)), BgL_a2z00_3423); 
PROCEDURE_SET(BgL_zc3z04anonymousza32753ze3z87_11287, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32753ze3z87_11287;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3432; obj_t BgL_a2z00_3433;
BgL_a1z00_3432 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3433 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32757ze3z87_11288;
BgL_zc3z04anonymousza32757ze3z87_11288 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11288, 
(int)(((long)0)), BgL_a1z00_3432); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11288, 
(int)(((long)1)), BgL_a2z00_3433); 
PROCEDURE_SET(BgL_zc3z04anonymousza32757ze3z87_11288, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32757ze3z87_11288;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3442; obj_t BgL_a2z00_3443;
BgL_a1z00_3442 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3443 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32761ze3z87_11289;
BgL_zc3z04anonymousza32761ze3z87_11289 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11289, 
(int)(((long)0)), BgL_a1z00_3442); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11289, 
(int)(((long)1)), BgL_a2z00_3443); 
PROCEDURE_SET(BgL_zc3z04anonymousza32761ze3z87_11289, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32761ze3z87_11289;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3452; obj_t BgL_a2z00_3453;
BgL_a1z00_3452 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3453 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32765ze3z87_11290;
BgL_zc3z04anonymousza32765ze3z87_11290 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11290, 
(int)(((long)0)), BgL_a1z00_3452); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11290, 
(int)(((long)1)), BgL_a2z00_3453); 
PROCEDURE_SET(BgL_zc3z04anonymousza32765ze3z87_11290, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32765ze3z87_11290;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3462; obj_t BgL_a2z00_3463;
BgL_a1z00_3462 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3463 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32769ze3z87_11291;
BgL_zc3z04anonymousza32769ze3z87_11291 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11291, 
(int)(((long)0)), BgL_a1z00_3462); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11291, 
(int)(((long)1)), BgL_a2z00_3463); 
PROCEDURE_SET(BgL_zc3z04anonymousza32769ze3z87_11291, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32769ze3z87_11291;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3472; obj_t BgL_a2z00_3473;
BgL_a1z00_3472 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3473 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32773ze3z87_11292;
BgL_zc3z04anonymousza32773ze3z87_11292 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11292, 
(int)(((long)0)), BgL_a1z00_3472); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11292, 
(int)(((long)1)), BgL_a2z00_3473); 
PROCEDURE_SET(BgL_zc3z04anonymousza32773ze3z87_11292, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32773ze3z87_11292;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3482; obj_t BgL_a2z00_3483;
BgL_a1z00_3482 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3483 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32777ze3z87_11293;
BgL_zc3z04anonymousza32777ze3z87_11293 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11293, 
(int)(((long)0)), BgL_a1z00_3482); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11293, 
(int)(((long)1)), BgL_a2z00_3483); 
PROCEDURE_SET(BgL_zc3z04anonymousza32777ze3z87_11293, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32777ze3z87_11293;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3492; obj_t BgL_a2z00_3493;
BgL_a1z00_3492 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3493 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32781ze3z87_11294;
BgL_zc3z04anonymousza32781ze3z87_11294 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11294, 
(int)(((long)0)), BgL_a1z00_3492); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11294, 
(int)(((long)1)), BgL_a2z00_3493); 
PROCEDURE_SET(BgL_zc3z04anonymousza32781ze3z87_11294, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32781ze3z87_11294;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3502; obj_t BgL_a2z00_3503;
BgL_a1z00_3502 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3503 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32785ze3z87_11295;
BgL_zc3z04anonymousza32785ze3z87_11295 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11295, 
(int)(((long)0)), BgL_a1z00_3502); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11295, 
(int)(((long)1)), BgL_a2z00_3503); 
PROCEDURE_SET(BgL_zc3z04anonymousza32785ze3z87_11295, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32785ze3z87_11295;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3512; obj_t BgL_a2z00_3513;
BgL_a1z00_3512 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3513 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32789ze3z87_11296;
BgL_zc3z04anonymousza32789ze3z87_11296 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11296, 
(int)(((long)0)), BgL_a1z00_3512); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11296, 
(int)(((long)1)), BgL_a2z00_3513); 
PROCEDURE_SET(BgL_zc3z04anonymousza32789ze3z87_11296, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32789ze3z87_11296;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3522; obj_t BgL_a2z00_3523;
BgL_a1z00_3522 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3523 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32793ze3z87_11297;
BgL_zc3z04anonymousza32793ze3z87_11297 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11297, 
(int)(((long)0)), BgL_a1z00_3522); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11297, 
(int)(((long)1)), BgL_a2z00_3523); 
PROCEDURE_SET(BgL_zc3z04anonymousza32793ze3z87_11297, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32793ze3z87_11297;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3532; obj_t BgL_a2z00_3533;
BgL_a1z00_3532 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3533 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32797ze3z87_11298;
BgL_zc3z04anonymousza32797ze3z87_11298 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11298, 
(int)(((long)0)), BgL_a1z00_3532); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11298, 
(int)(((long)1)), BgL_a2z00_3533); 
PROCEDURE_SET(BgL_zc3z04anonymousza32797ze3z87_11298, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32797ze3z87_11298;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3542; obj_t BgL_a2z00_3543;
BgL_a1z00_3542 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3543 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32801ze3z87_11299;
BgL_zc3z04anonymousza32801ze3z87_11299 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11299, 
(int)(((long)0)), BgL_a1z00_3542); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11299, 
(int)(((long)1)), BgL_a2z00_3543); 
PROCEDURE_SET(BgL_zc3z04anonymousza32801ze3z87_11299, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32801ze3z87_11299;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3552; obj_t BgL_a2z00_3553;
BgL_a1z00_3552 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3553 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32805ze3z87_11300;
BgL_zc3z04anonymousza32805ze3z87_11300 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32805ze3z87_11300, 
(int)(((long)0)), BgL_a1z00_3552); 
PROCEDURE_SET(BgL_zc3z04anonymousza32805ze3z87_11300, 
(int)(((long)1)), BgL_a2z00_3553); 
return BgL_zc3z04anonymousza32805ze3z87_11300;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
if(
(BgL_valz00_3275==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_3560; obj_t BgL_a2z00_3561;
BgL_a1z00_3560 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3279), BgL_stkz00_196); 
BgL_a2z00_3561 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3280), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_zc3z04anonymousza32807ze3z87_11301;
BgL_zc3z04anonymousza32807ze3z87_11301 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32807ze3z87_11301, 
(int)(((long)0)), BgL_a1z00_3560); 
PROCEDURE_SET(BgL_zc3z04anonymousza32807ze3z87_11301, 
(int)(((long)1)), BgL_a2z00_3561); 
return BgL_zc3z04anonymousza32807ze3z87_11301;} }  else 
{ /* Eval/evaluate_comp.scm 1028 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1026 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1021 */
return BFALSE;} } } 

}



/* &<@anonymous:2697> */
obj_t BGl_z62zc3z04anonymousza32697ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11305, obj_t BgL_sz00_11309)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11306; obj_t BgL_a2z00_11307; obj_t BgL_locz00_11308;
BgL_a1z00_11306 = 
PROCEDURE_REF(BgL_envz00_11305, 
(int)(((long)0))); 
BgL_a2z00_11307 = 
PROCEDURE_REF(BgL_envz00_11305, 
(int)(((long)1))); 
BgL_locz00_11308 = 
PROCEDURE_REF(BgL_envz00_11305, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13851;
BgL_bpz00_13851 = 
VECTOR_REF(
((obj_t)BgL_sz00_11309),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13852; obj_t BgL_a2z00_13853;
BgL_a1z00_13852 = 
PROCEDURE_ENTRY(BgL_a1z00_11306)(BgL_a1z00_11306, BgL_sz00_11309, BEOA); 
BgL_a2z00_13853 = 
PROCEDURE_ENTRY(BgL_a2z00_11307)(BgL_a2z00_11307, BgL_sz00_11309, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13852))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4344z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13852, BgL_locz00_11308); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13853))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4344z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13853, BgL_locz00_11308); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13852, BgL_a2z00_13853);} } } } 

}



/* &<@anonymous:2701> */
obj_t BGl_z62zc3z04anonymousza32701ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11310, obj_t BgL_sz00_11314)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11311; obj_t BgL_a2z00_11312; obj_t BgL_locz00_11313;
BgL_a1z00_11311 = 
PROCEDURE_REF(BgL_envz00_11310, 
(int)(((long)0))); 
BgL_a2z00_11312 = 
PROCEDURE_REF(BgL_envz00_11310, 
(int)(((long)1))); 
BgL_locz00_11313 = 
PROCEDURE_REF(BgL_envz00_11310, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13854;
BgL_bpz00_13854 = 
VECTOR_REF(
((obj_t)BgL_sz00_11314),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13855; obj_t BgL_a2z00_13856;
BgL_a1z00_13855 = 
PROCEDURE_ENTRY(BgL_a1z00_11311)(BgL_a1z00_11311, BgL_sz00_11314, BEOA); 
BgL_a2z00_13856 = 
PROCEDURE_ENTRY(BgL_a2z00_11312)(BgL_a2z00_11312, BgL_sz00_11314, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13855))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4348z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13855, BgL_locz00_11313); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13856))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4348z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13856, BgL_locz00_11313); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13855, BgL_a2z00_13856);} } } } 

}



/* &<@anonymous:2705> */
obj_t BGl_z62zc3z04anonymousza32705ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11315, obj_t BgL_sz00_11319)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11316; obj_t BgL_a2z00_11317; obj_t BgL_locz00_11318;
BgL_a1z00_11316 = 
PROCEDURE_REF(BgL_envz00_11315, 
(int)(((long)0))); 
BgL_a2z00_11317 = 
PROCEDURE_REF(BgL_envz00_11315, 
(int)(((long)1))); 
BgL_locz00_11318 = 
PROCEDURE_REF(BgL_envz00_11315, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13857;
BgL_bpz00_13857 = 
VECTOR_REF(
((obj_t)BgL_sz00_11319),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13858; obj_t BgL_a2z00_13859;
BgL_a1z00_13858 = 
PROCEDURE_ENTRY(BgL_a1z00_11316)(BgL_a1z00_11316, BgL_sz00_11319, BEOA); 
BgL_a2z00_13859 = 
PROCEDURE_ENTRY(BgL_a2z00_11317)(BgL_a2z00_11317, BgL_sz00_11319, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13858))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4350z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13858, BgL_locz00_11318); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13859))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4350z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13859, BgL_locz00_11318); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13858, BgL_a2z00_13859);} } } } 

}



/* &<@anonymous:2709> */
obj_t BGl_z62zc3z04anonymousza32709ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11320, obj_t BgL_sz00_11324)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11321; obj_t BgL_a2z00_11322; obj_t BgL_locz00_11323;
BgL_a1z00_11321 = 
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)0))); 
BgL_a2z00_11322 = 
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)1))); 
BgL_locz00_11323 = 
PROCEDURE_REF(BgL_envz00_11320, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13860;
BgL_bpz00_13860 = 
VECTOR_REF(
((obj_t)BgL_sz00_11324),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13861; obj_t BgL_a2z00_13862;
BgL_a1z00_13861 = 
PROCEDURE_ENTRY(BgL_a1z00_11321)(BgL_a1z00_11321, BgL_sz00_11324, BEOA); 
BgL_a2z00_13862 = 
PROCEDURE_ENTRY(BgL_a2z00_11322)(BgL_a2z00_11322, BgL_sz00_11324, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13861))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4352z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13861, BgL_locz00_11323); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13862))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4352z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13862, BgL_locz00_11323); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13861, BgL_a2z00_13862);} } } } 

}



/* &<@anonymous:2713> */
obj_t BGl_z62zc3z04anonymousza32713ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11325, obj_t BgL_sz00_11329)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11326; obj_t BgL_a2z00_11327; obj_t BgL_locz00_11328;
BgL_a1z00_11326 = 
PROCEDURE_REF(BgL_envz00_11325, 
(int)(((long)0))); 
BgL_a2z00_11327 = 
PROCEDURE_REF(BgL_envz00_11325, 
(int)(((long)1))); 
BgL_locz00_11328 = 
PROCEDURE_REF(BgL_envz00_11325, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_21981;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13863;
BgL_bpz00_13863 = 
VECTOR_REF(
((obj_t)BgL_sz00_11329),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13864; obj_t BgL_a2z00_13865;
BgL_a1z00_13864 = 
PROCEDURE_ENTRY(BgL_a1z00_11326)(BgL_a1z00_11326, BgL_sz00_11329, BEOA); 
BgL_a2z00_13865 = 
PROCEDURE_ENTRY(BgL_a2z00_11327)(BgL_a2z00_11327, BgL_sz00_11329, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13864))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4354z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13864, BgL_locz00_11328); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13865))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4354z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13865, BgL_locz00_11328); } 
BgL_tmpz00_21981 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13864, BgL_a2z00_13865); } } 
return 
BBOOL(BgL_tmpz00_21981);} } } 

}



/* &<@anonymous:2717> */
obj_t BGl_z62zc3z04anonymousza32717ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11330, obj_t BgL_sz00_11334)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11331; obj_t BgL_a2z00_11332; obj_t BgL_locz00_11333;
BgL_a1z00_11331 = 
PROCEDURE_REF(BgL_envz00_11330, 
(int)(((long)0))); 
BgL_a2z00_11332 = 
PROCEDURE_REF(BgL_envz00_11330, 
(int)(((long)1))); 
BgL_locz00_11333 = 
PROCEDURE_REF(BgL_envz00_11330, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22006;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13866;
BgL_bpz00_13866 = 
VECTOR_REF(
((obj_t)BgL_sz00_11334),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13867; obj_t BgL_a2z00_13868;
BgL_a1z00_13867 = 
PROCEDURE_ENTRY(BgL_a1z00_11331)(BgL_a1z00_11331, BgL_sz00_11334, BEOA); 
BgL_a2z00_13868 = 
PROCEDURE_ENTRY(BgL_a2z00_11332)(BgL_a2z00_11332, BgL_sz00_11334, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13867))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4356z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13867, BgL_locz00_11333); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13868))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4356z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13868, BgL_locz00_11333); } 
BgL_tmpz00_22006 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13867, BgL_a2z00_13868); } } 
return 
BBOOL(BgL_tmpz00_22006);} } } 

}



/* &<@anonymous:2721> */
obj_t BGl_z62zc3z04anonymousza32721ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11335, obj_t BgL_sz00_11339)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11336; obj_t BgL_a2z00_11337; obj_t BgL_locz00_11338;
BgL_a1z00_11336 = 
PROCEDURE_REF(BgL_envz00_11335, 
(int)(((long)0))); 
BgL_a2z00_11337 = 
PROCEDURE_REF(BgL_envz00_11335, 
(int)(((long)1))); 
BgL_locz00_11338 = 
PROCEDURE_REF(BgL_envz00_11335, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22031;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13869;
BgL_bpz00_13869 = 
VECTOR_REF(
((obj_t)BgL_sz00_11339),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13870; obj_t BgL_a2z00_13871;
BgL_a1z00_13870 = 
PROCEDURE_ENTRY(BgL_a1z00_11336)(BgL_a1z00_11336, BgL_sz00_11339, BEOA); 
BgL_a2z00_13871 = 
PROCEDURE_ENTRY(BgL_a2z00_11337)(BgL_a2z00_11337, BgL_sz00_11339, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13870))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4358z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13870, BgL_locz00_11338); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13871))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4358z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13871, BgL_locz00_11338); } 
BgL_tmpz00_22031 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13870, BgL_a2z00_13871); } } 
return 
BBOOL(BgL_tmpz00_22031);} } } 

}



/* &<@anonymous:2725> */
obj_t BGl_z62zc3z04anonymousza32725ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11340, obj_t BgL_sz00_11344)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11341; obj_t BgL_a2z00_11342; obj_t BgL_locz00_11343;
BgL_a1z00_11341 = 
PROCEDURE_REF(BgL_envz00_11340, 
(int)(((long)0))); 
BgL_a2z00_11342 = 
PROCEDURE_REF(BgL_envz00_11340, 
(int)(((long)1))); 
BgL_locz00_11343 = 
PROCEDURE_REF(BgL_envz00_11340, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22056;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13872;
BgL_bpz00_13872 = 
VECTOR_REF(
((obj_t)BgL_sz00_11344),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13873; obj_t BgL_a2z00_13874;
BgL_a1z00_13873 = 
PROCEDURE_ENTRY(BgL_a1z00_11341)(BgL_a1z00_11341, BgL_sz00_11344, BEOA); 
BgL_a2z00_13874 = 
PROCEDURE_ENTRY(BgL_a2z00_11342)(BgL_a2z00_11342, BgL_sz00_11344, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13873))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4360z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13873, BgL_locz00_11343); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13874))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4360z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13874, BgL_locz00_11343); } 
BgL_tmpz00_22056 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13873, BgL_a2z00_13874); } } 
return 
BBOOL(BgL_tmpz00_22056);} } } 

}



/* &<@anonymous:2729> */
obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11345, obj_t BgL_sz00_11349)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11346; obj_t BgL_a2z00_11347; obj_t BgL_locz00_11348;
BgL_a1z00_11346 = 
PROCEDURE_REF(BgL_envz00_11345, 
(int)(((long)0))); 
BgL_a2z00_11347 = 
PROCEDURE_REF(BgL_envz00_11345, 
(int)(((long)1))); 
BgL_locz00_11348 = 
PROCEDURE_REF(BgL_envz00_11345, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22081;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13875;
BgL_bpz00_13875 = 
VECTOR_REF(
((obj_t)BgL_sz00_11349),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13876; obj_t BgL_a2z00_13877;
BgL_a1z00_13876 = 
PROCEDURE_ENTRY(BgL_a1z00_11346)(BgL_a1z00_11346, BgL_sz00_11349, BEOA); 
BgL_a2z00_13877 = 
PROCEDURE_ENTRY(BgL_a2z00_11347)(BgL_a2z00_11347, BgL_sz00_11349, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13876))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4362z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a1z00_13876, BgL_locz00_11348); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13877))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4362z00zz__evaluate_compz00, BGl_symbol4346z00zz__evaluate_compz00, BgL_a2z00_13877, BgL_locz00_11348); } 
BgL_tmpz00_22081 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13876, BgL_a2z00_13877); } } 
return 
BBOOL(BgL_tmpz00_22081);} } } 

}



/* &<@anonymous:2733> */
obj_t BGl_z62zc3z04anonymousza32733ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11350, obj_t BgL_sz00_11354)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11351; obj_t BgL_a2z00_11352; obj_t BgL_locz00_11353;
BgL_a1z00_11351 = 
PROCEDURE_REF(BgL_envz00_11350, 
(int)(((long)0))); 
BgL_a2z00_11352 = 
PROCEDURE_REF(BgL_envz00_11350, 
(int)(((long)1))); 
BgL_locz00_11353 = 
PROCEDURE_REF(BgL_envz00_11350, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22106;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13878;
BgL_bpz00_13878 = 
VECTOR_REF(
((obj_t)BgL_sz00_11354),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13879; obj_t BgL_a2z00_13880;
BgL_a1z00_13879 = 
PROCEDURE_ENTRY(BgL_a1z00_11351)(BgL_a1z00_11351, BgL_sz00_11354, BEOA); 
BgL_a2z00_13880 = 
PROCEDURE_ENTRY(BgL_a2z00_11352)(BgL_a2z00_11352, BgL_sz00_11354, BEOA); 
if(
INTEGERP(BgL_a1z00_13879))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4364z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13879, BgL_locz00_11353); } 
if(
INTEGERP(BgL_a2z00_13880))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4364z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13880, BgL_locz00_11353); } 
BgL_tmpz00_22106 = 
(
(long)CINT(BgL_a1z00_13879)+
(long)CINT(BgL_a2z00_13880)); } } 
return 
BINT(BgL_tmpz00_22106);} } } 

}



/* &<@anonymous:2737> */
obj_t BGl_z62zc3z04anonymousza32737ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11355, obj_t BgL_sz00_11359)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11356; obj_t BgL_a2z00_11357; obj_t BgL_locz00_11358;
BgL_a1z00_11356 = 
PROCEDURE_REF(BgL_envz00_11355, 
(int)(((long)0))); 
BgL_a2z00_11357 = 
PROCEDURE_REF(BgL_envz00_11355, 
(int)(((long)1))); 
BgL_locz00_11358 = 
PROCEDURE_REF(BgL_envz00_11355, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22133;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13881;
BgL_bpz00_13881 = 
VECTOR_REF(
((obj_t)BgL_sz00_11359),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13882; obj_t BgL_a2z00_13883;
BgL_a1z00_13882 = 
PROCEDURE_ENTRY(BgL_a1z00_11356)(BgL_a1z00_11356, BgL_sz00_11359, BEOA); 
BgL_a2z00_13883 = 
PROCEDURE_ENTRY(BgL_a2z00_11357)(BgL_a2z00_11357, BgL_sz00_11359, BEOA); 
if(
INTEGERP(BgL_a1z00_13882))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4368z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13882, BgL_locz00_11358); } 
if(
INTEGERP(BgL_a2z00_13883))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4368z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13883, BgL_locz00_11358); } 
BgL_tmpz00_22133 = 
(
(long)CINT(BgL_a1z00_13882)-
(long)CINT(BgL_a2z00_13883)); } } 
return 
BINT(BgL_tmpz00_22133);} } } 

}



/* &<@anonymous:2741> */
obj_t BGl_z62zc3z04anonymousza32741ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11360, obj_t BgL_sz00_11364)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11361; obj_t BgL_a2z00_11362; obj_t BgL_locz00_11363;
BgL_a1z00_11361 = 
PROCEDURE_REF(BgL_envz00_11360, 
(int)(((long)0))); 
BgL_a2z00_11362 = 
PROCEDURE_REF(BgL_envz00_11360, 
(int)(((long)1))); 
BgL_locz00_11363 = 
PROCEDURE_REF(BgL_envz00_11360, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22160;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13884;
BgL_bpz00_13884 = 
VECTOR_REF(
((obj_t)BgL_sz00_11364),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13885; obj_t BgL_a2z00_13886;
BgL_a1z00_13885 = 
PROCEDURE_ENTRY(BgL_a1z00_11361)(BgL_a1z00_11361, BgL_sz00_11364, BEOA); 
BgL_a2z00_13886 = 
PROCEDURE_ENTRY(BgL_a2z00_11362)(BgL_a2z00_11362, BgL_sz00_11364, BEOA); 
if(
INTEGERP(BgL_a1z00_13885))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4370z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13885, BgL_locz00_11363); } 
if(
INTEGERP(BgL_a2z00_13886))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4370z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13886, BgL_locz00_11363); } 
BgL_tmpz00_22160 = 
(
(long)CINT(BgL_a1z00_13885)*
(long)CINT(BgL_a2z00_13886)); } } 
return 
BINT(BgL_tmpz00_22160);} } } 

}



/* &<@anonymous:2745> */
obj_t BGl_z62zc3z04anonymousza32745ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11365, obj_t BgL_sz00_11369)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11366; obj_t BgL_a2z00_11367; obj_t BgL_locz00_11368;
BgL_a1z00_11366 = 
PROCEDURE_REF(BgL_envz00_11365, 
(int)(((long)0))); 
BgL_a2z00_11367 = 
PROCEDURE_REF(BgL_envz00_11365, 
(int)(((long)1))); 
BgL_locz00_11368 = 
PROCEDURE_REF(BgL_envz00_11365, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 long BgL_tmpz00_22187;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13887;
BgL_bpz00_13887 = 
VECTOR_REF(
((obj_t)BgL_sz00_11369),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13888; obj_t BgL_a2z00_13889;
BgL_a1z00_13888 = 
PROCEDURE_ENTRY(BgL_a1z00_11366)(BgL_a1z00_11366, BgL_sz00_11369, BEOA); 
BgL_a2z00_13889 = 
PROCEDURE_ENTRY(BgL_a2z00_11367)(BgL_a2z00_11367, BgL_sz00_11369, BEOA); 
if(
INTEGERP(BgL_a1z00_13888))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4372z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13888, BgL_locz00_11368); } 
if(
INTEGERP(BgL_a2z00_13889))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4372z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13889, BgL_locz00_11368); } 
BgL_tmpz00_22187 = 
(
(long)CINT(BgL_a1z00_13888)/
(long)CINT(BgL_a2z00_13889)); } } 
return 
BINT(BgL_tmpz00_22187);} } } 

}



/* &<@anonymous:2749> */
obj_t BGl_z62zc3z04anonymousza32749ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11370, obj_t BgL_sz00_11374)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11371; obj_t BgL_a2z00_11372; obj_t BgL_locz00_11373;
BgL_a1z00_11371 = 
PROCEDURE_REF(BgL_envz00_11370, 
(int)(((long)0))); 
BgL_a2z00_11372 = 
PROCEDURE_REF(BgL_envz00_11370, 
(int)(((long)1))); 
BgL_locz00_11373 = 
PROCEDURE_REF(BgL_envz00_11370, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22214;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13890;
BgL_bpz00_13890 = 
VECTOR_REF(
((obj_t)BgL_sz00_11374),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13891; obj_t BgL_a2z00_13892;
BgL_a1z00_13891 = 
PROCEDURE_ENTRY(BgL_a1z00_11371)(BgL_a1z00_11371, BgL_sz00_11374, BEOA); 
BgL_a2z00_13892 = 
PROCEDURE_ENTRY(BgL_a2z00_11372)(BgL_a2z00_11372, BgL_sz00_11374, BEOA); 
if(
INTEGERP(BgL_a1z00_13891))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4374z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13891, BgL_locz00_11373); } 
if(
INTEGERP(BgL_a2z00_13892))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4374z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13892, BgL_locz00_11373); } 
BgL_tmpz00_22214 = 
(
(long)CINT(BgL_a1z00_13891)<
(long)CINT(BgL_a2z00_13892)); } } 
return 
BBOOL(BgL_tmpz00_22214);} } } 

}



/* &<@anonymous:2753> */
obj_t BGl_z62zc3z04anonymousza32753ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11375, obj_t BgL_sz00_11379)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11376; obj_t BgL_a2z00_11377; obj_t BgL_locz00_11378;
BgL_a1z00_11376 = 
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)0))); 
BgL_a2z00_11377 = 
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)1))); 
BgL_locz00_11378 = 
PROCEDURE_REF(BgL_envz00_11375, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22241;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13893;
BgL_bpz00_13893 = 
VECTOR_REF(
((obj_t)BgL_sz00_11379),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13894; obj_t BgL_a2z00_13895;
BgL_a1z00_13894 = 
PROCEDURE_ENTRY(BgL_a1z00_11376)(BgL_a1z00_11376, BgL_sz00_11379, BEOA); 
BgL_a2z00_13895 = 
PROCEDURE_ENTRY(BgL_a2z00_11377)(BgL_a2z00_11377, BgL_sz00_11379, BEOA); 
if(
INTEGERP(BgL_a1z00_13894))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4376z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13894, BgL_locz00_11378); } 
if(
INTEGERP(BgL_a2z00_13895))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4376z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13895, BgL_locz00_11378); } 
BgL_tmpz00_22241 = 
(
(long)CINT(BgL_a1z00_13894)>
(long)CINT(BgL_a2z00_13895)); } } 
return 
BBOOL(BgL_tmpz00_22241);} } } 

}



/* &<@anonymous:2757> */
obj_t BGl_z62zc3z04anonymousza32757ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11380, obj_t BgL_sz00_11384)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11381; obj_t BgL_a2z00_11382; obj_t BgL_locz00_11383;
BgL_a1z00_11381 = 
PROCEDURE_REF(BgL_envz00_11380, 
(int)(((long)0))); 
BgL_a2z00_11382 = 
PROCEDURE_REF(BgL_envz00_11380, 
(int)(((long)1))); 
BgL_locz00_11383 = 
PROCEDURE_REF(BgL_envz00_11380, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22268;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13896;
BgL_bpz00_13896 = 
VECTOR_REF(
((obj_t)BgL_sz00_11384),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13897; obj_t BgL_a2z00_13898;
BgL_a1z00_13897 = 
PROCEDURE_ENTRY(BgL_a1z00_11381)(BgL_a1z00_11381, BgL_sz00_11384, BEOA); 
BgL_a2z00_13898 = 
PROCEDURE_ENTRY(BgL_a2z00_11382)(BgL_a2z00_11382, BgL_sz00_11384, BEOA); 
if(
INTEGERP(BgL_a1z00_13897))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4378z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13897, BgL_locz00_11383); } 
if(
INTEGERP(BgL_a2z00_13898))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4378z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13898, BgL_locz00_11383); } 
BgL_tmpz00_22268 = 
(
(long)CINT(BgL_a1z00_13897)<=
(long)CINT(BgL_a2z00_13898)); } } 
return 
BBOOL(BgL_tmpz00_22268);} } } 

}



/* &<@anonymous:2761> */
obj_t BGl_z62zc3z04anonymousza32761ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11385, obj_t BgL_sz00_11389)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11386; obj_t BgL_a2z00_11387; obj_t BgL_locz00_11388;
BgL_a1z00_11386 = 
PROCEDURE_REF(BgL_envz00_11385, 
(int)(((long)0))); 
BgL_a2z00_11387 = 
PROCEDURE_REF(BgL_envz00_11385, 
(int)(((long)1))); 
BgL_locz00_11388 = 
PROCEDURE_REF(BgL_envz00_11385, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22295;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13899;
BgL_bpz00_13899 = 
VECTOR_REF(
((obj_t)BgL_sz00_11389),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13900; obj_t BgL_a2z00_13901;
BgL_a1z00_13900 = 
PROCEDURE_ENTRY(BgL_a1z00_11386)(BgL_a1z00_11386, BgL_sz00_11389, BEOA); 
BgL_a2z00_13901 = 
PROCEDURE_ENTRY(BgL_a2z00_11387)(BgL_a2z00_11387, BgL_sz00_11389, BEOA); 
if(
INTEGERP(BgL_a1z00_13900))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4380z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13900, BgL_locz00_11388); } 
if(
INTEGERP(BgL_a2z00_13901))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4380z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13901, BgL_locz00_11388); } 
BgL_tmpz00_22295 = 
(
(long)CINT(BgL_a1z00_13900)>=
(long)CINT(BgL_a2z00_13901)); } } 
return 
BBOOL(BgL_tmpz00_22295);} } } 

}



/* &<@anonymous:2765> */
obj_t BGl_z62zc3z04anonymousza32765ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11390, obj_t BgL_sz00_11394)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11391; obj_t BgL_a2z00_11392; obj_t BgL_locz00_11393;
BgL_a1z00_11391 = 
PROCEDURE_REF(BgL_envz00_11390, 
(int)(((long)0))); 
BgL_a2z00_11392 = 
PROCEDURE_REF(BgL_envz00_11390, 
(int)(((long)1))); 
BgL_locz00_11393 = 
PROCEDURE_REF(BgL_envz00_11390, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22322;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13902;
BgL_bpz00_13902 = 
VECTOR_REF(
((obj_t)BgL_sz00_11394),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13903; obj_t BgL_a2z00_13904;
BgL_a1z00_13903 = 
PROCEDURE_ENTRY(BgL_a1z00_11391)(BgL_a1z00_11391, BgL_sz00_11394, BEOA); 
BgL_a2z00_13904 = 
PROCEDURE_ENTRY(BgL_a2z00_11392)(BgL_a2z00_11392, BgL_sz00_11394, BEOA); 
if(
INTEGERP(BgL_a1z00_13903))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4382z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a1z00_13903, BgL_locz00_11393); } 
if(
INTEGERP(BgL_a2z00_13904))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4382z00zz__evaluate_compz00, BGl_symbol4366z00zz__evaluate_compz00, BgL_a2z00_13904, BgL_locz00_11393); } 
BgL_tmpz00_22322 = 
(
(long)CINT(BgL_a1z00_13903)==
(long)CINT(BgL_a2z00_13904)); } } 
return 
BBOOL(BgL_tmpz00_22322);} } } 

}



/* &<@anonymous:2769> */
obj_t BGl_z62zc3z04anonymousza32769ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11395, obj_t BgL_sz00_11399)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11396; obj_t BgL_a2z00_11397; obj_t BgL_locz00_11398;
BgL_a1z00_11396 = 
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)0))); 
BgL_a2z00_11397 = 
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)1))); 
BgL_locz00_11398 = 
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22349;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13905;
BgL_bpz00_13905 = 
VECTOR_REF(
((obj_t)BgL_sz00_11399),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13906; obj_t BgL_a2z00_13907;
BgL_a1z00_13906 = 
PROCEDURE_ENTRY(BgL_a1z00_11396)(BgL_a1z00_11396, BgL_sz00_11399, BEOA); 
BgL_a2z00_13907 = 
PROCEDURE_ENTRY(BgL_a2z00_11397)(BgL_a2z00_11397, BgL_sz00_11399, BEOA); 
if(
REALP(BgL_a1z00_13906))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4384z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13906, BgL_locz00_11398); } 
if(
REALP(BgL_a2z00_13907))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4384z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13907, BgL_locz00_11398); } 
BgL_tmpz00_22349 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13906)+
REAL_TO_DOUBLE(BgL_a2z00_13907)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22349);} } } 

}



/* &<@anonymous:2773> */
obj_t BGl_z62zc3z04anonymousza32773ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11400, obj_t BgL_sz00_11404)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11401; obj_t BgL_a2z00_11402; obj_t BgL_locz00_11403;
BgL_a1z00_11401 = 
PROCEDURE_REF(BgL_envz00_11400, 
(int)(((long)0))); 
BgL_a2z00_11402 = 
PROCEDURE_REF(BgL_envz00_11400, 
(int)(((long)1))); 
BgL_locz00_11403 = 
PROCEDURE_REF(BgL_envz00_11400, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22376;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13908;
BgL_bpz00_13908 = 
VECTOR_REF(
((obj_t)BgL_sz00_11404),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13909; obj_t BgL_a2z00_13910;
BgL_a1z00_13909 = 
PROCEDURE_ENTRY(BgL_a1z00_11401)(BgL_a1z00_11401, BgL_sz00_11404, BEOA); 
BgL_a2z00_13910 = 
PROCEDURE_ENTRY(BgL_a2z00_11402)(BgL_a2z00_11402, BgL_sz00_11404, BEOA); 
if(
REALP(BgL_a1z00_13909))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4388z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13909, BgL_locz00_11403); } 
if(
REALP(BgL_a2z00_13910))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4388z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13910, BgL_locz00_11403); } 
BgL_tmpz00_22376 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13909)-
REAL_TO_DOUBLE(BgL_a2z00_13910)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22376);} } } 

}



/* &<@anonymous:2777> */
obj_t BGl_z62zc3z04anonymousza32777ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11405, obj_t BgL_sz00_11409)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11406; obj_t BgL_a2z00_11407; obj_t BgL_locz00_11408;
BgL_a1z00_11406 = 
PROCEDURE_REF(BgL_envz00_11405, 
(int)(((long)0))); 
BgL_a2z00_11407 = 
PROCEDURE_REF(BgL_envz00_11405, 
(int)(((long)1))); 
BgL_locz00_11408 = 
PROCEDURE_REF(BgL_envz00_11405, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22403;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13911;
BgL_bpz00_13911 = 
VECTOR_REF(
((obj_t)BgL_sz00_11409),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13912; obj_t BgL_a2z00_13913;
BgL_a1z00_13912 = 
PROCEDURE_ENTRY(BgL_a1z00_11406)(BgL_a1z00_11406, BgL_sz00_11409, BEOA); 
BgL_a2z00_13913 = 
PROCEDURE_ENTRY(BgL_a2z00_11407)(BgL_a2z00_11407, BgL_sz00_11409, BEOA); 
if(
REALP(BgL_a1z00_13912))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4390z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13912, BgL_locz00_11408); } 
if(
REALP(BgL_a2z00_13913))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4390z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13913, BgL_locz00_11408); } 
BgL_tmpz00_22403 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13912)*
REAL_TO_DOUBLE(BgL_a2z00_13913)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22403);} } } 

}



/* &<@anonymous:2781> */
obj_t BGl_z62zc3z04anonymousza32781ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11410, obj_t BgL_sz00_11414)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11411; obj_t BgL_a2z00_11412; obj_t BgL_locz00_11413;
BgL_a1z00_11411 = 
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)0))); 
BgL_a2z00_11412 = 
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)1))); 
BgL_locz00_11413 = 
PROCEDURE_REF(BgL_envz00_11410, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 double BgL_tmpz00_22430;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13914;
BgL_bpz00_13914 = 
VECTOR_REF(
((obj_t)BgL_sz00_11414),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13915; obj_t BgL_a2z00_13916;
BgL_a1z00_13915 = 
PROCEDURE_ENTRY(BgL_a1z00_11411)(BgL_a1z00_11411, BgL_sz00_11414, BEOA); 
BgL_a2z00_13916 = 
PROCEDURE_ENTRY(BgL_a2z00_11412)(BgL_a2z00_11412, BgL_sz00_11414, BEOA); 
if(
REALP(BgL_a1z00_13915))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4392z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13915, BgL_locz00_11413); } 
if(
REALP(BgL_a2z00_13916))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4392z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13916, BgL_locz00_11413); } 
BgL_tmpz00_22430 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13915)/
REAL_TO_DOUBLE(BgL_a2z00_13916)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_22430);} } } 

}



/* &<@anonymous:2785> */
obj_t BGl_z62zc3z04anonymousza32785ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11415, obj_t BgL_sz00_11419)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11416; obj_t BgL_a2z00_11417; obj_t BgL_locz00_11418;
BgL_a1z00_11416 = 
PROCEDURE_REF(BgL_envz00_11415, 
(int)(((long)0))); 
BgL_a2z00_11417 = 
PROCEDURE_REF(BgL_envz00_11415, 
(int)(((long)1))); 
BgL_locz00_11418 = 
PROCEDURE_REF(BgL_envz00_11415, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22457;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13917;
BgL_bpz00_13917 = 
VECTOR_REF(
((obj_t)BgL_sz00_11419),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13918; obj_t BgL_a2z00_13919;
BgL_a1z00_13918 = 
PROCEDURE_ENTRY(BgL_a1z00_11416)(BgL_a1z00_11416, BgL_sz00_11419, BEOA); 
BgL_a2z00_13919 = 
PROCEDURE_ENTRY(BgL_a2z00_11417)(BgL_a2z00_11417, BgL_sz00_11419, BEOA); 
if(
REALP(BgL_a1z00_13918))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4394z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13918, BgL_locz00_11418); } 
if(
REALP(BgL_a2z00_13919))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4394z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13919, BgL_locz00_11418); } 
BgL_tmpz00_22457 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13918)<
REAL_TO_DOUBLE(BgL_a2z00_13919)); } } 
return 
BBOOL(BgL_tmpz00_22457);} } } 

}



/* &<@anonymous:2789> */
obj_t BGl_z62zc3z04anonymousza32789ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11420, obj_t BgL_sz00_11424)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11421; obj_t BgL_a2z00_11422; obj_t BgL_locz00_11423;
BgL_a1z00_11421 = 
PROCEDURE_REF(BgL_envz00_11420, 
(int)(((long)0))); 
BgL_a2z00_11422 = 
PROCEDURE_REF(BgL_envz00_11420, 
(int)(((long)1))); 
BgL_locz00_11423 = 
PROCEDURE_REF(BgL_envz00_11420, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22484;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13920;
BgL_bpz00_13920 = 
VECTOR_REF(
((obj_t)BgL_sz00_11424),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13921; obj_t BgL_a2z00_13922;
BgL_a1z00_13921 = 
PROCEDURE_ENTRY(BgL_a1z00_11421)(BgL_a1z00_11421, BgL_sz00_11424, BEOA); 
BgL_a2z00_13922 = 
PROCEDURE_ENTRY(BgL_a2z00_11422)(BgL_a2z00_11422, BgL_sz00_11424, BEOA); 
if(
REALP(BgL_a1z00_13921))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4396z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13921, BgL_locz00_11423); } 
if(
REALP(BgL_a2z00_13922))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4396z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13922, BgL_locz00_11423); } 
BgL_tmpz00_22484 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13921)>
REAL_TO_DOUBLE(BgL_a2z00_13922)); } } 
return 
BBOOL(BgL_tmpz00_22484);} } } 

}



/* &<@anonymous:2793> */
obj_t BGl_z62zc3z04anonymousza32793ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11425, obj_t BgL_sz00_11429)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11426; obj_t BgL_a2z00_11427; obj_t BgL_locz00_11428;
BgL_a1z00_11426 = 
PROCEDURE_REF(BgL_envz00_11425, 
(int)(((long)0))); 
BgL_a2z00_11427 = 
PROCEDURE_REF(BgL_envz00_11425, 
(int)(((long)1))); 
BgL_locz00_11428 = 
PROCEDURE_REF(BgL_envz00_11425, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22511;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13923;
BgL_bpz00_13923 = 
VECTOR_REF(
((obj_t)BgL_sz00_11429),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13924; obj_t BgL_a2z00_13925;
BgL_a1z00_13924 = 
PROCEDURE_ENTRY(BgL_a1z00_11426)(BgL_a1z00_11426, BgL_sz00_11429, BEOA); 
BgL_a2z00_13925 = 
PROCEDURE_ENTRY(BgL_a2z00_11427)(BgL_a2z00_11427, BgL_sz00_11429, BEOA); 
if(
REALP(BgL_a1z00_13924))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4398z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13924, BgL_locz00_11428); } 
if(
REALP(BgL_a2z00_13925))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4398z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13925, BgL_locz00_11428); } 
BgL_tmpz00_22511 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13924)<=
REAL_TO_DOUBLE(BgL_a2z00_13925)); } } 
return 
BBOOL(BgL_tmpz00_22511);} } } 

}



/* &<@anonymous:2797> */
obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11430, obj_t BgL_sz00_11434)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11431; obj_t BgL_a2z00_11432; obj_t BgL_locz00_11433;
BgL_a1z00_11431 = 
PROCEDURE_REF(BgL_envz00_11430, 
(int)(((long)0))); 
BgL_a2z00_11432 = 
PROCEDURE_REF(BgL_envz00_11430, 
(int)(((long)1))); 
BgL_locz00_11433 = 
PROCEDURE_REF(BgL_envz00_11430, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22538;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13926;
BgL_bpz00_13926 = 
VECTOR_REF(
((obj_t)BgL_sz00_11434),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13927; obj_t BgL_a2z00_13928;
BgL_a1z00_13927 = 
PROCEDURE_ENTRY(BgL_a1z00_11431)(BgL_a1z00_11431, BgL_sz00_11434, BEOA); 
BgL_a2z00_13928 = 
PROCEDURE_ENTRY(BgL_a2z00_11432)(BgL_a2z00_11432, BgL_sz00_11434, BEOA); 
if(
REALP(BgL_a1z00_13927))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4400z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13927, BgL_locz00_11433); } 
if(
REALP(BgL_a2z00_13928))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4400z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13928, BgL_locz00_11433); } 
BgL_tmpz00_22538 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13927)>=
REAL_TO_DOUBLE(BgL_a2z00_13928)); } } 
return 
BBOOL(BgL_tmpz00_22538);} } } 

}



/* &<@anonymous:2801> */
obj_t BGl_z62zc3z04anonymousza32801ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11435, obj_t BgL_sz00_11439)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11436; obj_t BgL_a2z00_11437; obj_t BgL_locz00_11438;
BgL_a1z00_11436 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)0))); 
BgL_a2z00_11437 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)1))); 
BgL_locz00_11438 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22565;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13929;
BgL_bpz00_13929 = 
VECTOR_REF(
((obj_t)BgL_sz00_11439),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13930; obj_t BgL_a2z00_13931;
BgL_a1z00_13930 = 
PROCEDURE_ENTRY(BgL_a1z00_11436)(BgL_a1z00_11436, BgL_sz00_11439, BEOA); 
BgL_a2z00_13931 = 
PROCEDURE_ENTRY(BgL_a2z00_11437)(BgL_a2z00_11437, BgL_sz00_11439, BEOA); 
if(
REALP(BgL_a1z00_13930))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4402z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a1z00_13930, BgL_locz00_11438); } 
if(
REALP(BgL_a2z00_13931))
{ /* Eval/evaluate_comp.scm 1028 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1028 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4402z00zz__evaluate_compz00, BGl_symbol4386z00zz__evaluate_compz00, BgL_a2z00_13931, BgL_locz00_11438); } 
BgL_tmpz00_22565 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13930)==
REAL_TO_DOUBLE(BgL_a2z00_13931)); } } 
return 
BBOOL(BgL_tmpz00_22565);} } } 

}



/* &<@anonymous:2805> */
obj_t BGl_z62zc3z04anonymousza32805ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11440, obj_t BgL_sz00_11443)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11441; obj_t BgL_a2z00_11442;
BgL_a1z00_11441 = 
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)0))); 
BgL_a2z00_11442 = 
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 bool_t BgL_tmpz00_22590;
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13932;
BgL_bpz00_13932 = 
VECTOR_REF(
((obj_t)BgL_sz00_11443),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13933; obj_t BgL_a2z00_13934;
BgL_a1z00_13933 = 
PROCEDURE_ENTRY(BgL_a1z00_11441)(BgL_a1z00_11441, BgL_sz00_11443, BEOA); 
BgL_a2z00_13934 = 
PROCEDURE_ENTRY(BgL_a2z00_11442)(BgL_a2z00_11442, BgL_sz00_11443, BEOA); 
BgL_tmpz00_22590 = 
(BgL_a1z00_13933==BgL_a2z00_13934); } } 
return 
BBOOL(BgL_tmpz00_22590);} } } 

}



/* &<@anonymous:2807> */
obj_t BGl_z62zc3z04anonymousza32807ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11444, obj_t BgL_sz00_11447)
{
{ /* Eval/evaluate_comp.scm 1028 */
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_11445; obj_t BgL_a2z00_11446;
BgL_a1z00_11445 = 
PROCEDURE_REF(BgL_envz00_11444, 
(int)(((long)0))); 
BgL_a2z00_11446 = 
PROCEDURE_REF(BgL_envz00_11444, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_bpz00_13935;
BgL_bpz00_13935 = 
VECTOR_REF(
((obj_t)BgL_sz00_11447),((long)0)); 
{ /* Eval/evaluate_comp.scm 1028 */
 obj_t BgL_a1z00_13936; obj_t BgL_a2z00_13937;
BgL_a1z00_13936 = 
PROCEDURE_ENTRY(BgL_a1z00_11445)(BgL_a1z00_11445, BgL_sz00_11447, BEOA); 
BgL_a2z00_13937 = 
PROCEDURE_ENTRY(BgL_a2z00_11446)(BgL_a2z00_11446, BgL_sz00_11447, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13936, BgL_a2z00_13937);} } } } 

}



/* &<@anonymous:2810> */
obj_t BGl_z62zc3z04anonymousza32810ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11448, obj_t BgL_sz00_11451)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11449; obj_t BgL_locz00_11450;
BgL_a1z00_11449 = 
PROCEDURE_REF(BgL_envz00_11448, 
(int)(((long)0))); 
BgL_locz00_11450 = 
PROCEDURE_REF(BgL_envz00_11448, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13938;
BgL_bpz00_13938 = 
VECTOR_REF(
((obj_t)BgL_sz00_11451),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13939;
BgL_a1z00_13939 = 
PROCEDURE_ENTRY(BgL_a1z00_11449)(BgL_a1z00_11449, BgL_sz00_11451, BEOA); 
if(
PAIRP(BgL_a1z00_13939))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4404z00zz__evaluate_compz00, BGl_symbol4406z00zz__evaluate_compz00, BgL_a1z00_13939, BgL_locz00_11450); } 
return 
CAR(
((obj_t)BgL_a1z00_13939));} } } } 

}



/* &<@anonymous:2813> */
obj_t BGl_z62zc3z04anonymousza32813ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11452, obj_t BgL_sz00_11455)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11453; obj_t BgL_locz00_11454;
BgL_a1z00_11453 = 
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)0))); 
BgL_locz00_11454 = 
PROCEDURE_REF(BgL_envz00_11452, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13940;
BgL_bpz00_13940 = 
VECTOR_REF(
((obj_t)BgL_sz00_11455),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13941;
BgL_a1z00_13941 = 
PROCEDURE_ENTRY(BgL_a1z00_11453)(BgL_a1z00_11453, BgL_sz00_11455, BEOA); 
if(
PAIRP(BgL_a1z00_13941))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4408z00zz__evaluate_compz00, BGl_symbol4406z00zz__evaluate_compz00, BgL_a1z00_13941, BgL_locz00_11454); } 
return 
CDR(
((obj_t)BgL_a1z00_13941));} } } } 

}



/* &<@anonymous:2816> */
obj_t BGl_z62zc3z04anonymousza32816ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11456, obj_t BgL_sz00_11459)
{
{ /* Eval/evaluate_comp.scm 1025 */
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_11457; obj_t BgL_locz00_11458;
BgL_a1z00_11457 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)0))); 
BgL_locz00_11458 = 
PROCEDURE_REF(BgL_envz00_11456, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_bpz00_13942;
BgL_bpz00_13942 = 
VECTOR_REF(
((obj_t)BgL_sz00_11459),((long)0)); 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_a1z00_13943;
BgL_a1z00_13943 = 
PROCEDURE_ENTRY(BgL_a1z00_11457)(BgL_a1z00_11457, BgL_sz00_11459, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13943))
{ /* Eval/evaluate_comp.scm 1025 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_arg2818z00_13944;
BgL_arg2818z00_13944 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13943); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol4410z00zz__evaluate_compz00, BGl_symbol4406z00zz__evaluate_compz00, BgL_arg2818z00_13944, BgL_locz00_11458); } 
{ /* Eval/evaluate_comp.scm 1025 */
 obj_t BgL_pairz00_13945;
BgL_pairz00_13945 = 
CDR(
((obj_t)BgL_a1z00_13943)); 
return 
CAR(BgL_pairz00_13945);} } } } } 

}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{
{ /* Eval/evaluate_comp.scm 1033 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1034 */
 obj_t BgL_tmpz00_22667;
BgL_tmpz00_22667 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_22667);}  else 
{ /* Eval/evaluate_comp.scm 1034 */
return ((bool_t)0);} } 

}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{
{ /* Eval/evaluate_comp.scm 1036 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1037 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1037 */
return BgL_vz00_198;} } 

}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{
{ /* Eval/evaluate_comp.scm 1065 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1066 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 

}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{
{ /* Eval/evaluate_comp.scm 1070 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1072 */
 long BgL_g1242z00_3596;
BgL_g1242z00_3596 = 
(((long)-1)-BgL_arityz00_206); 
{ 
 long BgL_rz00_3598; long BgL_spz00_3599; obj_t BgL_lz00_3600;
BgL_rz00_3598 = BgL_g1242z00_3596; 
BgL_spz00_3599 = BgL_spz00_205; 
BgL_lz00_3600 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32823ze3z87_3601:
if(
(BgL_rz00_3598==((long)0)))
{ /* Eval/evaluate_comp.scm 1074 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_lz00_3600);}  else 
{ /* Eval/evaluate_comp.scm 1074 */
if(
PAIRP(BgL_lz00_3600))
{ /* Eval/evaluate_comp.scm 1076 */
{ /* Eval/evaluate_comp.scm 1079 */
 obj_t BgL_arg2826z00_3604;
BgL_arg2826z00_3604 = 
CAR(BgL_lz00_3600); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3599,BgL_arg2826z00_3604); } 
{ 
 obj_t BgL_lz00_22696; long BgL_spz00_22694; long BgL_rz00_22692;
BgL_rz00_22692 = 
(BgL_rz00_3598-((long)1)); 
BgL_spz00_22694 = 
(BgL_spz00_3599+((long)1)); 
BgL_lz00_22696 = 
CDR(BgL_lz00_3600); 
BgL_lz00_3600 = BgL_lz00_22696; 
BgL_spz00_3599 = BgL_spz00_22694; 
BgL_rz00_3598 = BgL_rz00_22692; 
goto BgL_zc3z04anonymousza32823ze3z87_3601;} }  else 
{ /* Eval/evaluate_comp.scm 1077 */
 long BgL_arg2830z00_3608;
BgL_arg2830z00_3608 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2830z00_3608));} } } }  else 
{ 
 long BgL_rz00_3611; long BgL_spz00_3612; obj_t BgL_lz00_3613;
BgL_rz00_3611 = BgL_arityz00_206; 
BgL_spz00_3612 = BgL_spz00_205; 
BgL_lz00_3613 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32831ze3z87_3614:
if(
(BgL_rz00_3611==((long)0)))
{ /* Eval/evaluate_comp.scm 1083 */
if(
NULLP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1084 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1085 */
 long BgL_arg2834z00_3617;
BgL_arg2834z00_3617 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2834z00_3617));} }  else 
{ /* Eval/evaluate_comp.scm 1083 */
if(
PAIRP(BgL_lz00_3613))
{ /* Eval/evaluate_comp.scm 1086 */
{ /* Eval/evaluate_comp.scm 1089 */
 obj_t BgL_arg2836z00_3619;
BgL_arg2836z00_3619 = 
CAR(BgL_lz00_3613); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3612,BgL_arg2836z00_3619); } 
{ 
 obj_t BgL_lz00_22719; long BgL_spz00_22717; long BgL_rz00_22715;
BgL_rz00_22715 = 
(BgL_rz00_3611-((long)1)); 
BgL_spz00_22717 = 
(BgL_spz00_3612+((long)1)); 
BgL_lz00_22719 = 
CDR(BgL_lz00_3613); 
BgL_lz00_3613 = BgL_lz00_22719; 
BgL_spz00_3612 = BgL_spz00_22717; 
BgL_rz00_3611 = BgL_rz00_22715; 
goto BgL_zc3z04anonymousza32831ze3z87_3614;} }  else 
{ /* Eval/evaluate_comp.scm 1087 */
 long BgL_arg2840z00_3623;
BgL_arg2840z00_3623 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2840z00_3623));} } } } 

}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{
{ /* Eval/evaluate_comp.scm 1184 */
{ 
 long BgL_iz00_3627;
BgL_iz00_3627 = ((long)0); 
BgL_zc3z04anonymousza32841ze3z87_3628:
{ /* Eval/evaluate_comp.scm 1187 */
 long BgL_spz00_3629;
{ /* Eval/evaluate_comp.scm 1187 */
 obj_t BgL_arg2845z00_3634;
BgL_arg2845z00_3634 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3627); 
BgL_spz00_3629 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2845z00_3634)); } 
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2842z00_3630;
{ /* Eval/evaluate_comp.scm 1188 */
 obj_t BgL_arg2843z00_3631;
BgL_arg2843z00_3631 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3629); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8484;
BgL_newz00_8484 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_22734;
BgL_tmpz00_22734 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8484, BgL_tmpz00_22734, BgL_arg2843z00_3631); } 
BgL_arg2842z00_3630 = BgL_newz00_8484; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3629,BgL_arg2842z00_3630); } 
{ /* Eval/evaluate_comp.scm 1189 */
 long BgL_niz00_3632;
BgL_niz00_3632 = 
(BgL_iz00_3627+((long)1)); 
if(
(BgL_niz00_3632<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
 long BgL_iz00_22744;
BgL_iz00_22744 = BgL_niz00_3632; 
BgL_iz00_3627 = BgL_iz00_22744; 
goto BgL_zc3z04anonymousza32841ze3z87_3628;}  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } } 

}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{
{ /* Eval/evaluate_comp.scm 1192 */
{ /* Eval/evaluate_comp.scm 1193 */
 obj_t BgL_rz00_3637;
BgL_rz00_3637 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1193 */

{ 
 long BgL_iz00_3639;
BgL_iz00_3639 = ((long)0); 
BgL_zc3z04anonymousza32846ze3z87_3640:
if(
(BgL_iz00_3639>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1195 */
return BgL_rz00_3637;}  else 
{ /* Eval/evaluate_comp.scm 1195 */
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2848z00_3642;
{ /* Eval/evaluate_comp.scm 1198 */
 long BgL_arg2849z00_3643;
{ /* Eval/evaluate_comp.scm 1198 */
 obj_t BgL_arg2850z00_3644;
BgL_arg2850z00_3644 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3639); 
BgL_arg2849z00_3643 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2850z00_3644)); } 
BgL_arg2848z00_3642 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2849z00_3643); } 
VECTOR_SET(BgL_rz00_3637,BgL_iz00_3639,BgL_arg2848z00_3642); } 
{ 
 long BgL_iz00_22760;
BgL_iz00_22760 = 
(BgL_iz00_3639+((long)1)); 
BgL_iz00_3639 = BgL_iz00_22760; 
goto BgL_zc3z04anonymousza32846ze3z87_3640;} } } } } } 

}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{
{ /* Eval/evaluate_comp.scm 1201 */
{ /* Eval/evaluate_comp.scm 1202 */
 long BgL_stopz00_3648;
BgL_stopz00_3648 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
 long BgL_iz00_3650; long BgL_spz00_3651;
BgL_iz00_3650 = ((long)0); 
BgL_spz00_3651 = BgL_spz00_219; 
BgL_zc3z04anonymousza32853ze3z87_3652:
if(
(BgL_spz00_3651<BgL_stopz00_3648))
{ /* Eval/evaluate_comp.scm 1204 */
{ /* Eval/evaluate_comp.scm 1205 */
 obj_t BgL_arg2855z00_3654;
BgL_arg2855z00_3654 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3650); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3651,BgL_arg2855z00_3654); } 
{ 
 long BgL_spz00_22773; long BgL_iz00_22771;
BgL_iz00_22771 = 
(BgL_iz00_3650+((long)1)); 
BgL_spz00_22773 = 
(BgL_spz00_3651+((long)1)); 
BgL_spz00_3651 = BgL_spz00_22773; 
BgL_iz00_3650 = BgL_iz00_22771; 
goto BgL_zc3z04anonymousza32853ze3z87_3652;} }  else 
{ /* Eval/evaluate_comp.scm 1204 */
return ((bool_t)0);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc4412z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string4413z00zz__evaluate_compz00);} 

}



/* &comp1396 */
obj_t BGl_z62comp1396z62zz__evaluate_compz00(obj_t BgL_envz00_11545, obj_t BgL_ez00_11546, obj_t BgL_stkz00_11547)
{
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_string4414z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11546)));} 

}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_method1397z00_3664;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_res4186z00_8545;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_objzd2classzd2numz00_8516;
BgL_objzd2classzd2numz00_8516 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4058z00_8517;
BgL_arg4058z00_8517 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
 int BgL_offsetz00_8520;
BgL_offsetz00_8520 = 
(int)(BgL_objzd2classzd2numz00_8516); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_offsetz00_8521;
BgL_offsetz00_8521 = 
(
(long)(BgL_offsetz00_8520)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_modz00_8522;
BgL_modz00_8522 = 
(BgL_offsetz00_8521 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_restz00_8524;
BgL_restz00_8524 = 
(BgL_offsetz00_8521 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_bucketz00_8526;
BgL_bucketz00_8526 = 
VECTOR_REF(
((obj_t)BgL_arg4058z00_8517),BgL_modz00_8522); 
BgL_res4186z00_8545 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8526),BgL_restz00_8524); } } } } } } } } 
BgL_method1397z00_3664 = BgL_res4186z00_8545; } 
return 
PROCEDURE_ENTRY(BgL_method1397z00_3664)(BgL_method1397z00_3664, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 

}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11548, obj_t BgL_ez00_11549, obj_t BgL_stkz00_11550)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
 BgL_ev_exprz00_bglt BgL_auxz00_22810;
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_test5031z00_22811;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_classz00_13947;
BgL_classz00_13947 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_11549))
{ /* Eval/evaluate_comp.scm 276 */
 BgL_objectz00_bglt BgL_arg4056z00_13949; long BgL_arg4057z00_13950;
BgL_arg4056z00_13949 = 
(BgL_objectz00_bglt)(BgL_ez00_11549); 
BgL_arg4057z00_13950 = 
BGL_CLASS_DEPTH(BgL_classz00_13947); 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_arg4051z00_13954; bool_t BgL_arg4052z00_13955;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_idxz00_13959;
BgL_idxz00_13959 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4056z00_13949); 
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4048z00_13960;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4049z00_13961;
BgL_arg4049z00_13961 = 
(BgL_idxz00_13959+BgL_arg4057z00_13950); 
BgL_arg4048z00_13960 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg4049z00_13961); } 
BgL_arg4051z00_13954 = 
(BgL_arg4048z00_13960==BgL_classz00_13947); } } 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL_res4193z00_13966;
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_oclassz00_13970;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4061z00_13972;
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_arg4062z00_13973;
BgL_arg4062z00_13973 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4056z00_13949); 
BgL_arg4061z00_13972 = 
(BgL_arg4062z00_13973-OBJECT_TYPE); } 
BgL_oclassz00_13970 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_13972); } 
{ /* Eval/evaluate_comp.scm 276 */
 bool_t BgL__ortest_1293z00_13979;
BgL__ortest_1293z00_13979 = 
(BgL_classz00_13947==BgL_oclassz00_13970); 
if(BgL__ortest_1293z00_13979)
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4193z00_13966 = BgL__ortest_1293z00_13979; }  else 
{ /* Eval/evaluate_comp.scm 276 */
 long BgL_odepthz00_13980;
BgL_odepthz00_13980 = 
BGL_CLASS_DEPTH(BgL_oclassz00_13970); 
if(
(BgL_arg4057z00_13950<BgL_odepthz00_13980))
{ /* Eval/evaluate_comp.scm 276 */
 obj_t BgL_arg4050z00_13984;
BgL_arg4050z00_13984 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_13970, BgL_arg4057z00_13950); 
BgL_res4193z00_13966 = 
(BgL_arg4050z00_13984==BgL_classz00_13947); }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_res4193z00_13966 = ((bool_t)0); } } } } 
BgL_arg4052z00_13955 = BgL_res4193z00_13966; } 
BgL_test5031z00_22811 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_13954, BgL_arg4052z00_13955); } }  else 
{ /* Eval/evaluate_comp.scm 276 */
BgL_test5031z00_22811 = ((bool_t)0)
; } } 
if(BgL_test5031z00_22811)
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_22810 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11549)
; }  else 
{ 
 obj_t BgL_auxz00_22832;
BgL_auxz00_22832 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string4329z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string4415z00zz__evaluate_compz00, BGl_string4331z00zz__evaluate_compz00, BgL_ez00_11549); 
FAILURE(BgL_auxz00_22832,BFALSE,BFALSE);} } 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_22810, BgL_stkz00_11550);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc4416z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4418z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc4419z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc4420z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc4421z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc4422z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc4423z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4424z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4425z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4426z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc4427z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4428z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc4429z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc4430z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc4431z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc4432z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc4433z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc4434z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc4435z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc4436z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4437z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4438z00zz__evaluate_compz00, BGl_string4417z00zz__evaluate_compz00);} 

}



/* &comp-ev_abs1441 */
obj_t BGl_z62compzd2ev_abs1441zb0zz__evaluate_compz00(obj_t BgL_envz00_11743, obj_t BgL_ez00_11744, obj_t BgL_stkz00_11745)
{
{ /* Eval/evaluate_comp.scm 1172 */
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_ifreesz00_13986; obj_t BgL_iboxesz00_13987; long BgL_siza7eza7_13988; long BgL_siza7ezd2framez75_13989; obj_t BgL_nstkz00_13990;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3754z00_13991;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_l1373z00_13992;
BgL_l1373z00_13992 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_freez00); 
if(
NULLP(BgL_l1373z00_13992))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3754z00_13991 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_head1375z00_13993;
BgL_head1375z00_13993 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1373z00_13995; obj_t BgL_tail1376z00_13996;
BgL_l1373z00_13995 = BgL_l1373z00_13992; 
BgL_tail1376z00_13996 = BgL_head1375z00_13993; 
BgL_zc3z04anonymousza33756ze3z87_13994:
if(
NULLP(BgL_l1373z00_13995))
{ /* Eval/evaluate_comp.scm 1174 */
BgL_arg3754z00_13991 = 
CDR(BgL_head1375z00_13993); }  else 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_newtail1377z00_13997;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3759z00_13998;
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_vz00_13999;
BgL_vz00_13999 = 
CAR(
((obj_t)BgL_l1373z00_13995)); 
BgL_arg3759z00_13998 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13999, BgL_stkz00_11745); } 
BgL_newtail1377z00_13997 = 
MAKE_YOUNG_PAIR(BgL_arg3759z00_13998, BNIL); } 
SET_CDR(BgL_tail1376z00_13996, BgL_newtail1377z00_13997); 
{ /* Eval/evaluate_comp.scm 1174 */
 obj_t BgL_arg3758z00_14000;
BgL_arg3758z00_14000 = 
CDR(
((obj_t)BgL_l1373z00_13995)); 
{ 
 obj_t BgL_tail1376z00_22875; obj_t BgL_l1373z00_22874;
BgL_l1373z00_22874 = BgL_arg3758z00_14000; 
BgL_tail1376z00_22875 = BgL_newtail1377z00_13997; 
BgL_tail1376z00_13996 = BgL_tail1376z00_22875; 
BgL_l1373z00_13995 = BgL_l1373z00_22874; 
goto BgL_zc3z04anonymousza33756ze3z87_13994;} } } } } } 
BgL_ifreesz00_13986 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3754z00_13991); } 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3760z00_14001;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_l1378z00_14002;
BgL_l1378z00_14002 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_boxesz00); 
if(
NULLP(BgL_l1378z00_14002))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3760z00_14001 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_head1380z00_14003;
BgL_head1380z00_14003 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1378z00_14005; obj_t BgL_tail1381z00_14006;
BgL_l1378z00_14005 = BgL_l1378z00_14002; 
BgL_tail1381z00_14006 = BgL_head1380z00_14003; 
BgL_zc3z04anonymousza33762ze3z87_14004:
if(
NULLP(BgL_l1378z00_14005))
{ /* Eval/evaluate_comp.scm 1175 */
BgL_arg3760z00_14001 = 
CDR(BgL_head1380z00_14003); }  else 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_newtail1382z00_14007;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3765z00_14008;
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_vz00_14009;
BgL_vz00_14009 = 
CAR(
((obj_t)BgL_l1378z00_14005)); 
BgL_arg3765z00_14008 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14009, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_varsz00)); } 
BgL_newtail1382z00_14007 = 
MAKE_YOUNG_PAIR(BgL_arg3765z00_14008, BNIL); } 
SET_CDR(BgL_tail1381z00_14006, BgL_newtail1382z00_14007); 
{ /* Eval/evaluate_comp.scm 1175 */
 obj_t BgL_arg3764z00_14010;
BgL_arg3764z00_14010 = 
CDR(
((obj_t)BgL_l1378z00_14005)); 
{ 
 obj_t BgL_tail1381z00_22895; obj_t BgL_l1378z00_22894;
BgL_l1378z00_22894 = BgL_arg3764z00_14010; 
BgL_tail1381z00_22895 = BgL_newtail1382z00_14007; 
BgL_tail1381z00_14006 = BgL_tail1381z00_22895; 
BgL_l1378z00_14005 = BgL_l1378z00_22894; 
goto BgL_zc3z04anonymousza33762ze3z87_14004;} } } } } } 
BgL_iboxesz00_13987 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3760z00_14001); } 
BgL_siza7eza7_13988 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13989 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_freez00))); 
BgL_nstkz00_13990 = 
BGl_appendzd221010zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1179 */
 obj_t BgL_bodyz00_14011;
BgL_bodyz00_14011 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_bodyz00), BgL_nstkz00_13990); 
{ 

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_aux1254z00_14017;
BgL_aux1254z00_14017 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11744)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1254z00_14017))
{ /* Eval/evaluate_comp.scm 1181 */
switch( 
(long)CINT(BgL_aux1254z00_14017)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33216ze3z87_14018;
BgL_zc3z04anonymousza33216ze3z87_14018 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14018, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14018, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33216ze3z87_14018, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33216ze3z87_14018;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33222ze3z87_14019;
BgL_zc3z04anonymousza33222ze3z87_14019 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14019, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14019, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14019, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33222ze3z87_14019, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33222ze3z87_14019;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33231ze3z87_14020;
BgL_zc3z04anonymousza33231ze3z87_14020 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14020, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14020, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14020, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14020, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_14020, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33231ze3z87_14020;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33238ze3z87_14021;
BgL_zc3z04anonymousza33238ze3z87_14021 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33238ze3z87_14021, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33238ze3z87_14021;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33251ze3z87_14022;
BgL_zc3z04anonymousza33251ze3z87_14022 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14022, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14022, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33251ze3z87_14022, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33251ze3z87_14022;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33258ze3z87_14023;
BgL_zc3z04anonymousza33258ze3z87_14023 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14023, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14023, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14023, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_14023, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33258ze3z87_14023;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33268ze3z87_14024;
BgL_zc3z04anonymousza33268ze3z87_14024 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14024, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14024, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14024, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14024, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33268ze3z87_14024, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33268ze3z87_14024;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33276ze3z87_14025;
BgL_zc3z04anonymousza33276ze3z87_14025 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33276ze3z87_14025, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33276ze3z87_14025;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33290ze3z87_14026;
BgL_zc3z04anonymousza33290ze3z87_14026 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14026, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14026, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33290ze3z87_14026, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33290ze3z87_14026;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33297ze3z87_14027;
BgL_zc3z04anonymousza33297ze3z87_14027 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14027, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14027, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14027, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33297ze3z87_14027, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33297ze3z87_14027;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33307ze3z87_14028;
BgL_zc3z04anonymousza33307ze3z87_14028 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14028, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14028, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14028, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14028, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33307ze3z87_14028, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33307ze3z87_14028;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33315ze3z87_14029;
BgL_zc3z04anonymousza33315ze3z87_14029 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33315ze3z87_14029, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33315ze3z87_14029;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33329ze3z87_14030;
BgL_zc3z04anonymousza33329ze3z87_14030 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14030, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14030, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_14030, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33329ze3z87_14030;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33337ze3z87_14031;
BgL_zc3z04anonymousza33337ze3z87_14031 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14031, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14031, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14031, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33337ze3z87_14031, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33337ze3z87_14031;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33348ze3z87_14032;
BgL_zc3z04anonymousza33348ze3z87_14032 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14032, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14032, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14032, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14032, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33348ze3z87_14032, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33348ze3z87_14032;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33357ze3z87_14033;
BgL_zc3z04anonymousza33357ze3z87_14033 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33357ze3z87_14033, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33357ze3z87_14033;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33372ze3z87_14034;
BgL_zc3z04anonymousza33372ze3z87_14034 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14034, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14034, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33372ze3z87_14034, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33372ze3z87_14034;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33380ze3z87_14035;
BgL_zc3z04anonymousza33380ze3z87_14035 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14035, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14035, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14035, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33380ze3z87_14035, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33380ze3z87_14035;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33391ze3z87_14036;
BgL_zc3z04anonymousza33391ze3z87_14036 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14036, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14036, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14036, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14036, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_14036, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33391ze3z87_14036;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33400ze3z87_14037;
BgL_zc3z04anonymousza33400ze3z87_14037 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_14037, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33400ze3z87_14037;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33415ze3z87_14038;
BgL_zc3z04anonymousza33415ze3z87_14038 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14038, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14038, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33415ze3z87_14038, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33415ze3z87_14038;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33424ze3z87_14039;
BgL_zc3z04anonymousza33424ze3z87_14039 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14039, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14039, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14039, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33424ze3z87_14039, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33424ze3z87_14039;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33436ze3z87_14040;
BgL_zc3z04anonymousza33436ze3z87_14040 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14040, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14040, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14040, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14040, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33436ze3z87_14040, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33436ze3z87_14040;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33446ze3z87_14041;
BgL_zc3z04anonymousza33446ze3z87_14041 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_14041, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33446ze3z87_14041;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33462ze3z87_14042;
BgL_zc3z04anonymousza33462ze3z87_14042 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14042, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14042, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33462ze3z87_14042, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33462ze3z87_14042;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33471ze3z87_14043;
BgL_zc3z04anonymousza33471ze3z87_14043 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14043, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14043, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14043, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33471ze3z87_14043, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33471ze3z87_14043;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33483ze3z87_14044;
BgL_zc3z04anonymousza33483ze3z87_14044 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14044, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14044, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14044, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14044, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33483ze3z87_14044, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33483ze3z87_14044;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33493ze3z87_14045;
BgL_zc3z04anonymousza33493ze3z87_14045 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33493ze3z87_14045, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33493ze3z87_14045;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33509ze3z87_14046;
BgL_zc3z04anonymousza33509ze3z87_14046 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14046, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14046, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33509ze3z87_14046, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33509ze3z87_14046;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33519ze3z87_14047;
BgL_zc3z04anonymousza33519ze3z87_14047 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14047, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14047, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14047, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33519ze3z87_14047, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33519ze3z87_14047;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33532ze3z87_14048;
BgL_zc3z04anonymousza33532ze3z87_14048 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14048, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14048, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14048, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14048, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33532ze3z87_14048, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33532ze3z87_14048;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33543ze3z87_14049;
BgL_zc3z04anonymousza33543ze3z87_14049 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33543ze3z87_14049, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33543ze3z87_14049;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33560ze3z87_14050;
BgL_zc3z04anonymousza33560ze3z87_14050 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14050, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14050, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33560ze3z87_14050, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33560ze3z87_14050;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33570ze3z87_14051;
BgL_zc3z04anonymousza33570ze3z87_14051 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14051, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14051, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14051, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33570ze3z87_14051, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33570ze3z87_14051;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33583ze3z87_14052;
BgL_zc3z04anonymousza33583ze3z87_14052 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14052, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14052, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14052, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14052, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33583ze3z87_14052, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33583ze3z87_14052;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33594ze3z87_14053;
BgL_zc3z04anonymousza33594ze3z87_14053 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33594ze3z87_14053, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33594ze3z87_14053;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33611ze3z87_14054;
BgL_zc3z04anonymousza33611ze3z87_14054 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14054, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14054, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33611ze3z87_14054, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33611ze3z87_14054;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33622ze3z87_14055;
BgL_zc3z04anonymousza33622ze3z87_14055 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14055, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14055, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14055, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33622ze3z87_14055, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33622ze3z87_14055;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33636ze3z87_14056;
BgL_zc3z04anonymousza33636ze3z87_14056 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14056, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14056, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14056, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14056, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33636ze3z87_14056, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33636ze3z87_14056;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33648ze3z87_14057;
BgL_zc3z04anonymousza33648ze3z87_14057 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33648ze3z87_14057, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33648ze3z87_14057;} } break;
default: 
BgL_case_else1253z00_14012:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13986)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33666ze3z87_14013;
BgL_zc3z04anonymousza33666ze3z87_14013 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14013, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14013, 
(int)(((long)1)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33666ze3z87_14013, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33666ze3z87_14013;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33686ze3z87_14014;
BgL_zc3z04anonymousza33686ze3z87_14014 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14014, 
(int)(((long)0)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14014, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14014, 
(int)(((long)2)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33686ze3z87_14014, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33686ze3z87_14014;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13987)==((long)0)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33709ze3z87_14015;
BgL_zc3z04anonymousza33709ze3z87_14015 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14015, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14015, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14015, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14015, 
(int)(((long)3)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33709ze3z87_14015, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33709ze3z87_14015;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_zc3z04anonymousza33730ze3z87_14016;
BgL_zc3z04anonymousza33730ze3z87_14016 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)0)), BgL_ifreesz00_13986); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)1)), BgL_iboxesz00_13987); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13988)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11744))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)4)), BgL_bodyz00_14011); 
PROCEDURE_SET(BgL_zc3z04anonymousza33730ze3z87_14016, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13989)); 
return BgL_zc3z04anonymousza33730ze3z87_14016;} } } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
goto BgL_case_else1253z00_14012;} } } } } } 

}



/* &<@anonymous:3611> */
obj_t BGl_z62zc3z04anonymousza33611ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11746, obj_t BgL_sz00_11750)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11747; obj_t BgL_bodyz00_11748; long BgL_siza7ezd2framez75_11749;
BgL_i1252z00_11747 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)0)))); 
BgL_bodyz00_11748 = 
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11749 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14058;
BgL_bpz00_14058 = 
VECTOR_REF(
((obj_t)BgL_sz00_11750),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14059;
BgL_runz00_14059 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14059, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11747)); 
PROCEDURE_SET(BgL_runz00_14059, 
(int)(((long)1)), BgL_bodyz00_11748); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14060;
BgL_mainz00_14060 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14060, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11747)); 
PROCEDURE_SET(BgL_mainz00_14060, 
(int)(((long)1)), BgL_bodyz00_11748); 
PROCEDURE_SET(BgL_mainz00_14060, 
(int)(((long)2)), BgL_runz00_14059); 
PROCEDURE_SET(BgL_mainz00_14060, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11749)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14061;
BgL_objz00_14061 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14059, BgL_objz00_14061); BgL_objz00_14061; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3612z00_14062;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3613z00_14063;
BgL_arg3613z00_14063 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11747))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14064;
BgL_newz00_14064 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23737;
BgL_tmpz00_23737 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14064, BgL_tmpz00_23737, BgL_arg3613z00_14063); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23742; int BgL_tmpz00_23740;
BgL_auxz00_23742 = 
BINT(BgL_siza7ezd2framez75_11749); 
BgL_tmpz00_23740 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14064, BgL_tmpz00_23740, BgL_auxz00_23742); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23745;
BgL_tmpz00_23745 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14064, BgL_tmpz00_23745, BgL_runz00_14059); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23750; int BgL_tmpz00_23748;
BgL_auxz00_23750 = 
BINT(((long)-5)); 
BgL_tmpz00_23748 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14064, BgL_tmpz00_23748, BgL_auxz00_23750); } 
BgL_arg3612z00_14062 = BgL_newz00_14064; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14060, BgL_arg3612z00_14062); BgL_arg3612z00_14062; } 
return BgL_mainz00_14060;} } } } } } 

}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11751, obj_t BgL_az00_11756, obj_t BgL_bz00_11757, obj_t BgL_cz00_11758, obj_t BgL_dz00_11759, obj_t BgL_lastz00_11760)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11754; long BgL_siza7ezd2framez75_11755;
BgL_runz00_11754 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11751, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11755 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11751, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14065;
BgL_sz00_14065 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14066;
BgL_bpz00_14066 = 
VECTOR_REF(
((obj_t)BgL_sz00_14065),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14065, BgL_bpz00_14066, 
BINT(BgL_siza7ezd2framez75_11755)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3616z00_14067;
BgL_arg3616z00_14067 = 
(
(long)CINT(BgL_bpz00_14066)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14065),BgL_arg3616z00_14067,BgL_az00_11756); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3617z00_14068;
BgL_arg3617z00_14068 = 
(
(long)CINT(BgL_bpz00_14066)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14065),BgL_arg3617z00_14068,BgL_bz00_11757); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3618z00_14069;
BgL_arg3618z00_14069 = 
(
(long)CINT(BgL_bpz00_14066)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14065),BgL_arg3618z00_14069,BgL_cz00_11758); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3619z00_14070;
BgL_arg3619z00_14070 = 
(
(long)CINT(BgL_bpz00_14066)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14065),BgL_arg3619z00_14070,BgL_dz00_11759); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3620z00_14071;
BgL_arg3620z00_14071 = 
(
(long)CINT(BgL_bpz00_14066)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14065),BgL_arg3620z00_14071,BgL_lastz00_11760); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14072;
BgL_ez00_14072 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14073;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14074;
BgL_arg4072z00_14074 = 
BGL_EXITD_PROTECT(BgL_ez00_14072); 
BgL_arg4071z00_14073 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14066, BgL_arg4072z00_14074); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14072, BgL_arg4071z00_14073); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14075;
BgL_accz00_14075 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11754, BgL_sz00_14065, BgL_bpz00_14066); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5074z00_23791;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14076;
BgL_arg4070z00_14076 = 
BGL_EXITD_PROTECT(BgL_ez00_14072); 
BgL_test5074z00_23791 = 
PAIRP(BgL_arg4070z00_14076); } 
if(BgL_test5074z00_23791)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14077;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14078;
BgL_arg4069z00_14078 = 
BGL_EXITD_PROTECT(BgL_ez00_14072); 
BgL_arg4068z00_14077 = 
CDR(
((obj_t)BgL_arg4069z00_14078)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14072, BgL_arg4068z00_14077); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14065),((long)0),BgL_bpz00_14066); 
return BgL_accz00_14075;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14079;
BgL_nsz00_14079 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14079,((long)1),BgL_sz00_14065); 
VECTOR_SET(BgL_nsz00_14079,((long)2),BgL_az00_11756); 
VECTOR_SET(BgL_nsz00_14079,((long)3),BgL_bz00_11757); 
VECTOR_SET(BgL_nsz00_14079,((long)4),BgL_cz00_11758); 
VECTOR_SET(BgL_nsz00_14079,((long)5),BgL_dz00_11759); 
VECTOR_SET(BgL_nsz00_14079,((long)6),BgL_lastz00_11760); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14080;
BgL_z12denvz12_14080 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14080, BgL_nsz00_14079); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14081;
BgL_ez00_14081 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14082;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14083;
BgL_arg4072z00_14083 = 
BGL_EXITD_PROTECT(BgL_ez00_14081); 
BgL_arg4071z00_14082 = 
MAKE_YOUNG_PAIR(BgL_sz00_14065, BgL_arg4072z00_14083); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14081, BgL_arg4071z00_14082); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14084;
BgL_____rz00_14084 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11754, BgL_nsz00_14079, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5075z00_23815;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14085;
BgL_arg4070z00_14085 = 
BGL_EXITD_PROTECT(BgL_ez00_14081); 
BgL_test5075z00_23815 = 
PAIRP(BgL_arg4070z00_14085); } 
if(BgL_test5075z00_23815)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14086;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14087;
BgL_arg4069z00_14087 = 
BGL_EXITD_PROTECT(BgL_ez00_14081); 
BgL_arg4068z00_14086 = 
CDR(
((obj_t)BgL_arg4069z00_14087)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14081, BgL_arg4068z00_14086); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14080, BgL_sz00_14065); 
return BgL_____rz00_14084;} } } } } } } } 

}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11761, obj_t BgL_sz00_11764)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11762; obj_t BgL_bodyz00_11763;
BgL_i1252z00_11762 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11761, 
(int)(((long)0)))); 
BgL_bodyz00_11763 = 
PROCEDURE_REF(BgL_envz00_11761, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14088;
BgL_bpz00_14088 = 
VECTOR_REF(
((obj_t)BgL_sz00_11764),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14089; obj_t BgL_wherez00_14090; obj_t BgL_locz00_14091;
BgL_z12denvz12_14089 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14090 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11762))->BgL_wherez00); 
BgL_locz00_14091 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11762))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14089, BgL_wherez00_14090, BgL_locz00_14091); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14092;
BgL_za2za2resza2za2z00_14092 = 
PROCEDURE_ENTRY(BgL_bodyz00_11763)(BgL_bodyz00_11763, BgL_sz00_11764, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14089); 
return BgL_za2za2resza2za2z00_14092;} } } } } } 

}



/* &<@anonymous:3622> */
obj_t BGl_z62zc3z04anonymousza33622ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11765, obj_t BgL_sz00_11770)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11766; BgL_ev_absz00_bglt BgL_i1252z00_11767; obj_t BgL_bodyz00_11768; long BgL_siza7ezd2framez75_11769;
BgL_iboxesz00_11766 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)0)))); 
BgL_i1252z00_11767 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)1)))); 
BgL_bodyz00_11768 = 
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11769 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11765, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14093;
BgL_bpz00_14093 = 
VECTOR_REF(
((obj_t)BgL_sz00_11770),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14094;
BgL_runz00_14094 = 
MAKE_FX_PROCEDURE(BGl_z62run4227z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14094, 
(int)(((long)0)), BgL_iboxesz00_11766); 
PROCEDURE_SET(BgL_runz00_14094, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11767)); 
PROCEDURE_SET(BgL_runz00_14094, 
(int)(((long)2)), BgL_bodyz00_11768); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14095;
BgL_mainz00_14095 = 
MAKE_VA_PROCEDURE(BGl_z62main4226z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14095, 
(int)(((long)0)), BgL_iboxesz00_11766); 
PROCEDURE_SET(BgL_mainz00_14095, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11767)); 
PROCEDURE_SET(BgL_mainz00_14095, 
(int)(((long)2)), BgL_bodyz00_11768); 
PROCEDURE_SET(BgL_mainz00_14095, 
(int)(((long)3)), BgL_runz00_14094); 
PROCEDURE_SET(BgL_mainz00_14095, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11769)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14096;
BgL_objz00_14096 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14094, BgL_objz00_14096); BgL_objz00_14096; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3623z00_14097;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3624z00_14098;
BgL_arg3624z00_14098 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11767))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14099;
BgL_newz00_14099 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23881;
BgL_tmpz00_23881 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14099, BgL_tmpz00_23881, BgL_arg3624z00_14098); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23886; int BgL_tmpz00_23884;
BgL_auxz00_23886 = 
BINT(BgL_siza7ezd2framez75_11769); 
BgL_tmpz00_23884 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14099, BgL_tmpz00_23884, BgL_auxz00_23886); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_23889;
BgL_tmpz00_23889 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14099, BgL_tmpz00_23889, BgL_runz00_14094); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_23894; int BgL_tmpz00_23892;
BgL_auxz00_23894 = 
BINT(((long)-5)); 
BgL_tmpz00_23892 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14099, BgL_tmpz00_23892, BgL_auxz00_23894); } 
BgL_arg3623z00_14097 = BgL_newz00_14099; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14095, BgL_arg3623z00_14097); BgL_arg3623z00_14097; } 
return BgL_mainz00_14095;} } } } } } 

}



/* &main4226 */
obj_t BGl_z62main4226z62zz__evaluate_compz00(obj_t BgL_envz00_11771, obj_t BgL_az00_11777, obj_t BgL_bz00_11778, obj_t BgL_cz00_11779, obj_t BgL_dz00_11780, obj_t BgL_lastz00_11781)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11775; long BgL_siza7ezd2framez75_11776;
BgL_runz00_11775 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11771, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11776 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11771, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14100;
BgL_sz00_14100 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14101;
BgL_bpz00_14101 = 
VECTOR_REF(
((obj_t)BgL_sz00_14100),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14100, BgL_bpz00_14101, 
BINT(BgL_siza7ezd2framez75_11776)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3627z00_14102;
BgL_arg3627z00_14102 = 
(
(long)CINT(BgL_bpz00_14101)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14100),BgL_arg3627z00_14102,BgL_az00_11777); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3628z00_14103;
BgL_arg3628z00_14103 = 
(
(long)CINT(BgL_bpz00_14101)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14100),BgL_arg3628z00_14103,BgL_bz00_11778); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3629z00_14104;
BgL_arg3629z00_14104 = 
(
(long)CINT(BgL_bpz00_14101)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14100),BgL_arg3629z00_14104,BgL_cz00_11779); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3630z00_14105;
BgL_arg3630z00_14105 = 
(
(long)CINT(BgL_bpz00_14101)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14100),BgL_arg3630z00_14105,BgL_dz00_11780); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3631z00_14106;
BgL_arg3631z00_14106 = 
(
(long)CINT(BgL_bpz00_14101)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14100),BgL_arg3631z00_14106,BgL_lastz00_11781); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14107;
BgL_ez00_14107 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14108;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14109;
BgL_arg4072z00_14109 = 
BGL_EXITD_PROTECT(BgL_ez00_14107); 
BgL_arg4071z00_14108 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14101, BgL_arg4072z00_14109); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14107, BgL_arg4071z00_14108); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14110;
BgL_accz00_14110 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11775, BgL_sz00_14100, BgL_bpz00_14101); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5077z00_23935;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14111;
BgL_arg4070z00_14111 = 
BGL_EXITD_PROTECT(BgL_ez00_14107); 
BgL_test5077z00_23935 = 
PAIRP(BgL_arg4070z00_14111); } 
if(BgL_test5077z00_23935)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14112;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14113;
BgL_arg4069z00_14113 = 
BGL_EXITD_PROTECT(BgL_ez00_14107); 
BgL_arg4068z00_14112 = 
CDR(
((obj_t)BgL_arg4069z00_14113)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14107, BgL_arg4068z00_14112); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14100),((long)0),BgL_bpz00_14101); 
return BgL_accz00_14110;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14114;
BgL_nsz00_14114 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14114,((long)1),BgL_sz00_14100); 
VECTOR_SET(BgL_nsz00_14114,((long)2),BgL_az00_11777); 
VECTOR_SET(BgL_nsz00_14114,((long)3),BgL_bz00_11778); 
VECTOR_SET(BgL_nsz00_14114,((long)4),BgL_cz00_11779); 
VECTOR_SET(BgL_nsz00_14114,((long)5),BgL_dz00_11780); 
VECTOR_SET(BgL_nsz00_14114,((long)6),BgL_lastz00_11781); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14115;
BgL_z12denvz12_14115 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14115, BgL_nsz00_14114); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14116;
BgL_ez00_14116 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14117;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14118;
BgL_arg4072z00_14118 = 
BGL_EXITD_PROTECT(BgL_ez00_14116); 
BgL_arg4071z00_14117 = 
MAKE_YOUNG_PAIR(BgL_sz00_14100, BgL_arg4072z00_14118); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14116, BgL_arg4071z00_14117); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14119;
BgL_____rz00_14119 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11775, BgL_nsz00_14114, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5078z00_23959;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14120;
BgL_arg4070z00_14120 = 
BGL_EXITD_PROTECT(BgL_ez00_14116); 
BgL_test5078z00_23959 = 
PAIRP(BgL_arg4070z00_14120); } 
if(BgL_test5078z00_23959)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14121;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14122;
BgL_arg4069z00_14122 = 
BGL_EXITD_PROTECT(BgL_ez00_14116); 
BgL_arg4068z00_14121 = 
CDR(
((obj_t)BgL_arg4069z00_14122)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14116, BgL_arg4068z00_14121); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14115, BgL_sz00_14100); 
return BgL_____rz00_14119;} } } } } } } } 

}



/* &run4227 */
obj_t BGl_z62run4227z62zz__evaluate_compz00(obj_t BgL_envz00_11782, obj_t BgL_sz00_11786)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11783; BgL_ev_absz00_bglt BgL_i1252z00_11784; obj_t BgL_bodyz00_11785;
BgL_iboxesz00_11783 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11782, 
(int)(((long)0)))); 
BgL_i1252z00_11784 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11782, 
(int)(((long)1)))); 
BgL_bodyz00_11785 = 
PROCEDURE_REF(BgL_envz00_11782, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14123;
BgL_bpz00_14123 = 
VECTOR_REF(
((obj_t)BgL_sz00_11786),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11786, BgL_iboxesz00_11783, BgL_bpz00_14123); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14124; obj_t BgL_wherez00_14125; obj_t BgL_locz00_14126;
BgL_z12denvz12_14124 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14125 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11784))->BgL_wherez00); 
BgL_locz00_14126 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11784))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14124, BgL_wherez00_14125, BgL_locz00_14126); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14127;
BgL_za2za2resza2za2z00_14127 = 
PROCEDURE_ENTRY(BgL_bodyz00_11785)(BgL_bodyz00_11785, BgL_sz00_11786, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14124); 
return BgL_za2za2resza2za2z00_14127;} } } } } } 

}



/* &<@anonymous:3636> */
obj_t BGl_z62zc3z04anonymousza33636ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11787, obj_t BgL_sz00_11793)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11788; long BgL_siza7eza7_11789; BgL_ev_absz00_bglt BgL_i1252z00_11790; obj_t BgL_bodyz00_11791; long BgL_siza7ezd2framez75_11792;
BgL_ifreesz00_11788 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11787, 
(int)(((long)0)))); 
BgL_siza7eza7_11789 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11787, 
(int)(((long)1)))); 
BgL_i1252z00_11790 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11787, 
(int)(((long)2)))); 
BgL_bodyz00_11791 = 
PROCEDURE_REF(BgL_envz00_11787, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11792 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11787, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14128;
BgL_bpz00_14128 = 
VECTOR_REF(
((obj_t)BgL_sz00_11793),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14129;
BgL_valza2za2_14129 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11793, BgL_bpz00_14128, BgL_ifreesz00_11788); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14130;
BgL_runz00_14130 = 
MAKE_FX_PROCEDURE(BGl_z62run4229z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14130, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11789)); 
PROCEDURE_SET(BgL_runz00_14130, 
(int)(((long)1)), BgL_valza2za2_14129); 
PROCEDURE_SET(BgL_runz00_14130, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11790)); 
PROCEDURE_SET(BgL_runz00_14130, 
(int)(((long)3)), BgL_bodyz00_11791); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14131;
BgL_mainz00_14131 = 
MAKE_VA_PROCEDURE(BGl_z62main4228z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11789)); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)1)), BgL_valza2za2_14129); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11790)); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)3)), BgL_bodyz00_11791); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)4)), BgL_runz00_14130); 
PROCEDURE_SET(BgL_mainz00_14131, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11792)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14132;
BgL_objz00_14132 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14130, BgL_objz00_14132); BgL_objz00_14132; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3637z00_14133;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3638z00_14134;
BgL_arg3638z00_14134 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11790))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14135;
BgL_newz00_14135 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24039;
BgL_tmpz00_24039 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14135, BgL_tmpz00_24039, BgL_arg3638z00_14134); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24044; int BgL_tmpz00_24042;
BgL_auxz00_24044 = 
BINT(BgL_siza7ezd2framez75_11792); 
BgL_tmpz00_24042 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14135, BgL_tmpz00_24042, BgL_auxz00_24044); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24047;
BgL_tmpz00_24047 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14135, BgL_tmpz00_24047, BgL_runz00_14130); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24052; int BgL_tmpz00_24050;
BgL_auxz00_24052 = 
BINT(((long)-5)); 
BgL_tmpz00_24050 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14135, BgL_tmpz00_24050, BgL_auxz00_24052); } 
BgL_arg3637z00_14133 = BgL_newz00_14135; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14131, BgL_arg3637z00_14133); BgL_arg3637z00_14133; } 
return BgL_mainz00_14131;} } } } } } 

}



/* &main4228 */
obj_t BGl_z62main4228z62zz__evaluate_compz00(obj_t BgL_envz00_11794, obj_t BgL_az00_11801, obj_t BgL_bz00_11802, obj_t BgL_cz00_11803, obj_t BgL_dz00_11804, obj_t BgL_lastz00_11805)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11799; long BgL_siza7ezd2framez75_11800;
BgL_runz00_11799 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11794, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11800 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11794, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14136;
BgL_sz00_14136 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14137;
BgL_bpz00_14137 = 
VECTOR_REF(
((obj_t)BgL_sz00_14136),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14136, BgL_bpz00_14137, 
BINT(BgL_siza7ezd2framez75_11800)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3641z00_14138;
BgL_arg3641z00_14138 = 
(
(long)CINT(BgL_bpz00_14137)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14136),BgL_arg3641z00_14138,BgL_az00_11801); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3642z00_14139;
BgL_arg3642z00_14139 = 
(
(long)CINT(BgL_bpz00_14137)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14136),BgL_arg3642z00_14139,BgL_bz00_11802); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3643z00_14140;
BgL_arg3643z00_14140 = 
(
(long)CINT(BgL_bpz00_14137)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14136),BgL_arg3643z00_14140,BgL_cz00_11803); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3644z00_14141;
BgL_arg3644z00_14141 = 
(
(long)CINT(BgL_bpz00_14137)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14136),BgL_arg3644z00_14141,BgL_dz00_11804); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3645z00_14142;
BgL_arg3645z00_14142 = 
(
(long)CINT(BgL_bpz00_14137)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14136),BgL_arg3645z00_14142,BgL_lastz00_11805); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14143;
BgL_ez00_14143 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14144;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14145;
BgL_arg4072z00_14145 = 
BGL_EXITD_PROTECT(BgL_ez00_14143); 
BgL_arg4071z00_14144 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14137, BgL_arg4072z00_14145); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14143, BgL_arg4071z00_14144); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14146;
BgL_accz00_14146 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11799, BgL_sz00_14136, BgL_bpz00_14137); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5080z00_24093;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14147;
BgL_arg4070z00_14147 = 
BGL_EXITD_PROTECT(BgL_ez00_14143); 
BgL_test5080z00_24093 = 
PAIRP(BgL_arg4070z00_14147); } 
if(BgL_test5080z00_24093)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14148;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14149;
BgL_arg4069z00_14149 = 
BGL_EXITD_PROTECT(BgL_ez00_14143); 
BgL_arg4068z00_14148 = 
CDR(
((obj_t)BgL_arg4069z00_14149)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14143, BgL_arg4068z00_14148); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14136),((long)0),BgL_bpz00_14137); 
return BgL_accz00_14146;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14150;
BgL_nsz00_14150 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14150,((long)1),BgL_sz00_14136); 
VECTOR_SET(BgL_nsz00_14150,((long)2),BgL_az00_11801); 
VECTOR_SET(BgL_nsz00_14150,((long)3),BgL_bz00_11802); 
VECTOR_SET(BgL_nsz00_14150,((long)4),BgL_cz00_11803); 
VECTOR_SET(BgL_nsz00_14150,((long)5),BgL_dz00_11804); 
VECTOR_SET(BgL_nsz00_14150,((long)6),BgL_lastz00_11805); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14151;
BgL_z12denvz12_14151 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14151, BgL_nsz00_14150); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14152;
BgL_ez00_14152 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14153;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14154;
BgL_arg4072z00_14154 = 
BGL_EXITD_PROTECT(BgL_ez00_14152); 
BgL_arg4071z00_14153 = 
MAKE_YOUNG_PAIR(BgL_sz00_14136, BgL_arg4072z00_14154); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14152, BgL_arg4071z00_14153); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14155;
BgL_____rz00_14155 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11799, BgL_nsz00_14150, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5081z00_24117;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14156;
BgL_arg4070z00_14156 = 
BGL_EXITD_PROTECT(BgL_ez00_14152); 
BgL_test5081z00_24117 = 
PAIRP(BgL_arg4070z00_14156); } 
if(BgL_test5081z00_24117)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14157;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14158;
BgL_arg4069z00_14158 = 
BGL_EXITD_PROTECT(BgL_ez00_14152); 
BgL_arg4068z00_14157 = 
CDR(
((obj_t)BgL_arg4069z00_14158)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14152, BgL_arg4068z00_14157); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14151, BgL_sz00_14136); 
return BgL_____rz00_14155;} } } } } } } } 

}



/* &run4229 */
obj_t BGl_z62run4229z62zz__evaluate_compz00(obj_t BgL_envz00_11806, obj_t BgL_sz00_11811)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11807; obj_t BgL_valza2za2_11808; BgL_ev_absz00_bglt BgL_i1252z00_11809; obj_t BgL_bodyz00_11810;
BgL_siza7eza7_11807 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)0)))); 
BgL_valza2za2_11808 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)1)))); 
BgL_i1252z00_11809 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)2)))); 
BgL_bodyz00_11810 = 
PROCEDURE_REF(BgL_envz00_11806, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14159;
BgL_bpz00_14159 = 
VECTOR_REF(
((obj_t)BgL_sz00_11811),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11811, BgL_valza2za2_11808, 
(
(long)CINT(BgL_bpz00_14159)+BgL_siza7eza7_11807)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14160; obj_t BgL_wherez00_14161; obj_t BgL_locz00_14162;
BgL_z12denvz12_14160 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14161 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11809))->BgL_wherez00); 
BgL_locz00_14162 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11809))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14160, BgL_wherez00_14161, BgL_locz00_14162); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14163;
BgL_za2za2resza2za2z00_14163 = 
PROCEDURE_ENTRY(BgL_bodyz00_11810)(BgL_bodyz00_11810, BgL_sz00_11811, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14160); 
return BgL_za2za2resza2za2z00_14163;} } } } } } 

}



/* &<@anonymous:3648> */
obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11812, obj_t BgL_sz00_11819)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11813; obj_t BgL_iboxesz00_11814; long BgL_siza7eza7_11815; BgL_ev_absz00_bglt BgL_i1252z00_11816; obj_t BgL_bodyz00_11817; long BgL_siza7ezd2framez75_11818;
BgL_ifreesz00_11813 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)0)))); 
BgL_iboxesz00_11814 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)1)))); 
BgL_siza7eza7_11815 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)2)))); 
BgL_i1252z00_11816 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)3)))); 
BgL_bodyz00_11817 = 
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11818 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14164;
BgL_bpz00_14164 = 
VECTOR_REF(
((obj_t)BgL_sz00_11819),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14165;
BgL_valza2za2_14165 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11819, BgL_bpz00_14164, BgL_ifreesz00_11813); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14166;
BgL_runz00_14166 = 
MAKE_FX_PROCEDURE(BGl_z62run4231z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14166, 
(int)(((long)0)), BgL_iboxesz00_11814); 
PROCEDURE_SET(BgL_runz00_14166, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11815)); 
PROCEDURE_SET(BgL_runz00_14166, 
(int)(((long)2)), BgL_valza2za2_14165); 
PROCEDURE_SET(BgL_runz00_14166, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11816)); 
PROCEDURE_SET(BgL_runz00_14166, 
(int)(((long)4)), BgL_bodyz00_11817); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14167;
BgL_mainz00_14167 = 
MAKE_VA_PROCEDURE(BGl_z62main4230z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)0)), BgL_iboxesz00_11814); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11815)); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)2)), BgL_valza2za2_14165); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11816)); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)4)), BgL_bodyz00_11817); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)5)), BgL_runz00_14166); 
PROCEDURE_SET(BgL_mainz00_14167, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11818)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14168;
BgL_objz00_14168 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14166, BgL_objz00_14168); BgL_objz00_14168; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3649z00_14169;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3650z00_14170;
BgL_arg3650z00_14170 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11816))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14171;
BgL_newz00_14171 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24209;
BgL_tmpz00_24209 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14171, BgL_tmpz00_24209, BgL_arg3650z00_14170); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24214; int BgL_tmpz00_24212;
BgL_auxz00_24214 = 
BINT(BgL_siza7ezd2framez75_11818); 
BgL_tmpz00_24212 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14171, BgL_tmpz00_24212, BgL_auxz00_24214); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24217;
BgL_tmpz00_24217 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14171, BgL_tmpz00_24217, BgL_runz00_14166); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24222; int BgL_tmpz00_24220;
BgL_auxz00_24222 = 
BINT(((long)-5)); 
BgL_tmpz00_24220 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14171, BgL_tmpz00_24220, BgL_auxz00_24222); } 
BgL_arg3649z00_14169 = BgL_newz00_14171; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14167, BgL_arg3649z00_14169); BgL_arg3649z00_14169; } 
return BgL_mainz00_14167;} } } } } } 

}



/* &main4230 */
obj_t BGl_z62main4230z62zz__evaluate_compz00(obj_t BgL_envz00_11820, obj_t BgL_az00_11828, obj_t BgL_bz00_11829, obj_t BgL_cz00_11830, obj_t BgL_dz00_11831, obj_t BgL_lastz00_11832)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11826; long BgL_siza7ezd2framez75_11827;
BgL_runz00_11826 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11820, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11827 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11820, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14172;
BgL_sz00_14172 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14173;
BgL_bpz00_14173 = 
VECTOR_REF(
((obj_t)BgL_sz00_14172),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14172, BgL_bpz00_14173, 
BINT(BgL_siza7ezd2framez75_11827)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3653z00_14174;
BgL_arg3653z00_14174 = 
(
(long)CINT(BgL_bpz00_14173)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14172),BgL_arg3653z00_14174,BgL_az00_11828); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3654z00_14175;
BgL_arg3654z00_14175 = 
(
(long)CINT(BgL_bpz00_14173)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14172),BgL_arg3654z00_14175,BgL_bz00_11829); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3655z00_14176;
BgL_arg3655z00_14176 = 
(
(long)CINT(BgL_bpz00_14173)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14172),BgL_arg3655z00_14176,BgL_cz00_11830); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3656z00_14177;
BgL_arg3656z00_14177 = 
(
(long)CINT(BgL_bpz00_14173)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14172),BgL_arg3656z00_14177,BgL_dz00_11831); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3657z00_14178;
BgL_arg3657z00_14178 = 
(
(long)CINT(BgL_bpz00_14173)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_14172),BgL_arg3657z00_14178,BgL_lastz00_11832); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14179;
BgL_ez00_14179 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14180;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14181;
BgL_arg4072z00_14181 = 
BGL_EXITD_PROTECT(BgL_ez00_14179); 
BgL_arg4071z00_14180 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14173, BgL_arg4072z00_14181); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14179, BgL_arg4071z00_14180); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14182;
BgL_accz00_14182 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11826, BgL_sz00_14172, BgL_bpz00_14173); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5083z00_24263;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14183;
BgL_arg4070z00_14183 = 
BGL_EXITD_PROTECT(BgL_ez00_14179); 
BgL_test5083z00_24263 = 
PAIRP(BgL_arg4070z00_14183); } 
if(BgL_test5083z00_24263)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14184;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14185;
BgL_arg4069z00_14185 = 
BGL_EXITD_PROTECT(BgL_ez00_14179); 
BgL_arg4068z00_14184 = 
CDR(
((obj_t)BgL_arg4069z00_14185)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14179, BgL_arg4068z00_14184); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14172),((long)0),BgL_bpz00_14173); 
return BgL_accz00_14182;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14186;
BgL_nsz00_14186 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14186,((long)1),BgL_sz00_14172); 
VECTOR_SET(BgL_nsz00_14186,((long)2),BgL_az00_11828); 
VECTOR_SET(BgL_nsz00_14186,((long)3),BgL_bz00_11829); 
VECTOR_SET(BgL_nsz00_14186,((long)4),BgL_cz00_11830); 
VECTOR_SET(BgL_nsz00_14186,((long)5),BgL_dz00_11831); 
VECTOR_SET(BgL_nsz00_14186,((long)6),BgL_lastz00_11832); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14187;
BgL_z12denvz12_14187 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14187, BgL_nsz00_14186); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14188;
BgL_ez00_14188 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14189;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14190;
BgL_arg4072z00_14190 = 
BGL_EXITD_PROTECT(BgL_ez00_14188); 
BgL_arg4071z00_14189 = 
MAKE_YOUNG_PAIR(BgL_sz00_14172, BgL_arg4072z00_14190); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14188, BgL_arg4071z00_14189); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14191;
BgL_____rz00_14191 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11826, BgL_nsz00_14186, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5084z00_24287;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14192;
BgL_arg4070z00_14192 = 
BGL_EXITD_PROTECT(BgL_ez00_14188); 
BgL_test5084z00_24287 = 
PAIRP(BgL_arg4070z00_14192); } 
if(BgL_test5084z00_24287)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14193;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14194;
BgL_arg4069z00_14194 = 
BGL_EXITD_PROTECT(BgL_ez00_14188); 
BgL_arg4068z00_14193 = 
CDR(
((obj_t)BgL_arg4069z00_14194)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14188, BgL_arg4068z00_14193); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14187, BgL_sz00_14172); 
return BgL_____rz00_14191;} } } } } } } } 

}



/* &run4231 */
obj_t BGl_z62run4231z62zz__evaluate_compz00(obj_t BgL_envz00_11833, obj_t BgL_sz00_11839)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11834; long BgL_siza7eza7_11835; obj_t BgL_valza2za2_11836; BgL_ev_absz00_bglt BgL_i1252z00_11837; obj_t BgL_bodyz00_11838;
BgL_iboxesz00_11834 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)0)))); 
BgL_siza7eza7_11835 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)1)))); 
BgL_valza2za2_11836 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)2)))); 
BgL_i1252z00_11837 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)3)))); 
BgL_bodyz00_11838 = 
PROCEDURE_REF(BgL_envz00_11833, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14195;
BgL_bpz00_14195 = 
VECTOR_REF(
((obj_t)BgL_sz00_11839),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11839, BgL_iboxesz00_11834, BgL_bpz00_14195); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11839, BgL_valza2za2_11836, 
(
(long)CINT(BgL_bpz00_14195)+BgL_siza7eza7_11835)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14196; obj_t BgL_wherez00_14197; obj_t BgL_locz00_14198;
BgL_z12denvz12_14196 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14197 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11837))->BgL_wherez00); 
BgL_locz00_14198 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11837))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14196, BgL_wherez00_14197, BgL_locz00_14198); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14199;
BgL_za2za2resza2za2z00_14199 = 
PROCEDURE_ENTRY(BgL_bodyz00_11838)(BgL_bodyz00_11838, BgL_sz00_11839, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14196); 
return BgL_za2za2resza2za2z00_14199;} } } } } } 

}



/* &<@anonymous:3560> */
obj_t BGl_z62zc3z04anonymousza33560ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11840, obj_t BgL_sz00_11844)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11841; obj_t BgL_bodyz00_11842; long BgL_siza7ezd2framez75_11843;
BgL_i1252z00_11841 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)0)))); 
BgL_bodyz00_11842 = 
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11843 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11840, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14200;
BgL_bpz00_14200 = 
VECTOR_REF(
((obj_t)BgL_sz00_11844),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14201;
BgL_runz00_14201 = 
MAKE_FX_PROCEDURE(BGl_z62run4233z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14201, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11841)); 
PROCEDURE_SET(BgL_runz00_14201, 
(int)(((long)1)), BgL_bodyz00_11842); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14202;
BgL_mainz00_14202 = 
MAKE_FX_PROCEDURE(BGl_z62main4232z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14202, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11841)); 
PROCEDURE_SET(BgL_mainz00_14202, 
(int)(((long)1)), BgL_bodyz00_11842); 
PROCEDURE_SET(BgL_mainz00_14202, 
(int)(((long)2)), BgL_runz00_14201); 
PROCEDURE_SET(BgL_mainz00_14202, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11843)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14203;
BgL_objz00_14203 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14201, BgL_objz00_14203); BgL_objz00_14203; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3561z00_14204;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3562z00_14205;
BgL_arg3562z00_14205 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11841))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14206;
BgL_newz00_14206 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24359;
BgL_tmpz00_24359 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14206, BgL_tmpz00_24359, BgL_arg3562z00_14205); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24364; int BgL_tmpz00_24362;
BgL_auxz00_24364 = 
BINT(BgL_siza7ezd2framez75_11843); 
BgL_tmpz00_24362 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14206, BgL_tmpz00_24362, BgL_auxz00_24364); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24367;
BgL_tmpz00_24367 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14206, BgL_tmpz00_24367, BgL_runz00_14201); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24372; int BgL_tmpz00_24370;
BgL_auxz00_24372 = 
BINT(((long)4)); 
BgL_tmpz00_24370 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14206, BgL_tmpz00_24370, BgL_auxz00_24372); } 
BgL_arg3561z00_14204 = BgL_newz00_14206; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14202, BgL_arg3561z00_14204); BgL_arg3561z00_14204; } 
return BgL_mainz00_14202;} } } } } } 

}



/* &main4232 */
obj_t BGl_z62main4232z62zz__evaluate_compz00(obj_t BgL_envz00_11845, obj_t BgL_az00_11850, obj_t BgL_bz00_11851, obj_t BgL_cz00_11852, obj_t BgL_dz00_11853)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11848; long BgL_siza7ezd2framez75_11849;
BgL_runz00_11848 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11845, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11849 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11845, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14207;
BgL_sz00_14207 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14208;
BgL_bpz00_14208 = 
VECTOR_REF(
((obj_t)BgL_sz00_14207),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14207, BgL_bpz00_14208, 
BINT(BgL_siza7ezd2framez75_11849)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3565z00_14209;
BgL_arg3565z00_14209 = 
(
(long)CINT(BgL_bpz00_14208)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14207),BgL_arg3565z00_14209,BgL_az00_11850); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3566z00_14210;
BgL_arg3566z00_14210 = 
(
(long)CINT(BgL_bpz00_14208)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14207),BgL_arg3566z00_14210,BgL_bz00_11851); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3567z00_14211;
BgL_arg3567z00_14211 = 
(
(long)CINT(BgL_bpz00_14208)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14207),BgL_arg3567z00_14211,BgL_cz00_11852); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3568z00_14212;
BgL_arg3568z00_14212 = 
(
(long)CINT(BgL_bpz00_14208)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14207),BgL_arg3568z00_14212,BgL_dz00_11853); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14213;
BgL_ez00_14213 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14214;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14215;
BgL_arg4072z00_14215 = 
BGL_EXITD_PROTECT(BgL_ez00_14213); 
BgL_arg4071z00_14214 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14208, BgL_arg4072z00_14215); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14213, BgL_arg4071z00_14214); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14216;
BgL_accz00_14216 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11848, BgL_sz00_14207, BgL_bpz00_14208); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5086z00_24409;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14217;
BgL_arg4070z00_14217 = 
BGL_EXITD_PROTECT(BgL_ez00_14213); 
BgL_test5086z00_24409 = 
PAIRP(BgL_arg4070z00_14217); } 
if(BgL_test5086z00_24409)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14218;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14219;
BgL_arg4069z00_14219 = 
BGL_EXITD_PROTECT(BgL_ez00_14213); 
BgL_arg4068z00_14218 = 
CDR(
((obj_t)BgL_arg4069z00_14219)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14213, BgL_arg4068z00_14218); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14207),((long)0),BgL_bpz00_14208); 
return BgL_accz00_14216;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14220;
BgL_nsz00_14220 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14220,((long)1),BgL_sz00_14207); 
VECTOR_SET(BgL_nsz00_14220,((long)2),BgL_az00_11850); 
VECTOR_SET(BgL_nsz00_14220,((long)3),BgL_bz00_11851); 
VECTOR_SET(BgL_nsz00_14220,((long)4),BgL_cz00_11852); 
VECTOR_SET(BgL_nsz00_14220,((long)5),BgL_dz00_11853); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14221;
BgL_z12denvz12_14221 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14221, BgL_nsz00_14220); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14222;
BgL_ez00_14222 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14223;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14224;
BgL_arg4072z00_14224 = 
BGL_EXITD_PROTECT(BgL_ez00_14222); 
BgL_arg4071z00_14223 = 
MAKE_YOUNG_PAIR(BgL_sz00_14207, BgL_arg4072z00_14224); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14222, BgL_arg4071z00_14223); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14225;
BgL_____rz00_14225 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11848, BgL_nsz00_14220, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5087z00_24432;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14226;
BgL_arg4070z00_14226 = 
BGL_EXITD_PROTECT(BgL_ez00_14222); 
BgL_test5087z00_24432 = 
PAIRP(BgL_arg4070z00_14226); } 
if(BgL_test5087z00_24432)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14227;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14228;
BgL_arg4069z00_14228 = 
BGL_EXITD_PROTECT(BgL_ez00_14222); 
BgL_arg4068z00_14227 = 
CDR(
((obj_t)BgL_arg4069z00_14228)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14222, BgL_arg4068z00_14227); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14221, BgL_sz00_14207); 
return BgL_____rz00_14225;} } } } } } } } 

}



/* &run4233 */
obj_t BGl_z62run4233z62zz__evaluate_compz00(obj_t BgL_envz00_11854, obj_t BgL_sz00_11857)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11855; obj_t BgL_bodyz00_11856;
BgL_i1252z00_11855 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)0)))); 
BgL_bodyz00_11856 = 
PROCEDURE_REF(BgL_envz00_11854, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14229;
BgL_bpz00_14229 = 
VECTOR_REF(
((obj_t)BgL_sz00_11857),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14230; obj_t BgL_wherez00_14231; obj_t BgL_locz00_14232;
BgL_z12denvz12_14230 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14231 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11855))->BgL_wherez00); 
BgL_locz00_14232 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11855))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14230, BgL_wherez00_14231, BgL_locz00_14232); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14233;
BgL_za2za2resza2za2z00_14233 = 
PROCEDURE_ENTRY(BgL_bodyz00_11856)(BgL_bodyz00_11856, BgL_sz00_11857, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14230); 
return BgL_za2za2resza2za2z00_14233;} } } } } } 

}



/* &<@anonymous:3570> */
obj_t BGl_z62zc3z04anonymousza33570ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11858, obj_t BgL_sz00_11863)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11859; BgL_ev_absz00_bglt BgL_i1252z00_11860; obj_t BgL_bodyz00_11861; long BgL_siza7ezd2framez75_11862;
BgL_iboxesz00_11859 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)0)))); 
BgL_i1252z00_11860 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)1)))); 
BgL_bodyz00_11861 = 
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11862 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11858, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14234;
BgL_bpz00_14234 = 
VECTOR_REF(
((obj_t)BgL_sz00_11863),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14235;
BgL_runz00_14235 = 
MAKE_FX_PROCEDURE(BGl_z62run4235z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14235, 
(int)(((long)0)), BgL_iboxesz00_11859); 
PROCEDURE_SET(BgL_runz00_14235, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11860)); 
PROCEDURE_SET(BgL_runz00_14235, 
(int)(((long)2)), BgL_bodyz00_11861); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14236;
BgL_mainz00_14236 = 
MAKE_FX_PROCEDURE(BGl_z62main4234z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14236, 
(int)(((long)0)), BgL_iboxesz00_11859); 
PROCEDURE_SET(BgL_mainz00_14236, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11860)); 
PROCEDURE_SET(BgL_mainz00_14236, 
(int)(((long)2)), BgL_bodyz00_11861); 
PROCEDURE_SET(BgL_mainz00_14236, 
(int)(((long)3)), BgL_runz00_14235); 
PROCEDURE_SET(BgL_mainz00_14236, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11862)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14237;
BgL_objz00_14237 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14235, BgL_objz00_14237); BgL_objz00_14237; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3571z00_14238;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3572z00_14239;
BgL_arg3572z00_14239 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11860))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14240;
BgL_newz00_14240 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24498;
BgL_tmpz00_24498 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14240, BgL_tmpz00_24498, BgL_arg3572z00_14239); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24503; int BgL_tmpz00_24501;
BgL_auxz00_24503 = 
BINT(BgL_siza7ezd2framez75_11862); 
BgL_tmpz00_24501 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14240, BgL_tmpz00_24501, BgL_auxz00_24503); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24506;
BgL_tmpz00_24506 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14240, BgL_tmpz00_24506, BgL_runz00_14235); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24511; int BgL_tmpz00_24509;
BgL_auxz00_24511 = 
BINT(((long)4)); 
BgL_tmpz00_24509 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14240, BgL_tmpz00_24509, BgL_auxz00_24511); } 
BgL_arg3571z00_14238 = BgL_newz00_14240; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14236, BgL_arg3571z00_14238); BgL_arg3571z00_14238; } 
return BgL_mainz00_14236;} } } } } } 

}



/* &main4234 */
obj_t BGl_z62main4234z62zz__evaluate_compz00(obj_t BgL_envz00_11864, obj_t BgL_az00_11870, obj_t BgL_bz00_11871, obj_t BgL_cz00_11872, obj_t BgL_dz00_11873)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11868; long BgL_siza7ezd2framez75_11869;
BgL_runz00_11868 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11869 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14241;
BgL_sz00_14241 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14242;
BgL_bpz00_14242 = 
VECTOR_REF(
((obj_t)BgL_sz00_14241),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14241, BgL_bpz00_14242, 
BINT(BgL_siza7ezd2framez75_11869)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3575z00_14243;
BgL_arg3575z00_14243 = 
(
(long)CINT(BgL_bpz00_14242)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14241),BgL_arg3575z00_14243,BgL_az00_11870); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3576z00_14244;
BgL_arg3576z00_14244 = 
(
(long)CINT(BgL_bpz00_14242)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14241),BgL_arg3576z00_14244,BgL_bz00_11871); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3577z00_14245;
BgL_arg3577z00_14245 = 
(
(long)CINT(BgL_bpz00_14242)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14241),BgL_arg3577z00_14245,BgL_cz00_11872); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3578z00_14246;
BgL_arg3578z00_14246 = 
(
(long)CINT(BgL_bpz00_14242)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14241),BgL_arg3578z00_14246,BgL_dz00_11873); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14247;
BgL_ez00_14247 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14248;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14249;
BgL_arg4072z00_14249 = 
BGL_EXITD_PROTECT(BgL_ez00_14247); 
BgL_arg4071z00_14248 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14242, BgL_arg4072z00_14249); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14247, BgL_arg4071z00_14248); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14250;
BgL_accz00_14250 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11868, BgL_sz00_14241, BgL_bpz00_14242); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5089z00_24548;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14251;
BgL_arg4070z00_14251 = 
BGL_EXITD_PROTECT(BgL_ez00_14247); 
BgL_test5089z00_24548 = 
PAIRP(BgL_arg4070z00_14251); } 
if(BgL_test5089z00_24548)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14252;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14253;
BgL_arg4069z00_14253 = 
BGL_EXITD_PROTECT(BgL_ez00_14247); 
BgL_arg4068z00_14252 = 
CDR(
((obj_t)BgL_arg4069z00_14253)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14247, BgL_arg4068z00_14252); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14241),((long)0),BgL_bpz00_14242); 
return BgL_accz00_14250;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14254;
BgL_nsz00_14254 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14254,((long)1),BgL_sz00_14241); 
VECTOR_SET(BgL_nsz00_14254,((long)2),BgL_az00_11870); 
VECTOR_SET(BgL_nsz00_14254,((long)3),BgL_bz00_11871); 
VECTOR_SET(BgL_nsz00_14254,((long)4),BgL_cz00_11872); 
VECTOR_SET(BgL_nsz00_14254,((long)5),BgL_dz00_11873); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14255;
BgL_z12denvz12_14255 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14255, BgL_nsz00_14254); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14256;
BgL_ez00_14256 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14257;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14258;
BgL_arg4072z00_14258 = 
BGL_EXITD_PROTECT(BgL_ez00_14256); 
BgL_arg4071z00_14257 = 
MAKE_YOUNG_PAIR(BgL_sz00_14241, BgL_arg4072z00_14258); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14256, BgL_arg4071z00_14257); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14259;
BgL_____rz00_14259 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11868, BgL_nsz00_14254, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5090z00_24571;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14260;
BgL_arg4070z00_14260 = 
BGL_EXITD_PROTECT(BgL_ez00_14256); 
BgL_test5090z00_24571 = 
PAIRP(BgL_arg4070z00_14260); } 
if(BgL_test5090z00_24571)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14261;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14262;
BgL_arg4069z00_14262 = 
BGL_EXITD_PROTECT(BgL_ez00_14256); 
BgL_arg4068z00_14261 = 
CDR(
((obj_t)BgL_arg4069z00_14262)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14256, BgL_arg4068z00_14261); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14255, BgL_sz00_14241); 
return BgL_____rz00_14259;} } } } } } } } 

}



/* &run4235 */
obj_t BGl_z62run4235z62zz__evaluate_compz00(obj_t BgL_envz00_11874, obj_t BgL_sz00_11878)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11875; BgL_ev_absz00_bglt BgL_i1252z00_11876; obj_t BgL_bodyz00_11877;
BgL_iboxesz00_11875 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)0)))); 
BgL_i1252z00_11876 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)1)))); 
BgL_bodyz00_11877 = 
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14263;
BgL_bpz00_14263 = 
VECTOR_REF(
((obj_t)BgL_sz00_11878),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11878, BgL_iboxesz00_11875, BgL_bpz00_14263); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14264; obj_t BgL_wherez00_14265; obj_t BgL_locz00_14266;
BgL_z12denvz12_14264 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14265 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11876))->BgL_wherez00); 
BgL_locz00_14266 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11876))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14264, BgL_wherez00_14265, BgL_locz00_14266); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14267;
BgL_za2za2resza2za2z00_14267 = 
PROCEDURE_ENTRY(BgL_bodyz00_11877)(BgL_bodyz00_11877, BgL_sz00_11878, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14264); 
return BgL_za2za2resza2za2z00_14267;} } } } } } 

}



/* &<@anonymous:3583> */
obj_t BGl_z62zc3z04anonymousza33583ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11879, obj_t BgL_sz00_11885)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11880; long BgL_siza7eza7_11881; BgL_ev_absz00_bglt BgL_i1252z00_11882; obj_t BgL_bodyz00_11883; long BgL_siza7ezd2framez75_11884;
BgL_ifreesz00_11880 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)0)))); 
BgL_siza7eza7_11881 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)1)))); 
BgL_i1252z00_11882 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)2)))); 
BgL_bodyz00_11883 = 
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11884 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14268;
BgL_bpz00_14268 = 
VECTOR_REF(
((obj_t)BgL_sz00_11885),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14269;
BgL_valza2za2_14269 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11885, BgL_bpz00_14268, BgL_ifreesz00_11880); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14270;
BgL_runz00_14270 = 
MAKE_FX_PROCEDURE(BGl_z62run4237z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14270, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11881)); 
PROCEDURE_SET(BgL_runz00_14270, 
(int)(((long)1)), BgL_valza2za2_14269); 
PROCEDURE_SET(BgL_runz00_14270, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11882)); 
PROCEDURE_SET(BgL_runz00_14270, 
(int)(((long)3)), BgL_bodyz00_11883); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14271;
BgL_mainz00_14271 = 
MAKE_FX_PROCEDURE(BGl_z62main4236z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11881)); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)1)), BgL_valza2za2_14269); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11882)); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)3)), BgL_bodyz00_11883); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)4)), BgL_runz00_14270); 
PROCEDURE_SET(BgL_mainz00_14271, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11884)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14272;
BgL_objz00_14272 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14270, BgL_objz00_14272); BgL_objz00_14272; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3584z00_14273;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3585z00_14274;
BgL_arg3585z00_14274 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11882))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14275;
BgL_newz00_14275 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24651;
BgL_tmpz00_24651 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14275, BgL_tmpz00_24651, BgL_arg3585z00_14274); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24656; int BgL_tmpz00_24654;
BgL_auxz00_24656 = 
BINT(BgL_siza7ezd2framez75_11884); 
BgL_tmpz00_24654 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14275, BgL_tmpz00_24654, BgL_auxz00_24656); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24659;
BgL_tmpz00_24659 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14275, BgL_tmpz00_24659, BgL_runz00_14270); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24664; int BgL_tmpz00_24662;
BgL_auxz00_24664 = 
BINT(((long)4)); 
BgL_tmpz00_24662 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14275, BgL_tmpz00_24662, BgL_auxz00_24664); } 
BgL_arg3584z00_14273 = BgL_newz00_14275; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14271, BgL_arg3584z00_14273); BgL_arg3584z00_14273; } 
return BgL_mainz00_14271;} } } } } } 

}



/* &main4236 */
obj_t BGl_z62main4236z62zz__evaluate_compz00(obj_t BgL_envz00_11886, obj_t BgL_az00_11893, obj_t BgL_bz00_11894, obj_t BgL_cz00_11895, obj_t BgL_dz00_11896)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11891; long BgL_siza7ezd2framez75_11892;
BgL_runz00_11891 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11892 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14276;
BgL_sz00_14276 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14277;
BgL_bpz00_14277 = 
VECTOR_REF(
((obj_t)BgL_sz00_14276),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14276, BgL_bpz00_14277, 
BINT(BgL_siza7ezd2framez75_11892)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3588z00_14278;
BgL_arg3588z00_14278 = 
(
(long)CINT(BgL_bpz00_14277)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14276),BgL_arg3588z00_14278,BgL_az00_11893); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3589z00_14279;
BgL_arg3589z00_14279 = 
(
(long)CINT(BgL_bpz00_14277)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14276),BgL_arg3589z00_14279,BgL_bz00_11894); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3590z00_14280;
BgL_arg3590z00_14280 = 
(
(long)CINT(BgL_bpz00_14277)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14276),BgL_arg3590z00_14280,BgL_cz00_11895); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3591z00_14281;
BgL_arg3591z00_14281 = 
(
(long)CINT(BgL_bpz00_14277)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14276),BgL_arg3591z00_14281,BgL_dz00_11896); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14282;
BgL_ez00_14282 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14283;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14284;
BgL_arg4072z00_14284 = 
BGL_EXITD_PROTECT(BgL_ez00_14282); 
BgL_arg4071z00_14283 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14277, BgL_arg4072z00_14284); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14282, BgL_arg4071z00_14283); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14285;
BgL_accz00_14285 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11891, BgL_sz00_14276, BgL_bpz00_14277); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5092z00_24701;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14286;
BgL_arg4070z00_14286 = 
BGL_EXITD_PROTECT(BgL_ez00_14282); 
BgL_test5092z00_24701 = 
PAIRP(BgL_arg4070z00_14286); } 
if(BgL_test5092z00_24701)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14287;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14288;
BgL_arg4069z00_14288 = 
BGL_EXITD_PROTECT(BgL_ez00_14282); 
BgL_arg4068z00_14287 = 
CDR(
((obj_t)BgL_arg4069z00_14288)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14282, BgL_arg4068z00_14287); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14276),((long)0),BgL_bpz00_14277); 
return BgL_accz00_14285;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14289;
BgL_nsz00_14289 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14289,((long)1),BgL_sz00_14276); 
VECTOR_SET(BgL_nsz00_14289,((long)2),BgL_az00_11893); 
VECTOR_SET(BgL_nsz00_14289,((long)3),BgL_bz00_11894); 
VECTOR_SET(BgL_nsz00_14289,((long)4),BgL_cz00_11895); 
VECTOR_SET(BgL_nsz00_14289,((long)5),BgL_dz00_11896); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14290;
BgL_z12denvz12_14290 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14290, BgL_nsz00_14289); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14291;
BgL_ez00_14291 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14292;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14293;
BgL_arg4072z00_14293 = 
BGL_EXITD_PROTECT(BgL_ez00_14291); 
BgL_arg4071z00_14292 = 
MAKE_YOUNG_PAIR(BgL_sz00_14276, BgL_arg4072z00_14293); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14291, BgL_arg4071z00_14292); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14294;
BgL_____rz00_14294 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11891, BgL_nsz00_14289, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5093z00_24724;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14295;
BgL_arg4070z00_14295 = 
BGL_EXITD_PROTECT(BgL_ez00_14291); 
BgL_test5093z00_24724 = 
PAIRP(BgL_arg4070z00_14295); } 
if(BgL_test5093z00_24724)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14296;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14297;
BgL_arg4069z00_14297 = 
BGL_EXITD_PROTECT(BgL_ez00_14291); 
BgL_arg4068z00_14296 = 
CDR(
((obj_t)BgL_arg4069z00_14297)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14291, BgL_arg4068z00_14296); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14290, BgL_sz00_14276); 
return BgL_____rz00_14294;} } } } } } } } 

}



/* &run4237 */
obj_t BGl_z62run4237z62zz__evaluate_compz00(obj_t BgL_envz00_11897, obj_t BgL_sz00_11902)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11898; obj_t BgL_valza2za2_11899; BgL_ev_absz00_bglt BgL_i1252z00_11900; obj_t BgL_bodyz00_11901;
BgL_siza7eza7_11898 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)0)))); 
BgL_valza2za2_11899 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)1)))); 
BgL_i1252z00_11900 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)2)))); 
BgL_bodyz00_11901 = 
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14298;
BgL_bpz00_14298 = 
VECTOR_REF(
((obj_t)BgL_sz00_11902),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11902, BgL_valza2za2_11899, 
(
(long)CINT(BgL_bpz00_14298)+BgL_siza7eza7_11898)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14299; obj_t BgL_wherez00_14300; obj_t BgL_locz00_14301;
BgL_z12denvz12_14299 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14300 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11900))->BgL_wherez00); 
BgL_locz00_14301 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11900))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14299, BgL_wherez00_14300, BgL_locz00_14301); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14302;
BgL_za2za2resza2za2z00_14302 = 
PROCEDURE_ENTRY(BgL_bodyz00_11901)(BgL_bodyz00_11901, BgL_sz00_11902, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14299); 
return BgL_za2za2resza2za2z00_14302;} } } } } } 

}



/* &<@anonymous:3594> */
obj_t BGl_z62zc3z04anonymousza33594ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11903, obj_t BgL_sz00_11910)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11904; obj_t BgL_iboxesz00_11905; long BgL_siza7eza7_11906; BgL_ev_absz00_bglt BgL_i1252z00_11907; obj_t BgL_bodyz00_11908; long BgL_siza7ezd2framez75_11909;
BgL_ifreesz00_11904 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)0)))); 
BgL_iboxesz00_11905 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)1)))); 
BgL_siza7eza7_11906 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)2)))); 
BgL_i1252z00_11907 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)3)))); 
BgL_bodyz00_11908 = 
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11909 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14303;
BgL_bpz00_14303 = 
VECTOR_REF(
((obj_t)BgL_sz00_11910),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14304;
BgL_valza2za2_14304 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11910, BgL_bpz00_14303, BgL_ifreesz00_11904); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14305;
BgL_runz00_14305 = 
MAKE_FX_PROCEDURE(BGl_z62run4239z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)0)), BgL_iboxesz00_11905); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11906)); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)2)), BgL_valza2za2_14304); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11907)); 
PROCEDURE_SET(BgL_runz00_14305, 
(int)(((long)4)), BgL_bodyz00_11908); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14306;
BgL_mainz00_14306 = 
MAKE_FX_PROCEDURE(BGl_z62main4238z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)0)), BgL_iboxesz00_11905); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11906)); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)2)), BgL_valza2za2_14304); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11907)); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)4)), BgL_bodyz00_11908); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)5)), BgL_runz00_14305); 
PROCEDURE_SET(BgL_mainz00_14306, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11909)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14307;
BgL_objz00_14307 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14305, BgL_objz00_14307); BgL_objz00_14307; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3595z00_14308;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3596z00_14309;
BgL_arg3596z00_14309 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11907))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14310;
BgL_newz00_14310 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24816;
BgL_tmpz00_24816 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_24816, BgL_arg3596z00_14309); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24821; int BgL_tmpz00_24819;
BgL_auxz00_24821 = 
BINT(BgL_siza7ezd2framez75_11909); 
BgL_tmpz00_24819 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_24819, BgL_auxz00_24821); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24824;
BgL_tmpz00_24824 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_24824, BgL_runz00_14305); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24829; int BgL_tmpz00_24827;
BgL_auxz00_24829 = 
BINT(((long)4)); 
BgL_tmpz00_24827 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14310, BgL_tmpz00_24827, BgL_auxz00_24829); } 
BgL_arg3595z00_14308 = BgL_newz00_14310; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14306, BgL_arg3595z00_14308); BgL_arg3595z00_14308; } 
return BgL_mainz00_14306;} } } } } } 

}



/* &main4238 */
obj_t BGl_z62main4238z62zz__evaluate_compz00(obj_t BgL_envz00_11911, obj_t BgL_az00_11919, obj_t BgL_bz00_11920, obj_t BgL_cz00_11921, obj_t BgL_dz00_11922)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11917; long BgL_siza7ezd2framez75_11918;
BgL_runz00_11917 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11918 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14311;
BgL_sz00_14311 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14312;
BgL_bpz00_14312 = 
VECTOR_REF(
((obj_t)BgL_sz00_14311),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14311, BgL_bpz00_14312, 
BINT(BgL_siza7ezd2framez75_11918)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3599z00_14313;
BgL_arg3599z00_14313 = 
(
(long)CINT(BgL_bpz00_14312)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),BgL_arg3599z00_14313,BgL_az00_11919); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3600z00_14314;
BgL_arg3600z00_14314 = 
(
(long)CINT(BgL_bpz00_14312)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),BgL_arg3600z00_14314,BgL_bz00_11920); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3601z00_14315;
BgL_arg3601z00_14315 = 
(
(long)CINT(BgL_bpz00_14312)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),BgL_arg3601z00_14315,BgL_cz00_11921); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3602z00_14316;
BgL_arg3602z00_14316 = 
(
(long)CINT(BgL_bpz00_14312)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14311),BgL_arg3602z00_14316,BgL_dz00_11922); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14317;
BgL_ez00_14317 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14318;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14319;
BgL_arg4072z00_14319 = 
BGL_EXITD_PROTECT(BgL_ez00_14317); 
BgL_arg4071z00_14318 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14312, BgL_arg4072z00_14319); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14317, BgL_arg4071z00_14318); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14320;
BgL_accz00_14320 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11917, BgL_sz00_14311, BgL_bpz00_14312); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5095z00_24866;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14321;
BgL_arg4070z00_14321 = 
BGL_EXITD_PROTECT(BgL_ez00_14317); 
BgL_test5095z00_24866 = 
PAIRP(BgL_arg4070z00_14321); } 
if(BgL_test5095z00_24866)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14322;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14323;
BgL_arg4069z00_14323 = 
BGL_EXITD_PROTECT(BgL_ez00_14317); 
BgL_arg4068z00_14322 = 
CDR(
((obj_t)BgL_arg4069z00_14323)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14317, BgL_arg4068z00_14322); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14311),((long)0),BgL_bpz00_14312); 
return BgL_accz00_14320;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14324;
BgL_nsz00_14324 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14324,((long)1),BgL_sz00_14311); 
VECTOR_SET(BgL_nsz00_14324,((long)2),BgL_az00_11919); 
VECTOR_SET(BgL_nsz00_14324,((long)3),BgL_bz00_11920); 
VECTOR_SET(BgL_nsz00_14324,((long)4),BgL_cz00_11921); 
VECTOR_SET(BgL_nsz00_14324,((long)5),BgL_dz00_11922); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14325;
BgL_z12denvz12_14325 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14325, BgL_nsz00_14324); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14326;
BgL_ez00_14326 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14327;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14328;
BgL_arg4072z00_14328 = 
BGL_EXITD_PROTECT(BgL_ez00_14326); 
BgL_arg4071z00_14327 = 
MAKE_YOUNG_PAIR(BgL_sz00_14311, BgL_arg4072z00_14328); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14326, BgL_arg4071z00_14327); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14329;
BgL_____rz00_14329 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11917, BgL_nsz00_14324, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5096z00_24889;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14330;
BgL_arg4070z00_14330 = 
BGL_EXITD_PROTECT(BgL_ez00_14326); 
BgL_test5096z00_24889 = 
PAIRP(BgL_arg4070z00_14330); } 
if(BgL_test5096z00_24889)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14331;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14332;
BgL_arg4069z00_14332 = 
BGL_EXITD_PROTECT(BgL_ez00_14326); 
BgL_arg4068z00_14331 = 
CDR(
((obj_t)BgL_arg4069z00_14332)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14326, BgL_arg4068z00_14331); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14325, BgL_sz00_14311); 
return BgL_____rz00_14329;} } } } } } } } 

}



/* &run4239 */
obj_t BGl_z62run4239z62zz__evaluate_compz00(obj_t BgL_envz00_11923, obj_t BgL_sz00_11929)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11924; long BgL_siza7eza7_11925; obj_t BgL_valza2za2_11926; BgL_ev_absz00_bglt BgL_i1252z00_11927; obj_t BgL_bodyz00_11928;
BgL_iboxesz00_11924 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)0)))); 
BgL_siza7eza7_11925 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)1)))); 
BgL_valza2za2_11926 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)2)))); 
BgL_i1252z00_11927 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)3)))); 
BgL_bodyz00_11928 = 
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14333;
BgL_bpz00_14333 = 
VECTOR_REF(
((obj_t)BgL_sz00_11929),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11929, BgL_iboxesz00_11924, BgL_bpz00_14333); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11929, BgL_valza2za2_11926, 
(
(long)CINT(BgL_bpz00_14333)+BgL_siza7eza7_11925)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14334; obj_t BgL_wherez00_14335; obj_t BgL_locz00_14336;
BgL_z12denvz12_14334 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14335 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11927))->BgL_wherez00); 
BgL_locz00_14336 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11927))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14334, BgL_wherez00_14335, BgL_locz00_14336); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14337;
BgL_za2za2resza2za2z00_14337 = 
PROCEDURE_ENTRY(BgL_bodyz00_11928)(BgL_bodyz00_11928, BgL_sz00_11929, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14334); 
return BgL_za2za2resza2za2z00_14337;} } } } } } 

}



/* &<@anonymous:3509> */
obj_t BGl_z62zc3z04anonymousza33509ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11930, obj_t BgL_sz00_11934)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11931; obj_t BgL_bodyz00_11932; long BgL_siza7ezd2framez75_11933;
BgL_i1252z00_11931 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11930, 
(int)(((long)0)))); 
BgL_bodyz00_11932 = 
PROCEDURE_REF(BgL_envz00_11930, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11933 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11930, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14338;
BgL_bpz00_14338 = 
VECTOR_REF(
((obj_t)BgL_sz00_11934),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14339;
BgL_runz00_14339 = 
MAKE_FX_PROCEDURE(BGl_z62run4241z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14339, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11931)); 
PROCEDURE_SET(BgL_runz00_14339, 
(int)(((long)1)), BgL_bodyz00_11932); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14340;
BgL_mainz00_14340 = 
MAKE_VA_PROCEDURE(BGl_z62main4240z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14340, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_11931)); 
PROCEDURE_SET(BgL_mainz00_14340, 
(int)(((long)1)), BgL_bodyz00_11932); 
PROCEDURE_SET(BgL_mainz00_14340, 
(int)(((long)2)), BgL_runz00_14339); 
PROCEDURE_SET(BgL_mainz00_14340, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11933)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14341;
BgL_objz00_14341 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14339, BgL_objz00_14341); BgL_objz00_14341; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3510z00_14342;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3511z00_14343;
BgL_arg3511z00_14343 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11931))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14344;
BgL_newz00_14344 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24961;
BgL_tmpz00_24961 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14344, BgL_tmpz00_24961, BgL_arg3511z00_14343); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24966; int BgL_tmpz00_24964;
BgL_auxz00_24966 = 
BINT(BgL_siza7ezd2framez75_11933); 
BgL_tmpz00_24964 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14344, BgL_tmpz00_24964, BgL_auxz00_24966); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_24969;
BgL_tmpz00_24969 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14344, BgL_tmpz00_24969, BgL_runz00_14339); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_24974; int BgL_tmpz00_24972;
BgL_auxz00_24974 = 
BINT(((long)-4)); 
BgL_tmpz00_24972 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14344, BgL_tmpz00_24972, BgL_auxz00_24974); } 
BgL_arg3510z00_14342 = BgL_newz00_14344; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14340, BgL_arg3510z00_14342); BgL_arg3510z00_14342; } 
return BgL_mainz00_14340;} } } } } } 

}



/* &main4240 */
obj_t BGl_z62main4240z62zz__evaluate_compz00(obj_t BgL_envz00_11935, obj_t BgL_bz00_11940, obj_t BgL_cz00_11941, obj_t BgL_dz00_11942, obj_t BgL_lastz00_11943)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11938; long BgL_siza7ezd2framez75_11939;
BgL_runz00_11938 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11935, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11939 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11935, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14345;
BgL_sz00_14345 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14346;
BgL_bpz00_14346 = 
VECTOR_REF(
((obj_t)BgL_sz00_14345),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14345, BgL_bpz00_14346, 
BINT(BgL_siza7ezd2framez75_11939)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3514z00_14347;
BgL_arg3514z00_14347 = 
(
(long)CINT(BgL_bpz00_14346)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14345),BgL_arg3514z00_14347,BgL_bz00_11940); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3515z00_14348;
BgL_arg3515z00_14348 = 
(
(long)CINT(BgL_bpz00_14346)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14345),BgL_arg3515z00_14348,BgL_cz00_11941); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3516z00_14349;
BgL_arg3516z00_14349 = 
(
(long)CINT(BgL_bpz00_14346)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14345),BgL_arg3516z00_14349,BgL_dz00_11942); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3517z00_14350;
BgL_arg3517z00_14350 = 
(
(long)CINT(BgL_bpz00_14346)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14345),BgL_arg3517z00_14350,BgL_lastz00_11943); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14351;
BgL_ez00_14351 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14352;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14353;
BgL_arg4072z00_14353 = 
BGL_EXITD_PROTECT(BgL_ez00_14351); 
BgL_arg4071z00_14352 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14346, BgL_arg4072z00_14353); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14351, BgL_arg4071z00_14352); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14354;
BgL_accz00_14354 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11938, BgL_sz00_14345, BgL_bpz00_14346); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5098z00_25011;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14355;
BgL_arg4070z00_14355 = 
BGL_EXITD_PROTECT(BgL_ez00_14351); 
BgL_test5098z00_25011 = 
PAIRP(BgL_arg4070z00_14355); } 
if(BgL_test5098z00_25011)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14356;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14357;
BgL_arg4069z00_14357 = 
BGL_EXITD_PROTECT(BgL_ez00_14351); 
BgL_arg4068z00_14356 = 
CDR(
((obj_t)BgL_arg4069z00_14357)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14351, BgL_arg4068z00_14356); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14345),((long)0),BgL_bpz00_14346); 
return BgL_accz00_14354;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14358;
BgL_nsz00_14358 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14358,((long)1),BgL_sz00_14345); 
VECTOR_SET(BgL_nsz00_14358,((long)2),BgL_bz00_11940); 
VECTOR_SET(BgL_nsz00_14358,((long)3),BgL_cz00_11941); 
VECTOR_SET(BgL_nsz00_14358,((long)4),BgL_dz00_11942); 
VECTOR_SET(BgL_nsz00_14358,((long)5),BgL_lastz00_11943); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14359;
BgL_z12denvz12_14359 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14359, BgL_nsz00_14358); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14360;
BgL_ez00_14360 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14361;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14362;
BgL_arg4072z00_14362 = 
BGL_EXITD_PROTECT(BgL_ez00_14360); 
BgL_arg4071z00_14361 = 
MAKE_YOUNG_PAIR(BgL_sz00_14345, BgL_arg4072z00_14362); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14360, BgL_arg4071z00_14361); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14363;
BgL_____rz00_14363 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11938, BgL_nsz00_14358, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5099z00_25034;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14364;
BgL_arg4070z00_14364 = 
BGL_EXITD_PROTECT(BgL_ez00_14360); 
BgL_test5099z00_25034 = 
PAIRP(BgL_arg4070z00_14364); } 
if(BgL_test5099z00_25034)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14365;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14366;
BgL_arg4069z00_14366 = 
BGL_EXITD_PROTECT(BgL_ez00_14360); 
BgL_arg4068z00_14365 = 
CDR(
((obj_t)BgL_arg4069z00_14366)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14360, BgL_arg4068z00_14365); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14359, BgL_sz00_14345); 
return BgL_____rz00_14363;} } } } } } } } 

}



/* &run4241 */
obj_t BGl_z62run4241z62zz__evaluate_compz00(obj_t BgL_envz00_11944, obj_t BgL_sz00_11947)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_11945; obj_t BgL_bodyz00_11946;
BgL_i1252z00_11945 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)0)))); 
BgL_bodyz00_11946 = 
PROCEDURE_REF(BgL_envz00_11944, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14367;
BgL_bpz00_14367 = 
VECTOR_REF(
((obj_t)BgL_sz00_11947),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14368; obj_t BgL_wherez00_14369; obj_t BgL_locz00_14370;
BgL_z12denvz12_14368 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14369 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11945))->BgL_wherez00); 
BgL_locz00_14370 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11945))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14368, BgL_wherez00_14369, BgL_locz00_14370); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14371;
BgL_za2za2resza2za2z00_14371 = 
PROCEDURE_ENTRY(BgL_bodyz00_11946)(BgL_bodyz00_11946, BgL_sz00_11947, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14368); 
return BgL_za2za2resza2za2z00_14371;} } } } } } 

}



/* &<@anonymous:3519> */
obj_t BGl_z62zc3z04anonymousza33519ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11948, obj_t BgL_sz00_11953)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11949; BgL_ev_absz00_bglt BgL_i1252z00_11950; obj_t BgL_bodyz00_11951; long BgL_siza7ezd2framez75_11952;
BgL_iboxesz00_11949 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)0)))); 
BgL_i1252z00_11950 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)1)))); 
BgL_bodyz00_11951 = 
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11952 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11948, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14372;
BgL_bpz00_14372 = 
VECTOR_REF(
((obj_t)BgL_sz00_11953),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14373;
BgL_runz00_14373 = 
MAKE_FX_PROCEDURE(BGl_z62run4243z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14373, 
(int)(((long)0)), BgL_iboxesz00_11949); 
PROCEDURE_SET(BgL_runz00_14373, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11950)); 
PROCEDURE_SET(BgL_runz00_14373, 
(int)(((long)2)), BgL_bodyz00_11951); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14374;
BgL_mainz00_14374 = 
MAKE_VA_PROCEDURE(BGl_z62main4242z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14374, 
(int)(((long)0)), BgL_iboxesz00_11949); 
PROCEDURE_SET(BgL_mainz00_14374, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_11950)); 
PROCEDURE_SET(BgL_mainz00_14374, 
(int)(((long)2)), BgL_bodyz00_11951); 
PROCEDURE_SET(BgL_mainz00_14374, 
(int)(((long)3)), BgL_runz00_14373); 
PROCEDURE_SET(BgL_mainz00_14374, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11952)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14375;
BgL_objz00_14375 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14373, BgL_objz00_14375); BgL_objz00_14375; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3520z00_14376;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3521z00_14377;
BgL_arg3521z00_14377 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11950))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14378;
BgL_newz00_14378 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25100;
BgL_tmpz00_25100 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14378, BgL_tmpz00_25100, BgL_arg3521z00_14377); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25105; int BgL_tmpz00_25103;
BgL_auxz00_25105 = 
BINT(BgL_siza7ezd2framez75_11952); 
BgL_tmpz00_25103 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14378, BgL_tmpz00_25103, BgL_auxz00_25105); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25108;
BgL_tmpz00_25108 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14378, BgL_tmpz00_25108, BgL_runz00_14373); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25113; int BgL_tmpz00_25111;
BgL_auxz00_25113 = 
BINT(((long)-4)); 
BgL_tmpz00_25111 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14378, BgL_tmpz00_25111, BgL_auxz00_25113); } 
BgL_arg3520z00_14376 = BgL_newz00_14378; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14374, BgL_arg3520z00_14376); BgL_arg3520z00_14376; } 
return BgL_mainz00_14374;} } } } } } 

}



/* &main4242 */
obj_t BGl_z62main4242z62zz__evaluate_compz00(obj_t BgL_envz00_11954, obj_t BgL_bz00_11960, obj_t BgL_cz00_11961, obj_t BgL_dz00_11962, obj_t BgL_lastz00_11963)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11958; long BgL_siza7ezd2framez75_11959;
BgL_runz00_11958 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11954, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11959 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11954, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14379;
BgL_sz00_14379 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14380;
BgL_bpz00_14380 = 
VECTOR_REF(
((obj_t)BgL_sz00_14379),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14379, BgL_bpz00_14380, 
BINT(BgL_siza7ezd2framez75_11959)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3524z00_14381;
BgL_arg3524z00_14381 = 
(
(long)CINT(BgL_bpz00_14380)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14379),BgL_arg3524z00_14381,BgL_bz00_11960); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3525z00_14382;
BgL_arg3525z00_14382 = 
(
(long)CINT(BgL_bpz00_14380)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14379),BgL_arg3525z00_14382,BgL_cz00_11961); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3526z00_14383;
BgL_arg3526z00_14383 = 
(
(long)CINT(BgL_bpz00_14380)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14379),BgL_arg3526z00_14383,BgL_dz00_11962); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3527z00_14384;
BgL_arg3527z00_14384 = 
(
(long)CINT(BgL_bpz00_14380)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14379),BgL_arg3527z00_14384,BgL_lastz00_11963); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14385;
BgL_ez00_14385 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14386;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14387;
BgL_arg4072z00_14387 = 
BGL_EXITD_PROTECT(BgL_ez00_14385); 
BgL_arg4071z00_14386 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14380, BgL_arg4072z00_14387); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14385, BgL_arg4071z00_14386); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14388;
BgL_accz00_14388 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11958, BgL_sz00_14379, BgL_bpz00_14380); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5101z00_25150;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14389;
BgL_arg4070z00_14389 = 
BGL_EXITD_PROTECT(BgL_ez00_14385); 
BgL_test5101z00_25150 = 
PAIRP(BgL_arg4070z00_14389); } 
if(BgL_test5101z00_25150)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14390;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14391;
BgL_arg4069z00_14391 = 
BGL_EXITD_PROTECT(BgL_ez00_14385); 
BgL_arg4068z00_14390 = 
CDR(
((obj_t)BgL_arg4069z00_14391)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14385, BgL_arg4068z00_14390); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14379),((long)0),BgL_bpz00_14380); 
return BgL_accz00_14388;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14392;
BgL_nsz00_14392 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14392,((long)1),BgL_sz00_14379); 
VECTOR_SET(BgL_nsz00_14392,((long)2),BgL_bz00_11960); 
VECTOR_SET(BgL_nsz00_14392,((long)3),BgL_cz00_11961); 
VECTOR_SET(BgL_nsz00_14392,((long)4),BgL_dz00_11962); 
VECTOR_SET(BgL_nsz00_14392,((long)5),BgL_lastz00_11963); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14393;
BgL_z12denvz12_14393 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14393, BgL_nsz00_14392); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14394;
BgL_ez00_14394 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14395;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14396;
BgL_arg4072z00_14396 = 
BGL_EXITD_PROTECT(BgL_ez00_14394); 
BgL_arg4071z00_14395 = 
MAKE_YOUNG_PAIR(BgL_sz00_14379, BgL_arg4072z00_14396); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14394, BgL_arg4071z00_14395); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14397;
BgL_____rz00_14397 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11958, BgL_nsz00_14392, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5102z00_25173;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14398;
BgL_arg4070z00_14398 = 
BGL_EXITD_PROTECT(BgL_ez00_14394); 
BgL_test5102z00_25173 = 
PAIRP(BgL_arg4070z00_14398); } 
if(BgL_test5102z00_25173)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14399;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14400;
BgL_arg4069z00_14400 = 
BGL_EXITD_PROTECT(BgL_ez00_14394); 
BgL_arg4068z00_14399 = 
CDR(
((obj_t)BgL_arg4069z00_14400)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14394, BgL_arg4068z00_14399); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14393, BgL_sz00_14379); 
return BgL_____rz00_14397;} } } } } } } } 

}



/* &run4243 */
obj_t BGl_z62run4243z62zz__evaluate_compz00(obj_t BgL_envz00_11964, obj_t BgL_sz00_11968)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_11965; BgL_ev_absz00_bglt BgL_i1252z00_11966; obj_t BgL_bodyz00_11967;
BgL_iboxesz00_11965 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11964, 
(int)(((long)0)))); 
BgL_i1252z00_11966 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11964, 
(int)(((long)1)))); 
BgL_bodyz00_11967 = 
PROCEDURE_REF(BgL_envz00_11964, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14401;
BgL_bpz00_14401 = 
VECTOR_REF(
((obj_t)BgL_sz00_11968),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11968, BgL_iboxesz00_11965, BgL_bpz00_14401); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14402; obj_t BgL_wherez00_14403; obj_t BgL_locz00_14404;
BgL_z12denvz12_14402 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14403 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11966))->BgL_wherez00); 
BgL_locz00_14404 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11966))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14402, BgL_wherez00_14403, BgL_locz00_14404); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14405;
BgL_za2za2resza2za2z00_14405 = 
PROCEDURE_ENTRY(BgL_bodyz00_11967)(BgL_bodyz00_11967, BgL_sz00_11968, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14402); 
return BgL_za2za2resza2za2z00_14405;} } } } } } 

}



/* &<@anonymous:3532> */
obj_t BGl_z62zc3z04anonymousza33532ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11969, obj_t BgL_sz00_11975)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11970; long BgL_siza7eza7_11971; BgL_ev_absz00_bglt BgL_i1252z00_11972; obj_t BgL_bodyz00_11973; long BgL_siza7ezd2framez75_11974;
BgL_ifreesz00_11970 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)0)))); 
BgL_siza7eza7_11971 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)1)))); 
BgL_i1252z00_11972 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)2)))); 
BgL_bodyz00_11973 = 
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11974 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14406;
BgL_bpz00_14406 = 
VECTOR_REF(
((obj_t)BgL_sz00_11975),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14407;
BgL_valza2za2_14407 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11975, BgL_bpz00_14406, BgL_ifreesz00_11970); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14408;
BgL_runz00_14408 = 
MAKE_FX_PROCEDURE(BGl_z62run4245z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14408, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11971)); 
PROCEDURE_SET(BgL_runz00_14408, 
(int)(((long)1)), BgL_valza2za2_14407); 
PROCEDURE_SET(BgL_runz00_14408, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11972)); 
PROCEDURE_SET(BgL_runz00_14408, 
(int)(((long)3)), BgL_bodyz00_11973); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14409;
BgL_mainz00_14409 = 
MAKE_VA_PROCEDURE(BGl_z62main4244z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11971)); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)1)), BgL_valza2za2_14407); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_11972)); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)3)), BgL_bodyz00_11973); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)4)), BgL_runz00_14408); 
PROCEDURE_SET(BgL_mainz00_14409, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11974)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14410;
BgL_objz00_14410 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14408, BgL_objz00_14410); BgL_objz00_14410; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3533z00_14411;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3534z00_14412;
BgL_arg3534z00_14412 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11972))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14413;
BgL_newz00_14413 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25253;
BgL_tmpz00_25253 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14413, BgL_tmpz00_25253, BgL_arg3534z00_14412); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25258; int BgL_tmpz00_25256;
BgL_auxz00_25258 = 
BINT(BgL_siza7ezd2framez75_11974); 
BgL_tmpz00_25256 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14413, BgL_tmpz00_25256, BgL_auxz00_25258); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25261;
BgL_tmpz00_25261 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14413, BgL_tmpz00_25261, BgL_runz00_14408); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25266; int BgL_tmpz00_25264;
BgL_auxz00_25266 = 
BINT(((long)-4)); 
BgL_tmpz00_25264 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14413, BgL_tmpz00_25264, BgL_auxz00_25266); } 
BgL_arg3533z00_14411 = BgL_newz00_14413; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14409, BgL_arg3533z00_14411); BgL_arg3533z00_14411; } 
return BgL_mainz00_14409;} } } } } } 

}



/* &main4244 */
obj_t BGl_z62main4244z62zz__evaluate_compz00(obj_t BgL_envz00_11976, obj_t BgL_bz00_11983, obj_t BgL_cz00_11984, obj_t BgL_dz00_11985, obj_t BgL_lastz00_11986)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_11981; long BgL_siza7ezd2framez75_11982;
BgL_runz00_11981 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11976, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11982 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11976, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14414;
BgL_sz00_14414 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14415;
BgL_bpz00_14415 = 
VECTOR_REF(
((obj_t)BgL_sz00_14414),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14414, BgL_bpz00_14415, 
BINT(BgL_siza7ezd2framez75_11982)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3537z00_14416;
BgL_arg3537z00_14416 = 
(
(long)CINT(BgL_bpz00_14415)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14414),BgL_arg3537z00_14416,BgL_bz00_11983); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3538z00_14417;
BgL_arg3538z00_14417 = 
(
(long)CINT(BgL_bpz00_14415)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14414),BgL_arg3538z00_14417,BgL_cz00_11984); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3539z00_14418;
BgL_arg3539z00_14418 = 
(
(long)CINT(BgL_bpz00_14415)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14414),BgL_arg3539z00_14418,BgL_dz00_11985); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3540z00_14419;
BgL_arg3540z00_14419 = 
(
(long)CINT(BgL_bpz00_14415)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14414),BgL_arg3540z00_14419,BgL_lastz00_11986); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14420;
BgL_ez00_14420 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14421;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14422;
BgL_arg4072z00_14422 = 
BGL_EXITD_PROTECT(BgL_ez00_14420); 
BgL_arg4071z00_14421 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14415, BgL_arg4072z00_14422); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14420, BgL_arg4071z00_14421); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14423;
BgL_accz00_14423 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11981, BgL_sz00_14414, BgL_bpz00_14415); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5104z00_25303;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14424;
BgL_arg4070z00_14424 = 
BGL_EXITD_PROTECT(BgL_ez00_14420); 
BgL_test5104z00_25303 = 
PAIRP(BgL_arg4070z00_14424); } 
if(BgL_test5104z00_25303)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14425;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14426;
BgL_arg4069z00_14426 = 
BGL_EXITD_PROTECT(BgL_ez00_14420); 
BgL_arg4068z00_14425 = 
CDR(
((obj_t)BgL_arg4069z00_14426)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14420, BgL_arg4068z00_14425); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14414),((long)0),BgL_bpz00_14415); 
return BgL_accz00_14423;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14427;
BgL_nsz00_14427 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14427,((long)1),BgL_sz00_14414); 
VECTOR_SET(BgL_nsz00_14427,((long)2),BgL_bz00_11983); 
VECTOR_SET(BgL_nsz00_14427,((long)3),BgL_cz00_11984); 
VECTOR_SET(BgL_nsz00_14427,((long)4),BgL_dz00_11985); 
VECTOR_SET(BgL_nsz00_14427,((long)5),BgL_lastz00_11986); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14428;
BgL_z12denvz12_14428 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14428, BgL_nsz00_14427); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14429;
BgL_ez00_14429 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14430;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14431;
BgL_arg4072z00_14431 = 
BGL_EXITD_PROTECT(BgL_ez00_14429); 
BgL_arg4071z00_14430 = 
MAKE_YOUNG_PAIR(BgL_sz00_14414, BgL_arg4072z00_14431); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14429, BgL_arg4071z00_14430); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14432;
BgL_____rz00_14432 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11981, BgL_nsz00_14427, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5105z00_25326;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14433;
BgL_arg4070z00_14433 = 
BGL_EXITD_PROTECT(BgL_ez00_14429); 
BgL_test5105z00_25326 = 
PAIRP(BgL_arg4070z00_14433); } 
if(BgL_test5105z00_25326)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14434;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14435;
BgL_arg4069z00_14435 = 
BGL_EXITD_PROTECT(BgL_ez00_14429); 
BgL_arg4068z00_14434 = 
CDR(
((obj_t)BgL_arg4069z00_14435)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14429, BgL_arg4068z00_14434); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14428, BgL_sz00_14414); 
return BgL_____rz00_14432;} } } } } } } } 

}



/* &run4245 */
obj_t BGl_z62run4245z62zz__evaluate_compz00(obj_t BgL_envz00_11987, obj_t BgL_sz00_11992)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_11988; obj_t BgL_valza2za2_11989; BgL_ev_absz00_bglt BgL_i1252z00_11990; obj_t BgL_bodyz00_11991;
BgL_siza7eza7_11988 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)0)))); 
BgL_valza2za2_11989 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)1)))); 
BgL_i1252z00_11990 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)2)))); 
BgL_bodyz00_11991 = 
PROCEDURE_REF(BgL_envz00_11987, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14436;
BgL_bpz00_14436 = 
VECTOR_REF(
((obj_t)BgL_sz00_11992),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11992, BgL_valza2za2_11989, 
(
(long)CINT(BgL_bpz00_14436)+BgL_siza7eza7_11988)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14437; obj_t BgL_wherez00_14438; obj_t BgL_locz00_14439;
BgL_z12denvz12_14437 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14438 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11990))->BgL_wherez00); 
BgL_locz00_14439 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11990))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14437, BgL_wherez00_14438, BgL_locz00_14439); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14440;
BgL_za2za2resza2za2z00_14440 = 
PROCEDURE_ENTRY(BgL_bodyz00_11991)(BgL_bodyz00_11991, BgL_sz00_11992, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14437); 
return BgL_za2za2resza2za2z00_14440;} } } } } } 

}



/* &<@anonymous:3543> */
obj_t BGl_z62zc3z04anonymousza33543ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11993, obj_t BgL_sz00_12000)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_11994; obj_t BgL_iboxesz00_11995; long BgL_siza7eza7_11996; BgL_ev_absz00_bglt BgL_i1252z00_11997; obj_t BgL_bodyz00_11998; long BgL_siza7ezd2framez75_11999;
BgL_ifreesz00_11994 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)0)))); 
BgL_iboxesz00_11995 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)1)))); 
BgL_siza7eza7_11996 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)2)))); 
BgL_i1252z00_11997 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)3)))); 
BgL_bodyz00_11998 = 
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11999 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14441;
BgL_bpz00_14441 = 
VECTOR_REF(
((obj_t)BgL_sz00_12000),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14442;
BgL_valza2za2_14442 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12000, BgL_bpz00_14441, BgL_ifreesz00_11994); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14443;
BgL_runz00_14443 = 
MAKE_FX_PROCEDURE(BGl_z62run4247z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14443, 
(int)(((long)0)), BgL_iboxesz00_11995); 
PROCEDURE_SET(BgL_runz00_14443, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11996)); 
PROCEDURE_SET(BgL_runz00_14443, 
(int)(((long)2)), BgL_valza2za2_14442); 
PROCEDURE_SET(BgL_runz00_14443, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11997)); 
PROCEDURE_SET(BgL_runz00_14443, 
(int)(((long)4)), BgL_bodyz00_11998); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14444;
BgL_mainz00_14444 = 
MAKE_VA_PROCEDURE(BGl_z62main4246z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)0)), BgL_iboxesz00_11995); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11996)); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)2)), BgL_valza2za2_14442); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_11997)); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)4)), BgL_bodyz00_11998); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)5)), BgL_runz00_14443); 
PROCEDURE_SET(BgL_mainz00_14444, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11999)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14445;
BgL_objz00_14445 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14443, BgL_objz00_14445); BgL_objz00_14445; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3544z00_14446;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3545z00_14447;
BgL_arg3545z00_14447 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_11997))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14448;
BgL_newz00_14448 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25418;
BgL_tmpz00_25418 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14448, BgL_tmpz00_25418, BgL_arg3545z00_14447); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25423; int BgL_tmpz00_25421;
BgL_auxz00_25423 = 
BINT(BgL_siza7ezd2framez75_11999); 
BgL_tmpz00_25421 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14448, BgL_tmpz00_25421, BgL_auxz00_25423); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25426;
BgL_tmpz00_25426 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14448, BgL_tmpz00_25426, BgL_runz00_14443); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25431; int BgL_tmpz00_25429;
BgL_auxz00_25431 = 
BINT(((long)-4)); 
BgL_tmpz00_25429 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14448, BgL_tmpz00_25429, BgL_auxz00_25431); } 
BgL_arg3544z00_14446 = BgL_newz00_14448; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14444, BgL_arg3544z00_14446); BgL_arg3544z00_14446; } 
return BgL_mainz00_14444;} } } } } } 

}



/* &main4246 */
obj_t BGl_z62main4246z62zz__evaluate_compz00(obj_t BgL_envz00_12001, obj_t BgL_bz00_12009, obj_t BgL_cz00_12010, obj_t BgL_dz00_12011, obj_t BgL_lastz00_12012)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12007; long BgL_siza7ezd2framez75_12008;
BgL_runz00_12007 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12008 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14449;
BgL_sz00_14449 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14450;
BgL_bpz00_14450 = 
VECTOR_REF(
((obj_t)BgL_sz00_14449),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14449, BgL_bpz00_14450, 
BINT(BgL_siza7ezd2framez75_12008)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3548z00_14451;
BgL_arg3548z00_14451 = 
(
(long)CINT(BgL_bpz00_14450)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14449),BgL_arg3548z00_14451,BgL_bz00_12009); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3549z00_14452;
BgL_arg3549z00_14452 = 
(
(long)CINT(BgL_bpz00_14450)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14449),BgL_arg3549z00_14452,BgL_cz00_12010); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3550z00_14453;
BgL_arg3550z00_14453 = 
(
(long)CINT(BgL_bpz00_14450)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14449),BgL_arg3550z00_14453,BgL_dz00_12011); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3551z00_14454;
BgL_arg3551z00_14454 = 
(
(long)CINT(BgL_bpz00_14450)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14449),BgL_arg3551z00_14454,BgL_lastz00_12012); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14455;
BgL_ez00_14455 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14456;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14457;
BgL_arg4072z00_14457 = 
BGL_EXITD_PROTECT(BgL_ez00_14455); 
BgL_arg4071z00_14456 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14450, BgL_arg4072z00_14457); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14455, BgL_arg4071z00_14456); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14458;
BgL_accz00_14458 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12007, BgL_sz00_14449, BgL_bpz00_14450); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5107z00_25468;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14459;
BgL_arg4070z00_14459 = 
BGL_EXITD_PROTECT(BgL_ez00_14455); 
BgL_test5107z00_25468 = 
PAIRP(BgL_arg4070z00_14459); } 
if(BgL_test5107z00_25468)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14460;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14461;
BgL_arg4069z00_14461 = 
BGL_EXITD_PROTECT(BgL_ez00_14455); 
BgL_arg4068z00_14460 = 
CDR(
((obj_t)BgL_arg4069z00_14461)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14455, BgL_arg4068z00_14460); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14449),((long)0),BgL_bpz00_14450); 
return BgL_accz00_14458;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14462;
BgL_nsz00_14462 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14462,((long)1),BgL_sz00_14449); 
VECTOR_SET(BgL_nsz00_14462,((long)2),BgL_bz00_12009); 
VECTOR_SET(BgL_nsz00_14462,((long)3),BgL_cz00_12010); 
VECTOR_SET(BgL_nsz00_14462,((long)4),BgL_dz00_12011); 
VECTOR_SET(BgL_nsz00_14462,((long)5),BgL_lastz00_12012); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14463;
BgL_z12denvz12_14463 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14463, BgL_nsz00_14462); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14464;
BgL_ez00_14464 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14465;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14466;
BgL_arg4072z00_14466 = 
BGL_EXITD_PROTECT(BgL_ez00_14464); 
BgL_arg4071z00_14465 = 
MAKE_YOUNG_PAIR(BgL_sz00_14449, BgL_arg4072z00_14466); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14464, BgL_arg4071z00_14465); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14467;
BgL_____rz00_14467 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12007, BgL_nsz00_14462, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5108z00_25491;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14468;
BgL_arg4070z00_14468 = 
BGL_EXITD_PROTECT(BgL_ez00_14464); 
BgL_test5108z00_25491 = 
PAIRP(BgL_arg4070z00_14468); } 
if(BgL_test5108z00_25491)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14469;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14470;
BgL_arg4069z00_14470 = 
BGL_EXITD_PROTECT(BgL_ez00_14464); 
BgL_arg4068z00_14469 = 
CDR(
((obj_t)BgL_arg4069z00_14470)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14464, BgL_arg4068z00_14469); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14463, BgL_sz00_14449); 
return BgL_____rz00_14467;} } } } } } } } 

}



/* &run4247 */
obj_t BGl_z62run4247z62zz__evaluate_compz00(obj_t BgL_envz00_12013, obj_t BgL_sz00_12019)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12014; long BgL_siza7eza7_12015; obj_t BgL_valza2za2_12016; BgL_ev_absz00_bglt BgL_i1252z00_12017; obj_t BgL_bodyz00_12018;
BgL_iboxesz00_12014 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12013, 
(int)(((long)0)))); 
BgL_siza7eza7_12015 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12013, 
(int)(((long)1)))); 
BgL_valza2za2_12016 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12013, 
(int)(((long)2)))); 
BgL_i1252z00_12017 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12013, 
(int)(((long)3)))); 
BgL_bodyz00_12018 = 
PROCEDURE_REF(BgL_envz00_12013, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14471;
BgL_bpz00_14471 = 
VECTOR_REF(
((obj_t)BgL_sz00_12019),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12019, BgL_iboxesz00_12014, BgL_bpz00_14471); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12019, BgL_valza2za2_12016, 
(
(long)CINT(BgL_bpz00_14471)+BgL_siza7eza7_12015)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14472; obj_t BgL_wherez00_14473; obj_t BgL_locz00_14474;
BgL_z12denvz12_14472 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14473 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12017))->BgL_wherez00); 
BgL_locz00_14474 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12017))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14472, BgL_wherez00_14473, BgL_locz00_14474); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14475;
BgL_za2za2resza2za2z00_14475 = 
PROCEDURE_ENTRY(BgL_bodyz00_12018)(BgL_bodyz00_12018, BgL_sz00_12019, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14472); 
return BgL_za2za2resza2za2z00_14475;} } } } } } 

}



/* &<@anonymous:3462> */
obj_t BGl_z62zc3z04anonymousza33462ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12020, obj_t BgL_sz00_12024)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12021; obj_t BgL_bodyz00_12022; long BgL_siza7ezd2framez75_12023;
BgL_i1252z00_12021 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)0)))); 
BgL_bodyz00_12022 = 
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12023 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14476;
BgL_bpz00_14476 = 
VECTOR_REF(
((obj_t)BgL_sz00_12024),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14477;
BgL_runz00_14477 = 
MAKE_FX_PROCEDURE(BGl_z62run4249z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14477, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12021)); 
PROCEDURE_SET(BgL_runz00_14477, 
(int)(((long)1)), BgL_bodyz00_12022); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14478;
BgL_mainz00_14478 = 
MAKE_FX_PROCEDURE(BGl_z62main4248z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14478, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12021)); 
PROCEDURE_SET(BgL_mainz00_14478, 
(int)(((long)1)), BgL_bodyz00_12022); 
PROCEDURE_SET(BgL_mainz00_14478, 
(int)(((long)2)), BgL_runz00_14477); 
PROCEDURE_SET(BgL_mainz00_14478, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12023)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14479;
BgL_objz00_14479 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14477, BgL_objz00_14479); BgL_objz00_14479; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3463z00_14480;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3464z00_14481;
BgL_arg3464z00_14481 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12021))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14482;
BgL_newz00_14482 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25563;
BgL_tmpz00_25563 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14482, BgL_tmpz00_25563, BgL_arg3464z00_14481); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25568; int BgL_tmpz00_25566;
BgL_auxz00_25568 = 
BINT(BgL_siza7ezd2framez75_12023); 
BgL_tmpz00_25566 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14482, BgL_tmpz00_25566, BgL_auxz00_25568); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25571;
BgL_tmpz00_25571 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14482, BgL_tmpz00_25571, BgL_runz00_14477); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25576; int BgL_tmpz00_25574;
BgL_auxz00_25576 = 
BINT(((long)3)); 
BgL_tmpz00_25574 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14482, BgL_tmpz00_25574, BgL_auxz00_25576); } 
BgL_arg3463z00_14480 = BgL_newz00_14482; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14478, BgL_arg3463z00_14480); BgL_arg3463z00_14480; } 
return BgL_mainz00_14478;} } } } } } 

}



/* &main4248 */
obj_t BGl_z62main4248z62zz__evaluate_compz00(obj_t BgL_envz00_12025, obj_t BgL_bz00_12030, obj_t BgL_cz00_12031, obj_t BgL_dz00_12032)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12028; long BgL_siza7ezd2framez75_12029;
BgL_runz00_12028 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12025, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12029 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12025, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14483;
BgL_sz00_14483 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14484;
BgL_bpz00_14484 = 
VECTOR_REF(
((obj_t)BgL_sz00_14483),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14483, BgL_bpz00_14484, 
BINT(BgL_siza7ezd2framez75_12029)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3467z00_14485;
BgL_arg3467z00_14485 = 
(
(long)CINT(BgL_bpz00_14484)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14483),BgL_arg3467z00_14485,BgL_bz00_12030); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3468z00_14486;
BgL_arg3468z00_14486 = 
(
(long)CINT(BgL_bpz00_14484)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14483),BgL_arg3468z00_14486,BgL_cz00_12031); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3469z00_14487;
BgL_arg3469z00_14487 = 
(
(long)CINT(BgL_bpz00_14484)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14483),BgL_arg3469z00_14487,BgL_dz00_12032); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14488;
BgL_ez00_14488 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14489;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14490;
BgL_arg4072z00_14490 = 
BGL_EXITD_PROTECT(BgL_ez00_14488); 
BgL_arg4071z00_14489 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14484, BgL_arg4072z00_14490); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14488, BgL_arg4071z00_14489); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14491;
BgL_accz00_14491 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12028, BgL_sz00_14483, BgL_bpz00_14484); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5110z00_25609;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14492;
BgL_arg4070z00_14492 = 
BGL_EXITD_PROTECT(BgL_ez00_14488); 
BgL_test5110z00_25609 = 
PAIRP(BgL_arg4070z00_14492); } 
if(BgL_test5110z00_25609)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14493;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14494;
BgL_arg4069z00_14494 = 
BGL_EXITD_PROTECT(BgL_ez00_14488); 
BgL_arg4068z00_14493 = 
CDR(
((obj_t)BgL_arg4069z00_14494)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14488, BgL_arg4068z00_14493); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14483),((long)0),BgL_bpz00_14484); 
return BgL_accz00_14491;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14495;
BgL_nsz00_14495 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14495,((long)1),BgL_sz00_14483); 
VECTOR_SET(BgL_nsz00_14495,((long)2),BgL_bz00_12030); 
VECTOR_SET(BgL_nsz00_14495,((long)3),BgL_cz00_12031); 
VECTOR_SET(BgL_nsz00_14495,((long)4),BgL_dz00_12032); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14496;
BgL_z12denvz12_14496 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14496, BgL_nsz00_14495); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14497;
BgL_ez00_14497 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14498;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14499;
BgL_arg4072z00_14499 = 
BGL_EXITD_PROTECT(BgL_ez00_14497); 
BgL_arg4071z00_14498 = 
MAKE_YOUNG_PAIR(BgL_sz00_14483, BgL_arg4072z00_14499); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14497, BgL_arg4071z00_14498); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14500;
BgL_____rz00_14500 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12028, BgL_nsz00_14495, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5111z00_25631;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14501;
BgL_arg4070z00_14501 = 
BGL_EXITD_PROTECT(BgL_ez00_14497); 
BgL_test5111z00_25631 = 
PAIRP(BgL_arg4070z00_14501); } 
if(BgL_test5111z00_25631)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14502;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14503;
BgL_arg4069z00_14503 = 
BGL_EXITD_PROTECT(BgL_ez00_14497); 
BgL_arg4068z00_14502 = 
CDR(
((obj_t)BgL_arg4069z00_14503)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14497, BgL_arg4068z00_14502); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14496, BgL_sz00_14483); 
return BgL_____rz00_14500;} } } } } } } } 

}



/* &run4249 */
obj_t BGl_z62run4249z62zz__evaluate_compz00(obj_t BgL_envz00_12033, obj_t BgL_sz00_12036)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12034; obj_t BgL_bodyz00_12035;
BgL_i1252z00_12034 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)0)))); 
BgL_bodyz00_12035 = 
PROCEDURE_REF(BgL_envz00_12033, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14504;
BgL_bpz00_14504 = 
VECTOR_REF(
((obj_t)BgL_sz00_12036),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14505; obj_t BgL_wherez00_14506; obj_t BgL_locz00_14507;
BgL_z12denvz12_14505 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14506 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12034))->BgL_wherez00); 
BgL_locz00_14507 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12034))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14505, BgL_wherez00_14506, BgL_locz00_14507); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14508;
BgL_za2za2resza2za2z00_14508 = 
PROCEDURE_ENTRY(BgL_bodyz00_12035)(BgL_bodyz00_12035, BgL_sz00_12036, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14505); 
return BgL_za2za2resza2za2z00_14508;} } } } } } 

}



/* &<@anonymous:3471> */
obj_t BGl_z62zc3z04anonymousza33471ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12037, obj_t BgL_sz00_12042)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12038; BgL_ev_absz00_bglt BgL_i1252z00_12039; obj_t BgL_bodyz00_12040; long BgL_siza7ezd2framez75_12041;
BgL_iboxesz00_12038 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)0)))); 
BgL_i1252z00_12039 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)1)))); 
BgL_bodyz00_12040 = 
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12041 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12037, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14509;
BgL_bpz00_14509 = 
VECTOR_REF(
((obj_t)BgL_sz00_12042),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14510;
BgL_runz00_14510 = 
MAKE_FX_PROCEDURE(BGl_z62run4251z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14510, 
(int)(((long)0)), BgL_iboxesz00_12038); 
PROCEDURE_SET(BgL_runz00_14510, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12039)); 
PROCEDURE_SET(BgL_runz00_14510, 
(int)(((long)2)), BgL_bodyz00_12040); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14511;
BgL_mainz00_14511 = 
MAKE_FX_PROCEDURE(BGl_z62main4250z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14511, 
(int)(((long)0)), BgL_iboxesz00_12038); 
PROCEDURE_SET(BgL_mainz00_14511, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12039)); 
PROCEDURE_SET(BgL_mainz00_14511, 
(int)(((long)2)), BgL_bodyz00_12040); 
PROCEDURE_SET(BgL_mainz00_14511, 
(int)(((long)3)), BgL_runz00_14510); 
PROCEDURE_SET(BgL_mainz00_14511, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12041)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14512;
BgL_objz00_14512 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14510, BgL_objz00_14512); BgL_objz00_14512; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3472z00_14513;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3473z00_14514;
BgL_arg3473z00_14514 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12039))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14515;
BgL_newz00_14515 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25697;
BgL_tmpz00_25697 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14515, BgL_tmpz00_25697, BgL_arg3473z00_14514); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25702; int BgL_tmpz00_25700;
BgL_auxz00_25702 = 
BINT(BgL_siza7ezd2framez75_12041); 
BgL_tmpz00_25700 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14515, BgL_tmpz00_25700, BgL_auxz00_25702); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25705;
BgL_tmpz00_25705 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14515, BgL_tmpz00_25705, BgL_runz00_14510); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25710; int BgL_tmpz00_25708;
BgL_auxz00_25710 = 
BINT(((long)3)); 
BgL_tmpz00_25708 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14515, BgL_tmpz00_25708, BgL_auxz00_25710); } 
BgL_arg3472z00_14513 = BgL_newz00_14515; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14511, BgL_arg3472z00_14513); BgL_arg3472z00_14513; } 
return BgL_mainz00_14511;} } } } } } 

}



/* &main4250 */
obj_t BGl_z62main4250z62zz__evaluate_compz00(obj_t BgL_envz00_12043, obj_t BgL_bz00_12049, obj_t BgL_cz00_12050, obj_t BgL_dz00_12051)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12047; long BgL_siza7ezd2framez75_12048;
BgL_runz00_12047 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12043, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12048 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12043, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14516;
BgL_sz00_14516 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14517;
BgL_bpz00_14517 = 
VECTOR_REF(
((obj_t)BgL_sz00_14516),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14516, BgL_bpz00_14517, 
BINT(BgL_siza7ezd2framez75_12048)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3476z00_14518;
BgL_arg3476z00_14518 = 
(
(long)CINT(BgL_bpz00_14517)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14516),BgL_arg3476z00_14518,BgL_bz00_12049); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3477z00_14519;
BgL_arg3477z00_14519 = 
(
(long)CINT(BgL_bpz00_14517)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14516),BgL_arg3477z00_14519,BgL_cz00_12050); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3478z00_14520;
BgL_arg3478z00_14520 = 
(
(long)CINT(BgL_bpz00_14517)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14516),BgL_arg3478z00_14520,BgL_dz00_12051); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14521;
BgL_ez00_14521 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14522;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14523;
BgL_arg4072z00_14523 = 
BGL_EXITD_PROTECT(BgL_ez00_14521); 
BgL_arg4071z00_14522 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14517, BgL_arg4072z00_14523); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14521, BgL_arg4071z00_14522); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14524;
BgL_accz00_14524 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12047, BgL_sz00_14516, BgL_bpz00_14517); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5113z00_25743;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14525;
BgL_arg4070z00_14525 = 
BGL_EXITD_PROTECT(BgL_ez00_14521); 
BgL_test5113z00_25743 = 
PAIRP(BgL_arg4070z00_14525); } 
if(BgL_test5113z00_25743)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14526;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14527;
BgL_arg4069z00_14527 = 
BGL_EXITD_PROTECT(BgL_ez00_14521); 
BgL_arg4068z00_14526 = 
CDR(
((obj_t)BgL_arg4069z00_14527)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14521, BgL_arg4068z00_14526); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14516),((long)0),BgL_bpz00_14517); 
return BgL_accz00_14524;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14528;
BgL_nsz00_14528 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14528,((long)1),BgL_sz00_14516); 
VECTOR_SET(BgL_nsz00_14528,((long)2),BgL_bz00_12049); 
VECTOR_SET(BgL_nsz00_14528,((long)3),BgL_cz00_12050); 
VECTOR_SET(BgL_nsz00_14528,((long)4),BgL_dz00_12051); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14529;
BgL_z12denvz12_14529 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14529, BgL_nsz00_14528); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14530;
BgL_ez00_14530 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14531;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14532;
BgL_arg4072z00_14532 = 
BGL_EXITD_PROTECT(BgL_ez00_14530); 
BgL_arg4071z00_14531 = 
MAKE_YOUNG_PAIR(BgL_sz00_14516, BgL_arg4072z00_14532); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14530, BgL_arg4071z00_14531); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14533;
BgL_____rz00_14533 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12047, BgL_nsz00_14528, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5114z00_25765;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14534;
BgL_arg4070z00_14534 = 
BGL_EXITD_PROTECT(BgL_ez00_14530); 
BgL_test5114z00_25765 = 
PAIRP(BgL_arg4070z00_14534); } 
if(BgL_test5114z00_25765)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14535;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14536;
BgL_arg4069z00_14536 = 
BGL_EXITD_PROTECT(BgL_ez00_14530); 
BgL_arg4068z00_14535 = 
CDR(
((obj_t)BgL_arg4069z00_14536)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14530, BgL_arg4068z00_14535); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14529, BgL_sz00_14516); 
return BgL_____rz00_14533;} } } } } } } } 

}



/* &run4251 */
obj_t BGl_z62run4251z62zz__evaluate_compz00(obj_t BgL_envz00_12052, obj_t BgL_sz00_12056)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12053; BgL_ev_absz00_bglt BgL_i1252z00_12054; obj_t BgL_bodyz00_12055;
BgL_iboxesz00_12053 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12052, 
(int)(((long)0)))); 
BgL_i1252z00_12054 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12052, 
(int)(((long)1)))); 
BgL_bodyz00_12055 = 
PROCEDURE_REF(BgL_envz00_12052, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14537;
BgL_bpz00_14537 = 
VECTOR_REF(
((obj_t)BgL_sz00_12056),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12056, BgL_iboxesz00_12053, BgL_bpz00_14537); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14538; obj_t BgL_wherez00_14539; obj_t BgL_locz00_14540;
BgL_z12denvz12_14538 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14539 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12054))->BgL_wherez00); 
BgL_locz00_14540 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12054))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14538, BgL_wherez00_14539, BgL_locz00_14540); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14541;
BgL_za2za2resza2za2z00_14541 = 
PROCEDURE_ENTRY(BgL_bodyz00_12055)(BgL_bodyz00_12055, BgL_sz00_12056, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14538); 
return BgL_za2za2resza2za2z00_14541;} } } } } } 

}



/* &<@anonymous:3483> */
obj_t BGl_z62zc3z04anonymousza33483ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12057, obj_t BgL_sz00_12063)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12058; long BgL_siza7eza7_12059; BgL_ev_absz00_bglt BgL_i1252z00_12060; obj_t BgL_bodyz00_12061; long BgL_siza7ezd2framez75_12062;
BgL_ifreesz00_12058 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)0)))); 
BgL_siza7eza7_12059 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)1)))); 
BgL_i1252z00_12060 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)2)))); 
BgL_bodyz00_12061 = 
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12062 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14542;
BgL_bpz00_14542 = 
VECTOR_REF(
((obj_t)BgL_sz00_12063),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14543;
BgL_valza2za2_14543 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12063, BgL_bpz00_14542, BgL_ifreesz00_12058); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14544;
BgL_runz00_14544 = 
MAKE_FX_PROCEDURE(BGl_z62run4253z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14544, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12059)); 
PROCEDURE_SET(BgL_runz00_14544, 
(int)(((long)1)), BgL_valza2za2_14543); 
PROCEDURE_SET(BgL_runz00_14544, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12060)); 
PROCEDURE_SET(BgL_runz00_14544, 
(int)(((long)3)), BgL_bodyz00_12061); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14545;
BgL_mainz00_14545 = 
MAKE_FX_PROCEDURE(BGl_z62main4252z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12059)); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)1)), BgL_valza2za2_14543); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12060)); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)3)), BgL_bodyz00_12061); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)4)), BgL_runz00_14544); 
PROCEDURE_SET(BgL_mainz00_14545, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12062)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14546;
BgL_objz00_14546 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14544, BgL_objz00_14546); BgL_objz00_14546; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3484z00_14547;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3485z00_14548;
BgL_arg3485z00_14548 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12060))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14549;
BgL_newz00_14549 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25845;
BgL_tmpz00_25845 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14549, BgL_tmpz00_25845, BgL_arg3485z00_14548); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25850; int BgL_tmpz00_25848;
BgL_auxz00_25850 = 
BINT(BgL_siza7ezd2framez75_12062); 
BgL_tmpz00_25848 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14549, BgL_tmpz00_25848, BgL_auxz00_25850); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_25853;
BgL_tmpz00_25853 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14549, BgL_tmpz00_25853, BgL_runz00_14544); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_25858; int BgL_tmpz00_25856;
BgL_auxz00_25858 = 
BINT(((long)3)); 
BgL_tmpz00_25856 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14549, BgL_tmpz00_25856, BgL_auxz00_25858); } 
BgL_arg3484z00_14547 = BgL_newz00_14549; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14545, BgL_arg3484z00_14547); BgL_arg3484z00_14547; } 
return BgL_mainz00_14545;} } } } } } 

}



/* &main4252 */
obj_t BGl_z62main4252z62zz__evaluate_compz00(obj_t BgL_envz00_12064, obj_t BgL_bz00_12071, obj_t BgL_cz00_12072, obj_t BgL_dz00_12073)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12069; long BgL_siza7ezd2framez75_12070;
BgL_runz00_12069 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12070 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14550;
BgL_sz00_14550 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14551;
BgL_bpz00_14551 = 
VECTOR_REF(
((obj_t)BgL_sz00_14550),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14550, BgL_bpz00_14551, 
BINT(BgL_siza7ezd2framez75_12070)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3488z00_14552;
BgL_arg3488z00_14552 = 
(
(long)CINT(BgL_bpz00_14551)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14550),BgL_arg3488z00_14552,BgL_bz00_12071); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3489z00_14553;
BgL_arg3489z00_14553 = 
(
(long)CINT(BgL_bpz00_14551)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14550),BgL_arg3489z00_14553,BgL_cz00_12072); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3490z00_14554;
BgL_arg3490z00_14554 = 
(
(long)CINT(BgL_bpz00_14551)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14550),BgL_arg3490z00_14554,BgL_dz00_12073); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14555;
BgL_ez00_14555 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14556;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14557;
BgL_arg4072z00_14557 = 
BGL_EXITD_PROTECT(BgL_ez00_14555); 
BgL_arg4071z00_14556 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14551, BgL_arg4072z00_14557); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14555, BgL_arg4071z00_14556); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14558;
BgL_accz00_14558 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12069, BgL_sz00_14550, BgL_bpz00_14551); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5116z00_25891;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14559;
BgL_arg4070z00_14559 = 
BGL_EXITD_PROTECT(BgL_ez00_14555); 
BgL_test5116z00_25891 = 
PAIRP(BgL_arg4070z00_14559); } 
if(BgL_test5116z00_25891)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14560;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14561;
BgL_arg4069z00_14561 = 
BGL_EXITD_PROTECT(BgL_ez00_14555); 
BgL_arg4068z00_14560 = 
CDR(
((obj_t)BgL_arg4069z00_14561)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14555, BgL_arg4068z00_14560); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14550),((long)0),BgL_bpz00_14551); 
return BgL_accz00_14558;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14562;
BgL_nsz00_14562 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14562,((long)1),BgL_sz00_14550); 
VECTOR_SET(BgL_nsz00_14562,((long)2),BgL_bz00_12071); 
VECTOR_SET(BgL_nsz00_14562,((long)3),BgL_cz00_12072); 
VECTOR_SET(BgL_nsz00_14562,((long)4),BgL_dz00_12073); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14563;
BgL_z12denvz12_14563 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14563, BgL_nsz00_14562); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14564;
BgL_ez00_14564 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14565;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14566;
BgL_arg4072z00_14566 = 
BGL_EXITD_PROTECT(BgL_ez00_14564); 
BgL_arg4071z00_14565 = 
MAKE_YOUNG_PAIR(BgL_sz00_14550, BgL_arg4072z00_14566); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14564, BgL_arg4071z00_14565); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14567;
BgL_____rz00_14567 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12069, BgL_nsz00_14562, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5117z00_25913;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14568;
BgL_arg4070z00_14568 = 
BGL_EXITD_PROTECT(BgL_ez00_14564); 
BgL_test5117z00_25913 = 
PAIRP(BgL_arg4070z00_14568); } 
if(BgL_test5117z00_25913)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14569;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14570;
BgL_arg4069z00_14570 = 
BGL_EXITD_PROTECT(BgL_ez00_14564); 
BgL_arg4068z00_14569 = 
CDR(
((obj_t)BgL_arg4069z00_14570)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14564, BgL_arg4068z00_14569); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14563, BgL_sz00_14550); 
return BgL_____rz00_14567;} } } } } } } } 

}



/* &run4253 */
obj_t BGl_z62run4253z62zz__evaluate_compz00(obj_t BgL_envz00_12074, obj_t BgL_sz00_12079)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12075; obj_t BgL_valza2za2_12076; BgL_ev_absz00_bglt BgL_i1252z00_12077; obj_t BgL_bodyz00_12078;
BgL_siza7eza7_12075 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)0)))); 
BgL_valza2za2_12076 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)1)))); 
BgL_i1252z00_12077 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)2)))); 
BgL_bodyz00_12078 = 
PROCEDURE_REF(BgL_envz00_12074, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14571;
BgL_bpz00_14571 = 
VECTOR_REF(
((obj_t)BgL_sz00_12079),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12079, BgL_valza2za2_12076, 
(
(long)CINT(BgL_bpz00_14571)+BgL_siza7eza7_12075)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14572; obj_t BgL_wherez00_14573; obj_t BgL_locz00_14574;
BgL_z12denvz12_14572 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14573 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12077))->BgL_wherez00); 
BgL_locz00_14574 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12077))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14572, BgL_wherez00_14573, BgL_locz00_14574); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14575;
BgL_za2za2resza2za2z00_14575 = 
PROCEDURE_ENTRY(BgL_bodyz00_12078)(BgL_bodyz00_12078, BgL_sz00_12079, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14572); 
return BgL_za2za2resza2za2z00_14575;} } } } } } 

}



/* &<@anonymous:3493> */
obj_t BGl_z62zc3z04anonymousza33493ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12080, obj_t BgL_sz00_12087)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12081; obj_t BgL_iboxesz00_12082; long BgL_siza7eza7_12083; BgL_ev_absz00_bglt BgL_i1252z00_12084; obj_t BgL_bodyz00_12085; long BgL_siza7ezd2framez75_12086;
BgL_ifreesz00_12081 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)0)))); 
BgL_iboxesz00_12082 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)1)))); 
BgL_siza7eza7_12083 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)2)))); 
BgL_i1252z00_12084 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)3)))); 
BgL_bodyz00_12085 = 
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12086 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12080, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14576;
BgL_bpz00_14576 = 
VECTOR_REF(
((obj_t)BgL_sz00_12087),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14577;
BgL_valza2za2_14577 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12087, BgL_bpz00_14576, BgL_ifreesz00_12081); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14578;
BgL_runz00_14578 = 
MAKE_FX_PROCEDURE(BGl_z62run4255z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14578, 
(int)(((long)0)), BgL_iboxesz00_12082); 
PROCEDURE_SET(BgL_runz00_14578, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12083)); 
PROCEDURE_SET(BgL_runz00_14578, 
(int)(((long)2)), BgL_valza2za2_14577); 
PROCEDURE_SET(BgL_runz00_14578, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12084)); 
PROCEDURE_SET(BgL_runz00_14578, 
(int)(((long)4)), BgL_bodyz00_12085); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14579;
BgL_mainz00_14579 = 
MAKE_FX_PROCEDURE(BGl_z62main4254z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)0)), BgL_iboxesz00_12082); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12083)); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)2)), BgL_valza2za2_14577); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12084)); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)4)), BgL_bodyz00_12085); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)5)), BgL_runz00_14578); 
PROCEDURE_SET(BgL_mainz00_14579, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12086)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14580;
BgL_objz00_14580 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14578, BgL_objz00_14580); BgL_objz00_14580; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3494z00_14581;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3495z00_14582;
BgL_arg3495z00_14582 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12084))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14583;
BgL_newz00_14583 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26005;
BgL_tmpz00_26005 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14583, BgL_tmpz00_26005, BgL_arg3495z00_14582); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26010; int BgL_tmpz00_26008;
BgL_auxz00_26010 = 
BINT(BgL_siza7ezd2framez75_12086); 
BgL_tmpz00_26008 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14583, BgL_tmpz00_26008, BgL_auxz00_26010); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26013;
BgL_tmpz00_26013 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14583, BgL_tmpz00_26013, BgL_runz00_14578); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26018; int BgL_tmpz00_26016;
BgL_auxz00_26018 = 
BINT(((long)3)); 
BgL_tmpz00_26016 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14583, BgL_tmpz00_26016, BgL_auxz00_26018); } 
BgL_arg3494z00_14581 = BgL_newz00_14583; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14579, BgL_arg3494z00_14581); BgL_arg3494z00_14581; } 
return BgL_mainz00_14579;} } } } } } 

}



/* &main4254 */
obj_t BGl_z62main4254z62zz__evaluate_compz00(obj_t BgL_envz00_12088, obj_t BgL_bz00_12096, obj_t BgL_cz00_12097, obj_t BgL_dz00_12098)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12094; long BgL_siza7ezd2framez75_12095;
BgL_runz00_12094 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12095 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12088, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14584;
BgL_sz00_14584 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14585;
BgL_bpz00_14585 = 
VECTOR_REF(
((obj_t)BgL_sz00_14584),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14584, BgL_bpz00_14585, 
BINT(BgL_siza7ezd2framez75_12095)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3498z00_14586;
BgL_arg3498z00_14586 = 
(
(long)CINT(BgL_bpz00_14585)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14584),BgL_arg3498z00_14586,BgL_bz00_12096); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3499z00_14587;
BgL_arg3499z00_14587 = 
(
(long)CINT(BgL_bpz00_14585)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14584),BgL_arg3499z00_14587,BgL_cz00_12097); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3500z00_14588;
BgL_arg3500z00_14588 = 
(
(long)CINT(BgL_bpz00_14585)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14584),BgL_arg3500z00_14588,BgL_dz00_12098); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14589;
BgL_ez00_14589 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14590;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14591;
BgL_arg4072z00_14591 = 
BGL_EXITD_PROTECT(BgL_ez00_14589); 
BgL_arg4071z00_14590 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14585, BgL_arg4072z00_14591); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14589, BgL_arg4071z00_14590); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14592;
BgL_accz00_14592 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12094, BgL_sz00_14584, BgL_bpz00_14585); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5119z00_26051;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14593;
BgL_arg4070z00_14593 = 
BGL_EXITD_PROTECT(BgL_ez00_14589); 
BgL_test5119z00_26051 = 
PAIRP(BgL_arg4070z00_14593); } 
if(BgL_test5119z00_26051)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14594;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14595;
BgL_arg4069z00_14595 = 
BGL_EXITD_PROTECT(BgL_ez00_14589); 
BgL_arg4068z00_14594 = 
CDR(
((obj_t)BgL_arg4069z00_14595)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14589, BgL_arg4068z00_14594); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14584),((long)0),BgL_bpz00_14585); 
return BgL_accz00_14592;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14596;
BgL_nsz00_14596 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14596,((long)1),BgL_sz00_14584); 
VECTOR_SET(BgL_nsz00_14596,((long)2),BgL_bz00_12096); 
VECTOR_SET(BgL_nsz00_14596,((long)3),BgL_cz00_12097); 
VECTOR_SET(BgL_nsz00_14596,((long)4),BgL_dz00_12098); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14597;
BgL_z12denvz12_14597 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14597, BgL_nsz00_14596); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14598;
BgL_ez00_14598 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14599;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14600;
BgL_arg4072z00_14600 = 
BGL_EXITD_PROTECT(BgL_ez00_14598); 
BgL_arg4071z00_14599 = 
MAKE_YOUNG_PAIR(BgL_sz00_14584, BgL_arg4072z00_14600); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14598, BgL_arg4071z00_14599); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14601;
BgL_____rz00_14601 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12094, BgL_nsz00_14596, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5120z00_26073;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14602;
BgL_arg4070z00_14602 = 
BGL_EXITD_PROTECT(BgL_ez00_14598); 
BgL_test5120z00_26073 = 
PAIRP(BgL_arg4070z00_14602); } 
if(BgL_test5120z00_26073)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14603;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14604;
BgL_arg4069z00_14604 = 
BGL_EXITD_PROTECT(BgL_ez00_14598); 
BgL_arg4068z00_14603 = 
CDR(
((obj_t)BgL_arg4069z00_14604)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14598, BgL_arg4068z00_14603); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14597, BgL_sz00_14584); 
return BgL_____rz00_14601;} } } } } } } } 

}



/* &run4255 */
obj_t BGl_z62run4255z62zz__evaluate_compz00(obj_t BgL_envz00_12099, obj_t BgL_sz00_12105)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12100; long BgL_siza7eza7_12101; obj_t BgL_valza2za2_12102; BgL_ev_absz00_bglt BgL_i1252z00_12103; obj_t BgL_bodyz00_12104;
BgL_iboxesz00_12100 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)0)))); 
BgL_siza7eza7_12101 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)1)))); 
BgL_valza2za2_12102 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)2)))); 
BgL_i1252z00_12103 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)3)))); 
BgL_bodyz00_12104 = 
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14605;
BgL_bpz00_14605 = 
VECTOR_REF(
((obj_t)BgL_sz00_12105),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12105, BgL_iboxesz00_12100, BgL_bpz00_14605); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12105, BgL_valza2za2_12102, 
(
(long)CINT(BgL_bpz00_14605)+BgL_siza7eza7_12101)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14606; obj_t BgL_wherez00_14607; obj_t BgL_locz00_14608;
BgL_z12denvz12_14606 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14607 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12103))->BgL_wherez00); 
BgL_locz00_14608 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12103))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14606, BgL_wherez00_14607, BgL_locz00_14608); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14609;
BgL_za2za2resza2za2z00_14609 = 
PROCEDURE_ENTRY(BgL_bodyz00_12104)(BgL_bodyz00_12104, BgL_sz00_12105, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14606); 
return BgL_za2za2resza2za2z00_14609;} } } } } } 

}



/* &<@anonymous:3415> */
obj_t BGl_z62zc3z04anonymousza33415ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12106, obj_t BgL_sz00_12110)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12107; obj_t BgL_bodyz00_12108; long BgL_siza7ezd2framez75_12109;
BgL_i1252z00_12107 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12106, 
(int)(((long)0)))); 
BgL_bodyz00_12108 = 
PROCEDURE_REF(BgL_envz00_12106, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12109 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12106, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14610;
BgL_bpz00_14610 = 
VECTOR_REF(
((obj_t)BgL_sz00_12110),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14611;
BgL_runz00_14611 = 
MAKE_FX_PROCEDURE(BGl_z62run4257z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14611, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12107)); 
PROCEDURE_SET(BgL_runz00_14611, 
(int)(((long)1)), BgL_bodyz00_12108); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14612;
BgL_mainz00_14612 = 
MAKE_VA_PROCEDURE(BGl_z62main4256z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14612, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12107)); 
PROCEDURE_SET(BgL_mainz00_14612, 
(int)(((long)1)), BgL_bodyz00_12108); 
PROCEDURE_SET(BgL_mainz00_14612, 
(int)(((long)2)), BgL_runz00_14611); 
PROCEDURE_SET(BgL_mainz00_14612, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12109)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14613;
BgL_objz00_14613 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14611, BgL_objz00_14613); BgL_objz00_14613; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3416z00_14614;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3417z00_14615;
BgL_arg3417z00_14615 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12107))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14616;
BgL_newz00_14616 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26145;
BgL_tmpz00_26145 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14616, BgL_tmpz00_26145, BgL_arg3417z00_14615); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26150; int BgL_tmpz00_26148;
BgL_auxz00_26150 = 
BINT(BgL_siza7ezd2framez75_12109); 
BgL_tmpz00_26148 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14616, BgL_tmpz00_26148, BgL_auxz00_26150); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26153;
BgL_tmpz00_26153 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14616, BgL_tmpz00_26153, BgL_runz00_14611); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26158; int BgL_tmpz00_26156;
BgL_auxz00_26158 = 
BINT(((long)-3)); 
BgL_tmpz00_26156 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14616, BgL_tmpz00_26156, BgL_auxz00_26158); } 
BgL_arg3416z00_14614 = BgL_newz00_14616; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14612, BgL_arg3416z00_14614); BgL_arg3416z00_14614; } 
return BgL_mainz00_14612;} } } } } } 

}



/* &main4256 */
obj_t BGl_z62main4256z62zz__evaluate_compz00(obj_t BgL_envz00_12111, obj_t BgL_cz00_12116, obj_t BgL_dz00_12117, obj_t BgL_lastz00_12118)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12114; long BgL_siza7ezd2framez75_12115;
BgL_runz00_12114 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12115 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12111, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14617;
BgL_sz00_14617 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14618;
BgL_bpz00_14618 = 
VECTOR_REF(
((obj_t)BgL_sz00_14617),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14617, BgL_bpz00_14618, 
BINT(BgL_siza7ezd2framez75_12115)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3420z00_14619;
BgL_arg3420z00_14619 = 
(
(long)CINT(BgL_bpz00_14618)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14617),BgL_arg3420z00_14619,BgL_cz00_12116); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3421z00_14620;
BgL_arg3421z00_14620 = 
(
(long)CINT(BgL_bpz00_14618)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14617),BgL_arg3421z00_14620,BgL_dz00_12117); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3422z00_14621;
BgL_arg3422z00_14621 = 
(
(long)CINT(BgL_bpz00_14618)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14617),BgL_arg3422z00_14621,BgL_lastz00_12118); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14622;
BgL_ez00_14622 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14623;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14624;
BgL_arg4072z00_14624 = 
BGL_EXITD_PROTECT(BgL_ez00_14622); 
BgL_arg4071z00_14623 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14618, BgL_arg4072z00_14624); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14622, BgL_arg4071z00_14623); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14625;
BgL_accz00_14625 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12114, BgL_sz00_14617, BgL_bpz00_14618); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5122z00_26191;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14626;
BgL_arg4070z00_14626 = 
BGL_EXITD_PROTECT(BgL_ez00_14622); 
BgL_test5122z00_26191 = 
PAIRP(BgL_arg4070z00_14626); } 
if(BgL_test5122z00_26191)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14627;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14628;
BgL_arg4069z00_14628 = 
BGL_EXITD_PROTECT(BgL_ez00_14622); 
BgL_arg4068z00_14627 = 
CDR(
((obj_t)BgL_arg4069z00_14628)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14622, BgL_arg4068z00_14627); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14617),((long)0),BgL_bpz00_14618); 
return BgL_accz00_14625;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14629;
BgL_nsz00_14629 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14629,((long)1),BgL_sz00_14617); 
VECTOR_SET(BgL_nsz00_14629,((long)2),BgL_cz00_12116); 
VECTOR_SET(BgL_nsz00_14629,((long)3),BgL_dz00_12117); 
VECTOR_SET(BgL_nsz00_14629,((long)4),BgL_lastz00_12118); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14630;
BgL_z12denvz12_14630 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14630, BgL_nsz00_14629); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14631;
BgL_ez00_14631 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14632;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14633;
BgL_arg4072z00_14633 = 
BGL_EXITD_PROTECT(BgL_ez00_14631); 
BgL_arg4071z00_14632 = 
MAKE_YOUNG_PAIR(BgL_sz00_14617, BgL_arg4072z00_14633); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14631, BgL_arg4071z00_14632); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14634;
BgL_____rz00_14634 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12114, BgL_nsz00_14629, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5123z00_26213;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14635;
BgL_arg4070z00_14635 = 
BGL_EXITD_PROTECT(BgL_ez00_14631); 
BgL_test5123z00_26213 = 
PAIRP(BgL_arg4070z00_14635); } 
if(BgL_test5123z00_26213)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14636;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14637;
BgL_arg4069z00_14637 = 
BGL_EXITD_PROTECT(BgL_ez00_14631); 
BgL_arg4068z00_14636 = 
CDR(
((obj_t)BgL_arg4069z00_14637)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14631, BgL_arg4068z00_14636); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14630, BgL_sz00_14617); 
return BgL_____rz00_14634;} } } } } } } } 

}



/* &run4257 */
obj_t BGl_z62run4257z62zz__evaluate_compz00(obj_t BgL_envz00_12119, obj_t BgL_sz00_12122)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12120; obj_t BgL_bodyz00_12121;
BgL_i1252z00_12120 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)0)))); 
BgL_bodyz00_12121 = 
PROCEDURE_REF(BgL_envz00_12119, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14638;
BgL_bpz00_14638 = 
VECTOR_REF(
((obj_t)BgL_sz00_12122),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14639; obj_t BgL_wherez00_14640; obj_t BgL_locz00_14641;
BgL_z12denvz12_14639 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14640 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12120))->BgL_wherez00); 
BgL_locz00_14641 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12120))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14639, BgL_wherez00_14640, BgL_locz00_14641); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14642;
BgL_za2za2resza2za2z00_14642 = 
PROCEDURE_ENTRY(BgL_bodyz00_12121)(BgL_bodyz00_12121, BgL_sz00_12122, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14639); 
return BgL_za2za2resza2za2z00_14642;} } } } } } 

}



/* &<@anonymous:3424> */
obj_t BGl_z62zc3z04anonymousza33424ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12123, obj_t BgL_sz00_12128)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12124; BgL_ev_absz00_bglt BgL_i1252z00_12125; obj_t BgL_bodyz00_12126; long BgL_siza7ezd2framez75_12127;
BgL_iboxesz00_12124 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)0)))); 
BgL_i1252z00_12125 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)1)))); 
BgL_bodyz00_12126 = 
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12127 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14643;
BgL_bpz00_14643 = 
VECTOR_REF(
((obj_t)BgL_sz00_12128),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14644;
BgL_runz00_14644 = 
MAKE_FX_PROCEDURE(BGl_z62run4259z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14644, 
(int)(((long)0)), BgL_iboxesz00_12124); 
PROCEDURE_SET(BgL_runz00_14644, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12125)); 
PROCEDURE_SET(BgL_runz00_14644, 
(int)(((long)2)), BgL_bodyz00_12126); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14645;
BgL_mainz00_14645 = 
MAKE_VA_PROCEDURE(BGl_z62main4258z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14645, 
(int)(((long)0)), BgL_iboxesz00_12124); 
PROCEDURE_SET(BgL_mainz00_14645, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12125)); 
PROCEDURE_SET(BgL_mainz00_14645, 
(int)(((long)2)), BgL_bodyz00_12126); 
PROCEDURE_SET(BgL_mainz00_14645, 
(int)(((long)3)), BgL_runz00_14644); 
PROCEDURE_SET(BgL_mainz00_14645, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12127)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14646;
BgL_objz00_14646 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14644, BgL_objz00_14646); BgL_objz00_14646; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3425z00_14647;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3426z00_14648;
BgL_arg3426z00_14648 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12125))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14649;
BgL_newz00_14649 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26279;
BgL_tmpz00_26279 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14649, BgL_tmpz00_26279, BgL_arg3426z00_14648); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26284; int BgL_tmpz00_26282;
BgL_auxz00_26284 = 
BINT(BgL_siza7ezd2framez75_12127); 
BgL_tmpz00_26282 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14649, BgL_tmpz00_26282, BgL_auxz00_26284); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26287;
BgL_tmpz00_26287 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14649, BgL_tmpz00_26287, BgL_runz00_14644); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26292; int BgL_tmpz00_26290;
BgL_auxz00_26292 = 
BINT(((long)-3)); 
BgL_tmpz00_26290 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14649, BgL_tmpz00_26290, BgL_auxz00_26292); } 
BgL_arg3425z00_14647 = BgL_newz00_14649; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14645, BgL_arg3425z00_14647); BgL_arg3425z00_14647; } 
return BgL_mainz00_14645;} } } } } } 

}



/* &main4258 */
obj_t BGl_z62main4258z62zz__evaluate_compz00(obj_t BgL_envz00_12129, obj_t BgL_cz00_12135, obj_t BgL_dz00_12136, obj_t BgL_lastz00_12137)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12133; long BgL_siza7ezd2framez75_12134;
BgL_runz00_12133 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12134 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12129, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14650;
BgL_sz00_14650 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14651;
BgL_bpz00_14651 = 
VECTOR_REF(
((obj_t)BgL_sz00_14650),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14650, BgL_bpz00_14651, 
BINT(BgL_siza7ezd2framez75_12134)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3429z00_14652;
BgL_arg3429z00_14652 = 
(
(long)CINT(BgL_bpz00_14651)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14650),BgL_arg3429z00_14652,BgL_cz00_12135); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3430z00_14653;
BgL_arg3430z00_14653 = 
(
(long)CINT(BgL_bpz00_14651)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14650),BgL_arg3430z00_14653,BgL_dz00_12136); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3431z00_14654;
BgL_arg3431z00_14654 = 
(
(long)CINT(BgL_bpz00_14651)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14650),BgL_arg3431z00_14654,BgL_lastz00_12137); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14655;
BgL_ez00_14655 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14656;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14657;
BgL_arg4072z00_14657 = 
BGL_EXITD_PROTECT(BgL_ez00_14655); 
BgL_arg4071z00_14656 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14651, BgL_arg4072z00_14657); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14655, BgL_arg4071z00_14656); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14658;
BgL_accz00_14658 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12133, BgL_sz00_14650, BgL_bpz00_14651); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5125z00_26325;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14659;
BgL_arg4070z00_14659 = 
BGL_EXITD_PROTECT(BgL_ez00_14655); 
BgL_test5125z00_26325 = 
PAIRP(BgL_arg4070z00_14659); } 
if(BgL_test5125z00_26325)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14660;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14661;
BgL_arg4069z00_14661 = 
BGL_EXITD_PROTECT(BgL_ez00_14655); 
BgL_arg4068z00_14660 = 
CDR(
((obj_t)BgL_arg4069z00_14661)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14655, BgL_arg4068z00_14660); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14650),((long)0),BgL_bpz00_14651); 
return BgL_accz00_14658;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14662;
BgL_nsz00_14662 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14662,((long)1),BgL_sz00_14650); 
VECTOR_SET(BgL_nsz00_14662,((long)2),BgL_cz00_12135); 
VECTOR_SET(BgL_nsz00_14662,((long)3),BgL_dz00_12136); 
VECTOR_SET(BgL_nsz00_14662,((long)4),BgL_lastz00_12137); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14663;
BgL_z12denvz12_14663 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14663, BgL_nsz00_14662); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14664;
BgL_ez00_14664 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14665;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14666;
BgL_arg4072z00_14666 = 
BGL_EXITD_PROTECT(BgL_ez00_14664); 
BgL_arg4071z00_14665 = 
MAKE_YOUNG_PAIR(BgL_sz00_14650, BgL_arg4072z00_14666); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14664, BgL_arg4071z00_14665); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14667;
BgL_____rz00_14667 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12133, BgL_nsz00_14662, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5126z00_26347;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14668;
BgL_arg4070z00_14668 = 
BGL_EXITD_PROTECT(BgL_ez00_14664); 
BgL_test5126z00_26347 = 
PAIRP(BgL_arg4070z00_14668); } 
if(BgL_test5126z00_26347)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14669;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14670;
BgL_arg4069z00_14670 = 
BGL_EXITD_PROTECT(BgL_ez00_14664); 
BgL_arg4068z00_14669 = 
CDR(
((obj_t)BgL_arg4069z00_14670)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14664, BgL_arg4068z00_14669); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14663, BgL_sz00_14650); 
return BgL_____rz00_14667;} } } } } } } } 

}



/* &run4259 */
obj_t BGl_z62run4259z62zz__evaluate_compz00(obj_t BgL_envz00_12138, obj_t BgL_sz00_12142)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12139; BgL_ev_absz00_bglt BgL_i1252z00_12140; obj_t BgL_bodyz00_12141;
BgL_iboxesz00_12139 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)0)))); 
BgL_i1252z00_12140 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)1)))); 
BgL_bodyz00_12141 = 
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14671;
BgL_bpz00_14671 = 
VECTOR_REF(
((obj_t)BgL_sz00_12142),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12142, BgL_iboxesz00_12139, BgL_bpz00_14671); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14672; obj_t BgL_wherez00_14673; obj_t BgL_locz00_14674;
BgL_z12denvz12_14672 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14673 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12140))->BgL_wherez00); 
BgL_locz00_14674 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12140))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14672, BgL_wherez00_14673, BgL_locz00_14674); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14675;
BgL_za2za2resza2za2z00_14675 = 
PROCEDURE_ENTRY(BgL_bodyz00_12141)(BgL_bodyz00_12141, BgL_sz00_12142, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14672); 
return BgL_za2za2resza2za2z00_14675;} } } } } } 

}



/* &<@anonymous:3436> */
obj_t BGl_z62zc3z04anonymousza33436ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12143, obj_t BgL_sz00_12149)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12144; long BgL_siza7eza7_12145; BgL_ev_absz00_bglt BgL_i1252z00_12146; obj_t BgL_bodyz00_12147; long BgL_siza7ezd2framez75_12148;
BgL_ifreesz00_12144 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12143, 
(int)(((long)0)))); 
BgL_siza7eza7_12145 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12143, 
(int)(((long)1)))); 
BgL_i1252z00_12146 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12143, 
(int)(((long)2)))); 
BgL_bodyz00_12147 = 
PROCEDURE_REF(BgL_envz00_12143, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12148 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12143, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14676;
BgL_bpz00_14676 = 
VECTOR_REF(
((obj_t)BgL_sz00_12149),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14677;
BgL_valza2za2_14677 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12149, BgL_bpz00_14676, BgL_ifreesz00_12144); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14678;
BgL_runz00_14678 = 
MAKE_FX_PROCEDURE(BGl_z62run4261z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14678, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12145)); 
PROCEDURE_SET(BgL_runz00_14678, 
(int)(((long)1)), BgL_valza2za2_14677); 
PROCEDURE_SET(BgL_runz00_14678, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12146)); 
PROCEDURE_SET(BgL_runz00_14678, 
(int)(((long)3)), BgL_bodyz00_12147); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14679;
BgL_mainz00_14679 = 
MAKE_VA_PROCEDURE(BGl_z62main4260z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12145)); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)1)), BgL_valza2za2_14677); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12146)); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)3)), BgL_bodyz00_12147); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)4)), BgL_runz00_14678); 
PROCEDURE_SET(BgL_mainz00_14679, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12148)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14680;
BgL_objz00_14680 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14678, BgL_objz00_14680); BgL_objz00_14680; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3437z00_14681;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3438z00_14682;
BgL_arg3438z00_14682 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12146))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14683;
BgL_newz00_14683 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26427;
BgL_tmpz00_26427 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14683, BgL_tmpz00_26427, BgL_arg3438z00_14682); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26432; int BgL_tmpz00_26430;
BgL_auxz00_26432 = 
BINT(BgL_siza7ezd2framez75_12148); 
BgL_tmpz00_26430 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14683, BgL_tmpz00_26430, BgL_auxz00_26432); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26435;
BgL_tmpz00_26435 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14683, BgL_tmpz00_26435, BgL_runz00_14678); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26440; int BgL_tmpz00_26438;
BgL_auxz00_26440 = 
BINT(((long)-3)); 
BgL_tmpz00_26438 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14683, BgL_tmpz00_26438, BgL_auxz00_26440); } 
BgL_arg3437z00_14681 = BgL_newz00_14683; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14679, BgL_arg3437z00_14681); BgL_arg3437z00_14681; } 
return BgL_mainz00_14679;} } } } } } 

}



/* &main4260 */
obj_t BGl_z62main4260z62zz__evaluate_compz00(obj_t BgL_envz00_12150, obj_t BgL_cz00_12157, obj_t BgL_dz00_12158, obj_t BgL_lastz00_12159)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12155; long BgL_siza7ezd2framez75_12156;
BgL_runz00_12155 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12156 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12150, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14684;
BgL_sz00_14684 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14685;
BgL_bpz00_14685 = 
VECTOR_REF(
((obj_t)BgL_sz00_14684),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14684, BgL_bpz00_14685, 
BINT(BgL_siza7ezd2framez75_12156)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3441z00_14686;
BgL_arg3441z00_14686 = 
(
(long)CINT(BgL_bpz00_14685)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14684),BgL_arg3441z00_14686,BgL_cz00_12157); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3442z00_14687;
BgL_arg3442z00_14687 = 
(
(long)CINT(BgL_bpz00_14685)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14684),BgL_arg3442z00_14687,BgL_dz00_12158); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3443z00_14688;
BgL_arg3443z00_14688 = 
(
(long)CINT(BgL_bpz00_14685)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14684),BgL_arg3443z00_14688,BgL_lastz00_12159); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14689;
BgL_ez00_14689 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14690;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14691;
BgL_arg4072z00_14691 = 
BGL_EXITD_PROTECT(BgL_ez00_14689); 
BgL_arg4071z00_14690 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14685, BgL_arg4072z00_14691); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14689, BgL_arg4071z00_14690); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14692;
BgL_accz00_14692 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12155, BgL_sz00_14684, BgL_bpz00_14685); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5128z00_26473;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14693;
BgL_arg4070z00_14693 = 
BGL_EXITD_PROTECT(BgL_ez00_14689); 
BgL_test5128z00_26473 = 
PAIRP(BgL_arg4070z00_14693); } 
if(BgL_test5128z00_26473)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14694;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14695;
BgL_arg4069z00_14695 = 
BGL_EXITD_PROTECT(BgL_ez00_14689); 
BgL_arg4068z00_14694 = 
CDR(
((obj_t)BgL_arg4069z00_14695)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14689, BgL_arg4068z00_14694); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14684),((long)0),BgL_bpz00_14685); 
return BgL_accz00_14692;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14696;
BgL_nsz00_14696 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14696,((long)1),BgL_sz00_14684); 
VECTOR_SET(BgL_nsz00_14696,((long)2),BgL_cz00_12157); 
VECTOR_SET(BgL_nsz00_14696,((long)3),BgL_dz00_12158); 
VECTOR_SET(BgL_nsz00_14696,((long)4),BgL_lastz00_12159); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14697;
BgL_z12denvz12_14697 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14697, BgL_nsz00_14696); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14698;
BgL_ez00_14698 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14699;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14700;
BgL_arg4072z00_14700 = 
BGL_EXITD_PROTECT(BgL_ez00_14698); 
BgL_arg4071z00_14699 = 
MAKE_YOUNG_PAIR(BgL_sz00_14684, BgL_arg4072z00_14700); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14698, BgL_arg4071z00_14699); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14701;
BgL_____rz00_14701 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12155, BgL_nsz00_14696, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5129z00_26495;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14702;
BgL_arg4070z00_14702 = 
BGL_EXITD_PROTECT(BgL_ez00_14698); 
BgL_test5129z00_26495 = 
PAIRP(BgL_arg4070z00_14702); } 
if(BgL_test5129z00_26495)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14703;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14704;
BgL_arg4069z00_14704 = 
BGL_EXITD_PROTECT(BgL_ez00_14698); 
BgL_arg4068z00_14703 = 
CDR(
((obj_t)BgL_arg4069z00_14704)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14698, BgL_arg4068z00_14703); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14697, BgL_sz00_14684); 
return BgL_____rz00_14701;} } } } } } } } 

}



/* &run4261 */
obj_t BGl_z62run4261z62zz__evaluate_compz00(obj_t BgL_envz00_12160, obj_t BgL_sz00_12165)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12161; obj_t BgL_valza2za2_12162; BgL_ev_absz00_bglt BgL_i1252z00_12163; obj_t BgL_bodyz00_12164;
BgL_siza7eza7_12161 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)0)))); 
BgL_valza2za2_12162 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)1)))); 
BgL_i1252z00_12163 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)2)))); 
BgL_bodyz00_12164 = 
PROCEDURE_REF(BgL_envz00_12160, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14705;
BgL_bpz00_14705 = 
VECTOR_REF(
((obj_t)BgL_sz00_12165),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12165, BgL_valza2za2_12162, 
(
(long)CINT(BgL_bpz00_14705)+BgL_siza7eza7_12161)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14706; obj_t BgL_wherez00_14707; obj_t BgL_locz00_14708;
BgL_z12denvz12_14706 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14707 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12163))->BgL_wherez00); 
BgL_locz00_14708 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12163))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14706, BgL_wherez00_14707, BgL_locz00_14708); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14709;
BgL_za2za2resza2za2z00_14709 = 
PROCEDURE_ENTRY(BgL_bodyz00_12164)(BgL_bodyz00_12164, BgL_sz00_12165, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14706); 
return BgL_za2za2resza2za2z00_14709;} } } } } } 

}



/* &<@anonymous:3446> */
obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12166, obj_t BgL_sz00_12173)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12167; obj_t BgL_iboxesz00_12168; long BgL_siza7eza7_12169; BgL_ev_absz00_bglt BgL_i1252z00_12170; obj_t BgL_bodyz00_12171; long BgL_siza7ezd2framez75_12172;
BgL_ifreesz00_12167 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)0)))); 
BgL_iboxesz00_12168 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)1)))); 
BgL_siza7eza7_12169 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)2)))); 
BgL_i1252z00_12170 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)3)))); 
BgL_bodyz00_12171 = 
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12172 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12166, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14710;
BgL_bpz00_14710 = 
VECTOR_REF(
((obj_t)BgL_sz00_12173),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14711;
BgL_valza2za2_14711 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12173, BgL_bpz00_14710, BgL_ifreesz00_12167); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14712;
BgL_runz00_14712 = 
MAKE_FX_PROCEDURE(BGl_z62run4263z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14712, 
(int)(((long)0)), BgL_iboxesz00_12168); 
PROCEDURE_SET(BgL_runz00_14712, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12169)); 
PROCEDURE_SET(BgL_runz00_14712, 
(int)(((long)2)), BgL_valza2za2_14711); 
PROCEDURE_SET(BgL_runz00_14712, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12170)); 
PROCEDURE_SET(BgL_runz00_14712, 
(int)(((long)4)), BgL_bodyz00_12171); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14713;
BgL_mainz00_14713 = 
MAKE_VA_PROCEDURE(BGl_z62main4262z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)0)), BgL_iboxesz00_12168); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12169)); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)2)), BgL_valza2za2_14711); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12170)); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)4)), BgL_bodyz00_12171); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)5)), BgL_runz00_14712); 
PROCEDURE_SET(BgL_mainz00_14713, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12172)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14714;
BgL_objz00_14714 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14712, BgL_objz00_14714); BgL_objz00_14714; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3447z00_14715;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3448z00_14716;
BgL_arg3448z00_14716 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12170))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14717;
BgL_newz00_14717 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26587;
BgL_tmpz00_26587 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14717, BgL_tmpz00_26587, BgL_arg3448z00_14716); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26592; int BgL_tmpz00_26590;
BgL_auxz00_26592 = 
BINT(BgL_siza7ezd2framez75_12172); 
BgL_tmpz00_26590 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14717, BgL_tmpz00_26590, BgL_auxz00_26592); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26595;
BgL_tmpz00_26595 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14717, BgL_tmpz00_26595, BgL_runz00_14712); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26600; int BgL_tmpz00_26598;
BgL_auxz00_26600 = 
BINT(((long)-3)); 
BgL_tmpz00_26598 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14717, BgL_tmpz00_26598, BgL_auxz00_26600); } 
BgL_arg3447z00_14715 = BgL_newz00_14717; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14713, BgL_arg3447z00_14715); BgL_arg3447z00_14715; } 
return BgL_mainz00_14713;} } } } } } 

}



/* &main4262 */
obj_t BGl_z62main4262z62zz__evaluate_compz00(obj_t BgL_envz00_12174, obj_t BgL_cz00_12182, obj_t BgL_dz00_12183, obj_t BgL_lastz00_12184)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12180; long BgL_siza7ezd2framez75_12181;
BgL_runz00_12180 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12174, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12181 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12174, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14718;
BgL_sz00_14718 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14719;
BgL_bpz00_14719 = 
VECTOR_REF(
((obj_t)BgL_sz00_14718),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14718, BgL_bpz00_14719, 
BINT(BgL_siza7ezd2framez75_12181)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3451z00_14720;
BgL_arg3451z00_14720 = 
(
(long)CINT(BgL_bpz00_14719)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14718),BgL_arg3451z00_14720,BgL_cz00_12182); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3452z00_14721;
BgL_arg3452z00_14721 = 
(
(long)CINT(BgL_bpz00_14719)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14718),BgL_arg3452z00_14721,BgL_dz00_12183); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3453z00_14722;
BgL_arg3453z00_14722 = 
(
(long)CINT(BgL_bpz00_14719)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14718),BgL_arg3453z00_14722,BgL_lastz00_12184); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14723;
BgL_ez00_14723 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14724;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14725;
BgL_arg4072z00_14725 = 
BGL_EXITD_PROTECT(BgL_ez00_14723); 
BgL_arg4071z00_14724 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14719, BgL_arg4072z00_14725); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14723, BgL_arg4071z00_14724); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14726;
BgL_accz00_14726 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12180, BgL_sz00_14718, BgL_bpz00_14719); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5131z00_26633;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14727;
BgL_arg4070z00_14727 = 
BGL_EXITD_PROTECT(BgL_ez00_14723); 
BgL_test5131z00_26633 = 
PAIRP(BgL_arg4070z00_14727); } 
if(BgL_test5131z00_26633)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14728;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14729;
BgL_arg4069z00_14729 = 
BGL_EXITD_PROTECT(BgL_ez00_14723); 
BgL_arg4068z00_14728 = 
CDR(
((obj_t)BgL_arg4069z00_14729)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14723, BgL_arg4068z00_14728); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14718),((long)0),BgL_bpz00_14719); 
return BgL_accz00_14726;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14730;
BgL_nsz00_14730 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14730,((long)1),BgL_sz00_14718); 
VECTOR_SET(BgL_nsz00_14730,((long)2),BgL_cz00_12182); 
VECTOR_SET(BgL_nsz00_14730,((long)3),BgL_dz00_12183); 
VECTOR_SET(BgL_nsz00_14730,((long)4),BgL_lastz00_12184); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14731;
BgL_z12denvz12_14731 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14731, BgL_nsz00_14730); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14732;
BgL_ez00_14732 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14733;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14734;
BgL_arg4072z00_14734 = 
BGL_EXITD_PROTECT(BgL_ez00_14732); 
BgL_arg4071z00_14733 = 
MAKE_YOUNG_PAIR(BgL_sz00_14718, BgL_arg4072z00_14734); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14732, BgL_arg4071z00_14733); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14735;
BgL_____rz00_14735 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12180, BgL_nsz00_14730, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5132z00_26655;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14736;
BgL_arg4070z00_14736 = 
BGL_EXITD_PROTECT(BgL_ez00_14732); 
BgL_test5132z00_26655 = 
PAIRP(BgL_arg4070z00_14736); } 
if(BgL_test5132z00_26655)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14737;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14738;
BgL_arg4069z00_14738 = 
BGL_EXITD_PROTECT(BgL_ez00_14732); 
BgL_arg4068z00_14737 = 
CDR(
((obj_t)BgL_arg4069z00_14738)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14732, BgL_arg4068z00_14737); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14731, BgL_sz00_14718); 
return BgL_____rz00_14735;} } } } } } } } 

}



/* &run4263 */
obj_t BGl_z62run4263z62zz__evaluate_compz00(obj_t BgL_envz00_12185, obj_t BgL_sz00_12191)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12186; long BgL_siza7eza7_12187; obj_t BgL_valza2za2_12188; BgL_ev_absz00_bglt BgL_i1252z00_12189; obj_t BgL_bodyz00_12190;
BgL_iboxesz00_12186 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)0)))); 
BgL_siza7eza7_12187 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)1)))); 
BgL_valza2za2_12188 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)2)))); 
BgL_i1252z00_12189 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)3)))); 
BgL_bodyz00_12190 = 
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14739;
BgL_bpz00_14739 = 
VECTOR_REF(
((obj_t)BgL_sz00_12191),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12191, BgL_iboxesz00_12186, BgL_bpz00_14739); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12191, BgL_valza2za2_12188, 
(
(long)CINT(BgL_bpz00_14739)+BgL_siza7eza7_12187)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14740; obj_t BgL_wherez00_14741; obj_t BgL_locz00_14742;
BgL_z12denvz12_14740 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14741 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12189))->BgL_wherez00); 
BgL_locz00_14742 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12189))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14740, BgL_wherez00_14741, BgL_locz00_14742); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14743;
BgL_za2za2resza2za2z00_14743 = 
PROCEDURE_ENTRY(BgL_bodyz00_12190)(BgL_bodyz00_12190, BgL_sz00_12191, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14740); 
return BgL_za2za2resza2za2z00_14743;} } } } } } 

}



/* &<@anonymous:3372> */
obj_t BGl_z62zc3z04anonymousza33372ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12192, obj_t BgL_sz00_12196)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12193; obj_t BgL_bodyz00_12194; long BgL_siza7ezd2framez75_12195;
BgL_i1252z00_12193 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)0)))); 
BgL_bodyz00_12194 = 
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12195 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12192, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14744;
BgL_bpz00_14744 = 
VECTOR_REF(
((obj_t)BgL_sz00_12196),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14745;
BgL_runz00_14745 = 
MAKE_FX_PROCEDURE(BGl_z62run4265z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14745, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12193)); 
PROCEDURE_SET(BgL_runz00_14745, 
(int)(((long)1)), BgL_bodyz00_12194); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14746;
BgL_mainz00_14746 = 
MAKE_FX_PROCEDURE(BGl_z62main4264z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14746, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12193)); 
PROCEDURE_SET(BgL_mainz00_14746, 
(int)(((long)1)), BgL_bodyz00_12194); 
PROCEDURE_SET(BgL_mainz00_14746, 
(int)(((long)2)), BgL_runz00_14745); 
PROCEDURE_SET(BgL_mainz00_14746, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12195)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14747;
BgL_objz00_14747 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14745, BgL_objz00_14747); BgL_objz00_14747; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3373z00_14748;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3374z00_14749;
BgL_arg3374z00_14749 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12193))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14750;
BgL_newz00_14750 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26727;
BgL_tmpz00_26727 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14750, BgL_tmpz00_26727, BgL_arg3374z00_14749); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26732; int BgL_tmpz00_26730;
BgL_auxz00_26732 = 
BINT(BgL_siza7ezd2framez75_12195); 
BgL_tmpz00_26730 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14750, BgL_tmpz00_26730, BgL_auxz00_26732); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26735;
BgL_tmpz00_26735 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14750, BgL_tmpz00_26735, BgL_runz00_14745); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26740; int BgL_tmpz00_26738;
BgL_auxz00_26740 = 
BINT(((long)2)); 
BgL_tmpz00_26738 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14750, BgL_tmpz00_26738, BgL_auxz00_26740); } 
BgL_arg3373z00_14748 = BgL_newz00_14750; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14746, BgL_arg3373z00_14748); BgL_arg3373z00_14748; } 
return BgL_mainz00_14746;} } } } } } 

}



/* &main4264 */
obj_t BGl_z62main4264z62zz__evaluate_compz00(obj_t BgL_envz00_12197, obj_t BgL_cz00_12202, obj_t BgL_dz00_12203)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12200; long BgL_siza7ezd2framez75_12201;
BgL_runz00_12200 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12201 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12197, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14751;
BgL_sz00_14751 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14752;
BgL_bpz00_14752 = 
VECTOR_REF(
((obj_t)BgL_sz00_14751),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14751, BgL_bpz00_14752, 
BINT(BgL_siza7ezd2framez75_12201)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3377z00_14753;
BgL_arg3377z00_14753 = 
(
(long)CINT(BgL_bpz00_14752)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14751),BgL_arg3377z00_14753,BgL_cz00_12202); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3378z00_14754;
BgL_arg3378z00_14754 = 
(
(long)CINT(BgL_bpz00_14752)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14751),BgL_arg3378z00_14754,BgL_dz00_12203); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14755;
BgL_ez00_14755 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14756;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14757;
BgL_arg4072z00_14757 = 
BGL_EXITD_PROTECT(BgL_ez00_14755); 
BgL_arg4071z00_14756 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14752, BgL_arg4072z00_14757); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14755, BgL_arg4071z00_14756); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14758;
BgL_accz00_14758 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_sz00_14751, BgL_bpz00_14752); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5134z00_26769;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14759;
BgL_arg4070z00_14759 = 
BGL_EXITD_PROTECT(BgL_ez00_14755); 
BgL_test5134z00_26769 = 
PAIRP(BgL_arg4070z00_14759); } 
if(BgL_test5134z00_26769)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14760;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14761;
BgL_arg4069z00_14761 = 
BGL_EXITD_PROTECT(BgL_ez00_14755); 
BgL_arg4068z00_14760 = 
CDR(
((obj_t)BgL_arg4069z00_14761)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14755, BgL_arg4068z00_14760); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14751),((long)0),BgL_bpz00_14752); 
return BgL_accz00_14758;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14762;
BgL_nsz00_14762 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14762,((long)1),BgL_sz00_14751); 
VECTOR_SET(BgL_nsz00_14762,((long)2),BgL_cz00_12202); 
VECTOR_SET(BgL_nsz00_14762,((long)3),BgL_dz00_12203); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14763;
BgL_z12denvz12_14763 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14763, BgL_nsz00_14762); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14764;
BgL_ez00_14764 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14765;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14766;
BgL_arg4072z00_14766 = 
BGL_EXITD_PROTECT(BgL_ez00_14764); 
BgL_arg4071z00_14765 = 
MAKE_YOUNG_PAIR(BgL_sz00_14751, BgL_arg4072z00_14766); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14764, BgL_arg4071z00_14765); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14767;
BgL_____rz00_14767 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12200, BgL_nsz00_14762, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5135z00_26790;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14768;
BgL_arg4070z00_14768 = 
BGL_EXITD_PROTECT(BgL_ez00_14764); 
BgL_test5135z00_26790 = 
PAIRP(BgL_arg4070z00_14768); } 
if(BgL_test5135z00_26790)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14769;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14770;
BgL_arg4069z00_14770 = 
BGL_EXITD_PROTECT(BgL_ez00_14764); 
BgL_arg4068z00_14769 = 
CDR(
((obj_t)BgL_arg4069z00_14770)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14764, BgL_arg4068z00_14769); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14763, BgL_sz00_14751); 
return BgL_____rz00_14767;} } } } } } } } 

}



/* &run4265 */
obj_t BGl_z62run4265z62zz__evaluate_compz00(obj_t BgL_envz00_12204, obj_t BgL_sz00_12207)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12205; obj_t BgL_bodyz00_12206;
BgL_i1252z00_12205 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12204, 
(int)(((long)0)))); 
BgL_bodyz00_12206 = 
PROCEDURE_REF(BgL_envz00_12204, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14771;
BgL_bpz00_14771 = 
VECTOR_REF(
((obj_t)BgL_sz00_12207),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14772; obj_t BgL_wherez00_14773; obj_t BgL_locz00_14774;
BgL_z12denvz12_14772 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14773 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12205))->BgL_wherez00); 
BgL_locz00_14774 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12205))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14772, BgL_wherez00_14773, BgL_locz00_14774); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14775;
BgL_za2za2resza2za2z00_14775 = 
PROCEDURE_ENTRY(BgL_bodyz00_12206)(BgL_bodyz00_12206, BgL_sz00_12207, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14772); 
return BgL_za2za2resza2za2z00_14775;} } } } } } 

}



/* &<@anonymous:3380> */
obj_t BGl_z62zc3z04anonymousza33380ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12208, obj_t BgL_sz00_12213)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12209; BgL_ev_absz00_bglt BgL_i1252z00_12210; obj_t BgL_bodyz00_12211; long BgL_siza7ezd2framez75_12212;
BgL_iboxesz00_12209 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)0)))); 
BgL_i1252z00_12210 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)1)))); 
BgL_bodyz00_12211 = 
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12212 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12208, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14776;
BgL_bpz00_14776 = 
VECTOR_REF(
((obj_t)BgL_sz00_12213),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14777;
BgL_runz00_14777 = 
MAKE_FX_PROCEDURE(BGl_z62run4267z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14777, 
(int)(((long)0)), BgL_iboxesz00_12209); 
PROCEDURE_SET(BgL_runz00_14777, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12210)); 
PROCEDURE_SET(BgL_runz00_14777, 
(int)(((long)2)), BgL_bodyz00_12211); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14778;
BgL_mainz00_14778 = 
MAKE_FX_PROCEDURE(BGl_z62main4266z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14778, 
(int)(((long)0)), BgL_iboxesz00_12209); 
PROCEDURE_SET(BgL_mainz00_14778, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12210)); 
PROCEDURE_SET(BgL_mainz00_14778, 
(int)(((long)2)), BgL_bodyz00_12211); 
PROCEDURE_SET(BgL_mainz00_14778, 
(int)(((long)3)), BgL_runz00_14777); 
PROCEDURE_SET(BgL_mainz00_14778, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12212)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14779;
BgL_objz00_14779 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14777, BgL_objz00_14779); BgL_objz00_14779; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3381z00_14780;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3382z00_14781;
BgL_arg3382z00_14781 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12210))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14782;
BgL_newz00_14782 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26856;
BgL_tmpz00_26856 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14782, BgL_tmpz00_26856, BgL_arg3382z00_14781); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26861; int BgL_tmpz00_26859;
BgL_auxz00_26861 = 
BINT(BgL_siza7ezd2framez75_12212); 
BgL_tmpz00_26859 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14782, BgL_tmpz00_26859, BgL_auxz00_26861); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26864;
BgL_tmpz00_26864 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14782, BgL_tmpz00_26864, BgL_runz00_14777); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_26869; int BgL_tmpz00_26867;
BgL_auxz00_26869 = 
BINT(((long)2)); 
BgL_tmpz00_26867 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14782, BgL_tmpz00_26867, BgL_auxz00_26869); } 
BgL_arg3381z00_14780 = BgL_newz00_14782; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14778, BgL_arg3381z00_14780); BgL_arg3381z00_14780; } 
return BgL_mainz00_14778;} } } } } } 

}



/* &main4266 */
obj_t BGl_z62main4266z62zz__evaluate_compz00(obj_t BgL_envz00_12214, obj_t BgL_cz00_12220, obj_t BgL_dz00_12221)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12218; long BgL_siza7ezd2framez75_12219;
BgL_runz00_12218 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12214, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12219 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12214, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14783;
BgL_sz00_14783 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14784;
BgL_bpz00_14784 = 
VECTOR_REF(
((obj_t)BgL_sz00_14783),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14783, BgL_bpz00_14784, 
BINT(BgL_siza7ezd2framez75_12219)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3385z00_14785;
BgL_arg3385z00_14785 = 
(
(long)CINT(BgL_bpz00_14784)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14783),BgL_arg3385z00_14785,BgL_cz00_12220); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3386z00_14786;
BgL_arg3386z00_14786 = 
(
(long)CINT(BgL_bpz00_14784)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14783),BgL_arg3386z00_14786,BgL_dz00_12221); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14787;
BgL_ez00_14787 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14788;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14789;
BgL_arg4072z00_14789 = 
BGL_EXITD_PROTECT(BgL_ez00_14787); 
BgL_arg4071z00_14788 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14784, BgL_arg4072z00_14789); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14787, BgL_arg4071z00_14788); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14790;
BgL_accz00_14790 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12218, BgL_sz00_14783, BgL_bpz00_14784); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5137z00_26898;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14791;
BgL_arg4070z00_14791 = 
BGL_EXITD_PROTECT(BgL_ez00_14787); 
BgL_test5137z00_26898 = 
PAIRP(BgL_arg4070z00_14791); } 
if(BgL_test5137z00_26898)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14792;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14793;
BgL_arg4069z00_14793 = 
BGL_EXITD_PROTECT(BgL_ez00_14787); 
BgL_arg4068z00_14792 = 
CDR(
((obj_t)BgL_arg4069z00_14793)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14787, BgL_arg4068z00_14792); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14783),((long)0),BgL_bpz00_14784); 
return BgL_accz00_14790;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14794;
BgL_nsz00_14794 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14794,((long)1),BgL_sz00_14783); 
VECTOR_SET(BgL_nsz00_14794,((long)2),BgL_cz00_12220); 
VECTOR_SET(BgL_nsz00_14794,((long)3),BgL_dz00_12221); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14795;
BgL_z12denvz12_14795 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14795, BgL_nsz00_14794); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14796;
BgL_ez00_14796 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14797;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14798;
BgL_arg4072z00_14798 = 
BGL_EXITD_PROTECT(BgL_ez00_14796); 
BgL_arg4071z00_14797 = 
MAKE_YOUNG_PAIR(BgL_sz00_14783, BgL_arg4072z00_14798); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14796, BgL_arg4071z00_14797); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14799;
BgL_____rz00_14799 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12218, BgL_nsz00_14794, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5138z00_26919;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14800;
BgL_arg4070z00_14800 = 
BGL_EXITD_PROTECT(BgL_ez00_14796); 
BgL_test5138z00_26919 = 
PAIRP(BgL_arg4070z00_14800); } 
if(BgL_test5138z00_26919)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14801;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14802;
BgL_arg4069z00_14802 = 
BGL_EXITD_PROTECT(BgL_ez00_14796); 
BgL_arg4068z00_14801 = 
CDR(
((obj_t)BgL_arg4069z00_14802)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14796, BgL_arg4068z00_14801); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14795, BgL_sz00_14783); 
return BgL_____rz00_14799;} } } } } } } } 

}



/* &run4267 */
obj_t BGl_z62run4267z62zz__evaluate_compz00(obj_t BgL_envz00_12222, obj_t BgL_sz00_12226)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12223; BgL_ev_absz00_bglt BgL_i1252z00_12224; obj_t BgL_bodyz00_12225;
BgL_iboxesz00_12223 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12222, 
(int)(((long)0)))); 
BgL_i1252z00_12224 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12222, 
(int)(((long)1)))); 
BgL_bodyz00_12225 = 
PROCEDURE_REF(BgL_envz00_12222, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14803;
BgL_bpz00_14803 = 
VECTOR_REF(
((obj_t)BgL_sz00_12226),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12226, BgL_iboxesz00_12223, BgL_bpz00_14803); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14804; obj_t BgL_wherez00_14805; obj_t BgL_locz00_14806;
BgL_z12denvz12_14804 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14805 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12224))->BgL_wherez00); 
BgL_locz00_14806 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12224))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14804, BgL_wherez00_14805, BgL_locz00_14806); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14807;
BgL_za2za2resza2za2z00_14807 = 
PROCEDURE_ENTRY(BgL_bodyz00_12225)(BgL_bodyz00_12225, BgL_sz00_12226, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14804); 
return BgL_za2za2resza2za2z00_14807;} } } } } } 

}



/* &<@anonymous:3391> */
obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12227, obj_t BgL_sz00_12233)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12228; long BgL_siza7eza7_12229; BgL_ev_absz00_bglt BgL_i1252z00_12230; obj_t BgL_bodyz00_12231; long BgL_siza7ezd2framez75_12232;
BgL_ifreesz00_12228 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)0)))); 
BgL_siza7eza7_12229 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)1)))); 
BgL_i1252z00_12230 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)2)))); 
BgL_bodyz00_12231 = 
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12232 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14808;
BgL_bpz00_14808 = 
VECTOR_REF(
((obj_t)BgL_sz00_12233),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14809;
BgL_valza2za2_14809 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12233, BgL_bpz00_14808, BgL_ifreesz00_12228); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14810;
BgL_runz00_14810 = 
MAKE_FX_PROCEDURE(BGl_z62run4269z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14810, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12229)); 
PROCEDURE_SET(BgL_runz00_14810, 
(int)(((long)1)), BgL_valza2za2_14809); 
PROCEDURE_SET(BgL_runz00_14810, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12230)); 
PROCEDURE_SET(BgL_runz00_14810, 
(int)(((long)3)), BgL_bodyz00_12231); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14811;
BgL_mainz00_14811 = 
MAKE_FX_PROCEDURE(BGl_z62main4268z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12229)); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)1)), BgL_valza2za2_14809); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12230)); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)3)), BgL_bodyz00_12231); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)4)), BgL_runz00_14810); 
PROCEDURE_SET(BgL_mainz00_14811, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12232)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14812;
BgL_objz00_14812 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14810, BgL_objz00_14812); BgL_objz00_14812; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3392z00_14813;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3393z00_14814;
BgL_arg3393z00_14814 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12230))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14815;
BgL_newz00_14815 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_26999;
BgL_tmpz00_26999 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14815, BgL_tmpz00_26999, BgL_arg3393z00_14814); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27004; int BgL_tmpz00_27002;
BgL_auxz00_27004 = 
BINT(BgL_siza7ezd2framez75_12232); 
BgL_tmpz00_27002 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14815, BgL_tmpz00_27002, BgL_auxz00_27004); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27007;
BgL_tmpz00_27007 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14815, BgL_tmpz00_27007, BgL_runz00_14810); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27012; int BgL_tmpz00_27010;
BgL_auxz00_27012 = 
BINT(((long)2)); 
BgL_tmpz00_27010 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14815, BgL_tmpz00_27010, BgL_auxz00_27012); } 
BgL_arg3392z00_14813 = BgL_newz00_14815; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14811, BgL_arg3392z00_14813); BgL_arg3392z00_14813; } 
return BgL_mainz00_14811;} } } } } } 

}



/* &main4268 */
obj_t BGl_z62main4268z62zz__evaluate_compz00(obj_t BgL_envz00_12234, obj_t BgL_cz00_12241, obj_t BgL_dz00_12242)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12239; long BgL_siza7ezd2framez75_12240;
BgL_runz00_12239 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12240 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12234, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14816;
BgL_sz00_14816 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14817;
BgL_bpz00_14817 = 
VECTOR_REF(
((obj_t)BgL_sz00_14816),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14816, BgL_bpz00_14817, 
BINT(BgL_siza7ezd2framez75_12240)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3396z00_14818;
BgL_arg3396z00_14818 = 
(
(long)CINT(BgL_bpz00_14817)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14816),BgL_arg3396z00_14818,BgL_cz00_12241); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3397z00_14819;
BgL_arg3397z00_14819 = 
(
(long)CINT(BgL_bpz00_14817)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14816),BgL_arg3397z00_14819,BgL_dz00_12242); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14820;
BgL_ez00_14820 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14821;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14822;
BgL_arg4072z00_14822 = 
BGL_EXITD_PROTECT(BgL_ez00_14820); 
BgL_arg4071z00_14821 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14817, BgL_arg4072z00_14822); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14820, BgL_arg4071z00_14821); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14823;
BgL_accz00_14823 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12239, BgL_sz00_14816, BgL_bpz00_14817); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5140z00_27041;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14824;
BgL_arg4070z00_14824 = 
BGL_EXITD_PROTECT(BgL_ez00_14820); 
BgL_test5140z00_27041 = 
PAIRP(BgL_arg4070z00_14824); } 
if(BgL_test5140z00_27041)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14825;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14826;
BgL_arg4069z00_14826 = 
BGL_EXITD_PROTECT(BgL_ez00_14820); 
BgL_arg4068z00_14825 = 
CDR(
((obj_t)BgL_arg4069z00_14826)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14820, BgL_arg4068z00_14825); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14816),((long)0),BgL_bpz00_14817); 
return BgL_accz00_14823;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14827;
BgL_nsz00_14827 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14827,((long)1),BgL_sz00_14816); 
VECTOR_SET(BgL_nsz00_14827,((long)2),BgL_cz00_12241); 
VECTOR_SET(BgL_nsz00_14827,((long)3),BgL_dz00_12242); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14828;
BgL_z12denvz12_14828 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14828, BgL_nsz00_14827); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14829;
BgL_ez00_14829 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14830;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14831;
BgL_arg4072z00_14831 = 
BGL_EXITD_PROTECT(BgL_ez00_14829); 
BgL_arg4071z00_14830 = 
MAKE_YOUNG_PAIR(BgL_sz00_14816, BgL_arg4072z00_14831); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14829, BgL_arg4071z00_14830); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14832;
BgL_____rz00_14832 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12239, BgL_nsz00_14827, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5141z00_27062;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14833;
BgL_arg4070z00_14833 = 
BGL_EXITD_PROTECT(BgL_ez00_14829); 
BgL_test5141z00_27062 = 
PAIRP(BgL_arg4070z00_14833); } 
if(BgL_test5141z00_27062)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14834;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14835;
BgL_arg4069z00_14835 = 
BGL_EXITD_PROTECT(BgL_ez00_14829); 
BgL_arg4068z00_14834 = 
CDR(
((obj_t)BgL_arg4069z00_14835)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14829, BgL_arg4068z00_14834); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14828, BgL_sz00_14816); 
return BgL_____rz00_14832;} } } } } } } } 

}



/* &run4269 */
obj_t BGl_z62run4269z62zz__evaluate_compz00(obj_t BgL_envz00_12243, obj_t BgL_sz00_12248)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12244; obj_t BgL_valza2za2_12245; BgL_ev_absz00_bglt BgL_i1252z00_12246; obj_t BgL_bodyz00_12247;
BgL_siza7eza7_12244 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)0)))); 
BgL_valza2za2_12245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)1)))); 
BgL_i1252z00_12246 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)2)))); 
BgL_bodyz00_12247 = 
PROCEDURE_REF(BgL_envz00_12243, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14836;
BgL_bpz00_14836 = 
VECTOR_REF(
((obj_t)BgL_sz00_12248),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12248, BgL_valza2za2_12245, 
(
(long)CINT(BgL_bpz00_14836)+BgL_siza7eza7_12244)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14837; obj_t BgL_wherez00_14838; obj_t BgL_locz00_14839;
BgL_z12denvz12_14837 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14838 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12246))->BgL_wherez00); 
BgL_locz00_14839 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12246))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14837, BgL_wherez00_14838, BgL_locz00_14839); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14840;
BgL_za2za2resza2za2z00_14840 = 
PROCEDURE_ENTRY(BgL_bodyz00_12247)(BgL_bodyz00_12247, BgL_sz00_12248, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14837); 
return BgL_za2za2resza2za2z00_14840;} } } } } } 

}



/* &<@anonymous:3400> */
obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12249, obj_t BgL_sz00_12256)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12250; obj_t BgL_iboxesz00_12251; long BgL_siza7eza7_12252; BgL_ev_absz00_bglt BgL_i1252z00_12253; obj_t BgL_bodyz00_12254; long BgL_siza7ezd2framez75_12255;
BgL_ifreesz00_12250 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)0)))); 
BgL_iboxesz00_12251 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)1)))); 
BgL_siza7eza7_12252 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)2)))); 
BgL_i1252z00_12253 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)3)))); 
BgL_bodyz00_12254 = 
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12255 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12249, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14841;
BgL_bpz00_14841 = 
VECTOR_REF(
((obj_t)BgL_sz00_12256),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14842;
BgL_valza2za2_14842 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12256, BgL_bpz00_14841, BgL_ifreesz00_12250); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14843;
BgL_runz00_14843 = 
MAKE_FX_PROCEDURE(BGl_z62run4271z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14843, 
(int)(((long)0)), BgL_iboxesz00_12251); 
PROCEDURE_SET(BgL_runz00_14843, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12252)); 
PROCEDURE_SET(BgL_runz00_14843, 
(int)(((long)2)), BgL_valza2za2_14842); 
PROCEDURE_SET(BgL_runz00_14843, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12253)); 
PROCEDURE_SET(BgL_runz00_14843, 
(int)(((long)4)), BgL_bodyz00_12254); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14844;
BgL_mainz00_14844 = 
MAKE_FX_PROCEDURE(BGl_z62main4270z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)0)), BgL_iboxesz00_12251); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12252)); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)2)), BgL_valza2za2_14842); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12253)); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)4)), BgL_bodyz00_12254); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)5)), BgL_runz00_14843); 
PROCEDURE_SET(BgL_mainz00_14844, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12255)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14845;
BgL_objz00_14845 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14843, BgL_objz00_14845); BgL_objz00_14845; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3401z00_14846;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3402z00_14847;
BgL_arg3402z00_14847 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12253))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14848;
BgL_newz00_14848 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27154;
BgL_tmpz00_27154 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14848, BgL_tmpz00_27154, BgL_arg3402z00_14847); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27159; int BgL_tmpz00_27157;
BgL_auxz00_27159 = 
BINT(BgL_siza7ezd2framez75_12255); 
BgL_tmpz00_27157 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14848, BgL_tmpz00_27157, BgL_auxz00_27159); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27162;
BgL_tmpz00_27162 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14848, BgL_tmpz00_27162, BgL_runz00_14843); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27167; int BgL_tmpz00_27165;
BgL_auxz00_27167 = 
BINT(((long)2)); 
BgL_tmpz00_27165 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14848, BgL_tmpz00_27165, BgL_auxz00_27167); } 
BgL_arg3401z00_14846 = BgL_newz00_14848; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14844, BgL_arg3401z00_14846); BgL_arg3401z00_14846; } 
return BgL_mainz00_14844;} } } } } } 

}



/* &main4270 */
obj_t BGl_z62main4270z62zz__evaluate_compz00(obj_t BgL_envz00_12257, obj_t BgL_cz00_12265, obj_t BgL_dz00_12266)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12263; long BgL_siza7ezd2framez75_12264;
BgL_runz00_12263 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12264 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14849;
BgL_sz00_14849 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14850;
BgL_bpz00_14850 = 
VECTOR_REF(
((obj_t)BgL_sz00_14849),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14849, BgL_bpz00_14850, 
BINT(BgL_siza7ezd2framez75_12264)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3405z00_14851;
BgL_arg3405z00_14851 = 
(
(long)CINT(BgL_bpz00_14850)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14849),BgL_arg3405z00_14851,BgL_cz00_12265); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3406z00_14852;
BgL_arg3406z00_14852 = 
(
(long)CINT(BgL_bpz00_14850)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14849),BgL_arg3406z00_14852,BgL_dz00_12266); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14853;
BgL_ez00_14853 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14854;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14855;
BgL_arg4072z00_14855 = 
BGL_EXITD_PROTECT(BgL_ez00_14853); 
BgL_arg4071z00_14854 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14850, BgL_arg4072z00_14855); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14853, BgL_arg4071z00_14854); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14856;
BgL_accz00_14856 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12263, BgL_sz00_14849, BgL_bpz00_14850); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5143z00_27196;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14857;
BgL_arg4070z00_14857 = 
BGL_EXITD_PROTECT(BgL_ez00_14853); 
BgL_test5143z00_27196 = 
PAIRP(BgL_arg4070z00_14857); } 
if(BgL_test5143z00_27196)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14858;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14859;
BgL_arg4069z00_14859 = 
BGL_EXITD_PROTECT(BgL_ez00_14853); 
BgL_arg4068z00_14858 = 
CDR(
((obj_t)BgL_arg4069z00_14859)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14853, BgL_arg4068z00_14858); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14849),((long)0),BgL_bpz00_14850); 
return BgL_accz00_14856;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14860;
BgL_nsz00_14860 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14860,((long)1),BgL_sz00_14849); 
VECTOR_SET(BgL_nsz00_14860,((long)2),BgL_cz00_12265); 
VECTOR_SET(BgL_nsz00_14860,((long)3),BgL_dz00_12266); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14861;
BgL_z12denvz12_14861 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14861, BgL_nsz00_14860); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14862;
BgL_ez00_14862 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14863;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14864;
BgL_arg4072z00_14864 = 
BGL_EXITD_PROTECT(BgL_ez00_14862); 
BgL_arg4071z00_14863 = 
MAKE_YOUNG_PAIR(BgL_sz00_14849, BgL_arg4072z00_14864); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14862, BgL_arg4071z00_14863); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14865;
BgL_____rz00_14865 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12263, BgL_nsz00_14860, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5144z00_27217;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14866;
BgL_arg4070z00_14866 = 
BGL_EXITD_PROTECT(BgL_ez00_14862); 
BgL_test5144z00_27217 = 
PAIRP(BgL_arg4070z00_14866); } 
if(BgL_test5144z00_27217)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14867;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14868;
BgL_arg4069z00_14868 = 
BGL_EXITD_PROTECT(BgL_ez00_14862); 
BgL_arg4068z00_14867 = 
CDR(
((obj_t)BgL_arg4069z00_14868)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14862, BgL_arg4068z00_14867); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14861, BgL_sz00_14849); 
return BgL_____rz00_14865;} } } } } } } } 

}



/* &run4271 */
obj_t BGl_z62run4271z62zz__evaluate_compz00(obj_t BgL_envz00_12267, obj_t BgL_sz00_12273)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12268; long BgL_siza7eza7_12269; obj_t BgL_valza2za2_12270; BgL_ev_absz00_bglt BgL_i1252z00_12271; obj_t BgL_bodyz00_12272;
BgL_iboxesz00_12268 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)0)))); 
BgL_siza7eza7_12269 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)1)))); 
BgL_valza2za2_12270 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)2)))); 
BgL_i1252z00_12271 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)3)))); 
BgL_bodyz00_12272 = 
PROCEDURE_REF(BgL_envz00_12267, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14869;
BgL_bpz00_14869 = 
VECTOR_REF(
((obj_t)BgL_sz00_12273),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12273, BgL_iboxesz00_12268, BgL_bpz00_14869); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12273, BgL_valza2za2_12270, 
(
(long)CINT(BgL_bpz00_14869)+BgL_siza7eza7_12269)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14870; obj_t BgL_wherez00_14871; obj_t BgL_locz00_14872;
BgL_z12denvz12_14870 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14871 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12271))->BgL_wherez00); 
BgL_locz00_14872 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12271))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14870, BgL_wherez00_14871, BgL_locz00_14872); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14873;
BgL_za2za2resza2za2z00_14873 = 
PROCEDURE_ENTRY(BgL_bodyz00_12272)(BgL_bodyz00_12272, BgL_sz00_12273, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14870); 
return BgL_za2za2resza2za2z00_14873;} } } } } } 

}



/* &<@anonymous:3329> */
obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12274, obj_t BgL_sz00_12278)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12275; obj_t BgL_bodyz00_12276; long BgL_siza7ezd2framez75_12277;
BgL_i1252z00_12275 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12274, 
(int)(((long)0)))); 
BgL_bodyz00_12276 = 
PROCEDURE_REF(BgL_envz00_12274, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12277 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12274, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14874;
BgL_bpz00_14874 = 
VECTOR_REF(
((obj_t)BgL_sz00_12278),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14875;
BgL_runz00_14875 = 
MAKE_FX_PROCEDURE(BGl_z62run4273z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14875, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12275)); 
PROCEDURE_SET(BgL_runz00_14875, 
(int)(((long)1)), BgL_bodyz00_12276); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14876;
BgL_mainz00_14876 = 
MAKE_VA_PROCEDURE(BGl_z62main4272z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14876, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12275)); 
PROCEDURE_SET(BgL_mainz00_14876, 
(int)(((long)1)), BgL_bodyz00_12276); 
PROCEDURE_SET(BgL_mainz00_14876, 
(int)(((long)2)), BgL_runz00_14875); 
PROCEDURE_SET(BgL_mainz00_14876, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12277)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14877;
BgL_objz00_14877 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14875, BgL_objz00_14877); BgL_objz00_14877; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3330z00_14878;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3331z00_14879;
BgL_arg3331z00_14879 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12275))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14880;
BgL_newz00_14880 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27289;
BgL_tmpz00_27289 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14880, BgL_tmpz00_27289, BgL_arg3331z00_14879); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27294; int BgL_tmpz00_27292;
BgL_auxz00_27294 = 
BINT(BgL_siza7ezd2framez75_12277); 
BgL_tmpz00_27292 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14880, BgL_tmpz00_27292, BgL_auxz00_27294); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27297;
BgL_tmpz00_27297 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14880, BgL_tmpz00_27297, BgL_runz00_14875); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27302; int BgL_tmpz00_27300;
BgL_auxz00_27302 = 
BINT(((long)-2)); 
BgL_tmpz00_27300 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14880, BgL_tmpz00_27300, BgL_auxz00_27302); } 
BgL_arg3330z00_14878 = BgL_newz00_14880; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14876, BgL_arg3330z00_14878); BgL_arg3330z00_14878; } 
return BgL_mainz00_14876;} } } } } } 

}



/* &main4272 */
obj_t BGl_z62main4272z62zz__evaluate_compz00(obj_t BgL_envz00_12279, obj_t BgL_dz00_12284, obj_t BgL_lastz00_12285)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12282; long BgL_siza7ezd2framez75_12283;
BgL_runz00_12282 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12283 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12279, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14881;
BgL_sz00_14881 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14882;
BgL_bpz00_14882 = 
VECTOR_REF(
((obj_t)BgL_sz00_14881),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14881, BgL_bpz00_14882, 
BINT(BgL_siza7ezd2framez75_12283)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3334z00_14883;
BgL_arg3334z00_14883 = 
(
(long)CINT(BgL_bpz00_14882)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14881),BgL_arg3334z00_14883,BgL_dz00_12284); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3335z00_14884;
BgL_arg3335z00_14884 = 
(
(long)CINT(BgL_bpz00_14882)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14881),BgL_arg3335z00_14884,BgL_lastz00_12285); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14885;
BgL_ez00_14885 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14886;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14887;
BgL_arg4072z00_14887 = 
BGL_EXITD_PROTECT(BgL_ez00_14885); 
BgL_arg4071z00_14886 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14882, BgL_arg4072z00_14887); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14885, BgL_arg4071z00_14886); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14888;
BgL_accz00_14888 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12282, BgL_sz00_14881, BgL_bpz00_14882); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5146z00_27331;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14889;
BgL_arg4070z00_14889 = 
BGL_EXITD_PROTECT(BgL_ez00_14885); 
BgL_test5146z00_27331 = 
PAIRP(BgL_arg4070z00_14889); } 
if(BgL_test5146z00_27331)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14890;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14891;
BgL_arg4069z00_14891 = 
BGL_EXITD_PROTECT(BgL_ez00_14885); 
BgL_arg4068z00_14890 = 
CDR(
((obj_t)BgL_arg4069z00_14891)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14885, BgL_arg4068z00_14890); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14881),((long)0),BgL_bpz00_14882); 
return BgL_accz00_14888;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14892;
BgL_nsz00_14892 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14892,((long)1),BgL_sz00_14881); 
VECTOR_SET(BgL_nsz00_14892,((long)2),BgL_dz00_12284); 
VECTOR_SET(BgL_nsz00_14892,((long)3),BgL_lastz00_12285); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14893;
BgL_z12denvz12_14893 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14893, BgL_nsz00_14892); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14894;
BgL_ez00_14894 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14895;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14896;
BgL_arg4072z00_14896 = 
BGL_EXITD_PROTECT(BgL_ez00_14894); 
BgL_arg4071z00_14895 = 
MAKE_YOUNG_PAIR(BgL_sz00_14881, BgL_arg4072z00_14896); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14894, BgL_arg4071z00_14895); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14897;
BgL_____rz00_14897 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12282, BgL_nsz00_14892, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5147z00_27352;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14898;
BgL_arg4070z00_14898 = 
BGL_EXITD_PROTECT(BgL_ez00_14894); 
BgL_test5147z00_27352 = 
PAIRP(BgL_arg4070z00_14898); } 
if(BgL_test5147z00_27352)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14899;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14900;
BgL_arg4069z00_14900 = 
BGL_EXITD_PROTECT(BgL_ez00_14894); 
BgL_arg4068z00_14899 = 
CDR(
((obj_t)BgL_arg4069z00_14900)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14894, BgL_arg4068z00_14899); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14893, BgL_sz00_14881); 
return BgL_____rz00_14897;} } } } } } } } 

}



/* &run4273 */
obj_t BGl_z62run4273z62zz__evaluate_compz00(obj_t BgL_envz00_12286, obj_t BgL_sz00_12289)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12287; obj_t BgL_bodyz00_12288;
BgL_i1252z00_12287 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12286, 
(int)(((long)0)))); 
BgL_bodyz00_12288 = 
PROCEDURE_REF(BgL_envz00_12286, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14901;
BgL_bpz00_14901 = 
VECTOR_REF(
((obj_t)BgL_sz00_12289),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14902; obj_t BgL_wherez00_14903; obj_t BgL_locz00_14904;
BgL_z12denvz12_14902 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14903 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12287))->BgL_wherez00); 
BgL_locz00_14904 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12287))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14902, BgL_wherez00_14903, BgL_locz00_14904); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14905;
BgL_za2za2resza2za2z00_14905 = 
PROCEDURE_ENTRY(BgL_bodyz00_12288)(BgL_bodyz00_12288, BgL_sz00_12289, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14902); 
return BgL_za2za2resza2za2z00_14905;} } } } } } 

}



/* &<@anonymous:3337> */
obj_t BGl_z62zc3z04anonymousza33337ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12290, obj_t BgL_sz00_12295)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12291; BgL_ev_absz00_bglt BgL_i1252z00_12292; obj_t BgL_bodyz00_12293; long BgL_siza7ezd2framez75_12294;
BgL_iboxesz00_12291 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)0)))); 
BgL_i1252z00_12292 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)1)))); 
BgL_bodyz00_12293 = 
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12294 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14906;
BgL_bpz00_14906 = 
VECTOR_REF(
((obj_t)BgL_sz00_12295),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14907;
BgL_runz00_14907 = 
MAKE_FX_PROCEDURE(BGl_z62run4275z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14907, 
(int)(((long)0)), BgL_iboxesz00_12291); 
PROCEDURE_SET(BgL_runz00_14907, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12292)); 
PROCEDURE_SET(BgL_runz00_14907, 
(int)(((long)2)), BgL_bodyz00_12293); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14908;
BgL_mainz00_14908 = 
MAKE_VA_PROCEDURE(BGl_z62main4274z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14908, 
(int)(((long)0)), BgL_iboxesz00_12291); 
PROCEDURE_SET(BgL_mainz00_14908, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12292)); 
PROCEDURE_SET(BgL_mainz00_14908, 
(int)(((long)2)), BgL_bodyz00_12293); 
PROCEDURE_SET(BgL_mainz00_14908, 
(int)(((long)3)), BgL_runz00_14907); 
PROCEDURE_SET(BgL_mainz00_14908, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12294)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14909;
BgL_objz00_14909 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14907, BgL_objz00_14909); BgL_objz00_14909; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3338z00_14910;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3339z00_14911;
BgL_arg3339z00_14911 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12292))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14912;
BgL_newz00_14912 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27418;
BgL_tmpz00_27418 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14912, BgL_tmpz00_27418, BgL_arg3339z00_14911); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27423; int BgL_tmpz00_27421;
BgL_auxz00_27423 = 
BINT(BgL_siza7ezd2framez75_12294); 
BgL_tmpz00_27421 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14912, BgL_tmpz00_27421, BgL_auxz00_27423); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27426;
BgL_tmpz00_27426 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14912, BgL_tmpz00_27426, BgL_runz00_14907); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27431; int BgL_tmpz00_27429;
BgL_auxz00_27431 = 
BINT(((long)-2)); 
BgL_tmpz00_27429 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14912, BgL_tmpz00_27429, BgL_auxz00_27431); } 
BgL_arg3338z00_14910 = BgL_newz00_14912; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14908, BgL_arg3338z00_14910); BgL_arg3338z00_14910; } 
return BgL_mainz00_14908;} } } } } } 

}



/* &main4274 */
obj_t BGl_z62main4274z62zz__evaluate_compz00(obj_t BgL_envz00_12296, obj_t BgL_dz00_12302, obj_t BgL_lastz00_12303)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12300; long BgL_siza7ezd2framez75_12301;
BgL_runz00_12300 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12296, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12301 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12296, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14913;
BgL_sz00_14913 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14914;
BgL_bpz00_14914 = 
VECTOR_REF(
((obj_t)BgL_sz00_14913),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14913, BgL_bpz00_14914, 
BINT(BgL_siza7ezd2framez75_12301)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3342z00_14915;
BgL_arg3342z00_14915 = 
(
(long)CINT(BgL_bpz00_14914)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14913),BgL_arg3342z00_14915,BgL_dz00_12302); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3343z00_14916;
BgL_arg3343z00_14916 = 
(
(long)CINT(BgL_bpz00_14914)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14913),BgL_arg3343z00_14916,BgL_lastz00_12303); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14917;
BgL_ez00_14917 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14918;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14919;
BgL_arg4072z00_14919 = 
BGL_EXITD_PROTECT(BgL_ez00_14917); 
BgL_arg4071z00_14918 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14914, BgL_arg4072z00_14919); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14917, BgL_arg4071z00_14918); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14920;
BgL_accz00_14920 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12300, BgL_sz00_14913, BgL_bpz00_14914); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5149z00_27460;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14921;
BgL_arg4070z00_14921 = 
BGL_EXITD_PROTECT(BgL_ez00_14917); 
BgL_test5149z00_27460 = 
PAIRP(BgL_arg4070z00_14921); } 
if(BgL_test5149z00_27460)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14922;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14923;
BgL_arg4069z00_14923 = 
BGL_EXITD_PROTECT(BgL_ez00_14917); 
BgL_arg4068z00_14922 = 
CDR(
((obj_t)BgL_arg4069z00_14923)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14917, BgL_arg4068z00_14922); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14913),((long)0),BgL_bpz00_14914); 
return BgL_accz00_14920;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14924;
BgL_nsz00_14924 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14924,((long)1),BgL_sz00_14913); 
VECTOR_SET(BgL_nsz00_14924,((long)2),BgL_dz00_12302); 
VECTOR_SET(BgL_nsz00_14924,((long)3),BgL_lastz00_12303); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14925;
BgL_z12denvz12_14925 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14925, BgL_nsz00_14924); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14926;
BgL_ez00_14926 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14927;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14928;
BgL_arg4072z00_14928 = 
BGL_EXITD_PROTECT(BgL_ez00_14926); 
BgL_arg4071z00_14927 = 
MAKE_YOUNG_PAIR(BgL_sz00_14913, BgL_arg4072z00_14928); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14926, BgL_arg4071z00_14927); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14929;
BgL_____rz00_14929 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12300, BgL_nsz00_14924, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5150z00_27481;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14930;
BgL_arg4070z00_14930 = 
BGL_EXITD_PROTECT(BgL_ez00_14926); 
BgL_test5150z00_27481 = 
PAIRP(BgL_arg4070z00_14930); } 
if(BgL_test5150z00_27481)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14931;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14932;
BgL_arg4069z00_14932 = 
BGL_EXITD_PROTECT(BgL_ez00_14926); 
BgL_arg4068z00_14931 = 
CDR(
((obj_t)BgL_arg4069z00_14932)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14926, BgL_arg4068z00_14931); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14925, BgL_sz00_14913); 
return BgL_____rz00_14929;} } } } } } } } 

}



/* &run4275 */
obj_t BGl_z62run4275z62zz__evaluate_compz00(obj_t BgL_envz00_12304, obj_t BgL_sz00_12308)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12305; BgL_ev_absz00_bglt BgL_i1252z00_12306; obj_t BgL_bodyz00_12307;
BgL_iboxesz00_12305 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12304, 
(int)(((long)0)))); 
BgL_i1252z00_12306 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12304, 
(int)(((long)1)))); 
BgL_bodyz00_12307 = 
PROCEDURE_REF(BgL_envz00_12304, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14933;
BgL_bpz00_14933 = 
VECTOR_REF(
((obj_t)BgL_sz00_12308),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12308, BgL_iboxesz00_12305, BgL_bpz00_14933); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14934; obj_t BgL_wherez00_14935; obj_t BgL_locz00_14936;
BgL_z12denvz12_14934 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14935 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12306))->BgL_wherez00); 
BgL_locz00_14936 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12306))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14934, BgL_wherez00_14935, BgL_locz00_14936); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_14937;
BgL_za2za2resza2za2z00_14937 = 
PROCEDURE_ENTRY(BgL_bodyz00_12307)(BgL_bodyz00_12307, BgL_sz00_12308, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14934); 
return BgL_za2za2resza2za2z00_14937;} } } } } } 

}



/* &<@anonymous:3348> */
obj_t BGl_z62zc3z04anonymousza33348ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12309, obj_t BgL_sz00_12315)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12310; long BgL_siza7eza7_12311; BgL_ev_absz00_bglt BgL_i1252z00_12312; obj_t BgL_bodyz00_12313; long BgL_siza7ezd2framez75_12314;
BgL_ifreesz00_12310 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12309, 
(int)(((long)0)))); 
BgL_siza7eza7_12311 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12309, 
(int)(((long)1)))); 
BgL_i1252z00_12312 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12309, 
(int)(((long)2)))); 
BgL_bodyz00_12313 = 
PROCEDURE_REF(BgL_envz00_12309, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12314 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12309, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14938;
BgL_bpz00_14938 = 
VECTOR_REF(
((obj_t)BgL_sz00_12315),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14939;
BgL_valza2za2_14939 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12315, BgL_bpz00_14938, BgL_ifreesz00_12310); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14940;
BgL_runz00_14940 = 
MAKE_FX_PROCEDURE(BGl_z62run4277z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14940, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12311)); 
PROCEDURE_SET(BgL_runz00_14940, 
(int)(((long)1)), BgL_valza2za2_14939); 
PROCEDURE_SET(BgL_runz00_14940, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12312)); 
PROCEDURE_SET(BgL_runz00_14940, 
(int)(((long)3)), BgL_bodyz00_12313); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14941;
BgL_mainz00_14941 = 
MAKE_VA_PROCEDURE(BGl_z62main4276z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12311)); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)1)), BgL_valza2za2_14939); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12312)); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)3)), BgL_bodyz00_12313); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)4)), BgL_runz00_14940); 
PROCEDURE_SET(BgL_mainz00_14941, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12314)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14942;
BgL_objz00_14942 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14940, BgL_objz00_14942); BgL_objz00_14942; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3349z00_14943;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3350z00_14944;
BgL_arg3350z00_14944 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12312))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14945;
BgL_newz00_14945 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27561;
BgL_tmpz00_27561 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14945, BgL_tmpz00_27561, BgL_arg3350z00_14944); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27566; int BgL_tmpz00_27564;
BgL_auxz00_27566 = 
BINT(BgL_siza7ezd2framez75_12314); 
BgL_tmpz00_27564 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14945, BgL_tmpz00_27564, BgL_auxz00_27566); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27569;
BgL_tmpz00_27569 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14945, BgL_tmpz00_27569, BgL_runz00_14940); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27574; int BgL_tmpz00_27572;
BgL_auxz00_27574 = 
BINT(((long)-2)); 
BgL_tmpz00_27572 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14945, BgL_tmpz00_27572, BgL_auxz00_27574); } 
BgL_arg3349z00_14943 = BgL_newz00_14945; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14941, BgL_arg3349z00_14943); BgL_arg3349z00_14943; } 
return BgL_mainz00_14941;} } } } } } 

}



/* &main4276 */
obj_t BGl_z62main4276z62zz__evaluate_compz00(obj_t BgL_envz00_12316, obj_t BgL_dz00_12323, obj_t BgL_lastz00_12324)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12321; long BgL_siza7ezd2framez75_12322;
BgL_runz00_12321 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12322 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14946;
BgL_sz00_14946 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14947;
BgL_bpz00_14947 = 
VECTOR_REF(
((obj_t)BgL_sz00_14946),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14946, BgL_bpz00_14947, 
BINT(BgL_siza7ezd2framez75_12322)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3353z00_14948;
BgL_arg3353z00_14948 = 
(
(long)CINT(BgL_bpz00_14947)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14946),BgL_arg3353z00_14948,BgL_dz00_12323); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3354z00_14949;
BgL_arg3354z00_14949 = 
(
(long)CINT(BgL_bpz00_14947)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14946),BgL_arg3354z00_14949,BgL_lastz00_12324); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14950;
BgL_ez00_14950 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14951;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14952;
BgL_arg4072z00_14952 = 
BGL_EXITD_PROTECT(BgL_ez00_14950); 
BgL_arg4071z00_14951 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14947, BgL_arg4072z00_14952); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14950, BgL_arg4071z00_14951); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14953;
BgL_accz00_14953 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12321, BgL_sz00_14946, BgL_bpz00_14947); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5152z00_27603;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14954;
BgL_arg4070z00_14954 = 
BGL_EXITD_PROTECT(BgL_ez00_14950); 
BgL_test5152z00_27603 = 
PAIRP(BgL_arg4070z00_14954); } 
if(BgL_test5152z00_27603)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14955;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14956;
BgL_arg4069z00_14956 = 
BGL_EXITD_PROTECT(BgL_ez00_14950); 
BgL_arg4068z00_14955 = 
CDR(
((obj_t)BgL_arg4069z00_14956)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14950, BgL_arg4068z00_14955); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14946),((long)0),BgL_bpz00_14947); 
return BgL_accz00_14953;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14957;
BgL_nsz00_14957 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14957,((long)1),BgL_sz00_14946); 
VECTOR_SET(BgL_nsz00_14957,((long)2),BgL_dz00_12323); 
VECTOR_SET(BgL_nsz00_14957,((long)3),BgL_lastz00_12324); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14958;
BgL_z12denvz12_14958 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14958, BgL_nsz00_14957); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14959;
BgL_ez00_14959 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14960;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14961;
BgL_arg4072z00_14961 = 
BGL_EXITD_PROTECT(BgL_ez00_14959); 
BgL_arg4071z00_14960 = 
MAKE_YOUNG_PAIR(BgL_sz00_14946, BgL_arg4072z00_14961); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14959, BgL_arg4071z00_14960); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14962;
BgL_____rz00_14962 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12321, BgL_nsz00_14957, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5153z00_27624;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14963;
BgL_arg4070z00_14963 = 
BGL_EXITD_PROTECT(BgL_ez00_14959); 
BgL_test5153z00_27624 = 
PAIRP(BgL_arg4070z00_14963); } 
if(BgL_test5153z00_27624)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14964;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14965;
BgL_arg4069z00_14965 = 
BGL_EXITD_PROTECT(BgL_ez00_14959); 
BgL_arg4068z00_14964 = 
CDR(
((obj_t)BgL_arg4069z00_14965)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14959, BgL_arg4068z00_14964); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14958, BgL_sz00_14946); 
return BgL_____rz00_14962;} } } } } } } } 

}



/* &run4277 */
obj_t BGl_z62run4277z62zz__evaluate_compz00(obj_t BgL_envz00_12325, obj_t BgL_sz00_12330)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12326; obj_t BgL_valza2za2_12327; BgL_ev_absz00_bglt BgL_i1252z00_12328; obj_t BgL_bodyz00_12329;
BgL_siza7eza7_12326 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)0)))); 
BgL_valza2za2_12327 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)1)))); 
BgL_i1252z00_12328 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)2)))); 
BgL_bodyz00_12329 = 
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14966;
BgL_bpz00_14966 = 
VECTOR_REF(
((obj_t)BgL_sz00_12330),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12330, BgL_valza2za2_12327, 
(
(long)CINT(BgL_bpz00_14966)+BgL_siza7eza7_12326)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_14967; obj_t BgL_wherez00_14968; obj_t BgL_locz00_14969;
BgL_z12denvz12_14967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14968 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12328))->BgL_wherez00); 
BgL_locz00_14969 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12328))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14967, BgL_wherez00_14968, BgL_locz00_14969); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_14970;
BgL_za2za2resza2za2z00_14970 = 
PROCEDURE_ENTRY(BgL_bodyz00_12329)(BgL_bodyz00_12329, BgL_sz00_12330, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14967); 
return BgL_za2za2resza2za2z00_14970;} } } } } } 

}



/* &<@anonymous:3357> */
obj_t BGl_z62zc3z04anonymousza33357ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12331, obj_t BgL_sz00_12338)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12332; obj_t BgL_iboxesz00_12333; long BgL_siza7eza7_12334; BgL_ev_absz00_bglt BgL_i1252z00_12335; obj_t BgL_bodyz00_12336; long BgL_siza7ezd2framez75_12337;
BgL_ifreesz00_12332 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)0)))); 
BgL_iboxesz00_12333 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)1)))); 
BgL_siza7eza7_12334 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)2)))); 
BgL_i1252z00_12335 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)3)))); 
BgL_bodyz00_12336 = 
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12337 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12331, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14971;
BgL_bpz00_14971 = 
VECTOR_REF(
((obj_t)BgL_sz00_12338),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_14972;
BgL_valza2za2_14972 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12338, BgL_bpz00_14971, BgL_ifreesz00_12332); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_14973;
BgL_runz00_14973 = 
MAKE_FX_PROCEDURE(BGl_z62run4279z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14973, 
(int)(((long)0)), BgL_iboxesz00_12333); 
PROCEDURE_SET(BgL_runz00_14973, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12334)); 
PROCEDURE_SET(BgL_runz00_14973, 
(int)(((long)2)), BgL_valza2za2_14972); 
PROCEDURE_SET(BgL_runz00_14973, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12335)); 
PROCEDURE_SET(BgL_runz00_14973, 
(int)(((long)4)), BgL_bodyz00_12336); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_14974;
BgL_mainz00_14974 = 
MAKE_VA_PROCEDURE(BGl_z62main4278z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)0)), BgL_iboxesz00_12333); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12334)); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)2)), BgL_valza2za2_14972); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12335)); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)4)), BgL_bodyz00_12336); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)5)), BgL_runz00_14973); 
PROCEDURE_SET(BgL_mainz00_14974, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12337)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_14975;
BgL_objz00_14975 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14973, BgL_objz00_14975); BgL_objz00_14975; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3358z00_14976;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3359z00_14977;
BgL_arg3359z00_14977 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12335))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_14978;
BgL_newz00_14978 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27716;
BgL_tmpz00_27716 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14978, BgL_tmpz00_27716, BgL_arg3359z00_14977); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27721; int BgL_tmpz00_27719;
BgL_auxz00_27721 = 
BINT(BgL_siza7ezd2framez75_12337); 
BgL_tmpz00_27719 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14978, BgL_tmpz00_27719, BgL_auxz00_27721); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27724;
BgL_tmpz00_27724 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14978, BgL_tmpz00_27724, BgL_runz00_14973); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27729; int BgL_tmpz00_27727;
BgL_auxz00_27729 = 
BINT(((long)-2)); 
BgL_tmpz00_27727 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14978, BgL_tmpz00_27727, BgL_auxz00_27729); } 
BgL_arg3358z00_14976 = BgL_newz00_14978; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14974, BgL_arg3358z00_14976); BgL_arg3358z00_14976; } 
return BgL_mainz00_14974;} } } } } } 

}



/* &main4278 */
obj_t BGl_z62main4278z62zz__evaluate_compz00(obj_t BgL_envz00_12339, obj_t BgL_dz00_12347, obj_t BgL_lastz00_12348)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12345; long BgL_siza7ezd2framez75_12346;
BgL_runz00_12345 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12339, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12346 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12339, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_14979;
BgL_sz00_14979 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14980;
BgL_bpz00_14980 = 
VECTOR_REF(
((obj_t)BgL_sz00_14979),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14979, BgL_bpz00_14980, 
BINT(BgL_siza7ezd2framez75_12346)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3362z00_14981;
BgL_arg3362z00_14981 = 
(
(long)CINT(BgL_bpz00_14980)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14979),BgL_arg3362z00_14981,BgL_dz00_12347); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3363z00_14982;
BgL_arg3363z00_14982 = 
(
(long)CINT(BgL_bpz00_14980)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14979),BgL_arg3363z00_14982,BgL_lastz00_12348); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14983;
BgL_ez00_14983 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14984;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14985;
BgL_arg4072z00_14985 = 
BGL_EXITD_PROTECT(BgL_ez00_14983); 
BgL_arg4071z00_14984 = 
MAKE_YOUNG_PAIR(BgL_bpz00_14980, BgL_arg4072z00_14985); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14983, BgL_arg4071z00_14984); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_14986;
BgL_accz00_14986 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12345, BgL_sz00_14979, BgL_bpz00_14980); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5155z00_27758;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14987;
BgL_arg4070z00_14987 = 
BGL_EXITD_PROTECT(BgL_ez00_14983); 
BgL_test5155z00_27758 = 
PAIRP(BgL_arg4070z00_14987); } 
if(BgL_test5155z00_27758)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14988;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14989;
BgL_arg4069z00_14989 = 
BGL_EXITD_PROTECT(BgL_ez00_14983); 
BgL_arg4068z00_14988 = 
CDR(
((obj_t)BgL_arg4069z00_14989)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14983, BgL_arg4068z00_14988); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_14979),((long)0),BgL_bpz00_14980); 
return BgL_accz00_14986;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_14990;
BgL_nsz00_14990 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14990,((long)1),BgL_sz00_14979); 
VECTOR_SET(BgL_nsz00_14990,((long)2),BgL_dz00_12347); 
VECTOR_SET(BgL_nsz00_14990,((long)3),BgL_lastz00_12348); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_14991;
BgL_z12denvz12_14991 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14991, BgL_nsz00_14990); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_14992;
BgL_ez00_14992 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_14993;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_14994;
BgL_arg4072z00_14994 = 
BGL_EXITD_PROTECT(BgL_ez00_14992); 
BgL_arg4071z00_14993 = 
MAKE_YOUNG_PAIR(BgL_sz00_14979, BgL_arg4072z00_14994); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14992, BgL_arg4071z00_14993); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_14995;
BgL_____rz00_14995 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12345, BgL_nsz00_14990, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5156z00_27779;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_14996;
BgL_arg4070z00_14996 = 
BGL_EXITD_PROTECT(BgL_ez00_14992); 
BgL_test5156z00_27779 = 
PAIRP(BgL_arg4070z00_14996); } 
if(BgL_test5156z00_27779)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_14997;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_14998;
BgL_arg4069z00_14998 = 
BGL_EXITD_PROTECT(BgL_ez00_14992); 
BgL_arg4068z00_14997 = 
CDR(
((obj_t)BgL_arg4069z00_14998)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_14992, BgL_arg4068z00_14997); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14991, BgL_sz00_14979); 
return BgL_____rz00_14995;} } } } } } } } 

}



/* &run4279 */
obj_t BGl_z62run4279z62zz__evaluate_compz00(obj_t BgL_envz00_12349, obj_t BgL_sz00_12355)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12350; long BgL_siza7eza7_12351; obj_t BgL_valza2za2_12352; BgL_ev_absz00_bglt BgL_i1252z00_12353; obj_t BgL_bodyz00_12354;
BgL_iboxesz00_12350 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)0)))); 
BgL_siza7eza7_12351 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)1)))); 
BgL_valza2za2_12352 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)2)))); 
BgL_i1252z00_12353 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)3)))); 
BgL_bodyz00_12354 = 
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_14999;
BgL_bpz00_14999 = 
VECTOR_REF(
((obj_t)BgL_sz00_12355),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12355, BgL_iboxesz00_12350, BgL_bpz00_14999); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12355, BgL_valza2za2_12352, 
(
(long)CINT(BgL_bpz00_14999)+BgL_siza7eza7_12351)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15000; obj_t BgL_wherez00_15001; obj_t BgL_locz00_15002;
BgL_z12denvz12_15000 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15001 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12353))->BgL_wherez00); 
BgL_locz00_15002 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12353))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15000, BgL_wherez00_15001, BgL_locz00_15002); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15003;
BgL_za2za2resza2za2z00_15003 = 
PROCEDURE_ENTRY(BgL_bodyz00_12354)(BgL_bodyz00_12354, BgL_sz00_12355, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15000); 
return BgL_za2za2resza2za2z00_15003;} } } } } } 

}



/* &<@anonymous:3290> */
obj_t BGl_z62zc3z04anonymousza33290ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12356, obj_t BgL_sz00_12360)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12357; obj_t BgL_bodyz00_12358; long BgL_siza7ezd2framez75_12359;
BgL_i1252z00_12357 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12356, 
(int)(((long)0)))); 
BgL_bodyz00_12358 = 
PROCEDURE_REF(BgL_envz00_12356, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12359 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12356, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15004;
BgL_bpz00_15004 = 
VECTOR_REF(
((obj_t)BgL_sz00_12360),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15005;
BgL_runz00_15005 = 
MAKE_FX_PROCEDURE(BGl_z62run4281z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15005, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12357)); 
PROCEDURE_SET(BgL_runz00_15005, 
(int)(((long)1)), BgL_bodyz00_12358); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15006;
BgL_mainz00_15006 = 
MAKE_FX_PROCEDURE(BGl_z62main4280z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15006, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12357)); 
PROCEDURE_SET(BgL_mainz00_15006, 
(int)(((long)1)), BgL_bodyz00_12358); 
PROCEDURE_SET(BgL_mainz00_15006, 
(int)(((long)2)), BgL_runz00_15005); 
PROCEDURE_SET(BgL_mainz00_15006, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12359)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15007;
BgL_objz00_15007 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15005, BgL_objz00_15007); BgL_objz00_15007; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3291z00_15008;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3292z00_15009;
BgL_arg3292z00_15009 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12357))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15010;
BgL_newz00_15010 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27851;
BgL_tmpz00_27851 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15010, BgL_tmpz00_27851, BgL_arg3292z00_15009); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27856; int BgL_tmpz00_27854;
BgL_auxz00_27856 = 
BINT(BgL_siza7ezd2framez75_12359); 
BgL_tmpz00_27854 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15010, BgL_tmpz00_27854, BgL_auxz00_27856); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27859;
BgL_tmpz00_27859 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15010, BgL_tmpz00_27859, BgL_runz00_15005); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27864; int BgL_tmpz00_27862;
BgL_auxz00_27864 = 
BINT(((long)1)); 
BgL_tmpz00_27862 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15010, BgL_tmpz00_27862, BgL_auxz00_27864); } 
BgL_arg3291z00_15008 = BgL_newz00_15010; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15006, BgL_arg3291z00_15008); BgL_arg3291z00_15008; } 
return BgL_mainz00_15006;} } } } } } 

}



/* &main4280 */
obj_t BGl_z62main4280z62zz__evaluate_compz00(obj_t BgL_envz00_12361, obj_t BgL_dz00_12366)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12364; long BgL_siza7ezd2framez75_12365;
BgL_runz00_12364 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12361, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12365 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12361, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15011;
BgL_sz00_15011 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15012;
BgL_bpz00_15012 = 
VECTOR_REF(
((obj_t)BgL_sz00_15011),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15011, BgL_bpz00_15012, 
BINT(BgL_siza7ezd2framez75_12365)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3295z00_15013;
BgL_arg3295z00_15013 = 
(
(long)CINT(BgL_bpz00_15012)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15011),BgL_arg3295z00_15013,BgL_dz00_12366); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15014;
BgL_ez00_15014 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15015;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15016;
BgL_arg4072z00_15016 = 
BGL_EXITD_PROTECT(BgL_ez00_15014); 
BgL_arg4071z00_15015 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15012, BgL_arg4072z00_15016); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15014, BgL_arg4071z00_15015); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15017;
BgL_accz00_15017 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12364, BgL_sz00_15011, BgL_bpz00_15012); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5158z00_27889;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15018;
BgL_arg4070z00_15018 = 
BGL_EXITD_PROTECT(BgL_ez00_15014); 
BgL_test5158z00_27889 = 
PAIRP(BgL_arg4070z00_15018); } 
if(BgL_test5158z00_27889)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15019;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15020;
BgL_arg4069z00_15020 = 
BGL_EXITD_PROTECT(BgL_ez00_15014); 
BgL_arg4068z00_15019 = 
CDR(
((obj_t)BgL_arg4069z00_15020)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15014, BgL_arg4068z00_15019); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15011),((long)0),BgL_bpz00_15012); 
return BgL_accz00_15017;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15021;
BgL_nsz00_15021 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15021,((long)1),BgL_sz00_15011); 
VECTOR_SET(BgL_nsz00_15021,((long)2),BgL_dz00_12366); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15022;
BgL_z12denvz12_15022 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15022, BgL_nsz00_15021); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15023;
BgL_ez00_15023 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15024;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15025;
BgL_arg4072z00_15025 = 
BGL_EXITD_PROTECT(BgL_ez00_15023); 
BgL_arg4071z00_15024 = 
MAKE_YOUNG_PAIR(BgL_sz00_15011, BgL_arg4072z00_15025); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15023, BgL_arg4071z00_15024); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15026;
BgL_____rz00_15026 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12364, BgL_nsz00_15021, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5159z00_27909;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15027;
BgL_arg4070z00_15027 = 
BGL_EXITD_PROTECT(BgL_ez00_15023); 
BgL_test5159z00_27909 = 
PAIRP(BgL_arg4070z00_15027); } 
if(BgL_test5159z00_27909)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15028;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15029;
BgL_arg4069z00_15029 = 
BGL_EXITD_PROTECT(BgL_ez00_15023); 
BgL_arg4068z00_15028 = 
CDR(
((obj_t)BgL_arg4069z00_15029)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15023, BgL_arg4068z00_15028); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15022, BgL_sz00_15011); 
return BgL_____rz00_15026;} } } } } } } } 

}



/* &run4281 */
obj_t BGl_z62run4281z62zz__evaluate_compz00(obj_t BgL_envz00_12367, obj_t BgL_sz00_12370)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12368; obj_t BgL_bodyz00_12369;
BgL_i1252z00_12368 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12367, 
(int)(((long)0)))); 
BgL_bodyz00_12369 = 
PROCEDURE_REF(BgL_envz00_12367, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15030;
BgL_bpz00_15030 = 
VECTOR_REF(
((obj_t)BgL_sz00_12370),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15031; obj_t BgL_wherez00_15032; obj_t BgL_locz00_15033;
BgL_z12denvz12_15031 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15032 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12368))->BgL_wherez00); 
BgL_locz00_15033 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12368))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15031, BgL_wherez00_15032, BgL_locz00_15033); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15034;
BgL_za2za2resza2za2z00_15034 = 
PROCEDURE_ENTRY(BgL_bodyz00_12369)(BgL_bodyz00_12369, BgL_sz00_12370, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15031); 
return BgL_za2za2resza2za2z00_15034;} } } } } } 

}



/* &<@anonymous:3297> */
obj_t BGl_z62zc3z04anonymousza33297ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12371, obj_t BgL_sz00_12376)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12372; BgL_ev_absz00_bglt BgL_i1252z00_12373; obj_t BgL_bodyz00_12374; long BgL_siza7ezd2framez75_12375;
BgL_iboxesz00_12372 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)0)))); 
BgL_i1252z00_12373 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)1)))); 
BgL_bodyz00_12374 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12375 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15035;
BgL_bpz00_15035 = 
VECTOR_REF(
((obj_t)BgL_sz00_12376),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15036;
BgL_runz00_15036 = 
MAKE_FX_PROCEDURE(BGl_z62run4283z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15036, 
(int)(((long)0)), BgL_iboxesz00_12372); 
PROCEDURE_SET(BgL_runz00_15036, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12373)); 
PROCEDURE_SET(BgL_runz00_15036, 
(int)(((long)2)), BgL_bodyz00_12374); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15037;
BgL_mainz00_15037 = 
MAKE_FX_PROCEDURE(BGl_z62main4282z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15037, 
(int)(((long)0)), BgL_iboxesz00_12372); 
PROCEDURE_SET(BgL_mainz00_15037, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12373)); 
PROCEDURE_SET(BgL_mainz00_15037, 
(int)(((long)2)), BgL_bodyz00_12374); 
PROCEDURE_SET(BgL_mainz00_15037, 
(int)(((long)3)), BgL_runz00_15036); 
PROCEDURE_SET(BgL_mainz00_15037, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12375)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15038;
BgL_objz00_15038 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15036, BgL_objz00_15038); BgL_objz00_15038; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3298z00_15039;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3299z00_15040;
BgL_arg3299z00_15040 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12373))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15041;
BgL_newz00_15041 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27975;
BgL_tmpz00_27975 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15041, BgL_tmpz00_27975, BgL_arg3299z00_15040); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27980; int BgL_tmpz00_27978;
BgL_auxz00_27980 = 
BINT(BgL_siza7ezd2framez75_12375); 
BgL_tmpz00_27978 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15041, BgL_tmpz00_27978, BgL_auxz00_27980); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_27983;
BgL_tmpz00_27983 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15041, BgL_tmpz00_27983, BgL_runz00_15036); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_27988; int BgL_tmpz00_27986;
BgL_auxz00_27988 = 
BINT(((long)1)); 
BgL_tmpz00_27986 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15041, BgL_tmpz00_27986, BgL_auxz00_27988); } 
BgL_arg3298z00_15039 = BgL_newz00_15041; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15037, BgL_arg3298z00_15039); BgL_arg3298z00_15039; } 
return BgL_mainz00_15037;} } } } } } 

}



/* &main4282 */
obj_t BGl_z62main4282z62zz__evaluate_compz00(obj_t BgL_envz00_12377, obj_t BgL_dz00_12383)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12381; long BgL_siza7ezd2framez75_12382;
BgL_runz00_12381 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12377, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12382 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12377, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15042;
BgL_sz00_15042 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15043;
BgL_bpz00_15043 = 
VECTOR_REF(
((obj_t)BgL_sz00_15042),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15042, BgL_bpz00_15043, 
BINT(BgL_siza7ezd2framez75_12382)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3302z00_15044;
BgL_arg3302z00_15044 = 
(
(long)CINT(BgL_bpz00_15043)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15042),BgL_arg3302z00_15044,BgL_dz00_12383); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15045;
BgL_ez00_15045 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15046;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15047;
BgL_arg4072z00_15047 = 
BGL_EXITD_PROTECT(BgL_ez00_15045); 
BgL_arg4071z00_15046 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15043, BgL_arg4072z00_15047); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15045, BgL_arg4071z00_15046); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15048;
BgL_accz00_15048 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12381, BgL_sz00_15042, BgL_bpz00_15043); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5161z00_28013;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15049;
BgL_arg4070z00_15049 = 
BGL_EXITD_PROTECT(BgL_ez00_15045); 
BgL_test5161z00_28013 = 
PAIRP(BgL_arg4070z00_15049); } 
if(BgL_test5161z00_28013)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15050;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15051;
BgL_arg4069z00_15051 = 
BGL_EXITD_PROTECT(BgL_ez00_15045); 
BgL_arg4068z00_15050 = 
CDR(
((obj_t)BgL_arg4069z00_15051)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15045, BgL_arg4068z00_15050); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15042),((long)0),BgL_bpz00_15043); 
return BgL_accz00_15048;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15052;
BgL_nsz00_15052 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15052,((long)1),BgL_sz00_15042); 
VECTOR_SET(BgL_nsz00_15052,((long)2),BgL_dz00_12383); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15053;
BgL_z12denvz12_15053 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15053, BgL_nsz00_15052); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15054;
BgL_ez00_15054 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15055;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15056;
BgL_arg4072z00_15056 = 
BGL_EXITD_PROTECT(BgL_ez00_15054); 
BgL_arg4071z00_15055 = 
MAKE_YOUNG_PAIR(BgL_sz00_15042, BgL_arg4072z00_15056); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15054, BgL_arg4071z00_15055); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15057;
BgL_____rz00_15057 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12381, BgL_nsz00_15052, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5162z00_28033;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15058;
BgL_arg4070z00_15058 = 
BGL_EXITD_PROTECT(BgL_ez00_15054); 
BgL_test5162z00_28033 = 
PAIRP(BgL_arg4070z00_15058); } 
if(BgL_test5162z00_28033)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15059;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15060;
BgL_arg4069z00_15060 = 
BGL_EXITD_PROTECT(BgL_ez00_15054); 
BgL_arg4068z00_15059 = 
CDR(
((obj_t)BgL_arg4069z00_15060)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15054, BgL_arg4068z00_15059); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15053, BgL_sz00_15042); 
return BgL_____rz00_15057;} } } } } } } } 

}



/* &run4283 */
obj_t BGl_z62run4283z62zz__evaluate_compz00(obj_t BgL_envz00_12384, obj_t BgL_sz00_12388)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12385; BgL_ev_absz00_bglt BgL_i1252z00_12386; obj_t BgL_bodyz00_12387;
BgL_iboxesz00_12385 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)0)))); 
BgL_i1252z00_12386 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)1)))); 
BgL_bodyz00_12387 = 
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15061;
BgL_bpz00_15061 = 
VECTOR_REF(
((obj_t)BgL_sz00_12388),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12388, BgL_iboxesz00_12385, BgL_bpz00_15061); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15062; obj_t BgL_wherez00_15063; obj_t BgL_locz00_15064;
BgL_z12denvz12_15062 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15063 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12386))->BgL_wherez00); 
BgL_locz00_15064 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12386))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15062, BgL_wherez00_15063, BgL_locz00_15064); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15065;
BgL_za2za2resza2za2z00_15065 = 
PROCEDURE_ENTRY(BgL_bodyz00_12387)(BgL_bodyz00_12387, BgL_sz00_12388, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15062); 
return BgL_za2za2resza2za2z00_15065;} } } } } } 

}



/* &<@anonymous:3307> */
obj_t BGl_z62zc3z04anonymousza33307ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12389, obj_t BgL_sz00_12395)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12390; long BgL_siza7eza7_12391; BgL_ev_absz00_bglt BgL_i1252z00_12392; obj_t BgL_bodyz00_12393; long BgL_siza7ezd2framez75_12394;
BgL_ifreesz00_12390 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)0)))); 
BgL_siza7eza7_12391 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)1)))); 
BgL_i1252z00_12392 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)2)))); 
BgL_bodyz00_12393 = 
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12394 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15066;
BgL_bpz00_15066 = 
VECTOR_REF(
((obj_t)BgL_sz00_12395),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15067;
BgL_valza2za2_15067 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12395, BgL_bpz00_15066, BgL_ifreesz00_12390); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15068;
BgL_runz00_15068 = 
MAKE_FX_PROCEDURE(BGl_z62run4285z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15068, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12391)); 
PROCEDURE_SET(BgL_runz00_15068, 
(int)(((long)1)), BgL_valza2za2_15067); 
PROCEDURE_SET(BgL_runz00_15068, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12392)); 
PROCEDURE_SET(BgL_runz00_15068, 
(int)(((long)3)), BgL_bodyz00_12393); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15069;
BgL_mainz00_15069 = 
MAKE_FX_PROCEDURE(BGl_z62main4284z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12391)); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)1)), BgL_valza2za2_15067); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12392)); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)3)), BgL_bodyz00_12393); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)4)), BgL_runz00_15068); 
PROCEDURE_SET(BgL_mainz00_15069, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12394)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15070;
BgL_objz00_15070 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15068, BgL_objz00_15070); BgL_objz00_15070; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3308z00_15071;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3309z00_15072;
BgL_arg3309z00_15072 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12392))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15073;
BgL_newz00_15073 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28113;
BgL_tmpz00_28113 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15073, BgL_tmpz00_28113, BgL_arg3309z00_15072); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28118; int BgL_tmpz00_28116;
BgL_auxz00_28118 = 
BINT(BgL_siza7ezd2framez75_12394); 
BgL_tmpz00_28116 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15073, BgL_tmpz00_28116, BgL_auxz00_28118); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28121;
BgL_tmpz00_28121 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15073, BgL_tmpz00_28121, BgL_runz00_15068); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28126; int BgL_tmpz00_28124;
BgL_auxz00_28126 = 
BINT(((long)1)); 
BgL_tmpz00_28124 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15073, BgL_tmpz00_28124, BgL_auxz00_28126); } 
BgL_arg3308z00_15071 = BgL_newz00_15073; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15069, BgL_arg3308z00_15071); BgL_arg3308z00_15071; } 
return BgL_mainz00_15069;} } } } } } 

}



/* &main4284 */
obj_t BGl_z62main4284z62zz__evaluate_compz00(obj_t BgL_envz00_12396, obj_t BgL_dz00_12403)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12401; long BgL_siza7ezd2framez75_12402;
BgL_runz00_12401 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12396, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12402 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12396, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15074;
BgL_sz00_15074 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15075;
BgL_bpz00_15075 = 
VECTOR_REF(
((obj_t)BgL_sz00_15074),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15074, BgL_bpz00_15075, 
BINT(BgL_siza7ezd2framez75_12402)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3312z00_15076;
BgL_arg3312z00_15076 = 
(
(long)CINT(BgL_bpz00_15075)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15074),BgL_arg3312z00_15076,BgL_dz00_12403); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15077;
BgL_ez00_15077 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15078;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15079;
BgL_arg4072z00_15079 = 
BGL_EXITD_PROTECT(BgL_ez00_15077); 
BgL_arg4071z00_15078 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15075, BgL_arg4072z00_15079); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15077, BgL_arg4071z00_15078); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15080;
BgL_accz00_15080 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12401, BgL_sz00_15074, BgL_bpz00_15075); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5164z00_28151;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15081;
BgL_arg4070z00_15081 = 
BGL_EXITD_PROTECT(BgL_ez00_15077); 
BgL_test5164z00_28151 = 
PAIRP(BgL_arg4070z00_15081); } 
if(BgL_test5164z00_28151)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15082;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15083;
BgL_arg4069z00_15083 = 
BGL_EXITD_PROTECT(BgL_ez00_15077); 
BgL_arg4068z00_15082 = 
CDR(
((obj_t)BgL_arg4069z00_15083)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15077, BgL_arg4068z00_15082); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15074),((long)0),BgL_bpz00_15075); 
return BgL_accz00_15080;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15084;
BgL_nsz00_15084 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15084,((long)1),BgL_sz00_15074); 
VECTOR_SET(BgL_nsz00_15084,((long)2),BgL_dz00_12403); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15085;
BgL_z12denvz12_15085 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15085, BgL_nsz00_15084); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15086;
BgL_ez00_15086 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15087;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15088;
BgL_arg4072z00_15088 = 
BGL_EXITD_PROTECT(BgL_ez00_15086); 
BgL_arg4071z00_15087 = 
MAKE_YOUNG_PAIR(BgL_sz00_15074, BgL_arg4072z00_15088); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15086, BgL_arg4071z00_15087); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15089;
BgL_____rz00_15089 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12401, BgL_nsz00_15084, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5165z00_28171;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15090;
BgL_arg4070z00_15090 = 
BGL_EXITD_PROTECT(BgL_ez00_15086); 
BgL_test5165z00_28171 = 
PAIRP(BgL_arg4070z00_15090); } 
if(BgL_test5165z00_28171)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15091;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15092;
BgL_arg4069z00_15092 = 
BGL_EXITD_PROTECT(BgL_ez00_15086); 
BgL_arg4068z00_15091 = 
CDR(
((obj_t)BgL_arg4069z00_15092)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15086, BgL_arg4068z00_15091); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15085, BgL_sz00_15074); 
return BgL_____rz00_15089;} } } } } } } } 

}



/* &run4285 */
obj_t BGl_z62run4285z62zz__evaluate_compz00(obj_t BgL_envz00_12404, obj_t BgL_sz00_12409)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12405; obj_t BgL_valza2za2_12406; BgL_ev_absz00_bglt BgL_i1252z00_12407; obj_t BgL_bodyz00_12408;
BgL_siza7eza7_12405 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)0)))); 
BgL_valza2za2_12406 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)1)))); 
BgL_i1252z00_12407 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)2)))); 
BgL_bodyz00_12408 = 
PROCEDURE_REF(BgL_envz00_12404, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15093;
BgL_bpz00_15093 = 
VECTOR_REF(
((obj_t)BgL_sz00_12409),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12409, BgL_valza2za2_12406, 
(
(long)CINT(BgL_bpz00_15093)+BgL_siza7eza7_12405)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15094; obj_t BgL_wherez00_15095; obj_t BgL_locz00_15096;
BgL_z12denvz12_15094 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15095 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12407))->BgL_wherez00); 
BgL_locz00_15096 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12407))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15094, BgL_wherez00_15095, BgL_locz00_15096); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15097;
BgL_za2za2resza2za2z00_15097 = 
PROCEDURE_ENTRY(BgL_bodyz00_12408)(BgL_bodyz00_12408, BgL_sz00_12409, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15094); 
return BgL_za2za2resza2za2z00_15097;} } } } } } 

}



/* &<@anonymous:3315> */
obj_t BGl_z62zc3z04anonymousza33315ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12410, obj_t BgL_sz00_12417)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12411; obj_t BgL_iboxesz00_12412; long BgL_siza7eza7_12413; BgL_ev_absz00_bglt BgL_i1252z00_12414; obj_t BgL_bodyz00_12415; long BgL_siza7ezd2framez75_12416;
BgL_ifreesz00_12411 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)0)))); 
BgL_iboxesz00_12412 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)1)))); 
BgL_siza7eza7_12413 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)2)))); 
BgL_i1252z00_12414 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)3)))); 
BgL_bodyz00_12415 = 
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12416 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12410, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15098;
BgL_bpz00_15098 = 
VECTOR_REF(
((obj_t)BgL_sz00_12417),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15099;
BgL_valza2za2_15099 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12417, BgL_bpz00_15098, BgL_ifreesz00_12411); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15100;
BgL_runz00_15100 = 
MAKE_FX_PROCEDURE(BGl_z62run4287z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15100, 
(int)(((long)0)), BgL_iboxesz00_12412); 
PROCEDURE_SET(BgL_runz00_15100, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12413)); 
PROCEDURE_SET(BgL_runz00_15100, 
(int)(((long)2)), BgL_valza2za2_15099); 
PROCEDURE_SET(BgL_runz00_15100, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12414)); 
PROCEDURE_SET(BgL_runz00_15100, 
(int)(((long)4)), BgL_bodyz00_12415); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15101;
BgL_mainz00_15101 = 
MAKE_FX_PROCEDURE(BGl_z62main4286z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)0)), BgL_iboxesz00_12412); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12413)); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)2)), BgL_valza2za2_15099); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12414)); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)4)), BgL_bodyz00_12415); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)5)), BgL_runz00_15100); 
PROCEDURE_SET(BgL_mainz00_15101, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12416)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15102;
BgL_objz00_15102 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15100, BgL_objz00_15102); BgL_objz00_15102; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3316z00_15103;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3317z00_15104;
BgL_arg3317z00_15104 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12414))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15105;
BgL_newz00_15105 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28263;
BgL_tmpz00_28263 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15105, BgL_tmpz00_28263, BgL_arg3317z00_15104); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28268; int BgL_tmpz00_28266;
BgL_auxz00_28268 = 
BINT(BgL_siza7ezd2framez75_12416); 
BgL_tmpz00_28266 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15105, BgL_tmpz00_28266, BgL_auxz00_28268); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28271;
BgL_tmpz00_28271 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15105, BgL_tmpz00_28271, BgL_runz00_15100); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28276; int BgL_tmpz00_28274;
BgL_auxz00_28276 = 
BINT(((long)1)); 
BgL_tmpz00_28274 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15105, BgL_tmpz00_28274, BgL_auxz00_28276); } 
BgL_arg3316z00_15103 = BgL_newz00_15105; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15101, BgL_arg3316z00_15103); BgL_arg3316z00_15103; } 
return BgL_mainz00_15101;} } } } } } 

}



/* &main4286 */
obj_t BGl_z62main4286z62zz__evaluate_compz00(obj_t BgL_envz00_12418, obj_t BgL_dz00_12426)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12424; long BgL_siza7ezd2framez75_12425;
BgL_runz00_12424 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12418, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12425 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12418, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15106;
BgL_sz00_15106 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15107;
BgL_bpz00_15107 = 
VECTOR_REF(
((obj_t)BgL_sz00_15106),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15106, BgL_bpz00_15107, 
BINT(BgL_siza7ezd2framez75_12425)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3320z00_15108;
BgL_arg3320z00_15108 = 
(
(long)CINT(BgL_bpz00_15107)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15106),BgL_arg3320z00_15108,BgL_dz00_12426); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15109;
BgL_ez00_15109 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15110;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15111;
BgL_arg4072z00_15111 = 
BGL_EXITD_PROTECT(BgL_ez00_15109); 
BgL_arg4071z00_15110 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15107, BgL_arg4072z00_15111); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15109, BgL_arg4071z00_15110); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15112;
BgL_accz00_15112 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12424, BgL_sz00_15106, BgL_bpz00_15107); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5167z00_28301;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15113;
BgL_arg4070z00_15113 = 
BGL_EXITD_PROTECT(BgL_ez00_15109); 
BgL_test5167z00_28301 = 
PAIRP(BgL_arg4070z00_15113); } 
if(BgL_test5167z00_28301)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15114;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15115;
BgL_arg4069z00_15115 = 
BGL_EXITD_PROTECT(BgL_ez00_15109); 
BgL_arg4068z00_15114 = 
CDR(
((obj_t)BgL_arg4069z00_15115)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15109, BgL_arg4068z00_15114); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15106),((long)0),BgL_bpz00_15107); 
return BgL_accz00_15112;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15116;
BgL_nsz00_15116 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15116,((long)1),BgL_sz00_15106); 
VECTOR_SET(BgL_nsz00_15116,((long)2),BgL_dz00_12426); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15117;
BgL_z12denvz12_15117 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15117, BgL_nsz00_15116); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15118;
BgL_ez00_15118 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15119;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15120;
BgL_arg4072z00_15120 = 
BGL_EXITD_PROTECT(BgL_ez00_15118); 
BgL_arg4071z00_15119 = 
MAKE_YOUNG_PAIR(BgL_sz00_15106, BgL_arg4072z00_15120); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15118, BgL_arg4071z00_15119); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15121;
BgL_____rz00_15121 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12424, BgL_nsz00_15116, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5168z00_28321;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15122;
BgL_arg4070z00_15122 = 
BGL_EXITD_PROTECT(BgL_ez00_15118); 
BgL_test5168z00_28321 = 
PAIRP(BgL_arg4070z00_15122); } 
if(BgL_test5168z00_28321)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15123;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15124;
BgL_arg4069z00_15124 = 
BGL_EXITD_PROTECT(BgL_ez00_15118); 
BgL_arg4068z00_15123 = 
CDR(
((obj_t)BgL_arg4069z00_15124)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15118, BgL_arg4068z00_15123); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15117, BgL_sz00_15106); 
return BgL_____rz00_15121;} } } } } } } } 

}



/* &run4287 */
obj_t BGl_z62run4287z62zz__evaluate_compz00(obj_t BgL_envz00_12427, obj_t BgL_sz00_12433)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12428; long BgL_siza7eza7_12429; obj_t BgL_valza2za2_12430; BgL_ev_absz00_bglt BgL_i1252z00_12431; obj_t BgL_bodyz00_12432;
BgL_iboxesz00_12428 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)0)))); 
BgL_siza7eza7_12429 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)1)))); 
BgL_valza2za2_12430 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)2)))); 
BgL_i1252z00_12431 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)3)))); 
BgL_bodyz00_12432 = 
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15125;
BgL_bpz00_15125 = 
VECTOR_REF(
((obj_t)BgL_sz00_12433),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12433, BgL_iboxesz00_12428, BgL_bpz00_15125); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12433, BgL_valza2za2_12430, 
(
(long)CINT(BgL_bpz00_15125)+BgL_siza7eza7_12429)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15126; obj_t BgL_wherez00_15127; obj_t BgL_locz00_15128;
BgL_z12denvz12_15126 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15127 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12431))->BgL_wherez00); 
BgL_locz00_15128 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12431))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15126, BgL_wherez00_15127, BgL_locz00_15128); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15129;
BgL_za2za2resza2za2z00_15129 = 
PROCEDURE_ENTRY(BgL_bodyz00_12432)(BgL_bodyz00_12432, BgL_sz00_12433, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15126); 
return BgL_za2za2resza2za2z00_15129;} } } } } } 

}



/* &<@anonymous:3251> */
obj_t BGl_z62zc3z04anonymousza33251ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12434, obj_t BgL_sz00_12438)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12435; obj_t BgL_bodyz00_12436; long BgL_siza7ezd2framez75_12437;
BgL_i1252z00_12435 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12434, 
(int)(((long)0)))); 
BgL_bodyz00_12436 = 
PROCEDURE_REF(BgL_envz00_12434, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12437 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12434, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15130;
BgL_bpz00_15130 = 
VECTOR_REF(
((obj_t)BgL_sz00_12438),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15131;
BgL_runz00_15131 = 
MAKE_FX_PROCEDURE(BGl_z62run4289z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15131, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12435)); 
PROCEDURE_SET(BgL_runz00_15131, 
(int)(((long)1)), BgL_bodyz00_12436); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15132;
BgL_mainz00_15132 = 
MAKE_VA_PROCEDURE(BGl_z62main4288z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15132, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12435)); 
PROCEDURE_SET(BgL_mainz00_15132, 
(int)(((long)1)), BgL_bodyz00_12436); 
PROCEDURE_SET(BgL_mainz00_15132, 
(int)(((long)2)), BgL_runz00_15131); 
PROCEDURE_SET(BgL_mainz00_15132, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12437)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15133;
BgL_objz00_15133 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15131, BgL_objz00_15133); BgL_objz00_15133; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3252z00_15134;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3253z00_15135;
BgL_arg3253z00_15135 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12435))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15136;
BgL_newz00_15136 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28393;
BgL_tmpz00_28393 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15136, BgL_tmpz00_28393, BgL_arg3253z00_15135); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28398; int BgL_tmpz00_28396;
BgL_auxz00_28398 = 
BINT(BgL_siza7ezd2framez75_12437); 
BgL_tmpz00_28396 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15136, BgL_tmpz00_28396, BgL_auxz00_28398); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28401;
BgL_tmpz00_28401 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15136, BgL_tmpz00_28401, BgL_runz00_15131); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28406; int BgL_tmpz00_28404;
BgL_auxz00_28406 = 
BINT(((long)-1)); 
BgL_tmpz00_28404 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15136, BgL_tmpz00_28404, BgL_auxz00_28406); } 
BgL_arg3252z00_15134 = BgL_newz00_15136; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15132, BgL_arg3252z00_15134); BgL_arg3252z00_15134; } 
return BgL_mainz00_15132;} } } } } } 

}



/* &main4288 */
obj_t BGl_z62main4288z62zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_lastz00_12444)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12442; long BgL_siza7ezd2framez75_12443;
BgL_runz00_12442 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12443 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15137;
BgL_sz00_15137 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15138;
BgL_bpz00_15138 = 
VECTOR_REF(
((obj_t)BgL_sz00_15137),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15137, BgL_bpz00_15138, 
BINT(BgL_siza7ezd2framez75_12443)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3256z00_15139;
BgL_arg3256z00_15139 = 
(
(long)CINT(BgL_bpz00_15138)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15137),BgL_arg3256z00_15139,BgL_lastz00_12444); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15140;
BgL_ez00_15140 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15141;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15142;
BgL_arg4072z00_15142 = 
BGL_EXITD_PROTECT(BgL_ez00_15140); 
BgL_arg4071z00_15141 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15138, BgL_arg4072z00_15142); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15140, BgL_arg4071z00_15141); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15143;
BgL_accz00_15143 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12442, BgL_sz00_15137, BgL_bpz00_15138); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5170z00_28431;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15144;
BgL_arg4070z00_15144 = 
BGL_EXITD_PROTECT(BgL_ez00_15140); 
BgL_test5170z00_28431 = 
PAIRP(BgL_arg4070z00_15144); } 
if(BgL_test5170z00_28431)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15145;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15146;
BgL_arg4069z00_15146 = 
BGL_EXITD_PROTECT(BgL_ez00_15140); 
BgL_arg4068z00_15145 = 
CDR(
((obj_t)BgL_arg4069z00_15146)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15140, BgL_arg4068z00_15145); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15137),((long)0),BgL_bpz00_15138); 
return BgL_accz00_15143;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15147;
BgL_nsz00_15147 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15147,((long)1),BgL_sz00_15137); 
VECTOR_SET(BgL_nsz00_15147,((long)2),BgL_lastz00_12444); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15148;
BgL_z12denvz12_15148 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15148, BgL_nsz00_15147); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15149;
BgL_ez00_15149 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15150;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15151;
BgL_arg4072z00_15151 = 
BGL_EXITD_PROTECT(BgL_ez00_15149); 
BgL_arg4071z00_15150 = 
MAKE_YOUNG_PAIR(BgL_sz00_15137, BgL_arg4072z00_15151); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15149, BgL_arg4071z00_15150); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15152;
BgL_____rz00_15152 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12442, BgL_nsz00_15147, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5171z00_28451;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15153;
BgL_arg4070z00_15153 = 
BGL_EXITD_PROTECT(BgL_ez00_15149); 
BgL_test5171z00_28451 = 
PAIRP(BgL_arg4070z00_15153); } 
if(BgL_test5171z00_28451)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15154;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15155;
BgL_arg4069z00_15155 = 
BGL_EXITD_PROTECT(BgL_ez00_15149); 
BgL_arg4068z00_15154 = 
CDR(
((obj_t)BgL_arg4069z00_15155)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15149, BgL_arg4068z00_15154); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15148, BgL_sz00_15137); 
return BgL_____rz00_15152;} } } } } } } } 

}



/* &run4289 */
obj_t BGl_z62run4289z62zz__evaluate_compz00(obj_t BgL_envz00_12445, obj_t BgL_sz00_12448)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12446; obj_t BgL_bodyz00_12447;
BgL_i1252z00_12446 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12445, 
(int)(((long)0)))); 
BgL_bodyz00_12447 = 
PROCEDURE_REF(BgL_envz00_12445, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15156;
BgL_bpz00_15156 = 
VECTOR_REF(
((obj_t)BgL_sz00_12448),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15157; obj_t BgL_wherez00_15158; obj_t BgL_locz00_15159;
BgL_z12denvz12_15157 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15158 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12446))->BgL_wherez00); 
BgL_locz00_15159 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12446))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15157, BgL_wherez00_15158, BgL_locz00_15159); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15160;
BgL_za2za2resza2za2z00_15160 = 
PROCEDURE_ENTRY(BgL_bodyz00_12447)(BgL_bodyz00_12447, BgL_sz00_12448, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15157); 
return BgL_za2za2resza2za2z00_15160;} } } } } } 

}



/* &<@anonymous:3258> */
obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12449, obj_t BgL_sz00_12454)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12450; BgL_ev_absz00_bglt BgL_i1252z00_12451; obj_t BgL_bodyz00_12452; long BgL_siza7ezd2framez75_12453;
BgL_iboxesz00_12450 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)0)))); 
BgL_i1252z00_12451 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)1)))); 
BgL_bodyz00_12452 = 
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12453 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12449, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15161;
BgL_bpz00_15161 = 
VECTOR_REF(
((obj_t)BgL_sz00_12454),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15162;
BgL_runz00_15162 = 
MAKE_FX_PROCEDURE(BGl_z62run4291z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15162, 
(int)(((long)0)), BgL_iboxesz00_12450); 
PROCEDURE_SET(BgL_runz00_15162, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12451)); 
PROCEDURE_SET(BgL_runz00_15162, 
(int)(((long)2)), BgL_bodyz00_12452); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15163;
BgL_mainz00_15163 = 
MAKE_VA_PROCEDURE(BGl_z62main4290z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15163, 
(int)(((long)0)), BgL_iboxesz00_12450); 
PROCEDURE_SET(BgL_mainz00_15163, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12451)); 
PROCEDURE_SET(BgL_mainz00_15163, 
(int)(((long)2)), BgL_bodyz00_12452); 
PROCEDURE_SET(BgL_mainz00_15163, 
(int)(((long)3)), BgL_runz00_15162); 
PROCEDURE_SET(BgL_mainz00_15163, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12453)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15164;
BgL_objz00_15164 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15162, BgL_objz00_15164); BgL_objz00_15164; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3259z00_15165;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3260z00_15166;
BgL_arg3260z00_15166 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12451))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15167;
BgL_newz00_15167 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28517;
BgL_tmpz00_28517 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15167, BgL_tmpz00_28517, BgL_arg3260z00_15166); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28522; int BgL_tmpz00_28520;
BgL_auxz00_28522 = 
BINT(BgL_siza7ezd2framez75_12453); 
BgL_tmpz00_28520 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15167, BgL_tmpz00_28520, BgL_auxz00_28522); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28525;
BgL_tmpz00_28525 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15167, BgL_tmpz00_28525, BgL_runz00_15162); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28530; int BgL_tmpz00_28528;
BgL_auxz00_28530 = 
BINT(((long)-1)); 
BgL_tmpz00_28528 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15167, BgL_tmpz00_28528, BgL_auxz00_28530); } 
BgL_arg3259z00_15165 = BgL_newz00_15167; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15163, BgL_arg3259z00_15165); BgL_arg3259z00_15165; } 
return BgL_mainz00_15163;} } } } } } 

}



/* &main4290 */
obj_t BGl_z62main4290z62zz__evaluate_compz00(obj_t BgL_envz00_12455, obj_t BgL_lastz00_12461)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12459; long BgL_siza7ezd2framez75_12460;
BgL_runz00_12459 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12455, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12460 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12455, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15168;
BgL_sz00_15168 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15169;
BgL_bpz00_15169 = 
VECTOR_REF(
((obj_t)BgL_sz00_15168),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15168, BgL_bpz00_15169, 
BINT(BgL_siza7ezd2framez75_12460)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3263z00_15170;
BgL_arg3263z00_15170 = 
(
(long)CINT(BgL_bpz00_15169)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15168),BgL_arg3263z00_15170,BgL_lastz00_12461); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15171;
BgL_ez00_15171 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15172;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15173;
BgL_arg4072z00_15173 = 
BGL_EXITD_PROTECT(BgL_ez00_15171); 
BgL_arg4071z00_15172 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15169, BgL_arg4072z00_15173); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15171, BgL_arg4071z00_15172); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15174;
BgL_accz00_15174 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12459, BgL_sz00_15168, BgL_bpz00_15169); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5173z00_28555;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15175;
BgL_arg4070z00_15175 = 
BGL_EXITD_PROTECT(BgL_ez00_15171); 
BgL_test5173z00_28555 = 
PAIRP(BgL_arg4070z00_15175); } 
if(BgL_test5173z00_28555)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15176;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15177;
BgL_arg4069z00_15177 = 
BGL_EXITD_PROTECT(BgL_ez00_15171); 
BgL_arg4068z00_15176 = 
CDR(
((obj_t)BgL_arg4069z00_15177)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15171, BgL_arg4068z00_15176); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15168),((long)0),BgL_bpz00_15169); 
return BgL_accz00_15174;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15178;
BgL_nsz00_15178 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15178,((long)1),BgL_sz00_15168); 
VECTOR_SET(BgL_nsz00_15178,((long)2),BgL_lastz00_12461); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15179;
BgL_z12denvz12_15179 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15179, BgL_nsz00_15178); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15180;
BgL_ez00_15180 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15181;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15182;
BgL_arg4072z00_15182 = 
BGL_EXITD_PROTECT(BgL_ez00_15180); 
BgL_arg4071z00_15181 = 
MAKE_YOUNG_PAIR(BgL_sz00_15168, BgL_arg4072z00_15182); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15180, BgL_arg4071z00_15181); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15183;
BgL_____rz00_15183 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12459, BgL_nsz00_15178, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5174z00_28575;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15184;
BgL_arg4070z00_15184 = 
BGL_EXITD_PROTECT(BgL_ez00_15180); 
BgL_test5174z00_28575 = 
PAIRP(BgL_arg4070z00_15184); } 
if(BgL_test5174z00_28575)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15185;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15186;
BgL_arg4069z00_15186 = 
BGL_EXITD_PROTECT(BgL_ez00_15180); 
BgL_arg4068z00_15185 = 
CDR(
((obj_t)BgL_arg4069z00_15186)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15180, BgL_arg4068z00_15185); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15179, BgL_sz00_15168); 
return BgL_____rz00_15183;} } } } } } } } 

}



/* &run4291 */
obj_t BGl_z62run4291z62zz__evaluate_compz00(obj_t BgL_envz00_12462, obj_t BgL_sz00_12466)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12463; BgL_ev_absz00_bglt BgL_i1252z00_12464; obj_t BgL_bodyz00_12465;
BgL_iboxesz00_12463 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12462, 
(int)(((long)0)))); 
BgL_i1252z00_12464 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12462, 
(int)(((long)1)))); 
BgL_bodyz00_12465 = 
PROCEDURE_REF(BgL_envz00_12462, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15187;
BgL_bpz00_15187 = 
VECTOR_REF(
((obj_t)BgL_sz00_12466),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12466, BgL_iboxesz00_12463, BgL_bpz00_15187); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15188; obj_t BgL_wherez00_15189; obj_t BgL_locz00_15190;
BgL_z12denvz12_15188 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15189 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12464))->BgL_wherez00); 
BgL_locz00_15190 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12464))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15188, BgL_wherez00_15189, BgL_locz00_15190); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15191;
BgL_za2za2resza2za2z00_15191 = 
PROCEDURE_ENTRY(BgL_bodyz00_12465)(BgL_bodyz00_12465, BgL_sz00_12466, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15188); 
return BgL_za2za2resza2za2z00_15191;} } } } } } 

}



/* &<@anonymous:3268> */
obj_t BGl_z62zc3z04anonymousza33268ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12467, obj_t BgL_sz00_12473)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12468; long BgL_siza7eza7_12469; BgL_ev_absz00_bglt BgL_i1252z00_12470; obj_t BgL_bodyz00_12471; long BgL_siza7ezd2framez75_12472;
BgL_ifreesz00_12468 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12467, 
(int)(((long)0)))); 
BgL_siza7eza7_12469 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12467, 
(int)(((long)1)))); 
BgL_i1252z00_12470 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12467, 
(int)(((long)2)))); 
BgL_bodyz00_12471 = 
PROCEDURE_REF(BgL_envz00_12467, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12472 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12467, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15192;
BgL_bpz00_15192 = 
VECTOR_REF(
((obj_t)BgL_sz00_12473),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15193;
BgL_valza2za2_15193 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12473, BgL_bpz00_15192, BgL_ifreesz00_12468); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15194;
BgL_runz00_15194 = 
MAKE_FX_PROCEDURE(BGl_z62run4293z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15194, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12469)); 
PROCEDURE_SET(BgL_runz00_15194, 
(int)(((long)1)), BgL_valza2za2_15193); 
PROCEDURE_SET(BgL_runz00_15194, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12470)); 
PROCEDURE_SET(BgL_runz00_15194, 
(int)(((long)3)), BgL_bodyz00_12471); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15195;
BgL_mainz00_15195 = 
MAKE_VA_PROCEDURE(BGl_z62main4292z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12469)); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)1)), BgL_valza2za2_15193); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12470)); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)3)), BgL_bodyz00_12471); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)4)), BgL_runz00_15194); 
PROCEDURE_SET(BgL_mainz00_15195, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12472)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15196;
BgL_objz00_15196 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15194, BgL_objz00_15196); BgL_objz00_15196; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3269z00_15197;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3270z00_15198;
BgL_arg3270z00_15198 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12470))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15199;
BgL_newz00_15199 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28655;
BgL_tmpz00_28655 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15199, BgL_tmpz00_28655, BgL_arg3270z00_15198); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28660; int BgL_tmpz00_28658;
BgL_auxz00_28660 = 
BINT(BgL_siza7ezd2framez75_12472); 
BgL_tmpz00_28658 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15199, BgL_tmpz00_28658, BgL_auxz00_28660); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28663;
BgL_tmpz00_28663 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15199, BgL_tmpz00_28663, BgL_runz00_15194); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28668; int BgL_tmpz00_28666;
BgL_auxz00_28668 = 
BINT(((long)-1)); 
BgL_tmpz00_28666 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15199, BgL_tmpz00_28666, BgL_auxz00_28668); } 
BgL_arg3269z00_15197 = BgL_newz00_15199; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15195, BgL_arg3269z00_15197); BgL_arg3269z00_15197; } 
return BgL_mainz00_15195;} } } } } } 

}



/* &main4292 */
obj_t BGl_z62main4292z62zz__evaluate_compz00(obj_t BgL_envz00_12474, obj_t BgL_lastz00_12481)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12479; long BgL_siza7ezd2framez75_12480;
BgL_runz00_12479 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12474, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12480 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12474, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15200;
BgL_sz00_15200 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15201;
BgL_bpz00_15201 = 
VECTOR_REF(
((obj_t)BgL_sz00_15200),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15200, BgL_bpz00_15201, 
BINT(BgL_siza7ezd2framez75_12480)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3273z00_15202;
BgL_arg3273z00_15202 = 
(
(long)CINT(BgL_bpz00_15201)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15200),BgL_arg3273z00_15202,BgL_lastz00_12481); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15203;
BgL_ez00_15203 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15204;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15205;
BgL_arg4072z00_15205 = 
BGL_EXITD_PROTECT(BgL_ez00_15203); 
BgL_arg4071z00_15204 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15201, BgL_arg4072z00_15205); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15203, BgL_arg4071z00_15204); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15206;
BgL_accz00_15206 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12479, BgL_sz00_15200, BgL_bpz00_15201); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5176z00_28693;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15207;
BgL_arg4070z00_15207 = 
BGL_EXITD_PROTECT(BgL_ez00_15203); 
BgL_test5176z00_28693 = 
PAIRP(BgL_arg4070z00_15207); } 
if(BgL_test5176z00_28693)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15208;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15209;
BgL_arg4069z00_15209 = 
BGL_EXITD_PROTECT(BgL_ez00_15203); 
BgL_arg4068z00_15208 = 
CDR(
((obj_t)BgL_arg4069z00_15209)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15203, BgL_arg4068z00_15208); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15200),((long)0),BgL_bpz00_15201); 
return BgL_accz00_15206;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15210;
BgL_nsz00_15210 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15210,((long)1),BgL_sz00_15200); 
VECTOR_SET(BgL_nsz00_15210,((long)2),BgL_lastz00_12481); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15211;
BgL_z12denvz12_15211 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15211, BgL_nsz00_15210); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15212;
BgL_ez00_15212 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15213;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15214;
BgL_arg4072z00_15214 = 
BGL_EXITD_PROTECT(BgL_ez00_15212); 
BgL_arg4071z00_15213 = 
MAKE_YOUNG_PAIR(BgL_sz00_15200, BgL_arg4072z00_15214); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15212, BgL_arg4071z00_15213); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15215;
BgL_____rz00_15215 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12479, BgL_nsz00_15210, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5177z00_28713;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15216;
BgL_arg4070z00_15216 = 
BGL_EXITD_PROTECT(BgL_ez00_15212); 
BgL_test5177z00_28713 = 
PAIRP(BgL_arg4070z00_15216); } 
if(BgL_test5177z00_28713)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15217;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15218;
BgL_arg4069z00_15218 = 
BGL_EXITD_PROTECT(BgL_ez00_15212); 
BgL_arg4068z00_15217 = 
CDR(
((obj_t)BgL_arg4069z00_15218)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15212, BgL_arg4068z00_15217); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15211, BgL_sz00_15200); 
return BgL_____rz00_15215;} } } } } } } } 

}



/* &run4293 */
obj_t BGl_z62run4293z62zz__evaluate_compz00(obj_t BgL_envz00_12482, obj_t BgL_sz00_12487)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12483; obj_t BgL_valza2za2_12484; BgL_ev_absz00_bglt BgL_i1252z00_12485; obj_t BgL_bodyz00_12486;
BgL_siza7eza7_12483 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)0)))); 
BgL_valza2za2_12484 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)1)))); 
BgL_i1252z00_12485 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)2)))); 
BgL_bodyz00_12486 = 
PROCEDURE_REF(BgL_envz00_12482, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15219;
BgL_bpz00_15219 = 
VECTOR_REF(
((obj_t)BgL_sz00_12487),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12487, BgL_valza2za2_12484, 
(
(long)CINT(BgL_bpz00_15219)+BgL_siza7eza7_12483)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15220; obj_t BgL_wherez00_15221; obj_t BgL_locz00_15222;
BgL_z12denvz12_15220 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15221 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12485))->BgL_wherez00); 
BgL_locz00_15222 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12485))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15220, BgL_wherez00_15221, BgL_locz00_15222); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15223;
BgL_za2za2resza2za2z00_15223 = 
PROCEDURE_ENTRY(BgL_bodyz00_12486)(BgL_bodyz00_12486, BgL_sz00_12487, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15220); 
return BgL_za2za2resza2za2z00_15223;} } } } } } 

}



/* &<@anonymous:3276> */
obj_t BGl_z62zc3z04anonymousza33276ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12488, obj_t BgL_sz00_12495)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12489; obj_t BgL_iboxesz00_12490; long BgL_siza7eza7_12491; BgL_ev_absz00_bglt BgL_i1252z00_12492; obj_t BgL_bodyz00_12493; long BgL_siza7ezd2framez75_12494;
BgL_ifreesz00_12489 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)0)))); 
BgL_iboxesz00_12490 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)1)))); 
BgL_siza7eza7_12491 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)2)))); 
BgL_i1252z00_12492 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)3)))); 
BgL_bodyz00_12493 = 
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12494 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12488, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15224;
BgL_bpz00_15224 = 
VECTOR_REF(
((obj_t)BgL_sz00_12495),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15225;
BgL_valza2za2_15225 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12495, BgL_bpz00_15224, BgL_ifreesz00_12489); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15226;
BgL_runz00_15226 = 
MAKE_FX_PROCEDURE(BGl_z62run4295z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15226, 
(int)(((long)0)), BgL_iboxesz00_12490); 
PROCEDURE_SET(BgL_runz00_15226, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12491)); 
PROCEDURE_SET(BgL_runz00_15226, 
(int)(((long)2)), BgL_valza2za2_15225); 
PROCEDURE_SET(BgL_runz00_15226, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12492)); 
PROCEDURE_SET(BgL_runz00_15226, 
(int)(((long)4)), BgL_bodyz00_12493); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15227;
BgL_mainz00_15227 = 
MAKE_VA_PROCEDURE(BGl_z62main4294z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)0)), BgL_iboxesz00_12490); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12491)); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)2)), BgL_valza2za2_15225); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12492)); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)4)), BgL_bodyz00_12493); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)5)), BgL_runz00_15226); 
PROCEDURE_SET(BgL_mainz00_15227, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12494)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15228;
BgL_objz00_15228 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15226, BgL_objz00_15228); BgL_objz00_15228; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3277z00_15229;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3278z00_15230;
BgL_arg3278z00_15230 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12492))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15231;
BgL_newz00_15231 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28805;
BgL_tmpz00_28805 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15231, BgL_tmpz00_28805, BgL_arg3278z00_15230); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28810; int BgL_tmpz00_28808;
BgL_auxz00_28810 = 
BINT(BgL_siza7ezd2framez75_12494); 
BgL_tmpz00_28808 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15231, BgL_tmpz00_28808, BgL_auxz00_28810); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28813;
BgL_tmpz00_28813 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15231, BgL_tmpz00_28813, BgL_runz00_15226); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28818; int BgL_tmpz00_28816;
BgL_auxz00_28818 = 
BINT(((long)-1)); 
BgL_tmpz00_28816 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15231, BgL_tmpz00_28816, BgL_auxz00_28818); } 
BgL_arg3277z00_15229 = BgL_newz00_15231; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15227, BgL_arg3277z00_15229); BgL_arg3277z00_15229; } 
return BgL_mainz00_15227;} } } } } } 

}



/* &main4294 */
obj_t BGl_z62main4294z62zz__evaluate_compz00(obj_t BgL_envz00_12496, obj_t BgL_lastz00_12504)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12502; long BgL_siza7ezd2framez75_12503;
BgL_runz00_12502 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12496, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12503 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12496, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15232;
BgL_sz00_15232 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15233;
BgL_bpz00_15233 = 
VECTOR_REF(
((obj_t)BgL_sz00_15232),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15232, BgL_bpz00_15233, 
BINT(BgL_siza7ezd2framez75_12503)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3281z00_15234;
BgL_arg3281z00_15234 = 
(
(long)CINT(BgL_bpz00_15233)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15232),BgL_arg3281z00_15234,BgL_lastz00_12504); } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15235;
BgL_ez00_15235 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15236;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15237;
BgL_arg4072z00_15237 = 
BGL_EXITD_PROTECT(BgL_ez00_15235); 
BgL_arg4071z00_15236 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15233, BgL_arg4072z00_15237); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15235, BgL_arg4071z00_15236); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15238;
BgL_accz00_15238 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12502, BgL_sz00_15232, BgL_bpz00_15233); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5179z00_28843;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15239;
BgL_arg4070z00_15239 = 
BGL_EXITD_PROTECT(BgL_ez00_15235); 
BgL_test5179z00_28843 = 
PAIRP(BgL_arg4070z00_15239); } 
if(BgL_test5179z00_28843)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15240;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15241;
BgL_arg4069z00_15241 = 
BGL_EXITD_PROTECT(BgL_ez00_15235); 
BgL_arg4068z00_15240 = 
CDR(
((obj_t)BgL_arg4069z00_15241)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15235, BgL_arg4068z00_15240); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15232),((long)0),BgL_bpz00_15233); 
return BgL_accz00_15238;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15242;
BgL_nsz00_15242 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15242,((long)1),BgL_sz00_15232); 
VECTOR_SET(BgL_nsz00_15242,((long)2),BgL_lastz00_12504); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15243;
BgL_z12denvz12_15243 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15243, BgL_nsz00_15242); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15244;
BgL_ez00_15244 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15245;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15246;
BgL_arg4072z00_15246 = 
BGL_EXITD_PROTECT(BgL_ez00_15244); 
BgL_arg4071z00_15245 = 
MAKE_YOUNG_PAIR(BgL_sz00_15232, BgL_arg4072z00_15246); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15244, BgL_arg4071z00_15245); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15247;
BgL_____rz00_15247 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12502, BgL_nsz00_15242, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5180z00_28863;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15248;
BgL_arg4070z00_15248 = 
BGL_EXITD_PROTECT(BgL_ez00_15244); 
BgL_test5180z00_28863 = 
PAIRP(BgL_arg4070z00_15248); } 
if(BgL_test5180z00_28863)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15249;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15250;
BgL_arg4069z00_15250 = 
BGL_EXITD_PROTECT(BgL_ez00_15244); 
BgL_arg4068z00_15249 = 
CDR(
((obj_t)BgL_arg4069z00_15250)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15244, BgL_arg4068z00_15249); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15243, BgL_sz00_15232); 
return BgL_____rz00_15247;} } } } } } } } 

}



/* &run4295 */
obj_t BGl_z62run4295z62zz__evaluate_compz00(obj_t BgL_envz00_12505, obj_t BgL_sz00_12511)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12506; long BgL_siza7eza7_12507; obj_t BgL_valza2za2_12508; BgL_ev_absz00_bglt BgL_i1252z00_12509; obj_t BgL_bodyz00_12510;
BgL_iboxesz00_12506 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12505, 
(int)(((long)0)))); 
BgL_siza7eza7_12507 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12505, 
(int)(((long)1)))); 
BgL_valza2za2_12508 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12505, 
(int)(((long)2)))); 
BgL_i1252z00_12509 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12505, 
(int)(((long)3)))); 
BgL_bodyz00_12510 = 
PROCEDURE_REF(BgL_envz00_12505, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15251;
BgL_bpz00_15251 = 
VECTOR_REF(
((obj_t)BgL_sz00_12511),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12511, BgL_iboxesz00_12506, BgL_bpz00_15251); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12511, BgL_valza2za2_12508, 
(
(long)CINT(BgL_bpz00_15251)+BgL_siza7eza7_12507)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15252; obj_t BgL_wherez00_15253; obj_t BgL_locz00_15254;
BgL_z12denvz12_15252 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15253 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12509))->BgL_wherez00); 
BgL_locz00_15254 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12509))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15252, BgL_wherez00_15253, BgL_locz00_15254); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15255;
BgL_za2za2resza2za2z00_15255 = 
PROCEDURE_ENTRY(BgL_bodyz00_12510)(BgL_bodyz00_12510, BgL_sz00_12511, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15252); 
return BgL_za2za2resza2za2z00_15255;} } } } } } 

}



/* &<@anonymous:3216> */
obj_t BGl_z62zc3z04anonymousza33216ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12512, obj_t BgL_sz00_12516)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12513; obj_t BgL_bodyz00_12514; long BgL_siza7ezd2framez75_12515;
BgL_i1252z00_12513 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)0)))); 
BgL_bodyz00_12514 = 
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12515 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15256;
BgL_bpz00_15256 = 
VECTOR_REF(
((obj_t)BgL_sz00_12516),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15257;
BgL_runz00_15257 = 
MAKE_FX_PROCEDURE(BGl_z62run4297z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15257, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12513)); 
PROCEDURE_SET(BgL_runz00_15257, 
(int)(((long)1)), BgL_bodyz00_12514); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15258;
BgL_mainz00_15258 = 
MAKE_FX_PROCEDURE(BGl_z62main4296z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15258, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12513)); 
PROCEDURE_SET(BgL_mainz00_15258, 
(int)(((long)1)), BgL_bodyz00_12514); 
PROCEDURE_SET(BgL_mainz00_15258, 
(int)(((long)2)), BgL_runz00_15257); 
PROCEDURE_SET(BgL_mainz00_15258, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12515)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15259;
BgL_objz00_15259 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15257, BgL_objz00_15259); BgL_objz00_15259; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3217z00_15260;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3218z00_15261;
BgL_arg3218z00_15261 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12513))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15262;
BgL_newz00_15262 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28935;
BgL_tmpz00_28935 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15262, BgL_tmpz00_28935, BgL_arg3218z00_15261); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28940; int BgL_tmpz00_28938;
BgL_auxz00_28940 = 
BINT(BgL_siza7ezd2framez75_12515); 
BgL_tmpz00_28938 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15262, BgL_tmpz00_28938, BgL_auxz00_28940); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_28943;
BgL_tmpz00_28943 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15262, BgL_tmpz00_28943, BgL_runz00_15257); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_28948; int BgL_tmpz00_28946;
BgL_auxz00_28948 = 
BINT(((long)0)); 
BgL_tmpz00_28946 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15262, BgL_tmpz00_28946, BgL_auxz00_28948); } 
BgL_arg3217z00_15260 = BgL_newz00_15262; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15258, BgL_arg3217z00_15260); BgL_arg3217z00_15260; } 
return BgL_mainz00_15258;} } } } } } 

}



/* &main4296 */
obj_t BGl_z62main4296z62zz__evaluate_compz00(obj_t BgL_envz00_12517)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12520; long BgL_siza7ezd2framez75_12521;
BgL_runz00_12520 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12517, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12521 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12517, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15263;
BgL_sz00_15263 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15264;
BgL_bpz00_15264 = 
VECTOR_REF(
((obj_t)BgL_sz00_15263),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15263, BgL_bpz00_15264, 
BINT(BgL_siza7ezd2framez75_12521)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15265;
BgL_ez00_15265 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15266;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15267;
BgL_arg4072z00_15267 = 
BGL_EXITD_PROTECT(BgL_ez00_15265); 
BgL_arg4071z00_15266 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15264, BgL_arg4072z00_15267); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15265, BgL_arg4071z00_15266); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15268;
BgL_accz00_15268 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12520, BgL_sz00_15263, BgL_bpz00_15264); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5182z00_28969;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15269;
BgL_arg4070z00_15269 = 
BGL_EXITD_PROTECT(BgL_ez00_15265); 
BgL_test5182z00_28969 = 
PAIRP(BgL_arg4070z00_15269); } 
if(BgL_test5182z00_28969)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15270;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15271;
BgL_arg4069z00_15271 = 
BGL_EXITD_PROTECT(BgL_ez00_15265); 
BgL_arg4068z00_15270 = 
CDR(
((obj_t)BgL_arg4069z00_15271)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15265, BgL_arg4068z00_15270); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15263),((long)0),BgL_bpz00_15264); 
return BgL_accz00_15268;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15272;
BgL_nsz00_15272 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15272,((long)1),BgL_sz00_15263); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15273;
BgL_z12denvz12_15273 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15273, BgL_nsz00_15272); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15274;
BgL_ez00_15274 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15275;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15276;
BgL_arg4072z00_15276 = 
BGL_EXITD_PROTECT(BgL_ez00_15274); 
BgL_arg4071z00_15275 = 
MAKE_YOUNG_PAIR(BgL_sz00_15263, BgL_arg4072z00_15276); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15274, BgL_arg4071z00_15275); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15277;
BgL_____rz00_15277 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12520, BgL_nsz00_15272, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5183z00_28988;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15278;
BgL_arg4070z00_15278 = 
BGL_EXITD_PROTECT(BgL_ez00_15274); 
BgL_test5183z00_28988 = 
PAIRP(BgL_arg4070z00_15278); } 
if(BgL_test5183z00_28988)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15279;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15280;
BgL_arg4069z00_15280 = 
BGL_EXITD_PROTECT(BgL_ez00_15274); 
BgL_arg4068z00_15279 = 
CDR(
((obj_t)BgL_arg4069z00_15280)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15274, BgL_arg4068z00_15279); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15273, BgL_sz00_15263); 
return BgL_____rz00_15277;} } } } } } } } 

}



/* &run4297 */
obj_t BGl_z62run4297z62zz__evaluate_compz00(obj_t BgL_envz00_12522, obj_t BgL_sz00_12525)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12523; obj_t BgL_bodyz00_12524;
BgL_i1252z00_12523 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12522, 
(int)(((long)0)))); 
BgL_bodyz00_12524 = 
PROCEDURE_REF(BgL_envz00_12522, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15281;
BgL_bpz00_15281 = 
VECTOR_REF(
((obj_t)BgL_sz00_12525),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15282; obj_t BgL_wherez00_15283; obj_t BgL_locz00_15284;
BgL_z12denvz12_15282 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15283 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12523))->BgL_wherez00); 
BgL_locz00_15284 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12523))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15282, BgL_wherez00_15283, BgL_locz00_15284); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15285;
BgL_za2za2resza2za2z00_15285 = 
PROCEDURE_ENTRY(BgL_bodyz00_12524)(BgL_bodyz00_12524, BgL_sz00_12525, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15282); 
return BgL_za2za2resza2za2z00_15285;} } } } } } 

}



/* &<@anonymous:3222> */
obj_t BGl_z62zc3z04anonymousza33222ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12526, obj_t BgL_sz00_12531)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12527; BgL_ev_absz00_bglt BgL_i1252z00_12528; obj_t BgL_bodyz00_12529; long BgL_siza7ezd2framez75_12530;
BgL_iboxesz00_12527 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)0)))); 
BgL_i1252z00_12528 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)1)))); 
BgL_bodyz00_12529 = 
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12530 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12526, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15286;
BgL_bpz00_15286 = 
VECTOR_REF(
((obj_t)BgL_sz00_12531),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15287;
BgL_runz00_15287 = 
MAKE_FX_PROCEDURE(BGl_z62run4299z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15287, 
(int)(((long)0)), BgL_iboxesz00_12527); 
PROCEDURE_SET(BgL_runz00_15287, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12528)); 
PROCEDURE_SET(BgL_runz00_15287, 
(int)(((long)2)), BgL_bodyz00_12529); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15288;
BgL_mainz00_15288 = 
MAKE_FX_PROCEDURE(BGl_z62main4298z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15288, 
(int)(((long)0)), BgL_iboxesz00_12527); 
PROCEDURE_SET(BgL_mainz00_15288, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12528)); 
PROCEDURE_SET(BgL_mainz00_15288, 
(int)(((long)2)), BgL_bodyz00_12529); 
PROCEDURE_SET(BgL_mainz00_15288, 
(int)(((long)3)), BgL_runz00_15287); 
PROCEDURE_SET(BgL_mainz00_15288, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12530)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15289;
BgL_objz00_15289 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15287, BgL_objz00_15289); BgL_objz00_15289; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3223z00_15290;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3224z00_15291;
BgL_arg3224z00_15291 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12528))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15292;
BgL_newz00_15292 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29054;
BgL_tmpz00_29054 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15292, BgL_tmpz00_29054, BgL_arg3224z00_15291); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29059; int BgL_tmpz00_29057;
BgL_auxz00_29059 = 
BINT(BgL_siza7ezd2framez75_12530); 
BgL_tmpz00_29057 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15292, BgL_tmpz00_29057, BgL_auxz00_29059); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29062;
BgL_tmpz00_29062 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15292, BgL_tmpz00_29062, BgL_runz00_15287); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29067; int BgL_tmpz00_29065;
BgL_auxz00_29067 = 
BINT(((long)0)); 
BgL_tmpz00_29065 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15292, BgL_tmpz00_29065, BgL_auxz00_29067); } 
BgL_arg3223z00_15290 = BgL_newz00_15292; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15288, BgL_arg3223z00_15290); BgL_arg3223z00_15290; } 
return BgL_mainz00_15288;} } } } } } 

}



/* &main4298 */
obj_t BGl_z62main4298z62zz__evaluate_compz00(obj_t BgL_envz00_12532)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12536; long BgL_siza7ezd2framez75_12537;
BgL_runz00_12536 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12532, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12537 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12532, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15293;
BgL_sz00_15293 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15294;
BgL_bpz00_15294 = 
VECTOR_REF(
((obj_t)BgL_sz00_15293),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15293, BgL_bpz00_15294, 
BINT(BgL_siza7ezd2framez75_12537)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15295;
BgL_ez00_15295 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15296;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15297;
BgL_arg4072z00_15297 = 
BGL_EXITD_PROTECT(BgL_ez00_15295); 
BgL_arg4071z00_15296 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15294, BgL_arg4072z00_15297); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15295, BgL_arg4071z00_15296); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15298;
BgL_accz00_15298 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12536, BgL_sz00_15293, BgL_bpz00_15294); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5185z00_29088;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15299;
BgL_arg4070z00_15299 = 
BGL_EXITD_PROTECT(BgL_ez00_15295); 
BgL_test5185z00_29088 = 
PAIRP(BgL_arg4070z00_15299); } 
if(BgL_test5185z00_29088)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15300;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15301;
BgL_arg4069z00_15301 = 
BGL_EXITD_PROTECT(BgL_ez00_15295); 
BgL_arg4068z00_15300 = 
CDR(
((obj_t)BgL_arg4069z00_15301)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15295, BgL_arg4068z00_15300); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15293),((long)0),BgL_bpz00_15294); 
return BgL_accz00_15298;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15302;
BgL_nsz00_15302 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15302,((long)1),BgL_sz00_15293); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15303;
BgL_z12denvz12_15303 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15303, BgL_nsz00_15302); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15304;
BgL_ez00_15304 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15305;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15306;
BgL_arg4072z00_15306 = 
BGL_EXITD_PROTECT(BgL_ez00_15304); 
BgL_arg4071z00_15305 = 
MAKE_YOUNG_PAIR(BgL_sz00_15293, BgL_arg4072z00_15306); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15304, BgL_arg4071z00_15305); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15307;
BgL_____rz00_15307 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12536, BgL_nsz00_15302, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5186z00_29107;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15308;
BgL_arg4070z00_15308 = 
BGL_EXITD_PROTECT(BgL_ez00_15304); 
BgL_test5186z00_29107 = 
PAIRP(BgL_arg4070z00_15308); } 
if(BgL_test5186z00_29107)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15309;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15310;
BgL_arg4069z00_15310 = 
BGL_EXITD_PROTECT(BgL_ez00_15304); 
BgL_arg4068z00_15309 = 
CDR(
((obj_t)BgL_arg4069z00_15310)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15304, BgL_arg4068z00_15309); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15303, BgL_sz00_15293); 
return BgL_____rz00_15307;} } } } } } } } 

}



/* &run4299 */
obj_t BGl_z62run4299z62zz__evaluate_compz00(obj_t BgL_envz00_12538, obj_t BgL_sz00_12542)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12539; BgL_ev_absz00_bglt BgL_i1252z00_12540; obj_t BgL_bodyz00_12541;
BgL_iboxesz00_12539 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12538, 
(int)(((long)0)))); 
BgL_i1252z00_12540 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12538, 
(int)(((long)1)))); 
BgL_bodyz00_12541 = 
PROCEDURE_REF(BgL_envz00_12538, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15311;
BgL_bpz00_15311 = 
VECTOR_REF(
((obj_t)BgL_sz00_12542),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12542, BgL_iboxesz00_12539, BgL_bpz00_15311); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15312; obj_t BgL_wherez00_15313; obj_t BgL_locz00_15314;
BgL_z12denvz12_15312 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15313 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12540))->BgL_wherez00); 
BgL_locz00_15314 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12540))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15312, BgL_wherez00_15313, BgL_locz00_15314); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15315;
BgL_za2za2resza2za2z00_15315 = 
PROCEDURE_ENTRY(BgL_bodyz00_12541)(BgL_bodyz00_12541, BgL_sz00_12542, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15312); 
return BgL_za2za2resza2za2z00_15315;} } } } } } 

}



/* &<@anonymous:3231> */
obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12543, obj_t BgL_sz00_12549)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12544; long BgL_siza7eza7_12545; BgL_ev_absz00_bglt BgL_i1252z00_12546; obj_t BgL_bodyz00_12547; long BgL_siza7ezd2framez75_12548;
BgL_ifreesz00_12544 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)0)))); 
BgL_siza7eza7_12545 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)1)))); 
BgL_i1252z00_12546 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)2)))); 
BgL_bodyz00_12547 = 
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12548 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15316;
BgL_bpz00_15316 = 
VECTOR_REF(
((obj_t)BgL_sz00_12549),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15317;
BgL_valza2za2_15317 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12549, BgL_bpz00_15316, BgL_ifreesz00_12544); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15318;
BgL_runz00_15318 = 
MAKE_FX_PROCEDURE(BGl_z62run4301z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15318, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12545)); 
PROCEDURE_SET(BgL_runz00_15318, 
(int)(((long)1)), BgL_valza2za2_15317); 
PROCEDURE_SET(BgL_runz00_15318, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12546)); 
PROCEDURE_SET(BgL_runz00_15318, 
(int)(((long)3)), BgL_bodyz00_12547); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15319;
BgL_mainz00_15319 = 
MAKE_FX_PROCEDURE(BGl_z62main4300z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12545)); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)1)), BgL_valza2za2_15317); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12546)); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)3)), BgL_bodyz00_12547); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)4)), BgL_runz00_15318); 
PROCEDURE_SET(BgL_mainz00_15319, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12548)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15320;
BgL_objz00_15320 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15318, BgL_objz00_15320); BgL_objz00_15320; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3232z00_15321;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3233z00_15322;
BgL_arg3233z00_15322 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12546))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15323;
BgL_newz00_15323 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29187;
BgL_tmpz00_29187 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15323, BgL_tmpz00_29187, BgL_arg3233z00_15322); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29192; int BgL_tmpz00_29190;
BgL_auxz00_29192 = 
BINT(BgL_siza7ezd2framez75_12548); 
BgL_tmpz00_29190 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15323, BgL_tmpz00_29190, BgL_auxz00_29192); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29195;
BgL_tmpz00_29195 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15323, BgL_tmpz00_29195, BgL_runz00_15318); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29200; int BgL_tmpz00_29198;
BgL_auxz00_29200 = 
BINT(((long)0)); 
BgL_tmpz00_29198 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15323, BgL_tmpz00_29198, BgL_auxz00_29200); } 
BgL_arg3232z00_15321 = BgL_newz00_15323; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15319, BgL_arg3232z00_15321); BgL_arg3232z00_15321; } 
return BgL_mainz00_15319;} } } } } } 

}



/* &main4300 */
obj_t BGl_z62main4300z62zz__evaluate_compz00(obj_t BgL_envz00_12550)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12555; long BgL_siza7ezd2framez75_12556;
BgL_runz00_12555 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12550, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12556 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12550, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15324;
BgL_sz00_15324 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15325;
BgL_bpz00_15325 = 
VECTOR_REF(
((obj_t)BgL_sz00_15324),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15324, BgL_bpz00_15325, 
BINT(BgL_siza7ezd2framez75_12556)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15326;
BgL_ez00_15326 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15327;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15328;
BgL_arg4072z00_15328 = 
BGL_EXITD_PROTECT(BgL_ez00_15326); 
BgL_arg4071z00_15327 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15325, BgL_arg4072z00_15328); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15326, BgL_arg4071z00_15327); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15329;
BgL_accz00_15329 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12555, BgL_sz00_15324, BgL_bpz00_15325); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5188z00_29221;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15330;
BgL_arg4070z00_15330 = 
BGL_EXITD_PROTECT(BgL_ez00_15326); 
BgL_test5188z00_29221 = 
PAIRP(BgL_arg4070z00_15330); } 
if(BgL_test5188z00_29221)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15331;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15332;
BgL_arg4069z00_15332 = 
BGL_EXITD_PROTECT(BgL_ez00_15326); 
BgL_arg4068z00_15331 = 
CDR(
((obj_t)BgL_arg4069z00_15332)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15326, BgL_arg4068z00_15331); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15324),((long)0),BgL_bpz00_15325); 
return BgL_accz00_15329;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15333;
BgL_nsz00_15333 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15333,((long)1),BgL_sz00_15324); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15334;
BgL_z12denvz12_15334 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15334, BgL_nsz00_15333); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15335;
BgL_ez00_15335 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15336;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15337;
BgL_arg4072z00_15337 = 
BGL_EXITD_PROTECT(BgL_ez00_15335); 
BgL_arg4071z00_15336 = 
MAKE_YOUNG_PAIR(BgL_sz00_15324, BgL_arg4072z00_15337); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15335, BgL_arg4071z00_15336); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15338;
BgL_____rz00_15338 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12555, BgL_nsz00_15333, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5189z00_29240;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15339;
BgL_arg4070z00_15339 = 
BGL_EXITD_PROTECT(BgL_ez00_15335); 
BgL_test5189z00_29240 = 
PAIRP(BgL_arg4070z00_15339); } 
if(BgL_test5189z00_29240)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15340;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15341;
BgL_arg4069z00_15341 = 
BGL_EXITD_PROTECT(BgL_ez00_15335); 
BgL_arg4068z00_15340 = 
CDR(
((obj_t)BgL_arg4069z00_15341)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15335, BgL_arg4068z00_15340); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15334, BgL_sz00_15324); 
return BgL_____rz00_15338;} } } } } } } } 

}



/* &run4301 */
obj_t BGl_z62run4301z62zz__evaluate_compz00(obj_t BgL_envz00_12557, obj_t BgL_sz00_12562)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12558; obj_t BgL_valza2za2_12559; BgL_ev_absz00_bglt BgL_i1252z00_12560; obj_t BgL_bodyz00_12561;
BgL_siza7eza7_12558 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)0)))); 
BgL_valza2za2_12559 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)1)))); 
BgL_i1252z00_12560 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)2)))); 
BgL_bodyz00_12561 = 
PROCEDURE_REF(BgL_envz00_12557, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15342;
BgL_bpz00_15342 = 
VECTOR_REF(
((obj_t)BgL_sz00_12562),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12562, BgL_valza2za2_12559, 
(
(long)CINT(BgL_bpz00_15342)+BgL_siza7eza7_12558)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15343; obj_t BgL_wherez00_15344; obj_t BgL_locz00_15345;
BgL_z12denvz12_15343 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15344 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12560))->BgL_wherez00); 
BgL_locz00_15345 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12560))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15343, BgL_wherez00_15344, BgL_locz00_15345); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15346;
BgL_za2za2resza2za2z00_15346 = 
PROCEDURE_ENTRY(BgL_bodyz00_12561)(BgL_bodyz00_12561, BgL_sz00_12562, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15343); 
return BgL_za2za2resza2za2z00_15346;} } } } } } 

}



/* &<@anonymous:3238> */
obj_t BGl_z62zc3z04anonymousza33238ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12563, obj_t BgL_sz00_12570)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12564; obj_t BgL_iboxesz00_12565; long BgL_siza7eza7_12566; BgL_ev_absz00_bglt BgL_i1252z00_12567; obj_t BgL_bodyz00_12568; long BgL_siza7ezd2framez75_12569;
BgL_ifreesz00_12564 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)0)))); 
BgL_iboxesz00_12565 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)1)))); 
BgL_siza7eza7_12566 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)2)))); 
BgL_i1252z00_12567 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)3)))); 
BgL_bodyz00_12568 = 
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12569 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12563, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15347;
BgL_bpz00_15347 = 
VECTOR_REF(
((obj_t)BgL_sz00_12570),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15348;
BgL_valza2za2_15348 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12570, BgL_bpz00_15347, BgL_ifreesz00_12564); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15349;
BgL_runz00_15349 = 
MAKE_FX_PROCEDURE(BGl_z62run4303z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15349, 
(int)(((long)0)), BgL_iboxesz00_12565); 
PROCEDURE_SET(BgL_runz00_15349, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12566)); 
PROCEDURE_SET(BgL_runz00_15349, 
(int)(((long)2)), BgL_valza2za2_15348); 
PROCEDURE_SET(BgL_runz00_15349, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12567)); 
PROCEDURE_SET(BgL_runz00_15349, 
(int)(((long)4)), BgL_bodyz00_12568); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15350;
BgL_mainz00_15350 = 
MAKE_FX_PROCEDURE(BGl_z62main4302z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)0)), BgL_iboxesz00_12565); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12566)); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)2)), BgL_valza2za2_15348); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12567)); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)4)), BgL_bodyz00_12568); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)5)), BgL_runz00_15349); 
PROCEDURE_SET(BgL_mainz00_15350, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12569)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15351;
BgL_objz00_15351 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15349, BgL_objz00_15351); BgL_objz00_15351; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3239z00_15352;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3240z00_15353;
BgL_arg3240z00_15353 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12567))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15354;
BgL_newz00_15354 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29332;
BgL_tmpz00_29332 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15354, BgL_tmpz00_29332, BgL_arg3240z00_15353); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29337; int BgL_tmpz00_29335;
BgL_auxz00_29337 = 
BINT(BgL_siza7ezd2framez75_12569); 
BgL_tmpz00_29335 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15354, BgL_tmpz00_29335, BgL_auxz00_29337); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29340;
BgL_tmpz00_29340 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15354, BgL_tmpz00_29340, BgL_runz00_15349); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29345; int BgL_tmpz00_29343;
BgL_auxz00_29345 = 
BINT(((long)0)); 
BgL_tmpz00_29343 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15354, BgL_tmpz00_29343, BgL_auxz00_29345); } 
BgL_arg3239z00_15352 = BgL_newz00_15354; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15350, BgL_arg3239z00_15352); BgL_arg3239z00_15352; } 
return BgL_mainz00_15350;} } } } } } 

}



/* &main4302 */
obj_t BGl_z62main4302z62zz__evaluate_compz00(obj_t BgL_envz00_12571)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_12577; long BgL_siza7ezd2framez75_12578;
BgL_runz00_12577 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12571, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12578 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12571, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15355;
BgL_sz00_15355 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15356;
BgL_bpz00_15356 = 
VECTOR_REF(
((obj_t)BgL_sz00_15355),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15355, BgL_bpz00_15356, 
BINT(BgL_siza7ezd2framez75_12578)))
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15357;
BgL_ez00_15357 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15358;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15359;
BgL_arg4072z00_15359 = 
BGL_EXITD_PROTECT(BgL_ez00_15357); 
BgL_arg4071z00_15358 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15356, BgL_arg4072z00_15359); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15357, BgL_arg4071z00_15358); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15360;
BgL_accz00_15360 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12577, BgL_sz00_15355, BgL_bpz00_15356); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5191z00_29366;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15361;
BgL_arg4070z00_15361 = 
BGL_EXITD_PROTECT(BgL_ez00_15357); 
BgL_test5191z00_29366 = 
PAIRP(BgL_arg4070z00_15361); } 
if(BgL_test5191z00_29366)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15362;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15363;
BgL_arg4069z00_15363 = 
BGL_EXITD_PROTECT(BgL_ez00_15357); 
BgL_arg4068z00_15362 = 
CDR(
((obj_t)BgL_arg4069z00_15363)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15357, BgL_arg4068z00_15362); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15355),((long)0),BgL_bpz00_15356); 
return BgL_accz00_15360;} }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15364;
BgL_nsz00_15364 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15364,((long)1),BgL_sz00_15355); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15365;
BgL_z12denvz12_15365 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15365, BgL_nsz00_15364); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15366;
BgL_ez00_15366 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15367;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15368;
BgL_arg4072z00_15368 = 
BGL_EXITD_PROTECT(BgL_ez00_15366); 
BgL_arg4071z00_15367 = 
MAKE_YOUNG_PAIR(BgL_sz00_15355, BgL_arg4072z00_15368); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15366, BgL_arg4071z00_15367); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15369;
BgL_____rz00_15369 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12577, BgL_nsz00_15364, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5192z00_29385;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15370;
BgL_arg4070z00_15370 = 
BGL_EXITD_PROTECT(BgL_ez00_15366); 
BgL_test5192z00_29385 = 
PAIRP(BgL_arg4070z00_15370); } 
if(BgL_test5192z00_29385)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15371;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15372;
BgL_arg4069z00_15372 = 
BGL_EXITD_PROTECT(BgL_ez00_15366); 
BgL_arg4068z00_15371 = 
CDR(
((obj_t)BgL_arg4069z00_15372)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15366, BgL_arg4068z00_15371); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15365, BgL_sz00_15355); 
return BgL_____rz00_15369;} } } } } } } } 

}



/* &run4303 */
obj_t BGl_z62run4303z62zz__evaluate_compz00(obj_t BgL_envz00_12579, obj_t BgL_sz00_12585)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12580; long BgL_siza7eza7_12581; obj_t BgL_valza2za2_12582; BgL_ev_absz00_bglt BgL_i1252z00_12583; obj_t BgL_bodyz00_12584;
BgL_iboxesz00_12580 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12579, 
(int)(((long)0)))); 
BgL_siza7eza7_12581 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12579, 
(int)(((long)1)))); 
BgL_valza2za2_12582 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12579, 
(int)(((long)2)))); 
BgL_i1252z00_12583 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12579, 
(int)(((long)3)))); 
BgL_bodyz00_12584 = 
PROCEDURE_REF(BgL_envz00_12579, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15373;
BgL_bpz00_15373 = 
VECTOR_REF(
((obj_t)BgL_sz00_12585),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12585, BgL_iboxesz00_12580, BgL_bpz00_15373); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12585, BgL_valza2za2_12582, 
(
(long)CINT(BgL_bpz00_15373)+BgL_siza7eza7_12581)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15374; obj_t BgL_wherez00_15375; obj_t BgL_locz00_15376;
BgL_z12denvz12_15374 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15375 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12583))->BgL_wherez00); 
BgL_locz00_15376 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12583))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15374, BgL_wherez00_15375, BgL_locz00_15376); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15377;
BgL_za2za2resza2za2z00_15377 = 
PROCEDURE_ENTRY(BgL_bodyz00_12584)(BgL_bodyz00_12584, BgL_sz00_12585, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15374); 
return BgL_za2za2resza2za2z00_15377;} } } } } } 

}



/* &<@anonymous:3666> */
obj_t BGl_z62zc3z04anonymousza33666ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12586, obj_t BgL_sz00_12590)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12587; obj_t BgL_bodyz00_12588; long BgL_siza7ezd2framez75_12589;
BgL_i1252z00_12587 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12586, 
(int)(((long)0)))); 
BgL_bodyz00_12588 = 
PROCEDURE_REF(BgL_envz00_12586, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12586, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15378;
BgL_bpz00_15378 = 
VECTOR_REF(
((obj_t)BgL_sz00_12590),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15379;
BgL_runz00_15379 = 
MAKE_FX_PROCEDURE(BGl_z62run4305z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_15379, 
(int)(((long)0)), 
((obj_t)BgL_i1252z00_12587)); 
PROCEDURE_SET(BgL_runz00_15379, 
(int)(((long)1)), BgL_bodyz00_12588); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15380;
BgL_mainz00_15380 = 
MAKE_VA_PROCEDURE(BGl_z62main4304z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_15380, 
(int)(((long)0)), BgL_bodyz00_12588); 
PROCEDURE_SET(BgL_mainz00_15380, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12587)); 
PROCEDURE_SET(BgL_mainz00_15380, 
(int)(((long)2)), BgL_runz00_15379); 
PROCEDURE_SET(BgL_mainz00_15380, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12589)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15381;
BgL_objz00_15381 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15379, BgL_objz00_15381); BgL_objz00_15381; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3667z00_15382;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3668z00_15383; obj_t BgL_arg3669z00_15384;
BgL_arg3668z00_15383 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_arityz00); 
BgL_arg3669z00_15384 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12587))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15385;
BgL_newz00_15385 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29458;
BgL_tmpz00_29458 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15385, BgL_tmpz00_29458, BgL_arg3669z00_15384); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29463; int BgL_tmpz00_29461;
BgL_auxz00_29463 = 
BINT(BgL_siza7ezd2framez75_12589); 
BgL_tmpz00_29461 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15385, BgL_tmpz00_29461, BgL_auxz00_29463); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29466;
BgL_tmpz00_29466 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15385, BgL_tmpz00_29466, BgL_runz00_15379); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29469;
BgL_tmpz00_29469 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15385, BgL_tmpz00_29469, BgL_arg3668z00_15383); } 
BgL_arg3667z00_15382 = BgL_newz00_15385; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15380, BgL_arg3667z00_15382); BgL_arg3667z00_15382; } 
return BgL_mainz00_15380;} } } } } } 

}



/* &main4304 */
obj_t BGl_z62main4304z62zz__evaluate_compz00(obj_t BgL_envz00_12591, obj_t BgL_az00_12596, obj_t BgL_bz00_12597, obj_t BgL_cz00_12598, obj_t BgL_dz00_12599, obj_t BgL_restz00_12600)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12593; obj_t BgL_runz00_12594; long BgL_siza7ezd2framez75_12595;
BgL_i1252z00_12593 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12591, 
(int)(((long)1)))); 
BgL_runz00_12594 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12591, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12595 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12591, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15386;
BgL_sz00_15386 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15387;
BgL_bpz00_15387 = 
VECTOR_REF(
((obj_t)BgL_sz00_15386),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15386, BgL_bpz00_15387, 
BINT(BgL_siza7ezd2framez75_12595)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3672z00_15388;
BgL_arg3672z00_15388 = 
(
(long)CINT(BgL_bpz00_15387)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15386),BgL_arg3672z00_15388,BgL_az00_12596); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3673z00_15389;
BgL_arg3673z00_15389 = 
(
(long)CINT(BgL_bpz00_15387)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15386),BgL_arg3673z00_15389,BgL_bz00_12597); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3674z00_15390;
BgL_arg3674z00_15390 = 
(
(long)CINT(BgL_bpz00_15387)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15386),BgL_arg3674z00_15390,BgL_cz00_12598); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3675z00_15391;
BgL_arg3675z00_15391 = 
(
(long)CINT(BgL_bpz00_15387)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15386),BgL_arg3675z00_15391,BgL_dz00_12599); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15386, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15387)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_arityz00), ((long)4)), BgL_restz00_12600, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15392;
BgL_ez00_15392 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15393;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15394;
BgL_arg4072z00_15394 = 
BGL_EXITD_PROTECT(BgL_ez00_15392); 
BgL_arg4071z00_15393 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15387, BgL_arg4072z00_15394); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15392, BgL_arg4071z00_15393); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15395;
BgL_accz00_15395 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12594, BgL_sz00_15386, BgL_bpz00_15387); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5194z00_29516;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15396;
BgL_arg4070z00_15396 = 
BGL_EXITD_PROTECT(BgL_ez00_15392); 
BgL_test5194z00_29516 = 
PAIRP(BgL_arg4070z00_15396); } 
if(BgL_test5194z00_29516)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15397;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15398;
BgL_arg4069z00_15398 = 
BGL_EXITD_PROTECT(BgL_ez00_15392); 
BgL_arg4068z00_15397 = 
CDR(
((obj_t)BgL_arg4069z00_15398)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15392, BgL_arg4068z00_15397); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15386),((long)0),BgL_bpz00_15387); 
return BgL_accz00_15395;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15399;
BgL_nsz00_15399 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15399,((long)1),BgL_sz00_15386); 
VECTOR_SET(BgL_nsz00_15399,((long)2),BgL_az00_12596); 
VECTOR_SET(BgL_nsz00_15399,((long)3),BgL_bz00_12597); 
VECTOR_SET(BgL_nsz00_15399,((long)4),BgL_cz00_12598); 
VECTOR_SET(BgL_nsz00_15399,((long)5),BgL_dz00_12599); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15399, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_arityz00), ((long)4)), BgL_restz00_12600, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12593))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15400;
BgL_z12denvz12_15400 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15400, BgL_nsz00_15399); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15401;
BgL_ez00_15401 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15402;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15403;
BgL_arg4072z00_15403 = 
BGL_EXITD_PROTECT(BgL_ez00_15401); 
BgL_arg4071z00_15402 = 
MAKE_YOUNG_PAIR(BgL_sz00_15386, BgL_arg4072z00_15403); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15401, BgL_arg4071z00_15402); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15404;
BgL_____rz00_15404 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12594, BgL_nsz00_15399, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5195z00_29544;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15405;
BgL_arg4070z00_15405 = 
BGL_EXITD_PROTECT(BgL_ez00_15401); 
BgL_test5195z00_29544 = 
PAIRP(BgL_arg4070z00_15405); } 
if(BgL_test5195z00_29544)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15406;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15407;
BgL_arg4069z00_15407 = 
BGL_EXITD_PROTECT(BgL_ez00_15401); 
BgL_arg4068z00_15406 = 
CDR(
((obj_t)BgL_arg4069z00_15407)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15401, BgL_arg4068z00_15406); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15400, BgL_sz00_15386); 
return BgL_____rz00_15404;} } } } } } } } 

}



/* &run4305 */
obj_t BGl_z62run4305z62zz__evaluate_compz00(obj_t BgL_envz00_12601, obj_t BgL_sz00_12604)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12602; obj_t BgL_bodyz00_12603;
BgL_i1252z00_12602 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12601, 
(int)(((long)0)))); 
BgL_bodyz00_12603 = 
PROCEDURE_REF(BgL_envz00_12601, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15408;
BgL_bpz00_15408 = 
VECTOR_REF(
((obj_t)BgL_sz00_12604),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15409; obj_t BgL_wherez00_15410; obj_t BgL_locz00_15411;
BgL_z12denvz12_15409 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15410 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12602))->BgL_wherez00); 
BgL_locz00_15411 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12602))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15409, BgL_wherez00_15410, BgL_locz00_15411); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15412;
BgL_za2za2resza2za2z00_15412 = 
PROCEDURE_ENTRY(BgL_bodyz00_12603)(BgL_bodyz00_12603, BgL_sz00_12604, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15409); 
return BgL_za2za2resza2za2z00_15412;} } } } } } 

}



/* &<@anonymous:3686> */
obj_t BGl_z62zc3z04anonymousza33686ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12605, obj_t BgL_sz00_12610)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12606; BgL_ev_absz00_bglt BgL_i1252z00_12607; obj_t BgL_bodyz00_12608; long BgL_siza7ezd2framez75_12609;
BgL_iboxesz00_12606 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)0)))); 
BgL_i1252z00_12607 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)1)))); 
BgL_bodyz00_12608 = 
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12609 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12605, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15413;
BgL_bpz00_15413 = 
VECTOR_REF(
((obj_t)BgL_sz00_12610),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */

{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15414;
BgL_runz00_15414 = 
MAKE_FX_PROCEDURE(BGl_z62run4307z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_15414, 
(int)(((long)0)), BgL_iboxesz00_12606); 
PROCEDURE_SET(BgL_runz00_15414, 
(int)(((long)1)), 
((obj_t)BgL_i1252z00_12607)); 
PROCEDURE_SET(BgL_runz00_15414, 
(int)(((long)2)), BgL_bodyz00_12608); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15415;
BgL_mainz00_15415 = 
MAKE_VA_PROCEDURE(BGl_z62main4306z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_15415, 
(int)(((long)0)), BgL_iboxesz00_12606); 
PROCEDURE_SET(BgL_mainz00_15415, 
(int)(((long)1)), BgL_bodyz00_12608); 
PROCEDURE_SET(BgL_mainz00_15415, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12607)); 
PROCEDURE_SET(BgL_mainz00_15415, 
(int)(((long)3)), BgL_runz00_15414); 
PROCEDURE_SET(BgL_mainz00_15415, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12609)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15416;
BgL_objz00_15416 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15414, BgL_objz00_15416); BgL_objz00_15416; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3687z00_15417;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3688z00_15418; obj_t BgL_arg3689z00_15419;
BgL_arg3688z00_15418 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12607))->BgL_arityz00); 
BgL_arg3689z00_15419 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12607))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15420;
BgL_newz00_15420 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29611;
BgL_tmpz00_29611 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15420, BgL_tmpz00_29611, BgL_arg3689z00_15419); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29616; int BgL_tmpz00_29614;
BgL_auxz00_29616 = 
BINT(BgL_siza7ezd2framez75_12609); 
BgL_tmpz00_29614 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15420, BgL_tmpz00_29614, BgL_auxz00_29616); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29619;
BgL_tmpz00_29619 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15420, BgL_tmpz00_29619, BgL_runz00_15414); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29622;
BgL_tmpz00_29622 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15420, BgL_tmpz00_29622, BgL_arg3688z00_15418); } 
BgL_arg3687z00_15417 = BgL_newz00_15420; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15415, BgL_arg3687z00_15417); BgL_arg3687z00_15417; } 
return BgL_mainz00_15415;} } } } } } 

}



/* &main4306 */
obj_t BGl_z62main4306z62zz__evaluate_compz00(obj_t BgL_envz00_12611, obj_t BgL_az00_12617, obj_t BgL_bz00_12618, obj_t BgL_cz00_12619, obj_t BgL_dz00_12620, obj_t BgL_restz00_12621)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12614; obj_t BgL_runz00_12615; long BgL_siza7ezd2framez75_12616;
BgL_i1252z00_12614 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12611, 
(int)(((long)2)))); 
BgL_runz00_12615 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12611, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12616 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12611, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15421;
BgL_sz00_15421 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15422;
BgL_bpz00_15422 = 
VECTOR_REF(
((obj_t)BgL_sz00_15421),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15421, BgL_bpz00_15422, 
BINT(BgL_siza7ezd2framez75_12616)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3692z00_15423;
BgL_arg3692z00_15423 = 
(
(long)CINT(BgL_bpz00_15422)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15421),BgL_arg3692z00_15423,BgL_az00_12617); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3693z00_15424;
BgL_arg3693z00_15424 = 
(
(long)CINT(BgL_bpz00_15422)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15421),BgL_arg3693z00_15424,BgL_bz00_12618); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3694z00_15425;
BgL_arg3694z00_15425 = 
(
(long)CINT(BgL_bpz00_15422)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15421),BgL_arg3694z00_15425,BgL_cz00_12619); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3695z00_15426;
BgL_arg3695z00_15426 = 
(
(long)CINT(BgL_bpz00_15422)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15421),BgL_arg3695z00_15426,BgL_dz00_12620); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15421, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15422)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_arityz00), ((long)4)), BgL_restz00_12621, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15427;
BgL_ez00_15427 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15428;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15429;
BgL_arg4072z00_15429 = 
BGL_EXITD_PROTECT(BgL_ez00_15427); 
BgL_arg4071z00_15428 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15422, BgL_arg4072z00_15429); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15427, BgL_arg4071z00_15428); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15430;
BgL_accz00_15430 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12615, BgL_sz00_15421, BgL_bpz00_15422); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5197z00_29669;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15431;
BgL_arg4070z00_15431 = 
BGL_EXITD_PROTECT(BgL_ez00_15427); 
BgL_test5197z00_29669 = 
PAIRP(BgL_arg4070z00_15431); } 
if(BgL_test5197z00_29669)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15432;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15433;
BgL_arg4069z00_15433 = 
BGL_EXITD_PROTECT(BgL_ez00_15427); 
BgL_arg4068z00_15432 = 
CDR(
((obj_t)BgL_arg4069z00_15433)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15427, BgL_arg4068z00_15432); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15421),((long)0),BgL_bpz00_15422); 
return BgL_accz00_15430;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15434;
BgL_nsz00_15434 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15434,((long)1),BgL_sz00_15421); 
VECTOR_SET(BgL_nsz00_15434,((long)2),BgL_az00_12617); 
VECTOR_SET(BgL_nsz00_15434,((long)3),BgL_bz00_12618); 
VECTOR_SET(BgL_nsz00_15434,((long)4),BgL_cz00_12619); 
VECTOR_SET(BgL_nsz00_15434,((long)5),BgL_dz00_12620); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15434, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_arityz00), ((long)4)), BgL_restz00_12621, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12614))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15435;
BgL_z12denvz12_15435 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15435, BgL_nsz00_15434); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15436;
BgL_ez00_15436 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15437;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15438;
BgL_arg4072z00_15438 = 
BGL_EXITD_PROTECT(BgL_ez00_15436); 
BgL_arg4071z00_15437 = 
MAKE_YOUNG_PAIR(BgL_sz00_15421, BgL_arg4072z00_15438); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15436, BgL_arg4071z00_15437); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15439;
BgL_____rz00_15439 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12615, BgL_nsz00_15434, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5198z00_29697;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15440;
BgL_arg4070z00_15440 = 
BGL_EXITD_PROTECT(BgL_ez00_15436); 
BgL_test5198z00_29697 = 
PAIRP(BgL_arg4070z00_15440); } 
if(BgL_test5198z00_29697)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15441;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15442;
BgL_arg4069z00_15442 = 
BGL_EXITD_PROTECT(BgL_ez00_15436); 
BgL_arg4068z00_15441 = 
CDR(
((obj_t)BgL_arg4069z00_15442)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15436, BgL_arg4068z00_15441); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15435, BgL_sz00_15421); 
return BgL_____rz00_15439;} } } } } } } } 

}



/* &run4307 */
obj_t BGl_z62run4307z62zz__evaluate_compz00(obj_t BgL_envz00_12622, obj_t BgL_sz00_12626)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12623; BgL_ev_absz00_bglt BgL_i1252z00_12624; obj_t BgL_bodyz00_12625;
BgL_iboxesz00_12623 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12622, 
(int)(((long)0)))); 
BgL_i1252z00_12624 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12622, 
(int)(((long)1)))); 
BgL_bodyz00_12625 = 
PROCEDURE_REF(BgL_envz00_12622, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15443;
BgL_bpz00_15443 = 
VECTOR_REF(
((obj_t)BgL_sz00_12626),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12626, BgL_iboxesz00_12623, BgL_bpz00_15443); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15444; obj_t BgL_wherez00_15445; obj_t BgL_locz00_15446;
BgL_z12denvz12_15444 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15445 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12624))->BgL_wherez00); 
BgL_locz00_15446 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12624))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1181 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15444, BgL_wherez00_15445, BgL_locz00_15446); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_za2za2resza2za2z00_15447;
BgL_za2za2resza2za2z00_15447 = 
PROCEDURE_ENTRY(BgL_bodyz00_12625)(BgL_bodyz00_12625, BgL_sz00_12626, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15444); 
return BgL_za2za2resza2za2z00_15447;} } } } } } 

}



/* &<@anonymous:3709> */
obj_t BGl_z62zc3z04anonymousza33709ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12627, obj_t BgL_sz00_12633)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12628; long BgL_siza7eza7_12629; BgL_ev_absz00_bglt BgL_i1252z00_12630; obj_t BgL_bodyz00_12631; long BgL_siza7ezd2framez75_12632;
BgL_ifreesz00_12628 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12627, 
(int)(((long)0)))); 
BgL_siza7eza7_12629 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12627, 
(int)(((long)1)))); 
BgL_i1252z00_12630 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12627, 
(int)(((long)2)))); 
BgL_bodyz00_12631 = 
PROCEDURE_REF(BgL_envz00_12627, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12632 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12627, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15448;
BgL_bpz00_15448 = 
VECTOR_REF(
((obj_t)BgL_sz00_12633),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15449;
BgL_valza2za2_15449 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12633, BgL_bpz00_15448, BgL_ifreesz00_12628); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15450;
BgL_runz00_15450 = 
MAKE_FX_PROCEDURE(BGl_z62run4309z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_15450, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12629)); 
PROCEDURE_SET(BgL_runz00_15450, 
(int)(((long)1)), BgL_valza2za2_15449); 
PROCEDURE_SET(BgL_runz00_15450, 
(int)(((long)2)), 
((obj_t)BgL_i1252z00_12630)); 
PROCEDURE_SET(BgL_runz00_15450, 
(int)(((long)3)), BgL_bodyz00_12631); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15451;
BgL_mainz00_15451 = 
MAKE_VA_PROCEDURE(BGl_z62main4308z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12629)); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)1)), BgL_valza2za2_15449); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)2)), BgL_bodyz00_12631); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12630)); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)4)), BgL_runz00_15450); 
PROCEDURE_SET(BgL_mainz00_15451, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12632)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15452;
BgL_objz00_15452 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15450, BgL_objz00_15452); BgL_objz00_15452; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3710z00_15453;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3711z00_15454; obj_t BgL_arg3712z00_15455;
BgL_arg3711z00_15454 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12630))->BgL_arityz00); 
BgL_arg3712z00_15455 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12630))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15456;
BgL_newz00_15456 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29778;
BgL_tmpz00_29778 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15456, BgL_tmpz00_29778, BgL_arg3712z00_15455); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29783; int BgL_tmpz00_29781;
BgL_auxz00_29783 = 
BINT(BgL_siza7ezd2framez75_12632); 
BgL_tmpz00_29781 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15456, BgL_tmpz00_29781, BgL_auxz00_29783); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29786;
BgL_tmpz00_29786 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15456, BgL_tmpz00_29786, BgL_runz00_15450); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29789;
BgL_tmpz00_29789 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15456, BgL_tmpz00_29789, BgL_arg3711z00_15454); } 
BgL_arg3710z00_15453 = BgL_newz00_15456; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15451, BgL_arg3710z00_15453); BgL_arg3710z00_15453; } 
return BgL_mainz00_15451;} } } } } } 

}



/* &main4308 */
obj_t BGl_z62main4308z62zz__evaluate_compz00(obj_t BgL_envz00_12634, obj_t BgL_az00_12641, obj_t BgL_bz00_12642, obj_t BgL_cz00_12643, obj_t BgL_dz00_12644, obj_t BgL_restz00_12645)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12638; obj_t BgL_runz00_12639; long BgL_siza7ezd2framez75_12640;
BgL_i1252z00_12638 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12634, 
(int)(((long)3)))); 
BgL_runz00_12639 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12634, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12640 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12634, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15457;
BgL_sz00_15457 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15458;
BgL_bpz00_15458 = 
VECTOR_REF(
((obj_t)BgL_sz00_15457),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15457, BgL_bpz00_15458, 
BINT(BgL_siza7ezd2framez75_12640)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3715z00_15459;
BgL_arg3715z00_15459 = 
(
(long)CINT(BgL_bpz00_15458)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15457),BgL_arg3715z00_15459,BgL_az00_12641); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3716z00_15460;
BgL_arg3716z00_15460 = 
(
(long)CINT(BgL_bpz00_15458)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15457),BgL_arg3716z00_15460,BgL_bz00_12642); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3717z00_15461;
BgL_arg3717z00_15461 = 
(
(long)CINT(BgL_bpz00_15458)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15457),BgL_arg3717z00_15461,BgL_cz00_12643); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3718z00_15462;
BgL_arg3718z00_15462 = 
(
(long)CINT(BgL_bpz00_15458)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15457),BgL_arg3718z00_15462,BgL_dz00_12644); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15457, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15458)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_arityz00), ((long)4)), BgL_restz00_12645, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15463;
BgL_ez00_15463 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15464;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15465;
BgL_arg4072z00_15465 = 
BGL_EXITD_PROTECT(BgL_ez00_15463); 
BgL_arg4071z00_15464 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15458, BgL_arg4072z00_15465); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15463, BgL_arg4071z00_15464); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15466;
BgL_accz00_15466 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12639, BgL_sz00_15457, BgL_bpz00_15458); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5200z00_29836;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15467;
BgL_arg4070z00_15467 = 
BGL_EXITD_PROTECT(BgL_ez00_15463); 
BgL_test5200z00_29836 = 
PAIRP(BgL_arg4070z00_15467); } 
if(BgL_test5200z00_29836)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15468;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15469;
BgL_arg4069z00_15469 = 
BGL_EXITD_PROTECT(BgL_ez00_15463); 
BgL_arg4068z00_15468 = 
CDR(
((obj_t)BgL_arg4069z00_15469)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15463, BgL_arg4068z00_15468); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15457),((long)0),BgL_bpz00_15458); 
return BgL_accz00_15466;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15470;
BgL_nsz00_15470 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15470,((long)1),BgL_sz00_15457); 
VECTOR_SET(BgL_nsz00_15470,((long)2),BgL_az00_12641); 
VECTOR_SET(BgL_nsz00_15470,((long)3),BgL_bz00_12642); 
VECTOR_SET(BgL_nsz00_15470,((long)4),BgL_cz00_12643); 
VECTOR_SET(BgL_nsz00_15470,((long)5),BgL_dz00_12644); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15470, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_arityz00), ((long)4)), BgL_restz00_12645, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12638))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15471;
BgL_z12denvz12_15471 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15471, BgL_nsz00_15470); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15472;
BgL_ez00_15472 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15473;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15474;
BgL_arg4072z00_15474 = 
BGL_EXITD_PROTECT(BgL_ez00_15472); 
BgL_arg4071z00_15473 = 
MAKE_YOUNG_PAIR(BgL_sz00_15457, BgL_arg4072z00_15474); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15472, BgL_arg4071z00_15473); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15475;
BgL_____rz00_15475 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12639, BgL_nsz00_15470, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5201z00_29864;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15476;
BgL_arg4070z00_15476 = 
BGL_EXITD_PROTECT(BgL_ez00_15472); 
BgL_test5201z00_29864 = 
PAIRP(BgL_arg4070z00_15476); } 
if(BgL_test5201z00_29864)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15477;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15478;
BgL_arg4069z00_15478 = 
BGL_EXITD_PROTECT(BgL_ez00_15472); 
BgL_arg4068z00_15477 = 
CDR(
((obj_t)BgL_arg4069z00_15478)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15472, BgL_arg4068z00_15477); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15471, BgL_sz00_15457); 
return BgL_____rz00_15475;} } } } } } } } 

}



/* &run4309 */
obj_t BGl_z62run4309z62zz__evaluate_compz00(obj_t BgL_envz00_12646, obj_t BgL_sz00_12651)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_siza7eza7_12647; obj_t BgL_valza2za2_12648; BgL_ev_absz00_bglt BgL_i1252z00_12649; obj_t BgL_bodyz00_12650;
BgL_siza7eza7_12647 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)0)))); 
BgL_valza2za2_12648 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)1)))); 
BgL_i1252z00_12649 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)2)))); 
BgL_bodyz00_12650 = 
PROCEDURE_REF(BgL_envz00_12646, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15479;
BgL_bpz00_15479 = 
VECTOR_REF(
((obj_t)BgL_sz00_12651),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12651, BgL_valza2za2_12648, 
(
(long)CINT(BgL_bpz00_15479)+BgL_siza7eza7_12647)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15480; obj_t BgL_wherez00_15481; obj_t BgL_locz00_15482;
BgL_z12denvz12_15480 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15481 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12649))->BgL_wherez00); 
BgL_locz00_15482 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12649))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15480, BgL_wherez00_15481, BgL_locz00_15482); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15483;
BgL_za2za2resza2za2z00_15483 = 
PROCEDURE_ENTRY(BgL_bodyz00_12650)(BgL_bodyz00_12650, BgL_sz00_12651, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15480); 
return BgL_za2za2resza2za2z00_15483;} } } } } } 

}



/* &<@anonymous:3730> */
obj_t BGl_z62zc3z04anonymousza33730ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12652, obj_t BgL_sz00_12659)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ifreesz00_12653; obj_t BgL_iboxesz00_12654; long BgL_siza7eza7_12655; BgL_ev_absz00_bglt BgL_i1252z00_12656; obj_t BgL_bodyz00_12657; long BgL_siza7ezd2framez75_12658;
BgL_ifreesz00_12653 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)0)))); 
BgL_iboxesz00_12654 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)1)))); 
BgL_siza7eza7_12655 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)2)))); 
BgL_i1252z00_12656 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)3)))); 
BgL_bodyz00_12657 = 
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12658 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12652, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15484;
BgL_bpz00_15484 = 
VECTOR_REF(
((obj_t)BgL_sz00_12659),((long)0)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_valza2za2_15485;
BgL_valza2za2_15485 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12659, BgL_bpz00_15484, BgL_ifreesz00_12653); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_runz00_15486;
BgL_runz00_15486 = 
MAKE_FX_PROCEDURE(BGl_z62run4311z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_15486, 
(int)(((long)0)), BgL_iboxesz00_12654); 
PROCEDURE_SET(BgL_runz00_15486, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12655)); 
PROCEDURE_SET(BgL_runz00_15486, 
(int)(((long)2)), BgL_valza2za2_15485); 
PROCEDURE_SET(BgL_runz00_15486, 
(int)(((long)3)), 
((obj_t)BgL_i1252z00_12656)); 
PROCEDURE_SET(BgL_runz00_15486, 
(int)(((long)4)), BgL_bodyz00_12657); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_mainz00_15487;
BgL_mainz00_15487 = 
MAKE_VA_PROCEDURE(BGl_z62main4310z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)0)), BgL_iboxesz00_12654); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12655)); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)2)), BgL_valza2za2_15485); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)3)), BgL_bodyz00_12657); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)4)), 
((obj_t)BgL_i1252z00_12656)); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)5)), BgL_runz00_15486); 
PROCEDURE_SET(BgL_mainz00_15487, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12658)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_objz00_15488;
BgL_objz00_15488 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_15486, BgL_objz00_15488); BgL_objz00_15488; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3731z00_15489;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg3732z00_15490; obj_t BgL_arg3733z00_15491;
BgL_arg3732z00_15490 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12656))->BgL_arityz00); 
BgL_arg3733z00_15491 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12656))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_newz00_15492;
BgL_newz00_15492 = 
create_struct(BGl_symbol4341z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29957;
BgL_tmpz00_29957 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_15492, BgL_tmpz00_29957, BgL_arg3733z00_15491); } 
{ /* Eval/evaluate_comp.scm 683 */
 obj_t BgL_auxz00_29962; int BgL_tmpz00_29960;
BgL_auxz00_29962 = 
BINT(BgL_siza7ezd2framez75_12658); 
BgL_tmpz00_29960 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_15492, BgL_tmpz00_29960, BgL_auxz00_29962); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29965;
BgL_tmpz00_29965 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_15492, BgL_tmpz00_29965, BgL_runz00_15486); } 
{ /* Eval/evaluate_comp.scm 683 */
 int BgL_tmpz00_29968;
BgL_tmpz00_29968 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15492, BgL_tmpz00_29968, BgL_arg3732z00_15490); } 
BgL_arg3731z00_15489 = BgL_newz00_15492; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_15487, BgL_arg3731z00_15489); BgL_arg3731z00_15489; } 
return BgL_mainz00_15487;} } } } } } 

}



/* &main4310 */
obj_t BGl_z62main4310z62zz__evaluate_compz00(obj_t BgL_envz00_12660, obj_t BgL_az00_12668, obj_t BgL_bz00_12669, obj_t BgL_cz00_12670, obj_t BgL_dz00_12671, obj_t BgL_restz00_12672)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 BgL_ev_absz00_bglt BgL_i1252z00_12665; obj_t BgL_runz00_12666; long BgL_siza7ezd2framez75_12667;
BgL_i1252z00_12665 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12660, 
(int)(((long)4)))); 
BgL_runz00_12666 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12660, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12667 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12660, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_sz00_15493;
BgL_sz00_15493 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15494;
BgL_bpz00_15494 = 
VECTOR_REF(
((obj_t)BgL_sz00_15493),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_15493, BgL_bpz00_15494, 
BINT(BgL_siza7ezd2framez75_12667)))
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3736z00_15495;
BgL_arg3736z00_15495 = 
(
(long)CINT(BgL_bpz00_15494)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_15493),BgL_arg3736z00_15495,BgL_az00_12668); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3737z00_15496;
BgL_arg3737z00_15496 = 
(
(long)CINT(BgL_bpz00_15494)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_15493),BgL_arg3737z00_15496,BgL_bz00_12669); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3738z00_15497;
BgL_arg3738z00_15497 = 
(
(long)CINT(BgL_bpz00_15494)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_15493),BgL_arg3738z00_15497,BgL_cz00_12670); } 
{ /* Eval/evaluate_comp.scm 1181 */
 long BgL_arg3739z00_15498;
BgL_arg3739z00_15498 = 
(
(long)CINT(BgL_bpz00_15494)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_15493),BgL_arg3739z00_15498,BgL_dz00_12671); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_15493, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_15494)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_arityz00), ((long)4)), BgL_restz00_12672, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15499;
BgL_ez00_15499 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15500;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15501;
BgL_arg4072z00_15501 = 
BGL_EXITD_PROTECT(BgL_ez00_15499); 
BgL_arg4071z00_15500 = 
MAKE_YOUNG_PAIR(BgL_bpz00_15494, BgL_arg4072z00_15501); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15499, BgL_arg4071z00_15500); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_accz00_15502;
BgL_accz00_15502 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12666, BgL_sz00_15493, BgL_bpz00_15494); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5203z00_30015;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15503;
BgL_arg4070z00_15503 = 
BGL_EXITD_PROTECT(BgL_ez00_15499); 
BgL_test5203z00_30015 = 
PAIRP(BgL_arg4070z00_15503); } 
if(BgL_test5203z00_30015)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15504;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15505;
BgL_arg4069z00_15505 = 
BGL_EXITD_PROTECT(BgL_ez00_15499); 
BgL_arg4068z00_15504 = 
CDR(
((obj_t)BgL_arg4069z00_15505)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15499, BgL_arg4068z00_15504); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
VECTOR_SET(
((obj_t)BgL_sz00_15493),((long)0),BgL_bpz00_15494); 
return BgL_accz00_15502;} } }  else 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_nsz00_15506;
BgL_nsz00_15506 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_15506,((long)1),BgL_sz00_15493); 
VECTOR_SET(BgL_nsz00_15506,((long)2),BgL_az00_12668); 
VECTOR_SET(BgL_nsz00_15506,((long)3),BgL_bz00_12669); 
VECTOR_SET(BgL_nsz00_15506,((long)4),BgL_cz00_12670); 
VECTOR_SET(BgL_nsz00_15506,((long)5),BgL_dz00_12671); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_15506, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_arityz00), ((long)4)), BgL_restz00_12672, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12665))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_z12denvz12_15507;
BgL_z12denvz12_15507 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15507, BgL_nsz00_15506); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_ez00_15508;
BgL_ez00_15508 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4071z00_15509;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4072z00_15510;
BgL_arg4072z00_15510 = 
BGL_EXITD_PROTECT(BgL_ez00_15508); 
BgL_arg4071z00_15509 = 
MAKE_YOUNG_PAIR(BgL_sz00_15493, BgL_arg4072z00_15510); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15508, BgL_arg4071z00_15509); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_____rz00_15511;
BgL_____rz00_15511 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12666, BgL_nsz00_15506, 
BINT(((long)2))); 
{ /* Eval/evaluate_comp.scm 1181 */
 bool_t BgL_test5204z00_30043;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4070z00_15512;
BgL_arg4070z00_15512 = 
BGL_EXITD_PROTECT(BgL_ez00_15508); 
BgL_test5204z00_30043 = 
PAIRP(BgL_arg4070z00_15512); } 
if(BgL_test5204z00_30043)
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4068z00_15513;
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_arg4069z00_15514;
BgL_arg4069z00_15514 = 
BGL_EXITD_PROTECT(BgL_ez00_15508); 
BgL_arg4068z00_15513 = 
CDR(
((obj_t)BgL_arg4069z00_15514)); } 
BGL_EXITD_PROTECT_SET(BgL_ez00_15508, BgL_arg4068z00_15513); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 1181 */BFALSE; } } 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15507, BgL_sz00_15493); 
return BgL_____rz00_15511;} } } } } } } } 

}



/* &run4311 */
obj_t BGl_z62run4311z62zz__evaluate_compz00(obj_t BgL_envz00_12673, obj_t BgL_sz00_12679)
{
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_iboxesz00_12674; long BgL_siza7eza7_12675; obj_t BgL_valza2za2_12676; BgL_ev_absz00_bglt BgL_i1252z00_12677; obj_t BgL_bodyz00_12678;
BgL_iboxesz00_12674 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)0)))); 
BgL_siza7eza7_12675 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)1)))); 
BgL_valza2za2_12676 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)2)))); 
BgL_i1252z00_12677 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)3)))); 
BgL_bodyz00_12678 = 
PROCEDURE_REF(BgL_envz00_12673, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1181 */
 obj_t BgL_bpz00_15515;
BgL_bpz00_15515 = 
VECTOR_REF(
((obj_t)BgL_sz00_12679),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12679, BgL_iboxesz00_12674, BgL_bpz00_15515); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12679, BgL_valza2za2_12676, 
(
(long)CINT(BgL_bpz00_15515)+BgL_siza7eza7_12675)); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_z12denvz12_15516; obj_t BgL_wherez00_15517; obj_t BgL_locz00_15518;
BgL_z12denvz12_15516 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_15517 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12677))->BgL_wherez00); 
BgL_locz00_15518 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1252z00_12677))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1102 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_15516, BgL_wherez00_15517, BgL_locz00_15518); 
{ /* Eval/evaluate_comp.scm 1102 */
 obj_t BgL_za2za2resza2za2z00_15519;
BgL_za2za2resza2za2z00_15519 = 
PROCEDURE_ENTRY(BgL_bodyz00_12678)(BgL_bodyz00_12678, BgL_sz00_12679, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_15516); 
return BgL_za2za2resza2za2z00_15519;} } } } } } 

}



/* &comp-ev_app1439 */
obj_t BGl_z62compzd2ev_app1439zb0zz__evaluate_compz00(obj_t BgL_envz00_12680, obj_t BgL_ez00_12681, obj_t BgL_stkz00_12682)
{
{ /* Eval/evaluate_comp.scm 1051 */
{ /* Eval/evaluate_comp.scm 1053 */
 obj_t BgL__ortest_1238z00_15521;
BgL__ortest_1238z00_15521 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12681), BgL_stkz00_12682); 
if(
CBOOL(BgL__ortest_1238z00_15521))
{ /* Eval/evaluate_comp.scm 1053 */
return BgL__ortest_1238z00_15521;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
 obj_t BgL__ortest_1239z00_15522;
BgL__ortest_1239z00_15522 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_argsz00), BgL_stkz00_12682); 
if(
CBOOL(BgL__ortest_1239z00_15522))
{ /* Eval/evaluate_comp.scm 1054 */
return BgL__ortest_1239z00_15522;}  else 
{ /* Eval/evaluate_comp.scm 1054 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1055 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12681), BgL_stkz00_12682);}  else 
{ /* Eval/evaluate_comp.scm 1057 */
 obj_t BgL_fz00_15523; long BgL_siza7eza7_15524; obj_t BgL_symbzd2funzd2_15525;
BgL_fz00_15523 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_stkz00_12682); 
BgL_siza7eza7_15524 = 
bgl_list_length(BgL_stkz00_12682); 
BgL_symbzd2funzd2_15525 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1058 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_symbzd2funzd2_15525, BgL_fz00_15523, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_tailzf3zf3), BgL_stkz00_12682, BgL_siza7eza7_15524);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a1z00_15526; obj_t BgL_argsz00_15527;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3200z00_15528;
BgL_arg3200z00_15528 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_argsz00)); 
BgL_a1z00_15526 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3200z00_15528), BgL_stkz00_12682); } 
BgL_argsz00_15527 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_15527))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_symbzd2funzd2_15525, BgL_fz00_15523, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_tailzf3zf3), BgL_stkz00_12682, BgL_siza7eza7_15524, BgL_a1z00_15526);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a2z00_15529; obj_t BgL_argsz00_15530;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3199z00_15531;
BgL_arg3199z00_15531 = 
CAR(
((obj_t)BgL_argsz00_15527)); 
BgL_a2z00_15529 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3199z00_15531), BgL_stkz00_12682); } 
BgL_argsz00_15530 = 
CDR(
((obj_t)BgL_argsz00_15527)); 
if(
NULLP(BgL_argsz00_15530))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_symbzd2funzd2_15525, BgL_fz00_15523, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_tailzf3zf3), BgL_stkz00_12682, BgL_siza7eza7_15524, BgL_a1z00_15526, BgL_a2z00_15529);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a3z00_15532; obj_t BgL_argsz00_15533;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3198z00_15534;
BgL_arg3198z00_15534 = 
CAR(
((obj_t)BgL_argsz00_15530)); 
BgL_a3z00_15532 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3198z00_15534), BgL_stkz00_12682); } 
BgL_argsz00_15533 = 
CDR(
((obj_t)BgL_argsz00_15530)); 
if(
NULLP(BgL_argsz00_15533))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_symbzd2funzd2_15525, BgL_fz00_15523, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_tailzf3zf3), BgL_stkz00_12682, BgL_siza7eza7_15524, BgL_a1z00_15526, BgL_a2z00_15529, BgL_a3z00_15532);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_a4z00_15535; obj_t BgL_argsz00_15536;
{ /* Eval/evaluate_comp.scm 1060 */
 obj_t BgL_arg3197z00_15537;
BgL_arg3197z00_15537 = 
CAR(
((obj_t)BgL_argsz00_15533)); 
BgL_a4z00_15535 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3197z00_15537), BgL_stkz00_12682); } 
BgL_argsz00_15536 = 
CDR(
((obj_t)BgL_argsz00_15533)); 
if(
NULLP(BgL_argsz00_15536))
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_funz00), BgL_symbzd2funzd2_15525, BgL_fz00_15523, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12681)))->BgL_tailzf3zf3), BgL_stkz00_12682, BgL_siza7eza7_15524, BgL_a1z00_15526, BgL_a2z00_15529, BgL_a3z00_15532, BgL_a4z00_15535);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_string4439z00zz__evaluate_compz00, BGl_string4440z00zz__evaluate_compz00);} } } } } } } } } } 

}



/* &comp-ev_goto1437 */
obj_t BGl_z62compzd2ev_goto1437zb0zz__evaluate_compz00(obj_t BgL_envz00_12683, obj_t BgL_ez00_12684, obj_t BgL_stkz00_12685)
{
{ /* Eval/evaluate_comp.scm 604 */
{ /* Eval/evaluate_comp.scm 607 */
 obj_t BgL_slotz00_15541; long BgL_siza7eza7_15542; obj_t BgL_lstkz00_15543;
BgL_slotz00_15541 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_15542 = 
bgl_list_length(BgL_stkz00_12685); 
BgL_lstkz00_15543 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 609 */
 long BgL_llstkz00_15544; obj_t BgL_substkz00_15545; obj_t BgL_boxesz00_15546;
BgL_llstkz00_15544 = 
bgl_list_length(BgL_lstkz00_15543); 
BgL_substkz00_15545 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_15543, BgL_stkz00_12685); 
{ /* Eval/evaluate_comp.scm 609 */
 obj_t BgL_pairz00_15547;
BgL_pairz00_15547 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_15546 = 
CDR(BgL_pairz00_15547); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_argsz00), BgL_substkz00_15545))
{ /* Eval/evaluate_comp.scm 612 */
 obj_t BgL_argsz00_15548; long BgL_nbargsz00_15549;
BgL_argsz00_15548 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_argsz00), BgL_stkz00_12685); 
BgL_nbargsz00_15549 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_zc3z04anonymousza33155ze3z87_15550;
BgL_zc3z04anonymousza33155ze3z87_15550 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15542)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)1)), 
BINT(BgL_llstkz00_15544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12684))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)3)), BgL_argsz00_15548); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)4)), BgL_boxesz00_15546); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_15549)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33155ze3z87_15550, 
(int)(((long)6)), BgL_slotz00_15541); 
return BgL_zc3z04anonymousza33155ze3z87_15550;} }  else 
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_argsz00_15551;
{ /* Eval/evaluate_comp.scm 618 */
 obj_t BgL_lz00_15552; long BgL_nz00_15553;
BgL_lz00_15552 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12684)))->BgL_argsz00); 
BgL_nz00_15553 = 
(BgL_siza7eza7_15542-BgL_llstkz00_15544); 
BgL_argsz00_15551 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12685, BgL_lz00_15552, BgL_nz00_15553); } 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_zc3z04anonymousza33161ze3z87_15554;
BgL_zc3z04anonymousza33161ze3z87_15554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15554, 
(int)(((long)0)), 
BINT(BgL_llstkz00_15544)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15554, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12684))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15554, 
(int)(((long)2)), BgL_argsz00_15551); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15554, 
(int)(((long)3)), BgL_boxesz00_15546); 
PROCEDURE_SET(BgL_zc3z04anonymousza33161ze3z87_15554, 
(int)(((long)4)), BgL_slotz00_15541); 
return BgL_zc3z04anonymousza33161ze3z87_15554;} } } } } 

}



/* &<@anonymous:3155> */
obj_t BGl_z62zc3z04anonymousza33155ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12686, obj_t BgL_sz00_12694)
{
{ /* Eval/evaluate_comp.scm 613 */
{ /* Eval/evaluate_comp.scm 613 */
 long BgL_siza7eza7_12687; long BgL_llstkz00_12688; BgL_ev_gotoz00_bglt BgL_i1150z00_12689; obj_t BgL_argsz00_12690; obj_t BgL_boxesz00_12691; long BgL_nbargsz00_12692; obj_t BgL_slotz00_12693;
BgL_siza7eza7_12687 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)0)))); 
BgL_llstkz00_12688 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)1)))); 
BgL_i1150z00_12689 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)2)))); 
BgL_argsz00_12690 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)3)))); 
BgL_boxesz00_12691 = 
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)4))); 
BgL_nbargsz00_12692 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)5)))); 
BgL_slotz00_12693 = 
PROCEDURE_REF(BgL_envz00_12686, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 613 */
 obj_t BgL_bpz00_15555;
BgL_bpz00_15555 = 
VECTOR_REF(
((obj_t)BgL_sz00_12694),((long)0)); 
{ /* Eval/evaluate_comp.scm 614 */
 long BgL_spz00_15556; long BgL_lspz00_15557;
BgL_spz00_15556 = 
(
(long)CINT(BgL_bpz00_15555)+BgL_siza7eza7_12687); 
BgL_lspz00_15557 = 
(
(long)CINT(BgL_bpz00_15555)+BgL_llstkz00_12688); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12694, BgL_argsz00_12690, BgL_boxesz00_12691, BgL_spz00_15556, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1150z00_12689))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 616 */
 long BgL_arg3157z00_15558;
BgL_arg3157z00_15558 = 
(BgL_spz00_15556+BgL_nbargsz00_12692); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12694, BgL_lspz00_15557, BgL_sz00_12694, 
BINT(BgL_spz00_15556), 
BINT(BgL_arg3157z00_15558)); } 
return 
CDR(
((obj_t)BgL_slotz00_12693));} } } } 

}



/* &<@anonymous:3161> */
obj_t BGl_z62zc3z04anonymousza33161ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12695, obj_t BgL_sz00_12701)
{
{ /* Eval/evaluate_comp.scm 619 */
{ /* Eval/evaluate_comp.scm 619 */
 long BgL_llstkz00_12696; BgL_ev_gotoz00_bglt BgL_i1150z00_12697; obj_t BgL_argsz00_12698; obj_t BgL_boxesz00_12699; obj_t BgL_slotz00_12700;
BgL_llstkz00_12696 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12695, 
(int)(((long)0)))); 
BgL_i1150z00_12697 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12695, 
(int)(((long)1)))); 
BgL_argsz00_12698 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12695, 
(int)(((long)2)))); 
BgL_boxesz00_12699 = 
PROCEDURE_REF(BgL_envz00_12695, 
(int)(((long)3))); 
BgL_slotz00_12700 = 
PROCEDURE_REF(BgL_envz00_12695, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 619 */
 obj_t BgL_bpz00_15559;
BgL_bpz00_15559 = 
VECTOR_REF(
((obj_t)BgL_sz00_12701),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12701, BgL_argsz00_12698, BgL_boxesz00_12699, 
(
(long)CINT(BgL_bpz00_15559)+BgL_llstkz00_12696), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1150z00_12697))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12700));} } } 

}



/* &comp-ev_labels1435 */
obj_t BGl_z62compzd2ev_labels1435zb0zz__evaluate_compz00(obj_t BgL_envz00_12702, obj_t BgL_ez00_12703, obj_t BgL_stkz00_12704)
{
{ /* Eval/evaluate_comp.scm 572 */
{ 
 obj_t BgL_fz00_15562;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12703)))->BgL_stkz00)=((obj_t)BgL_stkz00_12704),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_envz00_15564;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_l1339z00_15565;
BgL_l1339z00_15565 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12703)))->BgL_varsz00); 
if(
NULLP(BgL_l1339z00_15565))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15564 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_head1341z00_15566;
BgL_head1341z00_15566 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1339z00_15568; obj_t BgL_tail1342z00_15569;
BgL_l1339z00_15568 = BgL_l1339z00_15565; 
BgL_tail1342z00_15569 = BgL_head1341z00_15566; 
BgL_zc3z04anonymousza33146ze3z87_15567:
if(
NULLP(BgL_l1339z00_15568))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_15564 = 
CDR(BgL_head1341z00_15566); }  else 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_newtail1343z00_15570;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3149z00_15571;
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_vz00_15572;
BgL_vz00_15572 = 
CAR(
((obj_t)BgL_l1339z00_15568)); 
BgL_arg3149z00_15571 = 
MAKE_YOUNG_PAIR(BgL_vz00_15572, BGl_symbol4441z00zz__evaluate_compz00); } 
BgL_newtail1343z00_15570 = 
MAKE_YOUNG_PAIR(BgL_arg3149z00_15571, BNIL); } 
SET_CDR(BgL_tail1342z00_15569, BgL_newtail1343z00_15570); 
{ /* Eval/evaluate_comp.scm 579 */
 obj_t BgL_arg3148z00_15573;
BgL_arg3148z00_15573 = 
CDR(
((obj_t)BgL_l1339z00_15568)); 
{ 
 obj_t BgL_tail1342z00_30326; obj_t BgL_l1339z00_30325;
BgL_l1339z00_30325 = BgL_arg3148z00_15573; 
BgL_tail1342z00_30326 = BgL_newtail1343z00_15570; 
BgL_tail1342z00_15569 = BgL_tail1342z00_30326; 
BgL_l1339z00_15568 = BgL_l1339z00_30325; 
goto BgL_zc3z04anonymousza33146ze3z87_15567;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12703)))->BgL_envz00)=((obj_t)BgL_envz00_15564),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_g1347z00_15574;
BgL_g1347z00_15574 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12703)))->BgL_valsz00); 
{ 
 obj_t BgL_ll1344z00_15576; obj_t BgL_ll1345z00_15577;
BgL_ll1344z00_15576 = BgL_envz00_15564; 
BgL_ll1345z00_15577 = BgL_g1347z00_15574; 
BgL_zc3z04anonymousza33136ze3z87_15575:
if(
NULLP(BgL_ll1344z00_15576))
{ /* Eval/evaluate_comp.scm 582 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 582 */
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_slotz00_15578; obj_t BgL_valz00_15579;
BgL_slotz00_15578 = 
CAR(
((obj_t)BgL_ll1344z00_15576)); 
BgL_valz00_15579 = 
CAR(
((obj_t)BgL_ll1345z00_15577)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3138z00_15580;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3139z00_15581;
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3140z00_15582; obj_t BgL_arg3141z00_15583;
BgL_arg3140z00_15582 = 
CDR(
((obj_t)BgL_valz00_15579)); 
{ /* Eval/evaluate_comp.scm 585 */
 obj_t BgL_arg3142z00_15584;
BgL_arg3142z00_15584 = 
CAR(
((obj_t)BgL_valz00_15579)); 
BgL_arg3141z00_15583 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12704, BgL_arg3142z00_15584); } 
BgL_arg3139z00_15581 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3140z00_15582), BgL_arg3141z00_15583); } 
BgL_fz00_15562 = BgL_arg3139z00_15581; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_objz00_15563;
BgL_objz00_15563 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 574 */
 obj_t BgL_tmpz00_30344;
BgL_tmpz00_30344 = 
((obj_t)BgL_fz00_15562); 
PROCEDURE_ATTR_SET(BgL_tmpz00_30344, BgL_objz00_15563); } BgL_objz00_15563; } 
BgL_arg3138z00_15580 = BgL_fz00_15562; } 
{ /* Eval/evaluate_comp.scm 584 */
 obj_t BgL_tmpz00_30347;
BgL_tmpz00_30347 = 
((obj_t)BgL_slotz00_15578); 
SET_CDR(BgL_tmpz00_30347, BgL_arg3138z00_15580); } } } 
{ /* Eval/evaluate_comp.scm 582 */
 obj_t BgL_arg3143z00_15585; obj_t BgL_arg3144z00_15586;
BgL_arg3143z00_15585 = 
CDR(
((obj_t)BgL_ll1344z00_15576)); 
BgL_arg3144z00_15586 = 
CDR(
((obj_t)BgL_ll1345z00_15577)); 
{ 
 obj_t BgL_ll1345z00_30355; obj_t BgL_ll1344z00_30354;
BgL_ll1344z00_30354 = BgL_arg3143z00_15585; 
BgL_ll1345z00_30355 = BgL_arg3144z00_15586; 
BgL_ll1345z00_15577 = BgL_ll1345z00_30355; 
BgL_ll1344z00_15576 = BgL_ll1344z00_30354; 
goto BgL_zc3z04anonymousza33136ze3z87_15575;} } } } } } 
{ /* Eval/evaluate_comp.scm 589 */
 obj_t BgL_bodyz00_15587;
BgL_bodyz00_15587 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12703)))->BgL_bodyz00), BgL_stkz00_12704); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_zc3z04anonymousza33150ze3z87_15588;
BgL_zc3z04anonymousza33150ze3z87_15588 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33150ze3z87_15588, 
(int)(((long)0)), BgL_bodyz00_15587); 
return BgL_zc3z04anonymousza33150ze3z87_15588;} } } } 

}



/* &<@anonymous:3150> */
obj_t BGl_z62zc3z04anonymousza33150ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12705, obj_t BgL_sz00_12707)
{
{ /* Eval/evaluate_comp.scm 590 */
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bodyz00_12706;
BgL_bodyz00_12706 = 
PROCEDURE_REF(BgL_envz00_12705, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 590 */
 obj_t BgL_bpz00_15589;
BgL_bpz00_15589 = 
VECTOR_REF(
((obj_t)BgL_sz00_12707),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12706, BgL_sz00_12707);} } } 

}



/* &comp-ev_synchronize1433 */
obj_t BGl_z62compzd2ev_synchroniza7e1433z17zz__evaluate_compz00(obj_t BgL_envz00_12708, obj_t BgL_ez00_12709, obj_t BgL_stkz00_12710)
{
{ /* Eval/evaluate_comp.scm 552 */
{ /* Eval/evaluate_comp.scm 554 */
 obj_t BgL_mutexz00_15591; obj_t BgL_prelockz00_15592; obj_t BgL_bodyz00_15593;
BgL_mutexz00_15591 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12709)))->BgL_mutexz00), BgL_stkz00_12710); 
BgL_prelockz00_15592 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12709)))->BgL_prelockz00), BgL_stkz00_12710); 
BgL_bodyz00_15593 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12709)))->BgL_bodyz00), BgL_stkz00_12710); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_zc3z04anonymousza33129ze3z87_15594;
BgL_zc3z04anonymousza33129ze3z87_15594 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15594, 
(int)(((long)0)), BgL_mutexz00_15591); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15594, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12709))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15594, 
(int)(((long)2)), BgL_prelockz00_15592); 
PROCEDURE_SET(BgL_zc3z04anonymousza33129ze3z87_15594, 
(int)(((long)3)), BgL_bodyz00_15593); 
return BgL_zc3z04anonymousza33129ze3z87_15594;} } } 

}



/* &<@anonymous:3129> */
obj_t BGl_z62zc3z04anonymousza33129ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12711, obj_t BgL_sz00_12716)
{
{ /* Eval/evaluate_comp.scm 557 */
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_mutexz00_12712; BgL_ev_synchroniza7eza7_bglt BgL_i1147z00_12713; obj_t BgL_prelockz00_12714; obj_t BgL_bodyz00_12715;
BgL_mutexz00_12712 = 
PROCEDURE_REF(BgL_envz00_12711, 
(int)(((long)0))); 
BgL_i1147z00_12713 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12711, 
(int)(((long)1)))); 
BgL_prelockz00_12714 = 
PROCEDURE_REF(BgL_envz00_12711, 
(int)(((long)2))); 
BgL_bodyz00_12715 = 
PROCEDURE_REF(BgL_envz00_12711, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 557 */
 obj_t BgL_bpz00_15595;
BgL_bpz00_15595 = 
VECTOR_REF(
((obj_t)BgL_sz00_12716),((long)0)); 
{ /* Eval/evaluate_comp.scm 558 */
 obj_t BgL_mz00_15596;
BgL_mz00_15596 = 
PROCEDURE_ENTRY(BgL_mutexz00_12712)(BgL_mutexz00_12712, BgL_sz00_12716, BEOA); 
if(
BGL_MUTEXP(BgL_mz00_15596))
{ /* Eval/evaluate_comp.scm 560 */
 obj_t BgL_pz00_15597;
BgL_pz00_15597 = 
PROCEDURE_ENTRY(BgL_prelockz00_12714)(BgL_prelockz00_12714, BgL_sz00_12716, BEOA); 
{ /* Eval/evaluate_comp.scm 562 */
 obj_t BgL_za2za2resza2za2z00_15598;
if(
PAIRP(BgL_pz00_15597))
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_top5220z00_30415;
BgL_top5220z00_30415 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_15596, BgL_pz00_15597); 
BGL_EXITD_PUSH_PROTECT(BgL_top5220z00_30415, BgL_mz00_15596); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 563 */
 obj_t BgL_tmp5219z00_30414;
BgL_tmp5219z00_30414 = 
PROCEDURE_ENTRY(BgL_bodyz00_12715)(BgL_bodyz00_12715, BgL_sz00_12716, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5220z00_30415); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15596); 
BgL_za2za2resza2za2z00_15598 = BgL_tmp5219z00_30414; } }  else 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_top5222z00_30426;
BgL_top5222z00_30426 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_15596); 
BGL_EXITD_PUSH_PROTECT(BgL_top5222z00_30426, BgL_mz00_15596); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 564 */
 obj_t BgL_tmp5221z00_30425;
BgL_tmp5221z00_30425 = 
PROCEDURE_ENTRY(BgL_bodyz00_12715)(BgL_bodyz00_12715, BgL_sz00_12716, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5222z00_30426); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_15596); 
BgL_za2za2resza2za2z00_15598 = BgL_tmp5221z00_30425; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12716),((long)0),BgL_bpz00_15595); 
return BgL_za2za2resza2za2z00_15598;} }  else 
{ /* Eval/evaluate_comp.scm 559 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string4443z00zz__evaluate_compz00, BGl_string4444z00zz__evaluate_compz00, BgL_mz00_15596, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1147z00_12713))->BgL_locz00));} } } } } 

}



/* &comp-ev_with-handler1431 */
obj_t BGl_z62compzd2ev_withzd2handler1431z62zz__evaluate_compz00(obj_t BgL_envz00_12717, obj_t BgL_ez00_12718, obj_t BgL_stkz00_12719)
{
{ /* Eval/evaluate_comp.scm 543 */
{ /* Eval/evaluate_comp.scm 545 */
 obj_t BgL_handlerz00_15600; obj_t BgL_bodyz00_15601;
BgL_handlerz00_15600 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12718)))->BgL_handlerz00), BgL_stkz00_12719); 
BgL_bodyz00_15601 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12718)))->BgL_bodyz00), BgL_stkz00_12719); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_zc3z04anonymousza33122ze3z87_15602;
BgL_zc3z04anonymousza33122ze3z87_15602 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33122ze3z87_15602, 
(int)(((long)0)), BgL_handlerz00_15600); 
PROCEDURE_SET(BgL_zc3z04anonymousza33122ze3z87_15602, 
(int)(((long)1)), BgL_bodyz00_15601); 
return BgL_zc3z04anonymousza33122ze3z87_15602;} } } 

}



/* &<@anonymous:3122> */
obj_t BGl_z62zc3z04anonymousza33122ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12720, obj_t BgL_sz00_12723)
{
{ /* Eval/evaluate_comp.scm 546 */
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_handlerz00_12721; obj_t BgL_bodyz00_12722;
BgL_handlerz00_12721 = 
PROCEDURE_REF(BgL_envz00_12720, 
(int)(((long)0))); 
BgL_bodyz00_12722 = 
PROCEDURE_REF(BgL_envz00_12720, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 546 */
 obj_t BgL_bpz00_15603;
BgL_bpz00_15603 = 
VECTOR_REF(
((obj_t)BgL_sz00_12723),((long)0)); 
{ /* Eval/evaluate_comp.scm 547 */
 obj_t BgL_hz00_15604;
BgL_hz00_15604 = 
PROCEDURE_ENTRY(BgL_handlerz00_12721)(BgL_handlerz00_12721, BgL_sz00_12723, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_za2za2resza2za2z00_15605;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_env1138z00_15606;
BgL_env1138z00_15606 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_cell1133z00_15607;
BgL_cell1133z00_15607 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_val1137z00_15608;
BgL_val1137z00_15608 = 
BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(BgL_sz00_12723, BgL_bodyz00_12722, BgL_cell1133z00_15607, BgL_env1138z00_15606); 
if(
(BgL_val1137z00_15608==BgL_cell1133z00_15607))
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
 int BgL_tmpz00_30468;
BgL_tmpz00_30468 = 
(int)(((long)0)); 
BGL_SIGSETMASK(BgL_tmpz00_30468); } 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3124z00_15609;
BgL_arg3124z00_15609 = 
CELL_REF(
((obj_t)BgL_val1137z00_15608)); 
BgL_za2za2resza2za2z00_15605 = 
PROCEDURE_ENTRY(BgL_hz00_15604)(BgL_hz00_15604, BgL_arg3124z00_15609, BEOA); } }  else 
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_15605 = BgL_val1137z00_15608; } } } } 
VECTOR_SET(
((obj_t)BgL_sz00_12723),((long)0),BgL_bpz00_15603); 
return BgL_za2za2resza2za2z00_15605;} } } } } 

}



/* <@exit:3125>~0 */
obj_t BGl_zc3z04exitza33125ze3ze70z60zz__evaluate_compz00(obj_t BgL_sz00_12902, obj_t BgL_bodyz00_12901, obj_t BgL_cell1133z00_12900, obj_t BgL_env1138z00_12899)
{
{ /* Eval/evaluate_comp.scm 549 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1142z00_4283;
if( SET_EXIT(BgL_an_exit1142z00_4283 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1142z00_4283 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1138z00_12899, BgL_an_exit1142z00_4283, ((long)1)); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_escape1134z00_4284;
BgL_escape1134z00_4284 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1138z00_12899); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_res1145z00_4285;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_ohs1130z00_4286;
BgL_ohs1130z00_4286 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1138z00_12899); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_hds1131z00_4287;
BgL_hds1131z00_4287 = 
MAKE_STACK_PAIR(BgL_escape1134z00_4284, BgL_cell1133z00_12900); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1138z00_12899, BgL_hds1131z00_4287); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_exitd1139z00_4288;
BgL_exitd1139z00_4288 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1138z00_12899); 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1141z00_4289;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg3126z00_4291;
BgL_arg3126z00_4291 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_tmp1141z00_4289 = 
MAKE_YOUNG_PAIR(BgL_ohs1130z00_4286, BgL_arg3126z00_4291); } 
{ /* Eval/evaluate_comp.scm 549 */

BGL_EXITD_PROTECT_SET(BgL_exitd1139z00_4288, BgL_tmp1141z00_4289); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_tmp1140z00_4290;
BgL_tmp1140z00_4290 = 
PROCEDURE_ENTRY(BgL_bodyz00_12901)(BgL_bodyz00_12901, BgL_sz00_12902, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
 bool_t BgL_test5224z00_30494;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4070z00_8832;
BgL_arg4070z00_8832 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_test5224z00_30494 = 
PAIRP(BgL_arg4070z00_8832); } 
if(BgL_test5224z00_30494)
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4068z00_8833;
{ /* Eval/evaluate_comp.scm 549 */
 obj_t BgL_arg4069z00_8834;
BgL_arg4069z00_8834 = 
BGL_EXITD_PROTECT(BgL_exitd1139z00_4288); 
BgL_arg4068z00_8833 = 
CDR(
((obj_t)BgL_arg4069z00_8834)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1139z00_4288, BgL_arg4068z00_8833); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 549 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1138z00_12899, BgL_ohs1130z00_4286); BUNSPEC; 
BgL_res1145z00_4285 = BgL_tmp1140z00_4290; } } } } } } 
POP_ENV_EXIT(BgL_env1138z00_12899); 
return BgL_res1145z00_4285;} } 
}} 

}



/* &comp-ev_unwind-prote1429 */
obj_t BGl_z62compzd2ev_unwindzd2prote1429z62zz__evaluate_compz00(obj_t BgL_envz00_12724, obj_t BgL_ez00_12725, obj_t BgL_stkz00_12726)
{
{ /* Eval/evaluate_comp.scm 534 */
{ /* Eval/evaluate_comp.scm 536 */
 obj_t BgL_ez00_15611; obj_t BgL_bodyz00_15612;
BgL_ez00_15611 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12725)))->BgL_ez00), BgL_stkz00_12726); 
BgL_bodyz00_15612 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12725)))->BgL_bodyz00), BgL_stkz00_12726); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_zc3z04anonymousza33118ze3z87_15613;
BgL_zc3z04anonymousza33118ze3z87_15613 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_15613, 
(int)(((long)0)), BgL_bodyz00_15612); 
PROCEDURE_SET(BgL_zc3z04anonymousza33118ze3z87_15613, 
(int)(((long)1)), BgL_ez00_15611); 
return BgL_zc3z04anonymousza33118ze3z87_15613;} } } 

}



/* &<@anonymous:3118> */
obj_t BGl_z62zc3z04anonymousza33118ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12727, obj_t BgL_sz00_12730)
{
{ /* Eval/evaluate_comp.scm 537 */
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bodyz00_12728; obj_t BgL_ez00_12729;
BgL_bodyz00_12728 = 
PROCEDURE_REF(BgL_envz00_12727, 
(int)(((long)0))); 
BgL_ez00_12729 = 
PROCEDURE_REF(BgL_envz00_12727, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 537 */
 obj_t BgL_bpz00_15614;
BgL_bpz00_15614 = 
VECTOR_REF(
((obj_t)BgL_sz00_12730),((long)0)); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_exitd1125z00_15615;
BgL_exitd1125z00_15615 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_zc3z04anonymousza33119ze3z87_15616;
BgL_zc3z04anonymousza33119ze3z87_15616 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15616, 
(int)(((long)0)), BgL_sz00_12730); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15616, 
(int)(((long)1)), BgL_bpz00_15614); 
PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_15616, 
(int)(((long)2)), BgL_bodyz00_12728); 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4071z00_15617;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4072z00_15618;
BgL_arg4072z00_15618 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15615); 
BgL_arg4071z00_15617 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33119ze3z87_15616, BgL_arg4072z00_15618); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_15615, BgL_arg4071z00_15617); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_tmp1127z00_15619;
BgL_tmp1127z00_15619 = 
PROCEDURE_ENTRY(BgL_ez00_12729)(BgL_ez00_12729, BgL_sz00_12730, BEOA); 
{ /* Eval/evaluate_comp.scm 539 */
 bool_t BgL_test5225z00_30539;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4070z00_15620;
BgL_arg4070z00_15620 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15615); 
BgL_test5225z00_30539 = 
PAIRP(BgL_arg4070z00_15620); } 
if(BgL_test5225z00_30539)
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4068z00_15621;
{ /* Eval/evaluate_comp.scm 539 */
 obj_t BgL_arg4069z00_15622;
BgL_arg4069z00_15622 = 
BGL_EXITD_PROTECT(BgL_exitd1125z00_15615); 
BgL_arg4068z00_15621 = 
CDR(
((obj_t)BgL_arg4069z00_15622)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1125z00_15615, BgL_arg4068z00_15621); BUNSPEC; }  else 
{ /* Eval/evaluate_comp.scm 539 */BFALSE; } } 
BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33119ze3z87_15616); 
return BgL_tmp1127z00_15619;} } } } } } 

}



/* &<@anonymous:3119> */
obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12731)
{
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 540 */
 obj_t BgL_sz00_12732; obj_t BgL_savedzd2bpzd2_12733; obj_t BgL_bodyz00_12734;
BgL_sz00_12732 = 
PROCEDURE_REF(BgL_envz00_12731, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12733 = 
PROCEDURE_REF(BgL_envz00_12731, 
(int)(((long)1))); 
BgL_bodyz00_12734 = 
PROCEDURE_REF(BgL_envz00_12731, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12732),((long)0),BgL_savedzd2bpzd2_12733); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12734)(BgL_bodyz00_12734, BgL_sz00_12732, BEOA);} } 

}



/* &comp-ev_bind-exit1427 */
obj_t BGl_z62compzd2ev_bindzd2exit1427z62zz__evaluate_compz00(obj_t BgL_envz00_12735, obj_t BgL_ez00_12736, obj_t BgL_stkz00_12737)
{
{ /* Eval/evaluate_comp.scm 523 */
{ /* Eval/evaluate_comp.scm 525 */
 long BgL_siza7eza7_15624; obj_t BgL_nstkz00_15625;
BgL_siza7eza7_15624 = 
bgl_list_length(BgL_stkz00_12737); 
{ /* Eval/evaluate_comp.scm 525 */
 obj_t BgL_arg3116z00_15626;
{ /* Eval/evaluate_comp.scm 525 */
 BgL_ev_varz00_bglt BgL_arg3117z00_15627;
BgL_arg3117z00_15627 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12736)))->BgL_varz00); 
BgL_arg3116z00_15626 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3117z00_15627), BNIL); } 
BgL_nstkz00_15625 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12737, BgL_arg3116z00_15626); } 
{ /* Eval/evaluate_comp.scm 526 */
 obj_t BgL_bodyz00_15628; obj_t BgL_effzf3zf3_15629;
BgL_bodyz00_15628 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12736)))->BgL_bodyz00), BgL_nstkz00_15625); 
BgL_effzf3zf3_15629 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12736)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_zc3z04anonymousza33111ze3z87_15630;
BgL_zc3z04anonymousza33111ze3z87_15630 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15630, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15624)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15630, 
(int)(((long)1)), BgL_effzf3zf3_15629); 
PROCEDURE_SET(BgL_zc3z04anonymousza33111ze3z87_15630, 
(int)(((long)2)), BgL_bodyz00_15628); 
return BgL_zc3z04anonymousza33111ze3z87_15630;} } } } 

}



/* &<@anonymous:3111> */
obj_t BGl_z62zc3z04anonymousza33111ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12738, obj_t BgL_sz00_12742)
{
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 527 */
 long BgL_siza7eza7_12739; obj_t BgL_effzf3zf3_12740; obj_t BgL_bodyz00_12741;
BgL_siza7eza7_12739 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12738, 
(int)(((long)0)))); 
BgL_effzf3zf3_12740 = 
PROCEDURE_REF(BgL_envz00_12738, 
(int)(((long)1))); 
BgL_bodyz00_12741 = 
PROCEDURE_REF(BgL_envz00_12738, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 527 */
 obj_t BgL_bpz00_15631;
BgL_bpz00_15631 = 
VECTOR_REF(
((obj_t)BgL_sz00_12742),((long)0)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_za2za2resza2za2z00_15632;
BgL_za2za2resza2za2z00_15632 = 
BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(BgL_bodyz00_12741, BgL_sz00_12742, BgL_effzf3zf3_12740, BgL_siza7eza7_12739, BgL_bpz00_15631); 
VECTOR_SET(
((obj_t)BgL_sz00_12742),((long)0),BgL_bpz00_15631); 
return BgL_za2za2resza2za2z00_15632;} } } } 

}



/* <@exit:3112>~0 */
obj_t BGl_zc3z04exitza33112ze3ze70z60zz__evaluate_compz00(obj_t BgL_bodyz00_12898, obj_t BgL_sz00_12897, obj_t BgL_effzf3zf3_12896, long BgL_siza7eza7_12895, obj_t BgL_bpz00_12894)
{
{ /* Eval/evaluate_comp.scm 529 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1118z00_4231;
if( SET_EXIT(BgL_an_exit1118z00_4231 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_4231 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_env1122z00_4232;
BgL_env1122z00_4232 = 
BGL_CURRENT_DYNAMIC_ENV(); 
PUSH_ENV_EXIT(BgL_env1122z00_4232, BgL_an_exit1118z00_4231, ((long)1)); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_an_exitd1119z00_4233;
BgL_an_exitd1119z00_4233 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1122z00_4232); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_exitz00_11697;
BgL_exitz00_11697 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11697, 
(int)(((long)0)), BgL_an_exitd1119z00_4233); 
{ /* Eval/evaluate_comp.scm 529 */
 obj_t BgL_res1121z00_4236;
{ /* Eval/evaluate_comp.scm 530 */
 long BgL_arg3113z00_4237; obj_t BgL_arg3114z00_4238;
BgL_arg3113z00_4237 = 
(
(long)CINT(BgL_bpz00_12894)+BgL_siza7eza7_12895); 
if(
CBOOL(BgL_effzf3zf3_12896))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_8816;
BgL_newz00_8816 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30609;
BgL_tmpz00_30609 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8816, BgL_tmpz00_30609, BgL_exitz00_11697); } 
BgL_arg3114z00_4238 = BgL_newz00_8816; }  else 
{ /* Eval/evaluate_comp.scm 530 */
BgL_arg3114z00_4238 = BgL_exitz00_11697; } 
VECTOR_SET(
((obj_t)BgL_sz00_12897),BgL_arg3113z00_4237,BgL_arg3114z00_4238); } 
BgL_res1121z00_4236 = 
PROCEDURE_ENTRY(BgL_bodyz00_12898)(BgL_bodyz00_12898, BgL_sz00_12897, BEOA); 
POP_ENV_EXIT(BgL_env1122z00_4232); 
return BgL_res1121z00_4236;} } } } 
}} 

}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12743, obj_t BgL_val1120z00_12745)
{
{ /* Eval/evaluate_comp.scm 529 */
return 
unwind_stack_until(
PROCEDURE_REF(BgL_envz00_12743, 
(int)(((long)0))), BFALSE, BgL_val1120z00_12745, BFALSE, BFALSE);} 

}



/* &comp-ev_letrec1425 */
obj_t BGl_z62compzd2ev_letrec1425zb0zz__evaluate_compz00(obj_t BgL_envz00_12746, obj_t BgL_ez00_12747, obj_t BgL_stkz00_12748)
{
{ /* Eval/evaluate_comp.scm 494 */
{ /* Eval/evaluate_comp.scm 496 */
 long BgL_siza7eza7_15634; obj_t BgL_nstkz00_15635;
BgL_siza7eza7_15634 = 
bgl_list_length(BgL_stkz00_12748); 
{ /* Eval/evaluate_comp.scm 496 */
 obj_t BgL_arg3110z00_15636;
BgL_arg3110z00_15636 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12747))))->BgL_varsz00); 
BgL_nstkz00_15635 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12748, BgL_arg3110z00_15636); } 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_cvalsz00_15637; obj_t BgL_bodyz00_15638;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_l1325z00_15639;
BgL_l1325z00_15639 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12747))))->BgL_valsz00); 
if(
NULLP(BgL_l1325z00_15639))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15637 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_head1327z00_15640;
BgL_head1327z00_15640 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1325z00_15642; obj_t BgL_tail1328z00_15643;
BgL_l1325z00_15642 = BgL_l1325z00_15639; 
BgL_tail1328z00_15643 = BgL_head1327z00_15640; 
BgL_zc3z04anonymousza33105ze3z87_15641:
if(
NULLP(BgL_l1325z00_15642))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_15637 = 
CDR(BgL_head1327z00_15640); }  else 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_newtail1329z00_15644;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3108z00_15645;
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_vz00_15646;
BgL_vz00_15646 = 
CAR(
((obj_t)BgL_l1325z00_15642)); 
BgL_arg3108z00_15645 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15646), BgL_nstkz00_15635); } 
BgL_newtail1329z00_15644 = 
MAKE_YOUNG_PAIR(BgL_arg3108z00_15645, BNIL); } 
SET_CDR(BgL_tail1328z00_15643, BgL_newtail1329z00_15644); 
{ /* Eval/evaluate_comp.scm 497 */
 obj_t BgL_arg3107z00_15647;
BgL_arg3107z00_15647 = 
CDR(
((obj_t)BgL_l1325z00_15642)); 
{ 
 obj_t BgL_tail1328z00_30645; obj_t BgL_l1325z00_30644;
BgL_l1325z00_30644 = BgL_arg3107z00_15647; 
BgL_tail1328z00_30645 = BgL_newtail1329z00_15644; 
BgL_tail1328z00_15643 = BgL_tail1328z00_30645; 
BgL_l1325z00_15642 = BgL_l1325z00_30644; 
goto BgL_zc3z04anonymousza33105ze3z87_15641;} } } } } } 
{ /* Eval/evaluate_comp.scm 498 */
 BgL_ev_exprz00_bglt BgL_arg3109z00_15648;
BgL_arg3109z00_15648 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12747))))->BgL_bodyz00); 
BgL_bodyz00_15638 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3109z00_15648, BgL_nstkz00_15635); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5229z00_30650;
{ 
 obj_t BgL_l1330z00_15650;
BgL_l1330z00_15650 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12747))))->BgL_valsz00); 
BgL_zc3z04anonymousza33102ze3z87_15649:
if(
NULLP(BgL_l1330z00_15650))
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5229z00_30650 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_test5231z00_30653;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_vz00_15651;
BgL_vz00_15651 = 
CAR(
((obj_t)BgL_l1330z00_15650)); 
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_classz00_15652;
BgL_classz00_15652 = BGl_ev_absz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_15651))
{ /* Eval/evaluate_comp.scm 499 */
 BgL_objectz00_bglt BgL_arg4054z00_15653;
BgL_arg4054z00_15653 = 
(BgL_objectz00_bglt)(BgL_vz00_15651); 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_arg4051z00_15654; bool_t BgL_arg4052z00_15655;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_idxz00_15656;
BgL_idxz00_15656 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg4054z00_15653); 
BgL_arg4051z00_15654 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_15656+((long)2)))==BgL_classz00_15652); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL_res4191z00_15659;
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_oclassz00_15660;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg4061z00_15661;
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_arg4062z00_15662;
BgL_arg4062z00_15662 = 
BGL_OBJECT_CLASS_NUM(BgL_arg4054z00_15653); 
BgL_arg4061z00_15661 = 
(BgL_arg4062z00_15662-OBJECT_TYPE); } 
BgL_oclassz00_15660 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg4061z00_15661); } 
{ /* Eval/evaluate_comp.scm 499 */
 bool_t BgL__ortest_1293z00_15663;
BgL__ortest_1293z00_15663 = 
(BgL_classz00_15652==BgL_oclassz00_15660); 
if(BgL__ortest_1293z00_15663)
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4191z00_15659 = BgL__ortest_1293z00_15663; }  else 
{ /* Eval/evaluate_comp.scm 499 */
 long BgL_odepthz00_15664;
BgL_odepthz00_15664 = 
BGL_CLASS_DEPTH(BgL_oclassz00_15660); 
if(
(((long)2)<BgL_odepthz00_15664))
{ /* Eval/evaluate_comp.scm 499 */
 obj_t BgL_arg4050z00_15665;
BgL_arg4050z00_15665 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_15660, ((long)2)); 
BgL_res4191z00_15659 = 
(BgL_arg4050z00_15665==BgL_classz00_15652); }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_res4191z00_15659 = ((bool_t)0); } } } } 
BgL_arg4052z00_15655 = BgL_res4191z00_15659; } 
BgL_test5231z00_30653 = 
BGL_ISA_C_BACKEND(BgL_arg4051z00_15654, BgL_arg4052z00_15655); } }  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5231z00_30653 = ((bool_t)0)
; } } } 
if(BgL_test5231z00_30653)
{ 
 obj_t BgL_l1330z00_30674;
BgL_l1330z00_30674 = 
CDR(
((obj_t)BgL_l1330z00_15650)); 
BgL_l1330z00_15650 = BgL_l1330z00_30674; 
goto BgL_zc3z04anonymousza33102ze3z87_15649;}  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5229z00_30650 = ((bool_t)0)
; } } } 
if(BgL_test5229z00_30650)
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_zc3z04anonymousza33072ze3z87_15666;
BgL_zc3z04anonymousza33072ze3z87_15666 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15666, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15634)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15666, 
(int)(((long)1)), BgL_cvalsz00_15637); 
PROCEDURE_SET(BgL_zc3z04anonymousza33072ze3z87_15666, 
(int)(((long)2)), BgL_bodyz00_15638); 
return BgL_zc3z04anonymousza33072ze3z87_15666;}  else 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_zc3z04anonymousza33085ze3z87_15667;
BgL_zc3z04anonymousza33085ze3z87_15667 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15667, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15634)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15667, 
(int)(((long)1)), BgL_cvalsz00_15637); 
PROCEDURE_SET(BgL_zc3z04anonymousza33085ze3z87_15667, 
(int)(((long)2)), BgL_bodyz00_15638); 
return BgL_zc3z04anonymousza33085ze3z87_15667;} } } } } 

}



/* &<@anonymous:3072> */
obj_t BGl_z62zc3z04anonymousza33072ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12749, obj_t BgL_sz00_12753)
{
{ /* Eval/evaluate_comp.scm 500 */
{ /* Eval/evaluate_comp.scm 500 */
 long BgL_siza7eza7_12750; obj_t BgL_cvalsz00_12751; obj_t BgL_bodyz00_12752;
BgL_siza7eza7_12750 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12749, 
(int)(((long)0)))); 
BgL_cvalsz00_12751 = 
PROCEDURE_REF(BgL_envz00_12749, 
(int)(((long)1))); 
BgL_bodyz00_12752 = 
PROCEDURE_REF(BgL_envz00_12749, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 500 */
 obj_t BgL_bpz00_15668;
BgL_bpz00_15668 = 
VECTOR_REF(
((obj_t)BgL_sz00_12753),((long)0)); 
{ /* Eval/evaluate_comp.scm 501 */
 long BgL_g1112z00_15669;
BgL_g1112z00_15669 = 
(
(long)CINT(BgL_bpz00_15668)+BgL_siza7eza7_12750); 
{ 
 obj_t BgL_lz00_15671; long BgL_iz00_15672;
BgL_lz00_15671 = BgL_cvalsz00_12751; 
BgL_iz00_15672 = BgL_g1112z00_15669; 
BgL_recz00_15670:
if(
NULLP(BgL_lz00_15671))
{ /* Eval/evaluate_comp.scm 502 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 502 */
{ /* Eval/evaluate_comp.scm 503 */
 obj_t BgL_arg3075z00_15673;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15674;
BgL_newz00_15674 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30715;
BgL_tmpz00_30715 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15674, BgL_tmpz00_30715, BUNSPEC); } 
BgL_arg3075z00_15673 = BgL_newz00_15674; } 
VECTOR_SET(
((obj_t)BgL_sz00_12753),BgL_iz00_15672,BgL_arg3075z00_15673); } 
{ /* Eval/evaluate_comp.scm 504 */
 obj_t BgL_arg3076z00_15675; long BgL_arg3077z00_15676;
BgL_arg3076z00_15675 = 
CDR(
((obj_t)BgL_lz00_15671)); 
BgL_arg3077z00_15676 = 
(BgL_iz00_15672+((long)1)); 
{ 
 long BgL_iz00_30724; obj_t BgL_lz00_30723;
BgL_lz00_30723 = BgL_arg3076z00_15675; 
BgL_iz00_30724 = BgL_arg3077z00_15676; 
BgL_iz00_15672 = BgL_iz00_30724; 
BgL_lz00_15671 = BgL_lz00_30723; 
goto BgL_recz00_15670;} } } } } 
{ /* Eval/evaluate_comp.scm 505 */
 long BgL_g1113z00_15677;
BgL_g1113z00_15677 = 
(
(long)CINT(BgL_bpz00_15668)+BgL_siza7eza7_12750); 
{ 
 obj_t BgL_lz00_15679; long BgL_iz00_15680;
BgL_lz00_15679 = BgL_cvalsz00_12751; 
BgL_iz00_15680 = BgL_g1113z00_15677; 
BgL_recz00_15678:
if(
NULLP(BgL_lz00_15679))
{ /* Eval/evaluate_comp.scm 506 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 506 */
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_arg3080z00_15681; obj_t BgL_arg3081z00_15682;
BgL_arg3080z00_15681 = 
VECTOR_REF(
((obj_t)BgL_sz00_12753),BgL_iz00_15680); 
{ /* Eval/evaluate_comp.scm 507 */
 obj_t BgL_fun3082z00_15683;
BgL_fun3082z00_15683 = 
CAR(
((obj_t)BgL_lz00_15679)); 
BgL_arg3081z00_15682 = 
PROCEDURE_ENTRY(BgL_fun3082z00_15683)(BgL_fun3082z00_15683, BgL_sz00_12753, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30739; obj_t BgL_tmpz00_30737;
BgL_auxz00_30739 = 
(int)(((long)0)); 
BgL_tmpz00_30737 = 
((obj_t)BgL_arg3080z00_15681); 
STRUCT_SET(BgL_tmpz00_30737, BgL_auxz00_30739, BgL_arg3081z00_15682); } } 
{ /* Eval/evaluate_comp.scm 508 */
 obj_t BgL_arg3083z00_15684; long BgL_arg3084z00_15685;
BgL_arg3083z00_15684 = 
CDR(
((obj_t)BgL_lz00_15679)); 
BgL_arg3084z00_15685 = 
(BgL_iz00_15680+((long)1)); 
{ 
 long BgL_iz00_30746; obj_t BgL_lz00_30745;
BgL_lz00_30745 = BgL_arg3083z00_15684; 
BgL_iz00_30746 = BgL_arg3084z00_15685; 
BgL_iz00_15680 = BgL_iz00_30746; 
BgL_lz00_15679 = BgL_lz00_30745; 
goto BgL_recz00_15678;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12752)(BgL_bodyz00_12752, BgL_sz00_12753, BEOA);} } } 

}



/* &<@anonymous:3085> */
obj_t BGl_z62zc3z04anonymousza33085ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12754, obj_t BgL_sz00_12758)
{
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 510 */
 long BgL_siza7eza7_12755; obj_t BgL_cvalsz00_12756; obj_t BgL_bodyz00_12757;
BgL_siza7eza7_12755 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12754, 
(int)(((long)0)))); 
BgL_cvalsz00_12756 = 
PROCEDURE_REF(BgL_envz00_12754, 
(int)(((long)1))); 
BgL_bodyz00_12757 = 
PROCEDURE_REF(BgL_envz00_12754, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 510 */
 obj_t BgL_bpz00_15686;
BgL_bpz00_15686 = 
VECTOR_REF(
((obj_t)BgL_sz00_12758),((long)0)); 
{ /* Eval/evaluate_comp.scm 511 */
 long BgL_g1114z00_15687;
BgL_g1114z00_15687 = 
(
(long)CINT(BgL_bpz00_15686)+BgL_siza7eza7_12755); 
{ 
 obj_t BgL_lz00_15689; long BgL_iz00_15690;
BgL_lz00_15689 = BgL_cvalsz00_12756; 
BgL_iz00_15690 = BgL_g1114z00_15687; 
BgL_recz00_15688:
if(
NULLP(BgL_lz00_15689))
{ /* Eval/evaluate_comp.scm 512 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 512 */
{ /* Eval/evaluate_comp.scm 513 */
 obj_t BgL_arg3088z00_15691;
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15692;
BgL_newz00_15692 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30766;
BgL_tmpz00_30766 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15692, BgL_tmpz00_30766, BUNSPEC); } 
BgL_arg3088z00_15691 = BgL_newz00_15692; } 
VECTOR_SET(
((obj_t)BgL_sz00_12758),BgL_iz00_15690,BgL_arg3088z00_15691); } 
{ /* Eval/evaluate_comp.scm 514 */
 obj_t BgL_arg3089z00_15693; long BgL_arg3090z00_15694;
BgL_arg3089z00_15693 = 
CDR(
((obj_t)BgL_lz00_15689)); 
BgL_arg3090z00_15694 = 
(BgL_iz00_15690+((long)1)); 
{ 
 long BgL_iz00_30775; obj_t BgL_lz00_30774;
BgL_lz00_30774 = BgL_arg3089z00_15693; 
BgL_iz00_30775 = BgL_arg3090z00_15694; 
BgL_iz00_15690 = BgL_iz00_30775; 
BgL_lz00_15689 = BgL_lz00_30774; 
goto BgL_recz00_15688;} } } } } 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_rvalsz00_15695;
if(
NULLP(BgL_cvalsz00_12756))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15695 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_head1336z00_15696;
BgL_head1336z00_15696 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1334z00_15698; obj_t BgL_tail1337z00_15699;
BgL_l1334z00_15698 = BgL_cvalsz00_12756; 
BgL_tail1337z00_15699 = BgL_head1336z00_15696; 
BgL_zc3z04anonymousza33098ze3z87_15697:
if(
NULLP(BgL_l1334z00_15698))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_15695 = 
CDR(BgL_head1336z00_15696); }  else 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_newtail1338z00_15700;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3101z00_15701;
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_vz00_15702;
BgL_vz00_15702 = 
CAR(
((obj_t)BgL_l1334z00_15698)); 
BgL_arg3101z00_15701 = 
PROCEDURE_ENTRY(BgL_vz00_15702)(BgL_vz00_15702, BgL_sz00_12758, BEOA); } 
BgL_newtail1338z00_15700 = 
MAKE_YOUNG_PAIR(BgL_arg3101z00_15701, BNIL); } 
SET_CDR(BgL_tail1337z00_15699, BgL_newtail1338z00_15700); 
{ /* Eval/evaluate_comp.scm 515 */
 obj_t BgL_arg3100z00_15703;
BgL_arg3100z00_15703 = 
CDR(
((obj_t)BgL_l1334z00_15698)); 
{ 
 obj_t BgL_tail1337z00_30793; obj_t BgL_l1334z00_30792;
BgL_l1334z00_30792 = BgL_arg3100z00_15703; 
BgL_tail1337z00_30793 = BgL_newtail1338z00_15700; 
BgL_tail1337z00_15699 = BgL_tail1337z00_30793; 
BgL_l1334z00_15698 = BgL_l1334z00_30792; 
goto BgL_zc3z04anonymousza33098ze3z87_15697;} } } } } 
{ /* Eval/evaluate_comp.scm 516 */
 long BgL_g1115z00_15704;
BgL_g1115z00_15704 = 
(
(long)CINT(BgL_bpz00_15686)+BgL_siza7eza7_12755); 
{ 
 obj_t BgL_lz00_15706; long BgL_iz00_15707;
BgL_lz00_15706 = BgL_rvalsz00_15695; 
BgL_iz00_15707 = BgL_g1115z00_15704; 
BgL_recz00_15705:
if(
NULLP(BgL_lz00_15706))
{ /* Eval/evaluate_comp.scm 517 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 517 */
{ /* Eval/evaluate_comp.scm 518 */
 obj_t BgL_arg3093z00_15708; obj_t BgL_arg3094z00_15709;
BgL_arg3093z00_15708 = 
VECTOR_REF(
((obj_t)BgL_sz00_12758),BgL_iz00_15707); 
BgL_arg3094z00_15709 = 
CAR(
((obj_t)BgL_lz00_15706)); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_30804; obj_t BgL_tmpz00_30802;
BgL_auxz00_30804 = 
(int)(((long)0)); 
BgL_tmpz00_30802 = 
((obj_t)BgL_arg3093z00_15708); 
STRUCT_SET(BgL_tmpz00_30802, BgL_auxz00_30804, BgL_arg3094z00_15709); } } 
{ /* Eval/evaluate_comp.scm 519 */
 obj_t BgL_arg3095z00_15710; long BgL_arg3096z00_15711;
BgL_arg3095z00_15710 = 
CDR(
((obj_t)BgL_lz00_15706)); 
BgL_arg3096z00_15711 = 
(BgL_iz00_15707+((long)1)); 
{ 
 long BgL_iz00_30811; obj_t BgL_lz00_30810;
BgL_lz00_30810 = BgL_arg3095z00_15710; 
BgL_iz00_30811 = BgL_arg3096z00_15711; 
BgL_iz00_15707 = BgL_iz00_30811; 
BgL_lz00_15706 = BgL_lz00_30810; 
goto BgL_recz00_15705;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12757)(BgL_bodyz00_12757, BgL_sz00_12758, BEOA);} } } } 

}



/* &comp-ev_let*1423 */
obj_t BGl_z62compzd2ev_letza21423z12zz__evaluate_compz00(obj_t BgL_envz00_12759, obj_t BgL_ez00_12760, obj_t BgL_stkz00_12761)
{
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 483 */
 long BgL_siza7eza7_15713; obj_t BgL_nstkz00_15714;
BgL_siza7eza7_15713 = 
bgl_list_length(BgL_stkz00_12761); 
{ /* Eval/evaluate_comp.scm 483 */
 obj_t BgL_arg3067z00_15715;
BgL_arg3067z00_15715 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12760))))->BgL_varsz00); 
BgL_nstkz00_15714 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12761, BgL_arg3067z00_15715); } 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_valsz00_15716; obj_t BgL_bodyz00_15717;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_l1320z00_15718;
BgL_l1320z00_15718 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12760))))->BgL_valsz00); 
if(
NULLP(BgL_l1320z00_15718))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15716 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_head1322z00_15719;
BgL_head1322z00_15719 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1320z00_15721; obj_t BgL_tail1323z00_15722;
BgL_l1320z00_15721 = BgL_l1320z00_15718; 
BgL_tail1323z00_15722 = BgL_head1322z00_15719; 
BgL_zc3z04anonymousza33062ze3z87_15720:
if(
NULLP(BgL_l1320z00_15721))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_15716 = 
CDR(BgL_head1322z00_15719); }  else 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_newtail1324z00_15723;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg3065z00_15724;
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_vz00_15725;
BgL_vz00_15725 = 
CAR(
((obj_t)BgL_l1320z00_15721)); 
BgL_arg3065z00_15724 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_15725), BgL_nstkz00_15714); } 
BgL_newtail1324z00_15723 = 
MAKE_YOUNG_PAIR(BgL_arg3065z00_15724, BNIL); } 
SET_CDR(BgL_tail1323z00_15722, BgL_newtail1324z00_15723); 
{ /* Eval/evaluate_comp.scm 484 */
 obj_t BgL_arg3064z00_15726;
BgL_arg3064z00_15726 = 
CDR(
((obj_t)BgL_l1320z00_15721)); 
{ 
 obj_t BgL_tail1323z00_30839; obj_t BgL_l1320z00_30838;
BgL_l1320z00_30838 = BgL_arg3064z00_15726; 
BgL_tail1323z00_30839 = BgL_newtail1324z00_15723; 
BgL_tail1323z00_15722 = BgL_tail1323z00_30839; 
BgL_l1320z00_15721 = BgL_l1320z00_30838; 
goto BgL_zc3z04anonymousza33062ze3z87_15720;} } } } } } 
{ /* Eval/evaluate_comp.scm 485 */
 BgL_ev_exprz00_bglt BgL_arg3066z00_15727;
BgL_arg3066z00_15727 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12760))))->BgL_bodyz00); 
BgL_bodyz00_15717 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3066z00_15727, BgL_nstkz00_15714); } 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_zc3z04anonymousza33051ze3z87_15728;
BgL_zc3z04anonymousza33051ze3z87_15728 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15728, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15713)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15728, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12760))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15728, 
(int)(((long)2)), BgL_valsz00_15716); 
PROCEDURE_SET(BgL_zc3z04anonymousza33051ze3z87_15728, 
(int)(((long)3)), BgL_bodyz00_15717); 
return BgL_zc3z04anonymousza33051ze3z87_15728;} } } } 

}



/* &<@anonymous:3051> */
obj_t BGl_z62zc3z04anonymousza33051ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12762, obj_t BgL_sz00_12767)
{
{ /* Eval/evaluate_comp.scm 486 */
{ /* Eval/evaluate_comp.scm 486 */
 long BgL_siza7eza7_12763; BgL_ev_letza2za2_bglt BgL_i1109z00_12764; obj_t BgL_valsz00_12765; obj_t BgL_bodyz00_12766;
BgL_siza7eza7_12763 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12762, 
(int)(((long)0)))); 
BgL_i1109z00_12764 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12762, 
(int)(((long)1)))); 
BgL_valsz00_12765 = 
PROCEDURE_REF(BgL_envz00_12762, 
(int)(((long)2))); 
BgL_bodyz00_12766 = 
PROCEDURE_REF(BgL_envz00_12762, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 486 */
 obj_t BgL_bpz00_15729;
BgL_bpz00_15729 = 
VECTOR_REF(
((obj_t)BgL_sz00_12767),((long)0)); 
{ /* Eval/evaluate_comp.scm 487 */
 long BgL_g1110z00_15730;
BgL_g1110z00_15730 = 
(
(long)CINT(BgL_bpz00_15729)+BgL_siza7eza7_12763); 
{ 
 obj_t BgL_lz00_15732; long BgL_iz00_15733; obj_t BgL_bza2za2_15734;
BgL_lz00_15732 = BgL_valsz00_12765; 
BgL_iz00_15733 = BgL_g1110z00_15730; 
BgL_bza2za2_15734 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1109z00_12764))->BgL_boxesz00); 
BgL_recz00_15731:
if(
NULLP(BgL_lz00_15732))
{ /* Eval/evaluate_comp.scm 488 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 488 */
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_valz00_15735;
{ /* Eval/evaluate_comp.scm 489 */
 obj_t BgL_fun3057z00_15736;
BgL_fun3057z00_15736 = 
CAR(
((obj_t)BgL_lz00_15732)); 
BgL_valz00_15735 = 
PROCEDURE_ENTRY(BgL_fun3057z00_15736)(BgL_fun3057z00_15736, BgL_sz00_12767, BEOA); } 
{ /* Eval/evaluate_comp.scm 490 */
 obj_t BgL_arg3055z00_15737;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_15734))))
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15738;
BgL_newz00_15738 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30886;
BgL_tmpz00_30886 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15738, BgL_tmpz00_30886, BgL_valz00_15735); } 
BgL_arg3055z00_15737 = BgL_newz00_15738; }  else 
{ /* Eval/evaluate_comp.scm 490 */
BgL_arg3055z00_15737 = BgL_valz00_15735; } 
VECTOR_SET(
((obj_t)BgL_sz00_12767),BgL_iz00_15733,BgL_arg3055z00_15737); } } 
{ /* Eval/evaluate_comp.scm 491 */
 obj_t BgL_arg3058z00_15739; long BgL_arg3059z00_15740; obj_t BgL_arg3060z00_15741;
BgL_arg3058z00_15739 = 
CDR(
((obj_t)BgL_lz00_15732)); 
BgL_arg3059z00_15740 = 
(BgL_iz00_15733+((long)1)); 
BgL_arg3060z00_15741 = 
CDR(
((obj_t)BgL_bza2za2_15734)); 
{ 
 obj_t BgL_bza2za2_30898; long BgL_iz00_30897; obj_t BgL_lz00_30896;
BgL_lz00_30896 = BgL_arg3058z00_15739; 
BgL_iz00_30897 = BgL_arg3059z00_15740; 
BgL_bza2za2_30898 = BgL_arg3060z00_15741; 
BgL_bza2za2_15734 = BgL_bza2za2_30898; 
BgL_iz00_15733 = BgL_iz00_30897; 
BgL_lz00_15732 = BgL_lz00_30896; 
goto BgL_recz00_15731;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12766)(BgL_bodyz00_12766, BgL_sz00_12767, BEOA);} } } 

}



/* &comp-ev_let1421 */
obj_t BGl_z62compzd2ev_let1421zb0zz__evaluate_compz00(obj_t BgL_envz00_12768, obj_t BgL_ez00_12769, obj_t BgL_stkz00_12770)
{
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 464 */
 long BgL_siza7eza7_15743; obj_t BgL_nstkz00_15744;
BgL_siza7eza7_15743 = 
bgl_list_length(BgL_stkz00_12770); 
{ /* Eval/evaluate_comp.scm 464 */
 obj_t BgL_arg3050z00_15745;
BgL_arg3050z00_15745 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12769))))->BgL_varsz00); 
BgL_nstkz00_15744 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12770, BgL_arg3050z00_15745); } 
{ /* Eval/evaluate_comp.scm 465 */
 obj_t BgL_valsz00_15746; obj_t BgL_iboxesz00_15747; obj_t BgL_bodyz00_15748;
{ /* Eval/evaluate_comp.scm 466 */
 obj_t BgL_arg3043z00_15749;
BgL_arg3043z00_15749 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12769))))->BgL_valsz00); 
BgL_valsz00_15746 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg3043z00_15749, BgL_stkz00_12770); } 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_l1315z00_15750;
BgL_l1315z00_15750 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12769)))->BgL_boxesz00); 
if(
NULLP(BgL_l1315z00_15750))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15747 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_head1317z00_15751;
BgL_head1317z00_15751 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1315z00_15753; obj_t BgL_tail1318z00_15754;
BgL_l1315z00_15753 = BgL_l1315z00_15750; 
BgL_tail1318z00_15754 = BgL_head1317z00_15751; 
BgL_zc3z04anonymousza33045ze3z87_15752:
if(
NULLP(BgL_l1315z00_15753))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_15747 = 
CDR(BgL_head1317z00_15751); }  else 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_newtail1319z00_15755;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg3048z00_15756;
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_vz00_15757;
BgL_vz00_15757 = 
CAR(
((obj_t)BgL_l1315z00_15753)); 
BgL_arg3048z00_15756 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_15757, BgL_nstkz00_15744); } 
BgL_newtail1319z00_15755 = 
MAKE_YOUNG_PAIR(BgL_arg3048z00_15756, BNIL); } 
SET_CDR(BgL_tail1318z00_15754, BgL_newtail1319z00_15755); 
{ /* Eval/evaluate_comp.scm 467 */
 obj_t BgL_arg3047z00_15758;
BgL_arg3047z00_15758 = 
CDR(
((obj_t)BgL_l1315z00_15753)); 
{ 
 obj_t BgL_tail1318z00_30929; obj_t BgL_l1315z00_30928;
BgL_l1315z00_30928 = BgL_arg3047z00_15758; 
BgL_tail1318z00_30929 = BgL_newtail1319z00_15755; 
BgL_tail1318z00_15754 = BgL_tail1318z00_30929; 
BgL_l1315z00_15753 = BgL_l1315z00_30928; 
goto BgL_zc3z04anonymousza33045ze3z87_15752;} } } } } } 
{ /* Eval/evaluate_comp.scm 468 */
 BgL_ev_exprz00_bglt BgL_arg3049z00_15759;
BgL_arg3049z00_15759 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12769))))->BgL_bodyz00); 
BgL_bodyz00_15748 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3049z00_15759, BgL_nstkz00_15744); } 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_zc3z04anonymousza33030ze3z87_15760;
BgL_zc3z04anonymousza33030ze3z87_15760 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15760, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_15743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15760, 
(int)(((long)1)), BgL_valsz00_15746); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15760, 
(int)(((long)2)), BgL_iboxesz00_15747); 
PROCEDURE_SET(BgL_zc3z04anonymousza33030ze3z87_15760, 
(int)(((long)3)), BgL_bodyz00_15748); 
return BgL_zc3z04anonymousza33030ze3z87_15760;} } } } 

}



/* &<@anonymous:3030> */
obj_t BGl_z62zc3z04anonymousza33030ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12771, obj_t BgL_sz00_12776)
{
{ /* Eval/evaluate_comp.scm 469 */
{ /* Eval/evaluate_comp.scm 469 */
 long BgL_siza7eza7_12772; obj_t BgL_valsz00_12773; obj_t BgL_iboxesz00_12774; obj_t BgL_bodyz00_12775;
BgL_siza7eza7_12772 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12771, 
(int)(((long)0)))); 
BgL_valsz00_12773 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12771, 
(int)(((long)1)))); 
BgL_iboxesz00_12774 = 
PROCEDURE_REF(BgL_envz00_12771, 
(int)(((long)2))); 
BgL_bodyz00_12775 = 
PROCEDURE_REF(BgL_envz00_12771, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 469 */
 obj_t BgL_bpz00_15761;
BgL_bpz00_15761 = 
VECTOR_REF(
((obj_t)BgL_sz00_12776),((long)0)); 
{ /* Eval/evaluate_comp.scm 470 */
 long BgL_g1108z00_15762;
BgL_g1108z00_15762 = 
(
(long)CINT(BgL_bpz00_15761)+BgL_siza7eza7_12772); 
{ 
 obj_t BgL_lz00_15764; long BgL_iz00_15765;
BgL_lz00_15764 = BgL_valsz00_12773; 
BgL_iz00_15765 = BgL_g1108z00_15762; 
BgL_recz00_15763:
if(
NULLP(BgL_lz00_15764))
{ /* Eval/evaluate_comp.scm 471 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 471 */
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_arg3033z00_15766;
{ /* Eval/evaluate_comp.scm 472 */
 obj_t BgL_fun3034z00_15767;
BgL_fun3034z00_15767 = 
CAR(
((obj_t)BgL_lz00_15764)); 
BgL_arg3033z00_15766 = 
PROCEDURE_ENTRY(BgL_fun3034z00_15767)(BgL_fun3034z00_15767, BgL_sz00_12776, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12776),BgL_iz00_15765,BgL_arg3033z00_15766); } 
{ /* Eval/evaluate_comp.scm 473 */
 obj_t BgL_arg3035z00_15768; long BgL_arg3036z00_15769;
BgL_arg3035z00_15768 = 
CDR(
((obj_t)BgL_lz00_15764)); 
BgL_arg3036z00_15769 = 
(BgL_iz00_15765+((long)1)); 
{ 
 long BgL_iz00_30974; obj_t BgL_lz00_30973;
BgL_lz00_30973 = BgL_arg3035z00_15768; 
BgL_iz00_30974 = BgL_arg3036z00_15769; 
BgL_iz00_15765 = BgL_iz00_30974; 
BgL_lz00_15764 = BgL_lz00_30973; 
goto BgL_recz00_15763;} } } } } 
{ 
 obj_t BgL_lz00_15771;
BgL_lz00_15771 = BgL_iboxesz00_12774; 
BgL_recz00_15770:
if(
NULLP(BgL_lz00_15771))
{ /* Eval/evaluate_comp.scm 475 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 475 */
{ /* Eval/evaluate_comp.scm 476 */
 long BgL_iz00_15772;
BgL_iz00_15772 = 
(
(long)CINT(BgL_bpz00_15761)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_15771)))); 
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg3039z00_15773;
{ /* Eval/evaluate_comp.scm 477 */
 obj_t BgL_arg3040z00_15774;
BgL_arg3040z00_15774 = 
VECTOR_REF(
((obj_t)BgL_sz00_12776),BgL_iz00_15772); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_newz00_15775;
BgL_newz00_15775 = 
create_struct(BGl_symbol4334z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_tmpz00_30986;
BgL_tmpz00_30986 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_15775, BgL_tmpz00_30986, BgL_arg3040z00_15774); } 
BgL_arg3039z00_15773 = BgL_newz00_15775; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12776),BgL_iz00_15772,BgL_arg3039z00_15773); } } 
{ /* Eval/evaluate_comp.scm 478 */
 obj_t BgL_arg3042z00_15776;
BgL_arg3042z00_15776 = 
CDR(
((obj_t)BgL_lz00_15771)); 
{ 
 obj_t BgL_lz00_30993;
BgL_lz00_30993 = BgL_arg3042z00_15776; 
BgL_lz00_15771 = BgL_lz00_30993; 
goto BgL_recz00_15770;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12775)(BgL_bodyz00_12775, BgL_sz00_12776, BEOA);} } } 

}



/* &comp-ev_prog21419 */
obj_t BGl_z62compzd2ev_prog21419zb0zz__evaluate_compz00(obj_t BgL_envz00_12777, obj_t BgL_ez00_12778, obj_t BgL_stkz00_12779)
{
{ /* Eval/evaluate_comp.scm 456 */
{ /* Eval/evaluate_comp.scm 458 */
 obj_t BgL_e1z00_15778; obj_t BgL_e2z00_15779;
BgL_e1z00_15778 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12778)))->BgL_e1z00), BgL_stkz00_12779); 
BgL_e2z00_15779 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12778)))->BgL_e2z00), BgL_stkz00_12779); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_zc3z04anonymousza33027ze3z87_15780;
BgL_zc3z04anonymousza33027ze3z87_15780 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_15780, 
(int)(((long)0)), BgL_e1z00_15778); 
PROCEDURE_SET(BgL_zc3z04anonymousza33027ze3z87_15780, 
(int)(((long)1)), BgL_e2z00_15779); 
return BgL_zc3z04anonymousza33027ze3z87_15780;} } } 

}



/* &<@anonymous:3027> */
obj_t BGl_z62zc3z04anonymousza33027ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12780, obj_t BgL_sz00_12783)
{
{ /* Eval/evaluate_comp.scm 459 */
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_e1z00_12781; obj_t BgL_e2z00_12782;
BgL_e1z00_12781 = 
PROCEDURE_REF(BgL_envz00_12780, 
(int)(((long)0))); 
BgL_e2z00_12782 = 
PROCEDURE_REF(BgL_envz00_12780, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 459 */
 obj_t BgL_bpz00_15781;
BgL_bpz00_15781 = 
VECTOR_REF(
((obj_t)BgL_sz00_12783),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12781)(BgL_e1z00_12781, BgL_sz00_12783, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12782)(BgL_e2z00_12782, BgL_sz00_12783, BEOA);} } } 

}



/* &comp-ev_and1417 */
obj_t BGl_z62compzd2ev_and1417zb0zz__evaluate_compz00(obj_t BgL_envz00_12784, obj_t BgL_ez00_12785, obj_t BgL_stkz00_12786)
{
{ /* Eval/evaluate_comp.scm 446 */
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_argsz00_15783;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_l1310z00_15784;
BgL_l1310z00_15784 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12785))))->BgL_argsz00); 
if(
NULLP(BgL_l1310z00_15784))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15783 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_head1312z00_15785;
BgL_head1312z00_15785 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1310z00_15787; obj_t BgL_tail1313z00_15788;
BgL_l1310z00_15787 = BgL_l1310z00_15784; 
BgL_tail1313z00_15788 = BgL_head1312z00_15785; 
BgL_zc3z04anonymousza33023ze3z87_15786:
if(
NULLP(BgL_l1310z00_15787))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_15783 = 
CDR(BgL_head1312z00_15785); }  else 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_newtail1314z00_15789;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg3026z00_15790;
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_ez00_15791;
BgL_ez00_15791 = 
CAR(
((obj_t)BgL_l1310z00_15787)); 
BgL_arg3026z00_15790 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15791), BgL_stkz00_12786); } 
BgL_newtail1314z00_15789 = 
MAKE_YOUNG_PAIR(BgL_arg3026z00_15790, BNIL); } 
SET_CDR(BgL_tail1313z00_15788, BgL_newtail1314z00_15789); 
{ /* Eval/evaluate_comp.scm 448 */
 obj_t BgL_arg3025z00_15792;
BgL_arg3025z00_15792 = 
CDR(
((obj_t)BgL_l1310z00_15787)); 
{ 
 obj_t BgL_tail1313z00_31043; obj_t BgL_l1310z00_31042;
BgL_l1310z00_31042 = BgL_arg3025z00_15792; 
BgL_tail1313z00_31043 = BgL_newtail1314z00_15789; 
BgL_tail1313z00_15788 = BgL_tail1313z00_31043; 
BgL_l1310z00_15787 = BgL_l1310z00_31042; 
goto BgL_zc3z04anonymousza33023ze3z87_15786;} } } } } } 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_zc3z04anonymousza33017ze3z87_15793;
BgL_zc3z04anonymousza33017ze3z87_15793 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33017ze3z87_15793, 
(int)(((long)0)), BgL_argsz00_15783); 
return BgL_zc3z04anonymousza33017ze3z87_15793;} } } 

}



/* &<@anonymous:3017> */
obj_t BGl_z62zc3z04anonymousza33017ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12787, obj_t BgL_sz00_12789)
{
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_argsz00_12788;
BgL_argsz00_12788 = 
PROCEDURE_REF(BgL_envz00_12787, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 449 */
 obj_t BgL_bpz00_15794;
BgL_bpz00_15794 = 
VECTOR_REF(
((obj_t)BgL_sz00_12789),((long)0)); 
{ 
 obj_t BgL_lz00_15796; obj_t BgL_rz00_15797;
BgL_lz00_15796 = BgL_argsz00_12788; 
BgL_rz00_15797 = BTRUE; 
BgL_recz00_15795:
if(
NULLP(BgL_lz00_15796))
{ /* Eval/evaluate_comp.scm 451 */
return BgL_rz00_15797;}  else 
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_vz00_15798;
{ /* Eval/evaluate_comp.scm 453 */
 obj_t BgL_fun3021z00_15799;
BgL_fun3021z00_15799 = 
CAR(
((obj_t)BgL_lz00_15796)); 
BgL_vz00_15798 = 
PROCEDURE_ENTRY(BgL_fun3021z00_15799)(BgL_fun3021z00_15799, BgL_sz00_12789, BEOA); } 
if(
CBOOL(BgL_vz00_15798))
{ /* Eval/evaluate_comp.scm 454 */
 obj_t BgL_arg3020z00_15800;
BgL_arg3020z00_15800 = 
CDR(
((obj_t)BgL_lz00_15796)); 
{ 
 obj_t BgL_rz00_31066; obj_t BgL_lz00_31065;
BgL_lz00_31065 = BgL_arg3020z00_15800; 
BgL_rz00_31066 = BgL_vz00_15798; 
BgL_rz00_15797 = BgL_rz00_31066; 
BgL_lz00_15796 = BgL_lz00_31065; 
goto BgL_recz00_15795;} }  else 
{ /* Eval/evaluate_comp.scm 454 */
return BFALSE;} } } } } } 

}



/* &comp-ev_or1415 */
obj_t BGl_z62compzd2ev_or1415zb0zz__evaluate_compz00(obj_t BgL_envz00_12790, obj_t BgL_ez00_12791, obj_t BgL_stkz00_12792)
{
{ /* Eval/evaluate_comp.scm 437 */
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_argsz00_15802;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_l1305z00_15803;
BgL_l1305z00_15803 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12791))))->BgL_argsz00); 
if(
NULLP(BgL_l1305z00_15803))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15802 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_head1307z00_15804;
BgL_head1307z00_15804 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1305z00_15806; obj_t BgL_tail1308z00_15807;
BgL_l1305z00_15806 = BgL_l1305z00_15803; 
BgL_tail1308z00_15807 = BgL_head1307z00_15804; 
BgL_zc3z04anonymousza33013ze3z87_15805:
if(
NULLP(BgL_l1305z00_15806))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_15802 = 
CDR(BgL_head1307z00_15804); }  else 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_newtail1309z00_15808;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg3016z00_15809;
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_ez00_15810;
BgL_ez00_15810 = 
CAR(
((obj_t)BgL_l1305z00_15806)); 
BgL_arg3016z00_15809 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_15810), BgL_stkz00_12792); } 
BgL_newtail1309z00_15808 = 
MAKE_YOUNG_PAIR(BgL_arg3016z00_15809, BNIL); } 
SET_CDR(BgL_tail1308z00_15807, BgL_newtail1309z00_15808); 
{ /* Eval/evaluate_comp.scm 439 */
 obj_t BgL_arg3015z00_15811;
BgL_arg3015z00_15811 = 
CDR(
((obj_t)BgL_l1305z00_15806)); 
{ 
 obj_t BgL_tail1308z00_31085; obj_t BgL_l1305z00_31084;
BgL_l1305z00_31084 = BgL_arg3015z00_15811; 
BgL_tail1308z00_31085 = BgL_newtail1309z00_15808; 
BgL_tail1308z00_15807 = BgL_tail1308z00_31085; 
BgL_l1305z00_15806 = BgL_l1305z00_31084; 
goto BgL_zc3z04anonymousza33013ze3z87_15805;} } } } } } 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_zc3z04anonymousza33007ze3z87_15812;
BgL_zc3z04anonymousza33007ze3z87_15812 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33007ze3z87_15812, 
(int)(((long)0)), BgL_argsz00_15802); 
return BgL_zc3z04anonymousza33007ze3z87_15812;} } } 

}



/* &<@anonymous:3007> */
obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12793, obj_t BgL_sz00_12795)
{
{ /* Eval/evaluate_comp.scm 440 */
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_argsz00_12794;
BgL_argsz00_12794 = 
PROCEDURE_REF(BgL_envz00_12793, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 440 */
 obj_t BgL_bpz00_15813;
BgL_bpz00_15813 = 
VECTOR_REF(
((obj_t)BgL_sz00_12795),((long)0)); 
{ 
 obj_t BgL_lz00_15815;
BgL_lz00_15815 = BgL_argsz00_12794; 
BgL_recz00_15814:
if(
NULLP(BgL_lz00_15815))
{ /* Eval/evaluate_comp.scm 442 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL__ortest_1103z00_15816;
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_fun3011z00_15817;
BgL_fun3011z00_15817 = 
CAR(
((obj_t)BgL_lz00_15815)); 
BgL__ortest_1103z00_15816 = 
PROCEDURE_ENTRY(BgL_fun3011z00_15817)(BgL_fun3011z00_15817, BgL_sz00_12795, BEOA); } 
if(
CBOOL(BgL__ortest_1103z00_15816))
{ /* Eval/evaluate_comp.scm 444 */
return BgL__ortest_1103z00_15816;}  else 
{ /* Eval/evaluate_comp.scm 444 */
 obj_t BgL_arg3010z00_15818;
BgL_arg3010z00_15818 = 
CDR(
((obj_t)BgL_lz00_15815)); 
{ 
 obj_t BgL_lz00_31107;
BgL_lz00_31107 = BgL_arg3010z00_15818; 
BgL_lz00_15815 = BgL_lz00_31107; 
goto BgL_recz00_15814;} } } } } } } 

}



/* &comp-ev_if1413 */
obj_t BGl_z62compzd2ev_if1413zb0zz__evaluate_compz00(obj_t BgL_envz00_12796, obj_t BgL_ez00_12797, obj_t BgL_stkz00_12798)
{
{ /* Eval/evaluate_comp.scm 431 */
{ /* Eval/evaluate_comp.scm 433 */
 obj_t BgL_pz00_15820; obj_t BgL_tz00_15821; obj_t BgL_ez00_15822;
BgL_pz00_15820 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12797)))->BgL_pz00), BgL_stkz00_12798); 
BgL_tz00_15821 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12797)))->BgL_tz00), BgL_stkz00_12798); 
BgL_ez00_15822 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12797)))->BgL_ez00), BgL_stkz00_12798); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_zc3z04anonymousza33002ze3z87_15823;
BgL_zc3z04anonymousza33002ze3z87_15823 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15823, 
(int)(((long)0)), BgL_ez00_15822); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15823, 
(int)(((long)1)), BgL_tz00_15821); 
PROCEDURE_SET(BgL_zc3z04anonymousza33002ze3z87_15823, 
(int)(((long)2)), BgL_pz00_15820); 
return BgL_zc3z04anonymousza33002ze3z87_15823;} } } 

}



/* &<@anonymous:3002> */
obj_t BGl_z62zc3z04anonymousza33002ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12799, obj_t BgL_sz00_12803)
{
{ /* Eval/evaluate_comp.scm 434 */
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_ez00_12800; obj_t BgL_tz00_12801; obj_t BgL_pz00_12802;
BgL_ez00_12800 = 
PROCEDURE_REF(BgL_envz00_12799, 
(int)(((long)0))); 
BgL_tz00_12801 = 
PROCEDURE_REF(BgL_envz00_12799, 
(int)(((long)1))); 
BgL_pz00_12802 = 
PROCEDURE_REF(BgL_envz00_12799, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 434 */
 obj_t BgL_bpz00_15824;
BgL_bpz00_15824 = 
VECTOR_REF(
((obj_t)BgL_sz00_12803),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12802)(BgL_pz00_12802, BgL_sz00_12803, BEOA)))
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_tz00_12801)(BgL_tz00_12801, BgL_sz00_12803, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_ez00_12800)(BgL_ez00_12800, BgL_sz00_12803, BEOA);} } } } 

}



/* &comp-ev_litt1411 */
obj_t BGl_z62compzd2ev_litt1411zb0zz__evaluate_compz00(obj_t BgL_envz00_12804, obj_t BgL_ez00_12805, obj_t BgL_stkz00_12806)
{
{ /* Eval/evaluate_comp.scm 426 */
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_zc3z04anonymousza33001ze3z87_15826;
BgL_zc3z04anonymousza33001ze3z87_15826 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33001ze3z87_15826, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12805))); 
return BgL_zc3z04anonymousza33001ze3z87_15826;} } 

}



/* &<@anonymous:3001> */
obj_t BGl_z62zc3z04anonymousza33001ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12807, obj_t BgL_sz00_12809)
{
{ /* Eval/evaluate_comp.scm 428 */
{ /* Eval/evaluate_comp.scm 428 */
 BgL_ev_littz00_bglt BgL_i1100z00_12808;
BgL_i1100z00_12808 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12807, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 428 */
 obj_t BgL_bpz00_15827;
BgL_bpz00_15827 = 
VECTOR_REF(
((obj_t)BgL_sz00_12809),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1100z00_12808))->BgL_valuez00);} } } 

}



/* &comp-ev_defglobal1409 */
obj_t BGl_z62compzd2ev_defglobal1409zb0zz__evaluate_compz00(obj_t BgL_envz00_12810, obj_t BgL_ez00_12811, obj_t BgL_stkz00_12812)
{
{ /* Eval/evaluate_comp.scm 395 */
{ /* Eval/evaluate_comp.scm 397 */
 obj_t BgL_ez00_15829;
{ /* Eval/evaluate_comp.scm 397 */
 BgL_ev_exprz00_bglt BgL_arg3000z00_15830;
BgL_arg3000z00_15830 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12811))))->BgL_ez00); 
BgL_ez00_15829 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3000z00_15830, BgL_stkz00_12812); } 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_zc3z04anonymousza32975ze3z87_15831;
BgL_zc3z04anonymousza32975ze3z87_15831 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32975ze3z87_15831, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12811))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32975ze3z87_15831, 
(int)(((long)1)), BgL_ez00_15829); 
return BgL_zc3z04anonymousza32975ze3z87_15831;} } } 

}



/* &<@anonymous:2975> */
obj_t BGl_z62zc3z04anonymousza32975ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12813, obj_t BgL_sz00_12816)
{
{ /* Eval/evaluate_comp.scm 398 */
{ /* Eval/evaluate_comp.scm 398 */
 BgL_ev_defglobalz00_bglt BgL_i1097z00_12814; obj_t BgL_ez00_12815;
BgL_i1097z00_12814 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12813, 
(int)(((long)0)))); 
BgL_ez00_12815 = 
PROCEDURE_REF(BgL_envz00_12813, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 398 */
 obj_t BgL_bpz00_15832;
BgL_bpz00_15832 = 
VECTOR_REF(
((obj_t)BgL_sz00_12816),((long)0)); 
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_gz00_15833;
{ /* Eval/evaluate_comp.scm 399 */
 obj_t BgL_arg2998z00_15834; obj_t BgL_arg2999z00_15835;
BgL_arg2998z00_15834 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_modz00); 
BgL_arg2999z00_15835 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
BgL_gz00_15833 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2998z00_15834, BgL_arg2999z00_15835); } 
if(
CBOOL(BgL_gz00_15833))
{ /* Eval/evaluate_comp.scm 401 */
{ 

{ /* Eval/evaluate_comp.scm 403 */
 int BgL_aux1099z00_15839;
{ /* Eval/evaluate_comp.scm 403 */
 int BgL_res4190z00_15840;
BgL_res4190z00_15840 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15833),((long)0))); 
BgL_aux1099z00_15839 = BgL_res4190z00_15840; } 
switch( 
(long)(BgL_aux1099z00_15839)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 405 */
 obj_t BgL_arg2977z00_15841; obj_t BgL_arg2978z00_15842;
BgL_arg2977z00_15841 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_locz00); 
BgL_arg2978z00_15842 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2977z00_15841, BGl_string4445z00zz__evaluate_compz00, BGl_string4446z00zz__evaluate_compz00, BgL_arg2978z00_15842); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2979z00_15843; obj_t BgL_arg2980z00_15844;
BgL_arg2979z00_15843 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_locz00); 
BgL_arg2980z00_15844 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_list2981z00_15845;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2982z00_15846;
{ /* Eval/evaluate_comp.scm 407 */
 obj_t BgL_arg2983z00_15847;
BgL_arg2983z00_15847 = 
MAKE_YOUNG_PAIR(BgL_arg2980z00_15844, BNIL); 
BgL_arg2982z00_15846 = 
MAKE_YOUNG_PAIR(BGl_string4447z00zz__evaluate_compz00, BgL_arg2983z00_15847); } 
BgL_list2981z00_15845 = 
MAKE_YOUNG_PAIR(BGl_string4324z00zz__evaluate_compz00, BgL_arg2982z00_15846); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2979z00_15843, BgL_list2981z00_15845); } } 
{ /* Eval/evaluate_comp.scm 409 */
 obj_t BgL_arg2984z00_15848; obj_t BgL_arg2985z00_15849;
BgL_arg2984z00_15848 = 
VECTOR_REF(
((obj_t)BgL_gz00_15833),((long)2)); 
BgL_arg2985z00_15849 = 
PROCEDURE_ENTRY(BgL_ez00_12815)(BgL_ez00_12815, BgL_sz00_12816, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2984z00_15848, BgL_arg2985z00_15849); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 411 */
 obj_t BgL_arg2986z00_15850;
BgL_arg2986z00_15850 = 
PROCEDURE_ENTRY(BgL_ez00_12815)(BgL_ez00_12815, BgL_sz00_12816, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15833),((long)2),BgL_arg2986z00_15850); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 413 */
 obj_t BgL_arg2987z00_15851;
BgL_arg2987z00_15851 = 
PROCEDURE_ENTRY(BgL_ez00_12815)(BgL_ez00_12815, BgL_sz00_12816, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15833),((long)2),BgL_arg2987z00_15851); } 
VECTOR_SET(
((obj_t)BgL_gz00_15833),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 416 */
 obj_t BgL_arg2988z00_15852;
BgL_arg2988z00_15852 = 
PROCEDURE_ENTRY(BgL_ez00_12815)(BgL_ez00_12815, BgL_sz00_12816, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_15833),((long)2),BgL_arg2988z00_15852); } 
VECTOR_SET(
((obj_t)BgL_gz00_15833),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 419 */
 obj_t BgL_arg2989z00_15837; obj_t BgL_arg2990z00_15838;
BgL_arg2989z00_15837 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_locz00); 
BgL_arg2990z00_15838 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2989z00_15837, BGl_string4445z00zz__evaluate_compz00, BGl_string4446z00zz__evaluate_compz00, BgL_arg2990z00_15838); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_gz00_15853;
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_arg2995z00_15854; obj_t BgL_arg2996z00_15855; obj_t BgL_arg2997z00_15856;
BgL_arg2995z00_15854 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
BgL_arg2996z00_15855 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_modz00); 
BgL_arg2997z00_15856 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 421 */
 obj_t BgL_v1383z00_15857;
BgL_v1383z00_15857 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15857,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15857,((long)1),BgL_arg2995z00_15854); 
VECTOR_SET(BgL_v1383z00_15857,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15857,((long)3),BgL_arg2996z00_15855); 
VECTOR_SET(BgL_v1383z00_15857,((long)4),BgL_arg2997z00_15856); 
BgL_gz00_15853 = BgL_v1383z00_15857; } } 
{ /* Eval/evaluate_comp.scm 422 */
 obj_t BgL_arg2991z00_15858;
BgL_arg2991z00_15858 = 
PROCEDURE_ENTRY(BgL_ez00_12815)(BgL_ez00_12815, BgL_sz00_12816, BEOA); 
VECTOR_SET(BgL_gz00_15853,((long)2),BgL_arg2991z00_15858); } 
{ /* Eval/evaluate_comp.scm 423 */
 obj_t BgL_arg2992z00_15859; obj_t BgL_arg2993z00_15860; obj_t BgL_arg2994z00_15861;
BgL_arg2992z00_15859 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_modz00); 
BgL_arg2993z00_15860 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00); 
BgL_arg2994z00_15861 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2992z00_15859, BgL_arg2993z00_15860, BgL_gz00_15853, BgL_arg2994z00_15861); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12814)))->BgL_namez00);} } } } } 

}



/* &comp-ev_setglobal1407 */
obj_t BGl_z62compzd2ev_setglobal1407zb0zz__evaluate_compz00(obj_t BgL_envz00_12817, obj_t BgL_ez00_12818, obj_t BgL_stkz00_12819)
{
{ /* Eval/evaluate_comp.scm 372 */
{ /* Eval/evaluate_comp.scm 374 */
 obj_t BgL_gz00_15863; obj_t BgL_ez00_15864;
BgL_gz00_15863 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 374 */
 BgL_ev_exprz00_bglt BgL_arg2974z00_15865;
BgL_arg2974z00_15865 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818))))->BgL_ez00); 
BgL_ez00_15864 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2974z00_15865, BgL_stkz00_12819); } 
if(
CBOOL(BgL_gz00_15863))
{ 

{ /* Eval/evaluate_comp.scm 376 */
 int BgL_aux1096z00_15868;
{ /* Eval/evaluate_comp.scm 376 */
 int BgL_res4189z00_15869;
BgL_res4189z00_15869 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15863),((long)0))); 
BgL_aux1096z00_15868 = BgL_res4189z00_15869; } 
switch( 
(long)(BgL_aux1096z00_15868)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_zc3z04anonymousza32950ze3z87_15870;
BgL_zc3z04anonymousza32950ze3z87_15870 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15870, 
(int)(((long)0)), BgL_gz00_15863); 
PROCEDURE_SET(BgL_zc3z04anonymousza32950ze3z87_15870, 
(int)(((long)1)), BgL_ez00_15864); 
return BgL_zc3z04anonymousza32950ze3z87_15870;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_locz00), BGl_string4445z00zz__evaluate_compz00, BGl_string4446z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_zc3z04anonymousza32955ze3z87_15867;
BgL_zc3z04anonymousza32955ze3z87_15867 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32955ze3z87_15867, 
(int)(((long)0)), BgL_ez00_15864); 
PROCEDURE_SET(BgL_zc3z04anonymousza32955ze3z87_15867, 
(int)(((long)1)), BgL_gz00_15863); 
return BgL_zc3z04anonymousza32955ze3z87_15867;} } } }  else 
{ /* Eval/evaluate_comp.scm 384 */
 obj_t BgL_slotz00_15871;
BgL_slotz00_15871 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_gz00_15872;
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_arg2962z00_15873; obj_t BgL_arg2963z00_15874; obj_t BgL_arg2964z00_15875;
BgL_arg2962z00_15873 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_namez00); 
BgL_arg2963z00_15874 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_modz00); 
BgL_arg2964z00_15875 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 386 */
 obj_t BgL_v1383z00_15876;
BgL_v1383z00_15876 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15876,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15876,((long)1),BgL_arg2962z00_15873); 
VECTOR_SET(BgL_v1383z00_15876,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15876,((long)3),BgL_arg2963z00_15874); 
VECTOR_SET(BgL_v1383z00_15876,((long)4),BgL_arg2964z00_15875); 
BgL_gz00_15872 = BgL_v1383z00_15876; } } 
VECTOR_SET(BgL_gz00_15872,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_namez00), BgL_gz00_15872, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 385 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_zc3z04anonymousza32966ze3z87_15877;
BgL_zc3z04anonymousza32966ze3z87_15877 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15877, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12818))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15877, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15871)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32966ze3z87_15877, 
(int)(((long)2)), BgL_ez00_15864); 
return BgL_zc3z04anonymousza32966ze3z87_15877;} } } } 

}



/* &<@anonymous:2950> */
obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12822, obj_t BgL_sz00_12825)
{
{ /* Eval/evaluate_comp.scm 378 */
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_gz00_12823; obj_t BgL_ez00_12824;
BgL_gz00_12823 = 
PROCEDURE_REF(BgL_envz00_12822, 
(int)(((long)0))); 
BgL_ez00_12824 = 
PROCEDURE_REF(BgL_envz00_12822, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 378 */
 obj_t BgL_bpz00_15878;
BgL_bpz00_15878 = 
VECTOR_REF(
((obj_t)BgL_sz00_12825),((long)0)); 
{ /* Eval/evaluate_comp.scm 379 */
 obj_t BgL_arg2951z00_15879; obj_t BgL_arg2952z00_15880;
BgL_arg2951z00_15879 = 
VECTOR_REF(
((obj_t)BgL_gz00_12823),((long)2)); 
BgL_arg2952z00_15880 = 
PROCEDURE_ENTRY(BgL_ez00_12824)(BgL_ez00_12824, BgL_sz00_12825, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2951z00_15879, BgL_arg2952z00_15880);} } } } 

}



/* &<@anonymous:2955> */
obj_t BGl_z62zc3z04anonymousza32955ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12826, obj_t BgL_sz00_12829)
{
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_ez00_12827; obj_t BgL_gz00_12828;
BgL_ez00_12827 = 
PROCEDURE_REF(BgL_envz00_12826, 
(int)(((long)0))); 
BgL_gz00_12828 = 
PROCEDURE_REF(BgL_envz00_12826, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_bpz00_15881;
BgL_bpz00_15881 = 
VECTOR_REF(
((obj_t)BgL_sz00_12829),((long)0)); 
{ /* Eval/evaluate_comp.scm 383 */
 obj_t BgL_arg2956z00_15882;
BgL_arg2956z00_15882 = 
PROCEDURE_ENTRY(BgL_ez00_12827)(BgL_ez00_12827, BgL_sz00_12829, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12828),((long)2),BgL_arg2956z00_15882);} } } } 

}



/* &<@anonymous:2966> */
obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12830, obj_t BgL_sz00_12834)
{
{ /* Eval/evaluate_comp.scm 389 */
{ /* Eval/evaluate_comp.scm 389 */
 BgL_ev_setglobalz00_bglt BgL_i1094z00_12831; obj_t BgL_slotz00_12832; obj_t BgL_ez00_12833;
BgL_i1094z00_12831 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12830, 
(int)(((long)0)))); 
BgL_slotz00_12832 = 
PROCEDURE_REF(BgL_envz00_12830, 
(int)(((long)1))); 
BgL_ez00_12833 = 
PROCEDURE_REF(BgL_envz00_12830, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 389 */
 obj_t BgL_bpz00_15883;
BgL_bpz00_15883 = 
VECTOR_REF(
((obj_t)BgL_sz00_12834),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12832)))
{ /* Eval/evaluate_comp.scm 390 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 390 */
{ /* Eval/evaluate_comp.scm 391 */
 obj_t BgL_auxz00_15884;
BgL_auxz00_15884 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12831))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12831))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12832, BgL_auxz00_15884); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12832)))
{ /* Eval/evaluate_comp.scm 392 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 392 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12831))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4448z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12831))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_arg2971z00_15885;
BgL_arg2971z00_15885 = 
PROCEDURE_ENTRY(BgL_ez00_12833)(BgL_ez00_12833, BgL_sz00_12834, BEOA); 
{ /* Eval/evaluate_comp.scm 393 */
 obj_t BgL_evalzd2globalzd2_15886;
BgL_evalzd2globalzd2_15886 = 
CELL_REF(BgL_slotz00_12832); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_15886,((long)2),BgL_arg2971z00_15885);} } } } } 

}



/* &comp-ev_global1405 */
obj_t BGl_z62compzd2ev_global1405zb0zz__evaluate_compz00(obj_t BgL_envz00_12836, obj_t BgL_varz00_12837, obj_t BgL_stkz00_12838)
{
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
 obj_t BgL_gz00_15888;
BgL_gz00_15888 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_15888))
{ /* Eval/evaluate_comp.scm 343 */
 bool_t BgL_test5264z00_31400;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_arg2913z00_15889;
{ /* Eval/evaluate_comp.scm 343 */
 int BgL_res4187z00_15890;
BgL_res4187z00_15890 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_15888),((long)0))); 
BgL_arg2913z00_15889 = BgL_res4187z00_15890; } 
BgL_test5264z00_31400 = 
(
BINT(BgL_arg2913z00_15889)==
BINT(((long)1))); } 
if(BgL_test5264z00_31400)
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_zc3z04anonymousza32910ze3z87_15891;
BgL_zc3z04anonymousza32910ze3z87_15891 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32910ze3z87_15891, 
(int)(((long)0)), BgL_gz00_15888); 
return BgL_zc3z04anonymousza32910ze3z87_15891;}  else 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_zc3z04anonymousza32912ze3z87_15892;
BgL_zc3z04anonymousza32912ze3z87_15892 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32912ze3z87_15892, 
(int)(((long)0)), BgL_gz00_15888); 
return BgL_zc3z04anonymousza32912ze3z87_15892;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
 obj_t BgL_slotz00_15893;
BgL_slotz00_15893 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_gz00_15894;
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_arg2919z00_15895; obj_t BgL_arg2920z00_15896; obj_t BgL_arg2921z00_15897;
BgL_arg2919z00_15895 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_namez00); 
BgL_arg2920z00_15896 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_modz00); 
BgL_arg2921z00_15897 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
 obj_t BgL_v1383z00_15898;
BgL_v1383z00_15898 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1383z00_15898,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1383z00_15898,((long)1),BgL_arg2919z00_15895); 
VECTOR_SET(BgL_v1383z00_15898,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1383z00_15898,((long)3),BgL_arg2920z00_15896); 
VECTOR_SET(BgL_v1383z00_15898,((long)4),BgL_arg2921z00_15897); 
BgL_gz00_15894 = BgL_v1383z00_15898; } } 
VECTOR_SET(BgL_gz00_15894,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_namez00), BgL_gz00_15894, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12837)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_zc3z04anonymousza32923ze3z87_15899;
BgL_zc3z04anonymousza32923ze3z87_15899 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32923ze3z87_15899, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12837))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32923ze3z87_15899, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_15893)); 
return BgL_zc3z04anonymousza32923ze3z87_15899;} } } } 

}



/* &<@anonymous:2910> */
obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12841, obj_t BgL_sz00_12843)
{
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_gz00_12842;
BgL_gz00_12842 = 
PROCEDURE_REF(BgL_envz00_12841, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
 obj_t BgL_bpz00_15900;
BgL_bpz00_15900 = 
VECTOR_REF(
((obj_t)BgL_sz00_12843),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
 obj_t BgL_arg2911z00_15901;
BgL_arg2911z00_15901 = 
VECTOR_REF(
((obj_t)BgL_gz00_12842),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2911z00_15901);} } } } 

}



/* &<@anonymous:2912> */
obj_t BGl_z62zc3z04anonymousza32912ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12844, obj_t BgL_sz00_12846)
{
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_gz00_12845;
BgL_gz00_12845 = 
PROCEDURE_REF(BgL_envz00_12844, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
 obj_t BgL_bpz00_15902;
BgL_bpz00_15902 = 
VECTOR_REF(
((obj_t)BgL_sz00_12846),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12845),((long)2));} } } 

}



/* &<@anonymous:2923> */
obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12847, obj_t BgL_sz00_12850)
{
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
 BgL_ev_globalz00_bglt BgL_i1093z00_12848; obj_t BgL_slotz00_12849;
BgL_i1093z00_12848 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12847, 
(int)(((long)0)))); 
BgL_slotz00_12849 = 
PROCEDURE_REF(BgL_envz00_12847, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
 obj_t BgL_bpz00_15903;
BgL_bpz00_15903 = 
VECTOR_REF(
((obj_t)BgL_sz00_12850),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12849)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
 obj_t BgL_auxz00_15904;
BgL_auxz00_15904 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12849, BgL_auxz00_15904); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12849)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 357 */
 obj_t BgL_idz00_15905;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2929z00_15906;
{ /* Eval/evaluate_comp.scm 358 */
 obj_t BgL_arg2930z00_15907; obj_t BgL_arg2931z00_15908;
BgL_arg2930z00_15907 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_namez00); 
BgL_arg2931z00_15908 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_modz00)), BNIL); 
BgL_arg2929z00_15906 = 
MAKE_YOUNG_PAIR(BgL_arg2930z00_15907, BgL_arg2931z00_15908); } 
BgL_idz00_15905 = 
MAKE_YOUNG_PAIR(BGl_symbol4449z00zz__evaluate_compz00, BgL_arg2929z00_15906); }  else 
{ /* Eval/evaluate_comp.scm 357 */
BgL_idz00_15905 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_namez00); } 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4448z00zz__evaluate_compz00, BgL_idz00_15905); } } 
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_vz00_15909;
{ /* Eval/evaluate_comp.scm 361 */
 obj_t BgL_evalzd2globalzd2_15910;
BgL_evalzd2globalzd2_15910 = 
CELL_REF(BgL_slotz00_12849); 
BgL_vz00_15909 = 
VECTOR_REF(BgL_evalzd2globalzd2_15910,((long)2)); } 
if(
(BgL_vz00_15909==BUNSPEC))
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_tz00_15911;
{ /* Eval/evaluate_comp.scm 363 */
 int BgL_res4188z00_15912;
{ /* Eval/evaluate_comp.scm 363 */
 obj_t BgL_evalzd2globalzd2_15913;
BgL_evalzd2globalzd2_15913 = 
CELL_REF(BgL_slotz00_12849); 
BgL_res4188z00_15912 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_15913,((long)0))); } 
BgL_tz00_15911 = BgL_res4188z00_15912; } 
{ /* Eval/evaluate_comp.scm 364 */
 bool_t BgL_test5270z00_31497;
if(
(
(long)(BgL_tz00_15911)==((long)3)))
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5270z00_31497 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 364 */
BgL_test5270z00_31497 = 
(
(long)(BgL_tz00_15911)==((long)4))
; } 
if(BgL_test5270z00_31497)
{ /* Eval/evaluate_comp.scm 365 */
 obj_t BgL_idz00_15914;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2941z00_15915;
{ /* Eval/evaluate_comp.scm 366 */
 obj_t BgL_arg2942z00_15916; obj_t BgL_arg2943z00_15917;
BgL_arg2942z00_15916 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_namez00); 
BgL_arg2943z00_15917 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_modz00)), BNIL); 
BgL_arg2941z00_15915 = 
MAKE_YOUNG_PAIR(BgL_arg2942z00_15916, BgL_arg2943z00_15917); } 
BgL_idz00_15914 = 
MAKE_YOUNG_PAIR(BGl_symbol4449z00zz__evaluate_compz00, BgL_arg2941z00_15915); }  else 
{ /* Eval/evaluate_comp.scm 365 */
BgL_idz00_15914 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_namez00); } 
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12848))->BgL_locz00), BGl_string4324z00zz__evaluate_compz00, BGl_string4451z00zz__evaluate_compz00, BgL_idz00_15914);}  else 
{ /* Eval/evaluate_comp.scm 364 */
return BgL_vz00_15909;} } }  else 
{ /* Eval/evaluate_comp.scm 362 */
return BgL_vz00_15909;} } } } } 

}



/* &comp-ev_setlocal1403 */
obj_t BGl_z62compzd2ev_setlocal1403zb0zz__evaluate_compz00(obj_t BgL_envz00_12852, obj_t BgL_ez00_12853, obj_t BgL_stkz00_12854)
{
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
 obj_t BgL_iz00_15919; obj_t BgL_ez00_15920;
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_varz00_bglt BgL_arg2906z00_15921;
BgL_arg2906z00_15921 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12853)))->BgL_vz00); 
BgL_iz00_15919 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2906z00_15921), BgL_stkz00_12854); } 
{ /* Eval/evaluate_comp.scm 323 */
 BgL_ev_exprz00_bglt BgL_arg2907z00_15922;
BgL_arg2907z00_15922 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12853))))->BgL_ez00); 
BgL_ez00_15920 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2907z00_15922, BgL_stkz00_12854); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12853)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_zc3z04anonymousza32899ze3z87_15923;
BgL_zc3z04anonymousza32899ze3z87_15923 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15923, 
(int)(((long)0)), BgL_iz00_15919); 
PROCEDURE_SET(BgL_zc3z04anonymousza32899ze3z87_15923, 
(int)(((long)1)), BgL_ez00_15920); 
return BgL_zc3z04anonymousza32899ze3z87_15923;}  else 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_zc3z04anonymousza32903ze3z87_15924;
BgL_zc3z04anonymousza32903ze3z87_15924 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32903ze3z87_15924, 
(int)(((long)0)), BgL_iz00_15919); 
PROCEDURE_SET(BgL_zc3z04anonymousza32903ze3z87_15924, 
(int)(((long)1)), BgL_ez00_15920); 
return BgL_zc3z04anonymousza32903ze3z87_15924;} } } 

}



/* &<@anonymous:2899> */
obj_t BGl_z62zc3z04anonymousza32899ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12855, obj_t BgL_sz00_12858)
{
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_iz00_12856; obj_t BgL_ez00_12857;
BgL_iz00_12856 = 
PROCEDURE_REF(BgL_envz00_12855, 
(int)(((long)0))); 
BgL_ez00_12857 = 
PROCEDURE_REF(BgL_envz00_12855, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
 obj_t BgL_bpz00_15925;
BgL_bpz00_15925 = 
VECTOR_REF(
((obj_t)BgL_sz00_12858),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
 obj_t BgL_arg2900z00_15926; obj_t BgL_arg2901z00_15927;
{ /* Eval/evaluate_comp.scm 327 */
 long BgL_arg2902z00_15928;
BgL_arg2902z00_15928 = 
(
(long)CINT(BgL_bpz00_15925)+
(long)CINT(BgL_iz00_12856)); 
BgL_arg2900z00_15926 = 
VECTOR_REF(
((obj_t)BgL_sz00_12858),BgL_arg2902z00_15928); } 
BgL_arg2901z00_15927 = 
PROCEDURE_ENTRY(BgL_ez00_12857)(BgL_ez00_12857, BgL_sz00_12858, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
 obj_t BgL_xz00_15929;
{ /* Eval/evaluate_comp.scm 202 */
 int BgL_auxz00_31559; obj_t BgL_tmpz00_31557;
BgL_auxz00_31559 = 
(int)(((long)0)); 
BgL_tmpz00_31557 = 
((obj_t)BgL_arg2900z00_15926); 
BgL_xz00_15929 = 
STRUCT_SET(BgL_tmpz00_31557, BgL_auxz00_31559, BgL_arg2901z00_15927); } 
return BUNSPEC;} } } } } 

}



/* &<@anonymous:2903> */
obj_t BGl_z62zc3z04anonymousza32903ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12859, obj_t BgL_sz00_12862)
{
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_iz00_12860; obj_t BgL_ez00_12861;
BgL_iz00_12860 = 
PROCEDURE_REF(BgL_envz00_12859, 
(int)(((long)0))); 
BgL_ez00_12861 = 
PROCEDURE_REF(BgL_envz00_12859, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
 obj_t BgL_bpz00_15930;
BgL_bpz00_15930 = 
VECTOR_REF(
((obj_t)BgL_sz00_12862),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
 long BgL_arg2904z00_15931; obj_t BgL_arg2905z00_15932;
BgL_arg2904z00_15931 = 
(
(long)CINT(BgL_bpz00_15930)+
(long)CINT(BgL_iz00_12860)); 
BgL_arg2905z00_15932 = 
PROCEDURE_ENTRY(BgL_ez00_12861)(BgL_ez00_12861, BgL_sz00_12862, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12862),BgL_arg2904z00_15931,BgL_arg2905z00_15932);} } } } 

}



/* &comp-ev_var1401 */
obj_t BGl_z62compzd2ev_var1401zb0zz__evaluate_compz00(obj_t BgL_envz00_12863, obj_t BgL_varz00_12864, obj_t BgL_stkz00_12865)
{
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
 obj_t BgL_iz00_15934;
BgL_iz00_15934 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12864)), BgL_stkz00_12865); 
{ 

if(
INTEGERP(BgL_iz00_15934))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_15934)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12864)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4452z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4453z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12864)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4454z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4455z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12864)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4456z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4457z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12864)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4458z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc4459z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1088z00_15935:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12864)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32893ze3z87_15936;
BgL_zc3z04anonymousza32893ze3z87_15936 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32893ze3z87_15936, 
(int)(((long)0)), BgL_iz00_15934); 
return BgL_zc3z04anonymousza32893ze3z87_15936;}  else 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_zc3z04anonymousza32896ze3z87_15937;
BgL_zc3z04anonymousza32896ze3z87_15937 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32896ze3z87_15937, 
(int)(((long)0)), BgL_iz00_15934); 
return BgL_zc3z04anonymousza32896ze3z87_15937;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1088z00_15935;} } } } 

}



/* &<@anonymous:2887> */
obj_t BGl_z62zc3z04anonymousza32887ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12866, obj_t BgL_sz00_12867)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15938;
BgL_bpz00_15938 = 
VECTOR_REF(
((obj_t)BgL_sz00_12867),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2888z00_15939;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2889z00_15940;
BgL_arg2889z00_15940 = 
(
(long)CINT(BgL_bpz00_15938)+((long)3)); 
BgL_arg2888z00_15939 = 
VECTOR_REF(
((obj_t)BgL_sz00_12867),BgL_arg2889z00_15940); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2888z00_15939), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2890> */
obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12868, obj_t BgL_sz00_12869)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15941;
BgL_bpz00_15941 = 
VECTOR_REF(
((obj_t)BgL_sz00_12869),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2891z00_15942;
BgL_arg2891z00_15942 = 
(
(long)CINT(BgL_bpz00_15941)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12869),BgL_arg2891z00_15942);} } } 

}



/* &<@anonymous:2881> */
obj_t BGl_z62zc3z04anonymousza32881ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12870, obj_t BgL_sz00_12871)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15943;
BgL_bpz00_15943 = 
VECTOR_REF(
((obj_t)BgL_sz00_12871),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2882z00_15944;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2883z00_15945;
BgL_arg2883z00_15945 = 
(
(long)CINT(BgL_bpz00_15943)+((long)2)); 
BgL_arg2882z00_15944 = 
VECTOR_REF(
((obj_t)BgL_sz00_12871),BgL_arg2883z00_15945); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2882z00_15944), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2884> */
obj_t BGl_z62zc3z04anonymousza32884ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12872, obj_t BgL_sz00_12873)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15946;
BgL_bpz00_15946 = 
VECTOR_REF(
((obj_t)BgL_sz00_12873),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2885z00_15947;
BgL_arg2885z00_15947 = 
(
(long)CINT(BgL_bpz00_15946)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12873),BgL_arg2885z00_15947);} } } 

}



/* &<@anonymous:2875> */
obj_t BGl_z62zc3z04anonymousza32875ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12874, obj_t BgL_sz00_12875)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15948;
BgL_bpz00_15948 = 
VECTOR_REF(
((obj_t)BgL_sz00_12875),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2876z00_15949;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2877z00_15950;
BgL_arg2877z00_15950 = 
(
(long)CINT(BgL_bpz00_15948)+((long)1)); 
BgL_arg2876z00_15949 = 
VECTOR_REF(
((obj_t)BgL_sz00_12875),BgL_arg2877z00_15950); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2876z00_15949), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2878> */
obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12876, obj_t BgL_sz00_12877)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15951;
BgL_bpz00_15951 = 
VECTOR_REF(
((obj_t)BgL_sz00_12877),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2879z00_15952;
BgL_arg2879z00_15952 = 
(
(long)CINT(BgL_bpz00_15951)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12877),BgL_arg2879z00_15952);} } } 

}



/* &<@anonymous:2869> */
obj_t BGl_z62zc3z04anonymousza32869ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12878, obj_t BgL_sz00_12879)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15953;
BgL_bpz00_15953 = 
VECTOR_REF(
((obj_t)BgL_sz00_12879),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2870z00_15954;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2871z00_15955;
BgL_arg2871z00_15955 = 
(
(long)CINT(BgL_bpz00_15953)+((long)0)); 
BgL_arg2870z00_15954 = 
VECTOR_REF(
((obj_t)BgL_sz00_12879),BgL_arg2871z00_15955); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2870z00_15954), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2872> */
obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12880, obj_t BgL_sz00_12881)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15956;
BgL_bpz00_15956 = 
VECTOR_REF(
((obj_t)BgL_sz00_12881),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2873z00_15957;
BgL_arg2873z00_15957 = 
(
(long)CINT(BgL_bpz00_15956)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12881),BgL_arg2873z00_15957);} } } 

}



/* &<@anonymous:2893> */
obj_t BGl_z62zc3z04anonymousza32893ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12882, obj_t BgL_sz00_12884)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12883;
BgL_iz00_12883 = 
PROCEDURE_REF(BgL_envz00_12882, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15958;
BgL_bpz00_15958 = 
VECTOR_REF(
((obj_t)BgL_sz00_12884),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_arg2894z00_15959;
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2895z00_15960;
BgL_arg2895z00_15960 = 
(
(long)CINT(BgL_bpz00_15958)+
(long)CINT(BgL_iz00_12883)); 
BgL_arg2894z00_15959 = 
VECTOR_REF(
((obj_t)BgL_sz00_12884),BgL_arg2895z00_15960); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2894z00_15959), 
(int)(((long)0)));} } } } 

}



/* &<@anonymous:2896> */
obj_t BGl_z62zc3z04anonymousza32896ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12885, obj_t BgL_sz00_12887)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_iz00_12886;
BgL_iz00_12886 = 
PROCEDURE_REF(BgL_envz00_12885, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
 obj_t BgL_bpz00_15961;
BgL_bpz00_15961 = 
VECTOR_REF(
((obj_t)BgL_sz00_12887),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
 long BgL_arg2897z00_15962;
BgL_arg2897z00_15962 = 
(
(long)CINT(BgL_bpz00_15961)+
(long)CINT(BgL_iz00_12886)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12887),BgL_arg2897z00_15962);} } } } 

}



/* &comp-ev_trap1399 */
obj_t BGl_z62compzd2ev_trap1399zb0zz__evaluate_compz00(obj_t BgL_envz00_12888, obj_t BgL_ez00_12889, obj_t BgL_stkz00_12890)
{
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
 obj_t BgL_ez00_15964;
{ /* Eval/evaluate_comp.scm 291 */
 BgL_ev_exprz00_bglt BgL_arg2866z00_15965;
BgL_arg2866z00_15965 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12889))))->BgL_ez00); 
BgL_ez00_15964 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2866z00_15965, BgL_stkz00_12890); } 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_zc3z04anonymousza32860ze3z87_15966;
BgL_zc3z04anonymousza32860ze3z87_15966 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32860ze3z87_15966, 
(int)(((long)0)), BgL_ez00_15964); 
return BgL_zc3z04anonymousza32860ze3z87_15966;} } } 

}



/* &<@anonymous:2860> */
obj_t BGl_z62zc3z04anonymousza32860ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12891, obj_t BgL_sz00_12893)
{
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_ez00_12892;
BgL_ez00_12892 = 
PROCEDURE_REF(BgL_envz00_12891, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
 obj_t BgL_bpz00_15967;
BgL_bpz00_15967 = 
VECTOR_REF(
((obj_t)BgL_sz00_12893),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
 obj_t BgL_cmdz00_15968;
BgL_cmdz00_15968 = 
PROCEDURE_ENTRY(BgL_ez00_12892)(BgL_ez00_12892, BgL_sz00_12893, BEOA); 
if(
(BgL_cmdz00_15968==BGl_symbol4460z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_15967;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15968==BGl_symbol4462z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15968==BGl_symbol4464z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15968==BGl_symbol4466z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
 obj_t BgL_arg2865z00_15969;
BgL_arg2865z00_15969 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2865z00_15969),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string4324z00zz__evaluate_compz00, BGl_string4468z00zz__evaluate_compz00, BgL_cmdz00_15968);} } } } } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924964), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string4469z00zz__evaluate_compz00));} 

}

#ifdef __cplusplus
}
#endif
