/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_fsize.scm -o objs/obj_p/Eval/evaluate_fsize.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t, BgL_ev_exprz00_bglt);
static obj_t BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static bool_t BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
static obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t, BgL_ev_exprz00_bglt);
static obj_t BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
static obj_t BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7();
static obj_t BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
static obj_t BGl_symbol2230z00zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_symbol2232z00zz__evaluate_fsiza7eza7 = BUNSPEC;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol2235z00zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_symbol2237z00zz__evaluate_fsiza7eza7 = BUNSPEC;
static obj_t BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_fsiza7eza7();
static obj_t BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
static obj_t BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2216z00zz__evaluate_fsiza7eza7, BgL_bgl_string2216za700za7za7_2336za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Eval/evaluate_fsize.scm", 67 );
DEFINE_STRING( BGl_string2217z00zz__evaluate_fsiza7eza7, BgL_bgl_string2217za700za7za7_2337za7, "&frame-size", 11 );
DEFINE_STRING( BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_bgl_string2218za700za7za7_2338za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2219z00zz__evaluate_fsiza7eza7, BgL_bgl_string2219za700za7za7_2339za7, "&extract-loops", 14 );
DEFINE_STRING( BGl_string2221z00zz__evaluate_fsiza7eza7, BgL_bgl_string2221za700za7za7_2340za7, "fsize1282", 9 );
DEFINE_STRING( BGl_string2223z00zz__evaluate_fsiza7eza7, BgL_bgl_string2223za700za7za7_2341za7, "search-letrec1320", 17 );
DEFINE_STRING( BGl_string2225z00zz__evaluate_fsiza7eza7, BgL_bgl_string2225za700za7za7_2342za7, "subst_goto1352", 14 );
DEFINE_STRING( BGl_string2227z00zz__evaluate_fsiza7eza7, BgL_bgl_string2227za700za7za7_2343za7, "tailpos1386", 11 );
DEFINE_STRING( BGl_string2229z00zz__evaluate_fsiza7eza7, BgL_bgl_string2229za700za7za7_2344za7, "hasvar?1426", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2345z00, BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2346z00, BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2220z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7e1282za7c2347za7, BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2348z00, BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2349z00, BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2222z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2350z00, BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2351z00, BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2352z00, BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2224z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_goto1352353za7, BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2354z00, BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2231z00zz__evaluate_fsiza7eza7, BgL_bgl_string2231za700za7za7_2355za7, "No method for this object", 25 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2356z00, BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2226z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailpos1386za762357z00, BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2358z00, BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2233z00zz__evaluate_fsiza7eza7, BgL_bgl_string2233za700za7za7_2359za7, "tailpos", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2360z00, BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2234z00zz__evaluate_fsiza7eza7, BgL_bgl_string2234za700za7za7_2361za7, "not defined for", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2228z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f314262362z00, BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2236z00zz__evaluate_fsiza7eza7, BgL_bgl_string2236za700za7za7_2363za7, "subst_goto", 10 );
DEFINE_STRING( BGl_string2318z00zz__evaluate_fsiza7eza7, BgL_bgl_string2318za700za7za7_2364za7, "hasvar?", 7 );
DEFINE_STRING( BGl_string2238z00zz__evaluate_fsiza7eza7, BgL_bgl_string2238za700za7za7_2365za7, "search-letrec", 13 );
DEFINE_STRING( BGl_string2239z00zz__evaluate_fsiza7eza7, BgL_bgl_string2239za700za7za7_2366za7, "eval", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2367z00, BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2368z00, BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2369z00, BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2370z00, BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2371z00, BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2372z00, BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2240z00zz__evaluate_fsiza7eza7, BgL_bgl_string2240za700za7za7_2373za7, "internal error: not defined for", 31 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2374z00, BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2241z00zz__evaluate_fsiza7eza7, BgL_bgl_string2241za700za7za7_2375za7, "&fsize", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2376za7, BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2242z00zz__evaluate_fsiza7eza7, BgL_bgl_string2242za700za7za7_2377za7, "bint", 4 );
DEFINE_STRING( BGl_string2243z00zz__evaluate_fsiza7eza7, BgL_bgl_string2243za700za7za7_2378za7, "&search-letrec", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2379za7, BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2244z00zz__evaluate_fsiza7eza7, BgL_bgl_string2244za700za7za7_2380za7, "&subst_goto", 11 );
DEFINE_STRING( BGl_string2245z00zz__evaluate_fsiza7eza7, BgL_bgl_string2245za700za7za7_2381za7, "&tailpos", 8 );
DEFINE_STRING( BGl_string2246z00zz__evaluate_fsiza7eza7, BgL_bgl_string2246za700za7za7_2382za7, "ev_var", 6 );
DEFINE_STRING( BGl_string2247z00zz__evaluate_fsiza7eza7, BgL_bgl_string2247za700za7za7_2383za7, "&hasvar?", 8 );
DEFINE_STRING( BGl_string2249z00zz__evaluate_fsiza7eza7, BgL_bgl_string2249za700za7za7_2384za7, "fsize::int", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2385za7, BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2386za7, BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2387za7, BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2388za7, BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2389za7, BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2390za7, BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2391za7, BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2392za7, BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2393za7, BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2335z00zz__evaluate_fsiza7eza7, BgL_bgl_string2335za700za7za7_2394za7, "__evaluate_fsize", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2395za7, BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2248z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2396za7, BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza762za7za7_2397z00, BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2398za7, BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2399za7, BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2250z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2400za7, BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2401za7, BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2251z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2402za7, BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2403za7, BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2252z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2404za7, BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za7d2e2405za7, BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2253z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2406za7, BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2254z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2407za7, BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2255z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2408za7, BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2256z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2409za7, BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2257z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2410za7, BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2258z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2411za7, BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2259z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2412za7, BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BgL_bgl_za762hasvarza7f3za791za72413z00, BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2260z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2414za7, BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2261z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2415za7, BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2262z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2416za7, BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2263z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2417za7, BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2264z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2418za7, BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2265z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2419za7, BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2266z00zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7d2ev_2420za7, BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2267z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2421z00, BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2268z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2422z00, BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2269z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2423z00, BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2270z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2424z00, BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2271z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2425z00, BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2272z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2426z00, BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2273z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2427z00, BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2274z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2428z00, BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2275z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2429z00, BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2276z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2430z00, BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2277z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2431z00, BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2278z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2432z00, BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2279z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2433z00, BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2280z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2434z00, BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2281z00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2435z00, BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2282z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22436z00, BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2283z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22437z00, BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2284z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22438z00, BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2285z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22439z00, BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2286z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22440z00, BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2287z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22441z00, BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2288z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22442z00, BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2289z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22443z00, BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2290z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22444z00, BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2291z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22445z00, BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2292z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22446z00, BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2293z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22447z00, BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2294z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22448z00, BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2295z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22449z00, BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2296z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22450z00, BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2297z00zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7d22451z00, BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2452z00, BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__evaluate_fsiza7eza7, BgL_bgl_za762tailposza7d2ev_2453z00, BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7, BgL_bgl_za762frameza7d2siza7a72454za7, BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BgL_bgl_za762fsiza7a7eza7c5za7za7_2455za7, BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_GENERIC( BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BgL_bgl_za762searchza7d2letr2456z00, BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7, BgL_bgl_za762extractza7d2loo2457z00, BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_GENERIC( BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BgL_bgl_za762subst_gotoza7622458z00, BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2230z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2232z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2235z00zz__evaluate_fsiza7eza7) );
ADD_ROOT( (void *)(&BGl_symbol2237z00zz__evaluate_fsiza7eza7) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_fsize.scm\" 1037) \"BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"frame-size\" \"Eval/evaluate_fsize.scm\" 1924) \"BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&frame-size\" \"Eval/evaluate_fsize.scm\" 1924) \"BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"extract-loops\" \"Eval/evaluate_fsize.scm\" 4979) \"BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&extract-loops\" \"Eval/evaluate_fsize.scm\" 4979) \"BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"search-letrec*\" \"Eval/evaluate_fsize.scm\" 5071) \"BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"modify-letrec\" \"Eval/evaluate_fsize.scm\" 7623) \"BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"letrectail?\" \"Eval/evaluate_fsize.scm\" 8048) \"BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"subst_goto*\" \"Eval/evaluate_fsize.scm\" 8324) \"BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?1426\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos1386\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto1352\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec1320\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize1282\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"fsize\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_fsiza7eza7zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize\" \"Eval/evaluate_fsize.scm\" 1980) \"BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"search-letrec\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec\" \"Eval/evaluate_fsize.scm\" 5204) \"BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"subst_goto\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_subst_gotoz00zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto\" \"Eval/evaluate_fsize.scm\" 8471) \"BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"tailpos\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_tailposz00zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos\" \"Eval/evaluate_fsize.scm\" 12049) \"BGl_z62tailposz62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"hasvar?\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?\" \"Eval/evaluate_fsize.scm\" 14969) \"BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_abs1461\" \"Eval/evaluate_fsize.scm\" 17060) \"BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_app1459\" \"Eval/evaluate_fsize.scm\" 16908) \"BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_goto1457\" \"Eval/evaluate_fsize.scm\" 16779) \"BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_labels1455\" \"Eval/evaluate_fsize.scm\" 16610) \"BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_binder1453\" \"Eval/evaluate_fsize.scm\" 16447) \"BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_synchroni1451\" \"Eval/evaluate_fsize.scm\" 16268) \"BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_with-hand1449\" \"Eval/evaluate_fsize.scm\" 16111) \"BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_unwind-pr1447\" \"Eval/evaluate_fsize.scm\" 15956) \"BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_bind-exit1445\" \"Eval/evaluate_fsize.scm\" 15828) \"BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_setlocal1443\" \"Eval/evaluate_fsize.scm\" 15689) \"BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_hook1441\" \"Eval/evaluate_fsize.scm\" 15587) \"BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_prog21439\" \"Eval/evaluate_fsize.scm\" 15458) \"BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_list1437\" \"Eval/evaluate_fsize.scm\" 15329) \"BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_if1435\" \"Eval/evaluate_fsize.scm\" 15194) \"BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_litt1433\" \"Eval/evaluate_fsize.scm\" 15138) \"BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_global1431\" \"Eval/evaluate_fsize.scm\" 15080) \"BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&hasvar?-ev_var1429\" \"Eval/evaluate_fsize.scm\" 15018) \"BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_abs1425\" \"Eval/evaluate_fsize.scm\" 14778) \"BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_app1423\" \"Eval/evaluate_fsize.scm\" 14582) \"BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_goto1421\" \"Eval/evaluate_fsize.scm\" 14445) \"BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_labels1419\" \"Eval/evaluate_fsize.scm\" 14272) \"BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_letrec1417\" \"Eval/evaluate_fsize.scm\" 14094) \"BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_let*1415\" \"Eval/evaluate_fsize.scm\" 13920) \"BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_let1413\" \"Eval/evaluate_fsize.scm\" 13748) \"BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_synchroni1411\" \"Eval/evaluate_fsize.scm\" 13550) \"BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_with-hand1409\" \"Eval/evaluate_fsize.scm\" 13380) \"BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_unwind-pr1407\" \"Eval/evaluate_fsize.scm\" 13212) \"BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_bind-exit1405\" \"Eval/evaluate_fsize.scm\" 13078) \"BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_setlocal1403\" \"Eval/evaluate_fsize.scm\" 12926) \"BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_hook1401\" \"Eval/evaluate_fsize.scm\" 12818) \"BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_prog21399\" \"Eval/evaluate_fsize.scm\" 12682) \"BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_list1397\" \"Eval/evaluate_fsize.scm\" 12463) \"BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_if1395\" \"Eval/evaluate_fsize.scm\" 12321) \"BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_litt1393\" \"Eval/evaluate_fsize.scm\" 12265) \"BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_global1391\" \"Eval/evaluate_fsize.scm\" 12207) \"BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&tailpos-ev_var1389\" \"Eval/evaluate_fsize.scm\" 12139) \"BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_abs1385\" \"Eval/evaluate_fsize.scm\" 11776) \"BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_app1383\" \"Eval/evaluate_fsize.scm\" 11392) \"BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_goto1381\" \"Eval/evaluate_fsize.scm\" 10752) \"BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_labels1379\" \"Eval/evaluate_fsize.scm\" 10475) \"BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_binder1377\" \"Eval/evaluate_fsize.scm\" 10289) \"BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_synchr1375\" \"Eval/evaluate_fsize.scm\" 10019) \"BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_with-h1373\" \"Eval/evaluate_fsize.scm\" 9801) \"BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_unwind1371\" \"Eval/evaluate_fsize.scm\" 9588) \"BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_bind-e1369\" \"Eval/evaluate_fsize.scm\" 9426) \"BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_hook1367\" \"Eval/evaluate_fsize.scm\" 9278) \"BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_prog21365\" \"Eval/evaluate_fsize.scm\" 9095) \"BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_list1363\" \"Eval/evaluate_fsize.scm\" 8964) \"BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_if1361\" \"Eval/evaluate_fsize.scm\" 8742) \"BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_litt1359\" \"Eval/evaluate_fsize.scm\" 8684) \"BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_global1357\" \"Eval/evaluate_fsize.scm\" 8624) \"BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&subst_goto-ev_var1355\" \"Eval/evaluate_fsize.scm\" 8567) \"BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_abs1351\" \"Eval/evaluate_fsize.scm\" 7480) \"BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_app1349\" \"Eval/evaluate_fsize.scm\" 7324) \"BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_let1347\" \"Eval/evaluate_fsize.scm\" 7006) \"BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_bin1345\" \"Eval/evaluate_fsize.scm\" 6836) \"BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_syn1343\" \"Eval/evaluate_fsize.scm\" 6594) \"BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_wit1341\" \"Eval/evaluate_fsize.scm\" 6397) \"BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_unw1339\" \"Eval/evaluate_fsize.scm\" 6205) \"BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_bin1337\" \"Eval/evaluate_fsize.scm\" 6057) \"BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_hoo1335\" \"Eval/evaluate_fsize.scm\" 5923) \"BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_pro1333\" \"Eval/evaluate_fsize.scm\" 5761) \"BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_lis1331\" \"Eval/evaluate_fsize.scm\" 5644) \"BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_if1329\" \"Eval/evaluate_fsize.scm\" 5450) \"BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_lit1327\" \"Eval/evaluate_fsize.scm\" 5399) \"BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_glo1325\" \"Eval/evaluate_fsize.scm\" 5346) \"BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&search-letrec-ev_var1323\" \"Eval/evaluate_fsize.scm\" 5296) \"BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_abs1319\" \"Eval/evaluate_fsize.scm\" 4805) \"BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_app1317\" \"Eval/evaluate_fsize.scm\" 4576) \"BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_goto1315\" \"Eval/evaluate_fsize.scm\" 4366) \"BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_labels1313\" \"Eval/evaluate_fsize.scm\" 4118) \"BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_letrec1311\" \"Eval/evaluate_fsize.scm\" 3862) \"BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_let*1309\" \"Eval/evaluate_fsize.scm\" 3629) \"BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_let1307\" \"Eval/evaluate_fsize.scm\" 3398) \"BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_synchronize1305\" \"Eval/evaluate_fsize.scm\" 3224) \"BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_with-handle1303\" \"Eval/evaluate_fsize.scm\" 3070) \"BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_unwind-prot1301\" \"Eval/evaluate_fsize.scm\" 2924) \"BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_bind-exit1299\" \"Eval/evaluate_fsize.scm\" 2800) \"BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_hook1297\" \"Eval/evaluate_fsize.scm\" 2700) \"BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_prog21295\" \"Eval/evaluate_fsize.scm\" 2574) \"BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_list1293\" \"Eval/evaluate_fsize.scm\" 2383) \"BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_if1291\" \"Eval/evaluate_fsize.scm\" 2253) \"BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_litt1289\" \"Eval/evaluate_fsize.scm\" 2198) \"BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_global1287\" \"Eval/evaluate_fsize.scm\" 2139) \"BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "((\"&fsize-ev_var1285\" \"Eval/evaluate_fsize.scm\" 2085) \"BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long BgL_checksumz00_4442, char * BgL_fromz00_4443)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7(); 
BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7(); 
BGl_genericzd2initzd2zz__evaluate_fsiza7eza7(); 
BGl_methodzd2initzd2zz__evaluate_fsiza7eza7(); 
return 
BGl_profzd2initzd2zz__evaluate_fsiza7eza7();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_symbol2230z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2229z00zz__evaluate_fsiza7eza7); 
BGl_symbol2232z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_symbol2235z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2236z00zz__evaluate_fsiza7eza7); 
return ( 
BGl_symbol2237z00zz__evaluate_fsiza7eza7 = 
bstring_to_symbol(BGl_string2238z00zz__evaluate_fsiza7eza7), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return BUNSPEC;} 

}



/* frame-size */
BGL_EXPORTED_DEF int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
{
{ /* Eval/evaluate_fsize.scm 65 */
return 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, 
(int)(((long)0)));} 

}



/* &frame-size */
obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3374, obj_t BgL_ez00_3375)
{
{ /* Eval/evaluate_fsize.scm 65 */
{ /* Eval/evaluate_fsize.scm 66 */
 int BgL_tmpz00_4461;
{ /* Eval/evaluate_fsize.scm 66 */
 BgL_ev_exprz00_bglt BgL_auxz00_4462;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_3375, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_fsize.scm 66 */
BgL_auxz00_4462 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3375)
; }  else 
{ 
 obj_t BgL_auxz00_4466;
BgL_auxz00_4466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)1965)), BGl_string2217z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3375); 
FAILURE(BgL_auxz00_4466,BFALSE,BFALSE);} 
BgL_tmpz00_4461 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_4462); } 
return 
BINT(BgL_tmpz00_4461);} } 

}



/* extract-loops */
BGL_EXPORTED_DEF BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_42)
{
{ /* Eval/evaluate_fsize.scm 167 */
return 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));} 

}



/* &extract-loops */
BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3376, obj_t BgL_ez00_3377)
{
{ /* Eval/evaluate_fsize.scm 167 */
{ /* Eval/evaluate_fsize.scm 169 */
 BgL_ev_exprz00_bglt BgL_auxz00_4474;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_3377, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_fsize.scm 169 */
BgL_auxz00_4474 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3377)
; }  else 
{ 
 obj_t BgL_auxz00_4478;
BgL_auxz00_4478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)5040)), BGl_string2219z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3377); 
FAILURE(BgL_auxz00_4478,BFALSE,BFALSE);} 
return 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_auxz00_4474);} } 

}



/* search-letrec* */
bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
{
{ /* Eval/evaluate_fsize.scm 172 */
{ 
 obj_t BgL_lz00_1310;
BgL_lz00_1310 = BgL_lz00_43; 
BgL_zc3z04anonymousza31532ze3z87_1311:
if(
NULLP(BgL_lz00_1310))
{ /* Eval/evaluate_fsize.scm 174 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_fsize.scm 174 */
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_arg1534z00_1313;
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_arg1535z00_1314;
BgL_arg1535z00_1314 = 
CAR(
((obj_t)BgL_lz00_1310)); 
BgL_arg1534z00_1313 = 
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1535z00_1314)); } 
{ /* Eval/evaluate_fsize.scm 175 */
 obj_t BgL_tmpz00_4489;
BgL_tmpz00_4489 = 
((obj_t)BgL_lz00_1310); 
SET_CAR(BgL_tmpz00_4489, BgL_arg1534z00_1313); } } 
{ /* Eval/evaluate_fsize.scm 176 */
 obj_t BgL_arg1536z00_1315;
BgL_arg1536z00_1315 = 
CDR(
((obj_t)BgL_lz00_1310)); 
{ 
 obj_t BgL_lz00_4494;
BgL_lz00_4494 = BgL_arg1536z00_1315; 
BgL_lz00_1310 = BgL_lz00_4494; 
goto BgL_zc3z04anonymousza31532ze3z87_1311;} } } } } 

}



/* modify-letrec */
BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
{
{ /* Eval/evaluate_fsize.scm 268 */
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_rz00_1317;
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_new1093z00_1336;
{ /* Eval/evaluate_fsize.scm 269 */
 BgL_ev_labelsz00_bglt BgL_new1092z00_1340;
BgL_new1092z00_1340 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 269 */
 long BgL_arg1550z00_1341;
BgL_arg1550z00_1341 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1092z00_1340), BgL_arg1550z00_1341); } 
BgL_new1093z00_1336 = BgL_new1092z00_1340; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_varsz00)=((obj_t)BgL_varsz00_60),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_valsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_envz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_stkz00)=((obj_t)BNIL),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4503;
{ /* Eval/evaluate_fsize.scm 270 */
 BgL_ev_littz00_bglt BgL_new1095z00_1337;
{ /* Eval/evaluate_fsize.scm 270 */
 BgL_ev_littz00_bglt BgL_new1094z00_1338;
BgL_new1094z00_1338 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 270 */
 long BgL_arg1549z00_1339;
{ /* Eval/evaluate_fsize.scm 270 */
 obj_t BgL_classz00_2749;
BgL_classz00_2749 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_arg1549z00_1339 = 
BGL_CLASS_NUM(BgL_classz00_2749); } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1094z00_1338), BgL_arg1549z00_1339); } 
BgL_new1095z00_1337 = BgL_new1094z00_1338; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1095z00_1337))->BgL_valuez00)=((obj_t)
BINT(((long)0))),BUNSPEC); 
BgL_auxz00_4503 = 
((BgL_ev_exprz00_bglt)BgL_new1095z00_1337); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4503),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1093z00_1336))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_rz00_1317 = BgL_new1093z00_1336; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_rz00_1317))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62, BgL_varsz00_60, 
((obj_t)BgL_rz00_1317)))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4517;
if(
NULLP(BgL_valsz00_61))
{ /* Eval/evaluate_fsize.scm 273 */
BgL_auxz00_4517 = BNIL
; }  else 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_head1216z00_1321;
BgL_head1216z00_1321 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1214z00_1323; obj_t BgL_tail1217z00_1324;
BgL_l1214z00_1323 = BgL_valsz00_61; 
BgL_tail1217z00_1324 = BgL_head1216z00_1321; 
BgL_zc3z04anonymousza31538ze3z87_1325:
if(
NULLP(BgL_l1214z00_1323))
{ /* Eval/evaluate_fsize.scm 273 */
BgL_auxz00_4517 = 
CDR(BgL_head1216z00_1321)
; }  else 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_newtail1218z00_1327;
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_arg1541z00_1329;
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_valz00_1330;
BgL_valz00_1330 = 
CAR(
((obj_t)BgL_l1214z00_1323)); 
{ /* Eval/evaluate_fsize.scm 275 */
 obj_t BgL_arg1544z00_1332; obj_t BgL_arg1545z00_1333;
BgL_arg1544z00_1332 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_valz00_1330)))->BgL_varsz00); 
{ /* Eval/evaluate_fsize.scm 275 */
 BgL_ev_exprz00_bglt BgL_arg1546z00_1334;
BgL_arg1546z00_1334 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_valz00_1330)))->BgL_bodyz00); 
BgL_arg1545z00_1333 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1546z00_1334, BgL_varsz00_60, 
((obj_t)BgL_rz00_1317)); } 
BgL_arg1541z00_1329 = 
MAKE_YOUNG_PAIR(BgL_arg1544z00_1332, BgL_arg1545z00_1333); } } 
BgL_newtail1218z00_1327 = 
MAKE_YOUNG_PAIR(BgL_arg1541z00_1329, BNIL); } 
SET_CDR(BgL_tail1217z00_1324, BgL_newtail1218z00_1327); 
{ /* Eval/evaluate_fsize.scm 273 */
 obj_t BgL_arg1540z00_1328;
BgL_arg1540z00_1328 = 
CDR(
((obj_t)BgL_l1214z00_1323)); 
{ 
 obj_t BgL_tail1217z00_4538; obj_t BgL_l1214z00_4537;
BgL_l1214z00_4537 = BgL_arg1540z00_1328; 
BgL_tail1217z00_4538 = BgL_newtail1218z00_1327; 
BgL_tail1217z00_1324 = BgL_tail1217z00_4538; 
BgL_l1214z00_1323 = BgL_l1214z00_4537; 
goto BgL_zc3z04anonymousza31538ze3z87_1325;} } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_rz00_1317))->BgL_valsz00)=((obj_t)BgL_auxz00_4517),BUNSPEC); } 
return BgL_rz00_1317;} } 

}



/* letrectail? */
bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63, obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
{
{ /* Eval/evaluate_fsize.scm 279 */
{ 
 obj_t BgL_l1222z00_1343;
BgL_l1222z00_1343 = BgL_varsz00_63; 
BgL_zc3z04anonymousza31551ze3z87_1344:
if(
NULLP(BgL_l1222z00_1343))
{ /* Eval/evaluate_fsize.scm 280 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_fsize.scm 280 */
 bool_t BgL_test2466z00_4542;
{ /* Eval/evaluate_fsize.scm 281 */
 obj_t BgL_vz00_1349;
BgL_vz00_1349 = 
CAR(
((obj_t)BgL_l1222z00_1343)); 
{ /* Eval/evaluate_fsize.scm 281 */
 obj_t BgL__andtest_1098z00_1350;
BgL__andtest_1098z00_1350 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65, 
((BgL_ev_varz00_bglt)BgL_vz00_1349)); 
if(
CBOOL(BgL__andtest_1098z00_1350))
{ 
 obj_t BgL_l1219z00_1352;
BgL_l1219z00_1352 = BgL_valsz00_64; 
BgL_zc3z04anonymousza31554ze3z87_1353:
if(
NULLP(BgL_l1219z00_1352))
{ /* Eval/evaluate_fsize.scm 282 */
BgL_test2466z00_4542 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_nvz00_1355;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_ez00_1358;
BgL_ez00_1358 = 
CAR(
((obj_t)BgL_l1219z00_1352)); 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_test2469z00_4553;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_classz00_2758;
BgL_classz00_2758 = BGl_ev_absz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_1358))
{ /* Eval/evaluate_fsize.scm 283 */
 BgL_objectz00_bglt BgL_arg2138z00_2760;
BgL_arg2138z00_2760 = 
(BgL_objectz00_bglt)(BgL_ez00_1358); 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_arg2135z00_2763; bool_t BgL_arg2136z00_2764;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_idxz00_2767;
BgL_idxz00_2767 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2138z00_2760); 
BgL_arg2135z00_2763 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_2767+((long)2)))==BgL_classz00_2758); } 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL_res2157z00_2789;
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_oclassz00_2775;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_arg2145z00_2781;
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_arg2146z00_2782;
BgL_arg2146z00_2782 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2138z00_2760); 
BgL_arg2145z00_2781 = 
(BgL_arg2146z00_2782-OBJECT_TYPE); } 
BgL_oclassz00_2775 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_2781); } 
{ /* Eval/evaluate_fsize.scm 283 */
 bool_t BgL__ortest_1211z00_2776;
BgL__ortest_1211z00_2776 = 
(BgL_classz00_2758==BgL_oclassz00_2775); 
if(BgL__ortest_1211z00_2776)
{ /* Eval/evaluate_fsize.scm 283 */
BgL_res2157z00_2789 = BgL__ortest_1211z00_2776; }  else 
{ /* Eval/evaluate_fsize.scm 283 */
 long BgL_odepthz00_2777;
BgL_odepthz00_2777 = 
BGL_CLASS_DEPTH(BgL_oclassz00_2775); 
if(
(((long)2)<BgL_odepthz00_2777))
{ /* Eval/evaluate_fsize.scm 283 */
 obj_t BgL_arg2134z00_2779;
BgL_arg2134z00_2779 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2775, ((long)2)); 
BgL_res2157z00_2789 = 
(BgL_arg2134z00_2779==BgL_classz00_2758); }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_res2157z00_2789 = ((bool_t)0); } } } } 
BgL_arg2136z00_2764 = BgL_res2157z00_2789; } 
BgL_test2469z00_4553 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_2763, BgL_arg2136z00_2764); } }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_test2469z00_4553 = ((bool_t)0)
; } } 
if(BgL_test2469z00_4553)
{ /* Eval/evaluate_fsize.scm 283 */
if(
(
(long)CINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_1358)))->BgL_arityz00))>=((long)0)))
{ /* Eval/evaluate_fsize.scm 286 */
 BgL_ev_exprz00_bglt BgL_arg1560z00_1362;
BgL_arg1560z00_1362 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_1358)))->BgL_bodyz00); 
BgL_nvz00_1355 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1560z00_1362, 
((BgL_ev_varz00_bglt)BgL_vz00_1349)); }  else 
{ /* Eval/evaluate_fsize.scm 285 */
BgL_nvz00_1355 = BFALSE; } }  else 
{ /* Eval/evaluate_fsize.scm 283 */
BgL_nvz00_1355 = BFALSE; } } } 
if(
CBOOL(BgL_nvz00_1355))
{ /* Eval/evaluate_fsize.scm 282 */
 obj_t BgL_arg1557z00_1357;
BgL_arg1557z00_1357 = 
CDR(
((obj_t)BgL_l1219z00_1352)); 
{ 
 obj_t BgL_l1219z00_4585;
BgL_l1219z00_4585 = BgL_arg1557z00_1357; 
BgL_l1219z00_1352 = BgL_l1219z00_4585; 
goto BgL_zc3z04anonymousza31554ze3z87_1353;} }  else 
{ /* Eval/evaluate_fsize.scm 282 */
BgL_test2466z00_4542 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate_fsize.scm 281 */
BgL_test2466z00_4542 = ((bool_t)0)
; } } } 
if(BgL_test2466z00_4542)
{ /* Eval/evaluate_fsize.scm 280 */
 obj_t BgL_arg1553z00_1348;
BgL_arg1553z00_1348 = 
CDR(
((obj_t)BgL_l1222z00_1343)); 
{ 
 obj_t BgL_l1222z00_4588;
BgL_l1222z00_4588 = BgL_arg1553z00_1348; 
BgL_l1222z00_1343 = BgL_l1222z00_4588; 
goto BgL_zc3z04anonymousza31551ze3z87_1344;} }  else 
{ /* Eval/evaluate_fsize.scm 280 */
return ((bool_t)0);} } } } 

}



/* subst_goto* */
bool_t BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(obj_t BgL_lz00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
{
{ /* Eval/evaluate_fsize.scm 292 */
{ 
 obj_t BgL_lz00_1367;
BgL_lz00_1367 = BgL_lz00_66; 
BgL_zc3z04anonymousza31562ze3z87_1368:
if(
NULLP(BgL_lz00_1367))
{ /* Eval/evaluate_fsize.scm 294 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_fsize.scm 294 */
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_arg1564z00_1370;
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_arg1565z00_1371;
BgL_arg1565z00_1371 = 
CAR(
((obj_t)BgL_lz00_1367)); 
BgL_arg1564z00_1370 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1565z00_1371), BgL_varsz00_67, BgL_lblsz00_68); } 
{ /* Eval/evaluate_fsize.scm 295 */
 obj_t BgL_tmpz00_4595;
BgL_tmpz00_4595 = 
((obj_t)BgL_lz00_1367); 
SET_CAR(BgL_tmpz00_4595, BgL_arg1564z00_1370); } } 
{ /* Eval/evaluate_fsize.scm 296 */
 obj_t BgL_arg1566z00_1372;
BgL_arg1566z00_1372 = 
CDR(
((obj_t)BgL_lz00_1367)); 
{ 
 obj_t BgL_lz00_4600;
BgL_lz00_4600 = BgL_arg1566z00_1372; 
BgL_lz00_1367 = BgL_lz00_4600; 
goto BgL_zc3z04anonymousza31562ze3z87_1368;} } } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_proc2220z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2221z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_proc2222z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2223z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_proc2224z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2225z00zz__evaluate_fsiza7eza7); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_proc2226z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2227z00zz__evaluate_fsiza7eza7); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_proc2228z00zz__evaluate_fsiza7eza7, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string2229z00zz__evaluate_fsiza7eza7);} 

}



/* &hasvar?1426 */
obj_t BGl_z62hasvarzf31426z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3383, obj_t BgL_ez00_3384, obj_t BgL_vz00_3385)
{
{ /* Eval/evaluate_fsize.scm 491 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2230z00zz__evaluate_fsiza7eza7, BGl_string2231z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3384)));} 

}



/* &tailpos1386 */
obj_t BGl_z62tailpos1386z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3386, obj_t BgL_ez00_3387, obj_t BgL_vz00_3388)
{
{ /* Eval/evaluate_fsize.scm 403 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2232z00zz__evaluate_fsiza7eza7, BGl_string2234z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3387)));} 

}



/* &subst_goto1352 */
obj_t BGl_z62subst_goto1352z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3389, obj_t BgL_ez00_3390, obj_t BgL_varsz00_3391, obj_t BgL_lblsz00_3392)
{
{ /* Eval/evaluate_fsize.scm 298 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2235z00zz__evaluate_fsiza7eza7, BGl_string2234z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3390)));} 

}



/* &search-letrec1320 */
obj_t BGl_z62searchzd2letrec1320zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3393, obj_t BgL_ez00_3394)
{
{ /* Eval/evaluate_fsize.scm 178 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2237z00zz__evaluate_fsiza7eza7, BGl_string2234z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3394)));} 

}



/* &fsize1282 */
obj_t BGl_z62fsiza7e1282zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3395, obj_t BgL_ez00_3396, obj_t BgL_nz00_3397)
{
{ /* Eval/evaluate_fsize.scm 68 */
return 
BGl_errorz00zz__errorz00(BGl_string2239z00zz__evaluate_fsiza7eza7, BGl_string2240z00zz__evaluate_fsiza7eza7, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_3396)));} 

}



/* fsize */
int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4, int BgL_nz00_5)
{
{ /* Eval/evaluate_fsize.scm 68 */
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_method1283z00_1399;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_res2162z00_2826;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_objzd2classzd2numz00_2797;
BgL_objzd2classzd2numz00_2797 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_4)); 
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2142z00_2798;
BgL_arg2142z00_2798 = 
PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_offsetz00_2801;
BgL_offsetz00_2801 = 
(int)(BgL_objzd2classzd2numz00_2797); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_offsetz00_2802;
BgL_offsetz00_2802 = 
(
(long)(BgL_offsetz00_2801)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_modz00_2803;
BgL_modz00_2803 = 
(BgL_offsetz00_2802 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_restz00_2805;
BgL_restz00_2805 = 
(BgL_offsetz00_2802 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 68 */

{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_bucketz00_2807;
BgL_bucketz00_2807 = 
VECTOR_REF(
((obj_t)BgL_arg2142z00_2798),BgL_modz00_2803); 
BgL_res2162z00_2826 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2807),BgL_restz00_2805); } } } } } } } } 
BgL_method1283z00_1399 = BgL_res2162z00_2826; } 
return 
CINT(
PROCEDURE_ENTRY(BgL_method1283z00_1399)(BgL_method1283z00_1399, 
((obj_t)BgL_ez00_4), 
BINT(BgL_nz00_5), BEOA));} } 

}



/* &fsize */
obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3398, obj_t BgL_ez00_3399, obj_t BgL_nz00_3400)
{
{ /* Eval/evaluate_fsize.scm 68 */
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_tmpz00_4654;
{ /* Eval/evaluate_fsize.scm 68 */
 int BgL_auxz00_4681; BgL_ev_exprz00_bglt BgL_auxz00_4655;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_tmpz00_4682;
if(
INTEGERP(BgL_nz00_3400))
{ /* Eval/evaluate_fsize.scm 68 */
BgL_tmpz00_4682 = BgL_nz00_3400
; }  else 
{ 
 obj_t BgL_auxz00_4685;
BgL_auxz00_4685 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)1980)), BGl_string2241z00zz__evaluate_fsiza7eza7, BGl_string2242z00zz__evaluate_fsiza7eza7, BgL_nz00_3400); 
FAILURE(BgL_auxz00_4685,BFALSE,BFALSE);} 
BgL_auxz00_4681 = 
CINT(BgL_tmpz00_4682); } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_test2476z00_4656;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_classz00_3800;
BgL_classz00_3800 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3399))
{ /* Eval/evaluate_fsize.scm 68 */
 BgL_objectz00_bglt BgL_arg2140z00_3802; long BgL_arg2141z00_3803;
BgL_arg2140z00_3802 = 
(BgL_objectz00_bglt)(BgL_ez00_3399); 
BgL_arg2141z00_3803 = 
BGL_CLASS_DEPTH(BgL_classz00_3800); 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_arg2135z00_3807; bool_t BgL_arg2136z00_3808;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_idxz00_3812;
BgL_idxz00_3812 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3802); 
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2132z00_3813;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2133z00_3814;
BgL_arg2133z00_3814 = 
(BgL_idxz00_3812+BgL_arg2141z00_3803); 
BgL_arg2132z00_3813 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_3814); } 
BgL_arg2135z00_3807 = 
(BgL_arg2132z00_3813==BgL_classz00_3800); } } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL_res2184z00_3819;
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_oclassz00_3823;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2145z00_3825;
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_arg2146z00_3826;
BgL_arg2146z00_3826 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3802); 
BgL_arg2145z00_3825 = 
(BgL_arg2146z00_3826-OBJECT_TYPE); } 
BgL_oclassz00_3823 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_3825); } 
{ /* Eval/evaluate_fsize.scm 68 */
 bool_t BgL__ortest_1211z00_3832;
BgL__ortest_1211z00_3832 = 
(BgL_classz00_3800==BgL_oclassz00_3823); 
if(BgL__ortest_1211z00_3832)
{ /* Eval/evaluate_fsize.scm 68 */
BgL_res2184z00_3819 = BgL__ortest_1211z00_3832; }  else 
{ /* Eval/evaluate_fsize.scm 68 */
 long BgL_odepthz00_3833;
BgL_odepthz00_3833 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3823); 
if(
(BgL_arg2141z00_3803<BgL_odepthz00_3833))
{ /* Eval/evaluate_fsize.scm 68 */
 obj_t BgL_arg2134z00_3837;
BgL_arg2134z00_3837 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3823, BgL_arg2141z00_3803); 
BgL_res2184z00_3819 = 
(BgL_arg2134z00_3837==BgL_classz00_3800); }  else 
{ /* Eval/evaluate_fsize.scm 68 */
BgL_res2184z00_3819 = ((bool_t)0); } } } } 
BgL_arg2136z00_3808 = BgL_res2184z00_3819; } 
BgL_test2476z00_4656 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3807, BgL_arg2136z00_3808); } }  else 
{ /* Eval/evaluate_fsize.scm 68 */
BgL_test2476z00_4656 = ((bool_t)0)
; } } 
if(BgL_test2476z00_4656)
{ /* Eval/evaluate_fsize.scm 68 */
BgL_auxz00_4655 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3399)
; }  else 
{ 
 obj_t BgL_auxz00_4677;
BgL_auxz00_4677 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)1980)), BGl_string2241z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3399); 
FAILURE(BgL_auxz00_4677,BFALSE,BFALSE);} } 
BgL_tmpz00_4654 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_4655, BgL_auxz00_4681); } 
return 
BINT(BgL_tmpz00_4654);} } 

}



/* search-letrec */
obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_44)
{
{ /* Eval/evaluate_fsize.scm 178 */
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_method1321z00_1400;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_res2167z00_2857;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_objzd2classzd2numz00_2828;
BgL_objzd2classzd2numz00_2828 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_44)); 
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2142z00_2829;
BgL_arg2142z00_2829 = 
PROCEDURE_REF(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 178 */
 int BgL_offsetz00_2832;
BgL_offsetz00_2832 = 
(int)(BgL_objzd2classzd2numz00_2828); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_offsetz00_2833;
BgL_offsetz00_2833 = 
(
(long)(BgL_offsetz00_2832)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_modz00_2834;
BgL_modz00_2834 = 
(BgL_offsetz00_2833 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_restz00_2836;
BgL_restz00_2836 = 
(BgL_offsetz00_2833 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 178 */

{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_bucketz00_2838;
BgL_bucketz00_2838 = 
VECTOR_REF(
((obj_t)BgL_arg2142z00_2829),BgL_modz00_2834); 
BgL_res2167z00_2857 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2838),BgL_restz00_2836); } } } } } } } } 
BgL_method1321z00_1400 = BgL_res2167z00_2857; } 
return 
PROCEDURE_ENTRY(BgL_method1321z00_1400)(BgL_method1321z00_1400, 
((obj_t)BgL_ez00_44), BEOA);} } 

}



/* &search-letrec */
obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3401, obj_t BgL_ez00_3402)
{
{ /* Eval/evaluate_fsize.scm 178 */
{ /* Eval/evaluate_fsize.scm 178 */
 BgL_ev_exprz00_bglt BgL_auxz00_4722;
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_test2481z00_4723;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_classz00_3838;
BgL_classz00_3838 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3402))
{ /* Eval/evaluate_fsize.scm 178 */
 BgL_objectz00_bglt BgL_arg2140z00_3840; long BgL_arg2141z00_3841;
BgL_arg2140z00_3840 = 
(BgL_objectz00_bglt)(BgL_ez00_3402); 
BgL_arg2141z00_3841 = 
BGL_CLASS_DEPTH(BgL_classz00_3838); 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_arg2135z00_3845; bool_t BgL_arg2136z00_3846;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_idxz00_3850;
BgL_idxz00_3850 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3840); 
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2132z00_3851;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2133z00_3852;
BgL_arg2133z00_3852 = 
(BgL_idxz00_3850+BgL_arg2141z00_3841); 
BgL_arg2132z00_3851 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_3852); } 
BgL_arg2135z00_3845 = 
(BgL_arg2132z00_3851==BgL_classz00_3838); } } 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL_res2184z00_3857;
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_oclassz00_3861;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2145z00_3863;
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_arg2146z00_3864;
BgL_arg2146z00_3864 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3840); 
BgL_arg2145z00_3863 = 
(BgL_arg2146z00_3864-OBJECT_TYPE); } 
BgL_oclassz00_3861 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_3863); } 
{ /* Eval/evaluate_fsize.scm 178 */
 bool_t BgL__ortest_1211z00_3870;
BgL__ortest_1211z00_3870 = 
(BgL_classz00_3838==BgL_oclassz00_3861); 
if(BgL__ortest_1211z00_3870)
{ /* Eval/evaluate_fsize.scm 178 */
BgL_res2184z00_3857 = BgL__ortest_1211z00_3870; }  else 
{ /* Eval/evaluate_fsize.scm 178 */
 long BgL_odepthz00_3871;
BgL_odepthz00_3871 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3861); 
if(
(BgL_arg2141z00_3841<BgL_odepthz00_3871))
{ /* Eval/evaluate_fsize.scm 178 */
 obj_t BgL_arg2134z00_3875;
BgL_arg2134z00_3875 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3861, BgL_arg2141z00_3841); 
BgL_res2184z00_3857 = 
(BgL_arg2134z00_3875==BgL_classz00_3838); }  else 
{ /* Eval/evaluate_fsize.scm 178 */
BgL_res2184z00_3857 = ((bool_t)0); } } } } 
BgL_arg2136z00_3846 = BgL_res2184z00_3857; } 
BgL_test2481z00_4723 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3845, BgL_arg2136z00_3846); } }  else 
{ /* Eval/evaluate_fsize.scm 178 */
BgL_test2481z00_4723 = ((bool_t)0)
; } } 
if(BgL_test2481z00_4723)
{ /* Eval/evaluate_fsize.scm 178 */
BgL_auxz00_4722 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3402)
; }  else 
{ 
 obj_t BgL_auxz00_4744;
BgL_auxz00_4744 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)5204)), BGl_string2243z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3402); 
FAILURE(BgL_auxz00_4744,BFALSE,BFALSE);} } 
return 
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_4722);} } 

}



/* subst_goto */
obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
{
{ /* Eval/evaluate_fsize.scm 298 */
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_method1353z00_1401;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_res2172z00_2888;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_objzd2classzd2numz00_2859;
BgL_objzd2classzd2numz00_2859 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_69)); 
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2142z00_2860;
BgL_arg2142z00_2860 = 
PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 298 */
 int BgL_offsetz00_2863;
BgL_offsetz00_2863 = 
(int)(BgL_objzd2classzd2numz00_2859); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_offsetz00_2864;
BgL_offsetz00_2864 = 
(
(long)(BgL_offsetz00_2863)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_modz00_2865;
BgL_modz00_2865 = 
(BgL_offsetz00_2864 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_restz00_2867;
BgL_restz00_2867 = 
(BgL_offsetz00_2864 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 298 */

{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_bucketz00_2869;
BgL_bucketz00_2869 = 
VECTOR_REF(
((obj_t)BgL_arg2142z00_2860),BgL_modz00_2865); 
BgL_res2172z00_2888 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2869),BgL_restz00_2867); } } } } } } } } 
BgL_method1353z00_1401 = BgL_res2172z00_2888; } 
return 
PROCEDURE_ENTRY(BgL_method1353z00_1401)(BgL_method1353z00_1401, 
((obj_t)BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);} } 

}



/* &subst_goto */
obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3403, obj_t BgL_ez00_3404, obj_t BgL_varsz00_3405, obj_t BgL_lblsz00_3406)
{
{ /* Eval/evaluate_fsize.scm 298 */
{ /* Eval/evaluate_fsize.scm 298 */
 BgL_ev_exprz00_bglt BgL_auxz00_4781;
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_test2485z00_4782;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_classz00_3876;
BgL_classz00_3876 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3404))
{ /* Eval/evaluate_fsize.scm 298 */
 BgL_objectz00_bglt BgL_arg2140z00_3878; long BgL_arg2141z00_3879;
BgL_arg2140z00_3878 = 
(BgL_objectz00_bglt)(BgL_ez00_3404); 
BgL_arg2141z00_3879 = 
BGL_CLASS_DEPTH(BgL_classz00_3876); 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_arg2135z00_3883; bool_t BgL_arg2136z00_3884;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_idxz00_3888;
BgL_idxz00_3888 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3878); 
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2132z00_3889;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2133z00_3890;
BgL_arg2133z00_3890 = 
(BgL_idxz00_3888+BgL_arg2141z00_3879); 
BgL_arg2132z00_3889 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_3890); } 
BgL_arg2135z00_3883 = 
(BgL_arg2132z00_3889==BgL_classz00_3876); } } 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL_res2184z00_3895;
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_oclassz00_3899;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2145z00_3901;
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_arg2146z00_3902;
BgL_arg2146z00_3902 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3878); 
BgL_arg2145z00_3901 = 
(BgL_arg2146z00_3902-OBJECT_TYPE); } 
BgL_oclassz00_3899 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_3901); } 
{ /* Eval/evaluate_fsize.scm 298 */
 bool_t BgL__ortest_1211z00_3908;
BgL__ortest_1211z00_3908 = 
(BgL_classz00_3876==BgL_oclassz00_3899); 
if(BgL__ortest_1211z00_3908)
{ /* Eval/evaluate_fsize.scm 298 */
BgL_res2184z00_3895 = BgL__ortest_1211z00_3908; }  else 
{ /* Eval/evaluate_fsize.scm 298 */
 long BgL_odepthz00_3909;
BgL_odepthz00_3909 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3899); 
if(
(BgL_arg2141z00_3879<BgL_odepthz00_3909))
{ /* Eval/evaluate_fsize.scm 298 */
 obj_t BgL_arg2134z00_3913;
BgL_arg2134z00_3913 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3899, BgL_arg2141z00_3879); 
BgL_res2184z00_3895 = 
(BgL_arg2134z00_3913==BgL_classz00_3876); }  else 
{ /* Eval/evaluate_fsize.scm 298 */
BgL_res2184z00_3895 = ((bool_t)0); } } } } 
BgL_arg2136z00_3884 = BgL_res2184z00_3895; } 
BgL_test2485z00_4782 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3883, BgL_arg2136z00_3884); } }  else 
{ /* Eval/evaluate_fsize.scm 298 */
BgL_test2485z00_4782 = ((bool_t)0)
; } } 
if(BgL_test2485z00_4782)
{ /* Eval/evaluate_fsize.scm 298 */
BgL_auxz00_4781 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3404)
; }  else 
{ 
 obj_t BgL_auxz00_4803;
BgL_auxz00_4803 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)8471)), BGl_string2244z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3404); 
FAILURE(BgL_auxz00_4803,BFALSE,BFALSE);} } 
return 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_4781, BgL_varsz00_3405, BgL_lblsz00_3406);} } 

}



/* tailpos */
obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120, BgL_ev_varz00_bglt BgL_vz00_121)
{
{ /* Eval/evaluate_fsize.scm 403 */
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_method1387z00_1402;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_res2177z00_2919;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_objzd2classzd2numz00_2890;
BgL_objzd2classzd2numz00_2890 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_120)); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2142z00_2891;
BgL_arg2142z00_2891 = 
PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 403 */
 int BgL_offsetz00_2894;
BgL_offsetz00_2894 = 
(int)(BgL_objzd2classzd2numz00_2890); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_offsetz00_2895;
BgL_offsetz00_2895 = 
(
(long)(BgL_offsetz00_2894)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_modz00_2896;
BgL_modz00_2896 = 
(BgL_offsetz00_2895 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_restz00_2898;
BgL_restz00_2898 = 
(BgL_offsetz00_2895 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 403 */

{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_bucketz00_2900;
BgL_bucketz00_2900 = 
VECTOR_REF(
((obj_t)BgL_arg2142z00_2891),BgL_modz00_2896); 
BgL_res2177z00_2919 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2900),BgL_restz00_2898); } } } } } } } } 
BgL_method1387z00_1402 = BgL_res2177z00_2919; } 
return 
PROCEDURE_ENTRY(BgL_method1387z00_1402)(BgL_method1387z00_1402, 
((obj_t)BgL_ez00_120), 
((obj_t)BgL_vz00_121), BEOA);} } 

}



/* &tailpos */
obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3407, obj_t BgL_ez00_3408, obj_t BgL_vz00_3409)
{
{ /* Eval/evaluate_fsize.scm 403 */
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_ev_varz00_bglt BgL_auxz00_4866; BgL_ev_exprz00_bglt BgL_auxz00_4840;
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_test2493z00_4867;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_classz00_3952;
BgL_classz00_3952 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_3409))
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_objectz00_bglt BgL_arg2140z00_3954; long BgL_arg2141z00_3955;
BgL_arg2140z00_3954 = 
(BgL_objectz00_bglt)(BgL_vz00_3409); 
BgL_arg2141z00_3955 = 
BGL_CLASS_DEPTH(BgL_classz00_3952); 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_arg2135z00_3959; bool_t BgL_arg2136z00_3960;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_idxz00_3964;
BgL_idxz00_3964 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3954); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2132z00_3965;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2133z00_3966;
BgL_arg2133z00_3966 = 
(BgL_idxz00_3964+BgL_arg2141z00_3955); 
BgL_arg2132z00_3965 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_3966); } 
BgL_arg2135z00_3959 = 
(BgL_arg2132z00_3965==BgL_classz00_3952); } } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_res2184z00_3971;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_oclassz00_3975;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2145z00_3977;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2146z00_3978;
BgL_arg2146z00_3978 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3954); 
BgL_arg2145z00_3977 = 
(BgL_arg2146z00_3978-OBJECT_TYPE); } 
BgL_oclassz00_3975 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_3977); } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL__ortest_1211z00_3984;
BgL__ortest_1211z00_3984 = 
(BgL_classz00_3952==BgL_oclassz00_3975); 
if(BgL__ortest_1211z00_3984)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2184z00_3971 = BgL__ortest_1211z00_3984; }  else 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_odepthz00_3985;
BgL_odepthz00_3985 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3975); 
if(
(BgL_arg2141z00_3955<BgL_odepthz00_3985))
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2134z00_3989;
BgL_arg2134z00_3989 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3975, BgL_arg2141z00_3955); 
BgL_res2184z00_3971 = 
(BgL_arg2134z00_3989==BgL_classz00_3952); }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2184z00_3971 = ((bool_t)0); } } } } 
BgL_arg2136z00_3960 = BgL_res2184z00_3971; } 
BgL_test2493z00_4867 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3959, BgL_arg2136z00_3960); } }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_test2493z00_4867 = ((bool_t)0)
; } } 
if(BgL_test2493z00_4867)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_auxz00_4866 = 
((BgL_ev_varz00_bglt)BgL_vz00_3409)
; }  else 
{ 
 obj_t BgL_auxz00_4888;
BgL_auxz00_4888 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)12049)), BGl_string2245z00zz__evaluate_fsiza7eza7, BGl_string2246z00zz__evaluate_fsiza7eza7, BgL_vz00_3409); 
FAILURE(BgL_auxz00_4888,BFALSE,BFALSE);} } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_test2489z00_4841;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_classz00_3914;
BgL_classz00_3914 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3408))
{ /* Eval/evaluate_fsize.scm 403 */
 BgL_objectz00_bglt BgL_arg2140z00_3916; long BgL_arg2141z00_3917;
BgL_arg2140z00_3916 = 
(BgL_objectz00_bglt)(BgL_ez00_3408); 
BgL_arg2141z00_3917 = 
BGL_CLASS_DEPTH(BgL_classz00_3914); 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_arg2135z00_3921; bool_t BgL_arg2136z00_3922;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_idxz00_3926;
BgL_idxz00_3926 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3916); 
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2132z00_3927;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2133z00_3928;
BgL_arg2133z00_3928 = 
(BgL_idxz00_3926+BgL_arg2141z00_3917); 
BgL_arg2132z00_3927 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_3928); } 
BgL_arg2135z00_3921 = 
(BgL_arg2132z00_3927==BgL_classz00_3914); } } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL_res2184z00_3933;
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_oclassz00_3937;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2145z00_3939;
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_arg2146z00_3940;
BgL_arg2146z00_3940 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3916); 
BgL_arg2145z00_3939 = 
(BgL_arg2146z00_3940-OBJECT_TYPE); } 
BgL_oclassz00_3937 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_3939); } 
{ /* Eval/evaluate_fsize.scm 403 */
 bool_t BgL__ortest_1211z00_3946;
BgL__ortest_1211z00_3946 = 
(BgL_classz00_3914==BgL_oclassz00_3937); 
if(BgL__ortest_1211z00_3946)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2184z00_3933 = BgL__ortest_1211z00_3946; }  else 
{ /* Eval/evaluate_fsize.scm 403 */
 long BgL_odepthz00_3947;
BgL_odepthz00_3947 = 
BGL_CLASS_DEPTH(BgL_oclassz00_3937); 
if(
(BgL_arg2141z00_3917<BgL_odepthz00_3947))
{ /* Eval/evaluate_fsize.scm 403 */
 obj_t BgL_arg2134z00_3951;
BgL_arg2134z00_3951 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3937, BgL_arg2141z00_3917); 
BgL_res2184z00_3933 = 
(BgL_arg2134z00_3951==BgL_classz00_3914); }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_res2184z00_3933 = ((bool_t)0); } } } } 
BgL_arg2136z00_3922 = BgL_res2184z00_3933; } 
BgL_test2489z00_4841 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3921, BgL_arg2136z00_3922); } }  else 
{ /* Eval/evaluate_fsize.scm 403 */
BgL_test2489z00_4841 = ((bool_t)0)
; } } 
if(BgL_test2489z00_4841)
{ /* Eval/evaluate_fsize.scm 403 */
BgL_auxz00_4840 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3408)
; }  else 
{ 
 obj_t BgL_auxz00_4862;
BgL_auxz00_4862 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)12049)), BGl_string2245z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3408); 
FAILURE(BgL_auxz00_4862,BFALSE,BFALSE);} } 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_4840, BgL_auxz00_4866);} } 

}



/* hasvar? */
obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
{
{ /* Eval/evaluate_fsize.scm 491 */
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_method1427z00_1403;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_res2182z00_2950;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_objzd2classzd2numz00_2921;
BgL_objzd2classzd2numz00_2921 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_160)); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2142z00_2922;
BgL_arg2142z00_2922 = 
PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, 
(int)(((long)1))); 
{ /* Eval/evaluate_fsize.scm 491 */
 int BgL_offsetz00_2925;
BgL_offsetz00_2925 = 
(int)(BgL_objzd2classzd2numz00_2921); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_offsetz00_2926;
BgL_offsetz00_2926 = 
(
(long)(BgL_offsetz00_2925)-OBJECT_TYPE); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_modz00_2927;
BgL_modz00_2927 = 
(BgL_offsetz00_2926 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_restz00_2929;
BgL_restz00_2929 = 
(BgL_offsetz00_2926 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_fsize.scm 491 */

{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_bucketz00_2931;
BgL_bucketz00_2931 = 
VECTOR_REF(
((obj_t)BgL_arg2142z00_2922),BgL_modz00_2927); 
BgL_res2182z00_2950 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_2931),BgL_restz00_2929); } } } } } } } } 
BgL_method1427z00_1403 = BgL_res2182z00_2950; } 
return 
PROCEDURE_ENTRY(BgL_method1427z00_1403)(BgL_method1427z00_1403, 
((obj_t)BgL_ez00_160), 
((obj_t)BgL_vz00_161), BEOA);} } 

}



/* &hasvar? */
obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3410, obj_t BgL_ez00_3411, obj_t BgL_vz00_3412)
{
{ /* Eval/evaluate_fsize.scm 491 */
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_ev_varz00_bglt BgL_auxz00_4951; BgL_ev_exprz00_bglt BgL_auxz00_4925;
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_test2501z00_4952;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_classz00_4028;
BgL_classz00_4028 = BGl_ev_varz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_vz00_3412))
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_objectz00_bglt BgL_arg2140z00_4030; long BgL_arg2141z00_4031;
BgL_arg2140z00_4030 = 
(BgL_objectz00_bglt)(BgL_vz00_3412); 
BgL_arg2141z00_4031 = 
BGL_CLASS_DEPTH(BgL_classz00_4028); 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_arg2135z00_4035; bool_t BgL_arg2136z00_4036;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_idxz00_4040;
BgL_idxz00_4040 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_4030); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2132z00_4041;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2133z00_4042;
BgL_arg2133z00_4042 = 
(BgL_idxz00_4040+BgL_arg2141z00_4031); 
BgL_arg2132z00_4041 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_4042); } 
BgL_arg2135z00_4035 = 
(BgL_arg2132z00_4041==BgL_classz00_4028); } } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_res2184z00_4047;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_oclassz00_4051;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2145z00_4053;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2146z00_4054;
BgL_arg2146z00_4054 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_4030); 
BgL_arg2145z00_4053 = 
(BgL_arg2146z00_4054-OBJECT_TYPE); } 
BgL_oclassz00_4051 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_4053); } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL__ortest_1211z00_4060;
BgL__ortest_1211z00_4060 = 
(BgL_classz00_4028==BgL_oclassz00_4051); 
if(BgL__ortest_1211z00_4060)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2184z00_4047 = BgL__ortest_1211z00_4060; }  else 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_odepthz00_4061;
BgL_odepthz00_4061 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4051); 
if(
(BgL_arg2141z00_4031<BgL_odepthz00_4061))
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2134z00_4065;
BgL_arg2134z00_4065 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4051, BgL_arg2141z00_4031); 
BgL_res2184z00_4047 = 
(BgL_arg2134z00_4065==BgL_classz00_4028); }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2184z00_4047 = ((bool_t)0); } } } } 
BgL_arg2136z00_4036 = BgL_res2184z00_4047; } 
BgL_test2501z00_4952 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_4035, BgL_arg2136z00_4036); } }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_test2501z00_4952 = ((bool_t)0)
; } } 
if(BgL_test2501z00_4952)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_auxz00_4951 = 
((BgL_ev_varz00_bglt)BgL_vz00_3412)
; }  else 
{ 
 obj_t BgL_auxz00_4973;
BgL_auxz00_4973 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)14969)), BGl_string2247z00zz__evaluate_fsiza7eza7, BGl_string2246z00zz__evaluate_fsiza7eza7, BgL_vz00_3412); 
FAILURE(BgL_auxz00_4973,BFALSE,BFALSE);} } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_test2497z00_4926;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_classz00_3990;
BgL_classz00_3990 = BGl_ev_exprz00zz__evaluate_typesz00; 
if(
BGL_OBJECTP(BgL_ez00_3411))
{ /* Eval/evaluate_fsize.scm 491 */
 BgL_objectz00_bglt BgL_arg2140z00_3992; long BgL_arg2141z00_3993;
BgL_arg2140z00_3992 = 
(BgL_objectz00_bglt)(BgL_ez00_3411); 
BgL_arg2141z00_3993 = 
BGL_CLASS_DEPTH(BgL_classz00_3990); 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_arg2135z00_3997; bool_t BgL_arg2136z00_3998;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_idxz00_4002;
BgL_idxz00_4002 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg2140z00_3992); 
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2132z00_4003;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2133z00_4004;
BgL_arg2133z00_4004 = 
(BgL_idxz00_4002+BgL_arg2141z00_3993); 
BgL_arg2132z00_4003 = 
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,BgL_arg2133z00_4004); } 
BgL_arg2135z00_3997 = 
(BgL_arg2132z00_4003==BgL_classz00_3990); } } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL_res2184z00_4009;
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_oclassz00_4013;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2145z00_4015;
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_arg2146z00_4016;
BgL_arg2146z00_4016 = 
BGL_OBJECT_CLASS_NUM(BgL_arg2140z00_3992); 
BgL_arg2145z00_4015 = 
(BgL_arg2146z00_4016-OBJECT_TYPE); } 
BgL_oclassz00_4013 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg2145z00_4015); } 
{ /* Eval/evaluate_fsize.scm 491 */
 bool_t BgL__ortest_1211z00_4022;
BgL__ortest_1211z00_4022 = 
(BgL_classz00_3990==BgL_oclassz00_4013); 
if(BgL__ortest_1211z00_4022)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2184z00_4009 = BgL__ortest_1211z00_4022; }  else 
{ /* Eval/evaluate_fsize.scm 491 */
 long BgL_odepthz00_4023;
BgL_odepthz00_4023 = 
BGL_CLASS_DEPTH(BgL_oclassz00_4013); 
if(
(BgL_arg2141z00_3993<BgL_odepthz00_4023))
{ /* Eval/evaluate_fsize.scm 491 */
 obj_t BgL_arg2134z00_4027;
BgL_arg2134z00_4027 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4013, BgL_arg2141z00_3993); 
BgL_res2184z00_4009 = 
(BgL_arg2134z00_4027==BgL_classz00_3990); }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_res2184z00_4009 = ((bool_t)0); } } } } 
BgL_arg2136z00_3998 = BgL_res2184z00_4009; } 
BgL_test2497z00_4926 = 
BGL_ISA_C_BACKEND(BgL_arg2135z00_3997, BgL_arg2136z00_3998); } }  else 
{ /* Eval/evaluate_fsize.scm 491 */
BgL_test2497z00_4926 = ((bool_t)0)
; } } 
if(BgL_test2497z00_4926)
{ /* Eval/evaluate_fsize.scm 491 */
BgL_auxz00_4925 = 
((BgL_ev_exprz00_bglt)BgL_ez00_3411)
; }  else 
{ 
 obj_t BgL_auxz00_4947;
BgL_auxz00_4947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2216z00zz__evaluate_fsiza7eza7, 
BINT(((long)14969)), BGl_string2247z00zz__evaluate_fsiza7eza7, BGl_string2218z00zz__evaluate_fsiza7eza7, BgL_ez00_3411); 
FAILURE(BgL_auxz00_4947,BFALSE,BFALSE);} } 
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_4925, BgL_auxz00_4951);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2248z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2250z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2251z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2252z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2253z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2254z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2255z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2256z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2257z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2258z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2259z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc2260z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc2261z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2262z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2263z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2264z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2265z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2266z00zz__evaluate_fsiza7eza7, BGl_string2249z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2267z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2268z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2269z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2270z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2271z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2272z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2273z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2274z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2275z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2276z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2277z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2278z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2279z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2280z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2281z00zz__evaluate_fsiza7eza7, BGl_string2238z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2282z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2283z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2284z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2285z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2286z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2287z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2288z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2289z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2290z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2291z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2292z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2293z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2294z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2295z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2296z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2297z00zz__evaluate_fsiza7eza7, BGl_string2236z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2298z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2299z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2300z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2301z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2302z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2303z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2304z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc2305z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2306z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2307z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2308z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2309z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc2310z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc2311z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc2312z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2313z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2314z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2315z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2316z00zz__evaluate_fsiza7eza7, BGl_string2233z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc2317z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc2319z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc2320z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc2321z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_listz00zz__evaluate_typesz00, BGl_proc2322z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc2323z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc2324z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc2325z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc2326z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc2327z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc2328z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc2329z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_binderz00zz__evaluate_typesz00, BGl_proc2330z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc2331z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc2332z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc2333z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc2334z00zz__evaluate_fsiza7eza7, BGl_string2318z00zz__evaluate_fsiza7eza7);} 

}



/* &hasvar?-ev_abs1461 */
obj_t BGl_z62hasvarzf3zd2ev_abs1461z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3498, obj_t BgL_ez00_3499, obj_t BgL_vz00_3500)
{
{ /* Eval/evaluate_fsize.scm 556 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3499)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3500));} 

}



/* &hasvar?-ev_app1459 */
obj_t BGl_z62hasvarzf3zd2ev_app1459z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3501, obj_t BgL_ez00_3502, obj_t BgL_vz00_3503)
{
{ /* Eval/evaluate_fsize.scm 552 */
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL__ortest_1171z00_4070;
BgL__ortest_1171z00_4070 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3502)))->BgL_funz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3503)); 
if(
CBOOL(BgL__ortest_1171z00_4070))
{ /* Eval/evaluate_fsize.scm 554 */
return BgL__ortest_1171z00_4070;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_g1267z00_4071;
BgL_g1267z00_4071 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3502)))->BgL_argsz00); 
{ 
 obj_t BgL_l1265z00_4073;
BgL_l1265z00_4073 = BgL_g1267z00_4071; 
BgL_zc3z04anonymousza31849ze3z87_4072:
if(
NULLP(BgL_l1265z00_4073))
{ /* Eval/evaluate_fsize.scm 554 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL__ortest_1268z00_4074;
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_ez00_4075;
BgL_ez00_4075 = 
CAR(
((obj_t)BgL_l1265z00_4073)); 
BgL__ortest_1268z00_4074 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4075), 
((BgL_ev_varz00_bglt)BgL_vz00_3503)); } 
if(
CBOOL(BgL__ortest_1268z00_4074))
{ /* Eval/evaluate_fsize.scm 554 */
return BgL__ortest_1268z00_4074;}  else 
{ /* Eval/evaluate_fsize.scm 554 */
 obj_t BgL_arg1851z00_4076;
BgL_arg1851z00_4076 = 
CDR(
((obj_t)BgL_l1265z00_4073)); 
{ 
 obj_t BgL_l1265z00_5086;
BgL_l1265z00_5086 = BgL_arg1851z00_4076; 
BgL_l1265z00_4073 = BgL_l1265z00_5086; 
goto BgL_zc3z04anonymousza31849ze3z87_4072;} } } } } } } 

}



/* &hasvar?-ev_goto1457 */
obj_t BGl_z62hasvarzf3zd2ev_goto1457z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3504, obj_t BgL_ez00_3505, obj_t BgL_vz00_3506)
{
{ /* Eval/evaluate_fsize.scm 548 */
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_g1263z00_4079;
BgL_g1263z00_4079 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3505)))->BgL_argsz00); 
{ 
 obj_t BgL_l1261z00_4081;
BgL_l1261z00_4081 = BgL_g1263z00_4079; 
BgL_zc3z04anonymousza31846ze3z87_4080:
if(
NULLP(BgL_l1261z00_4081))
{ /* Eval/evaluate_fsize.scm 550 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL__ortest_1264z00_4082;
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_ez00_4083;
BgL_ez00_4083 = 
CAR(
((obj_t)BgL_l1261z00_4081)); 
BgL__ortest_1264z00_4082 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4083), 
((BgL_ev_varz00_bglt)BgL_vz00_3506)); } 
if(
CBOOL(BgL__ortest_1264z00_4082))
{ /* Eval/evaluate_fsize.scm 550 */
return BgL__ortest_1264z00_4082;}  else 
{ /* Eval/evaluate_fsize.scm 550 */
 obj_t BgL_arg1848z00_4084;
BgL_arg1848z00_4084 = 
CDR(
((obj_t)BgL_l1261z00_4081)); 
{ 
 obj_t BgL_l1261z00_5100;
BgL_l1261z00_5100 = BgL_arg1848z00_4084; 
BgL_l1261z00_4081 = BgL_l1261z00_5100; 
goto BgL_zc3z04anonymousza31846ze3z87_4080;} } } } } } 

}



/* &hasvar?-ev_labels1455 */
obj_t BGl_z62hasvarzf3zd2ev_labels1455z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3507, obj_t BgL_ez00_3508, obj_t BgL_vz00_3509)
{
{ /* Eval/evaluate_fsize.scm 543 */
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL__ortest_1168z00_4087;
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_g1259z00_4088;
BgL_g1259z00_4088 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3508)))->BgL_valsz00); 
{ 
 obj_t BgL_l1257z00_4090;
BgL_l1257z00_4090 = BgL_g1259z00_4088; 
BgL_zc3z04anonymousza31842ze3z87_4089:
if(
NULLP(BgL_l1257z00_4090))
{ /* Eval/evaluate_fsize.scm 545 */
BgL__ortest_1168z00_4087 = BFALSE; }  else 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL__ortest_1260z00_4091;
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_ez00_4092;
BgL_ez00_4092 = 
CAR(
((obj_t)BgL_l1257z00_4090)); 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_arg1845z00_4093;
BgL_arg1845z00_4093 = 
CDR(
((obj_t)BgL_ez00_4092)); 
BgL__ortest_1260z00_4091 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1845z00_4093), 
((BgL_ev_varz00_bglt)BgL_vz00_3509)); } } 
if(
CBOOL(BgL__ortest_1260z00_4091))
{ /* Eval/evaluate_fsize.scm 545 */
BgL__ortest_1168z00_4087 = BgL__ortest_1260z00_4091; }  else 
{ /* Eval/evaluate_fsize.scm 545 */
 obj_t BgL_arg1844z00_4094;
BgL_arg1844z00_4094 = 
CDR(
((obj_t)BgL_l1257z00_4090)); 
{ 
 obj_t BgL_l1257z00_5116;
BgL_l1257z00_5116 = BgL_arg1844z00_4094; 
BgL_l1257z00_4090 = BgL_l1257z00_5116; 
goto BgL_zc3z04anonymousza31842ze3z87_4089;} } } } } 
if(
CBOOL(BgL__ortest_1168z00_4087))
{ /* Eval/evaluate_fsize.scm 545 */
return BgL__ortest_1168z00_4087;}  else 
{ /* Eval/evaluate_fsize.scm 545 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3508)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3509));} } } 

}



/* &hasvar?-ev_binder1453 */
obj_t BGl_z62hasvarzf3zd2ev_binder1453z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3510, obj_t BgL_ez00_3511, obj_t BgL_vz00_3512)
{
{ /* Eval/evaluate_fsize.scm 538 */
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL__ortest_1166z00_4097;
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_g1255z00_4098;
BgL_g1255z00_4098 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3511)))->BgL_valsz00); 
{ 
 obj_t BgL_l1253z00_4100;
BgL_l1253z00_4100 = BgL_g1255z00_4098; 
BgL_zc3z04anonymousza31838ze3z87_4099:
if(
NULLP(BgL_l1253z00_4100))
{ /* Eval/evaluate_fsize.scm 540 */
BgL__ortest_1166z00_4097 = BFALSE; }  else 
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL__ortest_1256z00_4101;
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_ez00_4102;
BgL_ez00_4102 = 
CAR(
((obj_t)BgL_l1253z00_4100)); 
BgL__ortest_1256z00_4101 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_ez00_4102), 
((BgL_ev_varz00_bglt)BgL_vz00_3512)); } 
if(
CBOOL(BgL__ortest_1256z00_4101))
{ /* Eval/evaluate_fsize.scm 540 */
BgL__ortest_1166z00_4097 = BgL__ortest_1256z00_4101; }  else 
{ /* Eval/evaluate_fsize.scm 540 */
 obj_t BgL_arg1840z00_4103;
BgL_arg1840z00_4103 = 
CDR(
((obj_t)BgL_l1253z00_4100)); 
{ 
 obj_t BgL_l1253z00_5136;
BgL_l1253z00_5136 = BgL_arg1840z00_4103; 
BgL_l1253z00_4100 = BgL_l1253z00_5136; 
goto BgL_zc3z04anonymousza31838ze3z87_4099;} } } } } 
if(
CBOOL(BgL__ortest_1166z00_4097))
{ /* Eval/evaluate_fsize.scm 540 */
return BgL__ortest_1166z00_4097;}  else 
{ /* Eval/evaluate_fsize.scm 540 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3511)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3512));} } } 

}



/* &hasvar?-ev_synchroni1451 */
obj_t BGl_z62hasvarzf3zd2ev_synchroni1451z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3513, obj_t BgL_ez00_3514, obj_t BgL_vz00_3515)
{
{ /* Eval/evaluate_fsize.scm 534 */
{ /* Eval/evaluate_fsize.scm 536 */
 obj_t BgL__ortest_1163z00_4106;
BgL__ortest_1163z00_4106 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3514)))->BgL_mutexz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3515)); 
if(
CBOOL(BgL__ortest_1163z00_4106))
{ /* Eval/evaluate_fsize.scm 536 */
return BgL__ortest_1163z00_4106;}  else 
{ /* Eval/evaluate_fsize.scm 536 */
 obj_t BgL__ortest_1164z00_4107;
BgL__ortest_1164z00_4107 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3514)))->BgL_prelockz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3515)); 
if(
CBOOL(BgL__ortest_1164z00_4107))
{ /* Eval/evaluate_fsize.scm 536 */
return BgL__ortest_1164z00_4107;}  else 
{ /* Eval/evaluate_fsize.scm 536 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3514)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3515));} } } } 

}



/* &hasvar?-ev_with-hand1449 */
obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1449z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3516, obj_t BgL_ez00_3517, obj_t BgL_vz00_3518)
{
{ /* Eval/evaluate_fsize.scm 530 */
{ /* Eval/evaluate_fsize.scm 532 */
 obj_t BgL__ortest_1161z00_4110;
BgL__ortest_1161z00_4110 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3517)))->BgL_handlerz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3518)); 
if(
CBOOL(BgL__ortest_1161z00_4110))
{ /* Eval/evaluate_fsize.scm 532 */
return BgL__ortest_1161z00_4110;}  else 
{ /* Eval/evaluate_fsize.scm 532 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3517)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3518));} } } 

}



/* &hasvar?-ev_unwind-pr1447 */
obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1447z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3519, obj_t BgL_ez00_3520, obj_t BgL_vz00_3521)
{
{ /* Eval/evaluate_fsize.scm 526 */
{ /* Eval/evaluate_fsize.scm 528 */
 obj_t BgL__ortest_1159z00_4113;
BgL__ortest_1159z00_4113 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3520)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3521)); 
if(
CBOOL(BgL__ortest_1159z00_4113))
{ /* Eval/evaluate_fsize.scm 528 */
return BgL__ortest_1159z00_4113;}  else 
{ /* Eval/evaluate_fsize.scm 528 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3520)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3521));} } } 

}



/* &hasvar?-ev_bind-exit1445 */
obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1445z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3522, obj_t BgL_ez00_3523, obj_t BgL_vz00_3524)
{
{ /* Eval/evaluate_fsize.scm 522 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3523)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3524));} 

}



/* &hasvar?-ev_setlocal1443 */
obj_t BGl_z62hasvarzf3zd2ev_setlocal1443z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3525, obj_t BgL_ez00_3526, obj_t BgL_varz00_3527)
{
{ /* Eval/evaluate_fsize.scm 518 */
{ /* Eval/evaluate_fsize.scm 520 */
 bool_t BgL__ortest_1156z00_4118;
BgL__ortest_1156z00_4118 = 
(
((obj_t)
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_3526)))->BgL_vz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_3527))); 
if(BgL__ortest_1156z00_4118)
{ /* Eval/evaluate_fsize.scm 520 */
return 
BBOOL(BgL__ortest_1156z00_4118);}  else 
{ /* Eval/evaluate_fsize.scm 520 */
 BgL_ev_exprz00_bglt BgL_arg1827z00_4119;
BgL_arg1827z00_4119 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_3526))))->BgL_ez00); 
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1827z00_4119, 
((BgL_ev_varz00_bglt)BgL_varz00_3527));} } } 

}



/* &hasvar?-ev_hook1441 */
obj_t BGl_z62hasvarzf3zd2ev_hook1441z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3528, obj_t BgL_ez00_3529, obj_t BgL_vz00_3530)
{
{ /* Eval/evaluate_fsize.scm 514 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3529)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3530));} 

}



/* &hasvar?-ev_prog21439 */
obj_t BGl_z62hasvarzf3zd2ev_prog21439z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3531, obj_t BgL_ez00_3532, obj_t BgL_vz00_3533)
{
{ /* Eval/evaluate_fsize.scm 510 */
{ /* Eval/evaluate_fsize.scm 512 */
 obj_t BgL__ortest_1153z00_4124;
BgL__ortest_1153z00_4124 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3532)))->BgL_e1z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3533)); 
if(
CBOOL(BgL__ortest_1153z00_4124))
{ /* Eval/evaluate_fsize.scm 512 */
return BgL__ortest_1153z00_4124;}  else 
{ /* Eval/evaluate_fsize.scm 512 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3532)))->BgL_e2z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3533));} } } 

}



/* &hasvar?-ev_list1437 */
obj_t BGl_z62hasvarzf3zd2ev_list1437z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3534, obj_t BgL_ez00_3535, obj_t BgL_vz00_3536)
{
{ /* Eval/evaluate_fsize.scm 506 */
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_g1251z00_4127;
BgL_g1251z00_4127 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3535)))->BgL_argsz00); 
{ 
 obj_t BgL_l1249z00_4129;
BgL_l1249z00_4129 = BgL_g1251z00_4127; 
BgL_zc3z04anonymousza31821ze3z87_4128:
if(
NULLP(BgL_l1249z00_4129))
{ /* Eval/evaluate_fsize.scm 508 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL__ortest_1252z00_4130;
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_az00_4131;
BgL_az00_4131 = 
CAR(
((obj_t)BgL_l1249z00_4129)); 
BgL__ortest_1252z00_4130 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_az00_4131), 
((BgL_ev_varz00_bglt)BgL_vz00_3536)); } 
if(
CBOOL(BgL__ortest_1252z00_4130))
{ /* Eval/evaluate_fsize.scm 508 */
return BgL__ortest_1252z00_4130;}  else 
{ /* Eval/evaluate_fsize.scm 508 */
 obj_t BgL_arg1823z00_4132;
BgL_arg1823z00_4132 = 
CDR(
((obj_t)BgL_l1249z00_4129)); 
{ 
 obj_t BgL_l1249z00_5223;
BgL_l1249z00_5223 = BgL_arg1823z00_4132; 
BgL_l1249z00_4129 = BgL_l1249z00_5223; 
goto BgL_zc3z04anonymousza31821ze3z87_4128;} } } } } } 

}



/* &hasvar?-ev_if1435 */
obj_t BGl_z62hasvarzf3zd2ev_if1435z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3537, obj_t BgL_ez00_3538, obj_t BgL_vz00_3539)
{
{ /* Eval/evaluate_fsize.scm 502 */
{ /* Eval/evaluate_fsize.scm 504 */
 obj_t BgL__ortest_1149z00_4135;
BgL__ortest_1149z00_4135 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3538)))->BgL_pz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3539)); 
if(
CBOOL(BgL__ortest_1149z00_4135))
{ /* Eval/evaluate_fsize.scm 504 */
return BgL__ortest_1149z00_4135;}  else 
{ /* Eval/evaluate_fsize.scm 504 */
 obj_t BgL__ortest_1150z00_4136;
BgL__ortest_1150z00_4136 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3538)))->BgL_tz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3539)); 
if(
CBOOL(BgL__ortest_1150z00_4136))
{ /* Eval/evaluate_fsize.scm 504 */
return BgL__ortest_1150z00_4136;}  else 
{ /* Eval/evaluate_fsize.scm 504 */
return 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3538)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3539));} } } } 

}



/* &hasvar?-ev_litt1433 */
obj_t BGl_z62hasvarzf3zd2ev_litt1433z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3540, obj_t BgL_ez00_3541, obj_t BgL_vz00_3542)
{
{ /* Eval/evaluate_fsize.scm 499 */
return 
BBOOL(((bool_t)0));} 

}



/* &hasvar?-ev_global1431 */
obj_t BGl_z62hasvarzf3zd2ev_global1431z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3543, obj_t BgL_ez00_3544, obj_t BgL_vz00_3545)
{
{ /* Eval/evaluate_fsize.scm 496 */
return 
BBOOL(((bool_t)0));} 

}



/* &hasvar?-ev_var1429 */
obj_t BGl_z62hasvarzf3zd2ev_var1429z43zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3546, obj_t BgL_ez00_3547, obj_t BgL_vz00_3548)
{
{ /* Eval/evaluate_fsize.scm 493 */
return 
BBOOL(
(
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3547))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3548))));} 

}



/* &tailpos-ev_abs1425 */
obj_t BGl_z62tailposzd2ev_abs1425zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3549, obj_t BgL_ez00_3550, obj_t BgL_vz00_3551)
{
{ /* Eval/evaluate_fsize.scm 485 */
{ /* Eval/evaluate_fsize.scm 486 */
 bool_t BgL_tmpz00_5248;
{ /* Eval/evaluate_fsize.scm 487 */
 bool_t BgL_test2526z00_5249;
{ /* Eval/evaluate_fsize.scm 487 */
 BgL_ev_exprz00_bglt BgL_arg1817z00_4145;
BgL_arg1817z00_4145 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3550)))->BgL_bodyz00); 
BgL_test2526z00_5249 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1817z00_4145, 
((BgL_ev_varz00_bglt)BgL_vz00_3551))); } 
if(BgL_test2526z00_5249)
{ /* Eval/evaluate_fsize.scm 487 */
BgL_tmpz00_5248 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 487 */
BgL_tmpz00_5248 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5248);} } 

}



/* &tailpos-ev_app1423 */
obj_t BGl_z62tailposzd2ev_app1423zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3552, obj_t BgL_ez00_3553, obj_t BgL_vz00_3554)
{
{ /* Eval/evaluate_fsize.scm 479 */
{ /* Eval/evaluate_fsize.scm 480 */
 bool_t BgL_tmpz00_5256;
{ /* Eval/evaluate_fsize.scm 481 */
 bool_t BgL_test2527z00_5257;
{ /* Eval/evaluate_fsize.scm 481 */
 obj_t BgL_g1247z00_4148;
BgL_g1247z00_4148 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3553)))->BgL_argsz00); 
{ 
 obj_t BgL_l1245z00_4150;
BgL_l1245z00_4150 = BgL_g1247z00_4148; 
BgL_zc3z04anonymousza31810ze3z87_4149:
if(
NULLP(BgL_l1245z00_4150))
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2527z00_5257 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 481 */
 bool_t BgL_test2529z00_5262;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1245z00_4150))), 
((BgL_ev_varz00_bglt)BgL_vz00_3554))))
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2529z00_5262 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2529z00_5262 = ((bool_t)1)
; } 
if(BgL_test2529z00_5262)
{ /* Eval/evaluate_fsize.scm 481 */
 obj_t BgL_arg1812z00_4151;
BgL_arg1812z00_4151 = 
CDR(
((obj_t)BgL_l1245z00_4150)); 
{ 
 obj_t BgL_l1245z00_5272;
BgL_l1245z00_5272 = BgL_arg1812z00_4151; 
BgL_l1245z00_4150 = BgL_l1245z00_5272; 
goto BgL_zc3z04anonymousza31810ze3z87_4149;} }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_test2527z00_5257 = ((bool_t)0)
; } } } } 
if(BgL_test2527z00_5257)
{ /* Eval/evaluate_fsize.scm 482 */
 bool_t BgL__ortest_1146z00_4152;
BgL__ortest_1146z00_4152 = 
(
((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3553)))->BgL_funz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3554))); 
if(BgL__ortest_1146z00_4152)
{ /* Eval/evaluate_fsize.scm 482 */
BgL_tmpz00_5256 = BgL__ortest_1146z00_4152
; }  else 
{ /* Eval/evaluate_fsize.scm 483 */
 bool_t BgL_test2532z00_5280;
{ /* Eval/evaluate_fsize.scm 483 */
 BgL_ev_exprz00_bglt BgL_arg1808z00_4153;
BgL_arg1808z00_4153 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3553)))->BgL_funz00); 
BgL_test2532z00_5280 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1808z00_4153, 
((BgL_ev_varz00_bglt)BgL_vz00_3554))); } 
if(BgL_test2532z00_5280)
{ /* Eval/evaluate_fsize.scm 483 */
BgL_tmpz00_5256 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 483 */
BgL_tmpz00_5256 = ((bool_t)1)
; } } }  else 
{ /* Eval/evaluate_fsize.scm 481 */
BgL_tmpz00_5256 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_tmpz00_5256);} } 

}



/* &tailpos-ev_goto1421 */
obj_t BGl_z62tailposzd2ev_goto1421zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3555, obj_t BgL_ez00_3556, obj_t BgL_vz00_3557)
{
{ /* Eval/evaluate_fsize.scm 475 */
{ /* Eval/evaluate_fsize.scm 476 */
 bool_t BgL_tmpz00_5287;
{ /* Eval/evaluate_fsize.scm 477 */
 obj_t BgL_g1243z00_4156;
BgL_g1243z00_4156 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3556)))->BgL_argsz00); 
{ 
 obj_t BgL_l1241z00_4158;
BgL_l1241z00_4158 = BgL_g1243z00_4156; 
BgL_zc3z04anonymousza31802ze3z87_4157:
if(
NULLP(BgL_l1241z00_4158))
{ /* Eval/evaluate_fsize.scm 477 */
BgL_tmpz00_5287 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 477 */
 bool_t BgL_test2534z00_5292;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1241z00_4158))), 
((BgL_ev_varz00_bglt)BgL_vz00_3557))))
{ /* Eval/evaluate_fsize.scm 477 */
BgL_test2534z00_5292 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 477 */
BgL_test2534z00_5292 = ((bool_t)1)
; } 
if(BgL_test2534z00_5292)
{ /* Eval/evaluate_fsize.scm 477 */
 obj_t BgL_arg1804z00_4159;
BgL_arg1804z00_4159 = 
CDR(
((obj_t)BgL_l1241z00_4158)); 
{ 
 obj_t BgL_l1241z00_5302;
BgL_l1241z00_5302 = BgL_arg1804z00_4159; 
BgL_l1241z00_4158 = BgL_l1241z00_5302; 
goto BgL_zc3z04anonymousza31802ze3z87_4157;} }  else 
{ /* Eval/evaluate_fsize.scm 477 */
BgL_tmpz00_5287 = ((bool_t)0)
; } } } } 
return 
BBOOL(BgL_tmpz00_5287);} } 

}



/* &tailpos-ev_labels1419 */
obj_t BGl_z62tailposzd2ev_labels1419zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3558, obj_t BgL_ez00_3559, obj_t BgL_vz00_3560)
{
{ /* Eval/evaluate_fsize.scm 470 */
{ /* Eval/evaluate_fsize.scm 472 */
 bool_t BgL_test2536z00_5304;
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_g1239z00_4162;
BgL_g1239z00_4162 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3559)))->BgL_valsz00); 
{ 
 obj_t BgL_l1237z00_4164;
BgL_l1237z00_4164 = BgL_g1239z00_4162; 
BgL_zc3z04anonymousza31798ze3z87_4163:
if(
NULLP(BgL_l1237z00_4164))
{ /* Eval/evaluate_fsize.scm 472 */
BgL_test2536z00_5304 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_nvz00_4165;
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_ez00_4166;
BgL_ez00_4166 = 
CAR(
((obj_t)BgL_l1237z00_4164)); 
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_arg1801z00_4167;
BgL_arg1801z00_4167 = 
CDR(
((obj_t)BgL_ez00_4166)); 
BgL_nvz00_4165 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1801z00_4167), 
((BgL_ev_varz00_bglt)BgL_vz00_3560)); } } 
if(
CBOOL(BgL_nvz00_4165))
{ /* Eval/evaluate_fsize.scm 472 */
 obj_t BgL_arg1800z00_4168;
BgL_arg1800z00_4168 = 
CDR(
((obj_t)BgL_l1237z00_4164)); 
{ 
 obj_t BgL_l1237z00_5320;
BgL_l1237z00_5320 = BgL_arg1800z00_4168; 
BgL_l1237z00_4164 = BgL_l1237z00_5320; 
goto BgL_zc3z04anonymousza31798ze3z87_4163;} }  else 
{ /* Eval/evaluate_fsize.scm 472 */
BgL_test2536z00_5304 = ((bool_t)0)
; } } } } 
if(BgL_test2536z00_5304)
{ /* Eval/evaluate_fsize.scm 472 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3559)))->BgL_bodyz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3560));}  else 
{ /* Eval/evaluate_fsize.scm 472 */
return BFALSE;} } } 

}



/* &tailpos-ev_letrec1417 */
obj_t BGl_z62tailposzd2ev_letrec1417zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3561, obj_t BgL_ez00_3562, obj_t BgL_vz00_3563)
{
{ /* Eval/evaluate_fsize.scm 465 */
{ /* Eval/evaluate_fsize.scm 467 */
 bool_t BgL_test2539z00_5325;
{ /* Eval/evaluate_fsize.scm 467 */
 obj_t BgL_g1235z00_4171;
BgL_g1235z00_4171 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3562))))->BgL_valsz00); 
{ 
 obj_t BgL_l1233z00_4173;
BgL_l1233z00_4173 = BgL_g1235z00_4171; 
BgL_zc3z04anonymousza31793ze3z87_4172:
if(
NULLP(BgL_l1233z00_4173))
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2539z00_5325 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 467 */
 bool_t BgL_test2541z00_5331;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1233z00_4173))), 
((BgL_ev_varz00_bglt)BgL_vz00_3563))))
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2541z00_5331 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2541z00_5331 = ((bool_t)1)
; } 
if(BgL_test2541z00_5331)
{ /* Eval/evaluate_fsize.scm 467 */
 obj_t BgL_arg1795z00_4174;
BgL_arg1795z00_4174 = 
CDR(
((obj_t)BgL_l1233z00_4173)); 
{ 
 obj_t BgL_l1233z00_5341;
BgL_l1233z00_5341 = BgL_arg1795z00_4174; 
BgL_l1233z00_4173 = BgL_l1233z00_5341; 
goto BgL_zc3z04anonymousza31793ze3z87_4172;} }  else 
{ /* Eval/evaluate_fsize.scm 467 */
BgL_test2539z00_5325 = ((bool_t)0)
; } } } } 
if(BgL_test2539z00_5325)
{ /* Eval/evaluate_fsize.scm 468 */
 BgL_ev_exprz00_bglt BgL_arg1792z00_4175;
BgL_arg1792z00_4175 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3562))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1792z00_4175, 
((BgL_ev_varz00_bglt)BgL_vz00_3563));}  else 
{ /* Eval/evaluate_fsize.scm 467 */
return BFALSE;} } } 

}



/* &tailpos-ev_let*1415 */
obj_t BGl_z62tailposzd2ev_letza21415z12zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3564, obj_t BgL_ez00_3565, obj_t BgL_vz00_3566)
{
{ /* Eval/evaluate_fsize.scm 460 */
{ /* Eval/evaluate_fsize.scm 462 */
 bool_t BgL_test2543z00_5347;
{ /* Eval/evaluate_fsize.scm 462 */
 obj_t BgL_g1231z00_4178;
BgL_g1231z00_4178 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3565))))->BgL_valsz00); 
{ 
 obj_t BgL_l1229z00_4180;
BgL_l1229z00_4180 = BgL_g1231z00_4178; 
BgL_zc3z04anonymousza31788ze3z87_4179:
if(
NULLP(BgL_l1229z00_4180))
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2543z00_5347 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 462 */
 bool_t BgL_test2545z00_5353;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1229z00_4180))), 
((BgL_ev_varz00_bglt)BgL_vz00_3566))))
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2545z00_5353 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2545z00_5353 = ((bool_t)1)
; } 
if(BgL_test2545z00_5353)
{ /* Eval/evaluate_fsize.scm 462 */
 obj_t BgL_arg1790z00_4181;
BgL_arg1790z00_4181 = 
CDR(
((obj_t)BgL_l1229z00_4180)); 
{ 
 obj_t BgL_l1229z00_5363;
BgL_l1229z00_5363 = BgL_arg1790z00_4181; 
BgL_l1229z00_4180 = BgL_l1229z00_5363; 
goto BgL_zc3z04anonymousza31788ze3z87_4179;} }  else 
{ /* Eval/evaluate_fsize.scm 462 */
BgL_test2543z00_5347 = ((bool_t)0)
; } } } } 
if(BgL_test2543z00_5347)
{ /* Eval/evaluate_fsize.scm 463 */
 BgL_ev_exprz00_bglt BgL_arg1787z00_4182;
BgL_arg1787z00_4182 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3565))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1787z00_4182, 
((BgL_ev_varz00_bglt)BgL_vz00_3566));}  else 
{ /* Eval/evaluate_fsize.scm 462 */
return BFALSE;} } } 

}



/* &tailpos-ev_let1413 */
obj_t BGl_z62tailposzd2ev_let1413zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3567, obj_t BgL_ez00_3568, obj_t BgL_vz00_3569)
{
{ /* Eval/evaluate_fsize.scm 455 */
{ /* Eval/evaluate_fsize.scm 457 */
 bool_t BgL_test2547z00_5369;
{ /* Eval/evaluate_fsize.scm 457 */
 obj_t BgL_g1227z00_4185;
BgL_g1227z00_4185 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3568))))->BgL_valsz00); 
{ 
 obj_t BgL_l1225z00_4187;
BgL_l1225z00_4187 = BgL_g1227z00_4185; 
BgL_zc3z04anonymousza31783ze3z87_4186:
if(
NULLP(BgL_l1225z00_4187))
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2547z00_5369 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_fsize.scm 457 */
 bool_t BgL_test2549z00_5375;
if(
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)
CAR(
((obj_t)BgL_l1225z00_4187))), 
((BgL_ev_varz00_bglt)BgL_vz00_3569))))
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2549z00_5375 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2549z00_5375 = ((bool_t)1)
; } 
if(BgL_test2549z00_5375)
{ /* Eval/evaluate_fsize.scm 457 */
 obj_t BgL_arg1785z00_4188;
BgL_arg1785z00_4188 = 
CDR(
((obj_t)BgL_l1225z00_4187)); 
{ 
 obj_t BgL_l1225z00_5385;
BgL_l1225z00_5385 = BgL_arg1785z00_4188; 
BgL_l1225z00_4187 = BgL_l1225z00_5385; 
goto BgL_zc3z04anonymousza31783ze3z87_4186;} }  else 
{ /* Eval/evaluate_fsize.scm 457 */
BgL_test2547z00_5369 = ((bool_t)0)
; } } } } 
if(BgL_test2547z00_5369)
{ /* Eval/evaluate_fsize.scm 458 */
 BgL_ev_exprz00_bglt BgL_arg1782z00_4189;
BgL_arg1782z00_4189 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3568))))->BgL_bodyz00); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1782z00_4189, 
((BgL_ev_varz00_bglt)BgL_vz00_3569));}  else 
{ /* Eval/evaluate_fsize.scm 457 */
return BFALSE;} } } 

}



/* &tailpos-ev_synchroni1411 */
obj_t BGl_z62tailposzd2ev_synchroni1411zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3570, obj_t BgL_ez00_3571, obj_t BgL_vz00_3572)
{
{ /* Eval/evaluate_fsize.scm 451 */
{ /* Eval/evaluate_fsize.scm 452 */
 bool_t BgL_tmpz00_5391;
{ /* Eval/evaluate_fsize.scm 453 */
 obj_t BgL__andtest_1133z00_4192;
BgL__andtest_1133z00_4192 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3571)))->BgL_mutexz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3572)); 
if(
CBOOL(BgL__andtest_1133z00_4192))
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5391 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
 obj_t BgL__andtest_1134z00_4193;
BgL__andtest_1134z00_4193 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3571)))->BgL_prelockz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3572)); 
if(
CBOOL(BgL__andtest_1134z00_4193))
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5391 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
 bool_t BgL_test2553z00_5404;
{ /* Eval/evaluate_fsize.scm 453 */
 BgL_ev_exprz00_bglt BgL_arg1779z00_4194;
BgL_arg1779z00_4194 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3571)))->BgL_bodyz00); 
BgL_test2553z00_5404 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1779z00_4194, 
((BgL_ev_varz00_bglt)BgL_vz00_3572))); } 
if(BgL_test2553z00_5404)
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5391 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 453 */
BgL_tmpz00_5391 = ((bool_t)1)
; } } } } 
return 
BBOOL(BgL_tmpz00_5391);} } 

}



/* &tailpos-ev_with-hand1409 */
obj_t BGl_z62tailposzd2ev_withzd2hand1409z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3573, obj_t BgL_ez00_3574, obj_t BgL_vz00_3575)
{
{ /* Eval/evaluate_fsize.scm 447 */
{ /* Eval/evaluate_fsize.scm 448 */
 bool_t BgL_tmpz00_5411;
{ /* Eval/evaluate_fsize.scm 449 */
 obj_t BgL__andtest_1131z00_4197;
BgL__andtest_1131z00_4197 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3574)))->BgL_handlerz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3575)); 
if(
CBOOL(BgL__andtest_1131z00_4197))
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5411 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 449 */
 bool_t BgL_test2555z00_5418;
{ /* Eval/evaluate_fsize.scm 449 */
 BgL_ev_exprz00_bglt BgL_arg1775z00_4198;
BgL_arg1775z00_4198 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3574)))->BgL_bodyz00); 
BgL_test2555z00_5418 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1775z00_4198, 
((BgL_ev_varz00_bglt)BgL_vz00_3575))); } 
if(BgL_test2555z00_5418)
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5411 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 449 */
BgL_tmpz00_5411 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_5411);} } 

}



/* &tailpos-ev_unwind-pr1407 */
obj_t BGl_z62tailposzd2ev_unwindzd2pr1407z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3576, obj_t BgL_ez00_3577, obj_t BgL_vz00_3578)
{
{ /* Eval/evaluate_fsize.scm 443 */
{ /* Eval/evaluate_fsize.scm 444 */
 bool_t BgL_tmpz00_5425;
{ /* Eval/evaluate_fsize.scm 445 */
 obj_t BgL__andtest_1129z00_4201;
BgL__andtest_1129z00_4201 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3577)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3578)); 
if(
CBOOL(BgL__andtest_1129z00_4201))
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5425 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 445 */
 bool_t BgL_test2557z00_5432;
{ /* Eval/evaluate_fsize.scm 445 */
 BgL_ev_exprz00_bglt BgL_arg1770z00_4202;
BgL_arg1770z00_4202 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3577)))->BgL_bodyz00); 
BgL_test2557z00_5432 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1770z00_4202, 
((BgL_ev_varz00_bglt)BgL_vz00_3578))); } 
if(BgL_test2557z00_5432)
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5425 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 445 */
BgL_tmpz00_5425 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_5425);} } 

}



/* &tailpos-ev_bind-exit1405 */
obj_t BGl_z62tailposzd2ev_bindzd2exit1405z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3579, obj_t BgL_ez00_3580, obj_t BgL_vz00_3581)
{
{ /* Eval/evaluate_fsize.scm 439 */
{ /* Eval/evaluate_fsize.scm 440 */
 bool_t BgL_tmpz00_5439;
{ /* Eval/evaluate_fsize.scm 441 */
 bool_t BgL_test2558z00_5440;
{ /* Eval/evaluate_fsize.scm 441 */
 BgL_ev_exprz00_bglt BgL_arg1767z00_4205;
BgL_arg1767z00_4205 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3580)))->BgL_bodyz00); 
BgL_test2558z00_5440 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1767z00_4205, 
((BgL_ev_varz00_bglt)BgL_vz00_3581))); } 
if(BgL_test2558z00_5440)
{ /* Eval/evaluate_fsize.scm 441 */
BgL_tmpz00_5439 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 441 */
BgL_tmpz00_5439 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5439);} } 

}



/* &tailpos-ev_setlocal1403 */
obj_t BGl_z62tailposzd2ev_setlocal1403zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3582, obj_t BgL_ez00_3583, obj_t BgL_varz00_3584)
{
{ /* Eval/evaluate_fsize.scm 435 */
{ /* Eval/evaluate_fsize.scm 436 */
 bool_t BgL_tmpz00_5447;
if(
(
((obj_t)
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_3583)))->BgL_vz00))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_3584))))
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5447 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 437 */
 bool_t BgL_test2560z00_5455;
{ /* Eval/evaluate_fsize.scm 437 */
 BgL_ev_exprz00_bglt BgL_arg1763z00_4208;
BgL_arg1763z00_4208 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_3583))))->BgL_ez00); 
BgL_test2560z00_5455 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1763z00_4208, 
((BgL_ev_varz00_bglt)BgL_varz00_3584))); } 
if(BgL_test2560z00_5455)
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5447 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 437 */
BgL_tmpz00_5447 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5447);} } 

}



/* &tailpos-ev_hook1401 */
obj_t BGl_z62tailposzd2ev_hook1401zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3585, obj_t BgL_ez00_3586, obj_t BgL_vz00_3587)
{
{ /* Eval/evaluate_fsize.scm 431 */
{ /* Eval/evaluate_fsize.scm 432 */
 bool_t BgL_tmpz00_5463;
{ /* Eval/evaluate_fsize.scm 433 */
 bool_t BgL_test2561z00_5464;
{ /* Eval/evaluate_fsize.scm 433 */
 BgL_ev_exprz00_bglt BgL_arg1760z00_4211;
BgL_arg1760z00_4211 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3586)))->BgL_ez00); 
BgL_test2561z00_5464 = 
CBOOL(
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1760z00_4211, 
((BgL_ev_varz00_bglt)BgL_vz00_3587))); } 
if(BgL_test2561z00_5464)
{ /* Eval/evaluate_fsize.scm 433 */
BgL_tmpz00_5463 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 433 */
BgL_tmpz00_5463 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_5463);} } 

}



/* &tailpos-ev_prog21399 */
obj_t BGl_z62tailposzd2ev_prog21399zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3588, obj_t BgL_ez00_3589, obj_t BgL_vz00_3590)
{
{ /* Eval/evaluate_fsize.scm 427 */
{ /* Eval/evaluate_fsize.scm 429 */
 obj_t BgL__andtest_1123z00_4214;
BgL__andtest_1123z00_4214 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3589)))->BgL_e1z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3590)); 
if(
CBOOL(BgL__andtest_1123z00_4214))
{ /* Eval/evaluate_fsize.scm 429 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 429 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3589)))->BgL_e2z00), 
((BgL_ev_varz00_bglt)BgL_vz00_3590));} } } 

}



/* &tailpos-ev_list1397 */
obj_t BGl_z62tailposzd2ev_list1397zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3591, obj_t BgL_ez00_3592, obj_t BgL_vz00_3593)
{
{ /* Eval/evaluate_fsize.scm 419 */
{ 
 obj_t BgL_lz00_4218;
BgL_lz00_4218 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3592)))->BgL_argsz00); 
BgL_recz00_4217:
if(
NULLP(
CDR(
((obj_t)BgL_lz00_4218))))
{ /* Eval/evaluate_fsize.scm 423 */
 obj_t BgL_arg1752z00_4219;
BgL_arg1752z00_4219 = 
CAR(
((obj_t)BgL_lz00_4218)); 
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1752z00_4219), 
((BgL_ev_varz00_bglt)BgL_vz00_3593));}  else 
{ /* Eval/evaluate_fsize.scm 424 */
 obj_t BgL__andtest_1121z00_4220;
{ /* Eval/evaluate_fsize.scm 424 */
 obj_t BgL_arg1754z00_4221;
BgL_arg1754z00_4221 = 
CAR(
((obj_t)BgL_lz00_4218)); 
BgL__andtest_1121z00_4220 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1754z00_4221), 
((BgL_ev_varz00_bglt)BgL_vz00_3593)); } 
if(
CBOOL(BgL__andtest_1121z00_4220))
{ /* Eval/evaluate_fsize.scm 424 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 425 */
 obj_t BgL_arg1753z00_4222;
BgL_arg1753z00_4222 = 
CDR(
((obj_t)BgL_lz00_4218)); 
{ 
 obj_t BgL_lz00_5499;
BgL_lz00_5499 = BgL_arg1753z00_4222; 
BgL_lz00_4218 = BgL_lz00_5499; 
goto BgL_recz00_4217;} } } } } 

}



/* &tailpos-ev_if1395 */
obj_t BGl_z62tailposzd2ev_if1395zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3594, obj_t BgL_ez00_3595, obj_t BgL_vz00_3596)
{
{ /* Eval/evaluate_fsize.scm 415 */
{ /* Eval/evaluate_fsize.scm 417 */
 obj_t BgL__andtest_1118z00_4225;
BgL__andtest_1118z00_4225 = 
BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3595)))->BgL_pz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3596)); 
if(
CBOOL(BgL__andtest_1118z00_4225))
{ /* Eval/evaluate_fsize.scm 417 */
return BFALSE;}  else 
{ /* Eval/evaluate_fsize.scm 417 */
 obj_t BgL__andtest_1119z00_4226;
BgL__andtest_1119z00_4226 = 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3595)))->BgL_tz00), 
((BgL_ev_varz00_bglt)BgL_vz00_3596)); 
if(
CBOOL(BgL__andtest_1119z00_4226))
{ /* Eval/evaluate_fsize.scm 417 */
return 
BGl_tailposz00zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3595)))->BgL_ez00), 
((BgL_ev_varz00_bglt)BgL_vz00_3596));}  else 
{ /* Eval/evaluate_fsize.scm 417 */
return BFALSE;} } } } 

}



/* &tailpos-ev_litt1393 */
obj_t BGl_z62tailposzd2ev_litt1393zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3597, obj_t BgL_ez00_3598, obj_t BgL_vz00_3599)
{
{ /* Eval/evaluate_fsize.scm 412 */
return 
BBOOL(((bool_t)1));} 

}



/* &tailpos-ev_global1391 */
obj_t BGl_z62tailposzd2ev_global1391zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3600, obj_t BgL_ez00_3601, obj_t BgL_vz00_3602)
{
{ /* Eval/evaluate_fsize.scm 409 */
return 
BBOOL(((bool_t)1));} 

}



/* &tailpos-ev_var1389 */
obj_t BGl_z62tailposzd2ev_var1389zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3603, obj_t BgL_ez00_3604, obj_t BgL_vz00_3605)
{
{ /* Eval/evaluate_fsize.scm 406 */
{ /* Eval/evaluate_fsize.scm 407 */
 bool_t BgL_tmpz00_5520;
if(
(
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3604))==
((obj_t)
((BgL_ev_varz00_bglt)BgL_vz00_3605))))
{ /* Eval/evaluate_fsize.scm 407 */
BgL_tmpz00_5520 = ((bool_t)0)
; }  else 
{ /* Eval/evaluate_fsize.scm 407 */
BgL_tmpz00_5520 = ((bool_t)1)
; } 
return 
BBOOL(BgL_tmpz00_5520);} } 

}



/* &subst_goto-ev_abs1385 */
obj_t BGl_z62subst_gotozd2ev_abs1385zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3606, obj_t BgL_ez00_3607, obj_t BgL_varsz00_3608, obj_t BgL_lblsz00_3609)
{
{ /* Eval/evaluate_fsize.scm 394 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_5528;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5529;
{ /* Eval/evaluate_fsize.scm 396 */
 BgL_ev_exprz00_bglt BgL_arg1742z00_4234;
BgL_arg1742z00_4234 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3607)))->BgL_bodyz00); 
BgL_auxz00_5529 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1742z00_4234, BgL_varsz00_3608, BgL_lblsz00_3609)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3607)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5529),BUNSPEC); } 
BgL_auxz00_5528 = 
((BgL_ev_absz00_bglt)BgL_ez00_3607); 
return 
((obj_t)BgL_auxz00_5528);} } 

}



/* &subst_goto-ev_app1383 */
obj_t BGl_z62subst_gotozd2ev_app1383zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3610, obj_t BgL_ez00_3611, obj_t BgL_varsz00_3612, obj_t BgL_lblsz00_3613)
{
{ /* Eval/evaluate_fsize.scm 384 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5538;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_argsz00), BgL_varsz00_3612, BgL_lblsz00_3613); 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_funz00)), BgL_varsz00_3612)))
{ /* Eval/evaluate_fsize.scm 389 */
 BgL_ev_gotoz00_bglt BgL_new1114z00_4236;
{ /* Eval/evaluate_fsize.scm 389 */
 BgL_ev_gotoz00_bglt BgL_new1113z00_4237;
BgL_new1113z00_4237 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_fsize.scm 389 */
 long BgL_arg1739z00_4238;
BgL_arg1739z00_4238 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_4237), BgL_arg1739z00_4238); } 
BgL_new1114z00_4236 = BgL_new1113z00_4237; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4236))->BgL_locz00)=((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_locz00)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4236))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_funz00))),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4236))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_lblsz00_3613)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1114z00_4236))->BgL_argsz00)=((obj_t)
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_argsz00)),BUNSPEC); 
BgL_auxz00_5538 = 
((BgL_ev_exprz00_bglt)BgL_new1114z00_4236); }  else 
{ /* Eval/evaluate_fsize.scm 388 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5565;
{ /* Eval/evaluate_fsize.scm 390 */
 BgL_ev_exprz00_bglt BgL_arg1740z00_4239;
BgL_arg1740z00_4239 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_funz00); 
BgL_auxz00_5565 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1740z00_4239, BgL_varsz00_3612, BgL_lblsz00_3613)); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5565),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3611)))->BgL_tailzf3zf3)=((obj_t)BFALSE),BUNSPEC); 
BgL_auxz00_5538 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_ez00_3611)); } 
return 
((obj_t)BgL_auxz00_5538);} } 

}



/* &subst_goto-ev_goto1381 */
obj_t BGl_z62subst_gotozd2ev_goto1381zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3614, obj_t BgL_ez00_3615, obj_t BgL_varsz00_3616, obj_t BgL_lblsz00_3617)
{
{ /* Eval/evaluate_fsize.scm 372 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_5577;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3615)))->BgL_argsz00), BgL_varsz00_3616, BgL_lblsz00_3617); 
BgL_auxz00_5577 = 
((BgL_ev_gotoz00_bglt)BgL_ez00_3615); 
return 
((obj_t)BgL_auxz00_5577);} } 

}



/* &subst_goto-ev_labels1379 */
obj_t BGl_z62subst_gotozd2ev_labels1379zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3618, obj_t BgL_ez00_3619, obj_t BgL_varsz00_3620, obj_t BgL_lblsz00_3621)
{
{ /* Eval/evaluate_fsize.scm 363 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_5583;
{ 
 obj_t BgL_lz00_4243;
BgL_lz00_4243 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3619)))->BgL_valsz00); 
BgL_recz00_4242:
if(
NULLP(BgL_lz00_4243))
{ /* Eval/evaluate_fsize.scm 366 */((bool_t)0); }  else 
{ /* Eval/evaluate_fsize.scm 366 */
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_arg1730z00_4244; obj_t BgL_arg1731z00_4245;
BgL_arg1730z00_4244 = 
CAR(
((obj_t)BgL_lz00_4243)); 
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_arg1732z00_4246;
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_pairz00_4247;
BgL_pairz00_4247 = 
CAR(
((obj_t)BgL_lz00_4243)); 
BgL_arg1732z00_4246 = 
CDR(BgL_pairz00_4247); } 
BgL_arg1731z00_4245 = 
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1732z00_4246), BgL_varsz00_3620, BgL_lblsz00_3621); } 
{ /* Eval/evaluate_fsize.scm 367 */
 obj_t BgL_tmpz00_5593;
BgL_tmpz00_5593 = 
((obj_t)BgL_arg1730z00_4244); 
SET_CDR(BgL_tmpz00_5593, BgL_arg1731z00_4245); } } 
{ /* Eval/evaluate_fsize.scm 368 */
 obj_t BgL_arg1733z00_4248;
BgL_arg1733z00_4248 = 
CDR(
((obj_t)BgL_lz00_4243)); 
{ 
 obj_t BgL_lz00_5598;
BgL_lz00_5598 = BgL_arg1733z00_4248; 
BgL_lz00_4243 = BgL_lz00_5598; 
goto BgL_recz00_4242;} } } } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5601;
{ /* Eval/evaluate_fsize.scm 369 */
 BgL_ev_exprz00_bglt BgL_arg1734z00_4249;
BgL_arg1734z00_4249 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3619)))->BgL_bodyz00); 
BgL_auxz00_5601 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1734z00_4249, BgL_varsz00_3620, BgL_lblsz00_3621)); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3619)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5601),BUNSPEC); } 
BgL_auxz00_5583 = 
((BgL_ev_labelsz00_bglt)BgL_ez00_3619); 
return 
((obj_t)BgL_auxz00_5583);} } 

}



/* &subst_goto-ev_binder1377 */
obj_t BGl_z62subst_gotozd2ev_binder1377zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3622, obj_t BgL_ez00_3623, obj_t BgL_varsz00_3624, obj_t BgL_lblsz00_3625)
{
{ /* Eval/evaluate_fsize.scm 357 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_5610;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3623)))->BgL_valsz00), BgL_varsz00_3624, BgL_lblsz00_3625); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5614;
{ /* Eval/evaluate_fsize.scm 360 */
 BgL_ev_exprz00_bglt BgL_arg1726z00_4251;
BgL_arg1726z00_4251 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3623)))->BgL_bodyz00); 
BgL_auxz00_5614 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1726z00_4251, BgL_varsz00_3624, BgL_lblsz00_3625)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3623)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5614),BUNSPEC); } 
BgL_auxz00_5610 = 
((BgL_ev_binderz00_bglt)BgL_ez00_3623); 
return 
((obj_t)BgL_auxz00_5610);} } 

}



/* &subst_goto-ev_synchr1375 */
obj_t BGl_z62subst_gotozd2ev_synchr1375zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3626, obj_t BgL_ez00_3627, obj_t BgL_varsz00_3628, obj_t BgL_lblsz00_3629)
{
{ /* Eval/evaluate_fsize.scm 350 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5623;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5624;
{ /* Eval/evaluate_fsize.scm 352 */
 BgL_ev_exprz00_bglt BgL_arg1722z00_4253;
BgL_arg1722z00_4253 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_mutexz00); 
BgL_auxz00_5624 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1722z00_4253, BgL_varsz00_3628, BgL_lblsz00_3629)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5624),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5631;
{ /* Eval/evaluate_fsize.scm 353 */
 BgL_ev_exprz00_bglt BgL_arg1723z00_4254;
BgL_arg1723z00_4254 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_prelockz00); 
BgL_auxz00_5631 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1723z00_4254, BgL_varsz00_3628, BgL_lblsz00_3629)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5631),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5638;
{ /* Eval/evaluate_fsize.scm 354 */
 BgL_ev_exprz00_bglt BgL_arg1724z00_4255;
BgL_arg1724z00_4255 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_bodyz00); 
BgL_auxz00_5638 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1724z00_4255, BgL_varsz00_3628, BgL_lblsz00_3629)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5638),BUNSPEC); } 
BgL_auxz00_5623 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3627); 
return 
((obj_t)BgL_auxz00_5623);} } 

}



/* &subst_goto-ev_with-h1373 */
obj_t BGl_z62subst_gotozd2ev_withzd2h1373z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3630, obj_t BgL_ez00_3631, obj_t BgL_varsz00_3632, obj_t BgL_lblsz00_3633)
{
{ /* Eval/evaluate_fsize.scm 344 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5647;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5648;
{ /* Eval/evaluate_fsize.scm 346 */
 BgL_ev_exprz00_bglt BgL_arg1720z00_4257;
BgL_arg1720z00_4257 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3631)))->BgL_handlerz00); 
BgL_auxz00_5648 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1720z00_4257, BgL_varsz00_3632, BgL_lblsz00_3633)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3631)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5648),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5655;
{ /* Eval/evaluate_fsize.scm 347 */
 BgL_ev_exprz00_bglt BgL_arg1721z00_4258;
BgL_arg1721z00_4258 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3631)))->BgL_bodyz00); 
BgL_auxz00_5655 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1721z00_4258, BgL_varsz00_3632, BgL_lblsz00_3633)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3631)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5655),BUNSPEC); } 
BgL_auxz00_5647 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3631); 
return 
((obj_t)BgL_auxz00_5647);} } 

}



/* &subst_goto-ev_unwind1371 */
obj_t BGl_z62subst_gotozd2ev_unwind1371zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3634, obj_t BgL_exprz00_3635, obj_t BgL_varsz00_3636, obj_t BgL_lblsz00_3637)
{
{ /* Eval/evaluate_fsize.scm 338 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5664;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5665;
{ /* Eval/evaluate_fsize.scm 340 */
 BgL_ev_exprz00_bglt BgL_arg1718z00_4260;
BgL_arg1718z00_4260 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3635)))->BgL_ez00); 
BgL_auxz00_5665 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1718z00_4260, BgL_varsz00_3636, BgL_lblsz00_3637)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3635)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5665),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5672;
{ /* Eval/evaluate_fsize.scm 341 */
 BgL_ev_exprz00_bglt BgL_arg1719z00_4261;
BgL_arg1719z00_4261 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3635)))->BgL_bodyz00); 
BgL_auxz00_5672 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1719z00_4261, BgL_varsz00_3636, BgL_lblsz00_3637)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3635)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5672),BUNSPEC); } 
BgL_auxz00_5664 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3635); 
return 
((obj_t)BgL_auxz00_5664);} } 

}



/* &subst_goto-ev_bind-e1369 */
obj_t BGl_z62subst_gotozd2ev_bindzd2e1369z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3638, obj_t BgL_ez00_3639, obj_t BgL_varsz00_3640, obj_t BgL_lblsz00_3641)
{
{ /* Eval/evaluate_fsize.scm 333 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5681;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5682;
{ /* Eval/evaluate_fsize.scm 335 */
 BgL_ev_exprz00_bglt BgL_arg1713z00_4263;
BgL_arg1713z00_4263 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3639)))->BgL_bodyz00); 
BgL_auxz00_5682 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1713z00_4263, BgL_varsz00_3640, BgL_lblsz00_3641)); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3639)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5682),BUNSPEC); } 
BgL_auxz00_5681 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3639); 
return 
((obj_t)BgL_auxz00_5681);} } 

}



/* &subst_goto-ev_hook1367 */
obj_t BGl_z62subst_gotozd2ev_hook1367zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3642, obj_t BgL_exprz00_3643, obj_t BgL_varsz00_3644, obj_t BgL_lblsz00_3645)
{
{ /* Eval/evaluate_fsize.scm 328 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5691;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5692;
{ /* Eval/evaluate_fsize.scm 330 */
 BgL_ev_exprz00_bglt BgL_arg1712z00_4265;
BgL_arg1712z00_4265 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3643)))->BgL_ez00); 
BgL_auxz00_5692 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1712z00_4265, BgL_varsz00_3644, BgL_lblsz00_3645)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3643)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5692),BUNSPEC); } 
BgL_auxz00_5691 = 
((BgL_ev_hookz00_bglt)BgL_exprz00_3643); 
return 
((obj_t)BgL_auxz00_5691);} } 

}



/* &subst_goto-ev_prog21365 */
obj_t BGl_z62subst_gotozd2ev_prog21365zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3646, obj_t BgL_ez00_3647, obj_t BgL_varsz00_3648, obj_t BgL_lblsz00_3649)
{
{ /* Eval/evaluate_fsize.scm 322 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5701;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5702;
{ /* Eval/evaluate_fsize.scm 324 */
 BgL_ev_exprz00_bglt BgL_arg1710z00_4267;
BgL_arg1710z00_4267 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3647)))->BgL_e1z00); 
BgL_auxz00_5702 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1710z00_4267, BgL_varsz00_3648, BgL_lblsz00_3649)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3647)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5702),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5709;
{ /* Eval/evaluate_fsize.scm 325 */
 BgL_ev_exprz00_bglt BgL_arg1711z00_4268;
BgL_arg1711z00_4268 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3647)))->BgL_e2z00); 
BgL_auxz00_5709 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1711z00_4268, BgL_varsz00_3648, BgL_lblsz00_3649)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3647)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5709),BUNSPEC); } 
BgL_auxz00_5701 = 
((BgL_ev_prog2z00_bglt)BgL_ez00_3647); 
return 
((obj_t)BgL_auxz00_5701);} } 

}



/* &subst_goto-ev_list1363 */
obj_t BGl_z62subst_gotozd2ev_list1363zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3650, obj_t BgL_ez00_3651, obj_t BgL_varsz00_3652, obj_t BgL_lblsz00_3653)
{
{ /* Eval/evaluate_fsize.scm 317 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5718;
BGl_subst_gotoza2za2zz__evaluate_fsiza7eza7(
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3651)))->BgL_argsz00), BgL_varsz00_3652, BgL_lblsz00_3653); 
BgL_auxz00_5718 = 
((BgL_ev_listz00_bglt)BgL_ez00_3651); 
return 
((obj_t)BgL_auxz00_5718);} } 

}



/* &subst_goto-ev_if1361 */
obj_t BGl_z62subst_gotozd2ev_if1361zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3654, obj_t BgL_exprz00_3655, obj_t BgL_varsz00_3656, obj_t BgL_lblsz00_3657)
{
{ /* Eval/evaluate_fsize.scm 310 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5724;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5725;
{ /* Eval/evaluate_fsize.scm 312 */
 BgL_ev_exprz00_bglt BgL_arg1706z00_4271;
BgL_arg1706z00_4271 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_pz00); 
BgL_auxz00_5725 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1706z00_4271, BgL_varsz00_3656, BgL_lblsz00_3657)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5725),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5732;
{ /* Eval/evaluate_fsize.scm 313 */
 BgL_ev_exprz00_bglt BgL_arg1707z00_4272;
BgL_arg1707z00_4272 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_tz00); 
BgL_auxz00_5732 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1707z00_4272, BgL_varsz00_3656, BgL_lblsz00_3657)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5732),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5739;
{ /* Eval/evaluate_fsize.scm 314 */
 BgL_ev_exprz00_bglt BgL_arg1708z00_4273;
BgL_arg1708z00_4273 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_ez00); 
BgL_auxz00_5739 = 
((BgL_ev_exprz00_bglt)
BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1708z00_4273, BgL_varsz00_3656, BgL_lblsz00_3657)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3655)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5739),BUNSPEC); } 
BgL_auxz00_5724 = 
((BgL_ev_ifz00_bglt)BgL_exprz00_3655); 
return 
((obj_t)BgL_auxz00_5724);} } 

}



/* &subst_goto-ev_litt1359 */
obj_t BGl_z62subst_gotozd2ev_litt1359zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3658, obj_t BgL_ez00_3659, obj_t BgL_varsz00_3660, obj_t BgL_lblsz00_3661)
{
{ /* Eval/evaluate_fsize.scm 307 */
return 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_3659));} 

}



/* &subst_goto-ev_global1357 */
obj_t BGl_z62subst_gotozd2ev_global1357zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3662, obj_t BgL_ez00_3663, obj_t BgL_varsz00_3664, obj_t BgL_lblsz00_3665)
{
{ /* Eval/evaluate_fsize.scm 304 */
return 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_ez00_3663));} 

}



/* &subst_goto-ev_var1355 */
obj_t BGl_z62subst_gotozd2ev_var1355zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3666, obj_t BgL_ez00_3667, obj_t BgL_varsz00_3668, obj_t BgL_lblsz00_3669)
{
{ /* Eval/evaluate_fsize.scm 301 */
return 
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3667));} 

}



/* &search-letrec-ev_abs1351 */
obj_t BGl_z62searchzd2letreczd2ev_abs1351z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3670, obj_t BgL_ez00_3671)
{
{ /* Eval/evaluate_fsize.scm 260 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_5754;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5755;
{ /* Eval/evaluate_fsize.scm 262 */
 BgL_ev_exprz00_bglt BgL_arg1704z00_4278;
BgL_arg1704z00_4278 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3671)))->BgL_bodyz00); 
BgL_auxz00_5755 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1704z00_4278)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3671)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5755),BUNSPEC); } 
BgL_auxz00_5754 = 
((BgL_ev_absz00_bglt)BgL_ez00_3671); 
return 
((obj_t)BgL_auxz00_5754);} } 

}



/* &search-letrec-ev_app1349 */
obj_t BGl_z62searchzd2letreczd2ev_app1349z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3672, obj_t BgL_ez00_3673)
{
{ /* Eval/evaluate_fsize.scm 254 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_5764;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5765;
{ /* Eval/evaluate_fsize.scm 256 */
 BgL_ev_exprz00_bglt BgL_arg1700z00_4280;
BgL_arg1700z00_4280 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3673)))->BgL_funz00); 
BgL_auxz00_5765 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1700z00_4280)); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3673)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5765),BUNSPEC); } 
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3673)))->BgL_argsz00)); 
BgL_auxz00_5764 = 
((BgL_ev_appz00_bglt)BgL_ez00_3673); 
return 
((obj_t)BgL_auxz00_5764);} } 

}



/* &search-letrec-ev_let1347 */
obj_t BGl_z62searchzd2letreczd2ev_let1347z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3674, obj_t BgL_ez00_3675)
{
{ /* Eval/evaluate_fsize.scm 243 */
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5777;
{ /* Eval/evaluate_fsize.scm 245 */
 obj_t BgL_arg1688z00_4282;
BgL_arg1688z00_4282 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_valsz00); 
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1688z00_4282); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5782;
{ /* Eval/evaluate_fsize.scm 246 */
 BgL_ev_exprz00_bglt BgL_arg1689z00_4283;
BgL_arg1689z00_4283 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_bodyz00); 
BgL_auxz00_5782 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1689z00_4283)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5782),BUNSPEC); } 
{ /* Eval/evaluate_fsize.scm 250 */
 bool_t BgL_test2570z00_5791;
{ /* Eval/evaluate_fsize.scm 247 */
 obj_t BgL_arg1693z00_4284; obj_t BgL_arg1695z00_4285; BgL_ev_exprz00_bglt BgL_arg1698z00_4286;
BgL_arg1693z00_4284 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_varsz00); 
BgL_arg1695z00_4285 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_valsz00); 
BgL_arg1698z00_4286 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_bodyz00); 
BgL_test2570z00_5791 = 
BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1693z00_4284, BgL_arg1695z00_4285, BgL_arg1698z00_4286); } 
if(BgL_test2570z00_5791)
{ /* Eval/evaluate_fsize.scm 251 */
 obj_t BgL_arg1690z00_4287; obj_t BgL_arg1691z00_4288; BgL_ev_exprz00_bglt BgL_arg1692z00_4289;
BgL_arg1690z00_4287 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_varsz00); 
BgL_arg1691z00_4288 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_valsz00); 
BgL_arg1692z00_4289 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))))->BgL_bodyz00); 
BgL_auxz00_5777 = 
((BgL_ev_exprz00_bglt)
BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1690z00_4287, BgL_arg1691z00_4288, BgL_arg1692z00_4289)); }  else 
{ /* Eval/evaluate_fsize.scm 250 */
BgL_auxz00_5777 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3675))
; } } 
return 
((obj_t)BgL_auxz00_5777);} } 

}



/* &search-letrec-ev_bin1345 */
obj_t BGl_z62searchzd2letreczd2ev_bin1345z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3676, obj_t BgL_ez00_3677)
{
{ /* Eval/evaluate_fsize.scm 237 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_5816;
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3677)))->BgL_valsz00)); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5820;
{ /* Eval/evaluate_fsize.scm 240 */
 BgL_ev_exprz00_bglt BgL_arg1687z00_4291;
BgL_arg1687z00_4291 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3677)))->BgL_bodyz00); 
BgL_auxz00_5820 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1687z00_4291)); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_ez00_3677)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5820),BUNSPEC); } 
BgL_auxz00_5816 = 
((BgL_ev_binderz00_bglt)BgL_ez00_3677); 
return 
((obj_t)BgL_auxz00_5816);} } 

}



/* &search-letrec-ev_syn1343 */
obj_t BGl_z62searchzd2letreczd2ev_syn1343z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3678, obj_t BgL_ez00_3679)
{
{ /* Eval/evaluate_fsize.scm 230 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5829;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5830;
{ /* Eval/evaluate_fsize.scm 232 */
 BgL_ev_exprz00_bglt BgL_arg1683z00_4293;
BgL_arg1683z00_4293 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_mutexz00); 
BgL_auxz00_5830 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1683z00_4293)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5830),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5837;
{ /* Eval/evaluate_fsize.scm 233 */
 BgL_ev_exprz00_bglt BgL_arg1684z00_4294;
BgL_arg1684z00_4294 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_prelockz00); 
BgL_auxz00_5837 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1684z00_4294)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5837),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5844;
{ /* Eval/evaluate_fsize.scm 234 */
 BgL_ev_exprz00_bglt BgL_arg1685z00_4295;
BgL_arg1685z00_4295 = 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_bodyz00); 
BgL_auxz00_5844 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1685z00_4295)); } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5844),BUNSPEC); } 
BgL_auxz00_5829 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3679); 
return 
((obj_t)BgL_auxz00_5829);} } 

}



/* &search-letrec-ev_wit1341 */
obj_t BGl_z62searchzd2letreczd2ev_wit1341z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3680, obj_t BgL_ez00_3681)
{
{ /* Eval/evaluate_fsize.scm 224 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5853;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5854;
{ /* Eval/evaluate_fsize.scm 226 */
 BgL_ev_exprz00_bglt BgL_arg1677z00_4297;
BgL_arg1677z00_4297 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3681)))->BgL_handlerz00); 
BgL_auxz00_5854 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1677z00_4297)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3681)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5854),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5861;
{ /* Eval/evaluate_fsize.scm 227 */
 BgL_ev_exprz00_bglt BgL_arg1680z00_4298;
BgL_arg1680z00_4298 = 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3681)))->BgL_bodyz00); 
BgL_auxz00_5861 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1680z00_4298)); } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3681)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5861),BUNSPEC); } 
BgL_auxz00_5853 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3681); 
return 
((obj_t)BgL_auxz00_5853);} } 

}



/* &search-letrec-ev_unw1339 */
obj_t BGl_z62searchzd2letreczd2ev_unw1339z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3682, obj_t BgL_exprz00_3683)
{
{ /* Eval/evaluate_fsize.scm 218 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5870;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5871;
{ /* Eval/evaluate_fsize.scm 220 */
 BgL_ev_exprz00_bglt BgL_arg1674z00_4300;
BgL_arg1674z00_4300 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3683)))->BgL_ez00); 
BgL_auxz00_5871 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1674z00_4300)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3683)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5871),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5878;
{ /* Eval/evaluate_fsize.scm 221 */
 BgL_ev_exprz00_bglt BgL_arg1675z00_4301;
BgL_arg1675z00_4301 = 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3683)))->BgL_bodyz00); 
BgL_auxz00_5878 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1675z00_4301)); } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3683)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5878),BUNSPEC); } 
BgL_auxz00_5870 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_exprz00_3683); 
return 
((obj_t)BgL_auxz00_5870);} } 

}



/* &search-letrec-ev_bin1337 */
obj_t BGl_z62searchzd2letreczd2ev_bin1337z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3684, obj_t BgL_ez00_3685)
{
{ /* Eval/evaluate_fsize.scm 213 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5887;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5888;
{ /* Eval/evaluate_fsize.scm 215 */
 BgL_ev_exprz00_bglt BgL_arg1673z00_4303;
BgL_arg1673z00_4303 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3685)))->BgL_bodyz00); 
BgL_auxz00_5888 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1673z00_4303)); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3685)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5888),BUNSPEC); } 
BgL_auxz00_5887 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3685); 
return 
((obj_t)BgL_auxz00_5887);} } 

}



/* &search-letrec-ev_hoo1335 */
obj_t BGl_z62searchzd2letreczd2ev_hoo1335z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3686, obj_t BgL_exprz00_3687)
{
{ /* Eval/evaluate_fsize.scm 208 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5897;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5898;
{ /* Eval/evaluate_fsize.scm 210 */
 BgL_ev_exprz00_bglt BgL_arg1672z00_4305;
BgL_arg1672z00_4305 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3687)))->BgL_ez00); 
BgL_auxz00_5898 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1672z00_4305)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_exprz00_3687)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5898),BUNSPEC); } 
BgL_auxz00_5897 = 
((BgL_ev_hookz00_bglt)BgL_exprz00_3687); 
return 
((obj_t)BgL_auxz00_5897);} } 

}



/* &search-letrec-ev_pro1333 */
obj_t BGl_z62searchzd2letreczd2ev_pro1333z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3688, obj_t BgL_ez00_3689)
{
{ /* Eval/evaluate_fsize.scm 202 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5907;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5908;
{ /* Eval/evaluate_fsize.scm 204 */
 BgL_ev_exprz00_bglt BgL_arg1670z00_4307;
BgL_arg1670z00_4307 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3689)))->BgL_e1z00); 
BgL_auxz00_5908 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1670z00_4307)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3689)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5908),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5915;
{ /* Eval/evaluate_fsize.scm 205 */
 BgL_ev_exprz00_bglt BgL_arg1671z00_4308;
BgL_arg1671z00_4308 = 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3689)))->BgL_e2z00); 
BgL_auxz00_5915 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1671z00_4308)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3689)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5915),BUNSPEC); } 
BgL_auxz00_5907 = 
((BgL_ev_prog2z00_bglt)BgL_ez00_3689); 
return 
((obj_t)BgL_auxz00_5907);} } 

}



/* &search-letrec-ev_lis1331 */
obj_t BGl_z62searchzd2letreczd2ev_lis1331z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3690, obj_t BgL_ez00_3691)
{
{ /* Eval/evaluate_fsize.scm 197 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5924;
BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3691)))->BgL_argsz00)); 
BgL_auxz00_5924 = 
((BgL_ev_listz00_bglt)BgL_ez00_3691); 
return 
((obj_t)BgL_auxz00_5924);} } 

}



/* &search-letrec-ev_if1329 */
obj_t BGl_z62searchzd2letreczd2ev_if1329z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3692, obj_t BgL_exprz00_3693)
{
{ /* Eval/evaluate_fsize.scm 190 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5930;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5931;
{ /* Eval/evaluate_fsize.scm 192 */
 BgL_ev_exprz00_bglt BgL_arg1664z00_4311;
BgL_arg1664z00_4311 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_pz00); 
BgL_auxz00_5931 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1664z00_4311)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5931),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5938;
{ /* Eval/evaluate_fsize.scm 193 */
 BgL_ev_exprz00_bglt BgL_arg1667z00_4312;
BgL_arg1667z00_4312 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_tz00); 
BgL_auxz00_5938 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1667z00_4312)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5938),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5945;
{ /* Eval/evaluate_fsize.scm 194 */
 BgL_ev_exprz00_bglt BgL_arg1668z00_4313;
BgL_arg1668z00_4313 = 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_ez00); 
BgL_auxz00_5945 = 
((BgL_ev_exprz00_bglt)
BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_arg1668z00_4313)); } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_exprz00_3693)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5945),BUNSPEC); } 
BgL_auxz00_5930 = 
((BgL_ev_ifz00_bglt)BgL_exprz00_3693); 
return 
((obj_t)BgL_auxz00_5930);} } 

}



/* &search-letrec-ev_lit1327 */
obj_t BGl_z62searchzd2letreczd2ev_lit1327z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3694, obj_t BgL_ez00_3695)
{
{ /* Eval/evaluate_fsize.scm 187 */
return 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_3695));} 

}



/* &search-letrec-ev_glo1325 */
obj_t BGl_z62searchzd2letreczd2ev_glo1325z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3696, obj_t BgL_ez00_3697)
{
{ /* Eval/evaluate_fsize.scm 184 */
return 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_ez00_3697));} 

}



/* &search-letrec-ev_var1323 */
obj_t BGl_z62searchzd2letreczd2ev_var1323z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3698, obj_t BgL_ez00_3699)
{
{ /* Eval/evaluate_fsize.scm 181 */
return 
((obj_t)
((BgL_ev_varz00_bglt)BgL_ez00_3699));} 

}



/* &fsize-ev_abs1319 */
obj_t BGl_z62fsiza7ezd2ev_abs1319z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3700, obj_t BgL_ez00_3701, obj_t BgL_nz00_3702)
{
{ /* Eval/evaluate_fsize.scm 158 */
{ /* Eval/evaluate_fsize.scm 159 */
 int BgL_tmpz00_5960;
{ /* Eval/evaluate_fsize.scm 159 */
 int BgL_nz00_4318;
BgL_nz00_4318 = 
CINT(BgL_nz00_3702); 
{ /* Eval/evaluate_fsize.scm 160 */
 int BgL_nnz00_4319;
{ /* Eval/evaluate_fsize.scm 160 */
 BgL_ev_exprz00_bglt BgL_arg1661z00_4320; long BgL_arg1662z00_4321;
BgL_arg1661z00_4320 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3701)))->BgL_bodyz00); 
BgL_arg1662z00_4321 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3701)))->BgL_varsz00)); 
BgL_nnz00_4319 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1661z00_4320, 
(int)(BgL_arg1662z00_4321)); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_3701)))->BgL_siza7eza7)=((int)BgL_nnz00_4319),BUNSPEC); 
BgL_tmpz00_5960 = BgL_nz00_4318; } } 
return 
BINT(BgL_tmpz00_5960);} } 

}



/* &fsize-ev_app1317 */
obj_t BGl_z62fsiza7ezd2ev_app1317z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3703, obj_t BgL_ez00_3704, obj_t BgL_nz00_3705)
{
{ /* Eval/evaluate_fsize.scm 151 */
{ /* Eval/evaluate_fsize.scm 152 */
 int BgL_nz00_4323;
BgL_nz00_4323 = 
CINT(BgL_nz00_3705); 
{ /* Eval/evaluate_fsize.scm 153 */
 int BgL_g1078z00_4324;
BgL_g1078z00_4324 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3704)))->BgL_funz00), BgL_nz00_4323); 
{ 
 obj_t BgL_lz00_4326; int BgL_nz00_4327; obj_t BgL_rz00_4328;
BgL_lz00_4326 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_3704)))->BgL_argsz00); 
BgL_nz00_4327 = BgL_nz00_4323; 
BgL_rz00_4328 = 
BINT(BgL_g1078z00_4324); 
BgL_recz00_4325:
if(
NULLP(BgL_lz00_4326))
{ /* Eval/evaluate_fsize.scm 154 */
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_nz00_4327), BgL_rz00_4328);}  else 
{ /* Eval/evaluate_fsize.scm 156 */
 obj_t BgL_arg1654z00_4329; long BgL_arg1655z00_4330; obj_t BgL_arg1656z00_4331;
BgL_arg1654z00_4329 = 
CDR(
((obj_t)BgL_lz00_4326)); 
BgL_arg1655z00_4330 = 
(
(long)(BgL_nz00_4327)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 156 */
 int BgL_xz00_4332;
{ /* Eval/evaluate_fsize.scm 156 */
 obj_t BgL_arg1657z00_4333;
BgL_arg1657z00_4333 = 
CAR(
((obj_t)BgL_lz00_4326)); 
BgL_xz00_4332 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1657z00_4333), BgL_nz00_4327); } 
BgL_arg1656z00_4331 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4332), BgL_rz00_4328); } 
{ 
 obj_t BgL_rz00_5993; int BgL_nz00_5991; obj_t BgL_lz00_5990;
BgL_lz00_5990 = BgL_arg1654z00_4329; 
BgL_nz00_5991 = 
(int)(BgL_arg1655z00_4330); 
BgL_rz00_5993 = BgL_arg1656z00_4331; 
BgL_rz00_4328 = BgL_rz00_5993; 
BgL_nz00_4327 = BgL_nz00_5991; 
BgL_lz00_4326 = BgL_lz00_5990; 
goto BgL_recz00_4325;} } } } } } 

}



/* &fsize-ev_goto1315 */
obj_t BGl_z62fsiza7ezd2ev_goto1315z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3706, obj_t BgL_ez00_3707, obj_t BgL_nz00_3708)
{
{ /* Eval/evaluate_fsize.scm 144 */
{ 
 obj_t BgL_lz00_4336; obj_t BgL_nz00_4337; obj_t BgL_rz00_4338;
BgL_lz00_4336 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_3707)))->BgL_argsz00); 
BgL_nz00_4337 = BgL_nz00_3708; 
BgL_rz00_4338 = BgL_nz00_3708; 
BgL_recz00_4335:
if(
NULLP(BgL_lz00_4336))
{ /* Eval/evaluate_fsize.scm 147 */
return 
BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_4337, BgL_rz00_4338);}  else 
{ /* Eval/evaluate_fsize.scm 149 */
 obj_t BgL_arg1647z00_4339; long BgL_arg1648z00_4340; obj_t BgL_arg1649z00_4341;
BgL_arg1647z00_4339 = 
CDR(
((obj_t)BgL_lz00_4336)); 
BgL_arg1648z00_4340 = 
(
(long)CINT(BgL_nz00_4337)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 149 */
 int BgL_xz00_4342;
{ /* Eval/evaluate_fsize.scm 149 */
 obj_t BgL_arg1650z00_4343;
BgL_arg1650z00_4343 = 
CAR(
((obj_t)BgL_lz00_4336)); 
BgL_xz00_4342 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1650z00_4343), 
CINT(BgL_nz00_4337)); } 
BgL_arg1649z00_4341 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4342), BgL_rz00_4338); } 
{ 
 obj_t BgL_rz00_6014; obj_t BgL_nz00_6012; obj_t BgL_lz00_6011;
BgL_lz00_6011 = BgL_arg1647z00_4339; 
BgL_nz00_6012 = 
BINT(BgL_arg1648z00_4340); 
BgL_rz00_6014 = BgL_arg1649z00_4341; 
BgL_rz00_4338 = BgL_rz00_6014; 
BgL_nz00_4337 = BgL_nz00_6012; 
BgL_lz00_4336 = BgL_lz00_6011; 
goto BgL_recz00_4335;} } } } 

}



/* &fsize-ev_labels1313 */
obj_t BGl_z62fsiza7ezd2ev_labels1313z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3709, obj_t BgL_ez00_3710, obj_t BgL_nz00_3711)
{
{ /* Eval/evaluate_fsize.scm 137 */
{ 
 obj_t BgL_lz00_4346; obj_t BgL_rz00_4347;
BgL_lz00_4346 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3710)))->BgL_valsz00); 
BgL_rz00_4347 = BgL_nz00_3711; 
BgL_recz00_4345:
if(
NULLP(BgL_lz00_4346))
{ /* Eval/evaluate_fsize.scm 141 */
 int BgL_xz00_4348;
BgL_xz00_4348 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_3710)))->BgL_bodyz00), 
CINT(BgL_nz00_3711)); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4348), BgL_rz00_4347);}  else 
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_arg1637z00_4349; obj_t BgL_arg1638z00_4350;
BgL_arg1637z00_4349 = 
CDR(
((obj_t)BgL_lz00_4346)); 
{ /* Eval/evaluate_fsize.scm 142 */
 int BgL_xz00_4351;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_arg1639z00_4352; long BgL_arg1640z00_4353;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_pairz00_4354;
BgL_pairz00_4354 = 
CAR(
((obj_t)BgL_lz00_4346)); 
BgL_arg1639z00_4352 = 
CDR(BgL_pairz00_4354); } 
{ /* Eval/evaluate_fsize.scm 142 */
 long BgL_tmpz00_6030;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_auxz00_6032;
{ /* Eval/evaluate_fsize.scm 142 */
 obj_t BgL_pairz00_4355;
BgL_pairz00_4355 = 
CAR(
((obj_t)BgL_lz00_4346)); 
BgL_auxz00_6032 = 
CAR(BgL_pairz00_4355); } 
BgL_tmpz00_6030 = 
bgl_list_length(BgL_auxz00_6032); } 
BgL_arg1640z00_4353 = 
(
(long)CINT(BgL_nz00_3711)+BgL_tmpz00_6030); } 
BgL_xz00_4351 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1639z00_4352), 
(int)(BgL_arg1640z00_4353)); } 
BgL_arg1638z00_4350 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4351), BgL_rz00_4347); } 
{ 
 obj_t BgL_rz00_6044; obj_t BgL_lz00_6043;
BgL_lz00_6043 = BgL_arg1637z00_4349; 
BgL_rz00_6044 = BgL_arg1638z00_4350; 
BgL_rz00_4347 = BgL_rz00_6044; 
BgL_lz00_4346 = BgL_lz00_6043; 
goto BgL_recz00_4345;} } } } 

}



/* &fsize-ev_letrec1311 */
obj_t BGl_z62fsiza7ezd2ev_letrec1311z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3712, obj_t BgL_ez00_3713, obj_t BgL_nz00_3714)
{
{ /* Eval/evaluate_fsize.scm 129 */
{ /* Eval/evaluate_fsize.scm 130 */
 int BgL_nz00_4357;
BgL_nz00_4357 = 
CINT(BgL_nz00_3714); 
{ /* Eval/evaluate_fsize.scm 131 */
 long BgL_nz00_4358;
BgL_nz00_4358 = 
(
(long)(BgL_nz00_4357)+
bgl_list_length(
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3713))))->BgL_valsz00))); 
{ 
 obj_t BgL_lz00_4360; obj_t BgL_rz00_4361;
{ /* Eval/evaluate_fsize.scm 132 */
 obj_t BgL_arg1623z00_4368;
BgL_arg1623z00_4368 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3713))))->BgL_valsz00); 
BgL_lz00_4360 = BgL_arg1623z00_4368; 
BgL_rz00_4361 = 
BINT(BgL_nz00_4358); 
BgL_recz00_4359:
if(
NULLP(BgL_lz00_4360))
{ /* Eval/evaluate_fsize.scm 134 */
 int BgL_xz00_4362;
{ /* Eval/evaluate_fsize.scm 134 */
 BgL_ev_exprz00_bglt BgL_arg1627z00_4363;
BgL_arg1627z00_4363 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_3713))))->BgL_bodyz00); 
BgL_xz00_4362 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1627z00_4363, 
(int)(BgL_nz00_4358)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4362), BgL_rz00_4361);}  else 
{ /* Eval/evaluate_fsize.scm 135 */
 obj_t BgL_arg1628z00_4364; obj_t BgL_arg1629z00_4365;
BgL_arg1628z00_4364 = 
CDR(
((obj_t)BgL_lz00_4360)); 
{ /* Eval/evaluate_fsize.scm 135 */
 int BgL_xz00_4366;
{ /* Eval/evaluate_fsize.scm 135 */
 obj_t BgL_arg1630z00_4367;
BgL_arg1630z00_4367 = 
CAR(
((obj_t)BgL_lz00_4360)); 
BgL_xz00_4366 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1630z00_4367), 
(int)(BgL_nz00_4358)); } 
BgL_arg1629z00_4365 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4366), BgL_rz00_4361); } 
{ 
 obj_t BgL_rz00_6076; obj_t BgL_lz00_6075;
BgL_lz00_6075 = BgL_arg1628z00_4364; 
BgL_rz00_6076 = BgL_arg1629z00_4365; 
BgL_rz00_4361 = BgL_rz00_6076; 
BgL_lz00_4360 = BgL_lz00_6075; 
goto BgL_recz00_4359;} } } } } } } 

}



/* &fsize-ev_let*1309 */
obj_t BGl_z62fsiza7ezd2ev_letza21309zb5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3715, obj_t BgL_ez00_3716, obj_t BgL_nz00_3717)
{
{ /* Eval/evaluate_fsize.scm 122 */
{ /* Eval/evaluate_fsize.scm 123 */
 int BgL_nz00_4370;
BgL_nz00_4370 = 
CINT(BgL_nz00_3717); 
{ 
 obj_t BgL_lz00_4372; int BgL_nz00_4373; obj_t BgL_rz00_4374;
{ /* Eval/evaluate_fsize.scm 124 */
 obj_t BgL_arg1614z00_4382;
BgL_arg1614z00_4382 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3716))))->BgL_valsz00); 
BgL_lz00_4372 = BgL_arg1614z00_4382; 
BgL_nz00_4373 = BgL_nz00_4370; 
BgL_rz00_4374 = 
BINT(BgL_nz00_4370); 
BgL_recz00_4371:
if(
NULLP(BgL_lz00_4372))
{ /* Eval/evaluate_fsize.scm 126 */
 int BgL_xz00_4375;
{ /* Eval/evaluate_fsize.scm 126 */
 BgL_ev_exprz00_bglt BgL_arg1617z00_4376;
BgL_arg1617z00_4376 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_3716))))->BgL_bodyz00); 
BgL_xz00_4375 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1617z00_4376, BgL_nz00_4373); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4375), BgL_rz00_4374);}  else 
{ /* Eval/evaluate_fsize.scm 127 */
 obj_t BgL_arg1618z00_4377; long BgL_arg1619z00_4378; obj_t BgL_arg1621z00_4379;
BgL_arg1618z00_4377 = 
CDR(
((obj_t)BgL_lz00_4372)); 
BgL_arg1619z00_4378 = 
(
(long)(BgL_nz00_4373)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 127 */
 int BgL_xz00_4380;
{ /* Eval/evaluate_fsize.scm 127 */
 obj_t BgL_arg1622z00_4381;
BgL_arg1622z00_4381 = 
CAR(
((obj_t)BgL_lz00_4372)); 
BgL_xz00_4380 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1622z00_4381), BgL_nz00_4373); } 
BgL_arg1621z00_4379 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4380), BgL_rz00_4374); } 
{ 
 obj_t BgL_rz00_6103; int BgL_nz00_6101; obj_t BgL_lz00_6100;
BgL_lz00_6100 = BgL_arg1618z00_4377; 
BgL_nz00_6101 = 
(int)(BgL_arg1619z00_4378); 
BgL_rz00_6103 = BgL_arg1621z00_4379; 
BgL_rz00_4374 = BgL_rz00_6103; 
BgL_nz00_4373 = BgL_nz00_6101; 
BgL_lz00_4372 = BgL_lz00_6100; 
goto BgL_recz00_4371;} } } } } } 

}



/* &fsize-ev_let1307 */
obj_t BGl_z62fsiza7ezd2ev_let1307z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3718, obj_t BgL_ez00_3719, obj_t BgL_nz00_3720)
{
{ /* Eval/evaluate_fsize.scm 115 */
{ /* Eval/evaluate_fsize.scm 116 */
 int BgL_nz00_4384;
BgL_nz00_4384 = 
CINT(BgL_nz00_3720); 
{ 
 obj_t BgL_lz00_4386; int BgL_nz00_4387; obj_t BgL_rz00_4388;
{ /* Eval/evaluate_fsize.scm 117 */
 obj_t BgL_arg1605z00_4396;
BgL_arg1605z00_4396 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3719))))->BgL_valsz00); 
BgL_lz00_4386 = BgL_arg1605z00_4396; 
BgL_nz00_4387 = BgL_nz00_4384; 
BgL_rz00_4388 = 
BINT(BgL_nz00_4384); 
BgL_recz00_4385:
if(
NULLP(BgL_lz00_4386))
{ /* Eval/evaluate_fsize.scm 119 */
 int BgL_xz00_4389;
{ /* Eval/evaluate_fsize.scm 119 */
 BgL_ev_exprz00_bglt BgL_arg1608z00_4390;
BgL_arg1608z00_4390 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_3719))))->BgL_bodyz00); 
BgL_xz00_4389 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1608z00_4390, BgL_nz00_4387); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4389), BgL_rz00_4388);}  else 
{ /* Eval/evaluate_fsize.scm 120 */
 obj_t BgL_arg1609z00_4391; long BgL_arg1611z00_4392; obj_t BgL_arg1612z00_4393;
BgL_arg1609z00_4391 = 
CDR(
((obj_t)BgL_lz00_4386)); 
BgL_arg1611z00_4392 = 
(
(long)(BgL_nz00_4387)+((long)1)); 
{ /* Eval/evaluate_fsize.scm 120 */
 int BgL_xz00_4394;
{ /* Eval/evaluate_fsize.scm 120 */
 obj_t BgL_arg1613z00_4395;
BgL_arg1613z00_4395 = 
CAR(
((obj_t)BgL_lz00_4386)); 
BgL_xz00_4394 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1613z00_4395), BgL_nz00_4387); } 
BgL_arg1612z00_4393 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4394), BgL_rz00_4388); } 
{ 
 obj_t BgL_rz00_6130; int BgL_nz00_6128; obj_t BgL_lz00_6127;
BgL_lz00_6127 = BgL_arg1609z00_4391; 
BgL_nz00_6128 = 
(int)(BgL_arg1611z00_4392); 
BgL_rz00_6130 = BgL_arg1612z00_4393; 
BgL_rz00_4388 = BgL_rz00_6130; 
BgL_nz00_4387 = BgL_nz00_6128; 
BgL_lz00_4386 = BgL_lz00_6127; 
goto BgL_recz00_4385;} } } } } } 

}



/* &fsize-ev_synchronize1305 */
obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1305zb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3721, obj_t BgL_ez00_3722, obj_t BgL_nz00_3723)
{
{ /* Eval/evaluate_fsize.scm 111 */
{ /* Eval/evaluate_fsize.scm 112 */
 int BgL_nz00_4398;
BgL_nz00_4398 = 
CINT(BgL_nz00_3723); 
{ /* Eval/evaluate_fsize.scm 113 */
 int BgL_arg1599z00_4399; obj_t BgL_arg1600z00_4400;
BgL_arg1599z00_4399 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3722)))->BgL_mutexz00), BgL_nz00_4398); 
{ /* Eval/evaluate_fsize.scm 113 */
 int BgL_xz00_4401; int BgL_yz00_4402;
BgL_xz00_4401 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3722)))->BgL_prelockz00), BgL_nz00_4398); 
BgL_yz00_4402 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_3722)))->BgL_bodyz00), BgL_nz00_4398); 
BgL_arg1600z00_4400 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4401), 
BINT(BgL_yz00_4402)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_arg1599z00_4399), BgL_arg1600z00_4400);} } } 

}



/* &fsize-ev_with-handle1303 */
obj_t BGl_z62fsiza7ezd2ev_withzd2handle1303zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3724, obj_t BgL_ez00_3725, obj_t BgL_nz00_3726)
{
{ /* Eval/evaluate_fsize.scm 107 */
{ /* Eval/evaluate_fsize.scm 108 */
 int BgL_nz00_4404;
BgL_nz00_4404 = 
CINT(BgL_nz00_3726); 
{ /* Eval/evaluate_fsize.scm 109 */
 int BgL_xz00_4405; int BgL_yz00_4406;
BgL_xz00_4405 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3725)))->BgL_handlerz00), BgL_nz00_4404); 
BgL_yz00_4406 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_3725)))->BgL_bodyz00), BgL_nz00_4404); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4405), 
BINT(BgL_yz00_4406));} } } 

}



/* &fsize-ev_unwind-prot1301 */
obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1301zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3727, obj_t BgL_ez00_3728, obj_t BgL_nz00_3729)
{
{ /* Eval/evaluate_fsize.scm 103 */
{ /* Eval/evaluate_fsize.scm 104 */
 int BgL_nz00_4408;
BgL_nz00_4408 = 
CINT(BgL_nz00_3729); 
{ /* Eval/evaluate_fsize.scm 105 */
 int BgL_xz00_4409; int BgL_yz00_4410;
BgL_xz00_4409 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3728)))->BgL_ez00), BgL_nz00_4408); 
BgL_yz00_4410 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_3728)))->BgL_bodyz00), BgL_nz00_4408); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4409), 
BINT(BgL_yz00_4410));} } } 

}



/* &fsize-ev_bind-exit1299 */
obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1299zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3730, obj_t BgL_ez00_3731, obj_t BgL_nz00_3732)
{
{ /* Eval/evaluate_fsize.scm 99 */
{ /* Eval/evaluate_fsize.scm 100 */
 int BgL_tmpz00_6167;
{ /* Eval/evaluate_fsize.scm 100 */
 int BgL_nz00_4412;
BgL_nz00_4412 = 
CINT(BgL_nz00_3732); 
{ /* Eval/evaluate_fsize.scm 101 */
 BgL_ev_exprz00_bglt BgL_arg1591z00_4413; long BgL_arg1594z00_4414;
BgL_arg1591z00_4413 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_3731)))->BgL_bodyz00); 
BgL_arg1594z00_4414 = 
(
(long)(BgL_nz00_4412)+((long)1)); 
BgL_tmpz00_6167 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1591z00_4413, 
(int)(BgL_arg1594z00_4414)); } } 
return 
BINT(BgL_tmpz00_6167);} } 

}



/* &fsize-ev_hook1297 */
obj_t BGl_z62fsiza7ezd2ev_hook1297z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3733, obj_t BgL_ez00_3734, obj_t BgL_nz00_3735)
{
{ /* Eval/evaluate_fsize.scm 95 */
{ /* Eval/evaluate_fsize.scm 96 */
 int BgL_tmpz00_6176;
{ /* Eval/evaluate_fsize.scm 96 */
 int BgL_nz00_4416;
BgL_nz00_4416 = 
CINT(BgL_nz00_3735); 
BgL_tmpz00_6176 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_ez00_3734)))->BgL_ez00), BgL_nz00_4416); } 
return 
BINT(BgL_tmpz00_6176);} } 

}



/* &fsize-ev_prog21295 */
obj_t BGl_z62fsiza7ezd2ev_prog21295z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3736, obj_t BgL_ez00_3737, obj_t BgL_nz00_3738)
{
{ /* Eval/evaluate_fsize.scm 91 */
{ /* Eval/evaluate_fsize.scm 92 */
 int BgL_nz00_4418;
BgL_nz00_4418 = 
CINT(BgL_nz00_3738); 
{ /* Eval/evaluate_fsize.scm 93 */
 int BgL_xz00_4419; int BgL_yz00_4420;
BgL_xz00_4419 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3737)))->BgL_e1z00), BgL_nz00_4418); 
BgL_yz00_4420 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_3737)))->BgL_e2z00), BgL_nz00_4418); 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4419), 
BINT(BgL_yz00_4420));} } } 

}



/* &fsize-ev_list1293 */
obj_t BGl_z62fsiza7ezd2ev_list1293z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3739, obj_t BgL_ez00_3740, obj_t BgL_nz00_3741)
{
{ /* Eval/evaluate_fsize.scm 84 */
{ /* Eval/evaluate_fsize.scm 85 */
 int BgL_nz00_4422;
BgL_nz00_4422 = 
CINT(BgL_nz00_3741); 
{ 
 obj_t BgL_lz00_4424; obj_t BgL_rz00_4425;
BgL_lz00_4424 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_ez00_3740)))->BgL_argsz00); 
BgL_rz00_4425 = 
BINT(BgL_nz00_4422); 
BgL_recz00_4423:
if(
NULLP(BgL_lz00_4424))
{ /* Eval/evaluate_fsize.scm 87 */
return BgL_rz00_4425;}  else 
{ /* Eval/evaluate_fsize.scm 89 */
 obj_t BgL_arg1585z00_4426; obj_t BgL_arg1586z00_4427;
BgL_arg1585z00_4426 = 
CDR(
((obj_t)BgL_lz00_4424)); 
{ /* Eval/evaluate_fsize.scm 89 */
 int BgL_yz00_4428;
{ /* Eval/evaluate_fsize.scm 89 */
 obj_t BgL_arg1587z00_4429;
BgL_arg1587z00_4429 = 
CAR(
((obj_t)BgL_lz00_4424)); 
BgL_yz00_4428 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1587z00_4429), BgL_nz00_4422); } 
BgL_arg1586z00_4427 = 
BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_4425, 
BINT(BgL_yz00_4428)); } 
{ 
 obj_t BgL_rz00_6204; obj_t BgL_lz00_6203;
BgL_lz00_6203 = BgL_arg1585z00_4426; 
BgL_rz00_6204 = BgL_arg1586z00_4427; 
BgL_rz00_4425 = BgL_rz00_6204; 
BgL_lz00_4424 = BgL_lz00_6203; 
goto BgL_recz00_4423;} } } } } 

}



/* &fsize-ev_if1291 */
obj_t BGl_z62fsiza7ezd2ev_if1291z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3742, obj_t BgL_ez00_3743, obj_t BgL_nz00_3744)
{
{ /* Eval/evaluate_fsize.scm 80 */
{ /* Eval/evaluate_fsize.scm 81 */
 int BgL_nz00_4431;
BgL_nz00_4431 = 
CINT(BgL_nz00_3744); 
{ /* Eval/evaluate_fsize.scm 82 */
 int BgL_arg1575z00_4432; obj_t BgL_arg1576z00_4433;
BgL_arg1575z00_4432 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3743)))->BgL_pz00), BgL_nz00_4431); 
{ /* Eval/evaluate_fsize.scm 82 */
 int BgL_xz00_4434; int BgL_yz00_4435;
BgL_xz00_4434 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3743)))->BgL_tz00), BgL_nz00_4431); 
BgL_yz00_4435 = 
BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_3743)))->BgL_ez00), BgL_nz00_4431); 
BgL_arg1576z00_4433 = 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_xz00_4434), 
BINT(BgL_yz00_4435)); } 
return 
BGl_2maxz00zz__r4_numbers_6_5z00(
BINT(BgL_arg1575z00_4432), BgL_arg1576z00_4433);} } } 

}



/* &fsize-ev_litt1289 */
obj_t BGl_z62fsiza7ezd2ev_litt1289z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3745, obj_t BgL_ez00_3746, obj_t BgL_nz00_3747)
{
{ /* Eval/evaluate_fsize.scm 77 */
return 
BINT(
CINT(BgL_nz00_3747));} 

}



/* &fsize-ev_global1287 */
obj_t BGl_z62fsiza7ezd2ev_global1287z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3748, obj_t BgL_varz00_3749, obj_t BgL_nz00_3750)
{
{ /* Eval/evaluate_fsize.scm 74 */
return 
BINT(
CINT(BgL_nz00_3750));} 

}



/* &fsize-ev_var1285 */
obj_t BGl_z62fsiza7ezd2ev_var1285z17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3751, obj_t BgL_ez00_3752, obj_t BgL_nz00_3753)
{
{ /* Eval/evaluate_fsize.scm 71 */
return 
BINT(
CINT(BgL_nz00_3753));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
{
{ /* Eval/evaluate_fsize.scm 16 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_fsiza7eza7));} 

}

#ifdef __cplusplus
}
#endif
