/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2644z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2564z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2649z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2569z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2489z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2493z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2657z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2659z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2585z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2589z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00(obj_t);
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1423z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2407z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2412z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2333z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2335z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2417z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2339z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2341z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2506z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2425z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2346z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2348z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2510z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2352z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2517z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2437z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2357z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2602z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2521z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2442z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2361z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2608z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2446z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2367z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2613z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2451z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2372z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2537z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2376z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2623z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2542z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2381z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2385z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2550z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2634z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2555z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2398z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2403z00zz__evaluate_typesz00, BgL_bgl_string2403za700za7za7_2661za7, "args", 4 );
DEFINE_STRING( BGl_string2408z00zz__evaluate_typesz00, BgL_bgl_string2408za700za7za7_2662za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1546za7622663z00, BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2401z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622664z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2665za7, BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1537za7622666z00, BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1535za7622667z00, BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2413z00zz__evaluate_typesz00, BgL_bgl_string2413za700za7za7_2668za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2669za7, BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2334z00zz__evaluate_typesz00, BgL_bgl_string2334za700za7za7_2670za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2336z00zz__evaluate_typesz00, BgL_bgl_string2336za700za7za7_2671za7, "__evaluate_types", 16 );
DEFINE_STRING( BGl_string2418z00zz__evaluate_typesz00, BgL_bgl_string2418za700za7za7_2672za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1556za7622673z00, BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2411z00zz__evaluate_typesz00, BgL_bgl_za762lambda1554za7622674z00, BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2675za7, BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762lambda1425za7622676z00, BGl_z62lambda1425z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__evaluate_typesz00, BgL_bgl_za762lambda1423za7622677z00, BGl_z62lambda1423z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2501z00zz__evaluate_typesz00, BgL_bgl_string2501za700za7za7_2678za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2679za7, BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622680z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2340z00zz__evaluate_typesz00, BgL_bgl_string2340za700za7za7_2681za7, "name", 4 );
DEFINE_STRING( BGl_string2422z00zz__evaluate_typesz00, BgL_bgl_string2422za700za7za7_2682za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2416z00zz__evaluate_typesz00, BgL_bgl_za762lambda1565za7622683z00, BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2342z00zz__evaluate_typesz00, BgL_bgl_string2342za700za7za7_2684za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__evaluate_typesz00, BgL_bgl_za762lambda1443za7622685z00, BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622686z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622687z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2507z00zz__evaluate_typesz00, BgL_bgl_string2507za700za7za7_2688za7, "mutex", 5 );
DEFINE_STRING( BGl_string2426z00zz__evaluate_typesz00, BgL_bgl_string2426za700za7za7_2689za7, "e2", 2 );
DEFINE_STRING( BGl_string2347z00zz__evaluate_typesz00, BgL_bgl_string2347za700za7za7_2690za7, "eff", 3 );
DEFINE_STRING( BGl_string2349z00zz__evaluate_typesz00, BgL_bgl_string2349za700za7za7_2691za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2420z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622692z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762lambda1764za7622693z00, BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622694z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622695z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622696z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2511z00zz__evaluate_typesz00, BgL_bgl_string2511za700za7za7_2697za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2505z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622698z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2424z00zz__evaluate_typesz00, BgL_bgl_za762lambda1592za7622699z00, BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2700za7, BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2431z00zz__evaluate_typesz00, BgL_bgl_string2431za700za7za7_2701za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__evaluate_typesz00, BgL_bgl_za762lambda1449za7622702z00, BGl_z62lambda1449z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622703z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1775za7622704z00, BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2705za7, BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622706z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762lambda1580za7622707z00, BGl_z62lambda1580z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2353z00zz__evaluate_typesz00, BgL_bgl_string2353za700za7za7_2708za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2429z00zz__evaluate_typesz00, BgL_bgl_za762lambda1576za7622709z00, BGl_z62lambda1576z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2518z00zz__evaluate_typesz00, BgL_bgl_string2518za700za7za7_2710za7, "ev_synchronize", 14 );
DEFINE_STRING( BGl_string2438z00zz__evaluate_typesz00, BgL_bgl_string2438za700za7za7_2711za7, "ev_hook", 7 );
DEFINE_STRING( BGl_string2358z00zz__evaluate_typesz00, BgL_bgl_string2358za700za7za7_2712za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622713z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__evaluate_typesz00, BgL_bgl_za762lambda1456za7622714z00, BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622715z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__evaluate_typesz00, BgL_bgl_za762lambda1610za7622716z00, BGl_z62lambda1610z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622717z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2718za7, BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762lambda1609za7622719z00, BGl_z62lambda1609z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762lambda1757za7622720z00, BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2721za7, BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2603z00zz__evaluate_typesz00, BgL_bgl_string2603za700za7za7_2722za7, "fun", 3 );
DEFINE_STRING( BGl_string2522z00zz__evaluate_typesz00, BgL_bgl_string2522za700za7za7_2723za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622724z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1601za7622725z00, BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2726za7, BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2436z00zz__evaluate_typesz00, BgL_bgl_za762lambda1599za7622727z00, BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762lambda1436za7622728z00, BGl_z62lambda1436z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2443z00zz__evaluate_typesz00, BgL_bgl_string2443za700za7za7_2729za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2362z00zz__evaluate_typesz00, BgL_bgl_string2362za700za7za7_2730za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2356z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622731z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1795za7622732z00, BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2526z00zz__evaluate_typesz00, BgL_bgl_string2526za700za7za7_2733za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2734za7, BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622735z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2609z00zz__evaluate_typesz00, BgL_bgl_string2609za700za7za7_2736za7, "tail?", 5 );
DEFINE_STRING( BGl_string2447z00zz__evaluate_typesz00, BgL_bgl_string2447za700za7za7_2737za7, "v", 1 );
DEFINE_STRING( BGl_string2368z00zz__evaluate_typesz00, BgL_bgl_string2368za700za7za7_2738za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622739z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622740z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762lambda1794za7622741z00, BGl_z62lambda1794z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1618za7622742z00, BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2441z00zz__evaluate_typesz00, BgL_bgl_za762lambda1616za7622743z00, BGl_z62lambda1616z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2360z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622744z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622745z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762lambda1800za7622746z00, BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622747z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2524z00zz__evaluate_typesz00, BgL_bgl_za762lambda1799za7622748z00, BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622749z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1635za7622750z00, BGl_z62lambda1635z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622751z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2607z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622752z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2445z00zz__evaluate_typesz00, BgL_bgl_za762lambda1634za7622753z00, BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622754z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2614z00zz__evaluate_typesz00, BgL_bgl_string2614za700za7za7_2755za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2533z00zz__evaluate_typesz00, BgL_bgl_string2533za700za7za7_2756za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622757z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2452z00zz__evaluate_typesz00, BgL_bgl_string2452za700za7za7_2758za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1481za7622759z00, BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1804za7622760z00, BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2366z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622761z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2762za7, BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2763za7, BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2373z00zz__evaluate_typesz00, BgL_bgl_string2373za700za7za7_2764za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1628za7622765z00, BGl_z62lambda1628z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2766za7, BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2538z00zz__evaluate_typesz00, BgL_bgl_string2538za700za7za7_2767za7, "boxes", 5 );
DEFINE_STRING( BGl_string2377z00zz__evaluate_typesz00, BgL_bgl_string2377za700za7za7_2768za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2769za7, BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1938za7622770z00, BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1788za7622771z00, BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2612z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622772z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1786za7622773z00, BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2450z00zz__evaluate_typesz00, BgL_bgl_za762lambda1626za7622774z00, BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762lambda1464za7622775z00, BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2620z00zz__evaluate_typesz00, BgL_bgl_string2620za700za7za7_2776za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2371z00zz__evaluate_typesz00, BgL_bgl_za762lambda1462za7622777z00, BGl_z62lambda1462z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1975za7622778z00, BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2779za7, BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1651za7622780z00, BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1974za7622781z00, BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1822za7622782z00, BGl_z62lambda1822z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1650za7622783z00, BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622784z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2536z00zz__evaluate_typesz00, BgL_bgl_za762lambda1821za7622785z00, BGl_z62lambda1821z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622786z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622787z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2624z00zz__evaluate_typesz00, BgL_bgl_string2624za700za7za7_2788za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1979za7622789z00, BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2543z00zz__evaluate_typesz00, BgL_bgl_string2543za700za7za7_2790za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1655za7622791z00, BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622792z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2463z00zz__evaluate_typesz00, BgL_bgl_string2463za700za7za7_2793za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1663za7622794z00, BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2382z00zz__evaluate_typesz00, BgL_bgl_string2382za700za7za7_2795za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2796za7, BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762lambda1662za7622797z00, BGl_z62lambda1662z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2798za7, BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2799za7, BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622800z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2386z00zz__evaluate_typesz00, BgL_bgl_string2386za700za7za7_2801za7, "p", 1 );
DEFINE_STRING( BGl_string2468z00zz__evaluate_typesz00, BgL_bgl_string2468za700za7za7_2802za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622803z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1814za7622804z00, BGl_z62lambda1814z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2622z00zz__evaluate_typesz00, BgL_bgl_za762lambda1984za7622805z00, BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762lambda1812za7622806z00, BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1643za7622807z00, BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2461z00zz__evaluate_typesz00, BgL_bgl_za762lambda1641za7622808z00, BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__evaluate_typesz00, BgL_bgl_za762lambda1490za7622809z00, BGl_z62lambda1490z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1990za7622810z00, BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2811za7, BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda1989za7622812z00, BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2551z00zz__evaluate_typesz00, BgL_bgl_string2551za700za7za7_2813za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1839za7622814z00, BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2815za7, BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762lambda1516za7622816z00, BGl_z62lambda1516z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2633z00zz__evaluate_typesz00, BgL_bgl_string2633za700za7za7_2817za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1995za7622818z00, BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622819z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1673za7622820z00, BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2390z00zz__evaluate_typesz00, BgL_bgl_string2390za700za7za7_2821za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2384z00zz__evaluate_typesz00, BgL_bgl_za762lambda1515za7622822z00, BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762lambda1994za7622823z00, BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2824za7, BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2472z00zz__evaluate_typesz00, BgL_bgl_string2472za700za7za7_2825za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1671za7622826z00, BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2635z00zz__evaluate_typesz00, BgL_bgl_string2635za700za7za7_2827za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2828za7, BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1831za7622829z00, BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2549z00zz__evaluate_typesz00, BgL_bgl_za762lambda1829za7622830z00, BGl_z62lambda1829z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1521za7622831z00, BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2556z00zz__evaluate_typesz00, BgL_bgl_string2556za700za7za7_2832za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1695za7622833z00, BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2394z00zz__evaluate_typesz00, BgL_bgl_string2394za700za7za7_2834za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1520za7622835z00, BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2476z00zz__evaluate_typesz00, BgL_bgl_string2476za700za7za7_2836za7, "body", 4 );
DEFINE_STRING( BGl_string2399z00zz__evaluate_typesz00, BgL_bgl_string2399za700za7za7_2837za7, "ev_if", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762lambda2001za7622838z00, BGl_z62lambda2001z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda2000za7622839z00, BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762lambda1694za7622840z00, BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2841za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2640z00zz__evaluate_typesz00, BgL_bgl_string2640za700za7za7_2842za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1848za7622843z00, BGl_z62lambda1848z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1527za7622844z00, BGl_z62lambda1527z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2554z00zz__evaluate_typesz00, BgL_bgl_za762lambda1846za7622845z00, BGl_z62lambda1846z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1703za7622846z00, BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2392z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622847z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2848za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2474z00zz__evaluate_typesz00, BgL_bgl_za762lambda1702za7622849z00, BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda2008za7622850z00, BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2481z00zz__evaluate_typesz00, BgL_bgl_string2481za700za7za7_2851za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda2007za7622852z00, BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762lambda1866za7622853z00, BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2854za7, BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2645z00zz__evaluate_typesz00, BgL_bgl_string2645za700za7za7_2855za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1865za7622856z00, BGl_z62lambda1865z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2857za7, BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622858z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2565z00zz__evaluate_typesz00, BgL_bgl_string2565za700za7za7_2859za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1872za7622860z00, BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1688za7622861z00, BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622862z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1686za7622863z00, BGl_z62lambda1686z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2864za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762lambda1871za7622865z00, BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda2015za7622866z00, BGl_z62lambda2015z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2867za7, BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762lambda2014za7622868z00, BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622869z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2650z00zz__evaluate_typesz00, BgL_bgl_string2650za700za7za7_2870za7, "inner", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1877za7622871z00, BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1722za7622872z00, BGl_z62lambda1722z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2570z00zz__evaluate_typesz00, BgL_bgl_string2570za700za7za7_2873za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1721za7622874z00, BGl_z62lambda1721z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2875za7, BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2490z00zz__evaluate_typesz00, BgL_bgl_string2490za700za7za7_2876za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622877z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda2022za7622878z00, BGl_z62lambda2022z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2879za7, BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762lambda1726za7622880z00, BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__evaluate_typesz00, BgL_bgl_za762lambda2021za7622881z00, BGl_z62lambda2021z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1885za7622882z00, BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2883za7, BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2568z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622884z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1712za7622885z00, BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2494z00zz__evaluate_typesz00, BgL_bgl_string2494za700za7za7_2886za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1710za7622887z00, BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2658z00zz__evaluate_typesz00, BgL_bgl_string2658za700za7za7_2888za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2889za7, BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762lambda2029za7622890z00, BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1891za7622891z00, BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__evaluate_typesz00, BgL_bgl_za762lambda2028za7622892z00, BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622893z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1742za7622894z00, BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2660z00zz__evaluate_typesz00, BgL_bgl_string2660za700za7za7_2895za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2896za7, BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2897za7, BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1741za7622898z00, BGl_z62lambda1741z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1968za7622899z00, BGl_z62lambda1968z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2580z00zz__evaluate_typesz00, BgL_bgl_string2580za700za7za7_2900za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1897za7622901z00, BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2656z00zz__evaluate_typesz00, BgL_bgl_za762lambda1966za7622902z00, BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622903z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2904za7, BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622905z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762lambda1858za7622906z00, BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622907z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622908z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2909za7, BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1735za7622910z00, BGl_z62lambda1735z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2586z00zz__evaluate_typesz00, BgL_bgl_string2586za700za7za7_2911za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622912z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622913z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622914z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622915z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2590z00zz__evaluate_typesz00, BgL_bgl_string2590za700za7za7_2916za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1919za7622917z00, BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622918z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622919z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2597z00zz__evaluate_typesz00, BgL_bgl_string2597za700za7za7_2920za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622921z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622922z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2923za7, BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1908za7622924z00, BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762lambda1904za7622925z00, BGl_z62lambda1904z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622926z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1944za7622927z00, BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2480z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2644z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2564z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2649z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2569z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2489z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2493z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2657z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2659z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2579z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2585z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2589z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2596z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2402z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2407z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2412z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2333z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2335z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2417z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2339z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2500z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2421z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2341z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2506z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2425z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2346z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2348z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2510z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2430z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2352z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2517z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2437z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2357z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2602z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2521z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2442z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2361z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2525z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2608z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2446z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2367z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2613z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2532z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2451z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2372z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2537z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2619z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2376z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2623z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2542z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2462z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2381z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2385z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2467z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2389z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2550z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2632z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2471z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2634z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2555z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2393z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2475z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2639z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2398z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1970>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2030>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2023>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2016>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2009>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2002>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1940>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1910>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1860>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1898>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1886>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1879>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1850>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1833>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1840>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1816>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1823>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1790>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1759>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1737>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1714>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1690>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1675>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1645>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1630>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1620>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1603>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1582>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1569>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1558>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1539>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1510>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1494>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1466>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1438>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1450>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1428>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4213, char * BgL_fromz00_4214)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2333z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2334z00zz__evaluate_typesz00); 
BGl_symbol2335z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2336z00zz__evaluate_typesz00); 
BGl_symbol2339z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2340z00zz__evaluate_typesz00); 
BGl_symbol2341z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2342z00zz__evaluate_typesz00); 
BGl_symbol2346z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2347z00zz__evaluate_typesz00); 
BGl_symbol2348z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2349z00zz__evaluate_typesz00); 
BGl_symbol2352z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2353z00zz__evaluate_typesz00); 
BGl_symbol2357z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2358z00zz__evaluate_typesz00); 
BGl_symbol2361z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2362z00zz__evaluate_typesz00); 
BGl_symbol2367z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2368z00zz__evaluate_typesz00); 
BGl_symbol2372z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2373z00zz__evaluate_typesz00); 
BGl_symbol2376z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2377z00zz__evaluate_typesz00); 
BGl_symbol2381z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2382z00zz__evaluate_typesz00); 
BGl_symbol2385z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2386z00zz__evaluate_typesz00); 
BGl_symbol2389z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00); 
BGl_symbol2393z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00); 
BGl_symbol2398z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2399z00zz__evaluate_typesz00); 
BGl_symbol2402z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00); 
BGl_symbol2407z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2408z00zz__evaluate_typesz00); 
BGl_symbol2412z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2413z00zz__evaluate_typesz00); 
BGl_symbol2417z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2418z00zz__evaluate_typesz00); 
BGl_symbol2421z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00); 
BGl_symbol2425z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2426z00zz__evaluate_typesz00); 
BGl_symbol2430z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00); 
BGl_symbol2437z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2438z00zz__evaluate_typesz00); 
BGl_symbol2442z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2443z00zz__evaluate_typesz00); 
BGl_symbol2446z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2447z00zz__evaluate_typesz00); 
BGl_symbol2451z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2452z00zz__evaluate_typesz00); 
BGl_symbol2462z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00); 
BGl_symbol2467z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00); 
BGl_symbol2471z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00); 
BGl_symbol2475z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00); 
BGl_symbol2480z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00); 
BGl_symbol2489z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2490z00zz__evaluate_typesz00); 
BGl_symbol2493z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2494z00zz__evaluate_typesz00); 
BGl_symbol2500z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00); 
BGl_symbol2506z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2507z00zz__evaluate_typesz00); 
BGl_symbol2510z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2511z00zz__evaluate_typesz00); 
BGl_symbol2517z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2518z00zz__evaluate_typesz00); 
BGl_symbol2521z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2522z00zz__evaluate_typesz00); 
BGl_symbol2525z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00); 
BGl_symbol2532z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00); 
BGl_symbol2537z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2538z00zz__evaluate_typesz00); 
BGl_symbol2542z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2543z00zz__evaluate_typesz00); 
BGl_symbol2550z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2551z00zz__evaluate_typesz00); 
BGl_symbol2555z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2556z00zz__evaluate_typesz00); 
BGl_symbol2564z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2565z00zz__evaluate_typesz00); 
BGl_symbol2569z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2570z00zz__evaluate_typesz00); 
BGl_symbol2579z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00); 
BGl_symbol2585z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2586z00zz__evaluate_typesz00); 
BGl_symbol2589z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2590z00zz__evaluate_typesz00); 
BGl_symbol2596z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00); 
BGl_symbol2602z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2603z00zz__evaluate_typesz00); 
BGl_symbol2608z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2609z00zz__evaluate_typesz00); 
BGl_symbol2613z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2614z00zz__evaluate_typesz00); 
BGl_symbol2619z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00); 
BGl_symbol2623z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2624z00zz__evaluate_typesz00); 
BGl_symbol2632z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00); 
BGl_symbol2634z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2635z00zz__evaluate_typesz00); 
BGl_symbol2639z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00); 
BGl_symbol2644z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2645z00zz__evaluate_typesz00); 
BGl_symbol2649z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2650z00zz__evaluate_typesz00); 
BGl_symbol2657z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2658z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2659z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2660z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_arg1421z00_1104; obj_t BgL_arg1422z00_1105;
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1285z00_1115;
BgL_v1285z00_1115 = 
create_vector(((long)0)); 
BgL_arg1421z00_1104 = BgL_v1285z00_1115; } 
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1286z00_1116;
BgL_v1286z00_1116 = 
create_vector(((long)0)); 
BgL_arg1422z00_1105 = BgL_v1286z00_1116; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2333z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2332z00zz__evaluate_typesz00, BGl_proc2331z00zz__evaluate_typesz00, BFALSE, BGl_proc2330z00zz__evaluate_typesz00, BFALSE, BgL_arg1421z00_1104, BgL_arg1422z00_1105); } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_arg1432z00_1123; obj_t BgL_arg1433z00_1124;
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1287z00_1137;
BgL_v1287z00_1137 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1287z00_1137,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2339z00zz__evaluate_typesz00, BGl_proc2338z00zz__evaluate_typesz00, BGl_proc2337z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1137,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2346z00zz__evaluate_typesz00, BGl_proc2345z00zz__evaluate_typesz00, BGl_proc2344z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2343z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1137,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2352z00zz__evaluate_typesz00, BGl_proc2351z00zz__evaluate_typesz00, BGl_proc2350z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1432z00_1123 = BgL_v1287z00_1137; } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1288z00_1171;
BgL_v1288z00_1171 = 
create_vector(((long)0)); 
BgL_arg1433z00_1124 = BgL_v1288z00_1171; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2357z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2356z00zz__evaluate_typesz00, BGl_proc2355z00zz__evaluate_typesz00, BFALSE, BGl_proc2354z00zz__evaluate_typesz00, BFALSE, BgL_arg1432z00_1123, BgL_arg1433z00_1124); } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_arg1460z00_1178; obj_t BgL_arg1461z00_1179;
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1289z00_1192;
BgL_v1289z00_1192 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1289z00_1192,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2360z00zz__evaluate_typesz00, BGl_proc2359z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1192,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2339z00zz__evaluate_typesz00, BGl_proc2364z00zz__evaluate_typesz00, BGl_proc2363z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1192,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2367z00zz__evaluate_typesz00, BGl_proc2366z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1460z00_1178 = BgL_v1289z00_1192; } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1290z00_1223;
BgL_v1290z00_1223 = 
create_vector(((long)0)); 
BgL_arg1461z00_1179 = BgL_v1290z00_1223; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2372z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2371z00zz__evaluate_typesz00, BGl_proc2370z00zz__evaluate_typesz00, BFALSE, BGl_proc2369z00zz__evaluate_typesz00, BFALSE, BgL_arg1460z00_1178, BgL_arg1461z00_1179); } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_arg1486z00_1230; obj_t BgL_arg1489z00_1231;
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1291z00_1242;
BgL_v1291z00_1242 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1291z00_1242,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2376z00zz__evaluate_typesz00, BGl_proc2375z00zz__evaluate_typesz00, BGl_proc2374z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1486z00_1230 = BgL_v1291z00_1242; } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1292z00_1253;
BgL_v1292z00_1253 = 
create_vector(((long)0)); 
BgL_arg1489z00_1231 = BgL_v1292z00_1253; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2381z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2380z00zz__evaluate_typesz00, BGl_proc2379z00zz__evaluate_typesz00, BFALSE, BGl_proc2378z00zz__evaluate_typesz00, BFALSE, BgL_arg1486z00_1230, BgL_arg1489z00_1231); } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_arg1504z00_1260; obj_t BgL_arg1505z00_1261;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1293z00_1274;
BgL_v1293z00_1274 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1293z00_1274,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2385z00zz__evaluate_typesz00, BGl_proc2384z00zz__evaluate_typesz00, BGl_proc2383z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1293z00_1274,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1293z00_1274,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1504z00_1260 = BgL_v1293z00_1274; } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1294z00_1305;
BgL_v1294z00_1305 = 
create_vector(((long)0)); 
BgL_arg1505z00_1261 = BgL_v1294z00_1305; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2398z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2397z00zz__evaluate_typesz00, BGl_proc2396z00zz__evaluate_typesz00, BFALSE, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_1260, BgL_arg1505z00_1261); } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_arg1533z00_1312; obj_t BgL_arg1534z00_1313;
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1295z00_1324;
BgL_v1295z00_1324 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1295z00_1324,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2402z00zz__evaluate_typesz00, BGl_proc2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1533z00_1312 = BgL_v1295z00_1324; } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1296z00_1335;
BgL_v1296z00_1335 = 
create_vector(((long)0)); 
BgL_arg1534z00_1313 = BgL_v1296z00_1335; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2407z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2406z00zz__evaluate_typesz00, BGl_proc2405z00zz__evaluate_typesz00, BFALSE, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BgL_arg1533z00_1312, BgL_arg1534z00_1313); } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_arg1552z00_1342; obj_t BgL_arg1553z00_1343;
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1297z00_1354;
BgL_v1297z00_1354 = 
create_vector(((long)0)); 
BgL_arg1552z00_1342 = BgL_v1297z00_1354; } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1298z00_1355;
BgL_v1298z00_1355 = 
create_vector(((long)0)); 
BgL_arg1553z00_1343 = BgL_v1298z00_1355; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2412z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2411z00zz__evaluate_typesz00, BGl_proc2410z00zz__evaluate_typesz00, BFALSE, BGl_proc2409z00zz__evaluate_typesz00, BFALSE, BgL_arg1552z00_1342, BgL_arg1553z00_1343); } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_arg1563z00_1362; obj_t BgL_arg1564z00_1363;
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1299z00_1374;
BgL_v1299z00_1374 = 
create_vector(((long)0)); 
BgL_arg1563z00_1362 = BgL_v1299z00_1374; } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1300z00_1375;
BgL_v1300z00_1375 = 
create_vector(((long)0)); 
BgL_arg1564z00_1363 = BgL_v1300z00_1375; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2417z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2416z00zz__evaluate_typesz00, BGl_proc2415z00zz__evaluate_typesz00, BFALSE, BGl_proc2414z00zz__evaluate_typesz00, BFALSE, BgL_arg1563z00_1362, BgL_arg1564z00_1363); } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_arg1574z00_1382; obj_t BgL_arg1575z00_1383;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1301z00_1395;
BgL_v1301z00_1395 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1301z00_1395,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2421z00zz__evaluate_typesz00, BGl_proc2420z00zz__evaluate_typesz00, BGl_proc2419z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1301z00_1395,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2425z00zz__evaluate_typesz00, BGl_proc2424z00zz__evaluate_typesz00, BGl_proc2423z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1574z00_1382 = BgL_v1301z00_1395; } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1302z00_1416;
BgL_v1302z00_1416 = 
create_vector(((long)0)); 
BgL_arg1575z00_1383 = BgL_v1302z00_1416; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2430z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2429z00zz__evaluate_typesz00, BGl_proc2428z00zz__evaluate_typesz00, BFALSE, BGl_proc2427z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_1382, BgL_arg1575z00_1383); } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_arg1597z00_1423; obj_t BgL_arg1598z00_1424;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1303z00_1435;
BgL_v1303z00_1435 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1303z00_1435,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2433z00zz__evaluate_typesz00, BGl_proc2432z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1597z00_1423 = BgL_v1303z00_1435; } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1304z00_1446;
BgL_v1304z00_1446 = 
create_vector(((long)0)); 
BgL_arg1598z00_1424 = BgL_v1304z00_1446; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2437z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, BFALSE, BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BgL_arg1597z00_1423, BgL_arg1598z00_1424); } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_arg1614z00_1453; obj_t BgL_arg1615z00_1454;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1305z00_1465;
BgL_v1305z00_1465 = 
create_vector(((long)0)); 
BgL_arg1614z00_1453 = BgL_v1305z00_1465; } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1306z00_1466;
BgL_v1306z00_1466 = 
create_vector(((long)0)); 
BgL_arg1615z00_1454 = BgL_v1306z00_1466; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2442z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2441z00zz__evaluate_typesz00, BGl_proc2440z00zz__evaluate_typesz00, BFALSE, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BgL_arg1614z00_1453, BgL_arg1615z00_1454); } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_arg1624z00_1473; obj_t BgL_arg1625z00_1474;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1307z00_1486;
BgL_v1307z00_1486 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1307z00_1486,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2446z00zz__evaluate_typesz00, BGl_proc2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1624z00_1473 = BgL_v1307z00_1486; } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1308z00_1497;
BgL_v1308z00_1497 = 
create_vector(((long)0)); 
BgL_arg1625z00_1474 = BgL_v1308z00_1497; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2451z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2450z00zz__evaluate_typesz00, BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BgL_arg1624z00_1473, BgL_arg1625z00_1474); } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_arg1639z00_1504; obj_t BgL_arg1640z00_1505;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1309z00_1519;
BgL_v1309z00_1519 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1309z00_1519,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2454z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1519,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2339z00zz__evaluate_typesz00, BGl_proc2456z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2341z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1519,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2367z00zz__evaluate_typesz00, BGl_proc2458z00zz__evaluate_typesz00, BGl_proc2457z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1639z00_1504 = BgL_v1309z00_1519; } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1310z00_1550;
BgL_v1310z00_1550 = 
create_vector(((long)0)); 
BgL_arg1640z00_1505 = BgL_v1310z00_1550; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2462z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2461z00zz__evaluate_typesz00, BGl_proc2460z00zz__evaluate_typesz00, BFALSE, BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_1504, BgL_arg1640z00_1505); } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_arg1669z00_1557; obj_t BgL_arg1670z00_1558;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1311z00_1572;
BgL_v1311z00_1572 = 
create_vector(((long)0)); 
BgL_arg1669z00_1557 = BgL_v1311z00_1572; } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1312z00_1573;
BgL_v1312z00_1573 = 
create_vector(((long)0)); 
BgL_arg1670z00_1558 = BgL_v1312z00_1573; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2467z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2466z00zz__evaluate_typesz00, BGl_proc2465z00zz__evaluate_typesz00, BFALSE, BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1669z00_1557, BgL_arg1670z00_1558); } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_arg1684z00_1580; obj_t BgL_arg1685z00_1581;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1313z00_1593;
BgL_v1313z00_1593 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1313z00_1593,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2471z00zz__evaluate_typesz00, BGl_proc2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1593,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1684z00_1580 = BgL_v1313z00_1593; } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1314z00_1614;
BgL_v1314z00_1614 = 
create_vector(((long)0)); 
BgL_arg1685z00_1581 = BgL_v1314z00_1614; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2480z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1684z00_1580, BgL_arg1685z00_1581); } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_arg1708z00_1621; obj_t BgL_arg1709z00_1622;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1315z00_1634;
BgL_v1315z00_1634 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1315z00_1634,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2393z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1634,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2485z00zz__evaluate_typesz00, BGl_proc2484z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1708z00_1621 = BgL_v1315z00_1634; } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1316z00_1655;
BgL_v1316z00_1655 = 
create_vector(((long)0)); 
BgL_arg1709z00_1622 = BgL_v1316z00_1655; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2489z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2488z00zz__evaluate_typesz00, BGl_proc2487z00zz__evaluate_typesz00, BFALSE, BGl_proc2486z00zz__evaluate_typesz00, BFALSE, BgL_arg1708z00_1621, BgL_arg1709z00_1622); } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_arg1731z00_1662; obj_t BgL_arg1732z00_1663;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1317z00_1675;
BgL_v1317z00_1675 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1317z00_1675,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2493z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, BGl_proc2491z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1675,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1731z00_1662 = BgL_v1317z00_1675; } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1318z00_1696;
BgL_v1318z00_1696 = 
create_vector(((long)0)); 
BgL_arg1732z00_1663 = BgL_v1318z00_1696; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2500z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, BFALSE, BGl_proc2497z00zz__evaluate_typesz00, BFALSE, BgL_arg1731z00_1662, BgL_arg1732z00_1663); } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_arg1753z00_1703; obj_t BgL_arg1754z00_1704;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1319z00_1718;
BgL_v1319z00_1718 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1319z00_1718,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, BGl_proc2502z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2506z00zz__evaluate_typesz00, BGl_proc2505z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2510z00zz__evaluate_typesz00, BGl_proc2509z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1718,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, BGl_proc2512z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1753z00_1703 = BgL_v1319z00_1718; } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1320z00_1759;
BgL_v1320z00_1759 = 
create_vector(((long)0)); 
BgL_arg1754z00_1704 = BgL_v1320z00_1759; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2517z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2516z00zz__evaluate_typesz00, BGl_proc2515z00zz__evaluate_typesz00, BFALSE, BGl_proc2514z00zz__evaluate_typesz00, BFALSE, BgL_arg1753z00_1703, BgL_arg1754z00_1704); } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_arg1784z00_1766; obj_t BgL_arg1785z00_1767;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1321z00_1780;
BgL_v1321z00_1780 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1321z00_1780,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2521z00zz__evaluate_typesz00, BGl_proc2520z00zz__evaluate_typesz00, BGl_proc2519z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1780,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2524z00zz__evaluate_typesz00, BGl_proc2523z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1321z00_1780,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1784z00_1766 = BgL_v1321z00_1780; } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1322z00_1811;
BgL_v1322z00_1811 = 
create_vector(((long)0)); 
BgL_arg1785z00_1767 = BgL_v1322z00_1811; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2532z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2531z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BGl_proc2529z00zz__evaluate_typesz00, BFALSE, BgL_arg1784z00_1766, BgL_arg1785z00_1767); } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_arg1809z00_1818; obj_t BgL_arg1811z00_1819;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1323z00_1833;
BgL_v1323z00_1833 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1323z00_1833,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2537z00zz__evaluate_typesz00, BGl_proc2536z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2534z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1809z00_1818 = BgL_v1323z00_1833; } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1324z00_1847;
BgL_v1324z00_1847 = 
create_vector(((long)0)); 
BgL_arg1811z00_1819 = BgL_v1324z00_1847; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2542z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2541z00zz__evaluate_typesz00, BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BgL_arg1809z00_1818, BgL_arg1811z00_1819); } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_arg1827z00_1854; obj_t BgL_arg1828z00_1855;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1325z00_1869;
BgL_v1325z00_1869 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1325z00_1869,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2537z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2544z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1827z00_1854 = BgL_v1325z00_1869; } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1326z00_1883;
BgL_v1326z00_1883 = 
create_vector(((long)0)); 
BgL_arg1828z00_1855 = BgL_v1326z00_1883; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2550z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, BFALSE, BGl_proc2547z00zz__evaluate_typesz00, BFALSE, BgL_arg1827z00_1854, BgL_arg1828z00_1855); } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_arg1844z00_1890; obj_t BgL_arg1845z00_1891;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1327z00_1904;
BgL_v1327z00_1904 = 
create_vector(((long)0)); 
BgL_arg1844z00_1890 = BgL_v1327z00_1904; } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1328z00_1905;
BgL_v1328z00_1905 = 
create_vector(((long)0)); 
BgL_arg1845z00_1891 = BgL_v1328z00_1905; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2555z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2554z00zz__evaluate_typesz00, BGl_proc2553z00zz__evaluate_typesz00, BFALSE, BGl_proc2552z00zz__evaluate_typesz00, BFALSE, BgL_arg1844z00_1890, BgL_arg1845z00_1891); } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_arg1854z00_1912; obj_t BgL_arg1855z00_1913;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1329z00_1929;
BgL_v1329z00_1929 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1329z00_1929,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2521z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, BGl_proc2557z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2525z00zz__evaluate_typesz00, BGl_proc2560z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2564z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2561z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2569z00zz__evaluate_typesz00, BGl_proc2568z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2566z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2572z00zz__evaluate_typesz00, BGl_proc2571z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_1929,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2537z00zz__evaluate_typesz00, BGl_proc2575z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2573z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1854z00_1912 = BgL_v1329z00_1929; } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1330z00_1999;
BgL_v1330z00_1999 = 
create_vector(((long)0)); 
BgL_arg1855z00_1913 = BgL_v1330z00_1999; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2579z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2578z00zz__evaluate_typesz00, BGl_proc2577z00zz__evaluate_typesz00, BFALSE, BGl_proc2576z00zz__evaluate_typesz00, BFALSE, BgL_arg1854z00_1912, BgL_arg1855z00_1913); } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_arg1902z00_2006; obj_t BgL_arg1903z00_2007;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1331z00_2021;
BgL_v1331z00_2021 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1331z00_2021,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, BGl_proc2581z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2585z00zz__evaluate_typesz00, BGl_proc2584z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, BGl_proc2587z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2021,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2402z00zz__evaluate_typesz00, BGl_proc2592z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1902z00_2006 = BgL_v1331z00_2021; } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1332z00_2062;
BgL_v1332z00_2062 = 
create_vector(((long)0)); 
BgL_arg1903z00_2007 = BgL_v1332z00_2062; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2596z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2595z00zz__evaluate_typesz00, BGl_proc2594z00zz__evaluate_typesz00, BFALSE, BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BgL_arg1902z00_2006, BgL_arg1903z00_2007); } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_arg1934z00_2069; obj_t BgL_arg1935z00_2070;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1333z00_2084;
BgL_v1333z00_2084 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1333z00_2084,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2602z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2402z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, BGl_proc2604z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2084,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2608z00zz__evaluate_typesz00, BGl_proc2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1934z00_2069 = BgL_v1333z00_2084; } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1334z00_2125;
BgL_v1334z00_2125 = 
create_vector(((long)0)); 
BgL_arg1935z00_2070 = BgL_v1334z00_2125; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2613z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, BFALSE, BGl_proc2610z00zz__evaluate_typesz00, BFALSE, BgL_arg1934z00_2069, BgL_arg1935z00_2070); } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_arg1964z00_2132; obj_t BgL_arg1965z00_2133;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1335z00_2153;
BgL_v1335z00_2153 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1335z00_2153,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2361z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2619z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2623z00zz__evaluate_typesz00, BGl_proc2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2521z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2475z00zz__evaluate_typesz00, BGl_proc2628z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, BGl_proc2630z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2629z00zz__evaluate_typesz00, BGl_symbol2634z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2639z00zz__evaluate_typesz00, BGl_proc2638z00zz__evaluate_typesz00, BGl_proc2637z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2636z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2644z00zz__evaluate_typesz00, BGl_proc2643z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2641z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2649z00zz__evaluate_typesz00, BGl_proc2648z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2646z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1335z00_2153,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2537z00zz__evaluate_typesz00, BGl_proc2653z00zz__evaluate_typesz00, BGl_proc2652z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2651z00zz__evaluate_typesz00, BGl_symbol2348z00zz__evaluate_typesz00)); 
BgL_arg1964z00_2132 = BgL_v1335z00_2153; } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1336z00_2269;
BgL_v1336z00_2269 = 
create_vector(((long)0)); 
BgL_arg1965z00_2133 = BgL_v1336z00_2269; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2657z00zz__evaluate_typesz00, BGl_symbol2335z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2656z00zz__evaluate_typesz00, BGl_proc2655z00zz__evaluate_typesz00, BFALSE, BGl_proc2654z00zz__evaluate_typesz00, BFALSE, BgL_arg1964z00_2132, BgL_arg1965z00_2133), BUNSPEC) ;} } 

}



/* &<@anonymous:1970> */
obj_t BGl_z62zc3z04anonymousza31970ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3350, obj_t BgL_new1191z00_3351)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_4481;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4490;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_classz00_3826;
BgL_classz00_3826 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL__ortest_1284z00_3827;
BgL__ortest_1284z00_3827 = 
BGL_CLASS_NIL(BgL_classz00_3826); 
if(
CBOOL(BgL__ortest_1284z00_3827))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4490 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3827)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4490 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3826))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4490),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1191z00_3351)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4481 = 
((BgL_ev_absz00_bglt)BgL_new1191z00_3351); 
return 
((obj_t)BgL_auxz00_4481);} } 

}



/* &lambda1968 */
BgL_ev_absz00_bglt BGl_z62lambda1968z62zz__evaluate_typesz00(obj_t BgL_envz00_3352)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1190z00_3828;
BgL_new1190z00_3828 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1969z00_3829;
BgL_arg1969z00_3829 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_3828), BgL_arg1969z00_3829); } 
return BgL_new1190z00_3828;} } 

}



/* &lambda1966 */
BgL_ev_absz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3353, obj_t BgL_loc1180z00_3354, obj_t BgL_where1181z00_3355, obj_t BgL_arity1182z00_3356, obj_t BgL_vars1183z00_3357, obj_t BgL_body1184z00_3358, obj_t BgL_siza7e1185za7_3359, obj_t BgL_bind1186z00_3360, obj_t BgL_free1187z00_3361, obj_t BgL_inner1188z00_3362, obj_t BgL_boxes1189z00_3363)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_siza7e1185za7_3831;
BgL_siza7e1185za7_3831 = 
CINT(BgL_siza7e1185za7_3359); 
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1243z00_3832;
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1242z00_3833;
BgL_new1242z00_3833 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1967z00_3834;
BgL_arg1967z00_3834 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1242z00_3833), BgL_arg1967z00_3834); } 
BgL_new1243z00_3832 = BgL_new1242z00_3833; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_locz00)=((obj_t)BgL_loc1180z00_3354),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_wherez00)=((obj_t)BgL_where1181z00_3355),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_arityz00)=((obj_t)BgL_arity1182z00_3356),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_varsz00)=((obj_t)BgL_vars1183z00_3357),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1184z00_3358)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_siza7eza7)=((int)BgL_siza7e1185za7_3831),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_bindz00)=((obj_t)BgL_bind1186z00_3360),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_freez00)=((obj_t)BgL_free1187z00_3361),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_innerz00)=((obj_t)BgL_inner1188z00_3362),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1243z00_3832))->BgL_boxesz00)=((obj_t)BgL_boxes1189z00_3363),BUNSPEC); 
return BgL_new1243z00_3832;} } } 

}



/* &<@anonymous:2030> */
obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3364)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2029 */
obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3365, obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3366)))->BgL_boxesz00)=((obj_t)BgL_vz00_3367),BUNSPEC);} 

}



/* &lambda2028 */
obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3368, obj_t BgL_oz00_3369)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3369)))->BgL_boxesz00);} 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3370)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2022 */
obj_t BGl_z62lambda2022z62zz__evaluate_typesz00(obj_t BgL_envz00_3371, obj_t BgL_oz00_3372, obj_t BgL_vz00_3373)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3372)))->BgL_innerz00)=((obj_t)BgL_vz00_3373),BUNSPEC);} 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t BgL_envz00_3374, obj_t BgL_oz00_3375)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3375)))->BgL_innerz00);} 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3376)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__evaluate_typesz00(obj_t BgL_envz00_3377, obj_t BgL_oz00_3378, obj_t BgL_vz00_3379)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3378)))->BgL_freez00)=((obj_t)BgL_vz00_3379),BUNSPEC);} 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t BgL_envz00_3380, obj_t BgL_oz00_3381)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3381)))->BgL_freez00);} 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3382)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2008 */
obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3383, obj_t BgL_oz00_3384, obj_t BgL_vz00_3385)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3384)))->BgL_bindz00)=((obj_t)BgL_vz00_3385),BUNSPEC);} 

}



/* &lambda2007 */
obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3386, obj_t BgL_oz00_3387)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3387)))->BgL_bindz00);} 

}



/* &<@anonymous:2002> */
obj_t BGl_z62zc3z04anonymousza32002ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3388)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 

}



/* &lambda2001 */
obj_t BGl_z62lambda2001z62zz__evaluate_typesz00(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_vz00_3844;
BgL_vz00_3844 = 
CINT(BgL_vz00_3391); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3390)))->BgL_siza7eza7)=((int)BgL_vz00_3844),BUNSPEC);} } 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3393)))->BgL_siza7eza7));} 

}



/* &lambda1995 */
obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395, obj_t BgL_vz00_3396)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3395)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3396)),BUNSPEC);} 

}



/* &lambda1994 */
BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3398)))->BgL_bodyz00);} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3399, obj_t BgL_oz00_3400, obj_t BgL_vz00_3401)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3400)))->BgL_varsz00)=((obj_t)BgL_vz00_3401),BUNSPEC);} 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3403)))->BgL_varsz00);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_arityz00)=((obj_t)BgL_vz00_3406),BUNSPEC);} 

}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_arityz00);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3410)))->BgL_wherez00)=((obj_t)BgL_vz00_3411),BUNSPEC);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3413)))->BgL_wherez00);} 

}



/* &lambda1975 */
obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_oz00_3415, obj_t BgL_vz00_3416)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3415)))->BgL_locz00)=((obj_t)BgL_vz00_3416),BUNSPEC);} 

}



/* &lambda1974 */
obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3417, obj_t BgL_oz00_3418)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3418)))->BgL_locz00);} 

}



/* &<@anonymous:1940> */
obj_t BGl_z62zc3z04anonymousza31940ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_new1178z00_3420)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_4576;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3420)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4579;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_classz00_3858;
BgL_classz00_3858 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL__ortest_1284z00_3859;
BgL__ortest_1284z00_3859 = 
BGL_CLASS_NIL(BgL_classz00_3858); 
if(
CBOOL(BgL__ortest_1284z00_3859))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4579 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3859)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4579 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3858))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3420)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4579),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3420)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1178z00_3420)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4576 = 
((BgL_ev_appz00_bglt)BgL_new1178z00_3420); 
return 
((obj_t)BgL_auxz00_4576);} } 

}



/* &lambda1938 */
BgL_ev_appz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3421)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1177z00_3860;
BgL_new1177z00_3860 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1939z00_3861;
BgL_arg1939z00_3861 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_3860), BgL_arg1939z00_3861); } 
return BgL_new1177z00_3860;} } 

}



/* &lambda1936 */
BgL_ev_appz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_loc1173z00_3423, obj_t BgL_fun1174z00_3424, obj_t BgL_args1175z00_3425, obj_t BgL_tailzf31176zf3_3426)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1241z00_3863;
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1240z00_3864;
BgL_new1240z00_3864 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1937z00_3865;
BgL_arg1937z00_3865 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3864), BgL_arg1937z00_3865); } 
BgL_new1241z00_3863 = BgL_new1240z00_3864; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3863))->BgL_locz00)=((obj_t)BgL_loc1173z00_3423),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3863))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1174z00_3424)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3863))->BgL_argsz00)=((obj_t)BgL_args1175z00_3425),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1241z00_3863))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31176zf3_3426),BUNSPEC); 
return BgL_new1241z00_3863;} } 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3428)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3429),BUNSPEC);} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3431)))->BgL_tailzf3zf3);} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433, obj_t BgL_vz00_3434)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3433)))->BgL_argsz00)=((obj_t)BgL_vz00_3434),BUNSPEC);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3436)))->BgL_argsz00);} 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3438)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3439)),BUNSPEC);} 

}



/* &lambda1949 */
BgL_ev_exprz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3441)))->BgL_funz00);} 

}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_oz00_3443, obj_t BgL_vz00_3444)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3443)))->BgL_locz00)=((obj_t)BgL_vz00_3444),BUNSPEC);} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_oz00_3446)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3446)))->BgL_locz00);} 

}



/* &<@anonymous:1910> */
obj_t BGl_z62zc3z04anonymousza31910ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_new1171z00_3448)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_4624;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3448)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_4627;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3876;
BgL_classz00_3876 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1284z00_3877;
BgL__ortest_1284z00_3877 = 
BGL_CLASS_NIL(BgL_classz00_3876); 
if(
CBOOL(BgL__ortest_1284z00_3877))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4627 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_3877)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4627 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3876))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3448)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4627),BUNSPEC); } 
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4636;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3878;
BgL_classz00_3878 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1284z00_3879;
BgL__ortest_1284z00_3879 = 
BGL_CLASS_NIL(BgL_classz00_3878); 
if(
CBOOL(BgL__ortest_1284z00_3879))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4636 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1284z00_3879)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4636 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3878))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3448)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4636),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3448)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4624 = 
((BgL_ev_gotoz00_bglt)BgL_new1171z00_3448); 
return 
((obj_t)BgL_auxz00_4624);} } 

}



/* &lambda1908 */
BgL_ev_gotoz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3449)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1170z00_3880;
BgL_new1170z00_3880 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1909z00_3881;
BgL_arg1909z00_3881 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_3880), BgL_arg1909z00_3881); } 
return BgL_new1170z00_3880;} } 

}



/* &lambda1904 */
BgL_ev_gotoz00_bglt BGl_z62lambda1904z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_loc1166z00_3451, obj_t BgL_label1167z00_3452, obj_t BgL_labels1168z00_3453, obj_t BgL_args1169z00_3454)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1239z00_3884;
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1238z00_3885;
BgL_new1238z00_3885 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1907z00_3886;
BgL_arg1907z00_3886 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3885), BgL_arg1907z00_3886); } 
BgL_new1239z00_3884 = BgL_new1238z00_3885; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3884))->BgL_locz00)=((obj_t)BgL_loc1166z00_3451),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3884))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1167z00_3452)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3884))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1168z00_3453)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1239z00_3884))->BgL_argsz00)=((obj_t)BgL_args1169z00_3454),BUNSPEC); 
return BgL_new1239z00_3884;} } 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456, obj_t BgL_vz00_3457)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3456)))->BgL_argsz00)=((obj_t)BgL_vz00_3457),BUNSPEC);} 

}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3459)))->BgL_argsz00);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3461)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3462)),BUNSPEC);} 

}



/* &lambda1924 */
BgL_ev_labelsz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3464)))->BgL_labelsz00);} 

}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3466)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3467)),BUNSPEC);} 

}



/* &lambda1919 */
BgL_ev_varz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3469)))->BgL_labelz00);} 

}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_oz00_3471, obj_t BgL_vz00_3472)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3471)))->BgL_locz00)=((obj_t)BgL_vz00_3472),BUNSPEC);} 

}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_oz00_3474)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3474)))->BgL_locz00);} 

}



/* &<@anonymous:1860> */
obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3475, obj_t BgL_new1164z00_3476)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4681;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4690;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_classz00_3898;
BgL_classz00_3898 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL__ortest_1284z00_3899;
BgL__ortest_1284z00_3899 = 
BGL_CLASS_NIL(BgL_classz00_3898); 
if(
CBOOL(BgL__ortest_1284z00_3899))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4690 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3899)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4690 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3898))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4690),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4681 = 
((BgL_ev_labelsz00_bglt)BgL_new1164z00_3476); 
return 
((obj_t)BgL_auxz00_4681);} } 

}



/* &lambda1858 */
BgL_ev_labelsz00_bglt BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t BgL_envz00_3477)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1163z00_3900;
BgL_new1163z00_3900 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1859z00_3901;
BgL_arg1859z00_3901 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1163z00_3900), BgL_arg1859z00_3901); } 
return BgL_new1163z00_3900;} } 

}



/* &lambda1856 */
BgL_ev_labelsz00_bglt BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_vars1157z00_3479, obj_t BgL_vals1158z00_3480, obj_t BgL_env1159z00_3481, obj_t BgL_stk1160z00_3482, obj_t BgL_body1161z00_3483, obj_t BgL_boxes1162z00_3484)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1237z00_3903;
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1236z00_3904;
BgL_new1236z00_3904 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1857z00_3905;
BgL_arg1857z00_3905 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3904), BgL_arg1857z00_3905); } 
BgL_new1237z00_3903 = BgL_new1236z00_3904; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_varsz00)=((obj_t)BgL_vars1157z00_3479),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_valsz00)=((obj_t)BgL_vals1158z00_3480),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_envz00)=((obj_t)BgL_env1159z00_3481),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_stkz00)=((obj_t)BgL_stk1160z00_3482),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1161z00_3483)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1237z00_3903))->BgL_boxesz00)=((obj_t)BgL_boxes1162z00_3484),BUNSPEC); 
return BgL_new1237z00_3903;} } 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3485)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3487)))->BgL_boxesz00)=((obj_t)BgL_vz00_3488),BUNSPEC);} 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3490)))->BgL_boxesz00);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3491, obj_t BgL_oz00_3492, obj_t BgL_vz00_3493)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3492)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3493)),BUNSPEC);} 

}



/* &lambda1890 */
BgL_ev_exprz00_bglt BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3494, obj_t BgL_oz00_3495)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3495)))->BgL_bodyz00);} 

}



/* &<@anonymous:1886> */
obj_t BGl_z62zc3z04anonymousza31886ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3496)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3497, obj_t BgL_oz00_3498, obj_t BgL_vz00_3499)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3498)))->BgL_stkz00)=((obj_t)BgL_vz00_3499),BUNSPEC);} 

}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3500, obj_t BgL_oz00_3501)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3501)))->BgL_stkz00);} 

}



/* &<@anonymous:1879> */
obj_t BGl_z62zc3z04anonymousza31879ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3502)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1878 */
obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3504)))->BgL_envz00)=((obj_t)BgL_vz00_3505),BUNSPEC);} 

}



/* &lambda1877 */
obj_t BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3507)))->BgL_envz00);} 

}



/* &lambda1872 */
obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3508, obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3509)))->BgL_valsz00)=((obj_t)BgL_vz00_3510),BUNSPEC);} 

}



/* &lambda1871 */
obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3512)))->BgL_valsz00);} 

}



/* &lambda1866 */
obj_t BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t BgL_envz00_3513, obj_t BgL_oz00_3514, obj_t BgL_vz00_3515)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3514)))->BgL_varsz00)=((obj_t)BgL_vz00_3515),BUNSPEC);} 

}



/* &lambda1865 */
obj_t BGl_z62lambda1865z62zz__evaluate_typesz00(obj_t BgL_envz00_3516, obj_t BgL_oz00_3517)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3517)))->BgL_varsz00);} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3518, obj_t BgL_new1155z00_3519)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_4743;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3519))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3519))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4750;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_classz00_3920;
BgL_classz00_3920 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL__ortest_1284z00_3921;
BgL__ortest_1284z00_3921 = 
BGL_CLASS_NIL(BgL_classz00_3920); 
if(
CBOOL(BgL__ortest_1284z00_3921))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4750 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3921)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4750 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3920))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3519))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4750),BUNSPEC); } 
BgL_auxz00_4743 = 
((BgL_ev_letrecz00_bglt)BgL_new1155z00_3519); 
return 
((obj_t)BgL_auxz00_4743);} } 

}



/* &lambda1848 */
BgL_ev_letrecz00_bglt BGl_z62lambda1848z62zz__evaluate_typesz00(obj_t BgL_envz00_3520)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1154z00_3922;
BgL_new1154z00_3922 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1849z00_3923;
BgL_arg1849z00_3923 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_3922), BgL_arg1849z00_3923); } 
return BgL_new1154z00_3922;} } 

}



/* &lambda1846 */
BgL_ev_letrecz00_bglt BGl_z62lambda1846z62zz__evaluate_typesz00(obj_t BgL_envz00_3521, obj_t BgL_vars1151z00_3522, obj_t BgL_vals1152z00_3523, obj_t BgL_body1153z00_3524)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1235z00_3925;
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1234z00_3926;
BgL_new1234z00_3926 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1847z00_3927;
BgL_arg1847z00_3927 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3926), BgL_arg1847z00_3927); } 
BgL_new1235z00_3925 = BgL_new1234z00_3926; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3925)))->BgL_varsz00)=((obj_t)BgL_vars1151z00_3522),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3925)))->BgL_valsz00)=((obj_t)BgL_vals1152z00_3523),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1235z00_3925)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1153z00_3524)),BUNSPEC); 
return BgL_new1235z00_3925;} } 

}



/* &<@anonymous:1833> */
obj_t BGl_z62zc3z04anonymousza31833ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3525, obj_t BgL_new1149z00_3526)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_4777;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3526))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3526))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4784;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_classz00_3929;
BgL_classz00_3929 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL__ortest_1284z00_3930;
BgL__ortest_1284z00_3930 = 
BGL_CLASS_NIL(BgL_classz00_3929); 
if(
CBOOL(BgL__ortest_1284z00_3930))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4784 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3930)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4784 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3929))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3526))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4784),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3526)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4777 = 
((BgL_ev_letza2za2_bglt)BgL_new1149z00_3526); 
return 
((obj_t)BgL_auxz00_4777);} } 

}



/* &lambda1831 */
BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3527)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1148z00_3931;
BgL_new1148z00_3931 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1832z00_3932;
BgL_arg1832z00_3932 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1148z00_3931), BgL_arg1832z00_3932); } 
return BgL_new1148z00_3931;} } 

}



/* &lambda1829 */
BgL_ev_letza2za2_bglt BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_vars1144z00_3529, obj_t BgL_vals1145z00_3530, obj_t BgL_body1146z00_3531, obj_t BgL_boxes1147z00_3532)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1233z00_3934;
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1232z00_3935;
BgL_new1232z00_3935 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1830z00_3936;
BgL_arg1830z00_3936 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3935), BgL_arg1830z00_3936); } 
BgL_new1233z00_3934 = BgL_new1232z00_3935; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3934)))->BgL_varsz00)=((obj_t)BgL_vars1144z00_3529),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3934)))->BgL_valsz00)=((obj_t)BgL_vals1145z00_3530),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3934)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1146z00_3531)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1233z00_3934))->BgL_boxesz00)=((obj_t)BgL_boxes1147z00_3532),BUNSPEC); 
return BgL_new1233z00_3934;} } 

}



/* &<@anonymous:1840> */
obj_t BGl_z62zc3z04anonymousza31840ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3533)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t BgL_envz00_3534, obj_t BgL_oz00_3535, obj_t BgL_vz00_3536)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3535)))->BgL_boxesz00)=((obj_t)BgL_vz00_3536),BUNSPEC);} 

}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3537, obj_t BgL_oz00_3538)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3538)))->BgL_boxesz00);} 

}



/* &<@anonymous:1816> */
obj_t BGl_z62zc3z04anonymousza31816ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3539, obj_t BgL_new1142z00_3540)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
 BgL_ev_letz00_bglt BgL_auxz00_4818;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3540))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3540))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4825;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_classz00_3940;
BgL_classz00_3940 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL__ortest_1284z00_3941;
BgL__ortest_1284z00_3941 = 
BGL_CLASS_NIL(BgL_classz00_3940); 
if(
CBOOL(BgL__ortest_1284z00_3941))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4825 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3941)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4825 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3940))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1142z00_3540))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4825),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1142z00_3540)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4818 = 
((BgL_ev_letz00_bglt)BgL_new1142z00_3540); 
return 
((obj_t)BgL_auxz00_4818);} } 

}



/* &lambda1814 */
BgL_ev_letz00_bglt BGl_z62lambda1814z62zz__evaluate_typesz00(obj_t BgL_envz00_3541)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1141z00_3942;
BgL_new1141z00_3942 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1815z00_3943;
BgL_arg1815z00_3943 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_3942), BgL_arg1815z00_3943); } 
return BgL_new1141z00_3942;} } 

}



/* &lambda1812 */
BgL_ev_letz00_bglt BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t BgL_envz00_3542, obj_t BgL_vars1137z00_3543, obj_t BgL_vals1138z00_3544, obj_t BgL_body1139z00_3545, obj_t BgL_boxes1140z00_3546)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1231z00_3945;
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1230z00_3946;
BgL_new1230z00_3946 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1813z00_3947;
BgL_arg1813z00_3947 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3946), BgL_arg1813z00_3947); } 
BgL_new1231z00_3945 = BgL_new1230z00_3946; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3945)))->BgL_varsz00)=((obj_t)BgL_vars1137z00_3543),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3945)))->BgL_valsz00)=((obj_t)BgL_vals1138z00_3544),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3945)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1139z00_3545)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1231z00_3945))->BgL_boxesz00)=((obj_t)BgL_boxes1140z00_3546),BUNSPEC); 
return BgL_new1231z00_3945;} } 

}



/* &<@anonymous:1823> */
obj_t BGl_z62zc3z04anonymousza31823ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3547)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1822 */
obj_t BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_oz00_3549, obj_t BgL_vz00_3550)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3549)))->BgL_boxesz00)=((obj_t)BgL_vz00_3550),BUNSPEC);} 

}



/* &lambda1821 */
obj_t BGl_z62lambda1821z62zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_oz00_3552)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3552)))->BgL_boxesz00);} 

}



/* &<@anonymous:1790> */
obj_t BGl_z62zc3z04anonymousza31790ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3553, obj_t BgL_new1135z00_3554)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_4859;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3554)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3554)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4864;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_classz00_3951;
BgL_classz00_3951 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL__ortest_1284z00_3952;
BgL__ortest_1284z00_3952 = 
BGL_CLASS_NIL(BgL_classz00_3951); 
if(
CBOOL(BgL__ortest_1284z00_3952))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4864 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3952)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4864 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3951))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1135z00_3554)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4864),BUNSPEC); } 
BgL_auxz00_4859 = 
((BgL_ev_binderz00_bglt)BgL_new1135z00_3554); 
return 
((obj_t)BgL_auxz00_4859);} } 

}



/* &lambda1788 */
BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3555)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1134z00_3953;
BgL_new1134z00_3953 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1789z00_3954;
BgL_arg1789z00_3954 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1134z00_3953), BgL_arg1789z00_3954); } 
return BgL_new1134z00_3953;} } 

}



/* &lambda1786 */
BgL_ev_binderz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3556, obj_t BgL_vars1131z00_3557, obj_t BgL_vals1132z00_3558, obj_t BgL_body1133z00_3559)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1229z00_3956;
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1228z00_3957;
BgL_new1228z00_3957 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1787z00_3958;
BgL_arg1787z00_3958 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3957), BgL_arg1787z00_3958); } 
BgL_new1229z00_3956 = BgL_new1228z00_3957; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3956))->BgL_varsz00)=((obj_t)BgL_vars1131z00_3557),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3956))->BgL_valsz00)=((obj_t)BgL_vals1132z00_3558),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1229z00_3956))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1133z00_3559)),BUNSPEC); 
return BgL_new1229z00_3956;} } 

}



/* &lambda1805 */
obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3560, obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3561)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3562)),BUNSPEC);} 

}



/* &lambda1804 */
BgL_ev_exprz00_bglt BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3563, obj_t BgL_oz00_3564)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3564)))->BgL_bodyz00);} 

}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3566)))->BgL_valsz00)=((obj_t)BgL_vz00_3567),BUNSPEC);} 

}



/* &lambda1799 */
obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3569)))->BgL_valsz00);} 

}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_oz00_3571, obj_t BgL_vz00_3572)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3571)))->BgL_varsz00)=((obj_t)BgL_vz00_3572),BUNSPEC);} 

}



/* &lambda1794 */
obj_t BGl_z62lambda1794z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_oz00_3574)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3574)))->BgL_varsz00);} 

}



/* &<@anonymous:1759> */
obj_t BGl_z62zc3z04anonymousza31759ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3575, obj_t BgL_new1129z00_3576)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4900;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3576)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4903;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3967;
BgL_classz00_3967 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3968;
BgL__ortest_1284z00_3968 = 
BGL_CLASS_NIL(BgL_classz00_3967); 
if(
CBOOL(BgL__ortest_1284z00_3968))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4903 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3968)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4903 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3967))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3576)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4903),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4912;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3969;
BgL_classz00_3969 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3970;
BgL__ortest_1284z00_3970 = 
BGL_CLASS_NIL(BgL_classz00_3969); 
if(
CBOOL(BgL__ortest_1284z00_3970))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3970)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4912 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3969))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3576)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4912),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4921;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3971;
BgL_classz00_3971 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1284z00_3972;
BgL__ortest_1284z00_3972 = 
BGL_CLASS_NIL(BgL_classz00_3971); 
if(
CBOOL(BgL__ortest_1284z00_3972))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4921 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3972)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4921 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3971))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3576)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4921),BUNSPEC); } 
BgL_auxz00_4900 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1129z00_3576); 
return 
((obj_t)BgL_auxz00_4900);} } 

}



/* &lambda1757 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t BgL_envz00_3577)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1128z00_3973;
BgL_new1128z00_3973 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1758z00_3974;
BgL_arg1758z00_3974 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1128z00_3973), BgL_arg1758z00_3974); } 
return BgL_new1128z00_3973;} } 

}



/* &lambda1755 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_loc1124z00_3579, obj_t BgL_mutex1125z00_3580, obj_t BgL_prelock1126z00_3581, obj_t BgL_body1127z00_3582)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1227z00_3978;
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1226z00_3979;
BgL_new1226z00_3979 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1756z00_3980;
BgL_arg1756z00_3980 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3979), BgL_arg1756z00_3980); } 
BgL_new1227z00_3978 = BgL_new1226z00_3979; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3978))->BgL_locz00)=((obj_t)BgL_loc1124z00_3579),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3978))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1125z00_3580)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3978))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1126z00_3581)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1227z00_3978))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1127z00_3582)),BUNSPEC); 
return BgL_new1227z00_3978;} } 

}



/* &lambda1780 */
obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3584)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3585)),BUNSPEC);} 

}



/* &lambda1779 */
BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_oz00_3587)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3587)))->BgL_bodyz00);} 

}



/* &lambda1775 */
obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3589)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3590)),BUNSPEC);} 

}



/* &lambda1774 */
BgL_ev_exprz00_bglt BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3592)))->BgL_prelockz00);} 

}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3594)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3595)),BUNSPEC);} 

}



/* &lambda1768 */
BgL_ev_exprz00_bglt BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3597)))->BgL_mutexz00);} 

}



/* &lambda1764 */
obj_t BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_oz00_3599, obj_t BgL_vz00_3600)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3599)))->BgL_locz00)=((obj_t)BgL_vz00_3600),BUNSPEC);} 

}



/* &lambda1763 */
obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_oz00_3602)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3602)))->BgL_locz00);} 

}



/* &<@anonymous:1737> */
obj_t BGl_z62zc3z04anonymousza31737ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3603, obj_t BgL_new1122z00_3604)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4966;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4967;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3993;
BgL_classz00_3993 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1284z00_3994;
BgL__ortest_1284z00_3994 = 
BGL_CLASS_NIL(BgL_classz00_3993); 
if(
CBOOL(BgL__ortest_1284z00_3994))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4967 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3994)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4967 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3993))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3604)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4967),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4976;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3995;
BgL_classz00_3995 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1284z00_3996;
BgL__ortest_1284z00_3996 = 
BGL_CLASS_NIL(BgL_classz00_3995); 
if(
CBOOL(BgL__ortest_1284z00_3996))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4976 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_3996)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4976 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3995))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3604)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4976),BUNSPEC); } 
BgL_auxz00_4966 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1122z00_3604); 
return 
((obj_t)BgL_auxz00_4966);} } 

}



/* &lambda1735 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1735z62zz__evaluate_typesz00(obj_t BgL_envz00_3605)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_3997;
BgL_new1121z00_3997 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1736z00_3998;
BgL_arg1736z00_3998 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_3997), BgL_arg1736z00_3998); } 
return BgL_new1121z00_3997;} } 

}



/* &lambda1733 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_handler1119z00_3607, obj_t BgL_body1120z00_3608)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1225z00_4001;
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1224z00_4002;
BgL_new1224z00_4002 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1734z00_4003;
BgL_arg1734z00_4003 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_4002), BgL_arg1734z00_4003); } 
BgL_new1225z00_4001 = BgL_new1224z00_4002; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1225z00_4001))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1119z00_3607)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1225z00_4001))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1120z00_3608)),BUNSPEC); 
return BgL_new1225z00_4001;} } 

}



/* &lambda1749 */
obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3610)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3611)),BUNSPEC);} 

}



/* &lambda1748 */
BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3613)))->BgL_bodyz00);} 

}



/* &lambda1742 */
obj_t BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_oz00_3615, obj_t BgL_vz00_3616)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3615)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3616)),BUNSPEC);} 

}



/* &lambda1741 */
BgL_ev_exprz00_bglt BGl_z62lambda1741z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_oz00_3618)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3618)))->BgL_handlerz00);} 

}



/* &<@anonymous:1714> */
obj_t BGl_z62zc3z04anonymousza31714ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3619, obj_t BgL_new1117z00_3620)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5009;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5010;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4011;
BgL_classz00_4011 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1284z00_4012;
BgL__ortest_1284z00_4012 = 
BGL_CLASS_NIL(BgL_classz00_4011); 
if(
CBOOL(BgL__ortest_1284z00_4012))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5010 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4012)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5010 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4011))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3620)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5010),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5019;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4013;
BgL_classz00_4013 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1284z00_4014;
BgL__ortest_1284z00_4014 = 
BGL_CLASS_NIL(BgL_classz00_4013); 
if(
CBOOL(BgL__ortest_1284z00_4014))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5019 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4014)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5019 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4013))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3620)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5019),BUNSPEC); } 
BgL_auxz00_5009 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1117z00_3620); 
return 
((obj_t)BgL_auxz00_5009);} } 

}



/* &lambda1712 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3621)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_4015;
BgL_new1116z00_4015 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1713z00_4016;
BgL_arg1713z00_4016 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1116z00_4015), BgL_arg1713z00_4016); } 
return BgL_new1116z00_4015;} } 

}



/* &lambda1710 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3622, obj_t BgL_e1114z00_3623, obj_t BgL_body1115z00_3624)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1223z00_4019;
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1222z00_4020;
BgL_new1222z00_4020 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1711z00_4021;
BgL_arg1711z00_4021 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_4020), BgL_arg1711z00_4021); } 
BgL_new1223z00_4019 = BgL_new1222z00_4020; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1223z00_4019))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1114z00_3623)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1223z00_4019))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1115z00_3624)),BUNSPEC); 
return BgL_new1223z00_4019;} } 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3626)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3627)),BUNSPEC);} 

}



/* &lambda1726 */
BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3629)))->BgL_bodyz00);} 

}



/* &lambda1722 */
obj_t BGl_z62lambda1722z62zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3631)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3632)),BUNSPEC);} 

}



/* &lambda1721 */
BgL_ev_exprz00_bglt BGl_z62lambda1721z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_oz00_3634)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3634)))->BgL_ez00);} 

}



/* &<@anonymous:1690> */
obj_t BGl_z62zc3z04anonymousza31690ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3635, obj_t BgL_new1112z00_3636)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5052;
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5053;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4029;
BgL_classz00_4029 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1284z00_4030;
BgL__ortest_1284z00_4030 = 
BGL_CLASS_NIL(BgL_classz00_4029); 
if(
CBOOL(BgL__ortest_1284z00_4030))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_4030)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5053 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4029))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3636)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5053),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5062;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4031;
BgL_classz00_4031 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1284z00_4032;
BgL__ortest_1284z00_4032 = 
BGL_CLASS_NIL(BgL_classz00_4031); 
if(
CBOOL(BgL__ortest_1284z00_4032))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4032)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5062 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4031))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3636)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5062),BUNSPEC); } 
BgL_auxz00_5052 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1112z00_3636); 
return 
((obj_t)BgL_auxz00_5052);} } 

}



/* &lambda1688 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t BgL_envz00_3637)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1110z00_4033;
BgL_new1110z00_4033 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1689z00_4034;
BgL_arg1689z00_4034 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1110z00_4033), BgL_arg1689z00_4034); } 
return BgL_new1110z00_4033;} } 

}



/* &lambda1686 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1686z62zz__evaluate_typesz00(obj_t BgL_envz00_3638, obj_t BgL_var1108z00_3639, obj_t BgL_body1109z00_3640)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1221z00_4037;
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1220z00_4038;
BgL_new1220z00_4038 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1687z00_4039;
BgL_arg1687z00_4039 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_4038), BgL_arg1687z00_4039); } 
BgL_new1221z00_4037 = BgL_new1220z00_4038; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1221z00_4037))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1108z00_3639)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1221z00_4037))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1109z00_3640)),BUNSPEC); 
return BgL_new1221z00_4037;} } 

}



/* &lambda1703 */
obj_t BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3642)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3643)),BUNSPEC);} 

}



/* &lambda1702 */
BgL_ev_exprz00_bglt BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3645)))->BgL_bodyz00);} 

}



/* &lambda1695 */
obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_oz00_3647, obj_t BgL_vz00_3648)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3647)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3648)),BUNSPEC);} 

}



/* &lambda1694 */
BgL_ev_varz00_bglt BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_oz00_3650)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3650)))->BgL_varz00);} 

}



/* &<@anonymous:1675> */
obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3651, obj_t BgL_new1106z00_3652)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5095;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5096;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_classz00_4047;
BgL_classz00_4047 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL__ortest_1284z00_4048;
BgL__ortest_1284z00_4048 = 
BGL_CLASS_NIL(BgL_classz00_4047); 
if(
CBOOL(BgL__ortest_1284z00_4048))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4048)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5096 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4047))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5096),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_namez00)=((obj_t)BGl_symbol2659z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5095 = 
((BgL_ev_defglobalz00_bglt)BgL_new1106z00_3652); 
return 
((obj_t)BgL_auxz00_5095);} } 

}



/* &lambda1673 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3653)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1105z00_4049;
BgL_new1105z00_4049 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1674z00_4050;
BgL_arg1674z00_4050 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_4049), BgL_arg1674z00_4050); } 
return BgL_new1105z00_4049;} } 

}



/* &lambda1671 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_e1101z00_3655, obj_t BgL_loc1102z00_3656, obj_t BgL_name1103z00_3657, obj_t BgL_mod1104z00_3658)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1219z00_4053;
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1218z00_4054;
BgL_new1218z00_4054 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1672z00_4055;
BgL_arg1672z00_4055 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_4054), BgL_arg1672z00_4055); } 
BgL_new1219z00_4053 = BgL_new1218z00_4054; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1219z00_4053)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1101z00_3655)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4053)))->BgL_locz00)=((obj_t)BgL_loc1102z00_3656),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4053)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1103z00_3657)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1219z00_4053)))->BgL_modz00)=((obj_t)BgL_mod1104z00_3658),BUNSPEC); 
return BgL_new1219z00_4053;} } 

}



/* &<@anonymous:1645> */
obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3659, obj_t BgL_new1099z00_3660)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5135;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5136;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_classz00_4057;
BgL_classz00_4057 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL__ortest_1284z00_4058;
BgL__ortest_1284z00_4058 = 
BGL_CLASS_NIL(BgL_classz00_4057); 
if(
CBOOL(BgL__ortest_1284z00_4058))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5136 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4058)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5136 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4057))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5136),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_namez00)=((obj_t)BGl_symbol2659z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5135 = 
((BgL_ev_setglobalz00_bglt)BgL_new1099z00_3660); 
return 
((obj_t)BgL_auxz00_5135);} } 

}



/* &lambda1643 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t BgL_envz00_3661)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1098z00_4059;
BgL_new1098z00_4059 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1644z00_4060;
BgL_arg1644z00_4060 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_4059), BgL_arg1644z00_4060); } 
return BgL_new1098z00_4059;} } 

}



/* &lambda1641 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_e1094z00_3663, obj_t BgL_loc1095z00_3664, obj_t BgL_name1096z00_3665, obj_t BgL_mod1097z00_3666)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1217z00_4063;
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1216z00_4064;
BgL_new1216z00_4064 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1642z00_4065;
BgL_arg1642z00_4065 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_4064), BgL_arg1642z00_4065); } 
BgL_new1217z00_4063 = BgL_new1216z00_4064; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1217z00_4063)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1094z00_3663)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4063))->BgL_locz00)=((obj_t)BgL_loc1095z00_3664),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4063))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1096z00_3665)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1217z00_4063))->BgL_modz00)=((obj_t)BgL_mod1097z00_3666),BUNSPEC); 
return BgL_new1217z00_4063;} } 

}



/* &lambda1663 */
obj_t BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3667, obj_t BgL_oz00_3668, obj_t BgL_vz00_3669)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3668)))->BgL_modz00)=((obj_t)BgL_vz00_3669),BUNSPEC);} 

}



/* &lambda1662 */
obj_t BGl_z62lambda1662z62zz__evaluate_typesz00(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3671)))->BgL_modz00);} 

}



/* &lambda1656 */
obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3672, obj_t BgL_oz00_3673, obj_t BgL_vz00_3674)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3673)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3674)),BUNSPEC);} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3675, obj_t BgL_oz00_3676)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3676)))->BgL_namez00);} 

}



/* &lambda1651 */
obj_t BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t BgL_envz00_3677, obj_t BgL_oz00_3678, obj_t BgL_vz00_3679)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3678)))->BgL_locz00)=((obj_t)BgL_vz00_3679),BUNSPEC);} 

}



/* &lambda1650 */
obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3680, obj_t BgL_oz00_3681)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3681)))->BgL_locz00);} 

}



/* &<@anonymous:1630> */
obj_t BGl_z62zc3z04anonymousza31630ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_new1092z00_3683)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
 BgL_ev_setlocalz00_bglt BgL_auxz00_5182;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5183;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4074;
BgL_classz00_4074 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1284z00_4075;
BgL__ortest_1284z00_4075 = 
BGL_CLASS_NIL(BgL_classz00_4074); 
if(
CBOOL(BgL__ortest_1284z00_4075))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5183 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4075)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5183 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4074))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5183),BUNSPEC); } 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5193;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4076;
BgL_classz00_4076 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1284z00_4077;
BgL__ortest_1284z00_4077 = 
BGL_CLASS_NIL(BgL_classz00_4076); 
if(
CBOOL(BgL__ortest_1284z00_4077))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5193 = 
((BgL_ev_varz00_bglt)BgL__ortest_1284z00_4077)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5193 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4076))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5193),BUNSPEC); } 
BgL_auxz00_5182 = 
((BgL_ev_setlocalz00_bglt)BgL_new1092z00_3683); 
return 
((obj_t)BgL_auxz00_5182);} } 

}



/* &lambda1628 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1628z62zz__evaluate_typesz00(obj_t BgL_envz00_3684)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1091z00_4078;
BgL_new1091z00_4078 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1629z00_4079;
BgL_arg1629z00_4079 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_4078), BgL_arg1629z00_4079); } 
return BgL_new1091z00_4078;} } 

}



/* &lambda1626 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t BgL_envz00_3685, obj_t BgL_e1089z00_3686, obj_t BgL_v1090z00_3687)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1215z00_4082;
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1214z00_4083;
BgL_new1214z00_4083 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1627z00_4084;
BgL_arg1627z00_4084 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_4083), BgL_arg1627z00_4084); } 
BgL_new1215z00_4082 = BgL_new1214z00_4083; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1215z00_4082)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1089z00_3686)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1215z00_4082))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1090z00_3687)),BUNSPEC); 
return BgL_new1215z00_4082;} } 

}



/* &lambda1635 */
obj_t BGl_z62lambda1635z62zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_oz00_3689, obj_t BgL_vz00_3690)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3689)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3690)),BUNSPEC);} 

}



/* &lambda1634 */
BgL_ev_varz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_oz00_3692)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3692)))->BgL_vz00);} 

}



/* &<@anonymous:1620> */
obj_t BGl_z62zc3z04anonymousza31620ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_new1087z00_3694)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5222;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5223;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_classz00_4089;
BgL_classz00_4089 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL__ortest_1284z00_4090;
BgL__ortest_1284z00_4090 = 
BGL_CLASS_NIL(BgL_classz00_4089); 
if(
CBOOL(BgL__ortest_1284z00_4090))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4090)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5223 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4089))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1087z00_3694))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5223),BUNSPEC); } 
BgL_auxz00_5222 = 
((BgL_ev_trapz00_bglt)BgL_new1087z00_3694); 
return 
((obj_t)BgL_auxz00_5222);} } 

}



/* &lambda1618 */
BgL_ev_trapz00_bglt BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3695)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1086z00_4091;
BgL_new1086z00_4091 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1619z00_4092;
BgL_arg1619z00_4092 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1086z00_4091), BgL_arg1619z00_4092); } 
return BgL_new1086z00_4091;} } 

}



/* &lambda1616 */
BgL_ev_trapz00_bglt BGl_z62lambda1616z62zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_e1085z00_3697)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1213z00_4094;
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1212z00_4095;
BgL_new1212z00_4095 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1617z00_4096;
BgL_arg1617z00_4096 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_4095), BgL_arg1617z00_4096); } 
BgL_new1213z00_4094 = BgL_new1212z00_4095; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1213z00_4094)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1085z00_3697)),BUNSPEC); 
return BgL_new1213z00_4094;} } 

}



/* &<@anonymous:1603> */
obj_t BGl_z62zc3z04anonymousza31603ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_new1083z00_3699)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5246;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5247;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_classz00_4098;
BgL_classz00_4098 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL__ortest_1284z00_4099;
BgL__ortest_1284z00_4099 = 
BGL_CLASS_NIL(BgL_classz00_4098); 
if(
CBOOL(BgL__ortest_1284z00_4099))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5247 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4099)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5247 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4098))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1083z00_3699)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5247),BUNSPEC); } 
BgL_auxz00_5246 = 
((BgL_ev_hookz00_bglt)BgL_new1083z00_3699); 
return 
((obj_t)BgL_auxz00_5246);} } 

}



/* &lambda1601 */
BgL_ev_hookz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t BgL_envz00_3700)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1082z00_4100;
BgL_new1082z00_4100 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1602z00_4101;
BgL_arg1602z00_4101 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4100), BgL_arg1602z00_4101); } 
return BgL_new1082z00_4100;} } 

}



/* &lambda1599 */
BgL_ev_hookz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t BgL_envz00_3701, obj_t BgL_e1081z00_3702)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1211z00_4103;
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1210z00_4104;
BgL_new1210z00_4104 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1600z00_4105;
BgL_arg1600z00_4105 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4104), BgL_arg1600z00_4105); } 
BgL_new1211z00_4103 = BgL_new1210z00_4104; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1211z00_4103))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1081z00_3702)),BUNSPEC); 
return BgL_new1211z00_4103;} } 

}



/* &lambda1610 */
obj_t BGl_z62lambda1610z62zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_oz00_3704, obj_t BgL_vz00_3705)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3704)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3705)),BUNSPEC);} 

}



/* &lambda1609 */
BgL_ev_exprz00_bglt BGl_z62lambda1609z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_oz00_3707)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3707)))->BgL_ez00);} 

}



/* &<@anonymous:1582> */
obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_new1079z00_3709)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5273;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5274;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4110;
BgL_classz00_4110 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1284z00_4111;
BgL__ortest_1284z00_4111 = 
BGL_CLASS_NIL(BgL_classz00_4110); 
if(
CBOOL(BgL__ortest_1284z00_4111))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5274 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4111)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5274 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4110))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5274),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5283;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4112;
BgL_classz00_4112 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1284z00_4113;
BgL__ortest_1284z00_4113 = 
BGL_CLASS_NIL(BgL_classz00_4112); 
if(
CBOOL(BgL__ortest_1284z00_4113))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5283 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4113)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5283 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4112))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5283),BUNSPEC); } 
BgL_auxz00_5273 = 
((BgL_ev_prog2z00_bglt)BgL_new1079z00_3709); 
return 
((obj_t)BgL_auxz00_5273);} } 

}



/* &lambda1580 */
BgL_ev_prog2z00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t BgL_envz00_3710)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1078z00_4114;
BgL_new1078z00_4114 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1581z00_4115;
BgL_arg1581z00_4115 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_4114), BgL_arg1581z00_4115); } 
return BgL_new1078z00_4114;} } 

}



/* &lambda1576 */
BgL_ev_prog2z00_bglt BGl_z62lambda1576z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_e11076z00_3712, obj_t BgL_e21077z00_3713)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1209z00_4118;
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1208z00_4119;
BgL_new1208z00_4119 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1579z00_4120;
BgL_arg1579z00_4120 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4119), BgL_arg1579z00_4120); } 
BgL_new1209z00_4118 = BgL_new1208z00_4119; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1209z00_4118))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11076z00_3712)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1209z00_4118))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21077z00_3713)),BUNSPEC); 
return BgL_new1209z00_4118;} } 

}



/* &lambda1593 */
obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3714, obj_t BgL_oz00_3715, obj_t BgL_vz00_3716)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3715)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3716)),BUNSPEC);} 

}



/* &lambda1592 */
BgL_ev_exprz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t BgL_envz00_3717, obj_t BgL_oz00_3718)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3718)))->BgL_e2z00);} 

}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3719, obj_t BgL_oz00_3720, obj_t BgL_vz00_3721)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3720)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3721)),BUNSPEC);} 

}



/* &lambda1587 */
BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3722, obj_t BgL_oz00_3723)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3723)))->BgL_e1z00);} 

}



/* &<@anonymous:1569> */
obj_t BGl_z62zc3z04anonymousza31569ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3724, obj_t BgL_new1074z00_3725)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5316;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1074z00_3725))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5316 = 
((BgL_ev_andz00_bglt)BgL_new1074z00_3725); 
return 
((obj_t)BgL_auxz00_5316);} } 

}



/* &lambda1567 */
BgL_ev_andz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3726)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1073z00_4128;
BgL_new1073z00_4128 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1568z00_4129;
BgL_arg1568z00_4129 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_4128), BgL_arg1568z00_4129); } 
return BgL_new1073z00_4128;} } 

}



/* &lambda1565 */
BgL_ev_andz00_bglt BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t BgL_envz00_3727, obj_t BgL_args1072z00_3728)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1207z00_4130;
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1206z00_4131;
BgL_new1206z00_4131 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1566z00_4132;
BgL_arg1566z00_4132 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4131), BgL_arg1566z00_4132); } 
BgL_new1207z00_4130 = BgL_new1206z00_4131; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1207z00_4130)))->BgL_argsz00)=((obj_t)BgL_args1072z00_3728),BUNSPEC); 
return BgL_new1207z00_4130;} } 

}



/* &<@anonymous:1558> */
obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3729, obj_t BgL_new1070z00_3730)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5332;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1070z00_3730))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5332 = 
((BgL_ev_orz00_bglt)BgL_new1070z00_3730); 
return 
((obj_t)BgL_auxz00_5332);} } 

}



/* &lambda1556 */
BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t BgL_envz00_3731)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1069z00_4134;
BgL_new1069z00_4134 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1557z00_4135;
BgL_arg1557z00_4135 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1069z00_4134), BgL_arg1557z00_4135); } 
return BgL_new1069z00_4134;} } 

}



/* &lambda1554 */
BgL_ev_orz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t BgL_envz00_3732, obj_t BgL_args1068z00_3733)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1205z00_4136;
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1204z00_4137;
BgL_new1204z00_4137 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1555z00_4138;
BgL_arg1555z00_4138 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4137), BgL_arg1555z00_4138); } 
BgL_new1205z00_4136 = BgL_new1204z00_4137; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1205z00_4136)))->BgL_argsz00)=((obj_t)BgL_args1068z00_3733),BUNSPEC); 
return BgL_new1205z00_4136;} } 

}



/* &<@anonymous:1539> */
obj_t BGl_z62zc3z04anonymousza31539ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_new1066z00_3735)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5348;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1066z00_3735)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5348 = 
((BgL_ev_listz00_bglt)BgL_new1066z00_3735); 
return 
((obj_t)BgL_auxz00_5348);} } 

}



/* &lambda1537 */
BgL_ev_listz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t BgL_envz00_3736)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1065z00_4140;
BgL_new1065z00_4140 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1538z00_4141;
BgL_arg1538z00_4141 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_4140), BgL_arg1538z00_4141); } 
return BgL_new1065z00_4140;} } 

}



/* &lambda1535 */
BgL_ev_listz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_args1064z00_3738)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1203z00_4142;
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1202z00_4143;
BgL_new1202z00_4143 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1536z00_4144;
BgL_arg1536z00_4144 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4143), BgL_arg1536z00_4144); } 
BgL_new1203z00_4142 = BgL_new1202z00_4143; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1203z00_4142))->BgL_argsz00)=((obj_t)BgL_args1064z00_3738),BUNSPEC); 
return BgL_new1203z00_4142;} } 

}



/* &lambda1546 */
obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3740)))->BgL_argsz00)=((obj_t)BgL_vz00_3741),BUNSPEC);} 

}



/* &lambda1545 */
obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3742, obj_t BgL_oz00_3743)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3743)))->BgL_argsz00);} 

}



/* &<@anonymous:1510> */
obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3744, obj_t BgL_new1062z00_3745)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5366;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5367;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4148;
BgL_classz00_4148 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4149;
BgL__ortest_1284z00_4149 = 
BGL_CLASS_NIL(BgL_classz00_4148); 
if(
CBOOL(BgL__ortest_1284z00_4149))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5367 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4149)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5367 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4148))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5367),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5376;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4150;
BgL_classz00_4150 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4151;
BgL__ortest_1284z00_4151 = 
BGL_CLASS_NIL(BgL_classz00_4150); 
if(
CBOOL(BgL__ortest_1284z00_4151))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5376 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4151)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5376 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4150))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5376),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5385;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4152;
BgL_classz00_4152 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1284z00_4153;
BgL__ortest_1284z00_4153 = 
BGL_CLASS_NIL(BgL_classz00_4152); 
if(
CBOOL(BgL__ortest_1284z00_4153))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5385 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1284z00_4153)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5385 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4152))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5385),BUNSPEC); } 
BgL_auxz00_5366 = 
((BgL_ev_ifz00_bglt)BgL_new1062z00_3745); 
return 
((obj_t)BgL_auxz00_5366);} } 

}



/* &lambda1508 */
BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3746)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1061z00_4154;
BgL_new1061z00_4154 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1509z00_4155;
BgL_arg1509z00_4155 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1061z00_4154), BgL_arg1509z00_4155); } 
return BgL_new1061z00_4154;} } 

}



/* &lambda1506 */
BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_p1058z00_3748, obj_t BgL_t1059z00_3749, obj_t BgL_e1060z00_3750)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1201z00_4159;
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1200z00_4160;
BgL_new1200z00_4160 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1507z00_4161;
BgL_arg1507z00_4161 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4160), BgL_arg1507z00_4161); } 
BgL_new1201z00_4159 = BgL_new1200z00_4160; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4159))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1058z00_3748)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4159))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1059z00_3749)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1201z00_4159))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1060z00_3750)),BUNSPEC); 
return BgL_new1201z00_4159;} } 

}



/* &lambda1527 */
obj_t BGl_z62lambda1527z62zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752, obj_t BgL_vz00_3753)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3752)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3753)),BUNSPEC);} 

}



/* &lambda1526 */
BgL_ev_exprz00_bglt BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_oz00_3755)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3755)))->BgL_ez00);} 

}



/* &lambda1521 */
obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3756, obj_t BgL_oz00_3757, obj_t BgL_vz00_3758)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3757)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3758)),BUNSPEC);} 

}



/* &lambda1520 */
BgL_ev_exprz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3760)))->BgL_tz00);} 

}



/* &lambda1516 */
obj_t BGl_z62lambda1516z62zz__evaluate_typesz00(obj_t BgL_envz00_3761, obj_t BgL_oz00_3762, obj_t BgL_vz00_3763)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3762)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3763)),BUNSPEC);} 

}



/* &lambda1515 */
BgL_ev_exprz00_bglt BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_oz00_3765)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3765)))->BgL_pz00);} 

}



/* &<@anonymous:1494> */
obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3766, obj_t BgL_new1056z00_3767)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5425;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1056z00_3767)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5425 = 
((BgL_ev_littz00_bglt)BgL_new1056z00_3767); 
return 
((obj_t)BgL_auxz00_5425);} } 

}



/* &lambda1492 */
BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3768)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1055z00_4172;
BgL_new1055z00_4172 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1493z00_4173;
BgL_arg1493z00_4173 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1055z00_4172), BgL_arg1493z00_4173); } 
return BgL_new1055z00_4172;} } 

}



/* &lambda1490 */
BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t BgL_envz00_3769, obj_t BgL_value1054z00_3770)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1199z00_4174;
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1198z00_4175;
BgL_new1198z00_4175 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1491z00_4176;
BgL_arg1491z00_4176 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4175), BgL_arg1491z00_4176); } 
BgL_new1199z00_4174 = BgL_new1198z00_4175; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1199z00_4174))->BgL_valuez00)=((obj_t)BgL_value1054z00_3770),BUNSPEC); 
return BgL_new1199z00_4174;} } 

}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_oz00_3772, obj_t BgL_vz00_3773)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3772)))->BgL_valuez00)=((obj_t)BgL_vz00_3773),BUNSPEC);} 

}



/* &lambda1498 */
obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_oz00_3775)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3775)))->BgL_valuez00);} 

}



/* &<@anonymous:1466> */
obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3776, obj_t BgL_new1052z00_3777)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5443;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_namez00)=((obj_t)BGl_symbol2659z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5443 = 
((BgL_ev_globalz00_bglt)BgL_new1052z00_3777); 
return 
((obj_t)BgL_auxz00_5443);} } 

}



/* &lambda1464 */
BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t BgL_envz00_3778)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1051z00_4180;
BgL_new1051z00_4180 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1465z00_4181;
BgL_arg1465z00_4181 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1051z00_4180), BgL_arg1465z00_4181); } 
return BgL_new1051z00_4180;} } 

}



/* &lambda1462 */
BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t BgL_envz00_3779, obj_t BgL_loc1048z00_3780, obj_t BgL_name1049z00_3781, obj_t BgL_mod1050z00_3782)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1197z00_4183;
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1196z00_4184;
BgL_new1196z00_4184 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1463z00_4185;
BgL_arg1463z00_4185 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4184), BgL_arg1463z00_4185); } 
BgL_new1197z00_4183 = BgL_new1196z00_4184; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4183))->BgL_locz00)=((obj_t)BgL_loc1048z00_3780),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4183))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1049z00_3781)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1197z00_4183))->BgL_modz00)=((obj_t)BgL_mod1050z00_3782),BUNSPEC); 
return BgL_new1197z00_4183;} } 

}



/* &lambda1481 */
obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3783, obj_t BgL_oz00_3784, obj_t BgL_vz00_3785)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3784)))->BgL_modz00)=((obj_t)BgL_vz00_3785),BUNSPEC);} 

}



/* &lambda1480 */
obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_oz00_3787)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3787)))->BgL_modz00);} 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3788, obj_t BgL_oz00_3789, obj_t BgL_vz00_3790)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3789)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3790)),BUNSPEC);} 

}



/* &lambda1475 */
obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3792)))->BgL_namez00);} 

}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3793, obj_t BgL_oz00_3794, obj_t BgL_vz00_3795)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3794)))->BgL_locz00)=((obj_t)BgL_vz00_3795),BUNSPEC);} 

}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_oz00_3797)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3797)))->BgL_locz00);} 

}



/* &<@anonymous:1438> */
obj_t BGl_z62zc3z04anonymousza31438ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3798, obj_t BgL_new1046z00_3799)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5477;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_namez00)=((obj_t)BGl_symbol2659z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1046z00_3799)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5477 = 
((BgL_ev_varz00_bglt)BgL_new1046z00_3799); 
return 
((obj_t)BgL_auxz00_5477);} } 

}



/* &lambda1436 */
BgL_ev_varz00_bglt BGl_z62lambda1436z62zz__evaluate_typesz00(obj_t BgL_envz00_3800)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1045z00_4194;
BgL_new1045z00_4194 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1437z00_4195;
BgL_arg1437z00_4195 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1045z00_4194), BgL_arg1437z00_4195); } 
return BgL_new1045z00_4194;} } 

}



/* &lambda1434 */
BgL_ev_varz00_bglt BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3801, obj_t BgL_name1042z00_3802, obj_t BgL_eff1043z00_3803, obj_t BgL_type1044z00_3804)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1195z00_4197;
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1194z00_4198;
BgL_new1194z00_4198 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1435z00_4199;
BgL_arg1435z00_4199 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4198), BgL_arg1435z00_4199); } 
BgL_new1195z00_4197 = BgL_new1194z00_4198; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4197))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1042z00_3802)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4197))->BgL_effz00)=((obj_t)BgL_eff1043z00_3803),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1195z00_4197))->BgL_typez00)=((obj_t)BgL_type1044z00_3804),BUNSPEC); 
return BgL_new1195z00_4197;} } 

}



/* &lambda1456 */
obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3805, obj_t BgL_oz00_3806, obj_t BgL_vz00_3807)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3806)))->BgL_typez00)=((obj_t)BgL_vz00_3807),BUNSPEC);} 

}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3809)))->BgL_typez00);} 

}



/* &<@anonymous:1450> */
obj_t BGl_z62zc3z04anonymousza31450ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3810)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1449 */
obj_t BGl_z62lambda1449z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812, obj_t BgL_vz00_3813)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3812)))->BgL_effz00)=((obj_t)BgL_vz00_3813),BUNSPEC);} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3814, obj_t BgL_oz00_3815)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3815)))->BgL_effz00);} 

}



/* &lambda1443 */
obj_t BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t BgL_envz00_3816, obj_t BgL_oz00_3817, obj_t BgL_vz00_3818)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3817)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3818)),BUNSPEC);} 

}



/* &lambda1442 */
obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3819, obj_t BgL_oz00_3820)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3820)))->BgL_namez00);} 

}



/* &<@anonymous:1428> */
obj_t BGl_z62zc3z04anonymousza31428ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3821, obj_t BgL_new1040z00_3822)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1040z00_3822));} 

}



/* &lambda1425 */
BgL_ev_exprz00_bglt BGl_z62lambda1425z62zz__evaluate_typesz00(obj_t BgL_envz00_3823)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1039z00_4208;
BgL_new1039z00_4208 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1427z00_4209;
BgL_arg1427z00_4209 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1039z00_4208), BgL_arg1427z00_4209); } 
return BgL_new1039z00_4208;} } 

}



/* &lambda1423 */
BgL_ev_exprz00_bglt BGl_z62lambda1423z62zz__evaluate_typesz00(obj_t BgL_envz00_3824)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1193z00_4210;
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1192z00_4211;
BgL_new1192z00_4211 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1424z00_4212;
BgL_arg1424z00_4212 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4211), BgL_arg1424z00_4212); } 
BgL_new1193z00_4210 = BgL_new1192z00_4211; } 
return BgL_new1193z00_4210;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)14685245), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)368666432), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)377164741), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)236632712), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)80085104), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-44273703), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)190905450), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2336z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
