/*===========================================================================*/
/*   (Unsafe/base64.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:39:25 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4c-4/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4c-4/lib/bigloo/4.4c -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/base64.scm -o objs/obj_p/Unsafe/base64.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;


extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
static unsigned char BGl_encodezd2charzd2zz__base64z00(long);
static obj_t BGl_bytezd2tablezd2zz__base64z00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t, obj_t, long);
static obj_t BGl_requirezd2initializa7ationz75zz__base64z00 = BUNSPEC;
extern obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_ignoreze70ze7zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(obj_t, obj_t, obj_t, obj_t, long, long, obj_t, bool_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t, long, long);
static obj_t BGl_toplevelzd2initzd2zz__base64z00();
static obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00(obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
extern obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__base64z00();
static obj_t BGl_importedzd2moduleszd2initz00zz__base64z00();
static obj_t BGl_gczd2rootszd2initz00zz__base64z00();
static obj_t BGl_objectzd2initzd2zz__base64z00();
extern bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t, obj_t, obj_t);
static long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00(obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_methodzd2initzd2zz__base64z00();
static obj_t BGl_profzd2initzd2zz__base64z00();
extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
extern bool_t rgc_fill_buffer(obj_t);
static obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t, obj_t);
extern obj_t make_string(long, unsigned char);
extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00(obj_t, obj_t);
extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_base64zd2decodezd2grammarz00zz__base64z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl_pemzd2markupzd2grammarz00zz__base64z00 = BUNSPEC;
extern obj_t rgc_buffer_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_close_output_port(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2envz00zz__base64z00, BgL_bgl__base64za7d2encode2334za7, opt_generic_entry, BGl__base64zd2encodezd2zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2decode2335za7, opt_generic_entry, BGl__base64zd2decodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_STRING( BGl_string2310z00zz__base64z00, BgL_bgl_string2310za700za7za7_2336za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2311z00zz__base64z00, BgL_bgl_string2311za700za7za7_2337za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2312z00zz__base64z00, BgL_bgl_string2312za700za7za7_2338za7, "pem-decode-port", 15 );
DEFINE_STRING( BGl_string2313z00zz__base64z00, BgL_bgl_string2313za700za7za7_2339za7, "Illegal character in PEM markup", 31 );
DEFINE_STRING( BGl_string2314z00zz__base64z00, BgL_bgl_string2314za700za7za7_2340za7, "{~a}~a", 6 );
DEFINE_STRING( BGl_string2315z00zz__base64z00, BgL_bgl_string2315za700za7za7_2341za7, "Illegal PEM markup", 18 );
DEFINE_STRING( BGl_string2316z00zz__base64z00, BgL_bgl_string2316za700za7za7_2342za7, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", 64 );
DEFINE_STRING( BGl_string2317z00zz__base64z00, BgL_bgl_string2317za700za7za7_2343za7, "/builddir/build/BUILD/bigloo-4.4c-4/runtime/Unsafe/base64.scm", 61 );
DEFINE_STRING( BGl_string2318z00zz__base64z00, BgL_bgl_string2318za700za7za7_2344za7, "_base64-encode", 14 );
DEFINE_STRING( BGl_string2319z00zz__base64z00, BgL_bgl_string2319za700za7za7_2345za7, "bstring", 7 );
DEFINE_STRING( BGl_string2320z00zz__base64z00, BgL_bgl_string2320za700za7za7_2346za7, "_base64-encode-port", 19 );
DEFINE_STRING( BGl_string2321z00zz__base64z00, BgL_bgl_string2321za700za7za7_2347za7, "input-port", 10 );
DEFINE_STRING( BGl_string2322z00zz__base64z00, BgL_bgl_string2322za700za7za7_2348za7, "output-port", 11 );
DEFINE_STRING( BGl_string2323z00zz__base64z00, BgL_bgl_string2323za700za7za7_2349za7, "_base64-decode", 14 );
DEFINE_STRING( BGl_string2324z00zz__base64z00, BgL_bgl_string2324za700za7za7_2350za7, "_base64-decode-port", 19 );
DEFINE_STRING( BGl_string2326z00zz__base64z00, BgL_bgl_string2326za700za7za7_2351za7, "BEGIN ", 6 );
DEFINE_STRING( BGl_string2327z00zz__base64z00, BgL_bgl_string2327za700za7za7_2352za7, "Illegal PEM begin markup", 24 );
DEFINE_STRING( BGl_string2328z00zz__base64z00, BgL_bgl_string2328za700za7za7_2353za7, "&pem-decode-port", 16 );
DEFINE_STRING( BGl_string2329z00zz__base64z00, BgL_bgl_string2329za700za7za7_2354za7, "END ", 4 );
DEFINE_STRING( BGl_string2330z00zz__base64z00, BgL_bgl_string2330za700za7za7_2355za7, "PEM begin/end markup mismatch", 29 );
DEFINE_STRING( BGl_string2331z00zz__base64z00, BgL_bgl_string2331za700za7za7_2356za7, "Illegal character", 17 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2325z00zz__base64z00, BgL_bgl_za762za7c3za704anonymo2357za7, BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00 );
DEFINE_STRING( BGl_string2332z00zz__base64z00, BgL_bgl_string2332za700za7za7_2358za7, "&pem-read-file", 14 );
DEFINE_STRING( BGl_string2333z00zz__base64z00, BgL_bgl_string2333za700za7za7_2359za7, "__base64", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2encode2360za7, opt_generic_entry, BGl__base64zd2encodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2decodeza72361za7, BGl_z62pemzd2decodezd2portz62zz__base64z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2readzd2filezd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2readza7d22362za7, BGl_z62pemzd2readzd2filez62zz__base64z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2envz00zz__base64z00, BgL_bgl__base64za7d2decode2363za7, opt_generic_entry, BGl__base64zd2decodezd2zz__base64z00, BFALSE, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_bytezd2tablezd2zz__base64z00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__base64z00) );
ADD_ROOT( (void *)(&BGl_base64zd2decodezd2grammarz00zz__base64z00) );
ADD_ROOT( (void *)(&BGl_pemzd2markupzd2grammarz00zz__base64z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/base64.scm\" 963) \"BGl_toplevelzd2initzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"byte-set!~0\" \"Unsafe/base64.scm\" 6617) \"BGl_bytezd2setz12ze70z27zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1532>\" \"Unsafe/base64.scm\" 14733) \"BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ignore~0\" \"Unsafe/base64.scm\" 14733) \"BGl_ignoreze70ze7zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1266>\" \"Unsafe/base64.scm\" 11571) \"BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"encode-char\" \"Unsafe/base64.scm\" 2471) \"BGl_encodezd2charzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl__base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl_base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl__base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl_base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"actual-string-length\" \"Unsafe/base64.scm\" 7969) \"BGl_actualzd2stringzd2lengthz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl__base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl_base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl__base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl_base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1916>\" \"Unsafe/base64.scm\" 14459) \"BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_pemzd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_z62pemzd2decodezd2portz62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1920>\" \"Unsafe/base64.scm\" 16395) \"BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_pemzd2readzd2filez00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_z62pemzd2readzd2filez62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1947>\" \"Unsafe/base64.scm\" 16938) \"BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long BgL_checksumz00_4384, char * BgL_fromz00_4385)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__base64z00))
{ 
BGl_requirezd2initializa7ationz75zz__base64z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__base64z00(); 
BGl_importedzd2moduleszd2initz00zz__base64z00(); 
BGl_toplevelzd2initzd2zz__base64z00(); 
return 
BGl_profzd2initzd2zz__base64z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
{ /* Unsafe/base64.scm 173 */
 obj_t BgL_tablez00_1242;
BgL_tablez00_1242 = 
BGl_makezd2u8vectorzd2zz__srfi4z00(((long)128), 
(uint8_t)(((long)0))); 
{ 
 long BgL_iz00_1245;
BgL_iz00_1245 = ((long)0); 
BgL_zc3z04anonymousza31245ze3z87_1246:
if(
(BgL_iz00_1245<((long)26)))
{ /* Unsafe/base64.scm 177 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1245+((long)65)), BgL_iz00_1245); 
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1245+((long)97)), 
(BgL_iz00_1245+((long)26))); 
{ 
 long BgL_iz00_4404;
BgL_iz00_4404 = 
(BgL_iz00_1245+((long)1)); 
BgL_iz00_1245 = BgL_iz00_4404; 
goto BgL_zc3z04anonymousza31245ze3z87_1246;} }  else 
{ /* Unsafe/base64.scm 177 */((bool_t)0); } } 
{ 
 long BgL_iz00_1254;
BgL_iz00_1254 = ((long)0); 
BgL_zc3z04anonymousza31252ze3z87_1255:
if(
(BgL_iz00_1254<((long)10)))
{ /* Unsafe/base64.scm 182 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1242, 
(BgL_iz00_1254+((long)48)), 
(BgL_iz00_1254+((long)52))); 
{ 
 long BgL_iz00_4411;
BgL_iz00_4411 = 
(BgL_iz00_1254+((long)1)); 
BgL_iz00_1254 = BgL_iz00_4411; 
goto BgL_zc3z04anonymousza31252ze3z87_1255;} }  else 
{ /* Unsafe/base64.scm 182 */((bool_t)0); } } 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4413;
BgL_tmpz00_4413 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)43), BgL_tmpz00_4413); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4416;
BgL_tmpz00_4416 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)45), BgL_tmpz00_4416); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4419;
BgL_tmpz00_4419 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)47), BgL_tmpz00_4419); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4422;
BgL_tmpz00_4422 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1242, ((long)95), BgL_tmpz00_4422); } BUNSPEC; 
BGl_bytezd2tablezd2zz__base64z00 = BgL_tablez00_1242; } 
{ /* Unsafe/base64.scm 300 */
 obj_t BgL_zc3z04anonymousza31266ze3z87_4093;
{ 
 int BgL_tmpz00_4425;
BgL_tmpz00_4425 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31266ze3z87_4093 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4425); } 
BGl_base64zd2decodezd2grammarz00zz__base64z00 = BgL_zc3z04anonymousza31266ze3z87_4093; } 
{ /* Unsafe/base64.scm 388 */
 obj_t BgL_zc3z04anonymousza31532ze3z87_4092;
{ 
 int BgL_tmpz00_4428;
BgL_tmpz00_4428 = 
(int)(((long)0)); 
BgL_zc3z04anonymousza31532ze3z87_4092 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4428); } 
return ( 
BGl_pemzd2markupzd2grammarz00zz__base64z00 = BgL_zc3z04anonymousza31532ze3z87_4092, BUNSPEC) ;} } 

}



/* byte-set!~0 */
obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t BgL_tz00_1261, long BgL_oz00_1262, long BgL_vz00_1263)
{
{ /* Unsafe/base64.scm 175 */
{ /* Unsafe/base64.scm 175 */
 uint8_t BgL_tmpz00_4431;
BgL_tmpz00_4431 = 
(uint8_t)(BgL_vz00_1263); 
BGL_U8VSET(BgL_tz00_1261, BgL_oz00_1262, BgL_tmpz00_4431); } 
return BUNSPEC;} 

}



/* &<@anonymous:1532> */
obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t BgL_envz00_4094, obj_t BgL_iportz00_4095, long BgL_countz00_4096)
{
{ /* Unsafe/base64.scm 388 */
{ /* Unsafe/base64.scm 388 */
 long BgL_countz00_4157;
BgL_countz00_4157 = BgL_countz00_4096; 
{ /* Unsafe/base64.scm 388 */
struct bgl_cell BgL_box2367_4158z00; 
 obj_t BgL_countz00_4158;
BgL_countz00_4158 = 
MAKE_CELL_STACK(
BINT(BgL_countz00_4157),BgL_box2367_4158z00); 
return 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4158, BgL_iportz00_4095);} } } 

}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__base64z00(obj_t BgL_countz00_4122, obj_t BgL_iportz00_4121)
{
{ /* Unsafe/base64.scm 388 */
BGl_ignoreze70ze7zz__base64z00:
{ 
 obj_t BgL_iportz00_1896; long BgL_lastzd2matchzd2_1897; long BgL_forwardz00_1898; long BgL_bufposz00_1899; obj_t BgL_iportz00_1881; long BgL_lastzd2matchzd2_1882; long BgL_forwardz00_1883; long BgL_bufposz00_1884; obj_t BgL_iportz00_1858; long BgL_lastzd2matchzd2_1859; long BgL_forwardz00_1860; long BgL_bufposz00_1861; obj_t BgL_iportz00_1837; long BgL_lastzd2matchzd2_1838; long BgL_forwardz00_1839; long BgL_bufposz00_1840; obj_t BgL_iportz00_1820; long BgL_lastzd2matchzd2_1821; long BgL_forwardz00_1822; long BgL_bufposz00_1823;
RGC_START_MATCH(BgL_iportz00_4121); 
{ /* Unsafe/base64.scm 388 */
 long BgL_matchz00_2032;
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1707z00_2061; long BgL_arg1708z00_2062;
BgL_arg1707z00_2061 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4121); 
BgL_arg1708z00_2062 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4121); 
BgL_iportz00_1896 = BgL_iportz00_4121; 
BgL_lastzd2matchzd2_1897 = ((long)3); 
BgL_forwardz00_1898 = BgL_arg1707z00_2061; 
BgL_bufposz00_1899 = BgL_arg1708z00_2062; 
BgL_zc3z04anonymousza31576ze3z87_1900:
if(
(BgL_forwardz00_1898==BgL_bufposz00_1899))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1896))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1579z00_1903; long BgL_arg1580z00_1904;
BgL_arg1579z00_1903 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1896); 
BgL_arg1580z00_1904 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1896); 
{ 
 long BgL_bufposz00_4446; long BgL_forwardz00_4445;
BgL_forwardz00_4445 = BgL_arg1579z00_1903; 
BgL_bufposz00_4446 = BgL_arg1580z00_1904; 
BgL_bufposz00_1899 = BgL_bufposz00_4446; 
BgL_forwardz00_1898 = BgL_forwardz00_4445; 
goto BgL_zc3z04anonymousza31576ze3z87_1900;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_lastzd2matchzd2_1897; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1905;
BgL_curz00_1905 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1896, BgL_forwardz00_1898); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1905)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1837 = BgL_iportz00_1896; 
BgL_lastzd2matchzd2_1838 = BgL_lastzd2matchzd2_1897; 
BgL_forwardz00_1839 = 
(((long)1)+BgL_forwardz00_1898); 
BgL_bufposz00_1840 = BgL_bufposz00_1899; 
BgL_zc3z04anonymousza31542ze3z87_1841:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1842;
RGC_STOP_MATCH(BgL_iportz00_1837, BgL_forwardz00_1839); 
BgL_newzd2matchzd2_1842 = ((long)0); 
if(
(BgL_forwardz00_1839==BgL_bufposz00_1840))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1837))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1545z00_1845; long BgL_arg1546z00_1846;
BgL_arg1545z00_1845 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1837); 
BgL_arg1546z00_1846 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1837); 
{ 
 long BgL_bufposz00_4459; long BgL_forwardz00_4458;
BgL_forwardz00_4458 = BgL_arg1545z00_1845; 
BgL_bufposz00_4459 = BgL_arg1546z00_1846; 
BgL_bufposz00_1840 = BgL_bufposz00_4459; 
BgL_forwardz00_1839 = BgL_forwardz00_4458; 
goto BgL_zc3z04anonymousza31542ze3z87_1841;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1842; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1847;
BgL_curz00_1847 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1837, BgL_forwardz00_1839); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1847)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1881 = BgL_iportz00_1837; 
BgL_lastzd2matchzd2_1882 = BgL_newzd2matchzd2_1842; 
BgL_forwardz00_1883 = 
(((long)1)+BgL_forwardz00_1839); 
BgL_bufposz00_1884 = BgL_bufposz00_1840; 
BgL_zc3z04anonymousza31564ze3z87_1885:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1886;
RGC_STOP_MATCH(BgL_iportz00_1881, BgL_forwardz00_1883); 
BgL_newzd2matchzd2_1886 = ((long)0); 
if(
(BgL_forwardz00_1883==BgL_bufposz00_1884))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1881))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1568z00_1889; long BgL_arg1571z00_1890;
BgL_arg1568z00_1889 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1881); 
BgL_arg1571z00_1890 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1881); 
{ 
 long BgL_bufposz00_4472; long BgL_forwardz00_4471;
BgL_forwardz00_4471 = BgL_arg1568z00_1889; 
BgL_bufposz00_4472 = BgL_arg1571z00_1890; 
BgL_bufposz00_1884 = BgL_bufposz00_4472; 
BgL_forwardz00_1883 = BgL_forwardz00_4471; 
goto BgL_zc3z04anonymousza31564ze3z87_1885;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1886; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1891;
BgL_curz00_1891 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1881, BgL_forwardz00_1883); 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1891)==((long)45)))
{ 
 long BgL_forwardz00_4478; long BgL_lastzd2matchzd2_4477;
BgL_lastzd2matchzd2_4477 = BgL_newzd2matchzd2_1886; 
BgL_forwardz00_4478 = 
(((long)1)+BgL_forwardz00_1883); 
BgL_forwardz00_1883 = BgL_forwardz00_4478; 
BgL_lastzd2matchzd2_1882 = BgL_lastzd2matchzd2_4477; 
goto BgL_zc3z04anonymousza31564ze3z87_1885;}  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1891)==((long)10)))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1575z00_1895;
BgL_arg1575z00_1895 = 
(((long)1)+BgL_forwardz00_1883); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3314;
RGC_STOP_MATCH(BgL_iportz00_1881, BgL_arg1575z00_1895); 
BgL_newzd2matchzd2_3314 = ((long)1); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3314; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1886; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1847)==((long)10)))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1551z00_1851;
BgL_arg1551z00_1851 = 
(((long)1)+BgL_forwardz00_1839); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3279;
RGC_STOP_MATCH(BgL_iportz00_1837, BgL_arg1551z00_1851); 
BgL_newzd2matchzd2_3279 = ((long)1); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3279; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1842; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2379z00_4492;
if(
(
(long)(BgL_curz00_1905)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2379z00_4492 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2379z00_4492 = 
(
(long)(BgL_curz00_1905)==((long)13))
; } 
if(BgL_test2379z00_4492)
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1585z00_1910;
BgL_arg1585z00_1910 = 
(((long)1)+BgL_forwardz00_1898); 
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_3329;
RGC_STOP_MATCH(BgL_iportz00_1896, BgL_arg1585z00_1910); 
BgL_newzd2matchzd2_3329 = ((long)3); 
BgL_matchz00_2032 = BgL_newzd2matchzd2_3329; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1858 = BgL_iportz00_1896; 
BgL_lastzd2matchzd2_1859 = BgL_lastzd2matchzd2_1897; 
BgL_forwardz00_1860 = 
(((long)1)+BgL_forwardz00_1898); 
BgL_bufposz00_1861 = BgL_bufposz00_1899; 
BgL_zc3z04anonymousza31553ze3z87_1862:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1863;
RGC_STOP_MATCH(BgL_iportz00_1858, BgL_forwardz00_1860); 
BgL_newzd2matchzd2_1863 = ((long)2); 
if(
(BgL_forwardz00_1860==BgL_bufposz00_1861))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1858))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1557z00_1866; long BgL_arg1558z00_1867;
BgL_arg1557z00_1866 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1858); 
BgL_arg1558z00_1867 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1858); 
{ 
 long BgL_bufposz00_4508; long BgL_forwardz00_4507;
BgL_forwardz00_4507 = BgL_arg1557z00_1866; 
BgL_bufposz00_4508 = BgL_arg1558z00_1867; 
BgL_bufposz00_1861 = BgL_bufposz00_4508; 
BgL_forwardz00_1860 = BgL_forwardz00_4507; 
goto BgL_zc3z04anonymousza31553ze3z87_1862;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1863; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1868;
BgL_curz00_1868 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1858, BgL_forwardz00_1860); 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2383z00_4510;
if(
(
(long)(BgL_curz00_1868)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2383z00_4510 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1868)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_test2383z00_4510 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2383z00_4510 = 
(
(long)(BgL_curz00_1868)==((long)45))
; } } 
if(BgL_test2383z00_4510)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1863; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1820 = BgL_iportz00_1858; 
BgL_lastzd2matchzd2_1821 = BgL_newzd2matchzd2_1863; 
BgL_forwardz00_1822 = 
(((long)1)+BgL_forwardz00_1860); 
BgL_bufposz00_1823 = BgL_bufposz00_1861; 
BgL_zc3z04anonymousza31533ze3z87_1824:
{ /* Unsafe/base64.scm 388 */
 long BgL_newzd2matchzd2_1825;
RGC_STOP_MATCH(BgL_iportz00_1820, BgL_forwardz00_1822); 
BgL_newzd2matchzd2_1825 = ((long)2); 
if(
(BgL_forwardz00_1822==BgL_bufposz00_1823))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1820))
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1536z00_1828; long BgL_arg1537z00_1829;
BgL_arg1536z00_1828 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1820); 
BgL_arg1537z00_1829 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1820); 
{ 
 long BgL_bufposz00_4527; long BgL_forwardz00_4526;
BgL_forwardz00_4526 = BgL_arg1536z00_1828; 
BgL_bufposz00_4527 = BgL_arg1537z00_1829; 
BgL_bufposz00_1823 = BgL_bufposz00_4527; 
BgL_forwardz00_1822 = BgL_forwardz00_4526; 
goto BgL_zc3z04anonymousza31533ze3z87_1824;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1825; } }  else 
{ /* Unsafe/base64.scm 388 */
 int BgL_curz00_1830;
BgL_curz00_1830 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1820, BgL_forwardz00_1822); 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2388z00_4529;
if(
(
(long)(BgL_curz00_1830)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_test2388z00_4529 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1830)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_test2388z00_4529 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_test2388z00_4529 = 
(
(long)(BgL_curz00_1830)==((long)45))
; } } 
if(BgL_test2388z00_4529)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_2032 = BgL_newzd2matchzd2_1825; }  else 
{ 
 long BgL_forwardz00_4539; long BgL_lastzd2matchzd2_4538;
BgL_lastzd2matchzd2_4538 = BgL_newzd2matchzd2_1825; 
BgL_forwardz00_4539 = 
(((long)1)+BgL_forwardz00_1822); 
BgL_forwardz00_1822 = BgL_forwardz00_4539; 
BgL_lastzd2matchzd2_1821 = BgL_lastzd2matchzd2_4538; 
goto BgL_zc3z04anonymousza31533ze3z87_1824;} } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4121); 
{ 

switch( BgL_matchz00_2032) { case ((long)3) : 

{ /* Unsafe/base64.scm 404 */
 obj_t BgL_cz00_2036;
{ /* Unsafe/base64.scm 388 */
 bool_t BgL_test2391z00_4544;
{ /* Unsafe/base64.scm 388 */
 long BgL_arg1675z00_2022;
BgL_arg1675z00_2022 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4121); 
BgL_test2391z00_4544 = 
(BgL_arg1675z00_2022==((long)0)); } 
if(BgL_test2391z00_4544)
{ /* Unsafe/base64.scm 388 */
BgL_cz00_2036 = BEOF; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_cz00_2036 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_4121)); } } 
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1683z00_2037;
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1077z00_2038;
{ /* Unsafe/base64.scm 405 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1076z00_2045;
BgL_new1076z00_2045 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 405 */
 long BgL_arg1690z00_2046;
BgL_arg1690z00_2046 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1076z00_2045), BgL_arg1690z00_2046); } 
BgL_new1077z00_2038 = BgL_new1076z00_2045; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4557;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_arg1684z00_2039;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_arg1685z00_2040;
{ /* Unsafe/base64.scm 405 */
 obj_t BgL_classz00_3346;
BgL_classz00_3346 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1685z00_2040 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3346); } 
BgL_arg1684z00_2039 = 
VECTOR_REF(BgL_arg1685z00_2040,((long)2)); } 
BgL_auxz00_4557 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1684z00_2039); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1077z00_2038)))->BgL_stackz00)=((obj_t)BgL_auxz00_4557),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_procz00)=((obj_t)BGl_string2312z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_msgz00)=((obj_t)BGl_string2313z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4567;
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_arg1686z00_2041;
BgL_arg1686z00_2041 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_iportz00_4121); 
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_list1687z00_2042;
{ /* Unsafe/base64.scm 408 */
 obj_t BgL_arg1688z00_2043;
BgL_arg1688z00_2043 = 
MAKE_YOUNG_PAIR(BgL_arg1686z00_2041, BNIL); 
BgL_list1687z00_2042 = 
MAKE_YOUNG_PAIR(BgL_cz00_2036, BgL_arg1688z00_2043); } 
BgL_auxz00_4567 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2314z00zz__base64z00, BgL_list1687z00_2042); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1077z00_2038)))->BgL_objz00)=((obj_t)BgL_auxz00_4567),BUNSPEC); } 
BgL_arg1683z00_2037 = BgL_new1077z00_2038; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1683z00_2037));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 395 */
 obj_t BgL_sz00_2047;
BgL_sz00_2047 = 
rgc_buffer_substring(BgL_iportz00_4121, ((long)0), 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4121)); 
{ /* Unsafe/base64.scm 395 */
 obj_t BgL_countez00_2048;
BgL_countez00_2048 = 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4122, BgL_iportz00_4121); 
{ /* Unsafe/base64.scm 396 */

if(
(
CELL_REF(BgL_countz00_4122)==BgL_countez00_2048))
{ /* Unsafe/base64.scm 397 */
return BgL_sz00_2047;}  else 
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1692z00_2050;
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1079z00_2051;
{ /* Unsafe/base64.scm 399 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1078z00_2057;
BgL_new1078z00_2057 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 399 */
 long BgL_arg1701z00_2058;
BgL_arg1701z00_2058 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1078z00_2057), BgL_arg1701z00_2058); } 
BgL_new1079z00_2051 = BgL_new1078z00_2057; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4589;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_arg1693z00_2052;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_arg1695z00_2053;
{ /* Unsafe/base64.scm 399 */
 obj_t BgL_classz00_3352;
BgL_classz00_3352 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1695z00_2053 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3352); } 
BgL_arg1693z00_2052 = 
VECTOR_REF(BgL_arg1695z00_2053,((long)2)); } 
BgL_auxz00_4589 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1693z00_2052); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1079z00_2051)))->BgL_stackz00)=((obj_t)BgL_auxz00_4589),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_procz00)=((obj_t)BGl_string2312z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_msgz00)=((obj_t)BGl_string2315z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_4599;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_list1696z00_2054;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_arg1698z00_2055;
{ /* Unsafe/base64.scm 402 */
 obj_t BgL_arg1700z00_2056;
BgL_arg1700z00_2056 = 
MAKE_YOUNG_PAIR(BgL_countez00_2048, BNIL); 
BgL_arg1698z00_2055 = 
MAKE_YOUNG_PAIR(
CELL_REF(BgL_countz00_4122), BgL_arg1700z00_2056); } 
BgL_list1696z00_2054 = 
MAKE_YOUNG_PAIR(BgL_sz00_2047, BgL_arg1698z00_2055); } 
BgL_auxz00_4599 = BgL_list1696z00_2054; } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1079z00_2051)))->BgL_objz00)=((obj_t)BgL_auxz00_4599),BUNSPEC); } 
BgL_arg1692z00_2050 = BgL_new1079z00_2051; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1692z00_2050));} } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 393 */
 long BgL_arg1704z00_2059;
BgL_arg1704z00_2059 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4121); 
return 
BINT(
(BgL_arg1704z00_2059-((long)1)));} break;case ((long)0) : 

{ /* Unsafe/base64.scm 390 */
 obj_t BgL_auxz00_4123;
{ /* Unsafe/base64.scm 390 */
 long BgL_arg1706z00_2060;
BgL_arg1706z00_2060 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4121); 
BgL_auxz00_4123 = 
ADDFX(
BINT(BgL_arg1706z00_2060), 
CELL_REF(BgL_countz00_4122)); } 
CELL_SET(BgL_countz00_4122, BgL_auxz00_4123); } 
{ 

goto BGl_ignoreze70ze7zz__base64z00;} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2310z00zz__base64z00, BGl_string2311z00zz__base64z00, 
BINT(BgL_matchz00_2032));} } } } } 

}



/* &<@anonymous:1266> */
obj_t BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(obj_t BgL_envz00_4097, obj_t BgL_iportz00_4098, obj_t BgL_opz00_4099, obj_t BgL_bufz00_4100, long BgL_wz00_4101, long BgL_lenz00_4102, obj_t BgL_hookz00_4103, bool_t BgL_eofzd2nozd2paddingz00_4104)
{
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
 long BgL_wz00_4165;
BgL_wz00_4165 = BgL_wz00_4101; 
{ 
 obj_t BgL_iportz00_4344; long BgL_lastzd2matchzd2_4345; long BgL_forwardz00_4346; long BgL_bufposz00_4347; obj_t BgL_iportz00_4337; long BgL_lastzd2matchzd2_4338; long BgL_forwardz00_4339; long BgL_bufposz00_4340; obj_t BgL_iportz00_4322; long BgL_lastzd2matchzd2_4323; long BgL_forwardz00_4324; long BgL_bufposz00_4325; obj_t BgL_iportz00_4311; long BgL_lastzd2matchzd2_4312; long BgL_forwardz00_4313; long BgL_bufposz00_4314; obj_t BgL_iportz00_4300; long BgL_lastzd2matchzd2_4301; long BgL_forwardz00_4302; long BgL_bufposz00_4303; obj_t BgL_iportz00_4289; long BgL_lastzd2matchzd2_4290; long BgL_forwardz00_4291; long BgL_bufposz00_4292; obj_t BgL_iportz00_4280; long BgL_lastzd2matchzd2_4281; long BgL_forwardz00_4282; long BgL_bufposz00_4283;
BgL_ignorez00_4169:
RGC_START_MATCH(BgL_iportz00_4098); 
{ /* Unsafe/base64.scm 300 */
 long BgL_matchz00_4182;
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1530z00_4183; long BgL_arg1531z00_4184;
BgL_arg1530z00_4183 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4098); 
BgL_arg1531z00_4184 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4098); 
BgL_iportz00_4311 = BgL_iportz00_4098; 
BgL_lastzd2matchzd2_4312 = ((long)8); 
BgL_forwardz00_4313 = BgL_arg1530z00_4183; 
BgL_bufposz00_4314 = BgL_arg1531z00_4184; 
BgL_statezd20zd21045z00_4178:
if(
(BgL_forwardz00_4313==BgL_bufposz00_4314))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4311))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1312z00_4315; long BgL_arg1315z00_4316;
BgL_arg1312z00_4315 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4311); 
BgL_arg1315z00_4316 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4311); 
{ 
 long BgL_bufposz00_4626; long BgL_forwardz00_4625;
BgL_forwardz00_4625 = BgL_arg1312z00_4315; 
BgL_bufposz00_4626 = BgL_arg1315z00_4316; 
BgL_bufposz00_4314 = BgL_bufposz00_4626; 
BgL_forwardz00_4313 = BgL_forwardz00_4625; 
goto BgL_statezd20zd21045z00_4178;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_lastzd2matchzd2_4312; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4317;
BgL_curz00_4317 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4311, BgL_forwardz00_4313); 
{ /* Unsafe/base64.scm 300 */

{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2395z00_4628;
if(
(
(long)(BgL_curz00_4317)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4317)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2398z00_4635;
if(
(
(long)(BgL_curz00_4317)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2398z00_4635 = 
(
(long)(BgL_curz00_4317)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2398z00_4635 = ((bool_t)0)
; } 
if(BgL_test2398z00_4635)
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2400z00_4641;
if(
(
(long)(BgL_curz00_4317)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2400z00_4641 = 
(
(long)(BgL_curz00_4317)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2400z00_4641 = ((bool_t)0)
; } 
if(BgL_test2400z00_4641)
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4317)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4317)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = 
(
(long)(BgL_curz00_4317)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2395z00_4628 = ((bool_t)0)
; } } } } } } 
if(BgL_test2395z00_4628)
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4300 = BgL_iportz00_4311; 
BgL_lastzd2matchzd2_4301 = BgL_lastzd2matchzd2_4312; 
BgL_forwardz00_4302 = 
(((long)1)+BgL_forwardz00_4313); 
BgL_bufposz00_4303 = BgL_bufposz00_4314; 
BgL_statezd23zd21048z00_4177:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4304;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2404z00_4655;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4305;
BgL_rz00_4305 = 
rgc_buffer_eof2_p(BgL_iportz00_4300, BgL_forwardz00_4302, BgL_bufposz00_4303); 
BgL_forwardz00_4302 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4300); 
BgL_bufposz00_4303 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4300); 
BgL_test2404z00_4655 = BgL_rz00_4305; } 
if(BgL_test2404z00_4655)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4300, BgL_forwardz00_4302); 
BgL_newzd2matchzd2_4304 = ((long)6); }  else 
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4300, BgL_forwardz00_4302); 
BgL_newzd2matchzd2_4304 = ((long)8); } } 
if(
(BgL_forwardz00_4302==BgL_bufposz00_4303))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4300))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1337z00_4306; long BgL_arg1338z00_4307;
BgL_arg1337z00_4306 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4300); 
BgL_arg1338z00_4307 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4300); 
{ 
 long BgL_bufposz00_4668; long BgL_forwardz00_4667;
BgL_forwardz00_4667 = BgL_arg1337z00_4306; 
BgL_bufposz00_4668 = BgL_arg1338z00_4307; 
BgL_bufposz00_4303 = BgL_bufposz00_4668; 
BgL_forwardz00_4302 = BgL_forwardz00_4667; 
goto BgL_statezd23zd21048z00_4177;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4304; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4308;
BgL_curz00_4308 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4300, BgL_forwardz00_4302); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4308)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1340z00_4309;
BgL_arg1340z00_4309 = 
(((long)1)+BgL_forwardz00_4302); 
BgL_iportz00_4337 = BgL_iportz00_4300; 
BgL_lastzd2matchzd2_4338 = BgL_newzd2matchzd2_4304; 
BgL_forwardz00_4339 = BgL_arg1340z00_4309; 
BgL_bufposz00_4340 = BgL_bufposz00_4303; 
BgL_statezd25zd21050z00_4180:
if(
(BgL_forwardz00_4339==BgL_bufposz00_4340))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4337))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1279z00_4341; long BgL_arg1282z00_4342;
BgL_arg1279z00_4341 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4337); 
BgL_arg1282z00_4342 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4337); 
{ 
 long BgL_bufposz00_4681; long BgL_forwardz00_4680;
BgL_forwardz00_4680 = BgL_arg1279z00_4341; 
BgL_bufposz00_4681 = BgL_arg1282z00_4342; 
BgL_bufposz00_4340 = BgL_bufposz00_4681; 
BgL_forwardz00_4339 = BgL_forwardz00_4680; 
goto BgL_statezd25zd21050z00_4180;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_lastzd2matchzd2_4338; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4343;
BgL_curz00_4343 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4337, BgL_forwardz00_4339); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4343)==((long)61)))
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4280 = BgL_iportz00_4337; 
BgL_lastzd2matchzd2_4281 = BgL_lastzd2matchzd2_4338; 
BgL_forwardz00_4282 = 
(((long)1)+BgL_forwardz00_4339); 
BgL_bufposz00_4283 = BgL_bufposz00_4340; 
BgL_statezd27zd21052z00_4175:
if(
(BgL_forwardz00_4282==BgL_bufposz00_4283))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4280))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1372z00_4284; long BgL_arg1373z00_4285;
BgL_arg1372z00_4284 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4280); 
BgL_arg1373z00_4285 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4280); 
{ 
 long BgL_bufposz00_4693; long BgL_forwardz00_4692;
BgL_forwardz00_4692 = BgL_arg1372z00_4284; 
BgL_bufposz00_4693 = BgL_arg1373z00_4285; 
BgL_bufposz00_4283 = BgL_bufposz00_4693; 
BgL_forwardz00_4282 = BgL_forwardz00_4692; 
goto BgL_statezd27zd21052z00_4175;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_lastzd2matchzd2_4281; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4286;
BgL_curz00_4286 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4280, BgL_forwardz00_4282); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4286)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1375z00_4287;
BgL_arg1375z00_4287 = 
(((long)1)+BgL_forwardz00_4282); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4288;
RGC_STOP_MATCH(BgL_iportz00_4280, BgL_arg1375z00_4287); 
BgL_newzd2matchzd2_4288 = ((long)5); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4288; } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_lastzd2matchzd2_4281; } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_lastzd2matchzd2_4338; } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2414z00_4701;
if(
(
(long)(BgL_curz00_4308)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4308)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2417z00_4708;
if(
(
(long)(BgL_curz00_4308)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2417z00_4708 = 
(
(long)(BgL_curz00_4308)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2417z00_4708 = ((bool_t)0)
; } 
if(BgL_test2417z00_4708)
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2419z00_4714;
if(
(
(long)(BgL_curz00_4308)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2419z00_4714 = 
(
(long)(BgL_curz00_4308)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2419z00_4714 = ((bool_t)0)
; } 
if(BgL_test2419z00_4714)
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4308)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4308)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = 
(
(long)(BgL_curz00_4308)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2414z00_4701 = ((bool_t)0)
; } } } } } } 
if(BgL_test2414z00_4701)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1349z00_4310;
BgL_arg1349z00_4310 = 
(((long)1)+BgL_forwardz00_4302); 
BgL_iportz00_4289 = BgL_iportz00_4300; 
BgL_lastzd2matchzd2_4290 = BgL_newzd2matchzd2_4304; 
BgL_forwardz00_4291 = BgL_arg1349z00_4310; 
BgL_bufposz00_4292 = BgL_bufposz00_4303; 
BgL_statezd24zd21049z00_4176:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4293;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2423z00_4729;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4294;
BgL_rz00_4294 = 
rgc_buffer_eof2_p(BgL_iportz00_4289, BgL_forwardz00_4291, BgL_bufposz00_4292); 
BgL_forwardz00_4291 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4289); 
BgL_bufposz00_4292 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4289); 
BgL_test2423z00_4729 = BgL_rz00_4294; } 
if(BgL_test2423z00_4729)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4289, BgL_forwardz00_4291); 
BgL_newzd2matchzd2_4293 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4293 = BgL_lastzd2matchzd2_4290; } } 
if(
(BgL_forwardz00_4291==BgL_bufposz00_4292))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4289))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1355z00_4295; long BgL_arg1356z00_4296;
BgL_arg1355z00_4295 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4289); 
BgL_arg1356z00_4296 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4289); 
{ 
 long BgL_bufposz00_4741; long BgL_forwardz00_4740;
BgL_forwardz00_4740 = BgL_arg1355z00_4295; 
BgL_bufposz00_4741 = BgL_arg1356z00_4296; 
BgL_bufposz00_4292 = BgL_bufposz00_4741; 
BgL_forwardz00_4291 = BgL_forwardz00_4740; 
goto BgL_statezd24zd21049z00_4176;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4293; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4297;
BgL_curz00_4297 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4289, BgL_forwardz00_4291); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4297)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1358z00_4298;
BgL_arg1358z00_4298 = 
(((long)1)+BgL_forwardz00_4291); 
BgL_iportz00_4344 = BgL_iportz00_4289; 
BgL_lastzd2matchzd2_4345 = BgL_newzd2matchzd2_4293; 
BgL_forwardz00_4346 = BgL_arg1358z00_4298; 
BgL_bufposz00_4347 = BgL_bufposz00_4292; 
BgL_statezd210zd21055z00_4181:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4348;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2427z00_4747;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4349;
BgL_rz00_4349 = 
rgc_buffer_eof2_p(BgL_iportz00_4344, BgL_forwardz00_4346, BgL_bufposz00_4347); 
BgL_forwardz00_4346 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4344); 
BgL_bufposz00_4347 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4344); 
BgL_test2427z00_4747 = BgL_rz00_4349; } 
if(BgL_test2427z00_4747)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4344, BgL_forwardz00_4346); 
BgL_newzd2matchzd2_4348 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4348 = BgL_lastzd2matchzd2_4345; } } 
if(
(BgL_forwardz00_4346==BgL_bufposz00_4347))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4344))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1270z00_4350; long BgL_arg1271z00_4351;
BgL_arg1270z00_4350 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4344); 
BgL_arg1271z00_4351 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4344); 
{ 
 long BgL_bufposz00_4759; long BgL_forwardz00_4758;
BgL_forwardz00_4758 = BgL_arg1270z00_4350; 
BgL_bufposz00_4759 = BgL_arg1271z00_4351; 
BgL_bufposz00_4347 = BgL_bufposz00_4759; 
BgL_forwardz00_4346 = BgL_forwardz00_4758; 
goto BgL_statezd210zd21055z00_4181;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4348; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4352;
BgL_curz00_4352 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4344, BgL_forwardz00_4346); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4352)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1273z00_4353;
BgL_arg1273z00_4353 = 
(((long)1)+BgL_forwardz00_4346); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4354;
BgL_bufposz00_4354 = BgL_bufposz00_4347; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4355;
RGC_STOP_MATCH(BgL_iportz00_4344, BgL_arg1273z00_4353); 
BgL_newzd2matchzd2_4355 = ((long)3); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4355; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4348; } } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2431z00_4766;
if(
(
(long)(BgL_curz00_4297)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4297)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2434z00_4773;
if(
(
(long)(BgL_curz00_4297)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2434z00_4773 = 
(
(long)(BgL_curz00_4297)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2434z00_4773 = ((bool_t)0)
; } 
if(BgL_test2434z00_4773)
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2436z00_4779;
if(
(
(long)(BgL_curz00_4297)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2436z00_4779 = 
(
(long)(BgL_curz00_4297)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2436z00_4779 = ((bool_t)0)
; } 
if(BgL_test2436z00_4779)
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4297)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4297)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = 
(
(long)(BgL_curz00_4297)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2431z00_4766 = ((bool_t)0)
; } } } } } } 
if(BgL_test2431z00_4766)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1367z00_4299;
BgL_arg1367z00_4299 = 
(((long)1)+BgL_forwardz00_4291); 
BgL_iportz00_4322 = BgL_iportz00_4289; 
BgL_lastzd2matchzd2_4323 = BgL_newzd2matchzd2_4293; 
BgL_forwardz00_4324 = BgL_arg1367z00_4299; 
BgL_bufposz00_4325 = BgL_bufposz00_4292; 
BgL_statezd29zd21054z00_4179:
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4326;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2440z00_4794;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_rz00_4327;
BgL_rz00_4327 = 
rgc_buffer_eof2_p(BgL_iportz00_4322, BgL_forwardz00_4324, BgL_bufposz00_4325); 
BgL_forwardz00_4324 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4322); 
BgL_bufposz00_4325 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4322); 
BgL_test2440z00_4794 = BgL_rz00_4327; } 
if(BgL_test2440z00_4794)
{ /* Unsafe/base64.scm 300 */
RGC_STOP_MATCH(BgL_iportz00_4322, BgL_forwardz00_4324); 
BgL_newzd2matchzd2_4326 = ((long)2); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4326 = BgL_lastzd2matchzd2_4323; } } 
if(
(BgL_forwardz00_4324==BgL_bufposz00_4325))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4322))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1290z00_4328; long BgL_arg1291z00_4329;
BgL_arg1290z00_4328 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4322); 
BgL_arg1291z00_4329 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4322); 
{ 
 long BgL_bufposz00_4806; long BgL_forwardz00_4805;
BgL_forwardz00_4805 = BgL_arg1290z00_4328; 
BgL_bufposz00_4806 = BgL_arg1291z00_4329; 
BgL_bufposz00_4325 = BgL_bufposz00_4806; 
BgL_forwardz00_4324 = BgL_forwardz00_4805; 
goto BgL_statezd29zd21054z00_4179;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4326; } }  else 
{ /* Unsafe/base64.scm 300 */
 int BgL_curz00_4330;
BgL_curz00_4330 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4322, BgL_forwardz00_4324); 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4330)==((long)61)))
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1293z00_4331;
BgL_arg1293z00_4331 = 
(((long)1)+BgL_forwardz00_4324); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4332;
BgL_bufposz00_4332 = BgL_bufposz00_4325; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4333;
RGC_STOP_MATCH(BgL_iportz00_4322, BgL_arg1293z00_4331); 
BgL_newzd2matchzd2_4333 = ((long)1); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4333; } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2444z00_4813;
if(
(
(long)(BgL_curz00_4330)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4330)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2447z00_4820;
if(
(
(long)(BgL_curz00_4330)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_test2447z00_4820 = 
(
(long)(BgL_curz00_4330)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2447z00_4820 = ((bool_t)0)
; } 
if(BgL_test2447z00_4820)
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2449z00_4826;
if(
(
(long)(BgL_curz00_4330)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_test2449z00_4826 = 
(
(long)(BgL_curz00_4330)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2449z00_4826 = ((bool_t)0)
; } 
if(BgL_test2449z00_4826)
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4330)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4330)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = 
(
(long)(BgL_curz00_4330)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2444z00_4813 = ((bool_t)0)
; } } } } } } 
if(BgL_test2444z00_4813)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1302z00_4334;
BgL_arg1302z00_4334 = 
(((long)1)+BgL_forwardz00_4324); 
{ /* Unsafe/base64.scm 300 */
 long BgL_bufposz00_4335;
BgL_bufposz00_4335 = BgL_bufposz00_4325; 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4336;
RGC_STOP_MATCH(BgL_iportz00_4322, BgL_arg1302z00_4334); 
BgL_newzd2matchzd2_4336 = ((long)0); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4336; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4326; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4293; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4182 = BgL_newzd2matchzd2_4304; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2453z00_4843;
if(
(
(long)(BgL_curz00_4317)==((long)10)))
{ /* Unsafe/base64.scm 300 */
BgL_test2453z00_4843 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_test2453z00_4843 = 
(
(long)(BgL_curz00_4317)==((long)13))
; } 
if(BgL_test2453z00_4843)
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1331z00_4318;
BgL_arg1331z00_4318 = 
(((long)1)+BgL_forwardz00_4313); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4319;
RGC_STOP_MATCH(BgL_iportz00_4311, BgL_arg1331z00_4318); 
BgL_newzd2matchzd2_4319 = ((long)7); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4319; } }  else 
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1332z00_4320;
BgL_arg1332z00_4320 = 
(((long)1)+BgL_forwardz00_4313); 
{ /* Unsafe/base64.scm 300 */
 long BgL_newzd2matchzd2_4321;
RGC_STOP_MATCH(BgL_iportz00_4311, BgL_arg1332z00_4320); 
BgL_newzd2matchzd2_4321 = ((long)8); 
BgL_matchz00_4182 = BgL_newzd2matchzd2_4321; } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4098); 
{ 

switch( BgL_matchz00_4182) { case ((long)8) : 

{ /* Unsafe/base64.scm 369 */
 obj_t BgL_cz00_4186;
{ /* Unsafe/base64.scm 300 */
 bool_t BgL_test2455z00_4854;
{ /* Unsafe/base64.scm 300 */
 long BgL_arg1462z00_4279;
BgL_arg1462z00_4279 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4098); 
BgL_test2455z00_4854 = 
(BgL_arg1462z00_4279==((long)0)); } 
if(BgL_test2455z00_4854)
{ /* Unsafe/base64.scm 300 */
BgL_cz00_4186 = BEOF; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_cz00_4186 = 
BCHAR(
RGC_BUFFER_CHARACTER(BgL_iportz00_4098)); } } 
{ /* Unsafe/base64.scm 370 */
 bool_t BgL_test2456z00_4859;
if(
EOF_OBJECTP(BgL_cz00_4186))
{ /* Unsafe/base64.scm 370 */
BgL_test2456z00_4859 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 370 */
BgL_test2456z00_4859 = 
CBOOL(
PROCEDURE_L_ENTRY(BgL_hookz00_4103)(BgL_hookz00_4103, BgL_cz00_4186))
; } 
if(BgL_test2456z00_4859)
{ /* Unsafe/base64.scm 370 */
if(
(BgL_wz00_4165>((long)0)))
{ /* Unsafe/base64.scm 372 */
bgl_display_substring(BgL_bufz00_4100, ((long)0), BgL_wz00_4165, BgL_opz00_4099); }  else 
{ /* Unsafe/base64.scm 372 */BFALSE; } 
return BTRUE;}  else 
{ /* Unsafe/base64.scm 370 */
goto BgL_ignorez00_4169;} } } break;case ((long)7) : 

goto BgL_ignorez00_4169;break;case ((long)6) : 

if(BgL_eofzd2nozd2paddingz00_4104)
{ /* Unsafe/base64.scm 365 */
BgL_chunk1z00_4173:
{ /* Unsafe/base64.scm 345 */
 int BgL_q0z00_4262;
{ /* Unsafe/base64.scm 345 */
 int BgL_arg1472z00_4263;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4871;
BgL_tmpz00_4871 = 
(int)(((long)0)); 
BgL_arg1472z00_4263 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4871); } 
{ /* Unsafe/base64.scm 345 */
 int BgL_res2258z00_4264;
{ /* Unsafe/base64.scm 345 */
 char BgL_cz00_4265;
BgL_cz00_4265 = 
(signed char)(BgL_arg1472z00_4263); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4266;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4875;
BgL_tmpz00_4875 = 
(long)(BgL_cz00_4265); 
BgL_arg1813z00_4266 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4875); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4267;
BgL_xz00_4267 = 
(int8_t)(BgL_arg1813z00_4266); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4268;
BgL_arg2217z00_4268 = 
(long)(BgL_xz00_4267); 
BgL_res2258z00_4264 = 
(int)(
(long)(BgL_arg2217z00_4268)); } } } } 
BgL_q0z00_4262 = BgL_res2258z00_4264; } } 
{ /* Unsafe/base64.scm 345 */
 int BgL_q1z00_4269;
{ /* Unsafe/base64.scm 346 */
 unsigned char BgL_cz00_4270;
BgL_cz00_4270 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_4271;
BgL_arg1815z00_4271 = 
(
(unsigned char)(BgL_cz00_4270)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2259z00_4272;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_4273;
BgL_cz00_4273 = 
(signed char)(BgL_arg1815z00_4271); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4274;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4886;
BgL_tmpz00_4886 = 
(long)(BgL_cz00_4273); 
BgL_arg1813z00_4274 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4886); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4275;
BgL_xz00_4275 = 
(int8_t)(BgL_arg1813z00_4274); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4276;
BgL_arg2217z00_4276 = 
(long)(BgL_xz00_4275); 
BgL_res2259z00_4272 = 
(int)(
(long)(BgL_arg2217z00_4276)); } } } } 
BgL_q1z00_4269 = BgL_res2259z00_4272; } } } 
{ /* Unsafe/base64.scm 346 */
 long BgL_v0z00_4277;
BgL_v0z00_4277 = 
(
(
(long)(BgL_q0z00_4262) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4269) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 347 */

{ /* Unsafe/base64.scm 348 */
 unsigned char BgL_arg1469z00_4278;
BgL_arg1469z00_4278 = 
(BgL_v0z00_4277); 
STRING_SET(BgL_bufz00_4100, BgL_wz00_4165, BgL_arg1469z00_4278); } 
return 
bgl_display_substring(BgL_bufz00_4100, ((long)0), BgL_wz00_4165, BgL_opz00_4099);} } } } }  else 
{ /* Unsafe/base64.scm 365 */
return BFALSE;} break;case ((long)5) : 

goto BgL_chunk1z00_4173;break;case ((long)4) : 

if(BgL_eofzd2nozd2paddingz00_4104)
{ /* Unsafe/base64.scm 361 */
BgL_chunk2z00_4172:
{ /* Unsafe/base64.scm 336 */
 int BgL_q0z00_4245;
{ /* Unsafe/base64.scm 336 */
 int BgL_arg1483z00_4246;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4904;
BgL_tmpz00_4904 = 
(int)(((long)0)); 
BgL_arg1483z00_4246 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4904); } 
{ /* Unsafe/base64.scm 336 */
 int BgL_res2260z00_4247;
{ /* Unsafe/base64.scm 336 */
 char BgL_cz00_4248;
BgL_cz00_4248 = 
(signed char)(BgL_arg1483z00_4246); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4249;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4908;
BgL_tmpz00_4908 = 
(long)(BgL_cz00_4248); 
BgL_arg1813z00_4249 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4908); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4250;
BgL_xz00_4250 = 
(int8_t)(BgL_arg1813z00_4249); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4251;
BgL_arg2217z00_4251 = 
(long)(BgL_xz00_4250); 
BgL_res2260z00_4247 = 
(int)(
(long)(BgL_arg2217z00_4251)); } } } } 
BgL_q0z00_4245 = BgL_res2260z00_4247; } } 
{ /* Unsafe/base64.scm 336 */
 int BgL_q1z00_4252;
{ /* Unsafe/base64.scm 337 */
 int BgL_arg1481z00_4253;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4915;
BgL_tmpz00_4915 = 
(int)(((long)1)); 
BgL_arg1481z00_4253 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4915); } 
{ /* Unsafe/base64.scm 337 */
 int BgL_res2261z00_4254;
{ /* Unsafe/base64.scm 337 */
 char BgL_cz00_4255;
BgL_cz00_4255 = 
(signed char)(BgL_arg1481z00_4253); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4256;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4919;
BgL_tmpz00_4919 = 
(long)(BgL_cz00_4255); 
BgL_arg1813z00_4256 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4919); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4257;
BgL_xz00_4257 = 
(int8_t)(BgL_arg1813z00_4256); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4258;
BgL_arg2217z00_4258 = 
(long)(BgL_xz00_4257); 
BgL_res2261z00_4254 = 
(int)(
(long)(BgL_arg2217z00_4258)); } } } } 
BgL_q1z00_4252 = BgL_res2261z00_4254; } } 
{ /* Unsafe/base64.scm 337 */
 long BgL_v0z00_4259;
BgL_v0z00_4259 = 
(
(
(long)(BgL_q0z00_4245) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4252) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 338 */
 long BgL_v1z00_4260;
BgL_v1z00_4260 = 
(
(
(long)(BgL_q1z00_4252) << 
(int)(((long)4))) & ((long)240)); 
{ /* Unsafe/base64.scm 339 */

{ /* Unsafe/base64.scm 340 */
 unsigned char BgL_arg1474z00_4261;
BgL_arg1474z00_4261 = 
(BgL_v0z00_4259); 
STRING_SET(BgL_bufz00_4100, BgL_wz00_4165, BgL_arg1474z00_4261); } 
{ /* Unsafe/base64.scm 341 */
 unsigned char BgL_auxz00_4941; long BgL_tmpz00_4939;
BgL_auxz00_4941 = 
(BgL_v1z00_4260); 
BgL_tmpz00_4939 = 
(BgL_wz00_4165+((long)1)); 
STRING_SET(BgL_bufz00_4100, BgL_tmpz00_4939, BgL_auxz00_4941); } 
{ /* Unsafe/base64.scm 342 */
 long BgL_tmpz00_4944;
BgL_tmpz00_4944 = 
(BgL_wz00_4165+((long)1)); 
return 
bgl_display_substring(BgL_bufz00_4100, ((long)0), BgL_tmpz00_4944, BgL_opz00_4099);} } } } } } }  else 
{ /* Unsafe/base64.scm 361 */
return BFALSE;} break;case ((long)3) : 

goto BgL_chunk2z00_4172;break;case ((long)2) : 

if(BgL_eofzd2nozd2paddingz00_4104)
{ /* Unsafe/base64.scm 357 */
BgL_chunk3z00_4171:
{ /* Unsafe/base64.scm 324 */
 int BgL_q0z00_4220;
{ /* Unsafe/base64.scm 324 */
 int BgL_arg1503z00_4221;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4948;
BgL_tmpz00_4948 = 
(int)(((long)0)); 
BgL_arg1503z00_4221 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4948); } 
{ /* Unsafe/base64.scm 324 */
 int BgL_res2262z00_4222;
{ /* Unsafe/base64.scm 324 */
 char BgL_cz00_4223;
BgL_cz00_4223 = 
(signed char)(BgL_arg1503z00_4221); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4224;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4952;
BgL_tmpz00_4952 = 
(long)(BgL_cz00_4223); 
BgL_arg1813z00_4224 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4952); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4225;
BgL_xz00_4225 = 
(int8_t)(BgL_arg1813z00_4224); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4226;
BgL_arg2217z00_4226 = 
(long)(BgL_xz00_4225); 
BgL_res2262z00_4222 = 
(int)(
(long)(BgL_arg2217z00_4226)); } } } } 
BgL_q0z00_4220 = BgL_res2262z00_4222; } } 
{ /* Unsafe/base64.scm 324 */
 int BgL_q1z00_4227;
{ /* Unsafe/base64.scm 325 */
 int BgL_arg1501z00_4228;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4959;
BgL_tmpz00_4959 = 
(int)(((long)1)); 
BgL_arg1501z00_4228 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4959); } 
{ /* Unsafe/base64.scm 325 */
 int BgL_res2263z00_4229;
{ /* Unsafe/base64.scm 325 */
 char BgL_cz00_4230;
BgL_cz00_4230 = 
(signed char)(BgL_arg1501z00_4228); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4231;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4963;
BgL_tmpz00_4963 = 
(long)(BgL_cz00_4230); 
BgL_arg1813z00_4231 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4963); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4232;
BgL_xz00_4232 = 
(int8_t)(BgL_arg1813z00_4231); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4233;
BgL_arg2217z00_4233 = 
(long)(BgL_xz00_4232); 
BgL_res2263z00_4229 = 
(int)(
(long)(BgL_arg2217z00_4233)); } } } } 
BgL_q1z00_4227 = BgL_res2263z00_4229; } } 
{ /* Unsafe/base64.scm 325 */
 int BgL_q2z00_4234;
{ /* Unsafe/base64.scm 326 */
 int BgL_arg1500z00_4235;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_4970;
BgL_tmpz00_4970 = 
(int)(((long)2)); 
BgL_arg1500z00_4235 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_4970); } 
{ /* Unsafe/base64.scm 326 */
 int BgL_res2264z00_4236;
{ /* Unsafe/base64.scm 326 */
 char BgL_cz00_4237;
BgL_cz00_4237 = 
(signed char)(BgL_arg1500z00_4235); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4238;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_4974;
BgL_tmpz00_4974 = 
(long)(BgL_cz00_4237); 
BgL_arg1813z00_4238 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_4974); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4239;
BgL_xz00_4239 = 
(int8_t)(BgL_arg1813z00_4238); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4240;
BgL_arg2217z00_4240 = 
(long)(BgL_xz00_4239); 
BgL_res2264z00_4236 = 
(int)(
(long)(BgL_arg2217z00_4240)); } } } } 
BgL_q2z00_4234 = BgL_res2264z00_4236; } } 
{ /* Unsafe/base64.scm 326 */
 long BgL_v0z00_4241;
BgL_v0z00_4241 = 
(
(
(long)(BgL_q0z00_4220) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4227) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 327 */
 long BgL_v1z00_4242;
BgL_v1z00_4242 = 
(
(
(
(long)(BgL_q1z00_4227) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4234) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 328 */
 long BgL_v2z00_4243;
BgL_v2z00_4243 = 
(
(
(long)(BgL_q2z00_4234) << 
(int)(((long)6))) & ((long)192)); 
{ /* Unsafe/base64.scm 329 */

{ /* Unsafe/base64.scm 330 */
 unsigned char BgL_arg1485z00_4244;
BgL_arg1485z00_4244 = 
(BgL_v0z00_4241); 
STRING_SET(BgL_bufz00_4100, BgL_wz00_4165, BgL_arg1485z00_4244); } 
{ /* Unsafe/base64.scm 331 */
 unsigned char BgL_auxz00_5004; long BgL_tmpz00_5002;
BgL_auxz00_5004 = 
(BgL_v1z00_4242); 
BgL_tmpz00_5002 = 
(BgL_wz00_4165+((long)1)); 
STRING_SET(BgL_bufz00_4100, BgL_tmpz00_5002, BgL_auxz00_5004); } 
{ /* Unsafe/base64.scm 332 */
 unsigned char BgL_auxz00_5009; long BgL_tmpz00_5007;
BgL_auxz00_5009 = 
(BgL_v2z00_4243); 
BgL_tmpz00_5007 = 
(BgL_wz00_4165+((long)2)); 
STRING_SET(BgL_bufz00_4100, BgL_tmpz00_5007, BgL_auxz00_5009); } 
{ /* Unsafe/base64.scm 333 */
 long BgL_tmpz00_5012;
BgL_tmpz00_5012 = 
(BgL_wz00_4165+((long)2)); 
return 
bgl_display_substring(BgL_bufz00_4100, ((long)0), BgL_tmpz00_5012, BgL_opz00_4099);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 357 */
return BFALSE;} break;case ((long)1) : 

goto BgL_chunk3z00_4171;break;case ((long)0) : 

{ /* Unsafe/base64.scm 306 */
 int BgL_q0z00_4187;
{ /* Unsafe/base64.scm 306 */
 int BgL_arg1522z00_4188;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5015;
BgL_tmpz00_5015 = 
(int)(((long)0)); 
BgL_arg1522z00_4188 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_5015); } 
{ /* Unsafe/base64.scm 306 */
 int BgL_res2265z00_4189;
{ /* Unsafe/base64.scm 306 */
 char BgL_cz00_4190;
BgL_cz00_4190 = 
(signed char)(BgL_arg1522z00_4188); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4191;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5019;
BgL_tmpz00_5019 = 
(long)(BgL_cz00_4190); 
BgL_arg1813z00_4191 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5019); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4192;
BgL_xz00_4192 = 
(int8_t)(BgL_arg1813z00_4191); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4193;
BgL_arg2217z00_4193 = 
(long)(BgL_xz00_4192); 
BgL_res2265z00_4189 = 
(int)(
(long)(BgL_arg2217z00_4193)); } } } } 
BgL_q0z00_4187 = BgL_res2265z00_4189; } } 
{ /* Unsafe/base64.scm 306 */
 int BgL_q1z00_4194;
{ /* Unsafe/base64.scm 307 */
 int BgL_arg1521z00_4195;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5026;
BgL_tmpz00_5026 = 
(int)(((long)1)); 
BgL_arg1521z00_4195 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_5026); } 
{ /* Unsafe/base64.scm 307 */
 int BgL_res2266z00_4196;
{ /* Unsafe/base64.scm 307 */
 char BgL_cz00_4197;
BgL_cz00_4197 = 
(signed char)(BgL_arg1521z00_4195); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4198;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5030;
BgL_tmpz00_5030 = 
(long)(BgL_cz00_4197); 
BgL_arg1813z00_4198 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5030); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4199;
BgL_xz00_4199 = 
(int8_t)(BgL_arg1813z00_4198); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4200;
BgL_arg2217z00_4200 = 
(long)(BgL_xz00_4199); 
BgL_res2266z00_4196 = 
(int)(
(long)(BgL_arg2217z00_4200)); } } } } 
BgL_q1z00_4194 = BgL_res2266z00_4196; } } 
{ /* Unsafe/base64.scm 307 */
 int BgL_q2z00_4201;
{ /* Unsafe/base64.scm 308 */
 int BgL_arg1520z00_4202;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5037;
BgL_tmpz00_5037 = 
(int)(((long)2)); 
BgL_arg1520z00_4202 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_5037); } 
{ /* Unsafe/base64.scm 308 */
 int BgL_res2267z00_4203;
{ /* Unsafe/base64.scm 308 */
 char BgL_cz00_4204;
BgL_cz00_4204 = 
(signed char)(BgL_arg1520z00_4202); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4205;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5041;
BgL_tmpz00_5041 = 
(long)(BgL_cz00_4204); 
BgL_arg1813z00_4205 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5041); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4206;
BgL_xz00_4206 = 
(int8_t)(BgL_arg1813z00_4205); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4207;
BgL_arg2217z00_4207 = 
(long)(BgL_xz00_4206); 
BgL_res2267z00_4203 = 
(int)(
(long)(BgL_arg2217z00_4207)); } } } } 
BgL_q2z00_4201 = BgL_res2267z00_4203; } } 
{ /* Unsafe/base64.scm 308 */
 int BgL_q3z00_4208;
{ /* Unsafe/base64.scm 309 */
 int BgL_arg1519z00_4209;
{ /* Unsafe/base64.scm 300 */
 int BgL_tmpz00_5048;
BgL_tmpz00_5048 = 
(int)(((long)3)); 
BgL_arg1519z00_4209 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4098, BgL_tmpz00_5048); } 
{ /* Unsafe/base64.scm 309 */
 int BgL_res2268z00_4210;
{ /* Unsafe/base64.scm 309 */
 char BgL_cz00_4211;
BgL_cz00_4211 = 
(signed char)(BgL_arg1519z00_4209); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_4212;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5052;
BgL_tmpz00_5052 = 
(long)(BgL_cz00_4211); 
BgL_arg1813z00_4212 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5052); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_4213;
BgL_xz00_4213 = 
(int8_t)(BgL_arg1813z00_4212); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_4214;
BgL_arg2217z00_4214 = 
(long)(BgL_xz00_4213); 
BgL_res2268z00_4210 = 
(int)(
(long)(BgL_arg2217z00_4214)); } } } } 
BgL_q3z00_4208 = BgL_res2268z00_4210; } } 
{ /* Unsafe/base64.scm 309 */
 long BgL_v0z00_4215;
BgL_v0z00_4215 = 
(
(
(long)(BgL_q0z00_4187) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4194) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 310 */
 long BgL_v1z00_4216;
BgL_v1z00_4216 = 
(
(
(
(long)(BgL_q1z00_4194) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4201) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 311 */
 long BgL_v2z00_4217;
BgL_v2z00_4217 = 
(
(
(
(long)(BgL_q2z00_4201) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_4208)); 
{ /* Unsafe/base64.scm 312 */

{ /* Unsafe/base64.scm 313 */
 unsigned char BgL_arg1505z00_4218;
BgL_arg1505z00_4218 = 
(BgL_v0z00_4215); 
STRING_SET(BgL_bufz00_4100, BgL_wz00_4165, BgL_arg1505z00_4218); } 
{ /* Unsafe/base64.scm 314 */
 unsigned char BgL_auxz00_5084; long BgL_tmpz00_5082;
BgL_auxz00_5084 = 
(BgL_v1z00_4216); 
BgL_tmpz00_5082 = 
(BgL_wz00_4165+((long)1)); 
STRING_SET(BgL_bufz00_4100, BgL_tmpz00_5082, BgL_auxz00_5084); } 
{ /* Unsafe/base64.scm 315 */
 unsigned char BgL_auxz00_5089; long BgL_tmpz00_5087;
BgL_auxz00_5089 = 
(BgL_v2z00_4217); 
BgL_tmpz00_5087 = 
(BgL_wz00_4165+((long)2)); 
STRING_SET(BgL_bufz00_4100, BgL_tmpz00_5087, BgL_auxz00_5089); } 
{ /* Unsafe/base64.scm 316 */
 long BgL_nwz00_4219;
BgL_nwz00_4219 = 
(BgL_wz00_4165+((long)3)); 
if(
(BgL_nwz00_4219==BgL_lenz00_4102))
{ /* Unsafe/base64.scm 317 */
bgl_display_string(BgL_bufz00_4100, BgL_opz00_4099); 
BgL_wz00_4165 = ((long)0); }  else 
{ /* Unsafe/base64.scm 317 */
BgL_wz00_4165 = BgL_nwz00_4219; } } } } } } } } } } 
goto BgL_ignorez00_4169;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2310z00zz__base64z00, BGl_string2311z00zz__base64z00, 
BINT(BgL_matchz00_4182));} } } } } } 

}



/* encode-char */
unsigned char BGl_encodezd2charzd2zz__base64z00(long BgL_oz00_3)
{
{ /* Unsafe/base64.scm 65 */
return 
STRING_REF(BGl_string2316z00zz__base64z00, BgL_oz00_3);} 

}



/* _base64-encode */
obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t BgL_env1143z00_7, obj_t BgL_opt1142z00_6)
{
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 71 */
 obj_t BgL_g1144z00_2106;
BgL_g1144z00_2106 = 
VECTOR_REF(BgL_opt1142z00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1142z00_6)) { case ((long)1) : 

{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_auxz00_5101;
if(
STRINGP(BgL_g1144z00_2106))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5101 = BgL_g1144z00_2106
; }  else 
{ 
 obj_t BgL_auxz00_5104;
BgL_auxz00_5104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)2752)), BGl_string2318z00zz__base64z00, BGl_string2319z00zz__base64z00, BgL_g1144z00_2106); 
FAILURE(BgL_auxz00_5104,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5101, 
BINT(((long)76)));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_paddingz00_2111;
BgL_paddingz00_2111 = 
VECTOR_REF(BgL_opt1142z00_6,((long)1)); 
{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
 obj_t BgL_auxz00_5111;
if(
STRINGP(BgL_g1144z00_2106))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5111 = BgL_g1144z00_2106
; }  else 
{ 
 obj_t BgL_auxz00_5114;
BgL_auxz00_5114 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)2752)), BGl_string2318z00zz__base64z00, BGl_string2319z00zz__base64z00, BgL_g1144z00_2106); 
FAILURE(BgL_auxz00_5114,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5111, BgL_paddingz00_2111);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-encode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t BgL_sz00_4, obj_t BgL_paddingz00_5)
{
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 74 */
 long BgL_lenz00_2115;
BgL_lenz00_2115 = 
STRING_LENGTH(BgL_sz00_4); 
{ /* Unsafe/base64.scm 75 */
 long BgL_lenzd23zd2_2116;
BgL_lenzd23zd2_2116 = 
(BgL_lenz00_2115-((long)3)); 
{ /* Unsafe/base64.scm 76 */
 long BgL_rlenz00_2117;
BgL_rlenz00_2117 = 
(((long)4)*
(
(((long)2)+BgL_lenz00_2115)/((long)3))); 
{ /* Unsafe/base64.scm 77 */
 long BgL_padz00_2118;
{ /* Unsafe/base64.scm 78 */
 bool_t BgL_test2465z00_5126;
if(
INTEGERP(BgL_paddingz00_5))
{ /* Unsafe/base64.scm 78 */
BgL_test2465z00_5126 = 
(
(long)CINT(BgL_paddingz00_5)>((long)0))
; }  else 
{ /* Unsafe/base64.scm 78 */
BgL_test2465z00_5126 = ((bool_t)0)
; } 
if(BgL_test2465z00_5126)
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2118 = 
(
(((long)3)*
(long)CINT(BgL_paddingz00_5))/((long)4)); }  else 
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2118 = ((long)-1); } } 
{ /* Unsafe/base64.scm 78 */
 long BgL_flenz00_2119;
if(
(BgL_padz00_2118>((long)0)))
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2119 = 
(BgL_rlenz00_2117+
(BgL_rlenz00_2117/
(long)CINT(BgL_paddingz00_5))); }  else 
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2119 = BgL_rlenz00_2117; } 
{ /* Unsafe/base64.scm 81 */
 obj_t BgL_resz00_2120;
BgL_resz00_2120 = 
make_string(BgL_flenz00_2119, ((unsigned char)10)); 
{ /* Unsafe/base64.scm 84 */

{ 
 long BgL_xz00_2122; long BgL_yz00_2123;
BgL_xz00_2122 = ((long)0); 
BgL_yz00_2123 = ((long)0); 
BgL_zc3z04anonymousza31714ze3z87_2124:
if(
(BgL_xz00_2122<=BgL_lenzd23zd2_2116))
{ /* Unsafe/base64.scm 88 */
 long BgL_i0z00_2126;
BgL_i0z00_2126 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 88 */
 long BgL_i1z00_2127;
BgL_i1z00_2127 = 
(
STRING_REF(BgL_sz00_4, 
(((long)1)+BgL_xz00_2122))); 
{ /* Unsafe/base64.scm 89 */
 long BgL_i2z00_2128;
BgL_i2z00_2128 = 
(
STRING_REF(BgL_sz00_4, 
(((long)2)+BgL_xz00_2122))); 
{ /* Unsafe/base64.scm 90 */
 long BgL_o0z00_2129;
BgL_o0z00_2129 = 
(
(BgL_i0z00_2126 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 91 */
 long BgL_o1z00_2130;
BgL_o1z00_2130 = 
(
(
(BgL_i0z00_2126 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2127 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 92 */
 long BgL_o2z00_2131;
BgL_o2z00_2131 = 
(
(
(BgL_i1z00_2127 & ((long)15)) << 
(int)(((long)2))) | 
(
(BgL_i2z00_2128 & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 94 */
 long BgL_o3z00_2132;
BgL_o3z00_2132 = 
(BgL_i2z00_2128 & ((long)63)); 
{ /* Unsafe/base64.scm 96 */

{ /* Unsafe/base64.scm 97 */
 unsigned char BgL_tmpz00_5168;
BgL_tmpz00_5168 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2129); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5168); } 
{ /* Unsafe/base64.scm 98 */
 unsigned char BgL_auxz00_5173; long BgL_tmpz00_5171;
BgL_auxz00_5173 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2130); 
BgL_tmpz00_5171 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5171, BgL_auxz00_5173); } 
{ /* Unsafe/base64.scm 99 */
 unsigned char BgL_auxz00_5178; long BgL_tmpz00_5176;
BgL_auxz00_5178 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2131); 
BgL_tmpz00_5176 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5176, BgL_auxz00_5178); } 
{ /* Unsafe/base64.scm 100 */
 unsigned char BgL_auxz00_5183; long BgL_tmpz00_5181;
BgL_auxz00_5183 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2132); 
BgL_tmpz00_5181 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5181, BgL_auxz00_5183); } 
{ /* Unsafe/base64.scm 101 */
 long BgL_nxz00_2140;
BgL_nxz00_2140 = 
(BgL_xz00_2122+((long)3)); 
{ /* Unsafe/base64.scm 102 */
 bool_t BgL_test2469z00_5187;
if(
(BgL_padz00_2118>((long)0)))
{ /* Unsafe/base64.scm 102 */
 long BgL_arg1730z00_2147;
{ /* Unsafe/base64.scm 102 */
 long BgL_n1z00_3419; long BgL_n2z00_3420;
BgL_n1z00_3419 = BgL_nxz00_2140; 
BgL_n2z00_3420 = BgL_padz00_2118; 
{ /* Unsafe/base64.scm 102 */
 bool_t BgL_test2471z00_5190;
{ /* Unsafe/base64.scm 102 */
 long BgL_arg2121z00_3422;
BgL_arg2121z00_3422 = 
(((BgL_n1z00_3419) | (BgL_n2z00_3420)) & -2147483648); 
BgL_test2471z00_5190 = 
(BgL_arg2121z00_3422==((long)0)); } 
if(BgL_test2471z00_5190)
{ /* Unsafe/base64.scm 102 */
 int32_t BgL_arg2118z00_3423;
{ /* Unsafe/base64.scm 102 */
 int32_t BgL_arg2119z00_3424; int32_t BgL_arg2120z00_3425;
BgL_arg2119z00_3424 = 
(int32_t)(BgL_n1z00_3419); 
BgL_arg2120z00_3425 = 
(int32_t)(BgL_n2z00_3420); 
BgL_arg2118z00_3423 = 
(BgL_arg2119z00_3424%BgL_arg2120z00_3425); } 
{ /* Unsafe/base64.scm 102 */
 long BgL_arg2213z00_3430;
BgL_arg2213z00_3430 = 
(long)(BgL_arg2118z00_3423); 
BgL_arg1730z00_2147 = 
(long)(BgL_arg2213z00_3430); } }  else 
{ /* Unsafe/base64.scm 102 */
BgL_arg1730z00_2147 = 
(BgL_n1z00_3419%BgL_n2z00_3420); } } } 
BgL_test2469z00_5187 = 
(BgL_arg1730z00_2147==((long)0)); }  else 
{ /* Unsafe/base64.scm 102 */
BgL_test2469z00_5187 = ((bool_t)0)
; } 
if(BgL_test2469z00_5187)
{ 
 long BgL_yz00_5201; long BgL_xz00_5200;
BgL_xz00_5200 = BgL_nxz00_2140; 
BgL_yz00_5201 = 
(BgL_yz00_2123+((long)5)); 
BgL_yz00_2123 = BgL_yz00_5201; 
BgL_xz00_2122 = BgL_xz00_5200; 
goto BgL_zc3z04anonymousza31714ze3z87_2124;}  else 
{ 
 long BgL_yz00_5204; long BgL_xz00_5203;
BgL_xz00_5203 = BgL_nxz00_2140; 
BgL_yz00_5204 = 
(BgL_yz00_2123+((long)4)); 
BgL_yz00_2123 = BgL_yz00_5204; 
BgL_xz00_2122 = BgL_xz00_5203; 
goto BgL_zc3z04anonymousza31714ze3z87_2124;} } } } } } } } } } }  else 
{ /* Unsafe/base64.scm 105 */
 long BgL_aux1040z00_2163;
BgL_aux1040z00_2163 = 
(BgL_lenz00_2115-BgL_xz00_2122); 
switch( BgL_aux1040z00_2163) { case ((long)2) : 

{ /* Unsafe/base64.scm 107 */
 long BgL_i0z00_2165;
BgL_i0z00_2165 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 107 */
 long BgL_i1z00_2166;
BgL_i1z00_2166 = 
(
STRING_REF(BgL_sz00_4, 
(BgL_xz00_2122+((long)1)))); 
{ /* Unsafe/base64.scm 108 */
 long BgL_o0z00_2167;
BgL_o0z00_2167 = 
(
(BgL_i0z00_2165 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 109 */
 long BgL_o1z00_2168;
BgL_o1z00_2168 = 
(
(
(BgL_i0z00_2165 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2166 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 110 */
 long BgL_o2z00_2169;
BgL_o2z00_2169 = 
(
(BgL_i1z00_2166 & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 112 */

{ /* Unsafe/base64.scm 113 */
 unsigned char BgL_tmpz00_5225;
BgL_tmpz00_5225 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2167); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5225); } 
{ /* Unsafe/base64.scm 114 */
 unsigned char BgL_auxz00_5230; long BgL_tmpz00_5228;
BgL_auxz00_5230 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2168); 
BgL_tmpz00_5228 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5228, BgL_auxz00_5230); } 
{ /* Unsafe/base64.scm 115 */
 unsigned char BgL_auxz00_5235; long BgL_tmpz00_5233;
BgL_auxz00_5235 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2169); 
BgL_tmpz00_5233 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5233, BgL_auxz00_5235); } 
{ /* Unsafe/base64.scm 116 */
 long BgL_tmpz00_5238;
BgL_tmpz00_5238 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5238, ((unsigned char)'=')); } } } } } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 118 */
 long BgL_iz00_2185;
BgL_iz00_2185 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2122)); 
{ /* Unsafe/base64.scm 118 */
 long BgL_o0z00_2186;
BgL_o0z00_2186 = 
(
(BgL_iz00_2185 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 119 */
 long BgL_o1z00_2187;
BgL_o1z00_2187 = 
(
(BgL_iz00_2185 & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 120 */

{ /* Unsafe/base64.scm 121 */
 unsigned char BgL_tmpz00_5249;
BgL_tmpz00_5249 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2186); 
STRING_SET(BgL_resz00_2120, BgL_yz00_2123, BgL_tmpz00_5249); } 
{ /* Unsafe/base64.scm 122 */
 unsigned char BgL_auxz00_5254; long BgL_tmpz00_5252;
BgL_auxz00_5254 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2187); 
BgL_tmpz00_5252 = 
(BgL_yz00_2123+((long)1)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5252, BgL_auxz00_5254); } 
{ /* Unsafe/base64.scm 123 */
 long BgL_tmpz00_5257;
BgL_tmpz00_5257 = 
(BgL_yz00_2123+((long)2)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5257, ((unsigned char)'=')); } 
{ /* Unsafe/base64.scm 124 */
 long BgL_tmpz00_5260;
BgL_tmpz00_5260 = 
(BgL_yz00_2123+((long)3)); 
STRING_SET(BgL_resz00_2120, BgL_tmpz00_5260, ((unsigned char)'=')); } } } } } break;
default: BUNSPEC; } } } 
return BgL_resz00_2120;} } } } } } } } 

}



/* _base64-encode-port */
obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t BgL_env1148z00_12, obj_t BgL_opt1147z00_11)
{
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 130 */
 obj_t BgL_g1149z00_2205; obj_t BgL_g1150z00_2206;
BgL_g1149z00_2205 = 
VECTOR_REF(BgL_opt1147z00_11,((long)0)); 
BgL_g1150z00_2206 = 
VECTOR_REF(BgL_opt1147z00_11,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1147z00_11)) { case ((long)2) : 

{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_auxz00_5273; obj_t BgL_auxz00_5266;
if(
OUTPUT_PORTP(BgL_g1150z00_2206))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5273 = BgL_g1150z00_2206
; }  else 
{ 
 obj_t BgL_auxz00_5276;
BgL_auxz00_5276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)4911)), BGl_string2320z00zz__base64z00, BGl_string2322z00zz__base64z00, BgL_g1150z00_2206); 
FAILURE(BgL_auxz00_5276,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2205))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5266 = BgL_g1149z00_2205
; }  else 
{ 
 obj_t BgL_auxz00_5269;
BgL_auxz00_5269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)4911)), BGl_string2320z00zz__base64z00, BGl_string2321z00zz__base64z00, BgL_g1149z00_2205); 
FAILURE(BgL_auxz00_5269,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5266, BgL_auxz00_5273, 
BINT(((long)76)));} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_paddingz00_2211;
BgL_paddingz00_2211 = 
VECTOR_REF(BgL_opt1147z00_11,((long)2)); 
{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
 obj_t BgL_auxz00_5290; obj_t BgL_auxz00_5283;
if(
OUTPUT_PORTP(BgL_g1150z00_2206))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5290 = BgL_g1150z00_2206
; }  else 
{ 
 obj_t BgL_auxz00_5293;
BgL_auxz00_5293 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)4911)), BGl_string2320z00zz__base64z00, BGl_string2322z00zz__base64z00, BgL_g1150z00_2206); 
FAILURE(BgL_auxz00_5293,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2205))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5283 = BgL_g1149z00_2205
; }  else 
{ 
 obj_t BgL_auxz00_5286;
BgL_auxz00_5286 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)4911)), BGl_string2320z00zz__base64z00, BGl_string2321z00zz__base64z00, BgL_g1149z00_2205); 
FAILURE(BgL_auxz00_5286,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5283, BgL_auxz00_5290, BgL_paddingz00_2211);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-encode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t BgL_ipz00_8, obj_t BgL_opz00_9, obj_t BgL_paddingz00_10)
{
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 131 */
 long BgL_padz00_2212;
BgL_padz00_2212 = 
(
(long)CINT(BgL_paddingz00_10)-((long)4)); 
{ 
 long BgL_iz00_2214;
BgL_iz00_2214 = ((long)0); 
BgL_zc3z04anonymousza31779ze3z87_2215:
{ /* Unsafe/base64.scm 133 */
 obj_t BgL_i0z00_2216;
BgL_i0z00_2216 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i0z00_2216))
{ /* Unsafe/base64.scm 134 */
return BFALSE;}  else 
{ /* Unsafe/base64.scm 135 */
 obj_t BgL_i1z00_2218;
BgL_i1z00_2218 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i1z00_2218))
{ /* Unsafe/base64.scm 137 */
 long BgL_o0z00_2220;
BgL_o0z00_2220 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 137 */
 long BgL_o1z00_2221;
BgL_o1z00_2221 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 138 */

{ /* Unsafe/base64.scm 139 */
 unsigned char BgL_tmpz00_5316;
BgL_tmpz00_5316 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2220); 
bgl_display_char(BgL_tmpz00_5316, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 140 */
 unsigned char BgL_tmpz00_5319;
BgL_tmpz00_5319 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2221); 
bgl_display_char(BgL_tmpz00_5319, BgL_opz00_9); } 
bgl_display_char(((unsigned char)'='), BgL_opz00_9); 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } }  else 
{ /* Unsafe/base64.scm 143 */
 obj_t BgL_i2z00_2226;
BgL_i2z00_2226 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
if(
EOF_OBJECTP(BgL_i2z00_2226))
{ /* Unsafe/base64.scm 145 */
 long BgL_o0z00_2228;
BgL_o0z00_2228 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 145 */
 long BgL_o1z00_2229;
BgL_o1z00_2229 = 
(
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 146 */
 long BgL_o2z00_2230;
BgL_o2z00_2230 = 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 148 */

{ /* Unsafe/base64.scm 149 */
 unsigned char BgL_tmpz00_5344;
BgL_tmpz00_5344 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2228); 
bgl_display_char(BgL_tmpz00_5344, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 150 */
 unsigned char BgL_tmpz00_5347;
BgL_tmpz00_5347 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2229); 
bgl_display_char(BgL_tmpz00_5347, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 151 */
 unsigned char BgL_tmpz00_5350;
BgL_tmpz00_5350 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2230); 
bgl_display_char(BgL_tmpz00_5350, BgL_opz00_9); } 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } } }  else 
{ /* Unsafe/base64.scm 153 */
 long BgL_o0z00_2240;
BgL_o0z00_2240 = 
(
(
(long)CINT(BgL_i0z00_2216) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 153 */
 long BgL_o1z00_2241;
BgL_o1z00_2241 = 
(
(
(
(long)CINT(BgL_i0z00_2216) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2218) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 154 */
 long BgL_o2z00_2242;
BgL_o2z00_2242 = 
(
(
(
(long)CINT(BgL_i1z00_2218) & ((long)15)) << 
(int)(((long)2))) | 
(
(
(long)CINT(BgL_i2z00_2226) & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 156 */
 long BgL_o3z00_2243;
BgL_o3z00_2243 = 
(
(long)CINT(BgL_i2z00_2226) & ((long)63)); 
{ /* Unsafe/base64.scm 158 */

{ /* Unsafe/base64.scm 159 */
 unsigned char BgL_tmpz00_5378;
BgL_tmpz00_5378 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2240); 
bgl_display_char(BgL_tmpz00_5378, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 160 */
 unsigned char BgL_tmpz00_5381;
BgL_tmpz00_5381 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2241); 
bgl_display_char(BgL_tmpz00_5381, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 161 */
 unsigned char BgL_tmpz00_5384;
BgL_tmpz00_5384 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2242); 
bgl_display_char(BgL_tmpz00_5384, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 162 */
 unsigned char BgL_tmpz00_5387;
BgL_tmpz00_5387 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2243); 
bgl_display_char(BgL_tmpz00_5387, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 163 */
 bool_t BgL_test2479z00_5390;
if(
(BgL_iz00_2214>=BgL_padz00_2212))
{ /* Unsafe/base64.scm 163 */
BgL_test2479z00_5390 = 
(BgL_padz00_2212>((long)0))
; }  else 
{ /* Unsafe/base64.scm 163 */
BgL_test2479z00_5390 = ((bool_t)0)
; } 
if(BgL_test2479z00_5390)
{ /* Unsafe/base64.scm 163 */
bgl_display_char(((unsigned char)10), BgL_opz00_9); 
{ 
 long BgL_iz00_5395;
BgL_iz00_5395 = ((long)0); 
BgL_iz00_2214 = BgL_iz00_5395; 
goto BgL_zc3z04anonymousza31779ze3z87_2215;} }  else 
{ 
 long BgL_iz00_5396;
BgL_iz00_5396 = 
(BgL_iz00_2214+((long)4)); 
BgL_iz00_2214 = BgL_iz00_5396; 
goto BgL_zc3z04anonymousza31779ze3z87_2215;} } } } } } } } } } } } } 

}



/* actual-string-length */
long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t BgL_sz00_15)
{
{ /* Unsafe/base64.scm 206 */
{ 
 long BgL_iz00_2266;
BgL_iz00_2266 = 
(
STRING_LENGTH(BgL_sz00_15)-((long)1)); 
BgL_zc3z04anonymousza31816ze3z87_2267:
if(
(BgL_iz00_2266==((long)0)))
{ /* Unsafe/base64.scm 208 */
return BgL_iz00_2266;}  else 
{ /* Unsafe/base64.scm 210 */
 unsigned char BgL_cz00_2269;
BgL_cz00_2269 = 
STRING_REF(BgL_sz00_15, BgL_iz00_2266); 
{ /* Unsafe/base64.scm 211 */
 bool_t BgL_test2482z00_5401;
if(
(BgL_cz00_2269==((unsigned char)10)))
{ /* Unsafe/base64.scm 211 */
BgL_test2482z00_5401 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 211 */
BgL_test2482z00_5401 = 
(BgL_cz00_2269==((unsigned char)13))
; } 
if(BgL_test2482z00_5401)
{ 
 long BgL_iz00_5405;
BgL_iz00_5405 = 
(BgL_iz00_2266-((long)1)); 
BgL_iz00_2266 = BgL_iz00_5405; 
goto BgL_zc3z04anonymousza31816ze3z87_2267;}  else 
{ /* Unsafe/base64.scm 211 */
return 
(BgL_iz00_2266+((long)1));} } } } } 

}



/* _base64-decode */
obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t BgL_env1154z00_19, obj_t BgL_opt1153z00_18)
{
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 218 */
 obj_t BgL_g1155z00_2276;
BgL_g1155z00_2276 = 
VECTOR_REF(BgL_opt1153z00_18,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1153z00_18)) { case ((long)1) : 

{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_auxz00_5411;
if(
STRINGP(BgL_g1155z00_2276))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5411 = BgL_g1155z00_2276
; }  else 
{ 
 obj_t BgL_auxz00_5414;
BgL_auxz00_5414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)8420)), BGl_string2323z00zz__base64z00, BGl_string2319z00zz__base64z00, BgL_g1155z00_2276); 
FAILURE(BgL_auxz00_5414,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5411, BFALSE);} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_eofzd2nozd2paddingz00_2281;
BgL_eofzd2nozd2paddingz00_2281 = 
VECTOR_REF(BgL_opt1153z00_18,((long)1)); 
{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
 obj_t BgL_auxz00_5420;
if(
STRINGP(BgL_g1155z00_2276))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5420 = BgL_g1155z00_2276
; }  else 
{ 
 obj_t BgL_auxz00_5423;
BgL_auxz00_5423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)8420)), BGl_string2323z00zz__base64z00, BGl_string2319z00zz__base64z00, BgL_g1155z00_2276); 
FAILURE(BgL_auxz00_5423,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5420, BgL_eofzd2nozd2paddingz00_2281);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-decode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t BgL_sz00_16, obj_t BgL_eofzd2nozd2paddingz00_17)
{
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 219 */
 long BgL_lenz00_2282;
BgL_lenz00_2282 = 
BGl_actualzd2stringzd2lengthz00zz__base64z00(BgL_sz00_16); 
{ /* Unsafe/base64.scm 219 */
 long BgL_nlenz00_2283;
if(
CBOOL(BgL_eofzd2nozd2paddingz00_17))
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2283 = 
(
(((long)1)+
(BgL_lenz00_2282/((long)4)))*((long)3)); }  else 
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2283 = 
(
(BgL_lenz00_2282/((long)4))*((long)3)); } 
{ /* Unsafe/base64.scm 220 */
 obj_t BgL_resz00_2284;
{ /* Ieee/string.scm 168 */

BgL_resz00_2284 = 
make_string(BgL_nlenz00_2283, ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 223 */

{ 
 long BgL_xz00_2286; long BgL_yz00_2287;
BgL_xz00_2286 = ((long)0); 
BgL_yz00_2287 = ((long)0); 
BgL_zc3z04anonymousza31823ze3z87_2288:
if(
(BgL_xz00_2286<BgL_lenz00_2282))
{ /* Unsafe/base64.scm 227 */
 unsigned char BgL_cz00_2290;
BgL_cz00_2290 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)0))); 
{ /* Unsafe/base64.scm 227 */
 int BgL_q0z00_2291;
{ /* Unsafe/base64.scm 228 */
 unsigned char BgL_cz00_3584;
BgL_cz00_3584 = 
(char)(BgL_cz00_2290); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3585;
BgL_arg1815z00_3585 = 
(
(unsigned char)(BgL_cz00_3584)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2272z00_3592;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3587;
BgL_cz00_3587 = 
(signed char)(BgL_arg1815z00_3585); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3588;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5447;
BgL_tmpz00_5447 = 
(long)(BgL_cz00_3587); 
BgL_arg1813z00_3588 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5447); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3589;
BgL_xz00_3589 = 
(int8_t)(BgL_arg1813z00_3588); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3590;
BgL_arg2217z00_3590 = 
(long)(BgL_xz00_3589); 
BgL_res2272z00_3592 = 
(int)(
(long)(BgL_arg2217z00_3590)); } } } } 
BgL_q0z00_2291 = BgL_res2272z00_3592; } } } 
{ /* Unsafe/base64.scm 228 */

{ /* Unsafe/base64.scm 229 */
 bool_t BgL_test2488z00_5454;
if(
(
(long)(BgL_q0z00_2291)==((long)0)))
{ /* Unsafe/base64.scm 230 */
 bool_t BgL__ortest_1044z00_2379;
BgL__ortest_1044z00_2379 = 
(BgL_cz00_2290==((unsigned char)10)); 
if(BgL__ortest_1044z00_2379)
{ /* Unsafe/base64.scm 230 */
BgL_test2488z00_5454 = BgL__ortest_1044z00_2379
; }  else 
{ /* Unsafe/base64.scm 230 */
BgL_test2488z00_5454 = 
(BgL_cz00_2290==((unsigned char)13))
; } }  else 
{ /* Unsafe/base64.scm 229 */
BgL_test2488z00_5454 = ((bool_t)0)
; } 
if(BgL_test2488z00_5454)
{ 
 long BgL_xz00_5461;
BgL_xz00_5461 = 
(BgL_xz00_2286+((long)1)); 
BgL_xz00_2286 = BgL_xz00_5461; 
goto BgL_zc3z04anonymousza31823ze3z87_2288;}  else 
{ /* Unsafe/base64.scm 229 */
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)4))))
{ /* Unsafe/base64.scm 234 */
 int BgL_q1z00_2298;
{ /* Unsafe/base64.scm 234 */
 unsigned char BgL_arg1848z00_2322;
BgL_arg1848z00_2322 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 234 */
 unsigned char BgL_cz00_3605;
BgL_cz00_3605 = 
(char)(BgL_arg1848z00_2322); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3606;
BgL_arg1815z00_3606 = 
(
(unsigned char)(BgL_cz00_3605)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2273z00_3613;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3608;
BgL_cz00_3608 = 
(signed char)(BgL_arg1815z00_3606); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3609;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5472;
BgL_tmpz00_5472 = 
(long)(BgL_cz00_3608); 
BgL_arg1813z00_3609 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5472); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3610;
BgL_xz00_3610 = 
(int8_t)(BgL_arg1813z00_3609); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3611;
BgL_arg2217z00_3611 = 
(long)(BgL_xz00_3610); 
BgL_res2273z00_3613 = 
(int)(
(long)(BgL_arg2217z00_3611)); } } } } 
BgL_q1z00_2298 = BgL_res2273z00_3613; } } } } 
{ /* Unsafe/base64.scm 234 */
 int BgL_q2z00_2299;
{ /* Unsafe/base64.scm 235 */
 unsigned char BgL_arg1846z00_2320;
BgL_arg1846z00_2320 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)2))); 
{ /* Unsafe/base64.scm 235 */
 unsigned char BgL_cz00_3617;
BgL_cz00_3617 = 
(char)(BgL_arg1846z00_2320); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3618;
BgL_arg1815z00_3618 = 
(
(unsigned char)(BgL_cz00_3617)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2274z00_3625;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3620;
BgL_cz00_3620 = 
(signed char)(BgL_arg1815z00_3618); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3621;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5485;
BgL_tmpz00_5485 = 
(long)(BgL_cz00_3620); 
BgL_arg1813z00_3621 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5485); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3622;
BgL_xz00_3622 = 
(int8_t)(BgL_arg1813z00_3621); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3623;
BgL_arg2217z00_3623 = 
(long)(BgL_xz00_3622); 
BgL_res2274z00_3625 = 
(int)(
(long)(BgL_arg2217z00_3623)); } } } } 
BgL_q2z00_2299 = BgL_res2274z00_3625; } } } } 
{ /* Unsafe/base64.scm 235 */
 int BgL_q3z00_2300;
{ /* Unsafe/base64.scm 236 */
 unsigned char BgL_arg1844z00_2318;
BgL_arg1844z00_2318 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)3))); 
{ /* Unsafe/base64.scm 236 */
 unsigned char BgL_cz00_3629;
BgL_cz00_3629 = 
(char)(BgL_arg1844z00_2318); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3630;
BgL_arg1815z00_3630 = 
(
(unsigned char)(BgL_cz00_3629)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2275z00_3637;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3632;
BgL_cz00_3632 = 
(signed char)(BgL_arg1815z00_3630); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3633;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5498;
BgL_tmpz00_5498 = 
(long)(BgL_cz00_3632); 
BgL_arg1813z00_3633 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5498); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3634;
BgL_xz00_3634 = 
(int8_t)(BgL_arg1813z00_3633); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3635;
BgL_arg2217z00_3635 = 
(long)(BgL_xz00_3634); 
BgL_res2275z00_3637 = 
(int)(
(long)(BgL_arg2217z00_3635)); } } } } 
BgL_q3z00_2300 = BgL_res2275z00_3637; } } } } 
{ /* Unsafe/base64.scm 236 */
 long BgL_v0z00_2301;
BgL_v0z00_2301 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2298) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 237 */
 long BgL_v1z00_2302;
BgL_v1z00_2302 = 
(
(
(
(long)(BgL_q1z00_2298) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2299) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 239 */
 long BgL_v2z00_2303;
BgL_v2z00_2303 = 
(
(
(
(long)(BgL_q2z00_2299) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_2300)); 
{ /* Unsafe/base64.scm 241 */

{ /* Unsafe/base64.scm 243 */
 unsigned char BgL_tmpz00_5526;
BgL_tmpz00_5526 = 
(BgL_v0z00_2301); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5526); } 
{ /* Unsafe/base64.scm 244 */
 unsigned char BgL_auxz00_5531; long BgL_tmpz00_5529;
BgL_auxz00_5531 = 
(BgL_v1z00_2302); 
BgL_tmpz00_5529 = 
(BgL_yz00_2287+((long)1)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5529, BgL_auxz00_5531); } 
{ /* Unsafe/base64.scm 245 */
 unsigned char BgL_auxz00_5536; long BgL_tmpz00_5534;
BgL_auxz00_5536 = 
(BgL_v2z00_2303); 
BgL_tmpz00_5534 = 
(BgL_yz00_2287+((long)2)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5534, BgL_auxz00_5536); } 
{ 
 long BgL_yz00_5541; long BgL_xz00_5539;
BgL_xz00_5539 = 
(BgL_xz00_2286+((long)4)); 
BgL_yz00_5541 = 
(BgL_yz00_2287+((long)3)); 
BgL_yz00_2287 = BgL_yz00_5541; 
BgL_xz00_2286 = BgL_xz00_5539; 
goto BgL_zc3z04anonymousza31823ze3z87_2288;} } } } } } } }  else 
{ /* Unsafe/base64.scm 247 */
 bool_t BgL_test2492z00_5543;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)3))))
{ /* Unsafe/base64.scm 247 */
BgL_test2492z00_5543 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 247 */
BgL_test2492z00_5543 = ((bool_t)0)
; } 
if(BgL_test2492z00_5543)
{ /* Unsafe/base64.scm 248 */
 unsigned char BgL_c1z00_2328;
BgL_c1z00_2328 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 248 */
 unsigned char BgL_c2z00_2329;
BgL_c2z00_2329 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)2))); 
{ /* Unsafe/base64.scm 249 */
 int BgL_q1z00_2330;
{ /* Unsafe/base64.scm 250 */
 unsigned char BgL_cz00_3676;
BgL_cz00_3676 = 
(char)(BgL_c1z00_2328); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3677;
BgL_arg1815z00_3677 = 
(
(unsigned char)(BgL_cz00_3676)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2276z00_3684;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3679;
BgL_cz00_3679 = 
(signed char)(BgL_arg1815z00_3677); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3680;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5556;
BgL_tmpz00_5556 = 
(long)(BgL_cz00_3679); 
BgL_arg1813z00_3680 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5556); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3681;
BgL_xz00_3681 = 
(int8_t)(BgL_arg1813z00_3680); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3682;
BgL_arg2217z00_3682 = 
(long)(BgL_xz00_3681); 
BgL_res2276z00_3684 = 
(int)(
(long)(BgL_arg2217z00_3682)); } } } } 
BgL_q1z00_2330 = BgL_res2276z00_3684; } } } 
{ /* Unsafe/base64.scm 250 */
 int BgL_q2z00_2331;
{ /* Unsafe/base64.scm 251 */
 unsigned char BgL_cz00_3685;
BgL_cz00_3685 = 
(char)(BgL_c2z00_2329); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3686;
BgL_arg1815z00_3686 = 
(
(unsigned char)(BgL_cz00_3685)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2277z00_3693;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3688;
BgL_cz00_3688 = 
(signed char)(BgL_arg1815z00_3686); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3689;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5567;
BgL_tmpz00_5567 = 
(long)(BgL_cz00_3688); 
BgL_arg1813z00_3689 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5567); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3690;
BgL_xz00_3690 = 
(int8_t)(BgL_arg1813z00_3689); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3691;
BgL_arg2217z00_3691 = 
(long)(BgL_xz00_3690); 
BgL_res2277z00_3693 = 
(int)(
(long)(BgL_arg2217z00_3691)); } } } } 
BgL_q2z00_2331 = BgL_res2277z00_3693; } } } 
{ /* Unsafe/base64.scm 251 */
 long BgL_v0z00_2332;
BgL_v0z00_2332 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2330) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 252 */
 long BgL_v1z00_2333;
BgL_v1z00_2333 = 
(
(
(
(long)(BgL_q1z00_2330) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2331) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 254 */

{ /* Unsafe/base64.scm 256 */
 unsigned char BgL_tmpz00_5589;
BgL_tmpz00_5589 = 
(BgL_v0z00_2332); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5589); } 
{ /* Unsafe/base64.scm 257 */
 unsigned char BgL_auxz00_5594; long BgL_tmpz00_5592;
BgL_auxz00_5594 = 
(BgL_v1z00_2333); 
BgL_tmpz00_5592 = 
(BgL_yz00_2287+((long)1)); 
STRING_SET(BgL_resz00_2284, BgL_tmpz00_5592, BgL_auxz00_5594); } 
if(
(BgL_c1z00_2328==((unsigned char)'=')))
{ /* Unsafe/base64.scm 259 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 259 */
if(
(BgL_c2z00_2329==((unsigned char)'=')))
{ /* Unsafe/base64.scm 262 */
 long BgL_tmpz00_5602;
BgL_tmpz00_5602 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5602);}  else 
{ /* Unsafe/base64.scm 264 */
 long BgL_tmpz00_5605;
BgL_tmpz00_5605 = 
(BgL_yz00_2287+((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5605);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 265 */
 bool_t BgL_test2496z00_5608;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)2))))
{ /* Unsafe/base64.scm 265 */
BgL_test2496z00_5608 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 265 */
BgL_test2496z00_5608 = ((bool_t)0)
; } 
if(BgL_test2496z00_5608)
{ /* Unsafe/base64.scm 266 */
 unsigned char BgL_c1z00_2352;
BgL_c1z00_2352 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2286+((long)1))); 
{ /* Unsafe/base64.scm 266 */
 int BgL_q1z00_2353;
{ /* Unsafe/base64.scm 267 */
 unsigned char BgL_cz00_3730;
BgL_cz00_3730 = 
(char)(BgL_c1z00_2352); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3731;
BgL_arg1815z00_3731 = 
(
(unsigned char)(BgL_cz00_3730)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2278z00_3738;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3733;
BgL_cz00_3733 = 
(signed char)(BgL_arg1815z00_3731); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3734;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5619;
BgL_tmpz00_5619 = 
(long)(BgL_cz00_3733); 
BgL_arg1813z00_3734 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5619); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3735;
BgL_xz00_3735 = 
(int8_t)(BgL_arg1813z00_3734); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3736;
BgL_arg2217z00_3736 = 
(long)(BgL_xz00_3735); 
BgL_res2278z00_3738 = 
(int)(
(long)(BgL_arg2217z00_3736)); } } } } 
BgL_q1z00_2353 = BgL_res2278z00_3738; } } } 
{ /* Unsafe/base64.scm 267 */
 long BgL_v0z00_2354;
BgL_v0z00_2354 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2353) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 268 */

{ /* Unsafe/base64.scm 270 */
 unsigned char BgL_tmpz00_5633;
BgL_tmpz00_5633 = 
(BgL_v0z00_2354); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5633); } 
if(
(BgL_c1z00_2352==((unsigned char)'=')))
{ /* Unsafe/base64.scm 271 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 273 */
 long BgL_tmpz00_5639;
BgL_tmpz00_5639 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5639);} } } } }  else 
{ /* Unsafe/base64.scm 274 */
 bool_t BgL_test2499z00_5642;
if(
(BgL_xz00_2286<=
(BgL_lenz00_2282-((long)1))))
{ /* Unsafe/base64.scm 274 */
BgL_test2499z00_5642 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 274 */
BgL_test2499z00_5642 = ((bool_t)0)
; } 
if(BgL_test2499z00_5642)
{ /* Unsafe/base64.scm 275 */
 int BgL_q1z00_2365;
{ /* Unsafe/base64.scm 275 */
 unsigned char BgL_cz00_3757;
BgL_cz00_3757 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
 long BgL_arg1815z00_3758;
BgL_arg1815z00_3758 = 
(
(unsigned char)(BgL_cz00_3757)); 
{ /* Unsafe/base64.scm 201 */
 int BgL_res2279z00_3765;
{ /* Unsafe/base64.scm 201 */
 char BgL_cz00_3760;
BgL_cz00_3760 = 
(signed char)(BgL_arg1815z00_3758); 
{ /* Unsafe/base64.scm 195 */
 uint8_t BgL_arg1813z00_3761;
{ /* Unsafe/base64.scm 195 */
 long BgL_tmpz00_5651;
BgL_tmpz00_5651 = 
(long)(BgL_cz00_3760); 
BgL_arg1813z00_3761 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5651); } 
{ /* Unsafe/base64.scm 195 */
 int8_t BgL_xz00_3762;
BgL_xz00_3762 = 
(int8_t)(BgL_arg1813z00_3761); 
{ /* Unsafe/base64.scm 195 */
 long BgL_arg2217z00_3763;
BgL_arg2217z00_3763 = 
(long)(BgL_xz00_3762); 
BgL_res2279z00_3765 = 
(int)(
(long)(BgL_arg2217z00_3763)); } } } } 
BgL_q1z00_2365 = BgL_res2279z00_3765; } } } 
{ /* Unsafe/base64.scm 275 */
 long BgL_v0z00_2366;
BgL_v0z00_2366 = 
(
(
(long)(BgL_q0z00_2291) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2365) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 276 */

{ /* Unsafe/base64.scm 277 */
 unsigned char BgL_tmpz00_5665;
BgL_tmpz00_5665 = 
(BgL_v0z00_2366); 
STRING_SET(BgL_resz00_2284, BgL_yz00_2287, BgL_tmpz00_5665); } 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);} } }  else 
{ /* Unsafe/base64.scm 280 */
 long BgL_tmpz00_5669;
BgL_tmpz00_5669 = 
(BgL_yz00_2287+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5669);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 282 */
 bool_t BgL_test2501z00_5672;
if(
(BgL_lenz00_2282>((long)2)))
{ /* Unsafe/base64.scm 282 */
BgL_test2501z00_5672 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2282-((long)2)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 282 */
BgL_test2501z00_5672 = ((bool_t)0)
; } 
if(BgL_test2501z00_5672)
{ /* Unsafe/base64.scm 283 */
 long BgL_tmpz00_5678;
BgL_tmpz00_5678 = 
(BgL_yz00_2287-((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5678);}  else 
{ /* Unsafe/base64.scm 284 */
 bool_t BgL_test2503z00_5681;
if(
(BgL_lenz00_2282>((long)1)))
{ /* Unsafe/base64.scm 284 */
BgL_test2503z00_5681 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2282-((long)1)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 284 */
BgL_test2503z00_5681 = ((bool_t)0)
; } 
if(BgL_test2503z00_5681)
{ /* Unsafe/base64.scm 285 */
 long BgL_tmpz00_5687;
BgL_tmpz00_5687 = 
(BgL_yz00_2287-((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5687);}  else 
{ /* Unsafe/base64.scm 284 */
if(
(BgL_yz00_2287<BgL_nlenz00_2283))
{ /* Unsafe/base64.scm 287 */
return 
bgl_string_shrink(BgL_resz00_2284, BgL_yz00_2287);}  else 
{ /* Unsafe/base64.scm 287 */
return BgL_resz00_2284;} } } } } } } } } } 

}



/* _base64-decode-port */
obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t BgL_env1159z00_24, obj_t BgL_opt1158z00_23)
{
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 380 */
 obj_t BgL_g1160z00_2404; obj_t BgL_g1161z00_2405;
BgL_g1160z00_2404 = 
VECTOR_REF(BgL_opt1158z00_23,((long)0)); 
BgL_g1161z00_2405 = 
VECTOR_REF(BgL_opt1158z00_23,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_opt1158z00_23)) { case ((long)2) : 

{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_auxz00_5702; obj_t BgL_auxz00_5695;
if(
OUTPUT_PORTP(BgL_g1161z00_2405))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5702 = BgL_g1161z00_2405
; }  else 
{ 
 obj_t BgL_auxz00_5705;
BgL_auxz00_5705 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)14330)), BGl_string2324z00zz__base64z00, BGl_string2322z00zz__base64z00, BgL_g1161z00_2405); 
FAILURE(BgL_auxz00_5705,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1160z00_2404))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5695 = BgL_g1160z00_2404
; }  else 
{ 
 obj_t BgL_auxz00_5698;
BgL_auxz00_5698 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)14330)), BGl_string2324z00zz__base64z00, BGl_string2321z00zz__base64z00, BgL_g1160z00_2404); 
FAILURE(BgL_auxz00_5698,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_5695, BgL_auxz00_5702, BFALSE);} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_eofzd2nozd2paddingz00_2410;
BgL_eofzd2nozd2paddingz00_2410 = 
VECTOR_REF(BgL_opt1158z00_23,((long)2)); 
{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
 obj_t BgL_auxz00_5718; obj_t BgL_auxz00_5711;
if(
OUTPUT_PORTP(BgL_g1161z00_2405))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5718 = BgL_g1161z00_2405
; }  else 
{ 
 obj_t BgL_auxz00_5721;
BgL_auxz00_5721 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)14330)), BGl_string2324z00zz__base64z00, BGl_string2322z00zz__base64z00, BgL_g1161z00_2405); 
FAILURE(BgL_auxz00_5721,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1160z00_2404))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_5711 = BgL_g1160z00_2404
; }  else 
{ 
 obj_t BgL_auxz00_5714;
BgL_auxz00_5714 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)14330)), BGl_string2324z00zz__base64z00, BGl_string2321z00zz__base64z00, BgL_g1160z00_2404); 
FAILURE(BgL_auxz00_5714,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_5711, BgL_auxz00_5718, BgL_eofzd2nozd2paddingz00_2410);} } } break;
default: 
return BUNSPEC;} } } 

}



/* base64-decode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_20, obj_t BgL_opz00_21, obj_t BgL_eofzd2nozd2paddingz00_22)
{
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 381 */
 obj_t BgL_arg1914z00_2411;
{ /* Ieee/string.scm 168 */

BgL_arg1914z00_2411 = 
make_string(((long)84), ((unsigned char)' ')); } 
return 
BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_20, BgL_opz00_21, BgL_arg1914z00_2411, ((long)0), ((long)84), BGl_proc2325z00zz__base64z00, ((bool_t)1));} } 

}



/* &<@anonymous:1916> */
obj_t BGl_z62zc3z04anonymousza31916ze3ze5zz__base64z00(obj_t BgL_envz00_4106, obj_t BgL_cz00_4107)
{
{ /* Unsafe/base64.scm 382 */
return 
BBOOL(((bool_t)0));} 

}



/* pem-decode-port */
BGL_EXPORTED_DEF obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_25, obj_t BgL_opz00_26)
{
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 431 */
 obj_t BgL_startz00_2419;
BgL_startz00_2419 = 
BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_25, ((long)0)); 
if(
bigloo_strcmp_at(BgL_startz00_2419, BGl_string2326z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 433 */
 obj_t BgL_arg1918z00_2421;
{ /* Ieee/string.scm 168 */

BgL_arg1918z00_2421 = 
make_string(((long)84), ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_zc3z04anonymousza31920ze3z87_4108;
{ 
 int BgL_tmpz00_5748;
BgL_tmpz00_5748 = 
(int)(((long)2)); 
BgL_zc3z04anonymousza31920ze3z87_4108 = 
MAKE_L_PROCEDURE(BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00, BgL_tmpz00_5748); } 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31920ze3z87_4108, 
(int)(((long)0)), BgL_ipz00_25); 
PROCEDURE_L_SET(BgL_zc3z04anonymousza31920ze3z87_4108, 
(int)(((long)1)), BgL_startz00_2419); 
return 
BGl_z62zc3z04anonymousza31266ze3ze5zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_25, BgL_opz00_26, BgL_arg1918z00_2421, ((long)0), ((long)84), BgL_zc3z04anonymousza31920ze3z87_4108, ((bool_t)0));} }  else 
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1923z00_2430;
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1085z00_2431;
{ /* Unsafe/base64.scm 438 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1084z00_2434;
BgL_new1084z00_2434 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 438 */
 long BgL_arg1926z00_2435;
BgL_arg1926z00_2435 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_2434), BgL_arg1926z00_2435); } 
BgL_new1085z00_2431 = BgL_new1084z00_2434; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5773;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_arg1924z00_2432;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_arg1925z00_2433;
{ /* Unsafe/base64.scm 438 */
 obj_t BgL_classz00_3835;
BgL_classz00_3835 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1925z00_2433 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3835); } 
BgL_arg1924z00_2432 = 
VECTOR_REF(BgL_arg1925z00_2433,((long)2)); } 
BgL_auxz00_5773 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1924z00_2432); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1085z00_2431)))->BgL_stackz00)=((obj_t)BgL_auxz00_5773),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_procz00)=((obj_t)BGl_string2312z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_msgz00)=((obj_t)BGl_string2327z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1085z00_2431)))->BgL_objz00)=((obj_t)BgL_startz00_2419),BUNSPEC); 
BgL_arg1923z00_2430 = BgL_new1085z00_2431; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1923z00_2430));} } } 

}



/* &pem-decode-port */
obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t BgL_envz00_4109, obj_t BgL_ipz00_4110, obj_t BgL_opz00_4111)
{
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 416 */
 obj_t BgL_auxz00_5794; obj_t BgL_auxz00_5787;
if(
OUTPUT_PORTP(BgL_opz00_4111))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_5794 = BgL_opz00_4111
; }  else 
{ 
 obj_t BgL_auxz00_5797;
BgL_auxz00_5797 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)15725)), BGl_string2328z00zz__base64z00, BGl_string2322z00zz__base64z00, BgL_opz00_4111); 
FAILURE(BgL_auxz00_5797,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_ipz00_4110))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_5787 = BgL_ipz00_4110
; }  else 
{ 
 obj_t BgL_auxz00_5790;
BgL_auxz00_5790 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)15725)), BGl_string2328z00zz__base64z00, BGl_string2321z00zz__base64z00, BgL_ipz00_4110); 
FAILURE(BgL_auxz00_5790,BFALSE,BFALSE);} 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_auxz00_5787, BgL_auxz00_5794);} } 

}



/* &<@anonymous:1920> */
obj_t BGl_z62zc3z04anonymousza31920ze3ze5zz__base64z00(obj_t BgL_envz00_4112, obj_t BgL_cz00_4115)
{
{ /* Unsafe/base64.scm 434 */
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_ipz00_4113; obj_t BgL_startz00_4114;
BgL_ipz00_4113 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_4112, 
(int)(((long)0)))); 
BgL_startz00_4114 = 
PROCEDURE_L_REF(BgL_envz00_4112, 
(int)(((long)1))); 
{ 
 obj_t BgL_startz00_4357; obj_t BgL_cz00_4358;
{ /* Unsafe/base64.scm 435 */
 obj_t BgL_arg1921z00_4381;
{ /* Unsafe/base64.scm 435 */
 long BgL_arg1922z00_4382;
BgL_arg1922z00_4382 = 
STRING_LENGTH(
((obj_t)BgL_startz00_4114)); 
BgL_arg1921z00_4381 = 
c_substring(
((obj_t)BgL_startz00_4114), ((long)7), BgL_arg1922z00_4382); } 
BgL_startz00_4357 = BgL_arg1921z00_4381; 
BgL_cz00_4358 = BgL_cz00_4115; 
if(
(
CCHAR(BgL_cz00_4358)==((unsigned char)'-')))
{ /* Unsafe/base64.scm 421 */
 obj_t BgL_endz00_4359;
BgL_endz00_4359 = 
BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_4113, ((long)1)); 
if(
bigloo_strcmp_at(BgL_endz00_4359, BGl_string2329z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 423 */
 bool_t BgL_test2515z00_5821;
{ /* Unsafe/base64.scm 423 */
 obj_t BgL_arg1937z00_4360;
{ /* Unsafe/base64.scm 423 */
 long BgL_arg1938z00_4361;
BgL_arg1938z00_4361 = 
STRING_LENGTH(
((obj_t)BgL_endz00_4359)); 
BgL_arg1937z00_4360 = 
c_substring(
((obj_t)BgL_endz00_4359), ((long)5), BgL_arg1938z00_4361); } 
{ /* Unsafe/base64.scm 423 */
 long BgL_l1z00_4362;
BgL_l1z00_4362 = 
STRING_LENGTH(BgL_startz00_4357); 
if(
(BgL_l1z00_4362==
STRING_LENGTH(BgL_arg1937z00_4360)))
{ /* Unsafe/base64.scm 423 */
 int BgL_arg2012z00_4363;
{ /* Unsafe/base64.scm 423 */
 char * BgL_auxz00_5832; char * BgL_tmpz00_5830;
BgL_auxz00_5832 = 
BSTRING_TO_STRING(BgL_arg1937z00_4360); 
BgL_tmpz00_5830 = 
BSTRING_TO_STRING(BgL_startz00_4357); 
BgL_arg2012z00_4363 = 
memcmp(BgL_tmpz00_5830, BgL_auxz00_5832, BgL_l1z00_4362); } 
BgL_test2515z00_5821 = 
(
(long)(BgL_arg2012z00_4363)==((long)0)); }  else 
{ /* Unsafe/base64.scm 423 */
BgL_test2515z00_5821 = ((bool_t)0)
; } } } 
if(BgL_test2515z00_5821)
{ /* Unsafe/base64.scm 423 */
return BTRUE;}  else 
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1933z00_4364;
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1083z00_4365;
{ /* Unsafe/base64.scm 426 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1082z00_4366;
BgL_new1082z00_4366 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 426 */
 long BgL_arg1936z00_4367;
BgL_arg1936z00_4367 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1082z00_4366), BgL_arg1936z00_4367); } 
BgL_new1083z00_4365 = BgL_new1082z00_4366; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4365)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4365)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5845;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_arg1934z00_4368;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_arg1935z00_4369;
{ /* Unsafe/base64.scm 426 */
 obj_t BgL_classz00_4370;
BgL_classz00_4370 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1935z00_4369 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4370); } 
BgL_arg1934z00_4368 = 
VECTOR_REF(BgL_arg1935z00_4369,((long)2)); } 
BgL_auxz00_5845 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1934z00_4368); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1083z00_4365)))->BgL_stackz00)=((obj_t)BgL_auxz00_5845),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4365)))->BgL_procz00)=((obj_t)BGl_string2312z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4365)))->BgL_msgz00)=((obj_t)BGl_string2330z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1083z00_4365)))->BgL_objz00)=((obj_t)BgL_endz00_4359),BUNSPEC); 
BgL_arg1933z00_4364 = BgL_new1083z00_4365; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1933z00_4364));} }  else 
{ /* Unsafe/base64.scm 422 */
return BFALSE;} }  else 
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1939z00_4371;
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1081z00_4372;
{ /* Unsafe/base64.scm 417 */
 BgL_z62iozd2parsezd2errorz62_bglt BgL_new1080z00_4373;
BgL_new1080z00_4373 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 417 */
 long BgL_arg1945z00_4374;
BgL_arg1945z00_4374 = 
BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1080z00_4373), BgL_arg1945z00_4374); } 
BgL_new1081z00_4372 = BgL_new1080z00_4373; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4372)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4372)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5867;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_arg1940z00_4375;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_arg1941z00_4376;
{ /* Unsafe/base64.scm 417 */
 obj_t BgL_classz00_4377;
BgL_classz00_4377 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_arg1941z00_4376 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4377); } 
BgL_arg1940z00_4375 = 
VECTOR_REF(BgL_arg1941z00_4376,((long)2)); } 
BgL_auxz00_5867 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1940z00_4375); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1081z00_4372)))->BgL_stackz00)=((obj_t)BgL_auxz00_5867),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4372)))->BgL_procz00)=((obj_t)BGl_string2312z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4372)))->BgL_msgz00)=((obj_t)BGl_string2331z00zz__base64z00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_5877;
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_arg1942z00_4378;
BgL_arg1942z00_4378 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_4113); 
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_list1943z00_4379;
{ /* Unsafe/base64.scm 420 */
 obj_t BgL_arg1944z00_4380;
BgL_arg1944z00_4380 = 
MAKE_YOUNG_PAIR(BgL_arg1942z00_4378, BNIL); 
BgL_list1943z00_4379 = 
MAKE_YOUNG_PAIR(BgL_cz00_4358, BgL_arg1944z00_4380); } 
BgL_auxz00_5877 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2314z00zz__base64z00, BgL_list1943z00_4379); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1081z00_4372)))->BgL_objz00)=((obj_t)BgL_auxz00_5877),BUNSPEC); } 
BgL_arg1939z00_4371 = BgL_new1081z00_4372; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1939z00_4371));} } } } } 

}



/* pem-read-file */
BGL_EXPORTED_DEF obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t BgL_filez00_27)
{
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
 obj_t BgL_pz00_2463;
{ /* Unsafe/base64.scm 447 */

{ /* Ieee/port.scm 453 */

BgL_pz00_2463 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_zc3z04anonymousza31947ze3z87_4116;
BgL_zc3z04anonymousza31947ze3z87_4116 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31947ze3z87_4116, 
(int)(((long)0)), BgL_pz00_2463); 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_27, BgL_zc3z04anonymousza31947ze3z87_4116); } 
return 
bgl_close_output_port(BgL_pz00_2463);} } 

}



/* &pem-read-file */
obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t BgL_envz00_4117, obj_t BgL_filez00_4118)
{
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
 obj_t BgL_auxz00_5894;
if(
STRINGP(BgL_filez00_4118))
{ /* Unsafe/base64.scm 447 */
BgL_auxz00_5894 = BgL_filez00_4118
; }  else 
{ 
 obj_t BgL_auxz00_5897;
BgL_auxz00_5897 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2317z00zz__base64z00, 
BINT(((long)16871)), BGl_string2332z00zz__base64z00, BGl_string2319z00zz__base64z00, BgL_filez00_4118); 
FAILURE(BgL_auxz00_5897,BFALSE,BFALSE);} 
return 
BGl_pemzd2readzd2filez00zz__base64z00(BgL_auxz00_5894);} } 

}



/* &<@anonymous:1947> */
obj_t BGl_z62zc3z04anonymousza31947ze3ze5zz__base64z00(obj_t BgL_envz00_4119)
{
{ /* Unsafe/base64.scm 449 */
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_pz00_4120;
BgL_pz00_4120 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_4119, 
(int)(((long)0)))); 
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_arg1948z00_4383;
{ /* Unsafe/base64.scm 450 */
 obj_t BgL_tmpz00_5905;
BgL_tmpz00_5905 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1948z00_4383 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_5905); } 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_arg1948z00_4383, BgL_pz00_4120);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__base64z00()
{
{ /* Unsafe/base64.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2333z00zz__base64z00));} 

}

#ifdef __cplusplus
}
#endif
