/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol2943z00zz__evaluatez00 = BUNSPEC;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2951z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2953z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2955z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2956z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2958z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2960z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2962z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2964z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2966z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2968z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2969z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2971z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol2973z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2975z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2977z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2979z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(long, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol2981z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2983z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2985z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol2987z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2989z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	static obj_t BGl_symbol2991z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2993z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2995z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2997z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2999z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_symbol3001z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_symbol3003z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3005z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_symbol3007z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3009z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_keyword3054z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_symbol3011z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3013z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3015z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3017z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3021z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3023z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3026z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3028z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31374ze3ze5zz__evaluatez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_symbol3030z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3032z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3034z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3036z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3038z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
	static obj_t BGl_symbol3040z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3042z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3044z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol3046z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3048z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_symbol3050z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3052z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3056z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3058z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string3010z00zz__evaluatez00,
		BgL_bgl_string3010za700za7za7_3063za7, "lambda", 6);
	      DEFINE_STRING(BGl_string3012z00zz__evaluatez00,
		BgL_bgl_string3012za700za7za7_3064za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string3014z00zz__evaluatez00,
		BgL_bgl_string3014za700za7za7_3065za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string3016z00zz__evaluatez00,
		BgL_bgl_string3016za700za7za7_3066za7, "at", 2);
	      DEFINE_STRING(BGl_string3018z00zz__evaluatez00,
		BgL_bgl_string3018za700za7za7_3067za7, "tmp", 3);
	      DEFINE_STRING(BGl_string3019z00zz__evaluatez00,
		BgL_bgl_string3019za700za7za7_3068za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3020z00zz__evaluatez00,
		BgL_bgl_string3020za700za7za7_3069za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string3022z00zz__evaluatez00,
		BgL_bgl_string3022za700za7za7_3070za7, "begin", 5);
	      DEFINE_STRING(BGl_string3024z00zz__evaluatez00,
		BgL_bgl_string3024za700za7za7_3071za7, " ", 1);
	      DEFINE_STRING(BGl_string3025z00zz__evaluatez00,
		BgL_bgl_string3025za700za7za7_3072za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string3027z00zz__evaluatez00,
		BgL_bgl_string3027za700za7za7_3073za7, "module", 6);
	      DEFINE_STRING(BGl_string3029z00zz__evaluatez00,
		BgL_bgl_string3029za700za7za7_3074za7, "@", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3075z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3031z00zz__evaluatez00,
		BgL_bgl_string3031za700za7za7_3076za7, "->", 2);
	      DEFINE_STRING(BGl_string3033z00zz__evaluatez00,
		BgL_bgl_string3033za700za7za7_3077za7, "trap", 4);
	      DEFINE_STRING(BGl_string3035z00zz__evaluatez00,
		BgL_bgl_string3035za700za7za7_3078za7, "or", 2);
	      DEFINE_STRING(BGl_string3037z00zz__evaluatez00,
		BgL_bgl_string3037za700za7za7_3079za7, "and", 3);
	      DEFINE_STRING(BGl_string3039z00zz__evaluatez00,
		BgL_bgl_string3039za700za7za7_3080za7, "let*", 4);
	      DEFINE_STRING(BGl_string3041z00zz__evaluatez00,
		BgL_bgl_string3041za700za7za7_3081za7, "letrec", 6);
	      DEFINE_STRING(BGl_string3043z00zz__evaluatez00,
		BgL_bgl_string3043za700za7za7_3082za7, "set!", 4);
	      DEFINE_STRING(BGl_string3045z00zz__evaluatez00,
		BgL_bgl_string3045za700za7za7_3083za7, "define", 6);
	      DEFINE_STRING(BGl_string3047z00zz__evaluatez00,
		BgL_bgl_string3047za700za7za7_3084za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3049z00zz__evaluatez00,
		BgL_bgl_string3049za700za7za7_3085za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3051z00zz__evaluatez00,
		BgL_bgl_string3051za700za7za7_3086za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string3053z00zz__evaluatez00,
		BgL_bgl_string3053za700za7za7_3087za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3055z00zz__evaluatez00,
		BgL_bgl_string3055za700za7za7_3088za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3057z00zz__evaluatez00,
		BgL_bgl_string3057za700za7za7_3089za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3059z00zz__evaluatez00,
		BgL_bgl_string3059za700za7za7_3090za7, "free-pragma::obj", 16);
	      DEFINE_STRING(BGl_string3060z00zz__evaluatez00,
		BgL_bgl_string3060za700za7za7_3091za7, "free-pragma", 11);
	      DEFINE_STRING(BGl_string3061z00zz__evaluatez00,
		BgL_bgl_string3061za700za7za7_3092za7, "not supported in eval", 21);
	      DEFINE_STRING(BGl_string3062z00zz__evaluatez00,
		BgL_bgl_string3062za700za7za7_3093za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2937z00zz__evaluatez00,
		BgL_bgl_string2937za700za7za7_3094za7, "", 0);
	      DEFINE_STRING(BGl_string2938z00zz__evaluatez00,
		BgL_bgl_string2938za700za7za7_3095za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string2939z00zz__evaluatez00,
		BgL_bgl_string2939za700za7za7_3096za7, "&evaluate2-restore-bp!", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3097z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2940z00zz__evaluatez00,
		BgL_bgl_string2940za700za7za7_3098za7, "bint", 4);
	      DEFINE_STRING(BGl_string2941z00zz__evaluatez00,
		BgL_bgl_string2941za700za7za7_3099za7, "&evaluate2-restore-state!", 25);
	      DEFINE_STRING(BGl_string2942z00zz__evaluatez00,
		BgL_bgl_string2942za700za7za7_3100za7, "vector", 6);
	      DEFINE_STRING(BGl_string2944z00zz__evaluatez00,
		BgL_bgl_string2944za700za7za7_3101za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2945z00zz__evaluatez00,
		BgL_bgl_string2945za700za7za7_3102za7, "eval", 4);
	      DEFINE_STRING(BGl_string2946z00zz__evaluatez00,
		BgL_bgl_string2946za700za7za7_3103za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string2947z00zz__evaluatez00,
		BgL_bgl_string2947za700za7za7_3104za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2948z00zz__evaluatez00,
		BgL_bgl_string2948za700za7za7_3105za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2949z00zz__evaluatez00,
		BgL_bgl_string2949za700za7za7_3106za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2950z00zz__evaluatez00,
		BgL_bgl_string2950za700za7za7_3107za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2952z00zz__evaluatez00,
		BgL_bgl_string2952za700za7za7_3108za7, "pair", 4);
	      DEFINE_STRING(BGl_string2954z00zz__evaluatez00,
		BgL_bgl_string2954za700za7za7_3109za7, "pair?", 5);
	      DEFINE_STRING(BGl_string2957z00zz__evaluatez00,
		BgL_bgl_string2957za700za7za7_3110za7, "vector?", 7);
	      DEFINE_STRING(BGl_string2959z00zz__evaluatez00,
		BgL_bgl_string2959za700za7za7_3111za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2961z00zz__evaluatez00,
		BgL_bgl_string2961za700za7za7_3112za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string2963z00zz__evaluatez00,
		BgL_bgl_string2963za700za7za7_3113za7, "char", 4);
	      DEFINE_STRING(BGl_string2965z00zz__evaluatez00,
		BgL_bgl_string2965za700za7za7_3114za7, "char?", 5);
	      DEFINE_STRING(BGl_string2967z00zz__evaluatez00,
		BgL_bgl_string2967za700za7za7_3115za7, "int", 3);
	      DEFINE_STRING(BGl_string2970z00zz__evaluatez00,
		BgL_bgl_string2970za700za7za7_3116za7, "integer?", 8);
	      DEFINE_STRING(BGl_string2972z00zz__evaluatez00,
		BgL_bgl_string2972za700za7za7_3117za7, "real", 4);
	      DEFINE_STRING(BGl_string2974z00zz__evaluatez00,
		BgL_bgl_string2974za700za7za7_3118za7, "breal", 5);
	      DEFINE_STRING(BGl_string2976z00zz__evaluatez00,
		BgL_bgl_string2976za700za7za7_3119za7, "real?", 5);
	      DEFINE_STRING(BGl_string2978z00zz__evaluatez00,
		BgL_bgl_string2978za700za7za7_3120za7, "bool", 4);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string2980z00zz__evaluatez00,
		BgL_bgl_string2980za700za7za7_3121za7, "boolean?", 8);
	      DEFINE_STRING(BGl_string2982z00zz__evaluatez00,
		BgL_bgl_string2982za700za7za7_3122za7, "struct", 6);
	      DEFINE_STRING(BGl_string2984z00zz__evaluatez00,
		BgL_bgl_string2984za700za7za7_3123za7, "struct?", 7);
	      DEFINE_STRING(BGl_string2986z00zz__evaluatez00,
		BgL_bgl_string2986za700za7za7_3124za7, "class", 5);
	      DEFINE_STRING(BGl_string2988z00zz__evaluatez00,
		BgL_bgl_string2988za700za7za7_3125za7, "class?", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3126z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2990z00zz__evaluatez00,
		BgL_bgl_string2990za700za7za7_3127za7, "string", 6);
	      DEFINE_STRING(BGl_string2992z00zz__evaluatez00,
		BgL_bgl_string2992za700za7za7_3128za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2994z00zz__evaluatez00,
		BgL_bgl_string2994za700za7za7_3129za7, "string?", 7);
	      DEFINE_STRING(BGl_string2996z00zz__evaluatez00,
		BgL_bgl_string2996za700za7za7_3130za7, "o", 1);
	      DEFINE_STRING(BGl_string2998z00zz__evaluatez00,
		BgL_bgl_string2998za700za7za7_3131za7, "quote", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3132z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73133za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3000z00zz__evaluatez00,
		BgL_bgl_string3000za700za7za7_3134za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string3002z00zz__evaluatez00,
		BgL_bgl_string3002za700za7za7_3135za7, "c", 1);
	      DEFINE_STRING(BGl_string3004z00zz__evaluatez00,
		BgL_bgl_string3004za700za7za7_3136za7, "isa?", 4);
	      DEFINE_STRING(BGl_string3006z00zz__evaluatez00,
		BgL_bgl_string3006za700za7za7_3137za7, "if", 2);
	      DEFINE_STRING(BGl_string3008z00zz__evaluatez00,
		BgL_bgl_string3008za700za7za7_3138za7, "let", 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2943z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2951z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2953z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2955z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2956z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2958z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2960z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2962z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2964z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2966z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2968z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2969z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2971z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2973z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2975z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2977z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2979z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2981z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2983z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2985z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2987z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2989z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2991z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2993z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2995z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2997z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2999z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3001z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3003z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3005z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3007z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3009z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3054z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3011z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3013z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3015z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3017z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3021z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3023z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3026z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3028z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3030z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3032z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3034z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3036z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3038z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3040z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3042z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3044z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3046z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3048z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3050z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3052z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3056z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3058z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4844, char *BgL_fromz00_4845)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2943z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2944z00zz__evaluatez00);
			BGl_symbol2951z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2952z00zz__evaluatez00);
			BGl_symbol2953z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2954z00zz__evaluatez00);
			BGl_symbol2955z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2942z00zz__evaluatez00);
			BGl_symbol2956z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2957z00zz__evaluatez00);
			BGl_symbol2958z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2959z00zz__evaluatez00);
			BGl_symbol2960z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2961z00zz__evaluatez00);
			BGl_symbol2962z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2963z00zz__evaluatez00);
			BGl_symbol2964z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2965z00zz__evaluatez00);
			BGl_symbol2966z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2967z00zz__evaluatez00);
			BGl_symbol2968z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2940z00zz__evaluatez00);
			BGl_symbol2969z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2970z00zz__evaluatez00);
			BGl_symbol2971z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2972z00zz__evaluatez00);
			BGl_symbol2973z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2974z00zz__evaluatez00);
			BGl_symbol2975z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2976z00zz__evaluatez00);
			BGl_symbol2977z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2978z00zz__evaluatez00);
			BGl_symbol2979z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2980z00zz__evaluatez00);
			BGl_symbol2981z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2982z00zz__evaluatez00);
			BGl_symbol2983z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2984z00zz__evaluatez00);
			BGl_symbol2985z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2986z00zz__evaluatez00);
			BGl_symbol2987z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2988z00zz__evaluatez00);
			BGl_symbol2989z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2990z00zz__evaluatez00);
			BGl_symbol2991z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2992z00zz__evaluatez00);
			BGl_symbol2993z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2994z00zz__evaluatez00);
			BGl_symbol2995z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2996z00zz__evaluatez00);
			BGl_symbol2997z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2998z00zz__evaluatez00);
			BGl_symbol2999z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3000z00zz__evaluatez00);
			BGl_symbol3001z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3002z00zz__evaluatez00);
			BGl_symbol3003z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3004z00zz__evaluatez00);
			BGl_symbol3005z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3006z00zz__evaluatez00);
			BGl_symbol3007z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3008z00zz__evaluatez00);
			BGl_symbol3009z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3010z00zz__evaluatez00);
			BGl_symbol3011z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3012z00zz__evaluatez00);
			BGl_symbol3013z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3014z00zz__evaluatez00);
			BGl_symbol3015z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3016z00zz__evaluatez00);
			BGl_symbol3017z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3018z00zz__evaluatez00);
			BGl_symbol3021z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3022z00zz__evaluatez00);
			BGl_symbol3023z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3024z00zz__evaluatez00);
			BGl_symbol3026z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3027z00zz__evaluatez00);
			BGl_symbol3028z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3029z00zz__evaluatez00);
			BGl_symbol3030z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3031z00zz__evaluatez00);
			BGl_symbol3032z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3033z00zz__evaluatez00);
			BGl_symbol3034z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3035z00zz__evaluatez00);
			BGl_symbol3036z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3037z00zz__evaluatez00);
			BGl_symbol3038z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3039z00zz__evaluatez00);
			BGl_symbol3040z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3041z00zz__evaluatez00);
			BGl_symbol3042z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3043z00zz__evaluatez00);
			BGl_symbol3044z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3045z00zz__evaluatez00);
			BGl_symbol3046z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3047z00zz__evaluatez00);
			BGl_symbol3048z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3049z00zz__evaluatez00);
			BGl_symbol3050z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3051z00zz__evaluatez00);
			BGl_symbol3052z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3053z00zz__evaluatez00);
			BGl_keyword3054z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3055z00zz__evaluatez00);
			BGl_symbol3056z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3057z00zz__evaluatez00);
			return (BGl_symbol3058z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3059z00zz__evaluatez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1181;

				BgL_headz00_1181 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3203;
					obj_t BgL_tailz00_3204;

					BgL_prevz00_3203 = BgL_headz00_1181;
					BgL_tailz00_3204 = BgL_l1z00_1;
				BgL_loopz00_3202:
					if (PAIRP(BgL_tailz00_3204))
						{
							obj_t BgL_newzd2prevzd2_3210;

							BgL_newzd2prevzd2_3210 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3204), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3203, BgL_newzd2prevzd2_3210);
							{
								obj_t BgL_tailz00_4916;
								obj_t BgL_prevz00_4915;

								BgL_prevz00_4915 = BgL_newzd2prevzd2_3210;
								BgL_tailz00_4916 = CDR(BgL_tailz00_3204);
								BgL_tailz00_3204 = BgL_tailz00_4916;
								BgL_prevz00_3203 = BgL_prevz00_4915;
								goto BgL_loopz00_3202;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1181);
			}
		}

	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1189;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_arg2657z00_3218;

					BgL_arg2657z00_3218 = SYMBOL_TO_STRING(BgL_idz00_3);
					BgL_stringz00_1189 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2657z00_3218);
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1190;

					BgL_lenz00_1190 = STRING_LENGTH(BgL_stringz00_1189);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1192;

							BgL_walkerz00_1192 = ((long) 0);
						BgL_zc3z04anonymousza31338ze3z87_1193:
							if ((BgL_walkerz00_1192 == BgL_lenz00_1190))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_test3142z00_4925;

									if (
										(STRING_REF(BgL_stringz00_1189,
												BgL_walkerz00_1192) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1192 < (BgL_lenz00_1190 - ((long) 1))))
												{	/* Eval/evaluate.scm 81 */
													BgL_test3142z00_4925 =
														(STRING_REF(BgL_stringz00_1189,
															(BgL_walkerz00_1192 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_test3142z00_4925 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_test3142z00_4925 = ((bool_t) 0);
										}
									if (BgL_test3142z00_4925)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1352z00_1204;
											obj_t BgL_arg1353z00_1205;

											BgL_arg1352z00_1204 =
												bstring_to_symbol(c_substring(BgL_stringz00_1189,
													((long) 0), BgL_walkerz00_1192));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1355z00_1207;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1357z00_1208;

													BgL_arg1357z00_1208 =
														(BgL_walkerz00_1192 + ((long) 2));
													{	/* Ieee/string.scm 190 */
														long BgL_endz00_1211;

														BgL_endz00_1211 = STRING_LENGTH(BgL_stringz00_1189);
														{	/* Ieee/string.scm 190 */

															BgL_arg1355z00_1207 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1189, BgL_arg1357z00_1208,
																BgL_endz00_1211);
												}}}
												BgL_arg1353z00_1205 =
													bstring_to_symbol(BgL_arg1355z00_1207);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1352z00_1204,
												BgL_arg1353z00_1205);
										}
									else
										{
											long BgL_walkerz00_4942;

											BgL_walkerz00_4942 = (BgL_walkerz00_1192 + ((long) 1));
											BgL_walkerz00_1192 = BgL_walkerz00_4942;
											goto BgL_zc3z04anonymousza31338ze3z87_1193;
										}
								}
						}
					}
				}
			}
		}

	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1220;

				BgL_sz00_1220 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1221;

					BgL_bpz00_1221 = VECTOR_REF(((obj_t) BgL_sz00_1220), ((long) 0));
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1222;

						BgL_rz00_1222 =
							make_vector(
							(long) CINT(BgL_bpz00_1221), BGl_string2937z00zz__evaluatez00);
						{
							long BgL_iz00_3250;

							BgL_iz00_3250 = ((long) 0);
						BgL_recz00_3249:
							if ((BgL_iz00_3250 < (long) CINT(BgL_bpz00_1221)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1367z00_3254;

										BgL_arg1367z00_3254 =
											VECTOR_REF(((obj_t) BgL_sz00_1220), BgL_iz00_3250);
										VECTOR_SET(BgL_rz00_1222, BgL_iz00_3250,
											BgL_arg1367z00_3254);
									}
									{
										long BgL_iz00_4955;

										BgL_iz00_4955 = (BgL_iz00_3250 + ((long) 1));
										BgL_iz00_3250 = BgL_iz00_4955;
										goto BgL_recz00_3249;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1222;
					}
				}
			}
		}

	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4801)
	{
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}

	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1230;

				BgL_sz00_1230 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1231;

					BgL_bpz00_1231 = VECTOR_REF(((obj_t) BgL_vz00_4), ((long) 0));
					{
						long BgL_iz00_3270;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_4961;

							BgL_iz00_3270 = ((long) 0);
						BgL_recz00_3269:
							if ((BgL_iz00_3270 < (long) CINT(BgL_bpz00_1231)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1371z00_3274;

										BgL_arg1371z00_3274 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3270);
										VECTOR_SET(
											((obj_t) BgL_sz00_1230), BgL_iz00_3270,
											BgL_arg1371z00_3274);
									}
									{
										long BgL_iz00_4969;

										BgL_iz00_4969 = (BgL_iz00_3270 + ((long) 1));
										BgL_iz00_3270 = BgL_iz00_4969;
										goto BgL_recz00_3269;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_4961 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_4961);
						}
					}
				}
			}
		}

	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4802, obj_t BgL_vz00_4803)
	{
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4803);
		}

	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3281;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4973;

					BgL_tmpz00_4973 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3281 = BGL_ENV_EVSTATE(BgL_tmpz00_4973);
				}
				return
					VECTOR_SET(((obj_t) BgL_sz00_3281), ((long) 0), BINT(BgL_bpz00_5));
		}}

	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4804, obj_t BgL_bpz00_4805)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_4979;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4980;

					if (INTEGERP(BgL_bpz00_4805))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_4980 = BgL_bpz00_4805;
						}
					else
						{
							obj_t BgL_auxz00_4983;

							BgL_auxz00_4983 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2938z00zz__evaluatez00, BINT(((long) 3890)),
								BGl_string2939z00zz__evaluatez00,
								BGl_string2940z00zz__evaluatez00, BgL_bpz00_4805);
							FAILURE(BgL_auxz00_4983, BFALSE, BFALSE);
						}
					BgL_auxz00_4979 = CINT(BgL_tmpz00_4980);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4979);
			}
		}

	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_4989;

				BgL_tmpz00_4989 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_4989, BgL_statez00_6);
			}
		}

	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4806, obj_t BgL_statez00_4807)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_4992;

				if (VECTORP(BgL_statez00_4807))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_4992 = BgL_statez00_4807;
					}
				else
					{
						obj_t BgL_auxz00_4995;

						BgL_auxz00_4995 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2938z00zz__evaluatez00,
							BINT(((long) 4240)), BGl_string2941z00zz__evaluatez00,
							BGl_string2942z00zz__evaluatez00, BgL_statez00_4807);
						FAILURE(BgL_auxz00_4995, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4992);
			}
		}

	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1242;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1375z00_1252;

					BgL_arg1375z00_1252 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol2943z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1242 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1375z00_1252));
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1242);
				{	/* Eval/evaluate.scm 132 */
					int BgL_nz00_1243;

					BgL_nz00_1243 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1242);
					{	/* Eval/evaluate.scm 133 */
						obj_t BgL_fz00_1244;

						BgL_fz00_1244 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1242);
						{	/* Eval/evaluate.scm 134 */
							obj_t BgL_sz00_1245;

							BgL_sz00_1245 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 135 */
								obj_t BgL_bpz00_1246;

								BgL_bpz00_1246 =
									VECTOR_REF(((obj_t) BgL_sz00_1245), ((long) 0));
								{	/* Eval/evaluate.scm 136 */
									obj_t BgL_exitd1065z00_1247;

									BgL_exitd1065z00_1247 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 138 */
										obj_t BgL_zc3z04anonymousza31374ze3z87_4808;

										BgL_zc3z04anonymousza31374ze3z87_4808 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31374ze3ze5zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31374ze3z87_4808,
											(int) (((long) 0)), BgL_sz00_1245);
										PROCEDURE_SET(BgL_zc3z04anonymousza31374ze3z87_4808,
											(int) (((long) 1)), BgL_bpz00_1246);
										{	/* Eval/evaluate.scm 136 */
											obj_t BgL_arg2914z00_3287;

											{	/* Eval/evaluate.scm 136 */
												obj_t BgL_arg2915z00_3288;

												BgL_arg2915z00_3288 =
													BGL_EXITD_PROTECT(BgL_exitd1065z00_1247);
												BgL_arg2914z00_3287 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31374ze3z87_4808,
													BgL_arg2915z00_3288);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1247,
												BgL_arg2914z00_3287);
											BUNSPEC;
										}
										{	/* Eval/evaluate.scm 137 */
											obj_t BgL_tmp1067z00_1249;

											BgL_tmp1067z00_1249 =
												PROCEDURE_ENTRY(BgL_fz00_1244) (BgL_fz00_1244,
												BgL_sz00_1245, BEOA);
											{	/* Eval/evaluate.scm 136 */
												bool_t BgL_test3149z00_5024;

												{	/* Eval/evaluate.scm 136 */
													obj_t BgL_arg2913z00_3290;

													BgL_arg2913z00_3290 =
														BGL_EXITD_PROTECT(BgL_exitd1065z00_1247);
													BgL_test3149z00_5024 = PAIRP(BgL_arg2913z00_3290);
												}
												if (BgL_test3149z00_5024)
													{	/* Eval/evaluate.scm 136 */
														obj_t BgL_arg2884z00_3291;

														{	/* Eval/evaluate.scm 136 */
															obj_t BgL_arg2887z00_3292;

															BgL_arg2887z00_3292 =
																BGL_EXITD_PROTECT(BgL_exitd1065z00_1247);
															BgL_arg2884z00_3291 =
																CDR(((obj_t) BgL_arg2887z00_3292));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1247,
															BgL_arg2884z00_3291);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate.scm 136 */
														BFALSE;
													}
											}
											VECTOR_SET(
												((obj_t) BgL_sz00_1245), ((long) 0), BgL_bpz00_1246);
											return BgL_tmp1067z00_1249;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4809,
		obj_t BgL_sexpz00_4810, obj_t BgL_envz00_4811, obj_t BgL_locz00_4812)
	{
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4810, BgL_envz00_4811,
				BgL_locz00_4812);
		}

	}



/* &<@anonymous:1374> */
	obj_t BGl_z62zc3z04anonymousza31374ze3ze5zz__evaluatez00(obj_t
		BgL_envz00_4813)
	{
		{	/* Eval/evaluate.scm 136 */
			{	/* Eval/evaluate.scm 138 */
				obj_t BgL_sz00_4814;
				obj_t BgL_bpz00_4815;

				BgL_sz00_4814 = PROCEDURE_REF(BgL_envz00_4813, (int) (((long) 0)));
				BgL_bpz00_4815 = PROCEDURE_REF(BgL_envz00_4813, (int) (((long) 1)));
				return VECTOR_SET(((obj_t) BgL_sz00_4814), ((long) 0), BgL_bpz00_4815);
		}}

	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		{	/* Eval/evaluate.scm 143 */
			{	/* Eval/evaluate.scm 144 */
				obj_t BgL__ortest_1069z00_3295;

				BgL__ortest_1069z00_3295 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1069z00_3295))
					{	/* Eval/evaluate.scm 144 */
						return BgL__ortest_1069z00_3295;
					}
				else
					{	/* Eval/evaluate.scm 144 */
						return BgL_locz00_11;
					}
			}
		}

	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		{	/* Eval/evaluate.scm 163 */
			{
				obj_t BgL_lz00_1257;

				BgL_lz00_1257 = BgL_localsz00_19;
			BgL_zc3z04anonymousza31376ze3z87_1258:
				if (NULLP(BgL_lz00_1257))
					{	/* Eval/evaluate.scm 165 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 167 */
						obj_t BgL_rvz00_1260;

						BgL_rvz00_1260 = CAR(((obj_t) BgL_lz00_1257));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1260)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 169 */
								return BgL_rvz00_1260;
							}
						else
							{
								obj_t BgL_lz00_5051;

								BgL_lz00_5051 = CDR(((obj_t) BgL_lz00_1257));
								BgL_lz00_1257 = BgL_lz00_5051;
								goto BgL_zc3z04anonymousza31376ze3z87_1258;
							}
					}
			}
		}

	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		{	/* Eval/evaluate.scm 176 */
			{	/* Eval/evaluate.scm 177 */
				obj_t BgL_locz00_1267;

				{	/* Eval/evaluate.scm 144 */
					obj_t BgL__ortest_1069z00_3300;

					BgL__ortest_1069z00_3300 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1069z00_3300))
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1267 = BgL__ortest_1069z00_3300;
						}
					else
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1267 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1271;
					obj_t BgL_rz00_1272;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5059;

							{	/* Eval/evaluate.scm 180 */
								BgL_ev_littz00_bglt BgL_new1074z00_1284;

								{	/* Eval/evaluate.scm 181 */
									BgL_ev_littz00_bglt BgL_new1073z00_1285;

									BgL_new1073z00_1285 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 181 */
										long BgL_arg1391z00_1286;

										BgL_arg1391z00_1286 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1073z00_1285),
											BgL_arg1391z00_1286);
									}
									BgL_new1074z00_1284 = BgL_new1073z00_1285;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1074z00_1284))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5059 = BgL_new1074z00_1284;
							}
							return ((obj_t) BgL_auxz00_5059);
						}
					else
						{	/* Eval/evaluate.scm 178 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 178 */
									if (NULLP(CDR(BgL_lz00_20)))
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1387z00_1280;

											BgL_arg1387z00_1280 = CAR(BgL_lz00_20);
											{	/* Eval/evaluate.scm 183 */
												obj_t BgL_arg1392z00_3312;

												{	/* Eval/evaluate.scm 144 */
													obj_t BgL__ortest_1069z00_3313;

													BgL__ortest_1069z00_3313 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1387z00_1280);
													if (CBOOL(BgL__ortest_1069z00_3313))
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3312 = BgL__ortest_1069z00_3313;
														}
													else
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3312 = BgL_locz00_1267;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1387z00_1280,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1392z00_3312, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1388z00_1281;
											obj_t BgL_arg1389z00_1282;

											BgL_arg1388z00_1281 = CAR(BgL_lz00_20);
											BgL_arg1389z00_1282 = CDR(BgL_lz00_20);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5078;

												BgL_e1z00_1271 = BgL_arg1388z00_1281;
												BgL_rz00_1272 = BgL_arg1389z00_1282;
												{	/* Eval/evaluate.scm 185 */
													BgL_ev_prog2z00_bglt BgL_new1076z00_1288;

													{	/* Eval/evaluate.scm 186 */
														BgL_ev_prog2z00_bglt BgL_new1075z00_1290;

														BgL_new1075z00_1290 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 186 */
															long BgL_arg1394z00_1291;

															BgL_arg1394z00_1291 =
																BGL_CLASS_NUM
																(BGl_ev_prog2z00zz__evaluate_typesz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1075z00_1290), BgL_arg1394z00_1291);
														}
														BgL_new1076z00_1288 = BgL_new1075z00_1290;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5083;

														{	/* Eval/evaluate.scm 186 */
															obj_t BgL_arg1393z00_1289;

															{	/* Eval/evaluate.scm 144 */
																obj_t BgL__ortest_1069z00_3309;

																BgL__ortest_1069z00_3309 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1271);
																if (CBOOL(BgL__ortest_1069z00_3309))
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1393z00_1289 =
																			BgL__ortest_1069z00_3309;
																	}
																else
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1393z00_1289 = BgL_locz00_1267;
																	}
															}
															BgL_auxz00_5083 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1271,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1393z00_1289,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1076z00_1288))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5083), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1076z00_1288))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1272, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1267,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5078 = BgL_new1076z00_1288;
												}
												return ((obj_t) BgL_auxz00_5078);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 178 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1267,
										BGl_string2945z00zz__evaluatez00,
										BGl_string2946z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}

	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		{	/* Eval/evaluate.scm 203 */
			{	/* Eval/evaluate.scm 204 */
				obj_t BgL_lz00_1296;

				BgL_lz00_1296 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 204 */
					obj_t BgL_vz00_1297;

					BgL_vz00_1297 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1296)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 205 */

						{	/* Eval/evaluate.scm 206 */
							bool_t BgL_test3159z00_5100;

							{	/* Eval/evaluate.scm 206 */
								obj_t BgL_classz00_3325;

								BgL_classz00_3325 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1297))
									{	/* Eval/evaluate.scm 206 */
										BgL_objectz00_bglt BgL_arg2867z00_3327;

										BgL_arg2867z00_3327 = (BgL_objectz00_bglt) (BgL_vz00_1297);
										{	/* Eval/evaluate.scm 206 */
											bool_t BgL_arg2864z00_3330;
											bool_t BgL_arg2865z00_3331;

											{	/* Eval/evaluate.scm 206 */
												long BgL_idxz00_3334;

												BgL_idxz00_3334 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2867z00_3327);
												BgL_arg2864z00_3330 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3334 + ((long) 2))) ==
													BgL_classz00_3325);
											}
											{	/* Eval/evaluate.scm 206 */
												bool_t BgL_res2916z00_3356;

												{	/* Eval/evaluate.scm 206 */
													obj_t BgL_oclassz00_3342;

													{	/* Eval/evaluate.scm 206 */
														long BgL_arg2877z00_3348;

														{	/* Eval/evaluate.scm 206 */
															long BgL_arg2878z00_3349;

															BgL_arg2878z00_3349 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2867z00_3327);
															BgL_arg2877z00_3348 =
																(BgL_arg2878z00_3349 - OBJECT_TYPE);
														}
														BgL_oclassz00_3342 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2877z00_3348);
													}
													{	/* Eval/evaluate.scm 206 */
														bool_t BgL__ortest_1203z00_3343;

														BgL__ortest_1203z00_3343 =
															(BgL_classz00_3325 == BgL_oclassz00_3342);
														if (BgL__ortest_1203z00_3343)
															{	/* Eval/evaluate.scm 206 */
																BgL_res2916z00_3356 = BgL__ortest_1203z00_3343;
															}
														else
															{	/* Eval/evaluate.scm 206 */
																long BgL_odepthz00_3344;

																BgL_odepthz00_3344 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3342);
																if ((((long) 2) < BgL_odepthz00_3344))
																	{	/* Eval/evaluate.scm 206 */
																		obj_t BgL_arg2863z00_3346;

																		BgL_arg2863z00_3346 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3342, ((long) 2));
																		BgL_res2916z00_3356 =
																			(BgL_arg2863z00_3346 ==
																			BgL_classz00_3325);
																	}
																else
																	{	/* Eval/evaluate.scm 206 */
																		BgL_res2916z00_3356 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg2865z00_3331 = BgL_res2916z00_3356;
											}
											BgL_test3159z00_5100 =
												BGL_ISA_C_BACKEND(BgL_arg2864z00_3330,
												BgL_arg2865z00_3331);
										}
									}
								else
									{	/* Eval/evaluate.scm 206 */
										BgL_test3159z00_5100 = ((bool_t) 0);
									}
							}
							if (BgL_test3159z00_5100)
								{	/* Eval/evaluate.scm 208 */
									obj_t BgL_g1080z00_1300;
									obj_t BgL_g1081z00_1301;

									{	/* Eval/evaluate.scm 209 */
										obj_t BgL_arg1414z00_1324;

										BgL_arg1414z00_1324 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1297)))->BgL_typez00);
										BgL_g1080z00_1300 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1414z00_1324);
									}
									BgL_g1081z00_1301 = CDR(((obj_t) BgL_lz00_1296));
									{
										obj_t BgL_nodez00_1303;
										obj_t BgL_klassz00_1304;
										obj_t BgL_fieldsz00_1305;

										BgL_nodez00_1303 = BgL_vz00_1297;
										BgL_klassz00_1304 = BgL_g1080z00_1300;
										BgL_fieldsz00_1305 = BgL_g1081z00_1301;
									BgL_zc3z04anonymousza31398ze3z87_1306:
										if (NULLP(BgL_fieldsz00_1305))
											{	/* Eval/evaluate.scm 212 */
												return BgL_nodez00_1303;
											}
										else
											{	/* Eval/evaluate.scm 212 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1304))
													{	/* Eval/evaluate.scm 215 */
														obj_t BgL_fieldz00_1309;

														{	/* Eval/evaluate.scm 215 */
															obj_t BgL_arg1412z00_1320;

															BgL_arg1412z00_1320 =
																CAR(((obj_t) BgL_fieldsz00_1305));
															BgL_fieldz00_1309 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1304, BgL_arg1412z00_1320);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1309))
															{	/* Eval/evaluate.scm 217 */
																BgL_ev_appz00_bglt BgL_nodez00_1311;

																{	/* Eval/evaluate.scm 271 */
																	obj_t BgL_getz00_3359;

																	BgL_getz00_3359 =
																		BGl_classzd2fieldzd2accessorz00zz__objectz00
																		(BgL_fieldz00_1309);
																	{	/* Eval/evaluate.scm 272 */
																		BgL_ev_appz00_bglt BgL_new1088z00_3360;

																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1087z00_3361;

																			BgL_new1087z00_3361 =
																				((BgL_ev_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_ev_appz00_bgl))));
																			{	/* Eval/evaluate.scm 273 */
																				long BgL_arg1446z00_3362;

																				BgL_arg1446z00_3362 =
																					BGL_CLASS_NUM
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1087z00_3361),
																					BgL_arg1446z00_3362);
																			}
																			BgL_new1088z00_3360 = BgL_new1087z00_3361;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3360))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_35), BUNSPEC);
																		{
																			BgL_ev_exprz00_bglt BgL_auxz00_5139;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_littz00_bglt BgL_new1090z00_3363;

																				{	/* Eval/evaluate.scm 274 */
																					BgL_ev_littz00_bglt
																						BgL_new1089z00_3364;
																					BgL_new1089z00_3364 =
																						((BgL_ev_littz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_littz00_bgl))));
																					{	/* Eval/evaluate.scm 274 */
																						long BgL_arg1444z00_3365;

																						{	/* Eval/evaluate.scm 274 */
																							obj_t BgL_classz00_3370;

																							BgL_classz00_3370 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_arg1444z00_3365 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3370);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1089z00_3364),
																							BgL_arg1444z00_3365);
																					}
																					BgL_new1090z00_3363 =
																						BgL_new1089z00_3364;
																				}
																				((((BgL_ev_littz00_bglt)
																							COBJECT(BgL_new1090z00_3363))->
																						BgL_valuez00) =
																					((obj_t) BgL_getz00_3359), BUNSPEC);
																				BgL_auxz00_5139 =
																					((BgL_ev_exprz00_bglt)
																					BgL_new1090z00_3363);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3360))->
																					BgL_funz00) =
																				((BgL_ev_exprz00_bglt) BgL_auxz00_5139),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_5147;

																			{	/* Eval/evaluate.scm 275 */
																				obj_t BgL_list1445z00_3366;

																				BgL_list1445z00_3366 =
																					MAKE_YOUNG_PAIR(BgL_nodez00_1303,
																					BNIL);
																				BgL_auxz00_5147 = BgL_list1445z00_3366;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3360))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_5147), BUNSPEC);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3360))->
																				BgL_tailzf3zf3) =
																			((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																		BgL_nodez00_1311 = BgL_new1088z00_3360;
																}}
																{	/* Eval/evaluate.scm 220 */
																	obj_t BgL_arg1402z00_1312;
																	obj_t BgL_arg1403z00_1313;

																	BgL_arg1402z00_1312 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_1309);
																	BgL_arg1403z00_1313 =
																		CDR(((obj_t) BgL_fieldsz00_1305));
																	{
																		obj_t BgL_fieldsz00_5157;
																		obj_t BgL_klassz00_5156;
																		obj_t BgL_nodez00_5154;

																		BgL_nodez00_5154 =
																			((obj_t) BgL_nodez00_1311);
																		BgL_klassz00_5156 = BgL_arg1402z00_1312;
																		BgL_fieldsz00_5157 = BgL_arg1403z00_1313;
																		BgL_fieldsz00_1305 = BgL_fieldsz00_5157;
																		BgL_klassz00_1304 = BgL_klassz00_5156;
																		BgL_nodez00_1303 = BgL_nodez00_5154;
																		goto BgL_zc3z04anonymousza31398ze3z87_1306;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 222 */
																obj_t BgL_arg1406z00_1314;
																obj_t BgL_arg1407z00_1315;

																BgL_arg1406z00_1314 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1297)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 223 */
																	obj_t BgL_arg1408z00_1316;
																	obj_t BgL_arg1409z00_1317;

																	BgL_arg1408z00_1316 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1297)))->
																		BgL_typez00);
																	BgL_arg1409z00_1317 =
																		CAR(((obj_t) BgL_fieldsz00_1305));
																	{	/* Eval/evaluate.scm 223 */
																		obj_t BgL_list1410z00_1318;

																		{	/* Eval/evaluate.scm 223 */
																			obj_t BgL_arg1411z00_1319;

																			BgL_arg1411z00_1319 =
																				MAKE_YOUNG_PAIR(BgL_arg1409z00_1317,
																				BNIL);
																			BgL_list1410z00_1318 =
																				MAKE_YOUNG_PAIR(BgL_arg1408z00_1316,
																				BgL_arg1411z00_1319);
																		}
																		BgL_arg1407z00_1315 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2947z00zz__evaluatez00,
																			BgL_list1410z00_1318);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_35, BgL_arg1406z00_1314,
																	BgL_arg1407z00_1315, BgL_ez00_30);
															}
													}
												else
													{	/* Eval/evaluate.scm 226 */
														obj_t BgL_arg1413z00_1321;

														{	/* Eval/evaluate.scm 226 */
															obj_t BgL__ortest_1082z00_1322;

															BgL__ortest_1082z00_1322 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1297)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_1322))
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1413z00_1321 =
																		BgL__ortest_1082z00_1322;
																}
															else
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1413z00_1321 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1297)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_35, BgL_arg1413z00_1321,
															BGl_string2948z00zz__evaluatez00, BgL_ez00_30);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 228 */
									obj_t BgL_arg1415z00_1325;

									{	/* Eval/evaluate.scm 228 */
										obj_t BgL_pairz00_3379;

										BgL_pairz00_3379 = CDR(((obj_t) BgL_ez00_30));
										BgL_arg1415z00_1325 = CAR(BgL_pairz00_3379);
									}
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
										BgL_arg1415z00_1325, BGl_string2949z00zz__evaluatez00,
										BgL_ez00_30);
								}
						}
					}
				}
			}
		}

	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		{	/* Eval/evaluate.scm 233 */
			{	/* Eval/evaluate.scm 234 */
				obj_t BgL_vz00_1327;

				BgL_vz00_1327 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 234 */
					obj_t BgL_e2z00_1328;

					BgL_e2z00_1328 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 235 */

						{	/* Eval/evaluate.scm 236 */
							bool_t BgL_test3167z00_5182;

							{	/* Eval/evaluate.scm 236 */
								obj_t BgL_classz00_3381;

								BgL_classz00_3381 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1327))
									{	/* Eval/evaluate.scm 236 */
										BgL_objectz00_bglt BgL_arg2867z00_3383;

										BgL_arg2867z00_3383 = (BgL_objectz00_bglt) (BgL_vz00_1327);
										{	/* Eval/evaluate.scm 236 */
											bool_t BgL_arg2864z00_3386;
											bool_t BgL_arg2865z00_3387;

											{	/* Eval/evaluate.scm 236 */
												long BgL_idxz00_3390;

												BgL_idxz00_3390 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2867z00_3383);
												BgL_arg2864z00_3386 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3390 + ((long) 2))) ==
													BgL_classz00_3381);
											}
											{	/* Eval/evaluate.scm 236 */
												bool_t BgL_res2918z00_3412;

												{	/* Eval/evaluate.scm 236 */
													obj_t BgL_oclassz00_3398;

													{	/* Eval/evaluate.scm 236 */
														long BgL_arg2877z00_3404;

														{	/* Eval/evaluate.scm 236 */
															long BgL_arg2878z00_3405;

															BgL_arg2878z00_3405 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2867z00_3383);
															BgL_arg2877z00_3404 =
																(BgL_arg2878z00_3405 - OBJECT_TYPE);
														}
														BgL_oclassz00_3398 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2877z00_3404);
													}
													{	/* Eval/evaluate.scm 236 */
														bool_t BgL__ortest_1203z00_3399;

														BgL__ortest_1203z00_3399 =
															(BgL_classz00_3381 == BgL_oclassz00_3398);
														if (BgL__ortest_1203z00_3399)
															{	/* Eval/evaluate.scm 236 */
																BgL_res2918z00_3412 = BgL__ortest_1203z00_3399;
															}
														else
															{	/* Eval/evaluate.scm 236 */
																long BgL_odepthz00_3400;

																BgL_odepthz00_3400 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3398);
																if ((((long) 2) < BgL_odepthz00_3400))
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_arg2863z00_3402;

																		BgL_arg2863z00_3402 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3398, ((long) 2));
																		BgL_res2918z00_3412 =
																			(BgL_arg2863z00_3402 ==
																			BgL_classz00_3381);
																	}
																else
																	{	/* Eval/evaluate.scm 236 */
																		BgL_res2918z00_3412 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_arg2865z00_3387 = BgL_res2918z00_3412;
											}
											BgL_test3167z00_5182 =
												BGL_ISA_C_BACKEND(BgL_arg2864z00_3386,
												BgL_arg2865z00_3387);
										}
									}
								else
									{	/* Eval/evaluate.scm 236 */
										BgL_test3167z00_5182 = ((bool_t) 0);
									}
							}
							if (BgL_test3167z00_5182)
								{	/* Eval/evaluate.scm 238 */
									obj_t BgL_g1084z00_1331;
									obj_t BgL_g1085z00_1332;

									{	/* Eval/evaluate.scm 239 */
										obj_t BgL_arg1441z00_1363;

										BgL_arg1441z00_1363 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1327)))->BgL_typez00);
										BgL_g1084z00_1331 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1441z00_1363);
									}
									BgL_g1085z00_1332 = CDR(BgL_lz00_37);
									{
										obj_t BgL_nodez00_1334;
										obj_t BgL_klassz00_1335;
										obj_t BgL_fieldsz00_1336;

										BgL_nodez00_1334 = BgL_vz00_1327;
										BgL_klassz00_1335 = BgL_g1084z00_1331;
										BgL_fieldsz00_1336 = BgL_g1085z00_1332;
									BgL_zc3z04anonymousza31418ze3z87_1337:
										if (NULLP(BgL_fieldsz00_1336))
											{	/* Eval/evaluate.scm 242 */
												return BgL_nodez00_1334;
											}
										else
											{	/* Eval/evaluate.scm 242 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1335))
													{	/* Eval/evaluate.scm 245 */
														obj_t BgL_fieldz00_1340;

														{	/* Eval/evaluate.scm 245 */
															obj_t BgL_arg1439z00_1359;

															BgL_arg1439z00_1359 =
																CAR(((obj_t) BgL_fieldsz00_1336));
															BgL_fieldz00_1340 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1335, BgL_arg1439z00_1359);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1340))
															{	/* Eval/evaluate.scm 246 */
																if (NULLP(CDR(((obj_t) BgL_fieldsz00_1336))))
																	{	/* Eval/evaluate.scm 247 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1340))
																			{	/* Eval/evaluate.scm 250 */
																				obj_t BgL_arg1425z00_1345;

																				{	/* Eval/evaluate.scm 250 */
																					obj_t BgL_list1426z00_1346;

																					{	/* Eval/evaluate.scm 250 */
																						obj_t BgL_arg1427z00_1347;

																						BgL_arg1427z00_1347 =
																							MAKE_YOUNG_PAIR(BgL_e2z00_1328,
																							BNIL);
																						BgL_list1426z00_1346 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1334,
																							BgL_arg1427z00_1347);
																					}
																					BgL_arg1425z00_1345 =
																						BgL_list1426z00_1346;
																				}
																				{	/* Eval/evaluate.scm 282 */
																					obj_t BgL_setz00_3417;

																					BgL_setz00_3417 =
																						BGl_classzd2fieldzd2mutatorz00zz__objectz00
																						(BgL_fieldz00_1340);
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_appz00_bglt
																							BgL_new1092z00_3418;
																						{	/* Eval/evaluate.scm 284 */
																							BgL_ev_appz00_bglt
																								BgL_new1091z00_3419;
																							BgL_new1091z00_3419 =
																								((BgL_ev_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_appz00_bgl))));
																							{	/* Eval/evaluate.scm 284 */
																								long BgL_arg1448z00_3420;

																								BgL_arg1448z00_3420 =
																									BGL_CLASS_NUM
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1091z00_3419),
																									BgL_arg1448z00_3420);
																							}
																							BgL_new1092z00_3418 =
																								BgL_new1091z00_3419;
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3418))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_44), BUNSPEC);
																						{
																							BgL_ev_exprz00_bglt
																								BgL_auxz00_5228;
																							{	/* Eval/evaluate.scm 285 */
																								BgL_ev_littz00_bglt
																									BgL_new1094z00_3421;
																								{	/* Eval/evaluate.scm 285 */
																									BgL_ev_littz00_bglt
																										BgL_new1093z00_3422;
																									BgL_new1093z00_3422 =
																										((BgL_ev_littz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_ev_littz00_bgl))));
																									{	/* Eval/evaluate.scm 285 */
																										long BgL_arg1447z00_3423;

																										{	/* Eval/evaluate.scm 285 */
																											obj_t BgL_classz00_3427;

																											BgL_classz00_3427 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_arg1447z00_3423 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3427);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1093z00_3422),
																											BgL_arg1447z00_3423);
																									}
																									BgL_new1094z00_3421 =
																										BgL_new1093z00_3422;
																								}
																								((((BgL_ev_littz00_bglt)
																											COBJECT
																											(BgL_new1094z00_3421))->
																										BgL_valuez00) =
																									((obj_t) BgL_setz00_3417),
																									BUNSPEC);
																								BgL_auxz00_5228 =
																									((BgL_ev_exprz00_bglt)
																									BgL_new1094z00_3421);
																							}
																							((((BgL_ev_appz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3418))->
																									BgL_funz00) =
																								((BgL_ev_exprz00_bglt)
																									BgL_auxz00_5228), BUNSPEC);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3418))->
																								BgL_argsz00) =
																							((obj_t) BgL_arg1425z00_1345),
																							BUNSPEC);
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3418))->
																								BgL_tailzf3zf3) =
																							((obj_t) BgL_tailzf3zf3_42),
																							BUNSPEC);
																						return ((obj_t)
																							BgL_new1092z00_3418);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_arg1428z00_1348;

																				BgL_arg1428z00_1348 =
																					CAR(((obj_t) BgL_fieldsz00_1336));
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_44, BgL_arg1428z00_1348,
																					BGl_string2950z00zz__evaluatez00,
																					BgL_ez00_39);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 254 */
																		BgL_ev_appz00_bglt BgL_nodez00_1349;

																		{	/* Eval/evaluate.scm 271 */
																			obj_t BgL_getz00_3431;

																			BgL_getz00_3431 =
																				BGl_classzd2fieldzd2accessorz00zz__objectz00
																				(BgL_fieldz00_1340);
																			{	/* Eval/evaluate.scm 272 */
																				BgL_ev_appz00_bglt BgL_new1088z00_3432;

																				{	/* Eval/evaluate.scm 273 */
																					BgL_ev_appz00_bglt
																						BgL_new1087z00_3433;
																					BgL_new1087z00_3433 =
																						((BgL_ev_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_appz00_bgl))));
																					{	/* Eval/evaluate.scm 273 */
																						long BgL_arg1446z00_3434;

																						BgL_arg1446z00_3434 =
																							BGL_CLASS_NUM
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1087z00_3433),
																							BgL_arg1446z00_3434);
																					}
																					BgL_new1088z00_3432 =
																						BgL_new1087z00_3433;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3432))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_44), BUNSPEC);
																				{
																					BgL_ev_exprz00_bglt BgL_auxz00_5248;

																					{	/* Eval/evaluate.scm 274 */
																						BgL_ev_littz00_bglt
																							BgL_new1090z00_3435;
																						{	/* Eval/evaluate.scm 274 */
																							BgL_ev_littz00_bglt
																								BgL_new1089z00_3436;
																							BgL_new1089z00_3436 =
																								((BgL_ev_littz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_littz00_bgl))));
																							{	/* Eval/evaluate.scm 274 */
																								long BgL_arg1444z00_3437;

																								{	/* Eval/evaluate.scm 274 */
																									obj_t BgL_classz00_3442;

																									BgL_classz00_3442 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_arg1444z00_3437 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3442);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1089z00_3436),
																									BgL_arg1444z00_3437);
																							}
																							BgL_new1090z00_3435 =
																								BgL_new1089z00_3436;
																						}
																						((((BgL_ev_littz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3435))->
																								BgL_valuez00) =
																							((obj_t) BgL_getz00_3431),
																							BUNSPEC);
																						BgL_auxz00_5248 =
																							((BgL_ev_exprz00_bglt)
																							BgL_new1090z00_3435);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3432))->
																							BgL_funz00) =
																						((BgL_ev_exprz00_bglt)
																							BgL_auxz00_5248), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_5256;

																					{	/* Eval/evaluate.scm 275 */
																						obj_t BgL_list1445z00_3438;

																						BgL_list1445z00_3438 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1334,
																							BNIL);
																						BgL_auxz00_5256 =
																							BgL_list1445z00_3438;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3432))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_5256), BUNSPEC);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3432))->
																						BgL_tailzf3zf3) =
																					((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																				BgL_nodez00_1349 = BgL_new1088z00_3432;
																		}}
																		{	/* Eval/evaluate.scm 257 */
																			obj_t BgL_arg1429z00_1350;
																			obj_t BgL_arg1430z00_1351;

																			BgL_arg1429z00_1350 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_1340);
																			BgL_arg1430z00_1351 =
																				CDR(((obj_t) BgL_fieldsz00_1336));
																			{
																				obj_t BgL_fieldsz00_5266;
																				obj_t BgL_klassz00_5265;
																				obj_t BgL_nodez00_5263;

																				BgL_nodez00_5263 =
																					((obj_t) BgL_nodez00_1349);
																				BgL_klassz00_5265 = BgL_arg1429z00_1350;
																				BgL_fieldsz00_5266 =
																					BgL_arg1430z00_1351;
																				BgL_fieldsz00_1336 = BgL_fieldsz00_5266;
																				BgL_klassz00_1335 = BgL_klassz00_5265;
																				BgL_nodez00_1334 = BgL_nodez00_5263;
																				goto
																					BgL_zc3z04anonymousza31418ze3z87_1337;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 259 */
																obj_t BgL_arg1432z00_1353;
																obj_t BgL_arg1433z00_1354;

																BgL_arg1432z00_1353 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1327)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 260 */
																	obj_t BgL_arg1435z00_1355;
																	obj_t BgL_arg1436z00_1356;

																	BgL_arg1435z00_1355 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1327)))->
																		BgL_typez00);
																	BgL_arg1436z00_1356 =
																		CAR(((obj_t) BgL_fieldsz00_1336));
																	{	/* Eval/evaluate.scm 260 */
																		obj_t BgL_list1437z00_1357;

																		{	/* Eval/evaluate.scm 260 */
																			obj_t BgL_arg1438z00_1358;

																			BgL_arg1438z00_1358 =
																				MAKE_YOUNG_PAIR(BgL_arg1436z00_1356,
																				BNIL);
																			BgL_list1437z00_1357 =
																				MAKE_YOUNG_PAIR(BgL_arg1435z00_1355,
																				BgL_arg1438z00_1358);
																		}
																		BgL_arg1433z00_1354 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2947z00zz__evaluatez00,
																			BgL_list1437z00_1357);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_44, BgL_arg1432z00_1353,
																	BgL_arg1433z00_1354, BgL_ez00_39);
															}
													}
												else
													{	/* Eval/evaluate.scm 264 */
														obj_t BgL_arg1440z00_1360;

														{	/* Eval/evaluate.scm 264 */
															obj_t BgL__ortest_1086z00_1361;

															BgL__ortest_1086z00_1361 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1327)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1086z00_1361))
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1440z00_1360 =
																		BgL__ortest_1086z00_1361;
																}
															else
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1440z00_1360 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1327)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_44, BgL_arg1440z00_1360,
															BGl_string2948z00zz__evaluatez00, BgL_ez00_39);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 236 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
										CAR(BgL_lz00_37), BGl_string2949z00zz__evaluatez00,
										BgL_ez00_39);
								}
						}
					}
				}
			}
		}

	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		{	/* Eval/evaluate.scm 298 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 301 */
					obj_t BgL_predz00_1384;

					if ((BgL_tnamez00_57 == BGl_symbol2951z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 301 */
							BgL_predz00_1384 = BGl_symbol2953z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 301 */
							if ((BgL_tnamez00_57 == BGl_symbol2955z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 301 */
									BgL_predz00_1384 = BGl_symbol2956z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 301 */
									if ((BgL_tnamez00_57 == BGl_symbol2958z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 301 */
											BgL_predz00_1384 = BGl_symbol2960z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 301 */
											if ((BgL_tnamez00_57 == BGl_symbol2962z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 301 */
													BgL_predz00_1384 = BGl_symbol2964z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 301 */
													bool_t BgL_test3182z00_5296;

													{	/* Eval/evaluate.scm 301 */
														bool_t BgL__ortest_1095z00_1460;

														BgL__ortest_1095z00_1460 =
															(BgL_tnamez00_57 ==
															BGl_symbol2966z00zz__evaluatez00);
														if (BgL__ortest_1095z00_1460)
															{	/* Eval/evaluate.scm 301 */
																BgL_test3182z00_5296 = BgL__ortest_1095z00_1460;
															}
														else
															{	/* Eval/evaluate.scm 301 */
																BgL_test3182z00_5296 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2968z00zz__evaluatez00);
															}
													}
													if (BgL_test3182z00_5296)
														{	/* Eval/evaluate.scm 301 */
															BgL_predz00_1384 =
																BGl_symbol2969z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 301 */
															bool_t BgL_test3184z00_5300;

															{	/* Eval/evaluate.scm 301 */
																bool_t BgL__ortest_1096z00_1459;

																BgL__ortest_1096z00_1459 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2971z00zz__evaluatez00);
																if (BgL__ortest_1096z00_1459)
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3184z00_5300 =
																			BgL__ortest_1096z00_1459;
																	}
																else
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3184z00_5300 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol2973z00zz__evaluatez00);
																	}
															}
															if (BgL_test3184z00_5300)
																{	/* Eval/evaluate.scm 301 */
																	BgL_predz00_1384 =
																		BGl_symbol2975z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 301 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol2977z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 301 */
																			BgL_predz00_1384 =
																				BGl_symbol2979z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 301 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol2981z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 301 */
																					BgL_predz00_1384 =
																						BGl_symbol2983z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 301 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol2985z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 301 */
																							BgL_predz00_1384 =
																								BGl_symbol2987z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 301 */
																							bool_t BgL_test3189z00_5310;

																							{	/* Eval/evaluate.scm 301 */
																								bool_t BgL__ortest_1097z00_1458;

																								BgL__ortest_1097z00_1458 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol2989z00zz__evaluatez00);
																								if (BgL__ortest_1097z00_1458)
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3189z00_5310 =
																											BgL__ortest_1097z00_1458;
																									}
																								else
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3189z00_5310 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol2991z00zz__evaluatez00);
																									}
																							}
																							if (BgL_test3189z00_5310)
																								{	/* Eval/evaluate.scm 301 */
																									BgL_predz00_1384 =
																										BGl_symbol2993z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 312 */
																									obj_t BgL_arg1497z00_1438;

																									{	/* Eval/evaluate.scm 312 */
																										obj_t BgL_arg1499z00_1439;
																										obj_t BgL_arg1500z00_1440;

																										BgL_arg1499z00_1439 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol2995z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 313 */
																											obj_t BgL_arg1502z00_1441;

																											{	/* Eval/evaluate.scm 313 */
																												obj_t
																													BgL_arg1503z00_1442;
																												{	/* Eval/evaluate.scm 313 */
																													obj_t
																														BgL_arg1504z00_1443;
																													obj_t
																														BgL_arg1505z00_1444;
																													{	/* Eval/evaluate.scm 313 */
																														obj_t
																															BgL_arg1506z00_1445;
																														{	/* Eval/evaluate.scm 313 */
																															obj_t
																																BgL_arg1507z00_1446;
																															{	/* Eval/evaluate.scm 313 */
																																obj_t
																																	BgL_arg1508z00_1447;
																																{	/* Eval/evaluate.scm 313 */
																																	obj_t
																																		BgL_arg1509z00_1448;
																																	{	/* Eval/evaluate.scm 313 */
																																		obj_t
																																			BgL_arg1510z00_1449;
																																		{	/* Eval/evaluate.scm 313 */
																																			obj_t
																																				BgL_arg1511z00_1450;
																																			BgL_arg1511z00_1450
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1510z00_1449
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2997z00zz__evaluatez00,
																																				BgL_arg1511z00_1450);
																																		}
																																		BgL_arg1509z00_1448
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1510z00_1449,
																																			BNIL);
																																	}
																																	BgL_arg1508z00_1447
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol2999z00zz__evaluatez00,
																																		BgL_arg1509z00_1448);
																																}
																																BgL_arg1507z00_1446
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1508z00_1447,
																																	BNIL);
																															}
																															BgL_arg1506z00_1445
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3001z00zz__evaluatez00,
																																BgL_arg1507z00_1446);
																														}
																														BgL_arg1504z00_1443
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1506z00_1445,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1512z00_1451;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1513z00_1452;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1514z00_1453;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1515z00_1454;
																																	obj_t
																																		BgL_arg1516z00_1455;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1517z00_1456;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1518z00_1457;
																																			BgL_arg1518z00_1457
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol3001z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1517z00_1456
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2995z00zz__evaluatez00,
																																				BgL_arg1518z00_1457);
																																		}
																																		BgL_arg1515z00_1454
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol3003z00zz__evaluatez00,
																																			BgL_arg1517z00_1456);
																																	}
																																	BgL_arg1516z00_1455
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1514z00_1453
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1515z00_1454,
																																		BgL_arg1516z00_1455);
																																}
																																BgL_arg1513z00_1452
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol3001z00zz__evaluatez00,
																																	BgL_arg1514z00_1453);
																															}
																															BgL_arg1512z00_1451
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol3005z00zz__evaluatez00,
																																BgL_arg1513z00_1452);
																														}
																														BgL_arg1505z00_1444
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1512z00_1451,
																															BNIL);
																													}
																													BgL_arg1503z00_1442 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1504z00_1443,
																														BgL_arg1505z00_1444);
																												}
																												BgL_arg1502z00_1441 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol3007z00zz__evaluatez00,
																													BgL_arg1503z00_1442);
																											}
																											BgL_arg1500z00_1440 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1502z00_1441,
																												BNIL);
																										}
																										BgL_arg1497z00_1438 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1499z00_1439,
																											BgL_arg1500z00_1440);
																									}
																									BgL_predz00_1384 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol3009z00zz__evaluatez00,
																										BgL_arg1497z00_1438);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 316 */
						obj_t BgL_arg1452z00_1385;

						{	/* Eval/evaluate.scm 316 */
							obj_t BgL_arg1453z00_1386;

							{	/* Eval/evaluate.scm 316 */
								obj_t BgL_arg1454z00_1387;
								obj_t BgL_arg1455z00_1388;

								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1456z00_1389;

									BgL_arg1456z00_1389 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1454z00_1387 =
										MAKE_YOUNG_PAIR(BgL_predz00_1384, BgL_arg1456z00_1389);
								}
								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1457z00_1390;

									{	/* Eval/evaluate.scm 316 */
										obj_t BgL_arg1458z00_1391;

										{
											obj_t BgL_fnamez00_1392;
											obj_t BgL_posz00_1393;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 316 */
													obj_t BgL_cdrzd2138zd2_1398;

													BgL_cdrzd2138zd2_1398 = CDR(BgL_locz00_58);
													if (
														(CAR(BgL_locz00_58) ==
															BGl_symbol3015z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 316 */
															if (PAIRP(BgL_cdrzd2138zd2_1398))
																{	/* Eval/evaluate.scm 316 */
																	obj_t BgL_cdrzd2142zd2_1402;

																	BgL_cdrzd2142zd2_1402 =
																		CDR(BgL_cdrzd2138zd2_1398);
																	if (PAIRP(BgL_cdrzd2142zd2_1402))
																		{	/* Eval/evaluate.scm 316 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1402)))
																				{	/* Eval/evaluate.scm 316 */
																					BgL_fnamez00_1392 =
																						CAR(BgL_cdrzd2138zd2_1398);
																					BgL_posz00_1393 =
																						CAR(BgL_cdrzd2142zd2_1402);
																					{	/* Eval/evaluate.scm 321 */
																						obj_t BgL_arg1472z00_1410;

																						{	/* Eval/evaluate.scm 321 */
																							obj_t BgL_arg1473z00_1411;
																							obj_t BgL_arg1474z00_1412;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg2657z00_3490;

																									BgL_arg2657z00_3490 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1473z00_1411 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2657z00_3490);
																								}
																							else
																								{	/* Eval/evaluate.scm 321 */
																									BgL_arg1473z00_1411 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 322 */
																								obj_t BgL_arg1476z00_1414;
																								obj_t BgL_arg1477z00_1415;

																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_arg2657z00_3492;

																									BgL_arg2657z00_3492 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1476z00_1414 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2657z00_3492);
																								}
																								{	/* Eval/evaluate.scm 320 */
																									obj_t BgL_arg1478z00_1416;

																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1479z00_1417;

																										BgL_arg1479z00_1417 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1393, BNIL);
																										BgL_arg1478z00_1416 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1392,
																											BgL_arg1479z00_1417);
																									}
																									BgL_arg1477z00_1415 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1478z00_1416);
																								}
																								BgL_arg1474z00_1412 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1476z00_1414,
																									BgL_arg1477z00_1415);
																							}
																							BgL_arg1472z00_1410 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1473z00_1411,
																								BgL_arg1474z00_1412);
																						}
																						BgL_arg1458z00_1391 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3011z00zz__evaluatez00,
																							BgL_arg1472z00_1410);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 316 */
																				BgL_tagzd2131zd2_1395:
																					{	/* Eval/evaluate.scm 326 */
																						obj_t BgL_arg1481z00_1418;

																						{	/* Eval/evaluate.scm 326 */
																							obj_t BgL_arg1482z00_1419;
																							obj_t BgL_arg1483z00_1420;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 326 */
																									obj_t BgL_arg2657z00_3494;

																									BgL_arg2657z00_3494 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1482z00_1419 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2657z00_3494);
																								}
																							else
																								{	/* Eval/evaluate.scm 326 */
																									BgL_arg1482z00_1419 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 327 */
																								obj_t BgL_arg1485z00_1422;
																								obj_t BgL_arg1486z00_1423;

																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_arg2657z00_3496;

																									BgL_arg2657z00_3496 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1485z00_1422 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2657z00_3496);
																								}
																								BgL_arg1486z00_1423 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1483z00_1420 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1485z00_1422,
																									BgL_arg1486z00_1423);
																							}
																							BgL_arg1481z00_1418 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1482z00_1419,
																								BgL_arg1483z00_1420);
																						}
																						BgL_arg1458z00_1391 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol3013z00zz__evaluatez00,
																							BgL_arg1481z00_1418);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 316 */
																			goto BgL_tagzd2131zd2_1395;
																		}
																}
															else
																{	/* Eval/evaluate.scm 316 */
																	goto BgL_tagzd2131zd2_1395;
																}
														}
													else
														{	/* Eval/evaluate.scm 316 */
															goto BgL_tagzd2131zd2_1395;
														}
												}
											else
												{	/* Eval/evaluate.scm 316 */
													goto BgL_tagzd2131zd2_1395;
												}
										}
										BgL_arg1457z00_1390 =
											MAKE_YOUNG_PAIR(BgL_arg1458z00_1391, BNIL);
									}
									BgL_arg1455z00_1388 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1457z00_1390);
								}
								BgL_arg1453z00_1386 =
									MAKE_YOUNG_PAIR(BgL_arg1454z00_1387, BgL_arg1455z00_1388);
							}
							BgL_arg1452z00_1385 =
								MAKE_YOUNG_PAIR(BGl_symbol3005z00zz__evaluatez00,
								BgL_arg1453z00_1386);
						}
						{	/* Eval/evaluate.scm 293 */
							obj_t BgL_arg1449z00_3503;
							obj_t BgL_arg1450z00_3504;

							BgL_arg1449z00_3503 = CAR(BgL_arg1452z00_1385);
							BgL_arg1450z00_3504 = CDR(BgL_arg1452z00_1385);
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_res2923z00_3507;

								BgL_res2923z00_3507 =
									MAKE_YOUNG_EPAIR(BgL_arg1449z00_3503, BgL_arg1450z00_3504,
									BgL_locz00_58);
								return BgL_res2923z00_3507;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 300 */
					return BgL_bodyz00_60;
				}
		}

	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		{	/* Eval/evaluate.scm 334 */
			{	/* Eval/evaluate.scm 335 */
				bool_t BgL_test3198z00_5384;

				{	/* Eval/evaluate.scm 335 */
					int BgL_arg1529z00_1479;

					BgL_arg1529z00_1479 = bgl_debug();
					BgL_test3198z00_5384 = ((long) (BgL_arg1529z00_1479) <= ((long) 0));
				}
				if (BgL_test3198z00_5384)
					{	/* Eval/evaluate.scm 335 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 335 */
						return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4839,
		obj_t BgL_procnamez00_4838, obj_t BgL_locz00_4837, obj_t BgL_varsz00_1464,
		obj_t BgL_srcsz00_1465)
	{
		{	/* Eval/evaluate.scm 337 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1464))
				{	/* Eval/evaluate.scm 339 */
					return BgL_bodyz00_4839;
				}
			else
				{	/* Eval/evaluate.scm 341 */
					obj_t BgL_vz00_1468;

					BgL_vz00_1468 = CAR(((obj_t) BgL_varsz00_1464));
					{	/* Eval/evaluate.scm 341 */
						obj_t BgL_idz00_1469;

						BgL_idz00_1469 = CAR(((obj_t) BgL_vz00_1468));
						{	/* Eval/evaluate.scm 342 */
							obj_t BgL_tnamez00_1470;

							BgL_tnamez00_1470 = CDR(((obj_t) BgL_vz00_1468));
							{	/* Eval/evaluate.scm 343 */

								if (CBOOL(BgL_tnamez00_1470))
									{	/* Eval/evaluate.scm 345 */
										obj_t BgL_locz00_1471;

										{	/* Eval/evaluate.scm 345 */
											obj_t BgL_arg1526z00_1475;

											BgL_arg1526z00_1475 = CAR(((obj_t) BgL_srcsz00_1465));
											{	/* Eval/evaluate.scm 150 */
												obj_t BgL__ortest_1070z00_3513;

												BgL__ortest_1070z00_3513 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1526z00_1475);
												if (CBOOL(BgL__ortest_1070z00_3513))
													{	/* Eval/evaluate.scm 150 */
														BgL_locz00_1471 = BgL__ortest_1070z00_3513;
													}
												else
													{	/* Eval/evaluate.scm 151 */
														obj_t BgL__ortest_1071z00_3514;

														BgL__ortest_1071z00_3514 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1465);
														if (CBOOL(BgL__ortest_1071z00_3514))
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1471 = BgL__ortest_1071z00_3514;
															}
														else
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1471 = BgL_locz00_4837;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 347 */
											obj_t BgL_arg1523z00_1472;

											{	/* Eval/evaluate.scm 347 */
												obj_t BgL_arg1524z00_1473;
												obj_t BgL_arg1525z00_1474;

												BgL_arg1524z00_1473 = CDR(((obj_t) BgL_varsz00_1464));
												BgL_arg1525z00_1474 = CDR(((obj_t) BgL_srcsz00_1465));
												BgL_arg1523z00_1472 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4839,
													BgL_procnamez00_4838, BgL_locz00_4837,
													BgL_arg1524z00_1473, BgL_arg1525z00_1474);
											}
											return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1469,
												BgL_tnamez00_1470, BgL_locz00_1471,
												BgL_procnamez00_4838, BgL_arg1523z00_1472);
										}
									}
								else
									{	/* Eval/evaluate.scm 348 */
										obj_t BgL_arg1527z00_1476;
										obj_t BgL_arg1528z00_1477;

										BgL_arg1527z00_1476 = CDR(((obj_t) BgL_varsz00_1464));
										BgL_arg1528z00_1477 = CDR(((obj_t) BgL_srcsz00_1465));
										{
											obj_t BgL_srcsz00_5418;
											obj_t BgL_varsz00_5417;

											BgL_varsz00_5417 = BgL_arg1527z00_1476;
											BgL_srcsz00_5418 = BgL_arg1528z00_1477;
											BgL_srcsz00_1465 = BgL_srcsz00_5418;
											BgL_varsz00_1464 = BgL_varsz00_5417;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}

	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		{	/* Eval/evaluate.scm 353 */
			{	/* Eval/evaluate.scm 354 */
				bool_t BgL_test3203z00_5419;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 354 */
						int BgL_arg1548z00_1494;

						BgL_arg1548z00_1494 = bgl_debug();
						BgL_test3203z00_5419 = ((long) (BgL_arg1548z00_1494) >= ((long) 1));
					}
				else
					{	/* Eval/evaluate.scm 354 */
						BgL_test3203z00_5419 = ((bool_t) 0);
					}
				if (BgL_test3203z00_5419)
					{	/* Eval/evaluate.scm 355 */
						obj_t BgL_tmpz00_1482;

						BgL_tmpz00_1482 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol3017z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 357 */
							obj_t BgL_arg1532z00_1483;
							obj_t BgL_arg1533z00_1484;

							{	/* Eval/evaluate.scm 357 */
								obj_t BgL_arg1534z00_1485;

								{	/* Eval/evaluate.scm 357 */
									obj_t BgL_arg1535z00_1486;
									obj_t BgL_arg1536z00_1487;

									{	/* Eval/evaluate.scm 357 */
										obj_t BgL_arg1537z00_1488;

										{	/* Eval/evaluate.scm 357 */
											obj_t BgL_arg1542z00_1489;
											obj_t BgL_arg1543z00_1490;

											{	/* Eval/evaluate.scm 357 */
												obj_t BgL_arg1545z00_1491;

												{	/* Eval/evaluate.scm 357 */
													obj_t BgL_list1546z00_1492;

													{	/* Eval/evaluate.scm 357 */
														obj_t BgL_arg1547z00_1493;

														BgL_arg1547z00_1493 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1546z00_1492 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1482,
															BgL_arg1547z00_1493);
													}
													BgL_arg1545z00_1491 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string3019z00zz__evaluatez00,
														BgL_list1546z00_1492);
												}
												BgL_arg1542z00_1489 =
													bstring_to_symbol(BgL_arg1545z00_1491);
											}
											BgL_arg1543z00_1490 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1537z00_1488 =
												MAKE_YOUNG_PAIR(BgL_arg1542z00_1489,
												BgL_arg1543z00_1490);
										}
										BgL_arg1535z00_1486 =
											MAKE_YOUNG_PAIR(BgL_arg1537z00_1488, BNIL);
									}
									BgL_arg1536z00_1487 = MAKE_YOUNG_PAIR(BgL_tmpz00_1482, BNIL);
									BgL_arg1534z00_1485 =
										MAKE_YOUNG_PAIR(BgL_arg1535z00_1486, BgL_arg1536z00_1487);
								}
								BgL_arg1532z00_1483 =
									MAKE_YOUNG_PAIR(BGl_symbol3007z00zz__evaluatez00,
									BgL_arg1534z00_1485);
							}
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3521;

								BgL__ortest_1069z00_3521 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1069z00_3521))
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1533z00_1484 = BgL__ortest_1069z00_3521;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1533z00_1484 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_arg1449z00_3522;
								obj_t BgL_arg1450z00_3523;

								BgL_arg1449z00_3522 = CAR(BgL_arg1532z00_1483);
								BgL_arg1450z00_3523 = CDR(BgL_arg1532z00_1483);
								{	/* Eval/evaluate.scm 293 */
									obj_t BgL_res2924z00_3526;

									BgL_res2924z00_3526 =
										MAKE_YOUNG_EPAIR(BgL_arg1449z00_3522, BgL_arg1450z00_3523,
										BgL_arg1533z00_1484);
									return BgL_res2924z00_3526;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 354 */
						return BgL_bodyz00_67;
					}
			}
		}

	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		{	/* Eval/evaluate.scm 365 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1503;
				obj_t BgL_bahz00_1505;
				obj_t BgL_lz00_1510;
				obj_t BgL_funz00_1512;
				obj_t BgL_argsz00_1513;
				obj_t BgL_pz00_1519;
				obj_t BgL_tz00_1520;
				obj_t BgL_oz00_1521;
				obj_t BgL_pz00_1523;
				obj_t BgL_tz00_1524;
				obj_t BgL_bindsz00_1532;
				obj_t BgL_bodyz00_1533;
				obj_t BgL_bindsz00_1535;
				obj_t BgL_bodyz00_1536;
				obj_t BgL_bindsz00_1538;
				obj_t BgL_bodyz00_1539;
				obj_t BgL_lz00_1545;
				obj_t BgL_e2z00_1546;
				obj_t BgL_vz00_1548;
				obj_t BgL_ez00_1549;
				obj_t BgL_gvz00_1552;
				obj_t BgL_formalsz00_1553;
				obj_t BgL_bodyz00_1554;
				obj_t BgL_gvz00_1556;
				obj_t BgL_gez00_1557;
				obj_t BgL_vz00_1559;
				obj_t BgL_bodyz00_1560;
				obj_t BgL_mz00_1572;
				obj_t BgL_bodyz00_1573;
				obj_t BgL_fz00_1579;
				obj_t BgL_argsz00_1580;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 424 */
						if ((CAR(BgL_ez00_69) == BGl_symbol3026z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 424 */
								BgL_bahz00_1505 = CDR(BgL_ez00_69);
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 432 */
										obj_t BgL_formsz00_2370;

										{	/* Eval/evaluate.scm 432 */
											obj_t BgL_arg2287z00_2373;

											{	/* Eval/evaluate.scm 144 */
												obj_t BgL__ortest_1069z00_3563;

												BgL__ortest_1069z00_3563 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1069z00_3563))
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2287z00_2373 = BgL__ortest_1069z00_3563;
													}
												else
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2287z00_2373 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2370 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2287z00_2373);
										}
										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2284z00_2371;
											obj_t BgL_arg2286z00_2372;

											BgL_arg2284z00_2371 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2370);
											BgL_arg2286z00_2372 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5458;
												obj_t BgL_wherez00_5457;
												obj_t BgL_tailzf3zf3_5456;
												obj_t BgL_globalsz00_5455;
												obj_t BgL_ez00_5454;

												BgL_ez00_5454 = BgL_arg2284z00_2371;
												BgL_globalsz00_5455 = BgL_arg2286z00_2372;
												BgL_tailzf3zf3_5456 = BgL_wherez00_73;
												BgL_wherez00_5457 = BFALSE;
												BgL_topzf3zf3_5458 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5458;
												BgL_wherez00_73 = BgL_wherez00_5457;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5456;
												BgL_globalsz00_71 = BgL_globalsz00_5455;
												BgL_ez00_69 = BgL_ez00_5454;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 431 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string2945z00zz__evaluatez00,
											BGl_string3025z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_cdrzd2250zd2_1588;

								BgL_cdrzd2250zd2_1588 = CDR(BgL_ez00_69);
								if ((CAR(BgL_ez00_69) == BGl_symbol3028z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 424 */
										if (PAIRP(BgL_cdrzd2250zd2_1588))
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd2253zd2_1592;
												obj_t BgL_cdrzd2254zd2_1593;

												BgL_carzd2253zd2_1592 = CAR(BgL_cdrzd2250zd2_1588);
												BgL_cdrzd2254zd2_1593 = CDR(BgL_cdrzd2250zd2_1588);
												if (SYMBOLP(BgL_carzd2253zd2_1592))
													{	/* Eval/evaluate.scm 424 */
														if (PAIRP(BgL_cdrzd2254zd2_1593))
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd2258zd2_1596;

																BgL_carzd2258zd2_1596 =
																	CAR(BgL_cdrzd2254zd2_1593);
																if (SYMBOLP(BgL_carzd2258zd2_1596))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2254zd2_1593)))
																			{	/* Eval/evaluate.scm 437 */
																				BgL_ev_globalz00_bglt
																					BgL_new1107z00_3880;
																				{	/* Eval/evaluate.scm 438 */
																					BgL_ev_globalz00_bglt
																						BgL_new1106z00_3881;
																					BgL_new1106z00_3881 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 438 */
																						long BgL_arg2288z00_3882;

																						BgL_arg2288z00_3882 =
																							BGL_CLASS_NUM
																							(BGl_ev_globalz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1106z00_3881),
																							BgL_arg2288z00_3882);
																					}
																					BgL_new1107z00_3880 =
																						BgL_new1106z00_3881;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3880))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3880))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2253zd2_1592),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3880))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2258zd2_1596)), BUNSPEC);
																				return ((obj_t) BgL_new1107z00_3880);
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_carzd2303zd2_1600;

																				BgL_carzd2303zd2_1600 =
																					CAR(BgL_ez00_69);
																				if (SYMBOLP(BgL_carzd2303zd2_1600))
																					{	/* Eval/evaluate.scm 424 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2303zd2_1600,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5494;
																								BgL_funz00_1512 =
																									BgL_carzd2303zd2_1600;
																								BgL_argsz00_1513 =
																									BgL_cdrzd2250zd2_1588;
																							BgL_tagzd2152zd2_1514:
																								{	/* Eval/evaluate.scm 449 */
																									obj_t BgL_funz00_2403;
																									obj_t BgL_argsz00_2404;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2446z00_3573;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3574;
																											BgL__ortest_1069z00_3574 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1512);
																											if (CBOOL
																												(BgL__ortest_1069z00_3574))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2446z00_3573 =
																														BgL__ortest_1069z00_3574;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2446z00_3573 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2403 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1512,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2446z00_3573,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2404 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1513);
																									{	/* Eval/evaluate.scm 450 */
																										BgL_ev_appz00_bglt
																											BgL_new1110z00_2405;
																										{	/* Eval/evaluate.scm 451 */
																											BgL_ev_appz00_bglt
																												BgL_new1109z00_2406;
																											BgL_new1109z00_2406 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 451 */
																												long
																													BgL_arg2304z00_2407;
																												BgL_arg2304z00_2407 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1109z00_2406),
																													BgL_arg2304z00_2407);
																											}
																											BgL_new1110z00_2405 =
																												BgL_new1109z00_2406;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1110z00_2405))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1110z00_2405))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2403)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1110z00_2405))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2404),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1110z00_2405))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5494 =
																											BgL_new1110z00_2405;
																								}}
																								return
																									((obj_t) BgL_auxz00_5494);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5510;
																								BgL_fz00_1579 =
																									BgL_carzd2303zd2_1600;
																								BgL_argsz00_1580 =
																									BgL_cdrzd2250zd2_1588;
																							BgL_tagzd2176zd2_1581:
																								{	/* Eval/evaluate.scm 599 */
																									obj_t BgL_funz00_2669;
																									obj_t BgL_argsz00_2670;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2446z00_3867;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3868;
																											BgL__ortest_1069z00_3868 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1579);
																											if (CBOOL
																												(BgL__ortest_1069z00_3868))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2446z00_3867 =
																														BgL__ortest_1069z00_3868;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2446z00_3867 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2669 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1579,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2446z00_3867,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2670 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1580);
																									{	/* Eval/evaluate.scm 600 */
																										BgL_ev_appz00_bglt
																											BgL_new1164z00_2671;
																										{	/* Eval/evaluate.scm 601 */
																											BgL_ev_appz00_bglt
																												BgL_new1163z00_2672;
																											BgL_new1163z00_2672 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 601 */
																												long
																													BgL_arg2439z00_2673;
																												BgL_arg2439z00_2673 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1163z00_2672),
																													BgL_arg2439z00_2673);
																											}
																											BgL_new1164z00_2671 =
																												BgL_new1163z00_2672;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2671))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2671))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2669)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2671))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2670),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2671))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5510 =
																											BgL_new1164z00_2671;
																								}}
																								return
																									((obj_t) BgL_auxz00_5510);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5526;

																						{
																							obj_t BgL_argsz00_5528;
																							obj_t BgL_fz00_5527;

																							BgL_fz00_5527 =
																								BgL_carzd2303zd2_1600;
																							BgL_argsz00_5528 =
																								BgL_cdrzd2250zd2_1588;
																							BgL_argsz00_1580 =
																								BgL_argsz00_5528;
																							BgL_fz00_1579 = BgL_fz00_5527;
																							goto BgL_tagzd2176zd2_1581;
																						}
																						return ((obj_t) BgL_auxz00_5526);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_carzd21010zd2_1611;

																		BgL_carzd21010zd2_1611 = CAR(BgL_ez00_69);
																		if (SYMBOLP(BgL_carzd21010zd2_1611))
																			{	/* Eval/evaluate.scm 424 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21010zd2_1611,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5536;

																						{
																							obj_t BgL_argsz00_5538;
																							obj_t BgL_funz00_5537;

																							BgL_funz00_5537 =
																								BgL_carzd21010zd2_1611;
																							BgL_argsz00_5538 =
																								BgL_cdrzd2250zd2_1588;
																							BgL_argsz00_1513 =
																								BgL_argsz00_5538;
																							BgL_funz00_1512 = BgL_funz00_5537;
																							goto BgL_tagzd2152zd2_1514;
																						}
																						return ((obj_t) BgL_auxz00_5536);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5540;

																						{
																							obj_t BgL_argsz00_5542;
																							obj_t BgL_fz00_5541;

																							BgL_fz00_5541 =
																								BgL_carzd21010zd2_1611;
																							BgL_argsz00_5542 =
																								BgL_cdrzd2250zd2_1588;
																							BgL_argsz00_1580 =
																								BgL_argsz00_5542;
																							BgL_fz00_1579 = BgL_fz00_5541;
																							goto BgL_tagzd2176zd2_1581;
																						}
																						return ((obj_t) BgL_auxz00_5540);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5544;

																				{
																					obj_t BgL_argsz00_5546;
																					obj_t BgL_fz00_5545;

																					BgL_fz00_5545 =
																						BgL_carzd21010zd2_1611;
																					BgL_argsz00_5546 =
																						BgL_cdrzd2250zd2_1588;
																					BgL_argsz00_1580 = BgL_argsz00_5546;
																					BgL_fz00_1579 = BgL_fz00_5545;
																					goto BgL_tagzd2176zd2_1581;
																				}
																				return ((obj_t) BgL_auxz00_5544);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd21717zd2_1621;

																BgL_carzd21717zd2_1621 = CAR(BgL_ez00_69);
																if (SYMBOLP(BgL_carzd21717zd2_1621))
																	{	/* Eval/evaluate.scm 424 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21717zd2_1621,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5554;

																				{
																					obj_t BgL_argsz00_5556;
																					obj_t BgL_funz00_5555;

																					BgL_funz00_5555 =
																						BgL_carzd21717zd2_1621;
																					BgL_argsz00_5556 =
																						BgL_cdrzd2250zd2_1588;
																					BgL_argsz00_1513 = BgL_argsz00_5556;
																					BgL_funz00_1512 = BgL_funz00_5555;
																					goto BgL_tagzd2152zd2_1514;
																				}
																				return ((obj_t) BgL_auxz00_5554);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5558;

																				{
																					obj_t BgL_argsz00_5560;
																					obj_t BgL_fz00_5559;

																					BgL_fz00_5559 =
																						BgL_carzd21717zd2_1621;
																					BgL_argsz00_5560 =
																						BgL_cdrzd2250zd2_1588;
																					BgL_argsz00_1580 = BgL_argsz00_5560;
																					BgL_fz00_1579 = BgL_fz00_5559;
																					goto BgL_tagzd2176zd2_1581;
																				}
																				return ((obj_t) BgL_auxz00_5558);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5562;

																		{
																			obj_t BgL_argsz00_5564;
																			obj_t BgL_fz00_5563;

																			BgL_fz00_5563 = BgL_carzd21717zd2_1621;
																			BgL_argsz00_5564 = BgL_cdrzd2250zd2_1588;
																			BgL_argsz00_1580 = BgL_argsz00_5564;
																			BgL_fz00_1579 = BgL_fz00_5563;
																			goto BgL_tagzd2176zd2_1581;
																		}
																		return ((obj_t) BgL_auxz00_5562);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														obj_t BgL_carzd22424zd2_1631;

														BgL_carzd22424zd2_1631 = CAR(BgL_ez00_69);
														if (SYMBOLP(BgL_carzd22424zd2_1631))
															{	/* Eval/evaluate.scm 424 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22424zd2_1631, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5572;

																		{
																			obj_t BgL_argsz00_5574;
																			obj_t BgL_funz00_5573;

																			BgL_funz00_5573 = BgL_carzd22424zd2_1631;
																			BgL_argsz00_5574 = BgL_cdrzd2250zd2_1588;
																			BgL_argsz00_1513 = BgL_argsz00_5574;
																			BgL_funz00_1512 = BgL_funz00_5573;
																			goto BgL_tagzd2152zd2_1514;
																		}
																		return ((obj_t) BgL_auxz00_5572);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5576;

																		{
																			obj_t BgL_argsz00_5578;
																			obj_t BgL_fz00_5577;

																			BgL_fz00_5577 = BgL_carzd22424zd2_1631;
																			BgL_argsz00_5578 = BgL_cdrzd2250zd2_1588;
																			BgL_argsz00_1580 = BgL_argsz00_5578;
																			BgL_fz00_1579 = BgL_fz00_5577;
																			goto BgL_tagzd2176zd2_1581;
																		}
																		return ((obj_t) BgL_auxz00_5576);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5580;

																{
																	obj_t BgL_argsz00_5582;
																	obj_t BgL_fz00_5581;

																	BgL_fz00_5581 = BgL_carzd22424zd2_1631;
																	BgL_argsz00_5582 = BgL_cdrzd2250zd2_1588;
																	BgL_argsz00_1580 = BgL_argsz00_5582;
																	BgL_fz00_1579 = BgL_fz00_5581;
																	goto BgL_tagzd2176zd2_1581;
																}
																return ((obj_t) BgL_auxz00_5580);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23131zd2_1641;

												BgL_carzd23131zd2_1641 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23131zd2_1641))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23131zd2_1641, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5590;

																{
																	obj_t BgL_argsz00_5592;
																	obj_t BgL_funz00_5591;

																	BgL_funz00_5591 = BgL_carzd23131zd2_1641;
																	BgL_argsz00_5592 = BgL_cdrzd2250zd2_1588;
																	BgL_argsz00_1513 = BgL_argsz00_5592;
																	BgL_funz00_1512 = BgL_funz00_5591;
																	goto BgL_tagzd2152zd2_1514;
																}
																return ((obj_t) BgL_auxz00_5590);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5594;

																{
																	obj_t BgL_argsz00_5596;
																	obj_t BgL_fz00_5595;

																	BgL_fz00_5595 = BgL_carzd23131zd2_1641;
																	BgL_argsz00_5596 = BgL_cdrzd2250zd2_1588;
																	BgL_argsz00_1580 = BgL_argsz00_5596;
																	BgL_fz00_1579 = BgL_fz00_5595;
																	goto BgL_tagzd2176zd2_1581;
																}
																return ((obj_t) BgL_auxz00_5594);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5598;

														{
															obj_t BgL_argsz00_5600;
															obj_t BgL_fz00_5599;

															BgL_fz00_5599 = BgL_carzd23131zd2_1641;
															BgL_argsz00_5600 = BgL_cdrzd2250zd2_1588;
															BgL_argsz00_1580 = BgL_argsz00_5600;
															BgL_fz00_1579 = BgL_fz00_5599;
															goto BgL_tagzd2176zd2_1581;
														}
														return ((obj_t) BgL_auxz00_5598);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 424 */
										if ((CAR(BgL_ez00_69) == BGl_symbol3030z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 424 */
												BgL_lz00_1510 = BgL_cdrzd2250zd2_1588;
												{	/* Eval/evaluate.scm 442 */
													bool_t BgL_test3229z00_5605;

													if (PAIRP(BgL_lz00_1510))
														{	/* Eval/evaluate.scm 442 */
															bool_t BgL_test3231z00_5608;

															{	/* Eval/evaluate.scm 442 */
																obj_t BgL_tmpz00_5609;

																BgL_tmpz00_5609 = CDR(BgL_lz00_1510);
																BgL_test3231z00_5608 = PAIRP(BgL_tmpz00_5609);
															}
															if (BgL_test3231z00_5608)
																{
																	obj_t BgL_l1215z00_2394;

																	BgL_l1215z00_2394 = BgL_lz00_1510;
																BgL_zc3z04anonymousza32298ze3z87_2395:
																	if (NULLP(BgL_l1215z00_2394))
																		{	/* Eval/evaluate.scm 442 */
																			BgL_test3229z00_5605 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 442 */
																			bool_t BgL_test3233z00_5614;

																			{	/* Eval/evaluate.scm 442 */
																				obj_t BgL_tmpz00_5615;

																				BgL_tmpz00_5615 =
																					CAR(((obj_t) BgL_l1215z00_2394));
																				BgL_test3233z00_5614 =
																					SYMBOLP(BgL_tmpz00_5615);
																			}
																			if (BgL_test3233z00_5614)
																				{
																					obj_t BgL_l1215z00_5619;

																					BgL_l1215z00_5619 =
																						CDR(((obj_t) BgL_l1215z00_2394));
																					BgL_l1215z00_2394 = BgL_l1215z00_5619;
																					goto
																						BgL_zc3z04anonymousza32298ze3z87_2395;
																				}
																			else
																				{	/* Eval/evaluate.scm 442 */
																					BgL_test3229z00_5605 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 442 */
																	BgL_test3229z00_5605 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 442 */
															BgL_test3229z00_5605 = ((bool_t) 0);
														}
													if (BgL_test3229z00_5605)
														{	/* Eval/evaluate.scm 442 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 442 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string2945z00zz__evaluatez00,
																BGl_string3020z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23841zd2_1654;

												BgL_carzd23841zd2_1654 = CAR(BgL_ez00_69);
												if (SYMBOLP(BgL_carzd23841zd2_1654))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23841zd2_1654, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5630;

																{
																	obj_t BgL_argsz00_5632;
																	obj_t BgL_funz00_5631;

																	BgL_funz00_5631 = BgL_carzd23841zd2_1654;
																	BgL_argsz00_5632 = BgL_cdrzd2250zd2_1588;
																	BgL_argsz00_1513 = BgL_argsz00_5632;
																	BgL_funz00_1512 = BgL_funz00_5631;
																	goto BgL_tagzd2152zd2_1514;
																}
																return ((obj_t) BgL_auxz00_5630);
															}
														else
															{	/* Eval/evaluate.scm 424 */
																if (
																	(BgL_carzd23841zd2_1654 ==
																		BGl_symbol3032z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd2250zd2_1588))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd2250zd2_1588)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1626z00_1665;

																						BgL_arg1626z00_1665 =
																							CAR(BgL_cdrzd2250zd2_1588);
																						{	/* Eval/evaluate.scm 456 */
																							BgL_ev_trapz00_bglt
																								BgL_new1112z00_3924;
																							{	/* Eval/evaluate.scm 457 */
																								BgL_ev_trapz00_bglt
																									BgL_new1111z00_3925;
																								BgL_new1111z00_3925 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 457 */
																									long BgL_arg2305z00_3926;

																									BgL_arg2305z00_3926 =
																										BGL_CLASS_NUM
																										(BGl_ev_trapz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1111z00_3925),
																										BgL_arg2305z00_3926);
																								}
																								BgL_new1112z00_3924 =
																									BgL_new1111z00_3925;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5646;
																								{	/* Eval/evaluate.scm 380 */
																									obj_t BgL_arg2446z00_3930;

																									BgL_arg2446z00_3930 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1626z00_1665,
																										BgL_locz00_74);
																									BgL_auxz00_5646 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1626z00_1665,
																											BgL_arg2446z00_3930));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1112z00_3924)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5646), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1112z00_3924);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1628z00_1666;
																						obj_t BgL_arg1629z00_1667;

																						BgL_arg1628z00_1666 =
																							CAR(BgL_ez00_69);
																						BgL_arg1629z00_1667 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5655;
																							{
																								obj_t BgL_argsz00_5657;
																								obj_t BgL_fz00_5656;

																								BgL_fz00_5656 =
																									BgL_arg1628z00_1666;
																								BgL_argsz00_5657 =
																									BgL_arg1629z00_1667;
																								BgL_argsz00_1580 =
																									BgL_argsz00_5657;
																								BgL_fz00_1579 = BgL_fz00_5656;
																								goto BgL_tagzd2176zd2_1581;
																							}
																							return ((obj_t) BgL_auxz00_5655);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1632z00_1669;
																				obj_t BgL_arg1633z00_1670;

																				BgL_arg1632z00_1669 = CAR(BgL_ez00_69);
																				BgL_arg1633z00_1670 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5661;

																					{
																						obj_t BgL_argsz00_5663;
																						obj_t BgL_fz00_5662;

																						BgL_fz00_5662 = BgL_arg1632z00_1669;
																						BgL_argsz00_5663 =
																							BgL_arg1633z00_1670;
																						BgL_argsz00_1580 = BgL_argsz00_5663;
																						BgL_fz00_1579 = BgL_fz00_5662;
																						goto BgL_tagzd2176zd2_1581;
																					}
																					return ((obj_t) BgL_auxz00_5661);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_cdrzd24514zd2_1671;

																		BgL_cdrzd24514zd2_1671 = CDR(BgL_ez00_69);
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol2997z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd24514zd2_1671))
																					{	/* Eval/evaluate.scm 424 */
																						if (NULLP(CDR
																								(BgL_cdrzd24514zd2_1671)))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1639z00_1677;

																								BgL_arg1639z00_1677 =
																									CAR(BgL_cdrzd24514zd2_1671);
																								{	/* Eval/evaluate.scm 459 */
																									BgL_ev_littz00_bglt
																										BgL_new1114z00_3939;
																									{	/* Eval/evaluate.scm 460 */
																										BgL_ev_littz00_bglt
																											BgL_new1113z00_3940;
																										BgL_new1113z00_3940 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 460 */
																											long BgL_arg2306z00_3941;

																											BgL_arg2306z00_3941 =
																												BGL_CLASS_NUM
																												(BGl_ev_littz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1113z00_3940),
																												BgL_arg2306z00_3941);
																										}
																										BgL_new1114z00_3939 =
																											BgL_new1113z00_3940;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1114z00_3939))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1639z00_1677),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1114z00_3939);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1640z00_1678;

																								BgL_arg1640z00_1678 =
																									CAR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5682;
																									{
																										obj_t BgL_argsz00_5684;
																										obj_t BgL_fz00_5683;

																										BgL_fz00_5683 =
																											BgL_arg1640z00_1678;
																										BgL_argsz00_5684 =
																											BgL_cdrzd24514zd2_1671;
																										BgL_argsz00_1580 =
																											BgL_argsz00_5684;
																										BgL_fz00_1579 =
																											BgL_fz00_5683;
																										goto BgL_tagzd2176zd2_1581;
																									}
																									return
																										((obj_t) BgL_auxz00_5682);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1643z00_1681;

																						BgL_arg1643z00_1681 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5687;
																							{
																								obj_t BgL_argsz00_5689;
																								obj_t BgL_fz00_5688;

																								BgL_fz00_5688 =
																									BgL_arg1643z00_1681;
																								BgL_argsz00_5689 =
																									BgL_cdrzd24514zd2_1671;
																								BgL_argsz00_1580 =
																									BgL_argsz00_5689;
																								BgL_fz00_1579 = BgL_fz00_5688;
																								goto BgL_tagzd2176zd2_1581;
																							}
																							return ((obj_t) BgL_auxz00_5687);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3005z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						if (PAIRP(BgL_cdrzd24514zd2_1671))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd25128zd2_1687;

																								BgL_cdrzd25128zd2_1687 =
																									CDR(BgL_cdrzd24514zd2_1671);
																								if (PAIRP
																									(BgL_cdrzd25128zd2_1687))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd25133zd2_1689;
																										BgL_cdrzd25133zd2_1689 =
																											CDR
																											(BgL_cdrzd25128zd2_1687);
																										if (PAIRP
																											(BgL_cdrzd25133zd2_1689))
																											{	/* Eval/evaluate.scm 424 */
																												if (NULLP(CDR
																														(BgL_cdrzd25133zd2_1689)))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1655z00_1693;
																														obj_t
																															BgL_arg1656z00_1694;
																														obj_t
																															BgL_arg1657z00_1695;
																														BgL_arg1655z00_1693
																															=
																															CAR
																															(BgL_cdrzd24514zd2_1671);
																														BgL_arg1656z00_1694
																															=
																															CAR
																															(BgL_cdrzd25128zd2_1687);
																														BgL_arg1657z00_1695
																															=
																															CAR
																															(BgL_cdrzd25133zd2_1689);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5708;
																															BgL_pz00_1519 =
																																BgL_arg1655z00_1693;
																															BgL_tz00_1520 =
																																BgL_arg1656z00_1694;
																															BgL_oz00_1521 =
																																BgL_arg1657z00_1695;
																														BgL_tagzd2155zd2_1522:
																															{	/* Eval/evaluate.scm 462 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1117z00_2414;
																																{	/* Eval/evaluate.scm 463 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1115z00_2418;
																																	BgL_new1115z00_2418
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 463 */
																																		long
																																			BgL_arg2310z00_2419;
																																		BgL_arg2310z00_2419
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_ev_ifz00zz__evaluate_typesz00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1115z00_2418), BgL_arg2310z00_2419);
																																	}
																																	BgL_new1117z00_2414
																																		=
																																		BgL_new1115z00_2418;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5713;
																																	{	/* Eval/evaluate.scm 463 */
																																		obj_t
																																			BgL_arg2307z00_2415;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3595;
																																			BgL__ortest_1069z00_3595
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1519);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3595))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2307z00_2415
																																						=
																																						BgL__ortest_1069z00_3595;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2307z00_2415
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5713
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1519,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2307z00_2415,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2414))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5713), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5720;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2308z00_2416;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3596;
																																			BgL__ortest_1069z00_3596
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1520);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3596))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2308z00_2416
																																						=
																																						BgL__ortest_1069z00_3596;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2308z00_2416
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5720
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1520,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2308z00_2416,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2414))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5720), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5727;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2309z00_2417;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3597;
																																			BgL__ortest_1069z00_3597
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1521);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3597))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2309z00_2417
																																						=
																																						BgL__ortest_1069z00_3597;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2309z00_2417
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5727
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1521,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2309z00_2417,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2414))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5727), BUNSPEC);
																																}
																																BgL_auxz00_5708
																																	=
																																	BgL_new1117z00_2414;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5708);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1658z00_1696;
																														obj_t
																															BgL_arg1660z00_1697;
																														BgL_arg1658z00_1696
																															=
																															CAR(BgL_ez00_69);
																														BgL_arg1660z00_1697
																															=
																															CDR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5737;
																															{
																																obj_t
																																	BgL_argsz00_5739;
																																obj_t
																																	BgL_fz00_5738;
																																BgL_fz00_5738 =
																																	BgL_arg1658z00_1696;
																																BgL_argsz00_5739
																																	=
																																	BgL_arg1660z00_1697;
																																BgL_argsz00_1580
																																	=
																																	BgL_argsz00_5739;
																																BgL_fz00_1579 =
																																	BgL_fz00_5738;
																																goto
																																	BgL_tagzd2176zd2_1581;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5737);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd25433zd2_1699;
																												BgL_cdrzd25433zd2_1699 =
																													CDR(BgL_ez00_69);
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_cdrzd25439zd2_1700;
																													BgL_cdrzd25439zd2_1700
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25433zd2_1699));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25439zd2_1700))))
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1665z00_1703;
																															obj_t
																																BgL_arg1666z00_1704;
																															BgL_arg1665z00_1703
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25433zd2_1699));
																															BgL_arg1666z00_1704
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25439zd2_1700));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5752;
																																BgL_pz00_1523 =
																																	BgL_arg1665z00_1703;
																																BgL_tz00_1524 =
																																	BgL_arg1666z00_1704;
																															BgL_tagzd2156zd2_1525:
																																{	/* Eval/evaluate.scm 467 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1119z00_2420;
																																	{	/* Eval/evaluate.scm 468 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1118z00_2424;
																																		BgL_new1118z00_2424
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 468 */
																																			long
																																				BgL_arg2315z00_2425;
																																			BgL_arg2315z00_2425
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1118z00_2424), BgL_arg2315z00_2425);
																																		}
																																		BgL_new1119z00_2420
																																			=
																																			BgL_new1118z00_2424;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5757;
																																		{	/* Eval/evaluate.scm 468 */
																																			obj_t
																																				BgL_arg2311z00_2421;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3601;
																																				BgL__ortest_1069z00_3601
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1523);
																																				if (CBOOL(BgL__ortest_1069z00_3601))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2311z00_2421
																																							=
																																							BgL__ortest_1069z00_3601;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2311z00_2421
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5757
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1523,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2311z00_2421,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2420))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5757), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5764;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2312z00_2422;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3602;
																																				BgL__ortest_1069z00_3602
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1524);
																																				if (CBOOL(BgL__ortest_1069z00_3602))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2312z00_2422
																																							=
																																							BgL__ortest_1069z00_3602;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2312z00_2422
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5764
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1524,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2312z00_2422,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2420))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5764), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5771;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2314z00_2423;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3603;
																																				BgL__ortest_1069z00_3603
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1069z00_3603))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2314z00_2423
																																							=
																																							BgL__ortest_1069z00_3603;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2314z00_2423
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5771
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2314z00_2423,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2420))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5771), BUNSPEC);
																																	}
																																	BgL_auxz00_5752
																																		=
																																		BgL_new1119z00_2420;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5752);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1667z00_1705;
																															BgL_arg1667z00_1705
																																=
																																CAR
																																(BgL_ez00_69);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5780;
																																{
																																	obj_t
																																		BgL_argsz00_5782;
																																	obj_t
																																		BgL_fz00_5781;
																																	BgL_fz00_5781
																																		=
																																		BgL_arg1667z00_1705;
																																	BgL_argsz00_5782
																																		=
																																		BgL_cdrzd25433zd2_1699;
																																	BgL_argsz00_1580
																																		=
																																		BgL_argsz00_5782;
																																	BgL_fz00_1579
																																		=
																																		BgL_fz00_5781;
																																	goto
																																		BgL_tagzd2176zd2_1581;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5780);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1675z00_1708;
																										obj_t BgL_arg1676z00_1709;

																										BgL_arg1675z00_1708 =
																											CAR(BgL_ez00_69);
																										BgL_arg1676z00_1709 =
																											CDR(BgL_ez00_69);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5786;
																											{
																												obj_t BgL_argsz00_5788;
																												obj_t BgL_fz00_5787;

																												BgL_fz00_5787 =
																													BgL_arg1675z00_1708;
																												BgL_argsz00_5788 =
																													BgL_arg1676z00_1709;
																												BgL_argsz00_1580 =
																													BgL_argsz00_5788;
																												BgL_fz00_1579 =
																													BgL_fz00_5787;
																												goto
																													BgL_tagzd2176zd2_1581;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5786);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1678z00_1710;
																								obj_t BgL_arg1679z00_1711;

																								BgL_arg1678z00_1710 =
																									CAR(BgL_ez00_69);
																								BgL_arg1679z00_1711 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5792;
																									{
																										obj_t BgL_argsz00_5794;
																										obj_t BgL_fz00_5793;

																										BgL_fz00_5793 =
																											BgL_arg1678z00_1710;
																										BgL_argsz00_5794 =
																											BgL_arg1679z00_1711;
																										BgL_argsz00_1580 =
																											BgL_argsz00_5794;
																										BgL_fz00_1579 =
																											BgL_fz00_5793;
																										goto BgL_tagzd2176zd2_1581;
																									}
																									return
																										((obj_t) BgL_auxz00_5792);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3034z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1694z00_1714;

																								BgL_arg1694z00_1714 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 472 */
																									BgL_ev_orz00_bglt
																										BgL_new1121z00_3972;
																									{	/* Eval/evaluate.scm 473 */
																										BgL_ev_orz00_bglt
																											BgL_new1120z00_3973;
																										BgL_new1120z00_3973 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 473 */
																											long BgL_arg2316z00_3974;

																											BgL_arg2316z00_3974 =
																												BGL_CLASS_NUM
																												(BGl_ev_orz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1120z00_3973),
																												BgL_arg2316z00_3974);
																										}
																										BgL_new1121z00_3972 =
																											BgL_new1120z00_3973;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1121z00_3972)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1694z00_1714)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1121z00_3972);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3036z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1697z00_1717;

																										BgL_arg1697z00_1717 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 475 */
																											BgL_ev_andz00_bglt
																												BgL_new1124z00_3980;
																											{	/* Eval/evaluate.scm 476 */
																												BgL_ev_andz00_bglt
																													BgL_new1123z00_3981;
																												BgL_new1123z00_3981 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 476 */
																													long
																														BgL_arg2317z00_3982;
																													BgL_arg2317z00_3982 =
																														BGL_CLASS_NUM
																														(BGl_ev_andz00zz__evaluate_typesz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1123z00_3981), BgL_arg2317z00_3982);
																												}
																												BgL_new1124z00_3980 =
																													BgL_new1123z00_3981;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1124z00_3980)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1697z00_1717)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1124z00_3980);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										if (
																											(CAR(BgL_ez00_69) ==
																												BGl_symbol3021z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_69),
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd26338zd2_1721;
																												BgL_cdrzd26338zd2_1721 =
																													CDR(BgL_ez00_69);
																												if ((CAR(BgL_ez00_69) ==
																														BGl_symbol3007z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd26338zd2_1721))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1706z00_1725;
																																obj_t
																																	BgL_arg1707z00_1726;
																																BgL_arg1706z00_1725
																																	=
																																	CAR
																																	(BgL_cdrzd26338zd2_1721);
																																BgL_arg1707z00_1726
																																	=
																																	CDR
																																	(BgL_cdrzd26338zd2_1721);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5833;
																																	BgL_bindsz00_1532
																																		=
																																		BgL_arg1706z00_1725;
																																	BgL_bodyz00_1533
																																		=
																																		BgL_arg1707z00_1726;
																																BgL_tagzd2160zd2_1534:
																																	{	/* Eval/evaluate.scm 480 */
																																		obj_t
																																			BgL_ubindsz00_2432;
																																		if (NULLP
																																			(BgL_bindsz00_1532))
																																			{	/* Eval/evaluate.scm 480 */
																																				BgL_ubindsz00_2432
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 480 */
																																				obj_t
																																					BgL_head1220z00_2477;
																																				BgL_head1220z00_2477
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				{
																																					obj_t
																																						BgL_l1218z00_3639;
																																					obj_t
																																						BgL_tail1221z00_3640;
																																					BgL_l1218z00_3639
																																						=
																																						BgL_bindsz00_1532;
																																					BgL_tail1221z00_3640
																																						=
																																						BgL_head1220z00_2477;
																																				BgL_zc3z04anonymousza32337ze3z87_3638:
																																					if (NULLP(BgL_l1218z00_3639))
																																						{	/* Eval/evaluate.scm 480 */
																																							BgL_ubindsz00_2432
																																								=
																																								CDR
																																								(BgL_head1220z00_2477);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 480 */
																																							obj_t
																																								BgL_newtail1222z00_3648;
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2341z00_3649;
																																								{	/* Eval/evaluate.scm 480 */
																																									obj_t
																																										BgL_bz00_3650;
																																									BgL_bz00_3650
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1218z00_3639));
																																									{	/* Eval/evaluate.scm 480 */
																																										obj_t
																																											BgL_arg2342z00_3651;
																																										BgL_arg2342z00_3651
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3650));
																																										BgL_arg2341z00_3649
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2342z00_3651);
																																									}
																																								}
																																								BgL_newtail1222z00_3648
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2341z00_3649,
																																									BNIL);
																																							}
																																							SET_CDR
																																								(BgL_tail1221z00_3640,
																																								BgL_newtail1222z00_3648);
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2340z00_3652;
																																								BgL_arg2340z00_3652
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1218z00_3639));
																																								{
																																									obj_t
																																										BgL_tail1221z00_5850;
																																									obj_t
																																										BgL_l1218z00_5849;
																																									BgL_l1218z00_5849
																																										=
																																										BgL_arg2340z00_3652;
																																									BgL_tail1221z00_5850
																																										=
																																										BgL_newtail1222z00_3648;
																																									BgL_tail1221z00_3640
																																										=
																																										BgL_tail1221z00_5850;
																																									BgL_l1218z00_3639
																																										=
																																										BgL_l1218z00_5849;
																																									goto
																																										BgL_zc3z04anonymousza32337ze3z87_3638;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 480 */
																																			obj_t
																																				BgL_varsz00_2433;
																																			if (NULLP
																																				(BgL_ubindsz00_2432))
																																				{	/* Eval/evaluate.scm 481 */
																																					BgL_varsz00_2433
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_head1225z00_2461;
																																					BgL_head1225z00_2461
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_l1223z00_2463;
																																						obj_t
																																							BgL_tail1226z00_2464;
																																						BgL_l1223z00_2463
																																							=
																																							BgL_ubindsz00_2432;
																																						BgL_tail1226z00_2464
																																							=
																																							BgL_head1225z00_2461;
																																					BgL_zc3z04anonymousza32330ze3z87_2465:
																																						if (NULLP(BgL_l1223z00_2463))
																																							{	/* Eval/evaluate.scm 481 */
																																								BgL_varsz00_2433
																																									=
																																									CDR
																																									(BgL_head1225z00_2461);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_newtail1227z00_2467;
																																								{	/* Eval/evaluate.scm 481 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2334z00_2469;
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_iz00_2470;
																																										BgL_iz00_2470
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1223z00_2463));
																																										{	/* Eval/evaluate.scm 482 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1126z00_2471;
																																											{	/* Eval/evaluate.scm 484 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1125z00_2472;
																																												BgL_new1125z00_2472
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 484 */
																																													long
																																														BgL_arg2335z00_2473;
																																													BgL_arg2335z00_2473
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_varz00zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1125z00_2472), BgL_arg2335z00_2473);
																																												}
																																												BgL_new1126z00_2471
																																													=
																																													BgL_new1125z00_2472;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1126z00_2471))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2470))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1126z00_2471))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1126z00_2471))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2470))), BUNSPEC);
																																											BgL_arg2334z00_2469
																																												=
																																												BgL_new1126z00_2471;
																																									}}
																																									BgL_newtail1227z00_2467
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) BgL_arg2334z00_2469), BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1226z00_2464,
																																									BgL_newtail1227z00_2467);
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_arg2332z00_2468;
																																									BgL_arg2332z00_2468
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1223z00_2463));
																																									{
																																										obj_t
																																											BgL_tail1226z00_5876;
																																										obj_t
																																											BgL_l1223z00_5875;
																																										BgL_l1223z00_5875
																																											=
																																											BgL_arg2332z00_2468;
																																										BgL_tail1226z00_5876
																																											=
																																											BgL_newtail1227z00_2467;
																																										BgL_tail1226z00_2464
																																											=
																																											BgL_tail1226z00_5876;
																																										BgL_l1223z00_2463
																																											=
																																											BgL_l1223z00_5875;
																																										goto
																																											BgL_zc3z04anonymousza32330ze3z87_2465;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_bodyz00_2434;
																																				{	/* Eval/evaluate.scm 486 */
																																					bool_t
																																						BgL_test3263z00_5877;
																																					{	/* Eval/evaluate.scm 486 */
																																						obj_t
																																							BgL_tmpz00_5878;
																																						BgL_tmpz00_5878
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1533));
																																						BgL_test3263z00_5877
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5878);
																																					}
																																					if (BgL_test3263z00_5877)
																																						{	/* Eval/evaluate.scm 486 */
																																							obj_t
																																								BgL_res2925z00_3669;
																																							BgL_res2925z00_3669
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol3021z00zz__evaluatez00,
																																								BgL_bodyz00_1533,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2434
																																								=
																																								BgL_res2925z00_3669;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 486 */
																																							BgL_bodyz00_2434
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1533));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 486 */
																																					obj_t
																																						BgL_tbodyz00_2435;
																																					BgL_tbodyz00_2435
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2432,
																																						BgL_bindsz00_1532,
																																						BgL_bodyz00_2434,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 487 */

																																						{	/* Eval/evaluate.scm 488 */
																																							obj_t
																																								BgL_blocz00_2436;
																																							{	/* Eval/evaluate.scm 144 */
																																								obj_t
																																									BgL__ortest_1069z00_3671;
																																								BgL__ortest_1069z00_3671
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1532);
																																								if (CBOOL(BgL__ortest_1069z00_3671))
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2436
																																											=
																																											BgL__ortest_1069z00_3671;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2436
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 489 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1130z00_2437;
																																								{	/* Eval/evaluate.scm 490 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1129z00_2454;
																																									BgL_new1129z00_2454
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 490 */
																																										long
																																											BgL_arg2325z00_2455;
																																										BgL_arg2325z00_2455
																																											=
																																											BGL_CLASS_NUM
																																											(BGl_ev_letz00zz__evaluate_typesz00);
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1129z00_2454), BgL_arg2325z00_2455);
																																									}
																																									BgL_new1130z00_2437
																																										=
																																										BgL_new1129z00_2454;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2437)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2433), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5895;
																																									if (NULLP(BgL_bindsz00_1532))
																																										{	/* Eval/evaluate.scm 491 */
																																											BgL_auxz00_5895
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 491 */
																																											obj_t
																																												BgL_head1230z00_2440;
																																											BgL_head1230z00_2440
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BNIL,
																																												BNIL);
																																											{
																																												obj_t
																																													BgL_l1228z00_2442;
																																												obj_t
																																													BgL_tail1231z00_2443;
																																												BgL_l1228z00_2442
																																													=
																																													BgL_bindsz00_1532;
																																												BgL_tail1231z00_2443
																																													=
																																													BgL_head1230z00_2440;
																																											BgL_zc3z04anonymousza32319ze3z87_2444:
																																												if (NULLP(BgL_l1228z00_2442))
																																													{	/* Eval/evaluate.scm 491 */
																																														BgL_auxz00_5895
																																															=
																																															CDR
																																															(BgL_head1230z00_2440);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 491 */
																																														obj_t
																																															BgL_newtail1232z00_2446;
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2322z00_2448;
																																															{	/* Eval/evaluate.scm 491 */
																																																obj_t
																																																	BgL_bz00_2449;
																																																BgL_bz00_2449
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1228z00_2442));
																																																{	/* Eval/evaluate.scm 492 */
																																																	obj_t
																																																		BgL_locz00_2450;
																																																	{	/* Eval/evaluate.scm 144 */
																																																		obj_t
																																																			BgL__ortest_1069z00_3677;
																																																		BgL__ortest_1069z00_3677
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2449);
																																																		if (CBOOL(BgL__ortest_1069z00_3677))
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2450
																																																					=
																																																					BgL__ortest_1069z00_3677;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2450
																																																					=
																																																					BgL_blocz00_2436;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 493 */
																																																		obj_t
																																																			BgL_arg2323z00_2451;
																																																		{	/* Eval/evaluate.scm 493 */
																																																			obj_t
																																																				BgL_pairz00_3681;
																																																			BgL_pairz00_3681
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2449));
																																																			BgL_arg2323z00_2451
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3681);
																																																		}
																																																		BgL_arg2322z00_2448
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2323z00_2451,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2450,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															BgL_newtail1232z00_2446
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BgL_arg2322z00_2448,
																																																BNIL);
																																														}
																																														SET_CDR
																																															(BgL_tail1231z00_2443,
																																															BgL_newtail1232z00_2446);
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2321z00_2447;
																																															BgL_arg2321z00_2447
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1228z00_2442));
																																															{
																																																obj_t
																																																	BgL_tail1231z00_5917;
																																																obj_t
																																																	BgL_l1228z00_5916;
																																																BgL_l1228z00_5916
																																																	=
																																																	BgL_arg2321z00_2447;
																																																BgL_tail1231z00_5917
																																																	=
																																																	BgL_newtail1232z00_2446;
																																																BgL_tail1231z00_2443
																																																	=
																																																	BgL_tail1231z00_5917;
																																																BgL_l1228z00_2442
																																																	=
																																																	BgL_l1228z00_5916;
																																																goto
																																																	BgL_zc3z04anonymousza32319ze3z87_2444;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2437)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5895), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5919;
																																									{	/* Eval/evaluate.scm 495 */
																																										obj_t
																																											BgL_arg2324z00_2453;
																																										BgL_arg2324z00_2453
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2433,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5919
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2435,
																																												BgL_arg2324z00_2453,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1130z00_2437)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5919), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1130z00_2437))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5833
																																									=
																																									BgL_new1130z00_2437;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5833);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1711z00_1727;
																																BgL_arg1711z00_1727
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5928;
																																	{
																																		obj_t
																																			BgL_argsz00_5930;
																																		obj_t
																																			BgL_fz00_5929;
																																		BgL_fz00_5929
																																			=
																																			BgL_arg1711z00_1727;
																																		BgL_argsz00_5930
																																			=
																																			BgL_cdrzd26338zd2_1721;
																																		BgL_argsz00_1580
																																			=
																																			BgL_argsz00_5930;
																																		BgL_fz00_1579
																																			=
																																			BgL_fz00_5929;
																																		goto
																																			BgL_tagzd2176zd2_1581;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5928);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														if (
																															(CAR(BgL_ez00_69)
																																==
																																BGl_symbol3038z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd26338zd2_1721))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1716z00_1733;
																																		obj_t
																																			BgL_arg1717z00_1734;
																																		BgL_arg1716z00_1733
																																			=
																																			CAR
																																			(BgL_cdrzd26338zd2_1721);
																																		BgL_arg1717z00_1734
																																			=
																																			CDR
																																			(BgL_cdrzd26338zd2_1721);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5939;
																																			BgL_bindsz00_1535
																																				=
																																				BgL_arg1716z00_1733;
																																			BgL_bodyz00_1536
																																				=
																																				BgL_arg1717z00_1734;
																																		BgL_tagzd2161zd2_1537:
																																			{	/* Eval/evaluate.scm 503 */
																																				obj_t
																																					BgL_varsz00_2490;
																																				obj_t
																																					BgL_blocz00_2491;
																																				if (NULLP(BgL_bindsz00_1535))
																																					{	/* Eval/evaluate.scm 503 */
																																						BgL_varsz00_2490
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 503 */
																																						obj_t
																																							BgL_head1235z00_2499;
																																						BgL_head1235z00_2499
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						{
																																							obj_t
																																								BgL_l1233z00_2501;
																																							obj_t
																																								BgL_tail1236z00_2502;
																																							BgL_l1233z00_2501
																																								=
																																								BgL_bindsz00_1535;
																																							BgL_tail1236z00_2502
																																								=
																																								BgL_head1235z00_2499;
																																						BgL_zc3z04anonymousza32349ze3z87_2503:
																																							if (NULLP(BgL_l1233z00_2501))
																																								{	/* Eval/evaluate.scm 503 */
																																									BgL_varsz00_2490
																																										=
																																										CDR
																																										(BgL_head1235z00_2499);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 503 */
																																									obj_t
																																										BgL_newtail1237z00_2505;
																																									{	/* Eval/evaluate.scm 503 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2352z00_2507;
																																										{	/* Eval/evaluate.scm 503 */
																																											obj_t
																																												BgL_bz00_2508;
																																											BgL_bz00_2508
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1233z00_2501));
																																											{	/* Eval/evaluate.scm 504 */
																																												obj_t
																																													BgL_iz00_2509;
																																												{	/* Eval/evaluate.scm 504 */
																																													obj_t
																																														BgL_arg2354z00_2513;
																																													BgL_arg2354z00_2513
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2508));
																																													BgL_iz00_2509
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2354z00_2513);
																																												}
																																												{	/* Eval/evaluate.scm 505 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1132z00_2510;
																																													{	/* Eval/evaluate.scm 507 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1131z00_2511;
																																														BgL_new1131z00_2511
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 507 */
																																															long
																																																BgL_arg2353z00_2512;
																																															BgL_arg2353z00_2512
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_varz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1131z00_2511), BgL_arg2353z00_2512);
																																														}
																																														BgL_new1132z00_2510
																																															=
																																															BgL_new1131z00_2511;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2510))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2509)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2510))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2510))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2509)), BUNSPEC);
																																													BgL_arg2352z00_2507
																																														=
																																														BgL_new1132z00_2510;
																																										}}}
																																										BgL_newtail1237z00_2505
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2352z00_2507), BNIL);
																																									}
																																									SET_CDR
																																										(BgL_tail1236z00_2502,
																																										BgL_newtail1237z00_2505);
																																									{	/* Eval/evaluate.scm 503 */
																																										obj_t
																																											BgL_arg2351z00_2506;
																																										BgL_arg2351z00_2506
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1233z00_2501));
																																										{
																																											obj_t
																																												BgL_tail1236z00_5966;
																																											obj_t
																																												BgL_l1233z00_5965;
																																											BgL_l1233z00_5965
																																												=
																																												BgL_arg2351z00_2506;
																																											BgL_tail1236z00_5966
																																												=
																																												BgL_newtail1237z00_2505;
																																											BgL_tail1236z00_2502
																																												=
																																												BgL_tail1236z00_5966;
																																											BgL_l1233z00_2501
																																												=
																																												BgL_l1233z00_5965;
																																											goto
																																												BgL_zc3z04anonymousza32349ze3z87_2503;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 144 */
																																					obj_t
																																						BgL__ortest_1069z00_3715;
																																					BgL__ortest_1069z00_3715
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1535);
																																					if (CBOOL(BgL__ortest_1069z00_3715))
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2491
																																								=
																																								BgL__ortest_1069z00_3715;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2491
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 510 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1135z00_2492;
																																					{	/* Eval/evaluate.scm 511 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1134z00_2495;
																																						BgL_new1134z00_2495
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 511 */
																																							long
																																								BgL_arg2347z00_2496;
																																							BgL_arg2347z00_2496
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_ev_letza2za2zz__evaluate_typesz00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1134z00_2495), BgL_arg2347z00_2496);
																																						}
																																						BgL_new1135z00_2492
																																							=
																																							BgL_new1134z00_2495;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2492)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2490), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2492)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1535, BgL_varsz00_2490, BgL_localsz00_70, BgL_blocz00_2491)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_5979;
																																						{	/* Eval/evaluate.scm 513 */
																																							obj_t
																																								BgL_arg2343z00_2493;
																																							{	/* Eval/evaluate.scm 513 */
																																								obj_t
																																									BgL_arg2346z00_2494;
																																								BgL_arg2346z00_2494
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2490);
																																								BgL_arg2343z00_2493
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2346z00_2494,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_5979
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1536,
																																									BgL_arg2343z00_2493,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2492)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5979), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1135z00_2492))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5939
																																						=
																																						BgL_new1135z00_2492;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5939);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1718z00_1735;
																																		obj_t
																																			BgL_arg1719z00_1736;
																																		BgL_arg1718z00_1735
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		BgL_arg1719z00_1736
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5990;
																																			{
																																				obj_t
																																					BgL_argsz00_5992;
																																				obj_t
																																					BgL_fz00_5991;
																																				BgL_fz00_5991
																																					=
																																					BgL_arg1718z00_1735;
																																				BgL_argsz00_5992
																																					=
																																					BgL_arg1719z00_1736;
																																				BgL_argsz00_1580
																																					=
																																					BgL_argsz00_5992;
																																				BgL_fz00_1579
																																					=
																																					BgL_fz00_5991;
																																				goto
																																					BgL_tagzd2176zd2_1581;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5990);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_cdrzd26736zd2_1737;
																																BgL_cdrzd26736zd2_1737
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																if ((CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3040z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd26736zd2_1737))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1723z00_1741;
																																				obj_t
																																					BgL_arg1725z00_1742;
																																				BgL_arg1723z00_1741
																																					=
																																					CAR
																																					(BgL_cdrzd26736zd2_1737);
																																				BgL_arg1725z00_1742
																																					=
																																					CDR
																																					(BgL_cdrzd26736zd2_1737);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6002;
																																					BgL_bindsz00_1538
																																						=
																																						BgL_arg1723z00_1741;
																																					BgL_bodyz00_1539
																																						=
																																						BgL_arg1725z00_1742;
																																				BgL_tagzd2162zd2_1540:
																																					{	/* Eval/evaluate.scm 515 */
																																						obj_t
																																							BgL_ubindsz00_2531;
																																						if (NULLP(BgL_bindsz00_1538))
																																							{	/* Eval/evaluate.scm 515 */
																																								BgL_ubindsz00_2531
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 515 */
																																								obj_t
																																									BgL_head1240z00_2581;
																																								BgL_head1240z00_2581
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								{
																																									obj_t
																																										BgL_l1238z00_3742;
																																									obj_t
																																										BgL_tail1241z00_3743;
																																									BgL_l1238z00_3742
																																										=
																																										BgL_bindsz00_1538;
																																									BgL_tail1241z00_3743
																																										=
																																										BgL_head1240z00_2581;
																																								BgL_zc3z04anonymousza32392ze3z87_3741:
																																									if (NULLP(BgL_l1238z00_3742))
																																										{	/* Eval/evaluate.scm 515 */
																																											BgL_ubindsz00_2531
																																												=
																																												CDR
																																												(BgL_head1240z00_2581);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 515 */
																																											obj_t
																																												BgL_newtail1242z00_3751;
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2395z00_3752;
																																												{	/* Eval/evaluate.scm 515 */
																																													obj_t
																																														BgL_bz00_3753;
																																													BgL_bz00_3753
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1238z00_3742));
																																													{	/* Eval/evaluate.scm 515 */
																																														obj_t
																																															BgL_arg2396z00_3754;
																																														BgL_arg2396z00_3754
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3753));
																																														BgL_arg2395z00_3752
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2396z00_3754);
																																													}
																																												}
																																												BgL_newtail1242z00_3751
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2395z00_3752,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1241z00_3743,
																																												BgL_newtail1242z00_3751);
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2394z00_3755;
																																												BgL_arg2394z00_3755
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1238z00_3742));
																																												{
																																													obj_t
																																														BgL_tail1241z00_6019;
																																													obj_t
																																														BgL_l1238z00_6018;
																																													BgL_l1238z00_6018
																																														=
																																														BgL_arg2394z00_3755;
																																													BgL_tail1241z00_6019
																																														=
																																														BgL_newtail1242z00_3751;
																																													BgL_tail1241z00_3743
																																														=
																																														BgL_tail1241z00_6019;
																																													BgL_l1238z00_3742
																																														=
																																														BgL_l1238z00_6018;
																																													goto
																																														BgL_zc3z04anonymousza32392ze3z87_3741;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 515 */
																																							obj_t
																																								BgL_varsz00_2532;
																																							if (NULLP(BgL_ubindsz00_2531))
																																								{	/* Eval/evaluate.scm 516 */
																																									BgL_varsz00_2532
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_head1245z00_2565;
																																									BgL_head1245z00_2565
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									{
																																										obj_t
																																											BgL_l1243z00_2567;
																																										obj_t
																																											BgL_tail1246z00_2568;
																																										BgL_l1243z00_2567
																																											=
																																											BgL_ubindsz00_2531;
																																										BgL_tail1246z00_2568
																																											=
																																											BgL_head1245z00_2565;
																																									BgL_zc3z04anonymousza32385ze3z87_2569:
																																										if (NULLP(BgL_l1243z00_2567))
																																											{	/* Eval/evaluate.scm 516 */
																																												BgL_varsz00_2532
																																													=
																																													CDR
																																													(BgL_head1245z00_2565);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_newtail1247z00_2571;
																																												{	/* Eval/evaluate.scm 516 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2389z00_2573;
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_iz00_2574;
																																														BgL_iz00_2574
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1243z00_2567));
																																														{	/* Eval/evaluate.scm 517 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1137z00_2575;
																																															{	/* Eval/evaluate.scm 519 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1136z00_2576;
																																																BgL_new1136z00_2576
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 519 */
																																																	long
																																																		BgL_arg2390z00_2577;
																																																	BgL_arg2390z00_2577
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_varz00zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1136z00_2576), BgL_arg2390z00_2577);
																																																}
																																																BgL_new1137z00_2575
																																																	=
																																																	BgL_new1136z00_2576;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2575))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2574))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2575))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2575))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2574))), BUNSPEC);
																																															BgL_arg2389z00_2573
																																																=
																																																BgL_new1137z00_2575;
																																													}}
																																													BgL_newtail1247z00_2571
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) BgL_arg2389z00_2573), BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1246z00_2568,
																																													BgL_newtail1247z00_2571);
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_arg2388z00_2572;
																																													BgL_arg2388z00_2572
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1243z00_2567));
																																													{
																																														obj_t
																																															BgL_tail1246z00_6045;
																																														obj_t
																																															BgL_l1243z00_6044;
																																														BgL_l1243z00_6044
																																															=
																																															BgL_arg2388z00_2572;
																																														BgL_tail1246z00_6045
																																															=
																																															BgL_newtail1247z00_2571;
																																														BgL_tail1246z00_2568
																																															=
																																															BgL_tail1246z00_6045;
																																														BgL_l1243z00_2567
																																															=
																																															BgL_l1243z00_6044;
																																														goto
																																															BgL_zc3z04anonymousza32385ze3z87_2569;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_localsz00_2533;
																																								BgL_localsz00_2533
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2532,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 521 */
																																									obj_t
																																										BgL_bodyz00_2534;
																																									{	/* Eval/evaluate.scm 522 */
																																										bool_t
																																											BgL_test3279z00_6047;
																																										{	/* Eval/evaluate.scm 522 */
																																											obj_t
																																												BgL_tmpz00_6048;
																																											BgL_tmpz00_6048
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1539));
																																											BgL_test3279z00_6047
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6048);
																																										}
																																										if (BgL_test3279z00_6047)
																																											{	/* Eval/evaluate.scm 522 */
																																												obj_t
																																													BgL_res2926z00_3772;
																																												BgL_res2926z00_3772
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol3021z00zz__evaluatez00,
																																													BgL_bodyz00_1539,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2534
																																													=
																																													BgL_res2926z00_3772;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 522 */
																																												BgL_bodyz00_2534
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1539));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 522 */
																																										obj_t
																																											BgL_tbodyz00_2535;
																																										BgL_tbodyz00_2535
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2531,
																																											BgL_bindsz00_1538,
																																											BgL_bodyz00_2534,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_blocz00_2536;
																																											{	/* Eval/evaluate.scm 144 */
																																												obj_t
																																													BgL__ortest_1069z00_3774;
																																												BgL__ortest_1069z00_3774
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1538);
																																												if (CBOOL(BgL__ortest_1069z00_3774))
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2536
																																															=
																																															BgL__ortest_1069z00_3774;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2536
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 524 */

																																												{	/* Eval/evaluate.scm 525 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1139z00_2537;
																																													{	/* Eval/evaluate.scm 526 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1138z00_2558;
																																														BgL_new1138z00_2558
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 526 */
																																															long
																																																BgL_arg2380z00_2559;
																																															BgL_arg2380z00_2559
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_letrecz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1138z00_2558), BgL_arg2380z00_2559);
																																														}
																																														BgL_new1139z00_2537
																																															=
																																															BgL_new1138z00_2558;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2537)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2532), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6065;
																																														if (NULLP(BgL_bindsz00_1538))
																																															{	/* Eval/evaluate.scm 527 */
																																																BgL_auxz00_6065
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 527 */
																																																obj_t
																																																	BgL_head1250z00_2540;
																																																BgL_head1250z00_2540
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BNIL,
																																																	BNIL);
																																																{
																																																	obj_t
																																																		BgL_l1248z00_2542;
																																																	obj_t
																																																		BgL_tail1251z00_2543;
																																																	BgL_l1248z00_2542
																																																		=
																																																		BgL_bindsz00_1538;
																																																	BgL_tail1251z00_2543
																																																		=
																																																		BgL_head1250z00_2540;
																																																BgL_zc3z04anonymousza32368ze3z87_2544:
																																																	if (NULLP(BgL_l1248z00_2542))
																																																		{	/* Eval/evaluate.scm 527 */
																																																			BgL_auxz00_6065
																																																				=
																																																				CDR
																																																				(BgL_head1250z00_2540);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 527 */
																																																			obj_t
																																																				BgL_newtail1252z00_2546;
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2371z00_2548;
																																																				{	/* Eval/evaluate.scm 527 */
																																																					obj_t
																																																						BgL_bz00_2549;
																																																					BgL_bz00_2549
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1248z00_2542));
																																																					{	/* Eval/evaluate.scm 528 */
																																																						obj_t
																																																							BgL_arg2372z00_2550;
																																																						obj_t
																																																							BgL_arg2374z00_2551;
																																																						obj_t
																																																							BgL_arg2375z00_2552;
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_pairz00_3783;
																																																							BgL_pairz00_3783
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2549));
																																																							BgL_arg2372z00_2550
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3783);
																																																						}
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_arg2376z00_2553;
																																																							BgL_arg2376z00_2553
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2549));
																																																							{	/* Eval/evaluate.scm 528 */
																																																								obj_t
																																																									BgL_list2377z00_2554;
																																																								{	/* Eval/evaluate.scm 528 */
																																																									obj_t
																																																										BgL_arg2378z00_2555;
																																																									{	/* Eval/evaluate.scm 528 */
																																																										obj_t
																																																											BgL_arg2379z00_2556;
																																																										BgL_arg2379z00_2556
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2378z00_2555
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol3023z00zz__evaluatez00,
																																																											BgL_arg2379z00_2556);
																																																									}
																																																									BgL_list2377z00_2554
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2376z00_2553,
																																																										BgL_arg2378z00_2555);
																																																								}
																																																								BgL_arg2374z00_2551
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2377z00_2554);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 144 */
																																																							obj_t
																																																								BgL__ortest_1069z00_3785;
																																																							BgL__ortest_1069z00_3785
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2549);
																																																							if (CBOOL(BgL__ortest_1069z00_3785))
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2375z00_2552
																																																										=
																																																										BgL__ortest_1069z00_3785;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2375z00_2552
																																																										=
																																																										BgL_blocz00_2536;
																																																								}
																																																						}
																																																						BgL_arg2371z00_2548
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2372z00_2550,
																																																							BgL_localsz00_2533,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2374z00_2551,
																																																							BgL_arg2375z00_2552,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				BgL_newtail1252z00_2546
																																																					=
																																																					MAKE_YOUNG_PAIR
																																																					(BgL_arg2371z00_2548,
																																																					BNIL);
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1251z00_2543,
																																																				BgL_newtail1252z00_2546);
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2370z00_2547;
																																																				BgL_arg2370z00_2547
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1248z00_2542));
																																																				{
																																																					obj_t
																																																						BgL_tail1251z00_6093;
																																																					obj_t
																																																						BgL_l1248z00_6092;
																																																					BgL_l1248z00_6092
																																																						=
																																																						BgL_arg2370z00_2547;
																																																					BgL_tail1251z00_6093
																																																						=
																																																						BgL_newtail1252z00_2546;
																																																					BgL_tail1251z00_2543
																																																						=
																																																						BgL_tail1251z00_6093;
																																																					BgL_l1248z00_2542
																																																						=
																																																						BgL_l1248z00_6092;
																																																					goto
																																																						BgL_zc3z04anonymousza32368ze3z87_2544;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2537)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6065), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2537)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2535, BgL_localsz00_2533, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6002
																																														=
																																														BgL_new1139z00_2537;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6002);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1726z00_1743;
																																				BgL_arg1726z00_1743
																																					=
																																					CAR
																																					(BgL_ez00_69);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6101;
																																					{
																																						obj_t
																																							BgL_argsz00_6103;
																																						obj_t
																																							BgL_fz00_6102;
																																						BgL_fz00_6102
																																							=
																																							BgL_arg1726z00_1743;
																																						BgL_argsz00_6103
																																							=
																																							BgL_cdrzd26736zd2_1737;
																																						BgL_argsz00_1580
																																							=
																																							BgL_argsz00_6103;
																																						BgL_fz00_1579
																																							=
																																							BgL_fz00_6102;
																																						goto
																																							BgL_tagzd2176zd2_1581;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6101);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		if (
																																			(CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3042z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd26736zd2_1737))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_carzd26912zd2_1749;
																																						obj_t
																																							BgL_cdrzd26913zd2_1750;
																																						BgL_carzd26912zd2_1749
																																							=
																																							CAR
																																							(BgL_cdrzd26736zd2_1737);
																																						BgL_cdrzd26913zd2_1750
																																							=
																																							CDR
																																							(BgL_cdrzd26736zd2_1737);
																																						if (PAIRP(BgL_carzd26912zd2_1749))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd26917zd2_1752;
																																								BgL_cdrzd26917zd2_1752
																																									=
																																									CDR
																																									(BgL_carzd26912zd2_1749);
																																								if ((CAR(BgL_carzd26912zd2_1749) == BGl_symbol3028z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd26917zd2_1752))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_carzd26920zd2_1756;
																																												obj_t
																																													BgL_cdrzd26921zd2_1757;
																																												BgL_carzd26920zd2_1756
																																													=
																																													CAR
																																													(BgL_cdrzd26917zd2_1752);
																																												BgL_cdrzd26921zd2_1757
																																													=
																																													CDR
																																													(BgL_cdrzd26917zd2_1752);
																																												if (SYMBOLP(BgL_carzd26920zd2_1756))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd26921zd2_1757))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_carzd26925zd2_1760;
																																																BgL_carzd26925zd2_1760
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26921zd2_1757);
																																																if (SYMBOLP(BgL_carzd26925zd2_1760))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd26921zd2_1757)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd26913zd2_1750))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						if (NULLP(CDR(BgL_cdrzd26913zd2_1750)))
																																																							{	/* Eval/evaluate.scm 424 */
																																																								obj_t
																																																									BgL_arg1745z00_1767;
																																																								BgL_arg1745z00_1767
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26913zd2_1750);
																																																								{	/* Eval/evaluate.scm 531 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1141z00_4018;
																																																									{	/* Eval/evaluate.scm 535 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1140z00_4019;
																																																										BgL_new1140z00_4019
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 535 */
																																																											long
																																																												BgL_arg2397z00_4020;
																																																											BgL_arg2397z00_4020
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1140z00_4019), BgL_arg2397z00_4020);
																																																										}
																																																										BgL_new1141z00_4018
																																																											=
																																																											BgL_new1140z00_4019;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6142;
																																																										{	/* Eval/evaluate.scm 380 */
																																																											obj_t
																																																												BgL_arg2446z00_4024;
																																																											BgL_arg2446z00_4024
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1745z00_1767,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6142
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1745z00_1767,
																																																													BgL_arg2446z00_4024));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4018)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6142), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4018))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4018))->BgL_namez00) = ((obj_t) BgL_carzd26920zd2_1756), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4018))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26925zd2_1760)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1141z00_4018);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 424 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string2945z00zz__evaluatez00,
																																																									BGl_string3020z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2945z00zz__evaluatez00,
																																																							BGl_string3020z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27041zd2_1769;
																																																				BgL_cdrzd27041zd2_1769
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_cdrzd27045zd2_1770;
																																																					BgL_cdrzd27045zd2_1770
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27041zd2_1769));
																																																					if (PAIRP(BgL_cdrzd27045zd2_1770))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							if (NULLP(CDR(BgL_cdrzd27045zd2_1770)))
																																																								{	/* Eval/evaluate.scm 424 */
																																																									obj_t
																																																										BgL_arg1750z00_1774;
																																																									obj_t
																																																										BgL_arg1751z00_1775;
																																																									BgL_arg1750z00_1774
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27041zd2_1769));
																																																									BgL_arg1751z00_1775
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27045zd2_1770);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6166;
																																																										BgL_vz00_1548
																																																											=
																																																											BgL_arg1750z00_1774;
																																																										BgL_ez00_1549
																																																											=
																																																											BgL_arg1751z00_1775;
																																																									BgL_tagzd2165zd2_1550:
																																																										{	/* Eval/evaluate.scm 541 */
																																																											obj_t
																																																												BgL_cvz00_2622;
																																																											obj_t
																																																												BgL_ez00_2623;
																																																											BgL_cvz00_2622
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1548,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 380 */
																																																												obj_t
																																																													BgL_arg2446z00_3799;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3800;
																																																													BgL__ortest_1069z00_3800
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1549);
																																																													if (CBOOL(BgL__ortest_1069z00_3800))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2446z00_3799
																																																																=
																																																																BgL__ortest_1069z00_3800;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2446z00_3799
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2623
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1549,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2446z00_3799,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2622))
																																																												{	/* Eval/evaluate.scm 543 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1143z00_2624;
																																																													{	/* Eval/evaluate.scm 545 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1142z00_2625;
																																																														BgL_new1142z00_2625
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 545 */
																																																															long
																																																																BgL_arg2413z00_2626;
																																																															BgL_arg2413z00_2626
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1142z00_2625), BgL_arg2413z00_2626);
																																																														}
																																																														BgL_new1143z00_2624
																																																															=
																																																															BgL_new1142z00_2625;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1143z00_2624)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2623)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1143z00_2624))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2622)), BUNSPEC);
																																																													BgL_auxz00_6166
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1143z00_2624);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 546 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1145z00_2627;
																																																													{	/* Eval/evaluate.scm 550 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1144z00_2629;
																																																														BgL_new1144z00_2629
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 550 */
																																																															long
																																																																BgL_arg2415z00_2630;
																																																															BgL_arg2415z00_2630
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1144z00_2629), BgL_arg2415z00_2630);
																																																														}
																																																														BgL_new1145z00_2627
																																																															=
																																																															BgL_new1144z00_2629;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1145z00_2627)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2623)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2627))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2627))->BgL_namez00) = ((obj_t) BgL_vz00_1548), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6193;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6193
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6193
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2627))->BgL_modz00) = ((obj_t) BgL_auxz00_6193), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6166
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1145z00_2627);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6166);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 424 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string2945z00zz__evaluatez00,
																																																										BGl_string3020z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2945z00zz__evaluatez00,
																																																								BGl_string3020z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27102zd2_1778;
																																																		BgL_cdrzd27102zd2_1778
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd27106zd2_1779;
																																																			BgL_cdrzd27106zd2_1779
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27102zd2_1778));
																																																			if (PAIRP(BgL_cdrzd27106zd2_1779))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd27106zd2_1779)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg1757z00_1783;
																																																							obj_t
																																																								BgL_arg1758z00_1784;
																																																							BgL_arg1757z00_1783
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27102zd2_1778));
																																																							BgL_arg1758z00_1784
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27106zd2_1779);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6213;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6215;
																																																									obj_t
																																																										BgL_vz00_6214;
																																																									BgL_vz00_6214
																																																										=
																																																										BgL_arg1757z00_1783;
																																																									BgL_ez00_6215
																																																										=
																																																										BgL_arg1758z00_1784;
																																																									BgL_ez00_1549
																																																										=
																																																										BgL_ez00_6215;
																																																									BgL_vz00_1548
																																																										=
																																																										BgL_vz00_6214;
																																																									goto
																																																										BgL_tagzd2165zd2_1550;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6213);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2945z00zz__evaluatez00,
																																																								BGl_string3020z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2945z00zz__evaluatez00,
																																																						BGl_string3020z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27163zd2_1786;
																																																BgL_cdrzd27163zd2_1786
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd27167zd2_1787;
																																																	BgL_cdrzd27167zd2_1787
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27163zd2_1786));
																																																	if (PAIRP(BgL_cdrzd27167zd2_1787))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd27167zd2_1787)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg1763z00_1791;
																																																					obj_t
																																																						BgL_arg1766z00_1792;
																																																					BgL_arg1763z00_1791
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27163zd2_1786));
																																																					BgL_arg1766z00_1792
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27167zd2_1787);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6230;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6232;
																																																							obj_t
																																																								BgL_vz00_6231;
																																																							BgL_vz00_6231
																																																								=
																																																								BgL_arg1763z00_1791;
																																																							BgL_ez00_6232
																																																								=
																																																								BgL_arg1766z00_1792;
																																																							BgL_ez00_1549
																																																								=
																																																								BgL_ez00_6232;
																																																							BgL_vz00_1548
																																																								=
																																																								BgL_vz00_6231;
																																																							goto
																																																								BgL_tagzd2165zd2_1550;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6230);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2945z00zz__evaluatez00,
																																																						BGl_string3020z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2945z00zz__evaluatez00,
																																																				BGl_string3020z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27224zd2_1794;
																																														BgL_cdrzd27224zd2_1794
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd27228zd2_1795;
																																															BgL_cdrzd27228zd2_1795
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27224zd2_1794));
																																															if (PAIRP(BgL_cdrzd27228zd2_1795))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd27228zd2_1795)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg1774z00_1799;
																																																			obj_t
																																																				BgL_arg1775z00_1800;
																																																			BgL_arg1774z00_1799
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27224zd2_1794));
																																																			BgL_arg1775z00_1800
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27228zd2_1795);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6247;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6249;
																																																					obj_t
																																																						BgL_vz00_6248;
																																																					BgL_vz00_6248
																																																						=
																																																						BgL_arg1774z00_1799;
																																																					BgL_ez00_6249
																																																						=
																																																						BgL_arg1775z00_1800;
																																																					BgL_ez00_1549
																																																						=
																																																						BgL_ez00_6249;
																																																					BgL_vz00_1548
																																																						=
																																																						BgL_vz00_6248;
																																																					goto
																																																						BgL_tagzd2165zd2_1550;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6247);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2945z00zz__evaluatez00,
																																																				BGl_string3020z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27285zd2_1802;
																																												BgL_cdrzd27285zd2_1802
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27289zd2_1803;
																																													BgL_cdrzd27289zd2_1803
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27285zd2_1802));
																																													if (PAIRP(BgL_cdrzd27289zd2_1803))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27289zd2_1803)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1781z00_1807;
																																																	obj_t
																																																		BgL_arg1782z00_1808;
																																																	BgL_arg1781z00_1807
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27285zd2_1802));
																																																	BgL_arg1782z00_1808
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27289zd2_1803);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6264;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6266;
																																																			obj_t
																																																				BgL_vz00_6265;
																																																			BgL_vz00_6265
																																																				=
																																																				BgL_arg1781z00_1807;
																																																			BgL_ez00_6266
																																																				=
																																																				BgL_arg1782z00_1808;
																																																			BgL_ez00_1549
																																																				=
																																																				BgL_ez00_6266;
																																																			BgL_vz00_1548
																																																				=
																																																				BgL_vz00_6265;
																																																			goto
																																																				BgL_tagzd2165zd2_1550;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6264);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd27333zd2_1810;
																																										BgL_cdrzd27333zd2_1810
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_carzd27336zd2_1811;
																																											obj_t
																																												BgL_cdrzd27337zd2_1812;
																																											BgL_carzd27336zd2_1811
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1810));
																																											BgL_cdrzd27337zd2_1812
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1810));
																																											if ((CAR(((obj_t) BgL_carzd27336zd2_1811)) == BGl_symbol3030z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (PAIRP(BgL_cdrzd27337zd2_1812))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27337zd2_1812)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1789z00_1818;
																																																	obj_t
																																																		BgL_arg1790z00_1819;
																																																	BgL_arg1789z00_1818
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27336zd2_1811));
																																																	BgL_arg1790z00_1819
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27337zd2_1812);
																																																	BgL_lz00_1545
																																																		=
																																																		BgL_arg1789z00_1818;
																																																	BgL_e2z00_1546
																																																		=
																																																		BgL_arg1790z00_1819;
																																																BgL_tagzd2164zd2_1547:
																																																	{	/* Eval/evaluate.scm 537 */
																																																		bool_t
																																																			BgL_test3311z00_6287;
																																																		if (PAIRP(BgL_lz00_1545))
																																																			{	/* Eval/evaluate.scm 537 */
																																																				bool_t
																																																					BgL_test3313z00_6290;
																																																				{	/* Eval/evaluate.scm 537 */
																																																					obj_t
																																																						BgL_tmpz00_6291;
																																																					BgL_tmpz00_6291
																																																						=
																																																						CDR
																																																						(BgL_lz00_1545);
																																																					BgL_test3313z00_6290
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6291);
																																																				}
																																																				if (BgL_test3313z00_6290)
																																																					{
																																																						obj_t
																																																							BgL_l1253z00_2613;
																																																						BgL_l1253z00_2613
																																																							=
																																																							BgL_lz00_1545;
																																																					BgL_zc3z04anonymousza32408ze3z87_2614:
																																																						if (NULLP(BgL_l1253z00_2613))
																																																							{	/* Eval/evaluate.scm 537 */
																																																								BgL_test3311z00_6287
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 537 */
																																																								bool_t
																																																									BgL_test3315z00_6296;
																																																								{	/* Eval/evaluate.scm 537 */
																																																									obj_t
																																																										BgL_tmpz00_6297;
																																																									BgL_tmpz00_6297
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1253z00_2613));
																																																									BgL_test3315z00_6296
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6297);
																																																								}
																																																								if (BgL_test3315z00_6296)
																																																									{
																																																										obj_t
																																																											BgL_l1253z00_6301;
																																																										BgL_l1253z00_6301
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1253z00_2613));
																																																										BgL_l1253z00_2613
																																																											=
																																																											BgL_l1253z00_6301;
																																																										goto
																																																											BgL_zc3z04anonymousza32408ze3z87_2614;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 537 */
																																																										BgL_test3311z00_6287
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 537 */
																																																						BgL_test3311z00_6287
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				BgL_test3311z00_6287
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_test3311z00_6287)
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1545,
																																																					BgL_e2z00_1546,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2945z00zz__evaluatez00,
																																																					BGl_string3020z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27413zd2_1822;
																																													BgL_cdrzd27413zd2_1822
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27333zd2_1810));
																																													if (PAIRP(BgL_cdrzd27413zd2_1822))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27413zd2_1822)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1795z00_1826;
																																																	obj_t
																																																		BgL_arg1796z00_1827;
																																																	BgL_arg1795z00_1826
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27333zd2_1810));
																																																	BgL_arg1796z00_1827
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27413zd2_1822);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6318;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6320;
																																																			obj_t
																																																				BgL_vz00_6319;
																																																			BgL_vz00_6319
																																																				=
																																																				BgL_arg1795z00_1826;
																																																			BgL_ez00_6320
																																																				=
																																																				BgL_arg1796z00_1827;
																																																			BgL_ez00_1549
																																																				=
																																																				BgL_ez00_6320;
																																																			BgL_vz00_1548
																																																				=
																																																				BgL_vz00_6319;
																																																			goto
																																																				BgL_tagzd2165zd2_1550;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6318);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27470zd2_1831;
																																								BgL_cdrzd27470zd2_1831
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_cdrzd27474zd2_1832;
																																									BgL_cdrzd27474zd2_1832
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27470zd2_1831));
																																									if (PAIRP(BgL_cdrzd27474zd2_1832))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (NULLP(CDR(BgL_cdrzd27474zd2_1832)))
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_arg1803z00_1836;
																																													obj_t
																																														BgL_arg1804z00_1837;
																																													BgL_arg1803z00_1836
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27470zd2_1831));
																																													BgL_arg1804z00_1837
																																														=
																																														CAR
																																														(BgL_cdrzd27474zd2_1832);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6335;
																																														{
																																															obj_t
																																																BgL_ez00_6337;
																																															obj_t
																																																BgL_vz00_6336;
																																															BgL_vz00_6336
																																																=
																																																BgL_arg1803z00_1836;
																																															BgL_ez00_6337
																																																=
																																																BgL_arg1804z00_1837;
																																															BgL_ez00_1549
																																																=
																																																BgL_ez00_6337;
																																															BgL_vz00_1548
																																																=
																																																BgL_vz00_6336;
																																															goto
																																																BgL_tagzd2165zd2_1550;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6335);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2945z00zz__evaluatez00,
																																														BGl_string3020z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2945z00zz__evaluatez00,
																																												BGl_string3020z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string2945z00zz__evaluatez00,
																																							BGl_string3020z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_cdrzd27595zd2_1839;
																																				BgL_cdrzd27595zd2_1839
																																					=
																																					CDR
																																					(BgL_ez00_69);
																																				if ((CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3044z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd27595zd2_1839))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27600zd2_1843;
																																								BgL_cdrzd27600zd2_1843
																																									=
																																									CDR
																																									(BgL_cdrzd27595zd2_1839);
																																								if (PAIRP(BgL_cdrzd27600zd2_1843))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd27604zd2_1845;
																																										BgL_carzd27604zd2_1845
																																											=
																																											CAR
																																											(BgL_cdrzd27600zd2_1843);
																																										if (PAIRP(BgL_carzd27604zd2_1845))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27609zd2_1847;
																																												BgL_cdrzd27609zd2_1847
																																													=
																																													CDR
																																													(BgL_carzd27604zd2_1845);
																																												if ((CAR(BgL_carzd27604zd2_1845) == BGl_symbol3009z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd27609zd2_1847))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27613zd2_1851;
																																																BgL_cdrzd27613zd2_1851
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27609zd2_1847);
																																																if (PAIRP(BgL_cdrzd27613zd2_1851))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd27613zd2_1851)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd27600zd2_1843)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1820z00_1857;
																																																						obj_t
																																																							BgL_arg1821z00_1858;
																																																						obj_t
																																																							BgL_arg1822z00_1859;
																																																						BgL_arg1820z00_1857
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27595zd2_1839);
																																																						BgL_arg1821z00_1858
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27609zd2_1847);
																																																						BgL_arg1822z00_1859
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27613zd2_1851);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6372;
																																																							BgL_gvz00_1552
																																																								=
																																																								BgL_arg1820z00_1857;
																																																							BgL_formalsz00_1553
																																																								=
																																																								BgL_arg1821z00_1858;
																																																							BgL_bodyz00_1554
																																																								=
																																																								BgL_arg1822z00_1859;
																																																						BgL_tagzd2167zd2_1555:
																																																							{	/* Eval/evaluate.scm 554 */
																																																								obj_t
																																																									BgL_tidz00_2631;
																																																								BgL_tidz00_2631
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1552);
																																																								{	/* Eval/evaluate.scm 555 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1147z00_2632;
																																																									{	/* Eval/evaluate.scm 559 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1146z00_2635;
																																																										BgL_new1146z00_2635
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 559 */
																																																											long
																																																												BgL_arg2418z00_2636;
																																																											BgL_arg2418z00_2636
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1146z00_2635), BgL_arg2418z00_2636);
																																																										}
																																																										BgL_new1147z00_2632
																																																											=
																																																											BgL_new1146z00_2635;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6378;
																																																										{	/* Eval/evaluate.scm 559 */
																																																											obj_t
																																																												BgL_arg2416z00_2633;
																																																											BgL_arg2416z00_2633
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2631);
																																																											BgL_auxz00_6378
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1553,
																																																													BgL_bodyz00_1554,
																																																													BgL_gvz00_1552,
																																																													BgL_arg2416z00_2633));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1147z00_2632)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6378), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2632)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2632)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2631)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6389;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6389
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6389
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2632)))->BgL_modz00) = ((obj_t) BgL_auxz00_6389), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6372
																																																										=
																																																										BgL_new1147z00_2632;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6372);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1823z00_1860;
																																																						BgL_arg1823z00_1860
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6397;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6399;
																																																								obj_t
																																																									BgL_fz00_6398;
																																																								BgL_fz00_6398
																																																									=
																																																									BgL_arg1823z00_1860;
																																																								BgL_argsz00_6399
																																																									=
																																																									BgL_cdrzd27595zd2_1839;
																																																								BgL_argsz00_1580
																																																									=
																																																									BgL_argsz00_6399;
																																																								BgL_fz00_1579
																																																									=
																																																									BgL_fz00_6398;
																																																								goto
																																																									BgL_tagzd2176zd2_1581;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6397);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27715zd2_1864;
																																																				BgL_cdrzd27715zd2_1864
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1839));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27715zd2_1864))))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1829z00_1867;
																																																						obj_t
																																																							BgL_arg1831z00_1868;
																																																						BgL_arg1829z00_1867
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27595zd2_1839));
																																																						BgL_arg1831z00_1868
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27715zd2_1864));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6411;
																																																							BgL_gvz00_1556
																																																								=
																																																								BgL_arg1829z00_1867;
																																																							BgL_gez00_1557
																																																								=
																																																								BgL_arg1831z00_1868;
																																																						BgL_tagzd2168zd2_1558:
																																																							{	/* Eval/evaluate.scm 561 */
																																																								obj_t
																																																									BgL_tidz00_2637;
																																																								BgL_tidz00_2637
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1556);
																																																								{	/* Eval/evaluate.scm 562 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1149z00_2638;
																																																									{	/* Eval/evaluate.scm 566 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1148z00_2643;
																																																										BgL_new1148z00_2643
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 566 */
																																																											long
																																																												BgL_arg2423z00_2644;
																																																											BgL_arg2423z00_2644
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1148z00_2643), BgL_arg2423z00_2644);
																																																										}
																																																										BgL_new1149z00_2638
																																																											=
																																																											BgL_new1148z00_2643;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6417;
																																																										{	/* Eval/evaluate.scm 567 */
																																																											obj_t
																																																												BgL_arg2419z00_2639;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												obj_t
																																																													BgL_arg2421z00_2641;
																																																												BgL_arg2421z00_2641
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2637);
																																																												BgL_arg2419z00_2639
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2421z00_2641,
																																																													BgL_gez00_1557,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 383 */
																																																												obj_t
																																																													BgL_arg2448z00_3816;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3817;
																																																													BgL__ortest_1069z00_3817
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2419z00_2639);
																																																													if (CBOOL(BgL__ortest_1069z00_3817))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2448z00_3816
																																																																=
																																																																BgL__ortest_1069z00_3817;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2448z00_3816
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6424;
																																																													{	/* Eval/evaluate.scm 374 */
																																																														obj_t
																																																															BgL_auxz00_6425;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6425
																																																																	=
																																																																	BgL_gvz00_1556;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6425
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6424
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2419z00_2639,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6425,
																																																															BgL_arg2448z00_3816,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6417
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6424);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1149z00_2638)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6417), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2638)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2638)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2637)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6435;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6435
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6435
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2638)))->BgL_modz00) = ((obj_t) BgL_auxz00_6435), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6411
																																																										=
																																																										BgL_new1149z00_2638;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6411);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1832z00_1869;
																																																						obj_t
																																																							BgL_arg1833z00_1870;
																																																						BgL_arg1832z00_1869
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1833z00_1870
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6444;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6446;
																																																								obj_t
																																																									BgL_fz00_6445;
																																																								BgL_fz00_6445
																																																									=
																																																									BgL_arg1832z00_1869;
																																																								BgL_argsz00_6446
																																																									=
																																																									BgL_arg1833z00_1870;
																																																								BgL_argsz00_1580
																																																									=
																																																									BgL_argsz00_6446;
																																																								BgL_fz00_1579
																																																									=
																																																									BgL_fz00_6445;
																																																								goto
																																																									BgL_tagzd2176zd2_1581;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6444);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27804zd2_1874;
																																																		BgL_cdrzd27804zd2_1874
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1839));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27804zd2_1874))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1838z00_1877;
																																																				obj_t
																																																					BgL_arg1839z00_1878;
																																																				BgL_arg1838z00_1877
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1839));
																																																				BgL_arg1839z00_1878
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27804zd2_1874));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6458;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6460;
																																																						obj_t
																																																							BgL_gvz00_6459;
																																																						BgL_gvz00_6459
																																																							=
																																																							BgL_arg1838z00_1877;
																																																						BgL_gez00_6460
																																																							=
																																																							BgL_arg1839z00_1878;
																																																						BgL_gez00_1557
																																																							=
																																																							BgL_gez00_6460;
																																																						BgL_gvz00_1556
																																																							=
																																																							BgL_gvz00_6459;
																																																						goto
																																																							BgL_tagzd2168zd2_1558;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6458);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1840z00_1879;
																																																				obj_t
																																																					BgL_arg1842z00_1880;
																																																				BgL_arg1840z00_1879
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1842z00_1880
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6464;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6466;
																																																						obj_t
																																																							BgL_fz00_6465;
																																																						BgL_fz00_6465
																																																							=
																																																							BgL_arg1840z00_1879;
																																																						BgL_argsz00_6466
																																																							=
																																																							BgL_arg1842z00_1880;
																																																						BgL_argsz00_1580
																																																							=
																																																							BgL_argsz00_6466;
																																																						BgL_fz00_1579
																																																							=
																																																							BgL_fz00_6465;
																																																						goto
																																																							BgL_tagzd2176zd2_1581;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6464);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27893zd2_1883;
																																																BgL_cdrzd27893zd2_1883
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1839));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27893zd2_1883))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1846z00_1886;
																																																		obj_t
																																																			BgL_arg1847z00_1887;
																																																		BgL_arg1846z00_1886
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1839));
																																																		BgL_arg1847z00_1887
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27893zd2_1883));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6478;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6480;
																																																				obj_t
																																																					BgL_gvz00_6479;
																																																				BgL_gvz00_6479
																																																					=
																																																					BgL_arg1846z00_1886;
																																																				BgL_gez00_6480
																																																					=
																																																					BgL_arg1847z00_1887;
																																																				BgL_gez00_1557
																																																					=
																																																					BgL_gez00_6480;
																																																				BgL_gvz00_1556
																																																					=
																																																					BgL_gvz00_6479;
																																																				goto
																																																					BgL_tagzd2168zd2_1558;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6478);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1848z00_1888;
																																																		obj_t
																																																			BgL_arg1849z00_1889;
																																																		BgL_arg1848z00_1888
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1849z00_1889
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6484;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6486;
																																																				obj_t
																																																					BgL_fz00_6485;
																																																				BgL_fz00_6485
																																																					=
																																																					BgL_arg1848z00_1888;
																																																				BgL_argsz00_6486
																																																					=
																																																					BgL_arg1849z00_1889;
																																																				BgL_argsz00_1580
																																																					=
																																																					BgL_argsz00_6486;
																																																				BgL_fz00_1579
																																																					=
																																																					BgL_fz00_6485;
																																																				goto
																																																					BgL_tagzd2176zd2_1581;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6484);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27982zd2_1892;
																																														BgL_cdrzd27982zd2_1892
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1839));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27982zd2_1892))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1854z00_1895;
																																																obj_t
																																																	BgL_arg1855z00_1896;
																																																BgL_arg1854z00_1895
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1839));
																																																BgL_arg1855z00_1896
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27982zd2_1892));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6498;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6500;
																																																		obj_t
																																																			BgL_gvz00_6499;
																																																		BgL_gvz00_6499
																																																			=
																																																			BgL_arg1854z00_1895;
																																																		BgL_gez00_6500
																																																			=
																																																			BgL_arg1855z00_1896;
																																																		BgL_gez00_1557
																																																			=
																																																			BgL_gez00_6500;
																																																		BgL_gvz00_1556
																																																			=
																																																			BgL_gvz00_6499;
																																																		goto
																																																			BgL_tagzd2168zd2_1558;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6498);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1856z00_1897;
																																																obj_t
																																																	BgL_arg1857z00_1898;
																																																BgL_arg1856z00_1897
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg1857z00_1898
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6504;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6506;
																																																		obj_t
																																																			BgL_fz00_6505;
																																																		BgL_fz00_6505
																																																			=
																																																			BgL_arg1856z00_1897;
																																																		BgL_argsz00_6506
																																																			=
																																																			BgL_arg1857z00_1898;
																																																		BgL_argsz00_1580
																																																			=
																																																			BgL_argsz00_6506;
																																																		BgL_fz00_1579
																																																			=
																																																			BgL_fz00_6505;
																																																		goto
																																																			BgL_tagzd2176zd2_1581;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6504);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28071zd2_1902;
																																												BgL_cdrzd28071zd2_1902
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27595zd2_1839));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28071zd2_1902))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1865z00_1905;
																																														obj_t
																																															BgL_arg1867z00_1906;
																																														BgL_arg1865z00_1905
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1839));
																																														BgL_arg1867z00_1906
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28071zd2_1902));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6518;
																																															{
																																																obj_t
																																																	BgL_gez00_6520;
																																																obj_t
																																																	BgL_gvz00_6519;
																																																BgL_gvz00_6519
																																																	=
																																																	BgL_arg1865z00_1905;
																																																BgL_gez00_6520
																																																	=
																																																	BgL_arg1867z00_1906;
																																																BgL_gez00_1557
																																																	=
																																																	BgL_gez00_6520;
																																																BgL_gvz00_1556
																																																	=
																																																	BgL_gvz00_6519;
																																																goto
																																																	BgL_tagzd2168zd2_1558;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6518);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1869z00_1907;
																																														obj_t
																																															BgL_arg1870z00_1908;
																																														BgL_arg1869z00_1907
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1870z00_1908
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6524;
																																															{
																																																obj_t
																																																	BgL_argsz00_6526;
																																																obj_t
																																																	BgL_fz00_6525;
																																																BgL_fz00_6525
																																																	=
																																																	BgL_arg1869z00_1907;
																																																BgL_argsz00_6526
																																																	=
																																																	BgL_arg1870z00_1908;
																																																BgL_argsz00_1580
																																																	=
																																																	BgL_argsz00_6526;
																																																BgL_fz00_1579
																																																	=
																																																	BgL_fz00_6525;
																																																goto
																																																	BgL_tagzd2176zd2_1581;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6524);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1872z00_1910;
																																										BgL_arg1872z00_1910
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6529;
																																											{
																																												obj_t
																																													BgL_argsz00_6531;
																																												obj_t
																																													BgL_fz00_6530;
																																												BgL_fz00_6530
																																													=
																																													BgL_arg1872z00_1910;
																																												BgL_argsz00_6531
																																													=
																																													BgL_cdrzd27595zd2_1839;
																																												BgL_argsz00_1580
																																													=
																																													BgL_argsz00_6531;
																																												BgL_fz00_1579
																																													=
																																													BgL_fz00_6530;
																																												goto
																																													BgL_tagzd2176zd2_1581;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6529);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg1877z00_1912;
																																								BgL_arg1877z00_1912
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6534;
																																									{
																																										obj_t
																																											BgL_argsz00_6536;
																																										obj_t
																																											BgL_fz00_6535;
																																										BgL_fz00_6535
																																											=
																																											BgL_arg1877z00_1912;
																																										BgL_argsz00_6536
																																											=
																																											BgL_cdrzd27595zd2_1839;
																																										BgL_argsz00_1580
																																											=
																																											BgL_argsz00_6536;
																																										BgL_fz00_1579
																																											=
																																											BgL_fz00_6535;
																																										goto
																																											BgL_tagzd2176zd2_1581;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6534);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3046z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd27595zd2_1839))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd28319zd2_1918;
																																										BgL_carzd28319zd2_1918
																																											=
																																											CAR
																																											(BgL_cdrzd27595zd2_1839);
																																										if (PAIRP(BgL_carzd28319zd2_1918))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (NULLP(CDR(BgL_carzd28319zd2_1918)))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1886z00_1922;
																																														obj_t
																																															BgL_arg1887z00_1923;
																																														BgL_arg1886z00_1922
																																															=
																																															CAR
																																															(BgL_carzd28319zd2_1918);
																																														BgL_arg1887z00_1923
																																															=
																																															CDR
																																															(BgL_cdrzd27595zd2_1839);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6551;
																																															BgL_vz00_1559
																																																=
																																																BgL_arg1886z00_1922;
																																															BgL_bodyz00_1560
																																																=
																																																BgL_arg1887z00_1923;
																																														BgL_tagzd2169zd2_1561:
																																															{	/* Eval/evaluate.scm 570 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2645;
																																																{	/* Eval/evaluate.scm 570 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1151z00_2650;
																																																	{	/* Eval/evaluate.scm 570 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1150z00_2651;
																																																		BgL_new1150z00_2651
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 570 */
																																																			long
																																																				BgL_arg2426z00_2652;
																																																			BgL_arg2426z00_2652
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_varz00zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1150z00_2651), BgL_arg2426z00_2652);
																																																		}
																																																		BgL_new1151z00_2650
																																																			=
																																																			BgL_new1150z00_2651;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2650))->BgL_namez00) = ((obj_t) BgL_vz00_1559), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2650))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2650))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2645
																																																		=
																																																		BgL_new1151z00_2650;
																																																}
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1153z00_2646;
																																																	{	/* Eval/evaluate.scm 572 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1152z00_2648;
																																																		BgL_new1152z00_2648
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 572 */
																																																			long
																																																				BgL_arg2425z00_2649;
																																																			BgL_arg2425z00_2649
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1152z00_2648), BgL_arg2425z00_2649);
																																																		}
																																																		BgL_new1153z00_2646
																																																			=
																																																			BgL_new1152z00_2648;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2646))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2645), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6564;
																																																		{	/* Eval/evaluate.scm 573 */
																																																			obj_t
																																																				BgL_arg2424z00_2647;
																																																			BgL_arg2424z00_2647
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2645), BgL_localsz00_70);
																																																			BgL_auxz00_6564
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1560,
																																																					BgL_arg2424z00_2647,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2646))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6564), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6551
																																																		=
																																																		BgL_new1153z00_2646;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6551);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1888z00_1924;
																																														obj_t
																																															BgL_arg1890z00_1925;
																																														BgL_arg1888z00_1924
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1890z00_1925
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6573;
																																															{
																																																obj_t
																																																	BgL_argsz00_6575;
																																																obj_t
																																																	BgL_fz00_6574;
																																																BgL_fz00_6574
																																																	=
																																																	BgL_arg1888z00_1924;
																																																BgL_argsz00_6575
																																																	=
																																																	BgL_arg1890z00_1925;
																																																BgL_argsz00_1580
																																																	=
																																																	BgL_argsz00_6575;
																																																BgL_fz00_1579
																																																	=
																																																	BgL_fz00_6574;
																																																goto
																																																	BgL_tagzd2176zd2_1581;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6573);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1892z00_1927;
																																												obj_t
																																													BgL_arg1894z00_1928;
																																												BgL_arg1892z00_1927
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg1894z00_1928
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6579;
																																													{
																																														obj_t
																																															BgL_argsz00_6581;
																																														obj_t
																																															BgL_fz00_6580;
																																														BgL_fz00_6580
																																															=
																																															BgL_arg1892z00_1927;
																																														BgL_argsz00_6581
																																															=
																																															BgL_arg1894z00_1928;
																																														BgL_argsz00_1580
																																															=
																																															BgL_argsz00_6581;
																																														BgL_fz00_1579
																																															=
																																															BgL_fz00_6580;
																																														goto
																																															BgL_tagzd2176zd2_1581;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6579);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1895z00_1929;
																																										obj_t
																																											BgL_arg1896z00_1930;
																																										BgL_arg1895z00_1929
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg1896z00_1930
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6585;
																																											{
																																												obj_t
																																													BgL_argsz00_6587;
																																												obj_t
																																													BgL_fz00_6586;
																																												BgL_fz00_6586
																																													=
																																													BgL_arg1895z00_1929;
																																												BgL_argsz00_6587
																																													=
																																													BgL_arg1896z00_1930;
																																												BgL_argsz00_1580
																																													=
																																													BgL_argsz00_6587;
																																												BgL_fz00_1579
																																													=
																																													BgL_fz00_6586;
																																												goto
																																													BgL_tagzd2176zd2_1581;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6585);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd28490zd2_1931;
																																								BgL_cdrzd28490zd2_1931
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3048z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd28490zd2_1931))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1901z00_1935;
																																												obj_t
																																													BgL_arg1904z00_1936;
																																												BgL_arg1901z00_1935
																																													=
																																													CAR
																																													(BgL_cdrzd28490zd2_1931);
																																												BgL_arg1904z00_1936
																																													=
																																													CDR
																																													(BgL_cdrzd28490zd2_1931);
																																												{	/* Eval/evaluate.scm 575 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1155z00_4136;
																																													{	/* Eval/evaluate.scm 576 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1154z00_4137;
																																														BgL_new1154z00_4137
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 576 */
																																															long
																																																BgL_arg2427z00_4138;
																																															BgL_arg2427z00_4138
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1154z00_4137), BgL_arg2427z00_4138);
																																														}
																																														BgL_new1155z00_4136
																																															=
																																															BgL_new1154z00_4137;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6601;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2446z00_4142;
																																															BgL_arg2446z00_4142
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1901z00_1935,
																																																BgL_locz00_74);
																																															BgL_auxz00_6601
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1901z00_1935,
																																																	BgL_arg2446z00_4142));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4136))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6601), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4136))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1904z00_1936, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1155z00_4136);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1905z00_1937;
																																												BgL_arg1905z00_1937
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6611;
																																													{
																																														obj_t
																																															BgL_argsz00_6613;
																																														obj_t
																																															BgL_fz00_6612;
																																														BgL_fz00_6612
																																															=
																																															BgL_arg1905z00_1937;
																																														BgL_argsz00_6613
																																															=
																																															BgL_cdrzd28490zd2_1931;
																																														BgL_argsz00_1580
																																															=
																																															BgL_argsz00_6613;
																																														BgL_fz00_1579
																																															=
																																															BgL_fz00_6612;
																																														goto
																																															BgL_tagzd2176zd2_1581;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6611);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3050z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd28490zd2_1931))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1910z00_1943;
																																														obj_t
																																															BgL_arg1911z00_1944;
																																														BgL_arg1910z00_1943
																																															=
																																															CAR
																																															(BgL_cdrzd28490zd2_1931);
																																														BgL_arg1911z00_1944
																																															=
																																															CDR
																																															(BgL_cdrzd28490zd2_1931);
																																														{	/* Eval/evaluate.scm 579 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1158z00_4149;
																																															{	/* Eval/evaluate.scm 580 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1157z00_4150;
																																																BgL_new1157z00_4150
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 580 */
																																																	long
																																																		BgL_arg2428z00_4151;
																																																	BgL_arg2428z00_4151
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1157z00_4150), BgL_arg2428z00_4151);
																																																}
																																																BgL_new1158z00_4149
																																																	=
																																																	BgL_new1157z00_4150;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6626;
																																																{	/* Eval/evaluate.scm 380 */
																																																	obj_t
																																																		BgL_arg2446z00_4155;
																																																	BgL_arg2446z00_4155
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1910z00_1943,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6626
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1910z00_1943,
																																																			BgL_arg2446z00_4155));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4149))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6626), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4149))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1911z00_1944, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1158z00_4149);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1912z00_1945;
																																														obj_t
																																															BgL_arg1913z00_1946;
																																														BgL_arg1912z00_1945
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg1913z00_1946
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6637;
																																															{
																																																obj_t
																																																	BgL_argsz00_6639;
																																																obj_t
																																																	BgL_fz00_6638;
																																																BgL_fz00_6638
																																																	=
																																																	BgL_arg1912z00_1945;
																																																BgL_argsz00_6639
																																																	=
																																																	BgL_arg1913z00_1946;
																																																BgL_argsz00_1580
																																																	=
																																																	BgL_argsz00_6639;
																																																BgL_fz00_1579
																																																	=
																																																	BgL_fz00_6638;
																																																goto
																																																	BgL_tagzd2176zd2_1581;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6637);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28597zd2_1947;
																																												BgL_cdrzd28597zd2_1947
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3052z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd28597zd2_1947))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd28602zd2_1951;
																																																BgL_cdrzd28602zd2_1951
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28597zd2_1947);
																																																if (PAIRP(BgL_cdrzd28602zd2_1951))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28607zd2_1953;
																																																		BgL_cdrzd28607zd2_1953
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28602zd2_1951);
																																																		if ((CAR(BgL_cdrzd28602zd2_1951) == BGl_keyword3054z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd28607zd2_1953))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1922z00_1957;
																																																						obj_t
																																																							BgL_arg1923z00_1958;
																																																						obj_t
																																																							BgL_arg1924z00_1959;
																																																						BgL_arg1922z00_1957
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1947);
																																																						BgL_arg1923z00_1958
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28607zd2_1953);
																																																						BgL_arg1924z00_1959
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28607zd2_1953);
																																																						{	/* Eval/evaluate.scm 583 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1160z00_4166;
																																																							{	/* Eval/evaluate.scm 584 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_4167;
																																																								BgL_new1159z00_4167
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 584 */
																																																									long
																																																										BgL_arg2430z00_4168;
																																																									BgL_arg2430z00_4168
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1159z00_4167), BgL_arg2430z00_4168);
																																																								}
																																																								BgL_new1160z00_4166
																																																									=
																																																									BgL_new1159z00_4167;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4166))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6664;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2446z00_4172;
																																																									BgL_arg2446z00_4172
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1922z00_1957,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6664
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1922z00_1957,
																																																											BgL_arg2446z00_4172));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4166))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6664), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6669;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2446z00_4173;
																																																									BgL_arg2446z00_4173
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1923z00_1958,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6669
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1923z00_1958,
																																																											BgL_arg2446z00_4173));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4166))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6669), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4166))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1924z00_1959, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1160z00_4166);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1925z00_1961;
																																																						obj_t
																																																							BgL_arg1926z00_1962;
																																																						BgL_arg1925z00_1961
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1947));
																																																						BgL_arg1926z00_1962
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1947));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6682;
																																																							BgL_mz00_1572
																																																								=
																																																								BgL_arg1925z00_1961;
																																																							BgL_bodyz00_1573
																																																								=
																																																								BgL_arg1926z00_1962;
																																																						BgL_tagzd2173zd2_1574:
																																																							{	/* Eval/evaluate.scm 589 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1162z00_2662;
																																																								{	/* Eval/evaluate.scm 590 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1161z00_2663;
																																																									BgL_new1161z00_2663
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 590 */
																																																										long
																																																											BgL_arg2432z00_2664;
																																																										BgL_arg2432z00_2664
																																																											=
																																																											BGL_CLASS_NUM
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1161z00_2663), BgL_arg2432z00_2664);
																																																									}
																																																									BgL_new1162z00_2662
																																																										=
																																																										BgL_new1161z00_2663;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2662))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6688;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2446z00_3854;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3855;
																																																											BgL__ortest_1069z00_3855
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1572);
																																																											if (CBOOL(BgL__ortest_1069z00_3855))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2446z00_3854
																																																														=
																																																														BgL__ortest_1069z00_3855;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2446z00_3854
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6688
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1572,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2446z00_3854,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2662))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6688), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6695;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2446z00_3856;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3857;
																																																											BgL__ortest_1069z00_3857
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1069z00_3857))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2446z00_3856
																																																														=
																																																														BgL__ortest_1069z00_3857;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2446z00_3856
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6695
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2446z00_3856,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2662))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6695), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2662))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1573, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6682
																																																									=
																																																									BgL_new1162z00_2662;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6682);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1927z00_1964;
																																																				obj_t
																																																					BgL_arg1929z00_1965;
																																																				BgL_arg1927z00_1964
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1947));
																																																				BgL_arg1929z00_1965
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1947));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6710;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6712;
																																																						obj_t
																																																							BgL_mz00_6711;
																																																						BgL_mz00_6711
																																																							=
																																																							BgL_arg1927z00_1964;
																																																						BgL_bodyz00_6712
																																																							=
																																																							BgL_arg1929z00_1965;
																																																						BgL_bodyz00_1573
																																																							=
																																																							BgL_bodyz00_6712;
																																																						BgL_mz00_1572
																																																							=
																																																							BgL_mz00_6711;
																																																						goto
																																																							BgL_tagzd2173zd2_1574;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6710);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1931z00_1968;
																																																		obj_t
																																																			BgL_arg1932z00_1969;
																																																		BgL_arg1931z00_1968
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1947));
																																																		BgL_arg1932z00_1969
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1947));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6718;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6720;
																																																				obj_t
																																																					BgL_mz00_6719;
																																																				BgL_mz00_6719
																																																					=
																																																					BgL_arg1931z00_1968;
																																																				BgL_bodyz00_6720
																																																					=
																																																					BgL_arg1932z00_1969;
																																																				BgL_bodyz00_1573
																																																					=
																																																					BgL_bodyz00_6720;
																																																				BgL_mz00_1572
																																																					=
																																																					BgL_mz00_6719;
																																																				goto
																																																					BgL_tagzd2173zd2_1574;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6718);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1933z00_1970;
																																																BgL_arg1933z00_1970
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6723;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6725;
																																																		obj_t
																																																			BgL_fz00_6724;
																																																		BgL_fz00_6724
																																																			=
																																																			BgL_arg1933z00_1970;
																																																		BgL_argsz00_6725
																																																			=
																																																			BgL_cdrzd28597zd2_1947;
																																																		BgL_argsz00_1580
																																																			=
																																																			BgL_argsz00_6725;
																																																		BgL_fz00_1579
																																																			=
																																																			BgL_fz00_6724;
																																																		goto
																																																			BgL_tagzd2176zd2_1581;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6723);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(BgL_ez00_69) == BGl_symbol3009z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (PAIRP(BgL_cdrzd28597zd2_1947))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28709zd2_1976;
																																																		BgL_cdrzd28709zd2_1976
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28597zd2_1947);
																																																		if (PAIRP(BgL_cdrzd28709zd2_1976))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd28709zd2_1976)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1942z00_1980;
																																																						obj_t
																																																							BgL_arg1943z00_1981;
																																																						BgL_arg1942z00_1980
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1947);
																																																						BgL_arg1943z00_1981
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28709zd2_1976);
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2433z00_4191;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2434z00_4192;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2436z00_4193;
																																																									obj_t
																																																										BgL_arg2437z00_4194;
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_symbolz00_4195;
																																																										BgL_symbolz00_4195
																																																											=
																																																											BGl_symbol3056z00zz__evaluatez00;
																																																										{	/* Eval/evaluate.scm 595 */
																																																											obj_t
																																																												BgL_arg2657z00_4196;
																																																											BgL_arg2657z00_4196
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_symbolz00_4195);
																																																											BgL_arg2436z00_4193
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2657z00_4196);
																																																										}
																																																									}
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_arg2657z00_4198;
																																																										BgL_arg2657z00_4198
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(
																																																											((obj_t) BgL_wherez00_73));
																																																										BgL_arg2437z00_4194
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2657z00_4198);
																																																									}
																																																									BgL_arg2434z00_4192
																																																										=
																																																										string_append
																																																										(BgL_arg2436z00_4193,
																																																										BgL_arg2437z00_4194);
																																																								}
																																																								BgL_arg2433z00_4191
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2434z00_4192);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1942z00_1980,
																																																									BgL_arg1943z00_1981,
																																																									BgL_arg2433z00_4191,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1944z00_1982;
																																																						obj_t
																																																							BgL_arg1945z00_1983;
																																																						BgL_arg1944z00_1982
																																																							=
																																																							CAR
																																																							(BgL_ez00_69);
																																																						BgL_arg1945z00_1983
																																																							=
																																																							CDR
																																																							(BgL_ez00_69);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6751;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6753;
																																																								obj_t
																																																									BgL_fz00_6752;
																																																								BgL_fz00_6752
																																																									=
																																																									BgL_arg1944z00_1982;
																																																								BgL_argsz00_6753
																																																									=
																																																									BgL_arg1945z00_1983;
																																																								BgL_argsz00_1580
																																																									=
																																																									BgL_argsz00_6753;
																																																								BgL_fz00_1579
																																																									=
																																																									BgL_fz00_6752;
																																																								goto
																																																									BgL_tagzd2176zd2_1581;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6751);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1947z00_1985;
																																																				obj_t
																																																					BgL_arg1948z00_1986;
																																																				BgL_arg1947z00_1985
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg1948z00_1986
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6757;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6759;
																																																						obj_t
																																																							BgL_fz00_6758;
																																																						BgL_fz00_6758
																																																							=
																																																							BgL_arg1947z00_1985;
																																																						BgL_argsz00_6759
																																																							=
																																																							BgL_arg1948z00_1986;
																																																						BgL_argsz00_1580
																																																							=
																																																							BgL_argsz00_6759;
																																																						BgL_fz00_1579
																																																							=
																																																							BgL_fz00_6758;
																																																						goto
																																																							BgL_tagzd2176zd2_1581;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6757);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1949z00_1987;
																																																		obj_t
																																																			BgL_arg1950z00_1988;
																																																		BgL_arg1949z00_1987
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1950z00_1988
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6763;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6765;
																																																				obj_t
																																																					BgL_fz00_6764;
																																																				BgL_fz00_6764
																																																					=
																																																					BgL_arg1949z00_1987;
																																																				BgL_argsz00_6765
																																																					=
																																																					BgL_arg1950z00_1988;
																																																				BgL_argsz00_1580
																																																					=
																																																					BgL_argsz00_6765;
																																																				BgL_fz00_1579
																																																					=
																																																					BgL_fz00_6764;
																																																				goto
																																																					BgL_tagzd2176zd2_1581;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6763);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																if ((CAR(BgL_ez00_69) == BGl_symbol3058z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		return
																																																			BGl_errorz00zz__errorz00
																																																			(BGl_string3060z00zz__evaluatez00,
																																																			BGl_string3061z00zz__evaluatez00,
																																																			BgL_ez00_69);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1953z00_1991;
																																																		obj_t
																																																			BgL_arg1954z00_1992;
																																																		BgL_arg1953z00_1991
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg1954z00_1992
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6773;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6775;
																																																				obj_t
																																																					BgL_fz00_6774;
																																																				BgL_fz00_6774
																																																					=
																																																					BgL_arg1953z00_1991;
																																																				BgL_argsz00_6775
																																																					=
																																																					BgL_arg1954z00_1992;
																																																				BgL_argsz00_1580
																																																					=
																																																					BgL_argsz00_6775;
																																																				BgL_fz00_1579
																																																					=
																																																					BgL_fz00_6774;
																																																				goto
																																																					BgL_tagzd2176zd2_1581;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6773);
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														if (
															(BgL_carzd23841zd2_1654 ==
																BGl_symbol3032z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 424 */
																if (PAIRP(BgL_cdrzd2250zd2_1588))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2250zd2_1588)))
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1978z00_2017;

																				BgL_arg1978z00_2017 =
																					CAR(BgL_cdrzd2250zd2_1588);
																				{	/* Eval/evaluate.scm 456 */
																					BgL_ev_trapz00_bglt
																						BgL_new1112z00_4213;
																					{	/* Eval/evaluate.scm 457 */
																						BgL_ev_trapz00_bglt
																							BgL_new1111z00_4214;
																						BgL_new1111z00_4214 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 457 */
																							long BgL_arg2305z00_4215;

																							BgL_arg2305z00_4215 =
																								BGL_CLASS_NUM
																								(BGl_ev_trapz00zz__evaluate_typesz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1111z00_4214),
																								BgL_arg2305z00_4215);
																						}
																						BgL_new1112z00_4213 =
																							BgL_new1111z00_4214;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6789;

																						{	/* Eval/evaluate.scm 380 */
																							obj_t BgL_arg2446z00_4219;

																							BgL_arg2446z00_4219 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1978z00_2017,
																								BgL_locz00_74);
																							BgL_auxz00_6789 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1978z00_2017,
																									BgL_arg2446z00_4219));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1112z00_4213)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6789), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1112z00_4213);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1979z00_2018;
																				obj_t BgL_arg1980z00_2019;

																				BgL_arg1979z00_2018 = CAR(BgL_ez00_69);
																				BgL_arg1980z00_2019 = CDR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6798;

																					{
																						obj_t BgL_argsz00_6800;
																						obj_t BgL_fz00_6799;

																						BgL_fz00_6799 = BgL_arg1979z00_2018;
																						BgL_argsz00_6800 =
																							BgL_arg1980z00_2019;
																						BgL_argsz00_1580 = BgL_argsz00_6800;
																						BgL_fz00_1579 = BgL_fz00_6799;
																						goto BgL_tagzd2176zd2_1581;
																					}
																					return ((obj_t) BgL_auxz00_6798);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_arg1982z00_2021;
																		obj_t BgL_arg1983z00_2022;

																		BgL_arg1982z00_2021 = CAR(BgL_ez00_69);
																		BgL_arg1983z00_2022 = CDR(BgL_ez00_69);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6804;

																			{
																				obj_t BgL_argsz00_6806;
																				obj_t BgL_fz00_6805;

																				BgL_fz00_6805 = BgL_arg1982z00_2021;
																				BgL_argsz00_6806 = BgL_arg1983z00_2022;
																				BgL_argsz00_1580 = BgL_argsz00_6806;
																				BgL_fz00_1579 = BgL_fz00_6805;
																				goto BgL_tagzd2176zd2_1581;
																			}
																			return ((obj_t) BgL_auxz00_6804);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_cdrzd29422zd2_2023;

																BgL_cdrzd29422zd2_2023 = CDR(BgL_ez00_69);
																if (
																	(CAR(BgL_ez00_69) ==
																		BGl_symbol2997z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd29422zd2_2023))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd29422zd2_2023)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1989z00_2029;

																						BgL_arg1989z00_2029 =
																							CAR(BgL_cdrzd29422zd2_2023);
																						{	/* Eval/evaluate.scm 459 */
																							BgL_ev_littz00_bglt
																								BgL_new1114z00_4228;
																							{	/* Eval/evaluate.scm 460 */
																								BgL_ev_littz00_bglt
																									BgL_new1113z00_4229;
																								BgL_new1113z00_4229 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 460 */
																									long BgL_arg2306z00_4230;

																									BgL_arg2306z00_4230 =
																										BGL_CLASS_NUM
																										(BGl_ev_littz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1113z00_4229),
																										BgL_arg2306z00_4230);
																								}
																								BgL_new1114z00_4228 =
																									BgL_new1113z00_4229;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1114z00_4228))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1989z00_2029),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1114z00_4228);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1990z00_2030;

																						BgL_arg1990z00_2030 =
																							CAR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6825;
																							{
																								obj_t BgL_argsz00_6827;
																								obj_t BgL_fz00_6826;

																								BgL_fz00_6826 =
																									BgL_arg1990z00_2030;
																								BgL_argsz00_6827 =
																									BgL_cdrzd29422zd2_2023;
																								BgL_argsz00_1580 =
																									BgL_argsz00_6827;
																								BgL_fz00_1579 = BgL_fz00_6826;
																								goto BgL_tagzd2176zd2_1581;
																							}
																							return ((obj_t) BgL_auxz00_6825);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1994z00_2033;

																				BgL_arg1994z00_2033 = CAR(BgL_ez00_69);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6830;

																					{
																						obj_t BgL_argsz00_6832;
																						obj_t BgL_fz00_6831;

																						BgL_fz00_6831 = BgL_arg1994z00_2033;
																						BgL_argsz00_6832 =
																							BgL_cdrzd29422zd2_2023;
																						BgL_argsz00_1580 = BgL_argsz00_6832;
																						BgL_fz00_1579 = BgL_fz00_6831;
																						goto BgL_tagzd2176zd2_1581;
																					}
																					return ((obj_t) BgL_auxz00_6830);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		if (
																			(CAR(BgL_ez00_69) ==
																				BGl_symbol3005z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd29422zd2_2023))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_cdrzd210036zd2_2039;

																						BgL_cdrzd210036zd2_2039 =
																							CDR(BgL_cdrzd29422zd2_2023);
																						if (PAIRP(BgL_cdrzd210036zd2_2039))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd210041zd2_2041;

																								BgL_cdrzd210041zd2_2041 =
																									CDR(BgL_cdrzd210036zd2_2039);
																								if (PAIRP
																									(BgL_cdrzd210041zd2_2041))
																									{	/* Eval/evaluate.scm 424 */
																										if (NULLP(CDR
																												(BgL_cdrzd210041zd2_2041)))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg2003z00_2045;
																												obj_t
																													BgL_arg2004z00_2046;
																												obj_t
																													BgL_arg2005z00_2047;
																												BgL_arg2003z00_2045 =
																													CAR
																													(BgL_cdrzd29422zd2_2023);
																												BgL_arg2004z00_2046 =
																													CAR
																													(BgL_cdrzd210036zd2_2039);
																												BgL_arg2005z00_2047 =
																													CAR
																													(BgL_cdrzd210041zd2_2041);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6851;
																													{
																														obj_t BgL_oz00_6854;
																														obj_t BgL_tz00_6853;
																														obj_t BgL_pz00_6852;

																														BgL_pz00_6852 =
																															BgL_arg2003z00_2045;
																														BgL_tz00_6853 =
																															BgL_arg2004z00_2046;
																														BgL_oz00_6854 =
																															BgL_arg2005z00_2047;
																														BgL_oz00_1521 =
																															BgL_oz00_6854;
																														BgL_tz00_1520 =
																															BgL_tz00_6853;
																														BgL_pz00_1519 =
																															BgL_pz00_6852;
																														goto
																															BgL_tagzd2155zd2_1522;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6851);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg2006z00_2048;
																												obj_t
																													BgL_arg2007z00_2049;
																												BgL_arg2006z00_2048 =
																													CAR(BgL_ez00_69);
																												BgL_arg2007z00_2049 =
																													CDR(BgL_ez00_69);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6858;
																													{
																														obj_t
																															BgL_argsz00_6860;
																														obj_t BgL_fz00_6859;

																														BgL_fz00_6859 =
																															BgL_arg2006z00_2048;
																														BgL_argsz00_6860 =
																															BgL_arg2007z00_2049;
																														BgL_argsz00_1580 =
																															BgL_argsz00_6860;
																														BgL_fz00_1579 =
																															BgL_fz00_6859;
																														goto
																															BgL_tagzd2176zd2_1581;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6858);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd210341zd2_2051;
																										BgL_cdrzd210341zd2_2051 =
																											CDR(BgL_ez00_69);
																										{	/* Eval/evaluate.scm 424 */
																											obj_t
																												BgL_cdrzd210347zd2_2052;
																											BgL_cdrzd210347zd2_2052 =
																												CDR(((obj_t)
																													BgL_cdrzd210341zd2_2051));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210347zd2_2052))))
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2011z00_2055;
																													obj_t
																														BgL_arg2012z00_2056;
																													BgL_arg2011z00_2055 =
																														CAR(((obj_t)
																															BgL_cdrzd210341zd2_2051));
																													BgL_arg2012z00_2056 =
																														CAR(((obj_t)
																															BgL_cdrzd210347zd2_2052));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6873;
																														{
																															obj_t
																																BgL_tz00_6875;
																															obj_t
																																BgL_pz00_6874;
																															BgL_pz00_6874 =
																																BgL_arg2011z00_2055;
																															BgL_tz00_6875 =
																																BgL_arg2012z00_2056;
																															BgL_tz00_1524 =
																																BgL_tz00_6875;
																															BgL_pz00_1523 =
																																BgL_pz00_6874;
																															goto
																																BgL_tagzd2156zd2_1525;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6873);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2013z00_2057;
																													BgL_arg2013z00_2057 =
																														CAR(BgL_ez00_69);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6878;
																														{
																															obj_t
																																BgL_argsz00_6880;
																															obj_t
																																BgL_fz00_6879;
																															BgL_fz00_6879 =
																																BgL_arg2013z00_2057;
																															BgL_argsz00_6880 =
																																BgL_cdrzd210341zd2_2051;
																															BgL_argsz00_1580 =
																																BgL_argsz00_6880;
																															BgL_fz00_1579 =
																																BgL_fz00_6879;
																															goto
																																BgL_tagzd2176zd2_1581;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6878);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2016z00_2060;
																								obj_t BgL_arg2017z00_2061;

																								BgL_arg2016z00_2060 =
																									CAR(BgL_ez00_69);
																								BgL_arg2017z00_2061 =
																									CDR(BgL_ez00_69);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6884;
																									{
																										obj_t BgL_argsz00_6886;
																										obj_t BgL_fz00_6885;

																										BgL_fz00_6885 =
																											BgL_arg2016z00_2060;
																										BgL_argsz00_6886 =
																											BgL_arg2017z00_2061;
																										BgL_argsz00_1580 =
																											BgL_argsz00_6886;
																										BgL_fz00_1579 =
																											BgL_fz00_6885;
																										goto BgL_tagzd2176zd2_1581;
																									}
																									return
																										((obj_t) BgL_auxz00_6884);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2018z00_2062;
																						obj_t BgL_arg2019z00_2063;

																						BgL_arg2018z00_2062 =
																							CAR(BgL_ez00_69);
																						BgL_arg2019z00_2063 =
																							CDR(BgL_ez00_69);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6890;
																							{
																								obj_t BgL_argsz00_6892;
																								obj_t BgL_fz00_6891;

																								BgL_fz00_6891 =
																									BgL_arg2018z00_2062;
																								BgL_argsz00_6892 =
																									BgL_arg2019z00_2063;
																								BgL_argsz00_1580 =
																									BgL_argsz00_6892;
																								BgL_fz00_1579 = BgL_fz00_6891;
																								goto BgL_tagzd2176zd2_1581;
																							}
																							return ((obj_t) BgL_auxz00_6890);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(BgL_ez00_69) ==
																						BGl_symbol3034z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2022z00_2066;

																						BgL_arg2022z00_2066 =
																							CDR(BgL_ez00_69);
																						{	/* Eval/evaluate.scm 472 */
																							BgL_ev_orz00_bglt
																								BgL_new1121z00_4261;
																							{	/* Eval/evaluate.scm 473 */
																								BgL_ev_orz00_bglt
																									BgL_new1120z00_4262;
																								BgL_new1120z00_4262 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 473 */
																									long BgL_arg2316z00_4263;

																									BgL_arg2316z00_4263 =
																										BGL_CLASS_NUM
																										(BGl_ev_orz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1120z00_4262),
																										BgL_arg2316z00_4263);
																								}
																								BgL_new1121z00_4261 =
																									BgL_new1120z00_4262;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1121z00_4261)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg2022z00_2066)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1121z00_4261);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(BgL_ez00_69) ==
																								BGl_symbol3036z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2025z00_2069;

																								BgL_arg2025z00_2069 =
																									CDR(BgL_ez00_69);
																								{	/* Eval/evaluate.scm 475 */
																									BgL_ev_andz00_bglt
																										BgL_new1124z00_4269;
																									{	/* Eval/evaluate.scm 476 */
																										BgL_ev_andz00_bglt
																											BgL_new1123z00_4270;
																										BgL_new1123z00_4270 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 476 */
																											long BgL_arg2317z00_4271;

																											BgL_arg2317z00_4271 =
																												BGL_CLASS_NUM
																												(BGl_ev_andz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1123z00_4270),
																												BgL_arg2317z00_4271);
																										}
																										BgL_new1124z00_4269 =
																											BgL_new1123z00_4270;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1124z00_4269)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg2025z00_2069)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1124z00_4269);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(BgL_ez00_69) ==
																										BGl_symbol3021z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_69),
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd211246zd2_2073;
																										BgL_cdrzd211246zd2_2073 =
																											CDR(BgL_ez00_69);
																										if ((CAR(BgL_ez00_69) ==
																												BGl_symbol3007z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												if (PAIRP
																													(BgL_cdrzd211246zd2_2073))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2034z00_2077;
																														obj_t
																															BgL_arg2035z00_2078;
																														BgL_arg2034z00_2077
																															=
																															CAR
																															(BgL_cdrzd211246zd2_2073);
																														BgL_arg2035z00_2078
																															=
																															CDR
																															(BgL_cdrzd211246zd2_2073);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_6931;
																															{
																																obj_t
																																	BgL_bodyz00_6933;
																																obj_t
																																	BgL_bindsz00_6932;
																																BgL_bindsz00_6932
																																	=
																																	BgL_arg2034z00_2077;
																																BgL_bodyz00_6933
																																	=
																																	BgL_arg2035z00_2078;
																																BgL_bodyz00_1533
																																	=
																																	BgL_bodyz00_6933;
																																BgL_bindsz00_1532
																																	=
																																	BgL_bindsz00_6932;
																																goto
																																	BgL_tagzd2160zd2_1534;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6931);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2036z00_2079;
																														BgL_arg2036z00_2079
																															=
																															CAR(BgL_ez00_69);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_6936;
																															{
																																obj_t
																																	BgL_argsz00_6938;
																																obj_t
																																	BgL_fz00_6937;
																																BgL_fz00_6937 =
																																	BgL_arg2036z00_2079;
																																BgL_argsz00_6938
																																	=
																																	BgL_cdrzd211246zd2_2073;
																																BgL_argsz00_1580
																																	=
																																	BgL_argsz00_6938;
																																BgL_fz00_1579 =
																																	BgL_fz00_6937;
																																goto
																																	BgL_tagzd2176zd2_1581;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_6936);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												if (
																													(CAR(BgL_ez00_69) ==
																														BGl_symbol3038z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd211246zd2_2073))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2042z00_2085;
																																obj_t
																																	BgL_arg2043z00_2086;
																																BgL_arg2042z00_2085
																																	=
																																	CAR
																																	(BgL_cdrzd211246zd2_2073);
																																BgL_arg2043z00_2086
																																	=
																																	CDR
																																	(BgL_cdrzd211246zd2_2073);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_6947;
																																	{
																																		obj_t
																																			BgL_bodyz00_6949;
																																		obj_t
																																			BgL_bindsz00_6948;
																																		BgL_bindsz00_6948
																																			=
																																			BgL_arg2042z00_2085;
																																		BgL_bodyz00_6949
																																			=
																																			BgL_arg2043z00_2086;
																																		BgL_bodyz00_1536
																																			=
																																			BgL_bodyz00_6949;
																																		BgL_bindsz00_1535
																																			=
																																			BgL_bindsz00_6948;
																																		goto
																																			BgL_tagzd2161zd2_1537;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6947);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2044z00_2087;
																																obj_t
																																	BgL_arg2045z00_2088;
																																BgL_arg2044z00_2087
																																	=
																																	CAR
																																	(BgL_ez00_69);
																																BgL_arg2045z00_2088
																																	=
																																	CDR
																																	(BgL_ez00_69);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_6953;
																																	{
																																		obj_t
																																			BgL_argsz00_6955;
																																		obj_t
																																			BgL_fz00_6954;
																																		BgL_fz00_6954
																																			=
																																			BgL_arg2044z00_2087;
																																		BgL_argsz00_6955
																																			=
																																			BgL_arg2045z00_2088;
																																		BgL_argsz00_1580
																																			=
																																			BgL_argsz00_6955;
																																		BgL_fz00_1579
																																			=
																																			BgL_fz00_6954;
																																		goto
																																			BgL_tagzd2176zd2_1581;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_6953);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_cdrzd211644zd2_2089;
																														BgL_cdrzd211644zd2_2089
																															=
																															CDR(BgL_ez00_69);
																														if ((CAR
																																(BgL_ez00_69) ==
																																BGl_symbol3040z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd211644zd2_2089))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2049z00_2093;
																																		obj_t
																																			BgL_arg2050z00_2094;
																																		BgL_arg2049z00_2093
																																			=
																																			CAR
																																			(BgL_cdrzd211644zd2_2089);
																																		BgL_arg2050z00_2094
																																			=
																																			CDR
																																			(BgL_cdrzd211644zd2_2089);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_6965;
																																			{
																																				obj_t
																																					BgL_bodyz00_6967;
																																				obj_t
																																					BgL_bindsz00_6966;
																																				BgL_bindsz00_6966
																																					=
																																					BgL_arg2049z00_2093;
																																				BgL_bodyz00_6967
																																					=
																																					BgL_arg2050z00_2094;
																																				BgL_bodyz00_1539
																																					=
																																					BgL_bodyz00_6967;
																																				BgL_bindsz00_1538
																																					=
																																					BgL_bindsz00_6966;
																																				goto
																																					BgL_tagzd2162zd2_1540;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6965);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2051z00_2095;
																																		BgL_arg2051z00_2095
																																			=
																																			CAR
																																			(BgL_ez00_69);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6970;
																																			{
																																				obj_t
																																					BgL_argsz00_6972;
																																				obj_t
																																					BgL_fz00_6971;
																																				BgL_fz00_6971
																																					=
																																					BgL_arg2051z00_2095;
																																				BgL_argsz00_6972
																																					=
																																					BgL_cdrzd211644zd2_2089;
																																				BgL_argsz00_1580
																																					=
																																					BgL_argsz00_6972;
																																				BgL_fz00_1579
																																					=
																																					BgL_fz00_6971;
																																				goto
																																					BgL_tagzd2176zd2_1581;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6970);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																if (
																																	(CAR
																																		(BgL_ez00_69)
																																		==
																																		BGl_symbol3042z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd211644zd2_2089))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_carzd211820zd2_2101;
																																				obj_t
																																					BgL_cdrzd211821zd2_2102;
																																				BgL_carzd211820zd2_2101
																																					=
																																					CAR
																																					(BgL_cdrzd211644zd2_2089);
																																				BgL_cdrzd211821zd2_2102
																																					=
																																					CDR
																																					(BgL_cdrzd211644zd2_2089);
																																				if (PAIRP(BgL_carzd211820zd2_2101))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd211825zd2_2104;
																																						BgL_cdrzd211825zd2_2104
																																							=
																																							CDR
																																							(BgL_carzd211820zd2_2101);
																																						if (
																																							(CAR
																																								(BgL_carzd211820zd2_2101)
																																								==
																																								BGl_symbol3028z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd211825zd2_2104))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd211828zd2_2108;
																																										obj_t
																																											BgL_cdrzd211829zd2_2109;
																																										BgL_carzd211828zd2_2108
																																											=
																																											CAR
																																											(BgL_cdrzd211825zd2_2104);
																																										BgL_cdrzd211829zd2_2109
																																											=
																																											CDR
																																											(BgL_cdrzd211825zd2_2104);
																																										if (SYMBOLP(BgL_carzd211828zd2_2108))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd211829zd2_2109))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_carzd211833zd2_2112;
																																														BgL_carzd211833zd2_2112
																																															=
																																															CAR
																																															(BgL_cdrzd211829zd2_2109);
																																														if (SYMBOLP(BgL_carzd211833zd2_2112))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd211829zd2_2109)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd211821zd2_2102))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd211821zd2_2102)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg2071z00_2119;
																																																						BgL_arg2071z00_2119
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211821zd2_2102);
																																																						{	/* Eval/evaluate.scm 531 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1141z00_4307;
																																																							{	/* Eval/evaluate.scm 535 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1140z00_4308;
																																																								BgL_new1140z00_4308
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 535 */
																																																									long
																																																										BgL_arg2397z00_4309;
																																																									BgL_arg2397z00_4309
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1140z00_4308), BgL_arg2397z00_4309);
																																																								}
																																																								BgL_new1141z00_4307
																																																									=
																																																									BgL_new1140z00_4308;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7011;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2446z00_4313;
																																																									BgL_arg2446z00_4313
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2071z00_2119,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7011
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2071z00_2119,
																																																											BgL_arg2446z00_4313));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4307)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7011), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4307))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4307))->BgL_namez00) = ((obj_t) BgL_carzd211828zd2_2108), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4307))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211833zd2_2112)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1141z00_4307);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2945z00zz__evaluatez00,
																																																							BGl_string3020z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2945z00zz__evaluatez00,
																																																					BGl_string3020z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd211949zd2_2121;
																																																		BgL_cdrzd211949zd2_2121
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd211953zd2_2122;
																																																			BgL_cdrzd211953zd2_2122
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211949zd2_2121));
																																																			if (PAIRP(BgL_cdrzd211953zd2_2122))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd211953zd2_2122)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg2076z00_2126;
																																																							obj_t
																																																								BgL_arg2077z00_2127;
																																																							BgL_arg2076z00_2126
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211949zd2_2121));
																																																							BgL_arg2077z00_2127
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211953zd2_2122);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7035;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7037;
																																																									obj_t
																																																										BgL_vz00_7036;
																																																									BgL_vz00_7036
																																																										=
																																																										BgL_arg2076z00_2126;
																																																									BgL_ez00_7037
																																																										=
																																																										BgL_arg2077z00_2127;
																																																									BgL_ez00_1549
																																																										=
																																																										BgL_ez00_7037;
																																																									BgL_vz00_1548
																																																										=
																																																										BgL_vz00_7036;
																																																									goto
																																																										BgL_tagzd2165zd2_1550;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7035);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2945z00zz__evaluatez00,
																																																								BGl_string3020z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2945z00zz__evaluatez00,
																																																						BGl_string3020z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212010zd2_2130;
																																																BgL_cdrzd212010zd2_2130
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd212014zd2_2131;
																																																	BgL_cdrzd212014zd2_2131
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd212010zd2_2130));
																																																	if (PAIRP(BgL_cdrzd212014zd2_2131))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd212014zd2_2131)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg2085z00_2135;
																																																					obj_t
																																																						BgL_arg2086z00_2136;
																																																					BgL_arg2085z00_2135
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212010zd2_2130));
																																																					BgL_arg2086z00_2136
																																																						=
																																																						CAR
																																																						(BgL_cdrzd212014zd2_2131);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7052;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7054;
																																																							obj_t
																																																								BgL_vz00_7053;
																																																							BgL_vz00_7053
																																																								=
																																																								BgL_arg2085z00_2135;
																																																							BgL_ez00_7054
																																																								=
																																																								BgL_arg2086z00_2136;
																																																							BgL_ez00_1549
																																																								=
																																																								BgL_ez00_7054;
																																																							BgL_vz00_1548
																																																								=
																																																								BgL_vz00_7053;
																																																							goto
																																																								BgL_tagzd2165zd2_1550;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7052);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2945z00zz__evaluatez00,
																																																						BGl_string3020z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2945z00zz__evaluatez00,
																																																				BGl_string3020z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212071zd2_2138;
																																														BgL_cdrzd212071zd2_2138
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd212075zd2_2139;
																																															BgL_cdrzd212075zd2_2139
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd212071zd2_2138));
																																															if (PAIRP(BgL_cdrzd212075zd2_2139))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd212075zd2_2139)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg2091z00_2143;
																																																			obj_t
																																																				BgL_arg2092z00_2144;
																																																			BgL_arg2091z00_2143
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212071zd2_2138));
																																																			BgL_arg2092z00_2144
																																																				=
																																																				CAR
																																																				(BgL_cdrzd212075zd2_2139);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7069;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7071;
																																																					obj_t
																																																						BgL_vz00_7070;
																																																					BgL_vz00_7070
																																																						=
																																																						BgL_arg2091z00_2143;
																																																					BgL_ez00_7071
																																																						=
																																																						BgL_arg2092z00_2144;
																																																					BgL_ez00_1549
																																																						=
																																																						BgL_ez00_7071;
																																																					BgL_vz00_1548
																																																						=
																																																						BgL_vz00_7070;
																																																					goto
																																																						BgL_tagzd2165zd2_1550;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7069);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2945z00zz__evaluatez00,
																																																				BGl_string3020z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212132zd2_2146;
																																												BgL_cdrzd212132zd2_2146
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd212136zd2_2147;
																																													BgL_cdrzd212136zd2_2147
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212132zd2_2146));
																																													if (PAIRP(BgL_cdrzd212136zd2_2147))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd212136zd2_2147)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg2097z00_2151;
																																																	obj_t
																																																		BgL_arg2100z00_2152;
																																																	BgL_arg2097z00_2151
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212132zd2_2146));
																																																	BgL_arg2100z00_2152
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212136zd2_2147);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7086;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7088;
																																																			obj_t
																																																				BgL_vz00_7087;
																																																			BgL_vz00_7087
																																																				=
																																																				BgL_arg2097z00_2151;
																																																			BgL_ez00_7088
																																																				=
																																																				BgL_arg2100z00_2152;
																																																			BgL_ez00_1549
																																																				=
																																																				BgL_ez00_7088;
																																																			BgL_vz00_1548
																																																				=
																																																				BgL_vz00_7087;
																																																			goto
																																																				BgL_tagzd2165zd2_1550;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7086);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2945z00zz__evaluatez00,
																																																		BGl_string3020z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212193zd2_2154;
																																										BgL_cdrzd212193zd2_2154
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212197zd2_2155;
																																											BgL_cdrzd212197zd2_2155
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212193zd2_2154));
																																											if (PAIRP(BgL_cdrzd212197zd2_2155))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212197zd2_2155)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2105z00_2159;
																																															obj_t
																																																BgL_arg2106z00_2160;
																																															BgL_arg2105z00_2159
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212193zd2_2154));
																																															BgL_arg2106z00_2160
																																																=
																																																CAR
																																																(BgL_cdrzd212197zd2_2155);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7103;
																																																{
																																																	obj_t
																																																		BgL_ez00_7105;
																																																	obj_t
																																																		BgL_vz00_7104;
																																																	BgL_vz00_7104
																																																		=
																																																		BgL_arg2105z00_2159;
																																																	BgL_ez00_7105
																																																		=
																																																		BgL_arg2106z00_2160;
																																																	BgL_ez00_1549
																																																		=
																																																		BgL_ez00_7105;
																																																	BgL_vz00_1548
																																																		=
																																																		BgL_vz00_7104;
																																																	goto
																																																		BgL_tagzd2165zd2_1550;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7103);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2945z00zz__evaluatez00,
																																														BGl_string3020z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd212241zd2_2162;
																																								BgL_cdrzd212241zd2_2162
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_carzd212244zd2_2163;
																																									obj_t
																																										BgL_cdrzd212245zd2_2164;
																																									BgL_carzd212244zd2_2163
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2162));
																																									BgL_cdrzd212245zd2_2164
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2162));
																																									if ((CAR(((obj_t) BgL_carzd212244zd2_2163)) == BGl_symbol3030z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (PAIRP(BgL_cdrzd212245zd2_2164))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212245zd2_2164)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2113z00_2170;
																																															obj_t
																																																BgL_arg2114z00_2171;
																																															BgL_arg2113z00_2170
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212244zd2_2163));
																																															BgL_arg2114z00_2171
																																																=
																																																CAR
																																																(BgL_cdrzd212245zd2_2164);
																																															{
																																																obj_t
																																																	BgL_e2z00_7127;
																																																obj_t
																																																	BgL_lz00_7126;
																																																BgL_lz00_7126
																																																	=
																																																	BgL_arg2113z00_2170;
																																																BgL_e2z00_7127
																																																	=
																																																	BgL_arg2114z00_2171;
																																																BgL_e2z00_1546
																																																	=
																																																	BgL_e2z00_7127;
																																																BgL_lz00_1545
																																																	=
																																																	BgL_lz00_7126;
																																																goto
																																																	BgL_tagzd2164zd2_1547;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2945z00zz__evaluatez00,
																																														BGl_string3020z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212321zd2_2174;
																																											BgL_cdrzd212321zd2_2174
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212241zd2_2162));
																																											if (PAIRP(BgL_cdrzd212321zd2_2174))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212321zd2_2174)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2119z00_2178;
																																															obj_t
																																																BgL_arg2120z00_2179;
																																															BgL_arg2119z00_2178
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212241zd2_2162));
																																															BgL_arg2120z00_2179
																																																=
																																																CAR
																																																(BgL_cdrzd212321zd2_2174);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7140;
																																																{
																																																	obj_t
																																																		BgL_ez00_7142;
																																																	obj_t
																																																		BgL_vz00_7141;
																																																	BgL_vz00_7141
																																																		=
																																																		BgL_arg2119z00_2178;
																																																	BgL_ez00_7142
																																																		=
																																																		BgL_arg2120z00_2179;
																																																	BgL_ez00_1549
																																																		=
																																																		BgL_ez00_7142;
																																																	BgL_vz00_1548
																																																		=
																																																		BgL_vz00_7141;
																																																	goto
																																																		BgL_tagzd2165zd2_1550;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7140);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2945z00zz__evaluatez00,
																																																BGl_string3020z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2945z00zz__evaluatez00,
																																														BGl_string3020z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212378zd2_2183;
																																						BgL_cdrzd212378zd2_2183
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						{	/* Eval/evaluate.scm 424 */
																																							obj_t
																																								BgL_cdrzd212382zd2_2184;
																																							BgL_cdrzd212382zd2_2184
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212378zd2_2183));
																																							if (PAIRP(BgL_cdrzd212382zd2_2184))
																																								{	/* Eval/evaluate.scm 424 */
																																									if (NULLP(CDR(BgL_cdrzd212382zd2_2184)))
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_arg2127z00_2188;
																																											obj_t
																																												BgL_arg2128z00_2189;
																																											BgL_arg2127z00_2188
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212378zd2_2183));
																																											BgL_arg2128z00_2189
																																												=
																																												CAR
																																												(BgL_cdrzd212382zd2_2184);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7157;
																																												{
																																													obj_t
																																														BgL_ez00_7159;
																																													obj_t
																																														BgL_vz00_7158;
																																													BgL_vz00_7158
																																														=
																																														BgL_arg2127z00_2188;
																																													BgL_ez00_7159
																																														=
																																														BgL_arg2128z00_2189;
																																													BgL_ez00_1549
																																														=
																																														BgL_ez00_7159;
																																													BgL_vz00_1548
																																														=
																																														BgL_vz00_7158;
																																													goto
																																														BgL_tagzd2165zd2_1550;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7157);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2945z00zz__evaluatez00,
																																												BGl_string3020z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 424 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string2945z00zz__evaluatez00,
																																										BGl_string3020z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string2945z00zz__evaluatez00,
																																					BGl_string3020z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_cdrzd212503zd2_2191;
																																		BgL_cdrzd212503zd2_2191
																																			=
																																			CDR
																																			(BgL_ez00_69);
																																		if ((CAR
																																				(BgL_ez00_69)
																																				==
																																				BGl_symbol3044z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd212503zd2_2191))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212508zd2_2195;
																																						BgL_cdrzd212508zd2_2195
																																							=
																																							CDR
																																							(BgL_cdrzd212503zd2_2191);
																																						if (PAIRP(BgL_cdrzd212508zd2_2195))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd212512zd2_2197;
																																								BgL_carzd212512zd2_2197
																																									=
																																									CAR
																																									(BgL_cdrzd212508zd2_2195);
																																								if (PAIRP(BgL_carzd212512zd2_2197))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212517zd2_2199;
																																										BgL_cdrzd212517zd2_2199
																																											=
																																											CDR
																																											(BgL_carzd212512zd2_2197);
																																										if ((CAR(BgL_carzd212512zd2_2197) == BGl_symbol3009z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd212517zd2_2199))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212521zd2_2203;
																																														BgL_cdrzd212521zd2_2203
																																															=
																																															CDR
																																															(BgL_cdrzd212517zd2_2199);
																																														if (PAIRP(BgL_cdrzd212521zd2_2203))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd212521zd2_2203)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd212508zd2_2195)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2144z00_2209;
																																																				obj_t
																																																					BgL_arg2145z00_2210;
																																																				obj_t
																																																					BgL_arg2146z00_2211;
																																																				BgL_arg2144z00_2209
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212503zd2_2191);
																																																				BgL_arg2145z00_2210
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212517zd2_2199);
																																																				BgL_arg2146z00_2211
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212521zd2_2203);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7194;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7197;
																																																						obj_t
																																																							BgL_formalsz00_7196;
																																																						obj_t
																																																							BgL_gvz00_7195;
																																																						BgL_gvz00_7195
																																																							=
																																																							BgL_arg2144z00_2209;
																																																						BgL_formalsz00_7196
																																																							=
																																																							BgL_arg2145z00_2210;
																																																						BgL_bodyz00_7197
																																																							=
																																																							BgL_arg2146z00_2211;
																																																						BgL_bodyz00_1554
																																																							=
																																																							BgL_bodyz00_7197;
																																																						BgL_formalsz00_1553
																																																							=
																																																							BgL_formalsz00_7196;
																																																						BgL_gvz00_1552
																																																							=
																																																							BgL_gvz00_7195;
																																																						goto
																																																							BgL_tagzd2167zd2_1555;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7194);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2148z00_2212;
																																																				BgL_arg2148z00_2212
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7200;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7202;
																																																						obj_t
																																																							BgL_fz00_7201;
																																																						BgL_fz00_7201
																																																							=
																																																							BgL_arg2148z00_2212;
																																																						BgL_argsz00_7202
																																																							=
																																																							BgL_cdrzd212503zd2_2191;
																																																						BgL_argsz00_1580
																																																							=
																																																							BgL_argsz00_7202;
																																																						BgL_fz00_1579
																																																							=
																																																							BgL_fz00_7201;
																																																						goto
																																																							BgL_tagzd2176zd2_1581;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7200);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd212623zd2_2216;
																																																		BgL_cdrzd212623zd2_2216
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2191));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212623zd2_2216))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2153z00_2219;
																																																				obj_t
																																																					BgL_arg2154z00_2220;
																																																				BgL_arg2153z00_2219
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212503zd2_2191));
																																																				BgL_arg2154z00_2220
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212623zd2_2216));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7214;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7216;
																																																						obj_t
																																																							BgL_gvz00_7215;
																																																						BgL_gvz00_7215
																																																							=
																																																							BgL_arg2153z00_2219;
																																																						BgL_gez00_7216
																																																							=
																																																							BgL_arg2154z00_2220;
																																																						BgL_gez00_1557
																																																							=
																																																							BgL_gez00_7216;
																																																						BgL_gvz00_1556
																																																							=
																																																							BgL_gvz00_7215;
																																																						goto
																																																							BgL_tagzd2168zd2_1558;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7214);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2155z00_2221;
																																																				obj_t
																																																					BgL_arg2156z00_2222;
																																																				BgL_arg2155z00_2221
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2156z00_2222
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7220;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7222;
																																																						obj_t
																																																							BgL_fz00_7221;
																																																						BgL_fz00_7221
																																																							=
																																																							BgL_arg2155z00_2221;
																																																						BgL_argsz00_7222
																																																							=
																																																							BgL_arg2156z00_2222;
																																																						BgL_argsz00_1580
																																																							=
																																																							BgL_argsz00_7222;
																																																						BgL_fz00_1579
																																																							=
																																																							BgL_fz00_7221;
																																																						goto
																																																							BgL_tagzd2176zd2_1581;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7220);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212712zd2_2226;
																																																BgL_cdrzd212712zd2_2226
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2191));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212712zd2_2226))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2161z00_2229;
																																																		obj_t
																																																			BgL_arg2162z00_2230;
																																																		BgL_arg2161z00_2229
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2191));
																																																		BgL_arg2162z00_2230
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212712zd2_2226));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7234;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7236;
																																																				obj_t
																																																					BgL_gvz00_7235;
																																																				BgL_gvz00_7235
																																																					=
																																																					BgL_arg2161z00_2229;
																																																				BgL_gez00_7236
																																																					=
																																																					BgL_arg2162z00_2230;
																																																				BgL_gez00_1557
																																																					=
																																																					BgL_gez00_7236;
																																																				BgL_gvz00_1556
																																																					=
																																																					BgL_gvz00_7235;
																																																				goto
																																																					BgL_tagzd2168zd2_1558;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7234);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2164z00_2231;
																																																		obj_t
																																																			BgL_arg2165z00_2232;
																																																		BgL_arg2164z00_2231
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2165z00_2232
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7240;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7242;
																																																				obj_t
																																																					BgL_fz00_7241;
																																																				BgL_fz00_7241
																																																					=
																																																					BgL_arg2164z00_2231;
																																																				BgL_argsz00_7242
																																																					=
																																																					BgL_arg2165z00_2232;
																																																				BgL_argsz00_1580
																																																					=
																																																					BgL_argsz00_7242;
																																																				BgL_fz00_1579
																																																					=
																																																					BgL_fz00_7241;
																																																				goto
																																																					BgL_tagzd2176zd2_1581;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7240);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212801zd2_2235;
																																														BgL_cdrzd212801zd2_2235
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2191));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212801zd2_2235))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2169z00_2238;
																																																obj_t
																																																	BgL_arg2170z00_2239;
																																																BgL_arg2169z00_2238
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2191));
																																																BgL_arg2170z00_2239
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212801zd2_2235));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7254;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7256;
																																																		obj_t
																																																			BgL_gvz00_7255;
																																																		BgL_gvz00_7255
																																																			=
																																																			BgL_arg2169z00_2238;
																																																		BgL_gez00_7256
																																																			=
																																																			BgL_arg2170z00_2239;
																																																		BgL_gez00_1557
																																																			=
																																																			BgL_gez00_7256;
																																																		BgL_gvz00_1556
																																																			=
																																																			BgL_gvz00_7255;
																																																		goto
																																																			BgL_tagzd2168zd2_1558;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7254);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2171z00_2240;
																																																obj_t
																																																	BgL_arg2172z00_2241;
																																																BgL_arg2171z00_2240
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2172z00_2241
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7260;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7262;
																																																		obj_t
																																																			BgL_fz00_7261;
																																																		BgL_fz00_7261
																																																			=
																																																			BgL_arg2171z00_2240;
																																																		BgL_argsz00_7262
																																																			=
																																																			BgL_arg2172z00_2241;
																																																		BgL_argsz00_1580
																																																			=
																																																			BgL_argsz00_7262;
																																																		BgL_fz00_1579
																																																			=
																																																			BgL_fz00_7261;
																																																		goto
																																																			BgL_tagzd2176zd2_1581;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7260);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212890zd2_2244;
																																												BgL_cdrzd212890zd2_2244
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2191));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212890zd2_2244))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2176z00_2247;
																																														obj_t
																																															BgL_arg2177z00_2248;
																																														BgL_arg2176z00_2247
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2191));
																																														BgL_arg2177z00_2248
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212890zd2_2244));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7274;
																																															{
																																																obj_t
																																																	BgL_gez00_7276;
																																																obj_t
																																																	BgL_gvz00_7275;
																																																BgL_gvz00_7275
																																																	=
																																																	BgL_arg2176z00_2247;
																																																BgL_gez00_7276
																																																	=
																																																	BgL_arg2177z00_2248;
																																																BgL_gez00_1557
																																																	=
																																																	BgL_gez00_7276;
																																																BgL_gvz00_1556
																																																	=
																																																	BgL_gvz00_7275;
																																																goto
																																																	BgL_tagzd2168zd2_1558;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7274);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2178z00_2249;
																																														obj_t
																																															BgL_arg2179z00_2250;
																																														BgL_arg2178z00_2249
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														BgL_arg2179z00_2250
																																															=
																																															CDR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7280;
																																															{
																																																obj_t
																																																	BgL_argsz00_7282;
																																																obj_t
																																																	BgL_fz00_7281;
																																																BgL_fz00_7281
																																																	=
																																																	BgL_arg2178z00_2249;
																																																BgL_argsz00_7282
																																																	=
																																																	BgL_arg2179z00_2250;
																																																BgL_argsz00_1580
																																																	=
																																																	BgL_argsz00_7282;
																																																BgL_fz00_1579
																																																	=
																																																	BgL_fz00_7281;
																																																goto
																																																	BgL_tagzd2176zd2_1581;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7280);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212979zd2_2254;
																																										BgL_cdrzd212979zd2_2254
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212503zd2_2191));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212979zd2_2254))))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2185z00_2257;
																																												obj_t
																																													BgL_arg2186z00_2258;
																																												BgL_arg2185z00_2257
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2191));
																																												BgL_arg2186z00_2258
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212979zd2_2254));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7294;
																																													{
																																														obj_t
																																															BgL_gez00_7296;
																																														obj_t
																																															BgL_gvz00_7295;
																																														BgL_gvz00_7295
																																															=
																																															BgL_arg2185z00_2257;
																																														BgL_gez00_7296
																																															=
																																															BgL_arg2186z00_2258;
																																														BgL_gez00_1557
																																															=
																																															BgL_gez00_7296;
																																														BgL_gvz00_1556
																																															=
																																															BgL_gvz00_7295;
																																														goto
																																															BgL_tagzd2168zd2_1558;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7294);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2187z00_2259;
																																												obj_t
																																													BgL_arg2188z00_2260;
																																												BgL_arg2187z00_2259
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2188z00_2260
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7300;
																																													{
																																														obj_t
																																															BgL_argsz00_7302;
																																														obj_t
																																															BgL_fz00_7301;
																																														BgL_fz00_7301
																																															=
																																															BgL_arg2187z00_2259;
																																														BgL_argsz00_7302
																																															=
																																															BgL_arg2188z00_2260;
																																														BgL_argsz00_1580
																																															=
																																															BgL_argsz00_7302;
																																														BgL_fz00_1579
																																															=
																																															BgL_fz00_7301;
																																														goto
																																															BgL_tagzd2176zd2_1581;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7300);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2190z00_2262;
																																								BgL_arg2190z00_2262
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7305;
																																									{
																																										obj_t
																																											BgL_argsz00_7307;
																																										obj_t
																																											BgL_fz00_7306;
																																										BgL_fz00_7306
																																											=
																																											BgL_arg2190z00_2262;
																																										BgL_argsz00_7307
																																											=
																																											BgL_cdrzd212503zd2_2191;
																																										BgL_argsz00_1580
																																											=
																																											BgL_argsz00_7307;
																																										BgL_fz00_1579
																																											=
																																											BgL_fz00_7306;
																																										goto
																																											BgL_tagzd2176zd2_1581;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7305);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_arg2192z00_2264;
																																						BgL_arg2192z00_2264
																																							=
																																							CAR
																																							(BgL_ez00_69);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7310;
																																							{
																																								obj_t
																																									BgL_argsz00_7312;
																																								obj_t
																																									BgL_fz00_7311;
																																								BgL_fz00_7311
																																									=
																																									BgL_arg2192z00_2264;
																																								BgL_argsz00_7312
																																									=
																																									BgL_cdrzd212503zd2_2191;
																																								BgL_argsz00_1580
																																									=
																																									BgL_argsz00_7312;
																																								BgL_fz00_1579
																																									=
																																									BgL_fz00_7311;
																																								goto
																																									BgL_tagzd2176zd2_1581;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7310);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				if (
																																					(CAR
																																						(BgL_ez00_69)
																																						==
																																						BGl_symbol3046z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd212503zd2_2191))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd213227zd2_2270;
																																								BgL_carzd213227zd2_2270
																																									=
																																									CAR
																																									(BgL_cdrzd212503zd2_2191);
																																								if (PAIRP(BgL_carzd213227zd2_2270))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (NULLP(CDR(BgL_carzd213227zd2_2270)))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2200z00_2274;
																																												obj_t
																																													BgL_arg2201z00_2275;
																																												BgL_arg2200z00_2274
																																													=
																																													CAR
																																													(BgL_carzd213227zd2_2270);
																																												BgL_arg2201z00_2275
																																													=
																																													CDR
																																													(BgL_cdrzd212503zd2_2191);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7327;
																																													{
																																														obj_t
																																															BgL_bodyz00_7329;
																																														obj_t
																																															BgL_vz00_7328;
																																														BgL_vz00_7328
																																															=
																																															BgL_arg2200z00_2274;
																																														BgL_bodyz00_7329
																																															=
																																															BgL_arg2201z00_2275;
																																														BgL_bodyz00_1560
																																															=
																																															BgL_bodyz00_7329;
																																														BgL_vz00_1559
																																															=
																																															BgL_vz00_7328;
																																														goto
																																															BgL_tagzd2169zd2_1561;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7327);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2202z00_2276;
																																												obj_t
																																													BgL_arg2203z00_2277;
																																												BgL_arg2202z00_2276
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2203z00_2277
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7333;
																																													{
																																														obj_t
																																															BgL_argsz00_7335;
																																														obj_t
																																															BgL_fz00_7334;
																																														BgL_fz00_7334
																																															=
																																															BgL_arg2202z00_2276;
																																														BgL_argsz00_7335
																																															=
																																															BgL_arg2203z00_2277;
																																														BgL_argsz00_1580
																																															=
																																															BgL_argsz00_7335;
																																														BgL_fz00_1579
																																															=
																																															BgL_fz00_7334;
																																														goto
																																															BgL_tagzd2176zd2_1581;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7333);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2205z00_2279;
																																										obj_t
																																											BgL_arg2206z00_2280;
																																										BgL_arg2205z00_2279
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										BgL_arg2206z00_2280
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7339;
																																											{
																																												obj_t
																																													BgL_argsz00_7341;
																																												obj_t
																																													BgL_fz00_7340;
																																												BgL_fz00_7340
																																													=
																																													BgL_arg2205z00_2279;
																																												BgL_argsz00_7341
																																													=
																																													BgL_arg2206z00_2280;
																																												BgL_argsz00_1580
																																													=
																																													BgL_argsz00_7341;
																																												BgL_fz00_1579
																																													=
																																													BgL_fz00_7340;
																																												goto
																																													BgL_tagzd2176zd2_1581;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7339);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2207z00_2281;
																																								obj_t
																																									BgL_arg2208z00_2282;
																																								BgL_arg2207z00_2281
																																									=
																																									CAR
																																									(BgL_ez00_69);
																																								BgL_arg2208z00_2282
																																									=
																																									CDR
																																									(BgL_ez00_69);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7345;
																																									{
																																										obj_t
																																											BgL_argsz00_7347;
																																										obj_t
																																											BgL_fz00_7346;
																																										BgL_fz00_7346
																																											=
																																											BgL_arg2207z00_2281;
																																										BgL_argsz00_7347
																																											=
																																											BgL_arg2208z00_2282;
																																										BgL_argsz00_1580
																																											=
																																											BgL_argsz00_7347;
																																										BgL_fz00_1579
																																											=
																																											BgL_fz00_7346;
																																										goto
																																											BgL_tagzd2176zd2_1581;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7345);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd213398zd2_2283;
																																						BgL_cdrzd213398zd2_2283
																																							=
																																							CDR
																																							(BgL_ez00_69);
																																						if (
																																							(CAR
																																								(BgL_ez00_69)
																																								==
																																								BGl_symbol3048z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd213398zd2_2283))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2212z00_2287;
																																										obj_t
																																											BgL_arg2213z00_2288;
																																										BgL_arg2212z00_2287
																																											=
																																											CAR
																																											(BgL_cdrzd213398zd2_2283);
																																										BgL_arg2213z00_2288
																																											=
																																											CDR
																																											(BgL_cdrzd213398zd2_2283);
																																										{	/* Eval/evaluate.scm 575 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1155z00_4425;
																																											{	/* Eval/evaluate.scm 576 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1154z00_4426;
																																												BgL_new1154z00_4426
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 576 */
																																													long
																																														BgL_arg2427z00_4427;
																																													BgL_arg2427z00_4427
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1154z00_4426), BgL_arg2427z00_4427);
																																												}
																																												BgL_new1155z00_4425
																																													=
																																													BgL_new1154z00_4426;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7361;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2446z00_4431;
																																													BgL_arg2446z00_4431
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2212z00_2287,
																																														BgL_locz00_74);
																																													BgL_auxz00_7361
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2212z00_2287,
																																															BgL_arg2446z00_4431));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4425))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7361), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4425))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2213z00_2288, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1155z00_4425);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2214z00_2289;
																																										BgL_arg2214z00_2289
																																											=
																																											CAR
																																											(BgL_ez00_69);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7371;
																																											{
																																												obj_t
																																													BgL_argsz00_7373;
																																												obj_t
																																													BgL_fz00_7372;
																																												BgL_fz00_7372
																																													=
																																													BgL_arg2214z00_2289;
																																												BgL_argsz00_7373
																																													=
																																													BgL_cdrzd213398zd2_2283;
																																												BgL_argsz00_1580
																																													=
																																													BgL_argsz00_7373;
																																												BgL_fz00_1579
																																													=
																																													BgL_fz00_7372;
																																												goto
																																													BgL_tagzd2176zd2_1581;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7371);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								if ((CAR(BgL_ez00_69) == BGl_symbol3050z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd213398zd2_2283))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2219z00_2295;
																																												obj_t
																																													BgL_arg2220z00_2296;
																																												BgL_arg2219z00_2295
																																													=
																																													CAR
																																													(BgL_cdrzd213398zd2_2283);
																																												BgL_arg2220z00_2296
																																													=
																																													CDR
																																													(BgL_cdrzd213398zd2_2283);
																																												{	/* Eval/evaluate.scm 579 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1158z00_4438;
																																													{	/* Eval/evaluate.scm 580 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1157z00_4439;
																																														BgL_new1157z00_4439
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 580 */
																																															long
																																																BgL_arg2428z00_4440;
																																															BgL_arg2428z00_4440
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1157z00_4439), BgL_arg2428z00_4440);
																																														}
																																														BgL_new1158z00_4438
																																															=
																																															BgL_new1157z00_4439;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7386;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2446z00_4444;
																																															BgL_arg2446z00_4444
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2219z00_2295,
																																																BgL_locz00_74);
																																															BgL_auxz00_7386
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2219z00_2295,
																																																	BgL_arg2446z00_4444));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4438))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7386), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4438))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2220z00_2296, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1158z00_4438);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2221z00_2297;
																																												obj_t
																																													BgL_arg2222z00_2298;
																																												BgL_arg2221z00_2297
																																													=
																																													CAR
																																													(BgL_ez00_69);
																																												BgL_arg2222z00_2298
																																													=
																																													CDR
																																													(BgL_ez00_69);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7397;
																																													{
																																														obj_t
																																															BgL_argsz00_7399;
																																														obj_t
																																															BgL_fz00_7398;
																																														BgL_fz00_7398
																																															=
																																															BgL_arg2221z00_2297;
																																														BgL_argsz00_7399
																																															=
																																															BgL_arg2222z00_2298;
																																														BgL_argsz00_1580
																																															=
																																															BgL_argsz00_7399;
																																														BgL_fz00_1579
																																															=
																																															BgL_fz00_7398;
																																														goto
																																															BgL_tagzd2176zd2_1581;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7397);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd213505zd2_2299;
																																										BgL_cdrzd213505zd2_2299
																																											=
																																											CDR
																																											(BgL_ez00_69);
																																										if ((CAR(BgL_ez00_69) == BGl_symbol3052z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd213505zd2_2299))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd213510zd2_2303;
																																														BgL_cdrzd213510zd2_2303
																																															=
																																															CDR
																																															(BgL_cdrzd213505zd2_2299);
																																														if (PAIRP(BgL_cdrzd213510zd2_2303))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213515zd2_2305;
																																																BgL_cdrzd213515zd2_2305
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213510zd2_2303);
																																																if ((CAR(BgL_cdrzd213510zd2_2303) == BGl_keyword3054z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd213515zd2_2305))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2230z00_2309;
																																																				obj_t
																																																					BgL_arg2231z00_2310;
																																																				obj_t
																																																					BgL_arg2232z00_2311;
																																																				BgL_arg2230z00_2309
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2299);
																																																				BgL_arg2231z00_2310
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213515zd2_2305);
																																																				BgL_arg2232z00_2311
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213515zd2_2305);
																																																				{	/* Eval/evaluate.scm 583 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1160z00_4455;
																																																					{	/* Eval/evaluate.scm 584 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1159z00_4456;
																																																						BgL_new1159z00_4456
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 584 */
																																																							long
																																																								BgL_arg2430z00_4457;
																																																							BgL_arg2430z00_4457
																																																								=
																																																								BGL_CLASS_NUM
																																																								(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1159z00_4456), BgL_arg2430z00_4457);
																																																						}
																																																						BgL_new1160z00_4455
																																																							=
																																																							BgL_new1159z00_4456;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4455))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7424;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2446z00_4461;
																																																							BgL_arg2446z00_4461
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2230z00_2309,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7424
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2230z00_2309,
																																																									BgL_arg2446z00_4461));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4455))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7424), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7429;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2446z00_4462;
																																																							BgL_arg2446z00_4462
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2231z00_2310,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7429
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2231z00_2310,
																																																									BgL_arg2446z00_4462));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4455))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7429), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4455))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2232z00_2311, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1160z00_4455);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2233z00_2313;
																																																				obj_t
																																																					BgL_arg2234z00_2314;
																																																				BgL_arg2233z00_2313
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2299));
																																																				BgL_arg2234z00_2314
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2299));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7442;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7444;
																																																						obj_t
																																																							BgL_mz00_7443;
																																																						BgL_mz00_7443
																																																							=
																																																							BgL_arg2233z00_2313;
																																																						BgL_bodyz00_7444
																																																							=
																																																							BgL_arg2234z00_2314;
																																																						BgL_bodyz00_1573
																																																							=
																																																							BgL_bodyz00_7444;
																																																						BgL_mz00_1572
																																																							=
																																																							BgL_mz00_7443;
																																																						goto
																																																							BgL_tagzd2173zd2_1574;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7442);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2235z00_2316;
																																																		obj_t
																																																			BgL_arg2236z00_2317;
																																																		BgL_arg2235z00_2316
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2299));
																																																		BgL_arg2236z00_2317
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2299));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7450;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7452;
																																																				obj_t
																																																					BgL_mz00_7451;
																																																				BgL_mz00_7451
																																																					=
																																																					BgL_arg2235z00_2316;
																																																				BgL_bodyz00_7452
																																																					=
																																																					BgL_arg2236z00_2317;
																																																				BgL_bodyz00_1573
																																																					=
																																																					BgL_bodyz00_7452;
																																																				BgL_mz00_1572
																																																					=
																																																					BgL_mz00_7451;
																																																				goto
																																																					BgL_tagzd2173zd2_1574;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7450);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2238z00_2320;
																																																obj_t
																																																	BgL_arg2239z00_2321;
																																																BgL_arg2238z00_2320
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2299));
																																																BgL_arg2239z00_2321
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2299));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7458;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7460;
																																																		obj_t
																																																			BgL_mz00_7459;
																																																		BgL_mz00_7459
																																																			=
																																																			BgL_arg2238z00_2320;
																																																		BgL_bodyz00_7460
																																																			=
																																																			BgL_arg2239z00_2321;
																																																		BgL_bodyz00_1573
																																																			=
																																																			BgL_bodyz00_7460;
																																																		BgL_mz00_1572
																																																			=
																																																			BgL_mz00_7459;
																																																		goto
																																																			BgL_tagzd2173zd2_1574;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7458);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2240z00_2322;
																																														BgL_arg2240z00_2322
																																															=
																																															CAR
																																															(BgL_ez00_69);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7463;
																																															{
																																																obj_t
																																																	BgL_argsz00_7465;
																																																obj_t
																																																	BgL_fz00_7464;
																																																BgL_fz00_7464
																																																	=
																																																	BgL_arg2240z00_2322;
																																																BgL_argsz00_7465
																																																	=
																																																	BgL_cdrzd213505zd2_2299;
																																																BgL_argsz00_1580
																																																	=
																																																	BgL_argsz00_7465;
																																																BgL_fz00_1579
																																																	=
																																																	BgL_fz00_7464;
																																																goto
																																																	BgL_tagzd2176zd2_1581;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7463);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												if ((CAR(BgL_ez00_69) == BGl_symbol3009z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd213505zd2_2299))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213617zd2_2328;
																																																BgL_cdrzd213617zd2_2328
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213505zd2_2299);
																																																if (PAIRP(BgL_cdrzd213617zd2_2328))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd213617zd2_2328)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2248z00_2332;
																																																				obj_t
																																																					BgL_arg2249z00_2333;
																																																				BgL_arg2248z00_2332
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2299);
																																																				BgL_arg2249z00_2333
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213617zd2_2328);
																																																				{	/* Eval/evaluate.scm 595 */
																																																					obj_t
																																																						BgL_arg2433z00_4480;
																																																					{	/* Eval/evaluate.scm 595 */
																																																						obj_t
																																																							BgL_arg2434z00_4481;
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2436z00_4482;
																																																							obj_t
																																																								BgL_arg2437z00_4483;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_symbolz00_4484;
																																																								BgL_symbolz00_4484
																																																									=
																																																									BGl_symbol3056z00zz__evaluatez00;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2657z00_4485;
																																																									BgL_arg2657z00_4485
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_symbolz00_4484);
																																																									BgL_arg2436z00_4482
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2657z00_4485);
																																																								}
																																																							}
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2657z00_4487;
																																																								BgL_arg2657z00_4487
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(
																																																									((obj_t) BgL_wherez00_73));
																																																								BgL_arg2437z00_4483
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2657z00_4487);
																																																							}
																																																							BgL_arg2434z00_4481
																																																								=
																																																								string_append
																																																								(BgL_arg2436z00_4482,
																																																								BgL_arg2437z00_4483);
																																																						}
																																																						BgL_arg2433z00_4480
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2434z00_4481);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2248z00_2332,
																																																							BgL_arg2249z00_2333,
																																																							BgL_arg2433z00_4480,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2250z00_2334;
																																																				obj_t
																																																					BgL_arg2251z00_2335;
																																																				BgL_arg2250z00_2334
																																																					=
																																																					CAR
																																																					(BgL_ez00_69);
																																																				BgL_arg2251z00_2335
																																																					=
																																																					CDR
																																																					(BgL_ez00_69);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7491;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7493;
																																																						obj_t
																																																							BgL_fz00_7492;
																																																						BgL_fz00_7492
																																																							=
																																																							BgL_arg2250z00_2334;
																																																						BgL_argsz00_7493
																																																							=
																																																							BgL_arg2251z00_2335;
																																																						BgL_argsz00_1580
																																																							=
																																																							BgL_argsz00_7493;
																																																						BgL_fz00_1579
																																																							=
																																																							BgL_fz00_7492;
																																																						goto
																																																							BgL_tagzd2176zd2_1581;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7491);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2253z00_2337;
																																																		obj_t
																																																			BgL_arg2254z00_2338;
																																																		BgL_arg2253z00_2337
																																																			=
																																																			CAR
																																																			(BgL_ez00_69);
																																																		BgL_arg2254z00_2338
																																																			=
																																																			CDR
																																																			(BgL_ez00_69);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7497;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7499;
																																																				obj_t
																																																					BgL_fz00_7498;
																																																				BgL_fz00_7498
																																																					=
																																																					BgL_arg2253z00_2337;
																																																				BgL_argsz00_7499
																																																					=
																																																					BgL_arg2254z00_2338;
																																																				BgL_argsz00_1580
																																																					=
																																																					BgL_argsz00_7499;
																																																				BgL_fz00_1579
																																																					=
																																																					BgL_fz00_7498;
																																																				goto
																																																					BgL_tagzd2176zd2_1581;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7497);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2255z00_2339;
																																																obj_t
																																																	BgL_arg2256z00_2340;
																																																BgL_arg2255z00_2339
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2256z00_2340
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7503;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7505;
																																																		obj_t
																																																			BgL_fz00_7504;
																																																		BgL_fz00_7504
																																																			=
																																																			BgL_arg2255z00_2339;
																																																		BgL_argsz00_7505
																																																			=
																																																			BgL_arg2256z00_2340;
																																																		BgL_argsz00_1580
																																																			=
																																																			BgL_argsz00_7505;
																																																		BgL_fz00_1579
																																																			=
																																																			BgL_fz00_7504;
																																																		goto
																																																			BgL_tagzd2176zd2_1581;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7503);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(BgL_ez00_69) == BGl_symbol3058z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																return
																																																	BGl_errorz00zz__errorz00
																																																	(BGl_string3060z00zz__evaluatez00,
																																																	BGl_string3061z00zz__evaluatez00,
																																																	BgL_ez00_69);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2259z00_2343;
																																																obj_t
																																																	BgL_arg2260z00_2344;
																																																BgL_arg2259z00_2343
																																																	=
																																																	CAR
																																																	(BgL_ez00_69);
																																																BgL_arg2260z00_2344
																																																	=
																																																	CDR
																																																	(BgL_ez00_69);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7513;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7515;
																																																		obj_t
																																																			BgL_fz00_7514;
																																																		BgL_fz00_7514
																																																			=
																																																			BgL_arg2259z00_2343;
																																																		BgL_argsz00_7515
																																																			=
																																																			BgL_arg2260z00_2344;
																																																		BgL_argsz00_1580
																																																			=
																																																			BgL_argsz00_7515;
																																																		BgL_fz00_1579
																																																			=
																																																			BgL_fz00_7514;
																																																		goto
																																																			BgL_tagzd2176zd2_1581;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7513);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 424 */
						BgL_xz00_1503 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1503))
							{	/* Eval/evaluate.scm 427 */
								obj_t BgL__ortest_1103z00_2366;

								BgL__ortest_1103z00_2366 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1503,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1103z00_2366))
									{	/* Eval/evaluate.scm 427 */
										return BgL__ortest_1103z00_2366;
									}
								else
									{	/* Eval/evaluate.scm 195 */
										BgL_ev_globalz00_bglt BgL_new1078z00_3553;

										{	/* Eval/evaluate.scm 196 */
											BgL_ev_globalz00_bglt BgL_new1077z00_3554;

											BgL_new1077z00_3554 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 196 */
												long BgL_arg1396z00_3555;

												BgL_arg1396z00_3555 =
													BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1077z00_3554),
													BgL_arg1396z00_3555);
											}
											BgL_new1078z00_3553 = BgL_new1077z00_3554;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3553))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3553))->
												BgL_namez00) = ((obj_t) BgL_xz00_1503), BUNSPEC);
										{
											obj_t BgL_auxz00_7528;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7528 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7528 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3553))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7528), BUNSPEC);
										}
										return ((obj_t) BgL_new1078z00_3553);
									}
							}
						else
							{	/* Eval/evaluate.scm 428 */
								BgL_ev_littz00_bglt BgL_new1105z00_2367;

								{	/* Eval/evaluate.scm 429 */
									BgL_ev_littz00_bglt BgL_new1104z00_2368;

									BgL_new1104z00_2368 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 429 */
										long BgL_arg2283z00_2369;

										BgL_arg2283z00_2369 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1104z00_2368),
											BgL_arg2283z00_2369);
									}
									BgL_new1105z00_2367 = BgL_new1104z00_2368;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1105z00_2367))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1503), BUNSPEC);
								return ((obj_t) BgL_new1105z00_2367);
							}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4823,
		obj_t BgL_globalsz00_4822, obj_t BgL_localsz00_4821, obj_t BgL_locz00_4820,
		obj_t BgL_esz00_2697)
	{
		{	/* Eval/evaluate.scm 386 */
			if (NULLP(BgL_esz00_2697))
				{	/* Eval/evaluate.scm 387 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 389 */
					obj_t BgL_ez00_2700;

					BgL_ez00_2700 = CAR(((obj_t) BgL_esz00_2697));
					{	/* Eval/evaluate.scm 390 */
						obj_t BgL_arg2452z00_2701;
						obj_t BgL_arg2453z00_2702;

						{	/* Eval/evaluate.scm 390 */
							obj_t BgL_arg2454z00_2703;

							{	/* Eval/evaluate.scm 150 */
								obj_t BgL__ortest_1070z00_3532;

								BgL__ortest_1070z00_3532 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2700);
								if (CBOOL(BgL__ortest_1070z00_3532))
									{	/* Eval/evaluate.scm 150 */
										BgL_arg2454z00_2703 = BgL__ortest_1070z00_3532;
									}
								else
									{	/* Eval/evaluate.scm 151 */
										obj_t BgL__ortest_1071z00_3533;

										BgL__ortest_1071z00_3533 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2697);
										if (CBOOL(BgL__ortest_1071z00_3533))
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2454z00_2703 = BgL__ortest_1071z00_3533;
											}
										else
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2454z00_2703 = BgL_locz00_4820;
											}
									}
							}
							BgL_arg2452z00_2701 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2700, BgL_localsz00_4821,
								BgL_globalsz00_4822, BFALSE, BgL_wherez00_4823,
								BgL_arg2454z00_2703, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2455z00_2704;

							BgL_arg2455z00_2704 = CDR(((obj_t) BgL_esz00_2697));
							BgL_arg2453z00_2702 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4823,
								BgL_globalsz00_4822, BgL_localsz00_4821, BgL_locz00_4820,
								BgL_arg2455z00_2704);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2452z00_2701, BgL_arg2453z00_2702);
					}
				}
		}

	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4825,
		obj_t BgL_globalsz00_4824, obj_t BgL_lz00_2515, obj_t BgL_varsz00_2516,
		obj_t BgL_localsz00_2517, obj_t BgL_locz00_2518)
	{
		{	/* Eval/evaluate.scm 502 */
			if (NULLP(BgL_lz00_2515))
				{	/* Eval/evaluate.scm 498 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 500 */
					obj_t BgL_locz00_3685;

					{	/* Eval/evaluate.scm 500 */
						obj_t BgL_arg2366z00_3686;

						BgL_arg2366z00_3686 = CAR(((obj_t) BgL_lz00_2515));
						{	/* Eval/evaluate.scm 144 */
							obj_t BgL__ortest_1069z00_3695;

							BgL__ortest_1069z00_3695 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2366z00_3686);
							if (CBOOL(BgL__ortest_1069z00_3695))
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3685 = BgL__ortest_1069z00_3695;
								}
							else
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3685 = BgL_locz00_2518;
								}
						}
					}
					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2357z00_3687;
						obj_t BgL_arg2358z00_3688;

						{	/* Eval/evaluate.scm 501 */
							obj_t BgL_arg2360z00_3689;

							{	/* Eval/evaluate.scm 501 */
								obj_t BgL_pairz00_3701;

								{	/* Eval/evaluate.scm 501 */
									obj_t BgL_pairz00_3700;

									BgL_pairz00_3700 = CAR(((obj_t) BgL_lz00_2515));
									BgL_pairz00_3701 = CDR(BgL_pairz00_3700);
								}
								BgL_arg2360z00_3689 = CAR(BgL_pairz00_3701);
							}
							BgL_arg2357z00_3687 =
								BGl_convz00zz__evaluatez00(BgL_arg2360z00_3689,
								BgL_localsz00_2517, BgL_globalsz00_4824, BFALSE,
								BgL_wherez00_4825, BgL_locz00_3685, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2361z00_3690;
							obj_t BgL_arg2363z00_3691;
							obj_t BgL_arg2364z00_3692;

							BgL_arg2361z00_3690 = CDR(((obj_t) BgL_lz00_2515));
							BgL_arg2363z00_3691 = CDR(((obj_t) BgL_varsz00_2516));
							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_arg2365z00_3693;

								BgL_arg2365z00_3693 = CAR(((obj_t) BgL_varsz00_2516));
								BgL_arg2364z00_3692 =
									MAKE_YOUNG_PAIR(BgL_arg2365z00_3693, BgL_localsz00_2517);
							}
							BgL_arg2358z00_3688 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4825,
								BgL_globalsz00_4824, BgL_arg2361z00_3690, BgL_arg2363z00_3691,
								BgL_arg2364z00_3692, BgL_locz00_3685);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2357z00_3687, BgL_arg2358z00_3688);
					}
				}
		}

	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4829, obj_t BgL_localsz00_4828, obj_t BgL_ez00_4827,
		obj_t BgL_locz00_4826, obj_t BgL_formalsz00_2706, obj_t BgL_bodyz00_2707,
		obj_t BgL_wherez00_2708, obj_t BgL_typez00_2709)
	{
		{	/* Eval/evaluate.scm 404 */
			{
				obj_t BgL_lz00_2740;

				{	/* Eval/evaluate.scm 406 */
					obj_t BgL_argsz00_2712;

					BgL_lz00_2740 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2706, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2744;
						obj_t BgL_flatz00_2745;
						long BgL_arityz00_2746;

						BgL_rz00_2744 = BgL_lz00_2740;
						BgL_flatz00_2745 = BNIL;
						BgL_arityz00_2746 = ((long) 0);
					BgL_zc3z04anonymousza32471ze3z87_2747:
						if (NULLP(BgL_rz00_2744))
							{	/* Eval/evaluate.scm 399 */
								obj_t BgL_val0_1206z00_2749;

								BgL_val0_1206z00_2749 = bgl_reverse_bang(BgL_flatz00_2745);
								{	/* Eval/evaluate.scm 399 */
									int BgL_tmpz00_7579;

									BgL_tmpz00_7579 = (int) (((long) 2));
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7579);
								}
								{	/* Eval/evaluate.scm 399 */
									obj_t BgL_auxz00_7584;
									int BgL_tmpz00_7582;

									BgL_auxz00_7584 = BINT(BgL_arityz00_2746);
									BgL_tmpz00_7582 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7582, BgL_auxz00_7584);
								}
								BgL_argsz00_2712 = BgL_val0_1206z00_2749;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								if (PAIRP(BgL_rz00_2744))
									{	/* Eval/evaluate.scm 403 */
										obj_t BgL_arg2475z00_2752;
										obj_t BgL_arg2476z00_2753;
										long BgL_arg2477z00_2754;

										BgL_arg2475z00_2752 = CDR(BgL_rz00_2744);
										BgL_arg2476z00_2753 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2744)), BgL_flatz00_2745);
										BgL_arg2477z00_2754 = (BgL_arityz00_2746 + ((long) 1));
										{
											long BgL_arityz00_7596;
											obj_t BgL_flatz00_7595;
											obj_t BgL_rz00_7594;

											BgL_rz00_7594 = BgL_arg2475z00_2752;
											BgL_flatz00_7595 = BgL_arg2476z00_2753;
											BgL_arityz00_7596 = BgL_arg2477z00_2754;
											BgL_arityz00_2746 = BgL_arityz00_7596;
											BgL_flatz00_2745 = BgL_flatz00_7595;
											BgL_rz00_2744 = BgL_rz00_7594;
											goto BgL_zc3z04anonymousza32471ze3z87_2747;
										}
									}
								else
									{	/* Eval/evaluate.scm 401 */
										obj_t BgL_val0_1208z00_2757;
										long BgL_val1_1209z00_2758;

										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_arg2481z00_2759;

											BgL_arg2481z00_2759 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2744), BgL_flatz00_2745);
											BgL_val0_1208z00_2757 =
												bgl_reverse_bang(BgL_arg2481z00_2759);
										}
										BgL_val1_1209z00_2758 = (((long) -1) - BgL_arityz00_2746);
										{	/* Eval/evaluate.scm 401 */
											int BgL_tmpz00_7601;

											BgL_tmpz00_7601 = (int) (((long) 2));
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7601);
										}
										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_auxz00_7606;
											int BgL_tmpz00_7604;

											BgL_auxz00_7606 = BINT(BgL_val1_1209z00_2758);
											BgL_tmpz00_7604 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7604, BgL_auxz00_7606);
										}
										BgL_argsz00_2712 = BgL_val0_1208z00_2757;
					}}}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arityz00_2713;

						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_tmpz00_3539;

							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7610;

								BgL_tmpz00_7610 = (int) (((long) 1));
								BgL_tmpz00_3539 = BGL_MVALUES_VAL(BgL_tmpz00_7610);
							}
							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7613;

								BgL_tmpz00_7613 = (int) (((long) 1));
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7613, BUNSPEC);
							}
							BgL_arityz00_2713 = BgL_tmpz00_3539;
						}
						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_varsz00_2714;
							obj_t BgL_bodyz00_2715;
							obj_t BgL_nlocz00_2716;

							if (NULLP(BgL_argsz00_2712))
								{	/* Eval/evaluate.scm 408 */
									BgL_varsz00_2714 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 408 */
									obj_t BgL_head1212z00_2723;

									BgL_head1212z00_2723 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1210z00_2725;
										obj_t BgL_tail1213z00_2726;

										BgL_l1210z00_2725 = BgL_argsz00_2712;
										BgL_tail1213z00_2726 = BgL_head1212z00_2723;
									BgL_zc3z04anonymousza32460ze3z87_2727:
										if (NULLP(BgL_l1210z00_2725))
											{	/* Eval/evaluate.scm 408 */
												BgL_varsz00_2714 = CDR(BgL_head1212z00_2723);
											}
										else
											{	/* Eval/evaluate.scm 408 */
												obj_t BgL_newtail1214z00_2729;

												{	/* Eval/evaluate.scm 408 */
													BgL_ev_varz00_bglt BgL_arg2463z00_2731;

													{	/* Eval/evaluate.scm 408 */
														obj_t BgL_vz00_2732;

														BgL_vz00_2732 = CAR(((obj_t) BgL_l1210z00_2725));
														{	/* Eval/evaluate.scm 409 */
															BgL_ev_varz00_bglt BgL_new1100z00_2733;

															{	/* Eval/evaluate.scm 411 */
																BgL_ev_varz00_bglt BgL_new1099z00_2734;

																BgL_new1099z00_2734 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 411 */
																	long BgL_arg2464z00_2735;

																	BgL_arg2464z00_2735 =
																		BGL_CLASS_NUM
																		(BGl_ev_varz00zz__evaluate_typesz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1099z00_2734),
																		BgL_arg2464z00_2735);
																}
																BgL_new1100z00_2733 = BgL_new1099z00_2734;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2733))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2732))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2733))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2733))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2732))),
																BUNSPEC);
															BgL_arg2463z00_2731 = BgL_new1100z00_2733;
													}}
													BgL_newtail1214z00_2729 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2463z00_2731), BNIL);
												}
												SET_CDR(BgL_tail1213z00_2726, BgL_newtail1214z00_2729);
												{	/* Eval/evaluate.scm 408 */
													obj_t BgL_arg2462z00_2730;

													BgL_arg2462z00_2730 =
														CDR(((obj_t) BgL_l1210z00_2725));
													{
														obj_t BgL_tail1213z00_7641;
														obj_t BgL_l1210z00_7640;

														BgL_l1210z00_7640 = BgL_arg2462z00_2730;
														BgL_tail1213z00_7641 = BgL_newtail1214z00_2729;
														BgL_tail1213z00_2726 = BgL_tail1213z00_7641;
														BgL_l1210z00_2725 = BgL_l1210z00_7640;
														goto BgL_zc3z04anonymousza32460ze3z87_2727;
													}
												}
											}
									}
								}
							BgL_bodyz00_2715 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4827, BgL_formalsz00_2706,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2712,
									BgL_argsz00_2712,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2709,
										BgL_bodyz00_2707, BgL_locz00_4826), BgL_locz00_4826,
									BgL_wherez00_2708), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3549;

								BgL__ortest_1069z00_3549 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2707);
								if (CBOOL(BgL__ortest_1069z00_3549))
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2716 = BgL__ortest_1069z00_3549;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2716 = BgL_locz00_4826;
									}
							}
							{	/* Eval/evaluate.scm 417 */
								BgL_ev_absz00_bglt BgL_new1102z00_2717;

								{	/* Eval/evaluate.scm 418 */
									BgL_ev_absz00_bglt BgL_new1101z00_2719;

									BgL_new1101z00_2719 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 418 */
										long BgL_arg2458z00_2720;

										BgL_arg2458z00_2720 =
											BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1101z00_2719),
											BgL_arg2458z00_2720);
									}
									BgL_new1102z00_2717 = BgL_new1101z00_2719;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_locz00) = ((obj_t) BgL_locz00_4826), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2708), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2713), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2714), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7656;

									{	/* Eval/evaluate.scm 422 */
										obj_t BgL_arg2457z00_2718;

										BgL_arg2457z00_2718 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2714,
											BgL_localsz00_4828);
										BgL_auxz00_7656 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2715,
												BgL_arg2457z00_2718, BgL_globalsz00_4829, BTRUE,
												BgL_wherez00_2708, BgL_nlocz00_2716, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7656), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2717))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1102z00_2717;
							}
						}
					}
				}
			}
		}

	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4836,
		obj_t BgL_globalsz00_4835, obj_t BgL_localsz00_4834, obj_t BgL_ez00_2684,
		obj_t BgL_locz00_2685)
	{
		{	/* Eval/evaluate.scm 377 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2684, BgL_localsz00_4834,
				BgL_globalsz00_4835, BFALSE, BgL_wherez00_4836, BgL_locz00_2685,
				((bool_t) 0));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 236632712),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					80085104), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 190905450),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string3062z00zz__evaluatez00));
		}

	}

#ifdef __cplusplus
}
#endif
