/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3z04anonymousza33741ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza33920ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33750ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33637ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33573ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33484ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33833ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32926ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32918ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_symbol4700z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4702z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4704z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4706z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4708z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_prog21425zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33656ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33729ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33397ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4710z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4712z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4714z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4716z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol4718z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33843ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_symbol4720z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol4803z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4722z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4724z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4726z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4728z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3z04exitza33427ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, long, obj_t);
	static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33933ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_symbol4730z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4732z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4814z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4734z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4816z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4736z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4818z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4738z00zz__evaluate_compz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32962ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32954ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32946ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32938ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol4820z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4740z00zz__evaluate_compz00 = BUNSPEC;
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_symbol4742z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33200ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4744z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4746z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4748z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33765ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_or1421zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol4750z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4670z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4752z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4672z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4754z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol4674z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33104ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4756z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4758z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_var1404zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33944ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_symbol4760z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4680z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4762z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol4764z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
	static obj_t BGl_symbol4688z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33961ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_symbol4690z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4692z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol4695z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_let1427zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_symbol4698z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza32990ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_goto1445zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33131ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33107ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33882ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32886ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33116ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol4795z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33972ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33786ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33859ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza33133ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza34016ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_global1410zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32340ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33893ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33796ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33869ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1440z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32139ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_labels1442zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32898ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4601z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4603z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4605z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4607z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33322ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4609z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t bigloo_string_lt(obj_t, obj_t);
	static obj_t BGl_z62run4611z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4613z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4615z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1447zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4617z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4619z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32424ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza34036ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62run4621z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62run4623z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4625z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4627z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33081ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4629z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32255ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33986ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_z62run4631z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4633z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4635z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4637z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33325ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern int bgl_debug();
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4639z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_setlocal1408zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4641z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_z62run4643z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4645z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33091ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4647z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62run4649z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_and1423zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62run4651z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_bindzd2exit1434z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4653z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4655z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza34080ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run4657z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4659z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32428ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4661z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62run4663z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4665z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32380ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4600z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4589z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4602z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4604z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4606z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4608z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33998ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_abs1449zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4591z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4593z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33426ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run4595z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32616ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1438z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run4597z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33078ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4610z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run4599z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32098ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4612z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4614z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4616z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4618z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_z62compzd2ev_letrec1432zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33613ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33435ze3ze5zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33095ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33087ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza34059ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4620z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4622z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_trap1402zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1419zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main4624z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main4626z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4628z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33703ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33274ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4630z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4632z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4634z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4636z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4638z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33720ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32902ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21430z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33275ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62main4640z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4642z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4644z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4646z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main4648z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_litt1417zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3z04exitza33441ze3ze70z60zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62comp1399z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32563ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33195ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33098ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4650z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4652z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4654z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4656z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main4658z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62main4660z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4662z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4664z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4588z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_defglobal1415zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33812ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32484ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1436z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main4590z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4592z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4594z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1413zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4596z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main4598z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza33910ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32922ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza33368ze3ze5zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za74824z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_4825z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza74826za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4701z00zz__evaluate_compz00,
		BgL_bgl_string4701za700za7za7_4827za7, "number", 6);
	      DEFINE_STRING(BGl_string4703z00zz__evaluate_compz00,
		BgL_bgl_string4703za700za7za7_4828za7, "-", 1);
	      DEFINE_STRING(BGl_string4705z00zz__evaluate_compz00,
		BgL_bgl_string4705za700za7za7_4829za7, "*", 1);
	      DEFINE_STRING(BGl_string4707z00zz__evaluate_compz00,
		BgL_bgl_string4707za700za7za7_4830za7, "/", 1);
	      DEFINE_STRING(BGl_string4709z00zz__evaluate_compz00,
		BgL_bgl_string4709za700za7za7_4831za7, "<", 1);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4711z00zz__evaluate_compz00,
		BgL_bgl_string4711za700za7za7_4832za7, ">", 1);
	      DEFINE_STRING(BGl_string4713z00zz__evaluate_compz00,
		BgL_bgl_string4713za700za7za7_4833za7, "<=", 2);
	      DEFINE_STRING(BGl_string4715z00zz__evaluate_compz00,
		BgL_bgl_string4715za700za7za7_4834za7, ">=", 2);
	      DEFINE_STRING(BGl_string4717z00zz__evaluate_compz00,
		BgL_bgl_string4717za700za7za7_4835za7, "=", 1);
	      DEFINE_STRING(BGl_string4719z00zz__evaluate_compz00,
		BgL_bgl_string4719za700za7za7_4836za7, "+fx", 3);
	      DEFINE_STRING(BGl_string4800z00zz__evaluate_compz00,
		BgL_bgl_string4800za700za7za7_4837za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string4801z00zz__evaluate_compz00,
		BgL_bgl_string4801za700za7za7_4838za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string4802z00zz__evaluate_compz00,
		BgL_bgl_string4802za700za7za7_4839za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string4721z00zz__evaluate_compz00,
		BgL_bgl_string4721za700za7za7_4840za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string4804z00zz__evaluate_compz00,
		BgL_bgl_string4804za700za7za7_4841za7, "@", 1);
	      DEFINE_STRING(BGl_string4723z00zz__evaluate_compz00,
		BgL_bgl_string4723za700za7za7_4842za7, "-fx", 3);
	      DEFINE_STRING(BGl_string4805z00zz__evaluate_compz00,
		BgL_bgl_string4805za700za7za7_4843za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string4725z00zz__evaluate_compz00,
		BgL_bgl_string4725za700za7za7_4844za7, "*fx", 3);
	      DEFINE_STRING(BGl_string4727z00zz__evaluate_compz00,
		BgL_bgl_string4727za700za7za7_4845za7, "/fx", 3);
	      DEFINE_STRING(BGl_string4729z00zz__evaluate_compz00,
		BgL_bgl_string4729za700za7za7_4846za7, "<fx", 3);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4806z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4847za7,
		BGl_z62zc3z04anonymousza33078ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4731z00zz__evaluate_compz00,
		BgL_bgl_string4731za700za7za7_4848za7, ">fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4807z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4849za7,
		BGl_z62zc3z04anonymousza33081ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4808z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4850za7,
		BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4733z00zz__evaluate_compz00,
		BgL_bgl_string4733za700za7za7_4851za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string4815z00zz__evaluate_compz00,
		BgL_bgl_string4815za700za7za7_4852za7, "get_sp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4809z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4853za7,
		BGl_z62zc3z04anonymousza33087ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4735z00zz__evaluate_compz00,
		BgL_bgl_string4735za700za7za7_4854za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string4817z00zz__evaluate_compz00,
		BgL_bgl_string4817za700za7za7_4855za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string4737z00zz__evaluate_compz00,
		BgL_bgl_string4737za700za7za7_4856za7, "=fx", 3);
	      DEFINE_STRING(BGl_string4819z00zz__evaluate_compz00,
		BgL_bgl_string4819za700za7za7_4857za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string4739z00zz__evaluate_compz00,
		BgL_bgl_string4739za700za7za7_4858za7, "+fl", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4810z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4859za7,
		BGl_z62zc3z04anonymousza33091ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4811z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4860za7,
		BGl_z62zc3z04anonymousza33095ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4812z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4861za7,
		BGl_z62zc3z04anonymousza33098ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4813z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3za704anonymo4862za7,
		BGl_z62zc3z04anonymousza33104ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string4821z00zz__evaluate_compz00,
		BgL_bgl_string4821za700za7za7_4863za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string4822z00zz__evaluate_compz00,
		BgL_bgl_string4822za700za7za7_4864za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string4741z00zz__evaluate_compz00,
		BgL_bgl_string4741za700za7za7_4865za7, "flonum", 6);
	      DEFINE_STRING(BGl_string4823z00zz__evaluate_compz00,
		BgL_bgl_string4823za700za7za7_4866za7, "__evaluate_comp", 15);
	      DEFINE_STRING(BGl_string4743z00zz__evaluate_compz00,
		BgL_bgl_string4743za700za7za7_4867za7, "-fl", 3);
	      DEFINE_STRING(BGl_string4745z00zz__evaluate_compz00,
		BgL_bgl_string4745za700za7za7_4868za7, "*fl", 3);
	      DEFINE_STRING(BGl_string4747z00zz__evaluate_compz00,
		BgL_bgl_string4747za700za7za7_4869za7, "/fl", 3);
	      DEFINE_STRING(BGl_string4749z00zz__evaluate_compz00,
		BgL_bgl_string4749za700za7za7_4870za7, "<fl", 3);
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string4751z00zz__evaluate_compz00,
		BgL_bgl_string4751za700za7za7_4871za7, ">fl", 3);
	      DEFINE_STRING(BGl_string4671z00zz__evaluate_compz00,
		BgL_bgl_string4671za700za7za7_4872za7, "all", 3);
	      DEFINE_STRING(BGl_string4753z00zz__evaluate_compz00,
		BgL_bgl_string4753za700za7za7_4873za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string4673z00zz__evaluate_compz00,
		BgL_bgl_string4673za700za7za7_4874za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string4755z00zz__evaluate_compz00,
		BgL_bgl_string4755za700za7za7_4875za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string4675z00zz__evaluate_compz00,
		BgL_bgl_string4675za700za7za7_4876za7, "bounce", 6);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4757z00zz__evaluate_compz00,
		BgL_bgl_string4757za700za7za7_4877za7, "=fl", 3);
	      DEFINE_STRING(BGl_string4676z00zz__evaluate_compz00,
		BgL_bgl_string4676za700za7za7_4878za7, "non non non", 11);
	      DEFINE_STRING(BGl_string4677z00zz__evaluate_compz00,
		BgL_bgl_string4677za700za7za7_4879za7, " in ", 4);
	      DEFINE_STRING(BGl_string4759z00zz__evaluate_compz00,
		BgL_bgl_string4759za700za7za7_4880za7, "car", 3);
	      DEFINE_STRING(BGl_string4678z00zz__evaluate_compz00,
		BgL_bgl_string4678za700za7za7_4881za7, "eval", 4);
	      DEFINE_STRING(BGl_string4679z00zz__evaluate_compz00,
		BgL_bgl_string4679za700za7za7_4882za7, "internal error: not found", 25);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string4761z00zz__evaluate_compz00,
		BgL_bgl_string4761za700za7za7_4883za7, "pair", 4);
	      DEFINE_STRING(BGl_string4681z00zz__evaluate_compz00,
		BgL_bgl_string4681za700za7za7_4884za7, "at", 2);
	      DEFINE_STRING(BGl_string4763z00zz__evaluate_compz00,
		BgL_bgl_string4763za700za7za7_4885za7, "cdr", 3);
	      DEFINE_STRING(BGl_string4682z00zz__evaluate_compz00,
		BgL_bgl_string4682za700za7za7_4886za7, "", 0);
	      DEFINE_STRING(BGl_string4683z00zz__evaluate_compz00,
		BgL_bgl_string4683za700za7za7_4887za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string4765z00zz__evaluate_compz00,
		BgL_bgl_string4765za700za7za7_4888za7, "cadr", 4);
	      DEFINE_STRING(BGl_string4684z00zz__evaluate_compz00,
		BgL_bgl_string4684za700za7za7_4889za7, "&compile", 8);
	      DEFINE_STRING(BGl_string4685z00zz__evaluate_compz00,
		BgL_bgl_string4685za700za7za7_4890za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string4767z00zz__evaluate_compz00,
		BgL_bgl_string4767za700za7za7_4891za7, "comp1399", 8);
	      DEFINE_STRING(BGl_string4686z00zz__evaluate_compz00,
		BgL_bgl_string4686za700za7za7_4892za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string4768z00zz__evaluate_compz00,
		BgL_bgl_string4768za700za7za7_4893za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string4687z00zz__evaluate_compz00,
		BgL_bgl_string4687za700za7za7_4894za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string4769z00zz__evaluate_compz00,
		BgL_bgl_string4769za700za7za7_4895za7, "&comp", 5);
	      DEFINE_STRING(BGl_string4689z00zz__evaluate_compz00,
		BgL_bgl_string4689za700za7za7_4896za7, "mcell", 5);
	      DEFINE_STRING(BGl_string4771z00zz__evaluate_compz00,
		BgL_bgl_string4771za700za7za7_4897za7, "comp", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4766z00zz__evaluate_compz00,
		BgL_bgl_za762comp1399za762za7za74898z00,
		BGl_z62comp1399z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4691z00zz__evaluate_compz00,
		BgL_bgl_string4691za700za7za7_4899za7, "internal", 8);
	      DEFINE_STRING(BGl_string4693z00zz__evaluate_compz00,
		BgL_bgl_string4693za700za7za7_4900za7, "impossible", 10);
	      DEFINE_STRING(BGl_string4694z00zz__evaluate_compz00,
		BgL_bgl_string4694za700za7za7_4901za7, "procedure", 9);
	      DEFINE_STRING(BGl_string4696z00zz__evaluate_compz00,
		BgL_bgl_string4696za700za7za7_4902za7, "user", 4);
	      DEFINE_STRING(BGl_string4697z00zz__evaluate_compz00,
		BgL_bgl_string4697za700za7za7_4903za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string4699z00zz__evaluate_compz00,
		BgL_bgl_string4699za700za7za7_4904za7, "+", 1);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev4905z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4770z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra4906z00,
		BGl_z62compzd2ev_trap1402zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4772z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var4907z00,
		BGl_z62compzd2ev_var1404zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4773z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4908z00,
		BGl_z62compzd2ev_setlocal1408zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4774z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo4909z00,
		BGl_z62compzd2ev_global1410zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4775z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set4910z00,
		BGl_z62compzd2ev_setglobal1413zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4776z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def4911z00,
		BGl_z62compzd2ev_defglobal1415zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4777z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit4912z00,
		BGl_z62compzd2ev_litt1417zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4778z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if14913z00,
		BGl_z62compzd2ev_if1419zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4779z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or14914z00,
		BGl_z62compzd2ev_or1421zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4780z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and4915z00,
		BGl_z62compzd2ev_and1423zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4781z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro4916z00,
		BGl_z62compzd2ev_prog21425zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4782z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4917z00,
		BGl_z62compzd2ev_let1427zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4783z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4918z00,
		BGl_z62compzd2ev_letza21430z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4784z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let4919z00,
		BGl_z62compzd2ev_letrec1432zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4785z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin4920z00,
		BGl_z62compzd2ev_bindzd2exit1434z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4786z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw4921z00,
		BGl_z62compzd2ev_unwindzd2prote1436z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4793z00zz__evaluate_compz00,
		BgL_bgl_string4793za700za7za7_4922za7, "internal error", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4787z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit4923z00,
		BGl_z62compzd2ev_withzd2handler1438z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4794z00zz__evaluate_compz00,
		BgL_bgl_string4794za700za7za7_4924za7, "must be dead code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4788z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn4925z00,
		BGl_z62compzd2ev_synchroniza7e1440z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4789z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab4926z00,
		BGl_z62compzd2ev_labels1442zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4796z00zz__evaluate_compz00,
		BgL_bgl_string4796za700za7za7_4927za7, "notyet", 6);
	      DEFINE_STRING(BGl_string4797z00zz__evaluate_compz00,
		BgL_bgl_string4797za700za7za7_4928za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string4798z00zz__evaluate_compz00,
		BgL_bgl_string4798za700za7za7_4929za7, "mutex", 5);
	      DEFINE_STRING(BGl_string4799z00zz__evaluate_compz00,
		BgL_bgl_string4799za700za7za7_4930za7, "set!", 4);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4790z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got4931z00,
		BGl_z62compzd2ev_goto1445zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4791z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app4932z00,
		BGl_z62compzd2ev_app1447zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4792z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs4933z00,
		BGl_z62compzd2ev_abs1449zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4700z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4702z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4704z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4706z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4708z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4710z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4712z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4714z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4716z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4718z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4720z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4803z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4722z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4724z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4726z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4728z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4730z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4732z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4814z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4734z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4816z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4736z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4818z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4738z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4820z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4740z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4742z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4744z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4746z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4748z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4750z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4670z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4752z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4672z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4754z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4674z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4756z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4758z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4760z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4680z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4762z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4764z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4688z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void *) (&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4690z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4692z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4695z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4698z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_symbol4795z00zz__evaluate_compz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00));
		     ADD_ROOT((void *) (&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_19001, char *BgL_fromz00_19002)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_compz00();
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					return BGl_toplevelzd2initzd2zz__evaluate_compz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol4670z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4671z00zz__evaluate_compz00);
			BGl_symbol4672z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4673z00zz__evaluate_compz00);
			BGl_symbol4674z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4675z00zz__evaluate_compz00);
			BGl_symbol4680z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4681z00zz__evaluate_compz00);
			BGl_symbol4688z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4689z00zz__evaluate_compz00);
			BGl_symbol4690z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4691z00zz__evaluate_compz00);
			BGl_symbol4692z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4693z00zz__evaluate_compz00);
			BGl_symbol4695z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4696z00zz__evaluate_compz00);
			BGl_symbol4698z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4699z00zz__evaluate_compz00);
			BGl_symbol4700z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4701z00zz__evaluate_compz00);
			BGl_symbol4702z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4703z00zz__evaluate_compz00);
			BGl_symbol4704z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4705z00zz__evaluate_compz00);
			BGl_symbol4706z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4707z00zz__evaluate_compz00);
			BGl_symbol4708z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4709z00zz__evaluate_compz00);
			BGl_symbol4710z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4711z00zz__evaluate_compz00);
			BGl_symbol4712z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4713z00zz__evaluate_compz00);
			BGl_symbol4714z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4715z00zz__evaluate_compz00);
			BGl_symbol4716z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4717z00zz__evaluate_compz00);
			BGl_symbol4718z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4719z00zz__evaluate_compz00);
			BGl_symbol4720z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4721z00zz__evaluate_compz00);
			BGl_symbol4722z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4723z00zz__evaluate_compz00);
			BGl_symbol4724z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4725z00zz__evaluate_compz00);
			BGl_symbol4726z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4727z00zz__evaluate_compz00);
			BGl_symbol4728z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4729z00zz__evaluate_compz00);
			BGl_symbol4730z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4731z00zz__evaluate_compz00);
			BGl_symbol4732z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4733z00zz__evaluate_compz00);
			BGl_symbol4734z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4735z00zz__evaluate_compz00);
			BGl_symbol4736z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4737z00zz__evaluate_compz00);
			BGl_symbol4738z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4739z00zz__evaluate_compz00);
			BGl_symbol4740z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4741z00zz__evaluate_compz00);
			BGl_symbol4742z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4743z00zz__evaluate_compz00);
			BGl_symbol4744z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4745z00zz__evaluate_compz00);
			BGl_symbol4746z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4747z00zz__evaluate_compz00);
			BGl_symbol4748z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4749z00zz__evaluate_compz00);
			BGl_symbol4750z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4751z00zz__evaluate_compz00);
			BGl_symbol4752z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4753z00zz__evaluate_compz00);
			BGl_symbol4754z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4755z00zz__evaluate_compz00);
			BGl_symbol4756z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4757z00zz__evaluate_compz00);
			BGl_symbol4758z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4759z00zz__evaluate_compz00);
			BGl_symbol4760z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4761z00zz__evaluate_compz00);
			BGl_symbol4762z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4763z00zz__evaluate_compz00);
			BGl_symbol4764z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4765z00zz__evaluate_compz00);
			BGl_symbol4795z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4796z00zz__evaluate_compz00);
			BGl_symbol4803z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4804z00zz__evaluate_compz00);
			BGl_symbol4814z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4815z00zz__evaluate_compz00);
			BGl_symbol4816z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4817z00zz__evaluate_compz00);
			BGl_symbol4818z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4819z00zz__evaluate_compz00);
			return (BGl_symbol4820z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string4821z00zz__evaluate_compz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 114 */
				BGL_LONGLONG_T BgL_arg1516z00_1396;

				BgL_arg1516z00_1396 = LONG_TO_LLONG(((long) 0));
				{	/* Eval/evaluate_comp.scm 114 */
					obj_t BgL_list1517z00_1397;

					{	/* Eval/evaluate_comp.scm 114 */
						obj_t BgL_arg1518z00_1398;

						BgL_arg1518z00_1398 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1516z00_1396), BNIL);
						BgL_list1517z00_1397 =
							MAKE_YOUNG_PAIR(BGl_symbol4670z00zz__evaluate_compz00,
							BgL_arg1518z00_1398);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1517z00_1397;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4672z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol4674z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1399;

				BgL_headz00_1399 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6519;
					obj_t BgL_tailz00_6520;

					BgL_prevz00_6519 = BgL_headz00_1399;
					BgL_tailz00_6520 = BgL_l1z00_1;
				BgL_loopz00_6518:
					if (PAIRP(BgL_tailz00_6520))
						{
							obj_t BgL_newzd2prevzd2_6526;

							BgL_newzd2prevzd2_6526 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_6520), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6519, BgL_newzd2prevzd2_6526);
							{
								obj_t BgL_tailz00_19076;
								obj_t BgL_prevz00_19075;

								BgL_prevz00_19075 = BgL_newzd2prevzd2_6526;
								BgL_tailz00_19076 = CDR(BgL_tailz00_6520);
								BgL_tailz00_6520 = BgL_tailz00_19076;
								BgL_prevz00_6519 = BgL_prevz00_19075;
								goto BgL_loopz00_6518;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1399);
			}
		}

	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 132 */
			{	/* Eval/evaluate_comp.scm 133 */
				BGL_LONGLONG_T BgL_arg1537z00_1427;

				BgL_arg1537z00_1427 = LONG_TO_LLONG(((long) 0));
				{	/* Eval/evaluate_comp.scm 133 */
					obj_t BgL_list1538z00_1428;

					{	/* Eval/evaluate_comp.scm 133 */
						obj_t BgL_arg1542z00_1429;

						BgL_arg1542z00_1429 =
							MAKE_YOUNG_PAIR(make_bllong(BgL_arg1537z00_1427), BNIL);
						BgL_list1538z00_1428 =
							MAKE_YOUNG_PAIR(BGl_symbol4670z00zz__evaluate_compz00,
							BgL_arg1542z00_1429);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1538z00_1428, BUNSPEC);
				}
			}
		}

	}



/* o->s~0 */
	obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1438)
	{
		{	/* Eval/evaluate_comp.scm 141 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1438))
				{	/* Ieee/fixnum.scm 985 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_1438), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 138 */
					if (SYMBOLP(BgL_vz00_1438))
						{	/* Eval/evaluate_comp.scm 139 */
							obj_t BgL_arg4255z00_6535;

							BgL_arg4255z00_6535 = SYMBOL_TO_STRING(BgL_vz00_1438);
							return
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg4255z00_6535);
						}
					else
						{	/* Eval/evaluate_comp.scm 139 */
							if (STRINGP(BgL_vz00_1438))
								{	/* Eval/evaluate_comp.scm 140 */
									return BgL_vz00_1438;
								}
							else
								{	/* Eval/evaluate_comp.scm 140 */
									return BGl_string4676z00zz__evaluate_compz00;
								}
						}
				}
		}

	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_13579,
		obj_t BgL_t1z00_13580, obj_t BgL_t2z00_13581)
	{
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 138 */
				bool_t BgL_tmpz00_19093;

				{	/* Eval/evaluate_comp.scm 142 */
					obj_t BgL_v1z00_15559;
					obj_t BgL_v2z00_15560;

					BgL_v1z00_15559 = CAR(((obj_t) BgL_t1z00_13580));
					BgL_v2z00_15560 = CAR(((obj_t) BgL_t2z00_13581));
					{	/* Eval/evaluate_comp.scm 143 */
						bool_t BgL_test4939z00_19098;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_15559))
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4939z00_19098 =
									BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BgL_v2z00_15560);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_test4939z00_19098 = ((bool_t) 0);
							}
						if (BgL_test4939z00_19098)
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_19093 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_15559,
									BgL_v2z00_15560);
							}
						else
							{	/* Eval/evaluate_comp.scm 143 */
								BgL_tmpz00_19093 =
									bigloo_string_lt(BGl_ozd2ze3sze70zd6zz__evaluate_compz00
									(BgL_v1z00_15559),
									BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_15560));
							}
					}
				}
				return BBOOL(BgL_tmpz00_19093);
			}
		}

	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 147 */
			BGl_recze71ze7zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}

	}



/* rec~1 */
	bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1447)
	{
		{	/* Eval/evaluate_comp.scm 148 */
			{	/* Eval/evaluate_comp.scm 149 */
				obj_t BgL_arg1554z00_1449;
				obj_t BgL_arg1555z00_1450;

				BgL_arg1554z00_1449 = CDR(((obj_t) BgL_tz00_1447));
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_arg1556z00_1451;

					{	/* Eval/evaluate_comp.scm 149 */
						obj_t BgL_pairz00_6544;

						BgL_pairz00_6544 = CDR(((obj_t) BgL_tz00_1447));
						BgL_arg1556z00_1451 = CDR(BgL_pairz00_6544);
					}
					BgL_arg1555z00_1450 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1556z00_1451);
				}
				{	/* Eval/evaluate_comp.scm 149 */
					obj_t BgL_tmpz00_19114;

					BgL_tmpz00_19114 = ((obj_t) BgL_arg1554z00_1449);
					SET_CDR(BgL_tmpz00_19114, BgL_arg1555z00_1450);
				}
			}
			{	/* Eval/evaluate_comp.scm 150 */
				obj_t BgL_g1301z00_1452;

				{	/* Eval/evaluate_comp.scm 150 */
					obj_t BgL_pairz00_6549;

					BgL_pairz00_6549 = CDR(((obj_t) BgL_tz00_1447));
					BgL_g1301z00_1452 = CDR(BgL_pairz00_6549);
				}
				{
					obj_t BgL_l1299z00_6561;

					BgL_l1299z00_6561 = BgL_g1301z00_1452;
				BgL_zc3z04anonymousza31557ze3z87_6560:
					if (PAIRP(BgL_l1299z00_6561))
						{	/* Eval/evaluate_comp.scm 150 */
							BGl_recze71ze7zz__evaluate_compz00(CAR(BgL_l1299z00_6561));
							{
								obj_t BgL_l1299z00_19124;

								BgL_l1299z00_19124 = CDR(BgL_l1299z00_6561);
								BgL_l1299z00_6561 = BgL_l1299z00_19124;
								goto BgL_zc3z04anonymousza31557ze3z87_6560;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 150 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		{	/* Eval/evaluate_comp.scm 156 */
			{
				obj_t BgL_lz00_6587;
				long BgL_nz00_6588;

				BgL_lz00_6587 = BgL_lz00_7;
				BgL_nz00_6588 = ((long) 0);
			BgL_walkz00_6586:
				if (NULLP(BgL_lz00_6587))
					{	/* Eval/evaluate_comp.scm 158 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 158 */
						if ((BgL_xz00_6 == CAR(((obj_t) BgL_lz00_6587))))
							{	/* Eval/evaluate_comp.scm 159 */
								return BINT(BgL_nz00_6588);
							}
						else
							{
								long BgL_nz00_19136;
								obj_t BgL_lz00_19133;

								BgL_lz00_19133 = CDR(((obj_t) BgL_lz00_6587));
								BgL_nz00_19136 = (BgL_nz00_6588 + ((long) 1));
								BgL_nz00_6588 = BgL_nz00_19136;
								BgL_lz00_6587 = BgL_lz00_19133;
								goto BgL_walkz00_6586;
							}
					}
			}
		}

	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		{	/* Eval/evaluate_comp.scm 163 */
			{	/* Eval/evaluate_comp.scm 164 */
				obj_t BgL__ortest_1079z00_1472;

				BgL__ortest_1079z00_1472 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1079z00_1472))
					{	/* Eval/evaluate_comp.scm 164 */
						return BgL__ortest_1079z00_1472;
					}
				else
					{	/* Eval/evaluate_comp.scm 164 */
						obj_t BgL_arg1569z00_1473;

						{	/* Eval/evaluate_comp.scm 164 */
							obj_t BgL_arg1570z00_1474;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 164 */
									BgL_arg1570z00_1474 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_head1304z00_1480;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1584z00_1492;

										{	/* Eval/evaluate_comp.scm 164 */
											obj_t BgL_arg1585z00_1493;

											BgL_arg1585z00_1493 = CAR(((obj_t) BgL_lz00_9));
											{	/* Eval/evaluate_comp.scm 189 */
												bool_t BgL_test4946z00_19145;

												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_classz00_6605;

													BgL_classz00_6605 =
														BGl_ev_varz00zz__evaluate_typesz00;
													if (BGL_OBJECTP(BgL_arg1585z00_1493))
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_objectz00_bglt BgL_arg4405z00_6607;

															BgL_arg4405z00_6607 =
																(BgL_objectz00_bglt) (BgL_arg1585z00_1493);
															{	/* Eval/evaluate_comp.scm 189 */
																bool_t BgL_arg4402z00_6610;
																bool_t BgL_arg4403z00_6611;

																{	/* Eval/evaluate_comp.scm 189 */
																	long BgL_idxz00_6614;

																	BgL_idxz00_6614 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg4405z00_6607);
																	BgL_arg4402z00_6610 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_6614 + ((long) 2))) ==
																		BgL_classz00_6605);
																}
																{	/* Eval/evaluate_comp.scm 189 */
																	bool_t BgL_res4430z00_6636;

																	{	/* Eval/evaluate_comp.scm 189 */
																		obj_t BgL_oclassz00_6622;

																		{	/* Eval/evaluate_comp.scm 189 */
																			long BgL_arg4412z00_6628;

																			{	/* Eval/evaluate_comp.scm 189 */
																				long BgL_arg4413z00_6629;

																				BgL_arg4413z00_6629 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg4405z00_6607);
																				BgL_arg4412z00_6628 =
																					(BgL_arg4413z00_6629 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_6622 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg4412z00_6628);
																		}
																		{	/* Eval/evaluate_comp.scm 189 */
																			bool_t BgL__ortest_1296z00_6623;

																			BgL__ortest_1296z00_6623 =
																				(BgL_classz00_6605 ==
																				BgL_oclassz00_6622);
																			if (BgL__ortest_1296z00_6623)
																				{	/* Eval/evaluate_comp.scm 189 */
																					BgL_res4430z00_6636 =
																						BgL__ortest_1296z00_6623;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 189 */
																					long BgL_odepthz00_6624;

																					BgL_odepthz00_6624 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_6622);
																					if ((((long) 2) < BgL_odepthz00_6624))
																						{	/* Eval/evaluate_comp.scm 189 */
																							obj_t BgL_arg4401z00_6626;

																							BgL_arg4401z00_6626 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_6622,
																								((long) 2));
																							BgL_res4430z00_6636 =
																								(BgL_arg4401z00_6626 ==
																								BgL_classz00_6605);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 189 */
																							BgL_res4430z00_6636 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_arg4403z00_6611 = BgL_res4430z00_6636;
																}
																BgL_test4946z00_19145 =
																	BGL_ISA_C_BACKEND(BgL_arg4402z00_6610,
																	BgL_arg4403z00_6611);
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_test4946z00_19145 = ((bool_t) 0);
														}
												}
												if (BgL_test4946z00_19145)
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1584z00_1492 =
															(((BgL_ev_varz00_bglt) COBJECT(
																	((BgL_ev_varz00_bglt) BgL_arg1585z00_1493)))->
															BgL_namez00);
													}
												else
													{	/* Eval/evaluate_comp.scm 189 */
														BgL_arg1584z00_1492 = BgL_arg1585z00_1493;
													}
											}
										}
										BgL_head1304z00_1480 =
											MAKE_YOUNG_PAIR(BgL_arg1584z00_1492, BNIL);
									}
									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_g1307z00_1481;

										BgL_g1307z00_1481 = CDR(((obj_t) BgL_lz00_9));
										{
											obj_t BgL_l1302z00_6689;
											obj_t BgL_tail1305z00_6690;

											BgL_l1302z00_6689 = BgL_g1307z00_1481;
											BgL_tail1305z00_6690 = BgL_head1304z00_1480;
										BgL_zc3z04anonymousza31579ze3z87_6688:
											if (NULLP(BgL_l1302z00_6689))
												{	/* Eval/evaluate_comp.scm 164 */
													BgL_arg1570z00_1474 = BgL_head1304z00_1480;
												}
											else
												{	/* Eval/evaluate_comp.scm 164 */
													obj_t BgL_newtail1306z00_6697;

													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1582z00_6698;

														BgL_arg1582z00_6698 =
															BGl_lnamez00zz__evaluate_compz00(CAR(
																((obj_t) BgL_l1302z00_6689)));
														BgL_newtail1306z00_6697 =
															MAKE_YOUNG_PAIR(BgL_arg1582z00_6698, BNIL);
													}
													SET_CDR(BgL_tail1305z00_6690,
														BgL_newtail1306z00_6697);
													{	/* Eval/evaluate_comp.scm 164 */
														obj_t BgL_arg1581z00_6700;

														BgL_arg1581z00_6700 =
															CDR(((obj_t) BgL_l1302z00_6689));
														{
															obj_t BgL_tail1305z00_19179;
															obj_t BgL_l1302z00_19178;

															BgL_l1302z00_19178 = BgL_arg1581z00_6700;
															BgL_tail1305z00_19179 = BgL_newtail1306z00_6697;
															BgL_tail1305z00_6690 = BgL_tail1305z00_19179;
															BgL_l1302z00_6689 = BgL_l1302z00_19178;
															goto BgL_zc3z04anonymousza31579ze3z87_6688;
														}
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 164 */
								obj_t BgL_list1571z00_1475;

								{	/* Eval/evaluate_comp.scm 164 */
									obj_t BgL_arg1572z00_1476;

									{	/* Eval/evaluate_comp.scm 164 */
										obj_t BgL_arg1577z00_1477;

										BgL_arg1577z00_1477 =
											MAKE_YOUNG_PAIR(BgL_arg1570z00_1474, BNIL);
										BgL_arg1572z00_1476 =
											MAKE_YOUNG_PAIR(BGl_string4677z00zz__evaluate_compz00,
											BgL_arg1577z00_1477);
									}
									BgL_list1571z00_1475 =
										MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1572z00_1476);
								}
								BgL_arg1569z00_1473 = BgL_list1571z00_1475;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string4678z00zz__evaluate_compz00,
							BGl_string4679z00zz__evaluate_compz00, BgL_arg1569z00_1473);
					}
			}
		}

	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		{	/* Eval/evaluate_comp.scm 188 */
			{	/* Eval/evaluate_comp.scm 189 */
				bool_t BgL_test4951z00_19184;

				{	/* Eval/evaluate_comp.scm 189 */
					obj_t BgL_classz00_6707;

					BgL_classz00_6707 = BGl_ev_varz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_vz00_16))
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_objectz00_bglt BgL_arg4405z00_6709;

							BgL_arg4405z00_6709 = (BgL_objectz00_bglt) (BgL_vz00_16);
							{	/* Eval/evaluate_comp.scm 189 */
								bool_t BgL_arg4402z00_6712;
								bool_t BgL_arg4403z00_6713;

								{	/* Eval/evaluate_comp.scm 189 */
									long BgL_idxz00_6716;

									BgL_idxz00_6716 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_6709);
									BgL_arg4402z00_6712 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_6716 + ((long) 2))) == BgL_classz00_6707);
								}
								{	/* Eval/evaluate_comp.scm 189 */
									bool_t BgL_res4433z00_6738;

									{	/* Eval/evaluate_comp.scm 189 */
										obj_t BgL_oclassz00_6724;

										{	/* Eval/evaluate_comp.scm 189 */
											long BgL_arg4412z00_6730;

											{	/* Eval/evaluate_comp.scm 189 */
												long BgL_arg4413z00_6731;

												BgL_arg4413z00_6731 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_6709);
												BgL_arg4412z00_6730 =
													(BgL_arg4413z00_6731 - OBJECT_TYPE);
											}
											BgL_oclassz00_6724 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4412z00_6730);
										}
										{	/* Eval/evaluate_comp.scm 189 */
											bool_t BgL__ortest_1296z00_6725;

											BgL__ortest_1296z00_6725 =
												(BgL_classz00_6707 == BgL_oclassz00_6724);
											if (BgL__ortest_1296z00_6725)
												{	/* Eval/evaluate_comp.scm 189 */
													BgL_res4433z00_6738 = BgL__ortest_1296z00_6725;
												}
											else
												{	/* Eval/evaluate_comp.scm 189 */
													long BgL_odepthz00_6726;

													BgL_odepthz00_6726 =
														BGL_CLASS_DEPTH(BgL_oclassz00_6724);
													if ((((long) 2) < BgL_odepthz00_6726))
														{	/* Eval/evaluate_comp.scm 189 */
															obj_t BgL_arg4401z00_6728;

															BgL_arg4401z00_6728 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6724,
																((long) 2));
															BgL_res4433z00_6738 =
																(BgL_arg4401z00_6728 == BgL_classz00_6707);
														}
													else
														{	/* Eval/evaluate_comp.scm 189 */
															BgL_res4433z00_6738 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg4403z00_6713 = BgL_res4433z00_6738;
								}
								BgL_test4951z00_19184 =
									BGL_ISA_C_BACKEND(BgL_arg4402z00_6712, BgL_arg4403z00_6713);
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 189 */
							BgL_test4951z00_19184 = ((bool_t) 0);
						}
				}
				if (BgL_test4951z00_19184)
					{	/* Eval/evaluate_comp.scm 189 */
						return
							(((BgL_ev_varz00_bglt) COBJECT(
									((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
					}
				else
					{	/* Eval/evaluate_comp.scm 189 */
						return BgL_vz00_16;
					}
			}
		}

	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		{	/* Eval/evaluate_comp.scm 193 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 194 */
					obj_t BgL_cdrzd2194zd2_1519;

					BgL_cdrzd2194zd2_1519 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol4680z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 194 */
							if (PAIRP(BgL_cdrzd2194zd2_1519))
								{	/* Eval/evaluate_comp.scm 194 */
									obj_t BgL_cdrzd2198zd2_1523;

									BgL_cdrzd2198zd2_1523 = CDR(BgL_cdrzd2194zd2_1519);
									if (PAIRP(BgL_cdrzd2198zd2_1523))
										{	/* Eval/evaluate_comp.scm 194 */
											if (NULLP(CDR(BgL_cdrzd2198zd2_1523)))
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2194zd2_1519),
														CAR(BgL_cdrzd2198zd2_1523));
												}
											else
												{	/* Eval/evaluate_comp.scm 194 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 194 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 194 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 194 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 194 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}

	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 206 */
			{	/* Eval/evaluate_comp.scm 207 */
				obj_t BgL_stkz00_1541;

				BgL_stkz00_1541 =
					make_vector(((long) 8192), BGl_string4682z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1541, ((long) 0), BINT(((long) 2)));
				return BgL_stkz00_1541;
			}
		}

	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 211 */
			{	/* Eval/evaluate_comp.scm 212 */
				obj_t BgL_sz00_1542;

				{	/* Eval/evaluate_comp.scm 212 */
					obj_t BgL_tmpz00_19230;

					BgL_tmpz00_19230 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1542 = BGL_ENV_EVSTATE(BgL_tmpz00_19230);
				}
				if (VECTORP(BgL_sz00_1542))
					{	/* Eval/evaluate_comp.scm 213 */
						return BgL_sz00_1542;
					}
				else
					{	/* Eval/evaluate_comp.scm 214 */
						obj_t BgL_statez00_1544;

						BgL_statez00_1544 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 215 */
							obj_t BgL_tmpz00_19236;

							BgL_tmpz00_19236 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_tmpz00_19236, BgL_statez00_1544);
						}
						return BgL_statez00_1544;
					}
			}
		}

	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_13582)
	{
		{	/* Eval/evaluate_comp.scm 211 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}

	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}

	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_13583,
		obj_t BgL_ez00_13584)
	{
		{	/* Eval/evaluate_comp.scm 273 */
			{	/* Eval/evaluate_comp.scm 274 */
				BgL_ev_exprz00_bglt BgL_auxz00_19241;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_13584,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 274 */
						BgL_auxz00_19241 = ((BgL_ev_exprz00_bglt) BgL_ez00_13584);
					}
				else
					{
						obj_t BgL_auxz00_19245;

						BgL_auxz00_19245 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string4683z00zz__evaluate_compz00, BINT(((long) 7006)),
							BGl_string4684z00zz__evaluate_compz00,
							BGl_string4685z00zz__evaluate_compz00, BgL_ez00_13584);
						FAILURE(BgL_auxz00_19245, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_19241);
			}
		}

	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 333 */
				bool_t BgL_test4962z00_19250;

				{	/* Eval/evaluate_comp.scm 333 */
					obj_t BgL_classz00_6750;

					BgL_classz00_6750 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 333 */
						BgL_objectz00_bglt BgL_arg4405z00_6752;

						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_tmpz00_19251;

							BgL_tmpz00_19251 = ((obj_t) BgL_ez00_43);
							BgL_arg4405z00_6752 = (BgL_objectz00_bglt) (BgL_tmpz00_19251);
						}
						{	/* Eval/evaluate_comp.scm 333 */
							bool_t BgL_arg4402z00_6755;
							bool_t BgL_arg4403z00_6756;

							{	/* Eval/evaluate_comp.scm 333 */
								long BgL_idxz00_6759;

								BgL_idxz00_6759 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_6752);
								BgL_arg4402z00_6755 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_6759 + ((long) 2))) == BgL_classz00_6750);
							}
							{	/* Eval/evaluate_comp.scm 333 */
								bool_t BgL_res4434z00_6781;

								{	/* Eval/evaluate_comp.scm 333 */
									obj_t BgL_oclassz00_6767;

									{	/* Eval/evaluate_comp.scm 333 */
										long BgL_arg4412z00_6773;

										{	/* Eval/evaluate_comp.scm 333 */
											long BgL_arg4413z00_6774;

											BgL_arg4413z00_6774 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_6752);
											BgL_arg4412z00_6773 = (BgL_arg4413z00_6774 - OBJECT_TYPE);
										}
										BgL_oclassz00_6767 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4412z00_6773);
									}
									{	/* Eval/evaluate_comp.scm 333 */
										bool_t BgL__ortest_1296z00_6768;

										BgL__ortest_1296z00_6768 =
											(BgL_classz00_6750 == BgL_oclassz00_6767);
										if (BgL__ortest_1296z00_6768)
											{	/* Eval/evaluate_comp.scm 333 */
												BgL_res4434z00_6781 = BgL__ortest_1296z00_6768;
											}
										else
											{	/* Eval/evaluate_comp.scm 333 */
												long BgL_odepthz00_6769;

												BgL_odepthz00_6769 =
													BGL_CLASS_DEPTH(BgL_oclassz00_6767);
												if ((((long) 2) < BgL_odepthz00_6769))
													{	/* Eval/evaluate_comp.scm 333 */
														obj_t BgL_arg4401z00_6771;

														BgL_arg4401z00_6771 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_6767,
															((long) 2));
														BgL_res4434z00_6781 =
															(BgL_arg4401z00_6771 == BgL_classz00_6750);
													}
												else
													{	/* Eval/evaluate_comp.scm 333 */
														BgL_res4434z00_6781 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg4403z00_6756 = BgL_res4434z00_6781;
							}
							BgL_test4962z00_19250 =
								BGL_ISA_C_BACKEND(BgL_arg4402z00_6755, BgL_arg4403z00_6756);
						}
					}
				}
				if (BgL_test4962z00_19250)
					{	/* Eval/evaluate_comp.scm 335 */
						obj_t BgL_gz00_1600;

						{	/* Eval/evaluate_comp.scm 335 */
							obj_t BgL_arg1675z00_1601;
							obj_t BgL_arg1676z00_1602;

							BgL_arg1675z00_1601 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_modz00);
							BgL_arg1676z00_1602 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_ez00_43)))->BgL_namez00);
							BgL_gz00_1600 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg1675z00_1601, BgL_arg1676z00_1602);
						}
						if (CBOOL(BgL_gz00_1600))
							{	/* Eval/evaluate_comp.scm 336 */
								return VECTOR_REF(((obj_t) BgL_gz00_1600), ((long) 2));
							}
						else
							{	/* Eval/evaluate_comp.scm 336 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 333 */
						return BFALSE;
					}
			}
		}

	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		{	/* Eval/evaluate_comp.scm 623 */
			{
				obj_t BgL_lz00_1622;
				obj_t BgL_bsz00_1623;
				long BgL_spz00_1624;

				BgL_lz00_1622 = BgL_argsz00_83;
				BgL_bsz00_1623 = BgL_boxesz00_84;
				BgL_spz00_1624 = BgL_spz00_85;
			BgL_zc3z04anonymousza31700ze3z87_1625:
				if (NULLP(BgL_lz00_1622))
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1623))
							{	/* Eval/evaluate_comp.scm 626 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 629 */
								obj_t BgL_arg1703z00_1628;

								{	/* Eval/evaluate_comp.scm 629 */
									long BgL_arg1705z00_1629;
									long BgL_arg1706z00_1630;

									BgL_arg1705z00_1629 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1706z00_1630 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 628 */
										obj_t BgL_list1707z00_1631;

										{	/* Eval/evaluate_comp.scm 628 */
											obj_t BgL_arg1711z00_1632;

											BgL_arg1711z00_1632 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1706z00_1630), BNIL);
											BgL_list1707z00_1631 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1705z00_1629),
												BgL_arg1711z00_1632);
										}
										BgL_arg1703z00_1628 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4686z00zz__evaluate_compz00,
											BgL_list1707z00_1631);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4687z00zz__evaluate_compz00, BgL_arg1703z00_1628);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 625 */
						if (NULLP(BgL_bsz00_1623))
							{	/* Eval/evaluate_comp.scm 633 */
								obj_t BgL_arg1713z00_1634;

								{	/* Eval/evaluate_comp.scm 633 */
									long BgL_arg1714z00_1635;
									long BgL_arg1715z00_1636;

									BgL_arg1714z00_1635 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1715z00_1636 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 632 */
										obj_t BgL_list1716z00_1637;

										{	/* Eval/evaluate_comp.scm 632 */
											obj_t BgL_arg1717z00_1638;

											BgL_arg1717z00_1638 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1715z00_1636), BNIL);
											BgL_list1716z00_1637 =
												MAKE_YOUNG_PAIR(BINT(BgL_arg1714z00_1635),
												BgL_arg1717z00_1638);
										}
										BgL_arg1713z00_1634 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string4686z00zz__evaluate_compz00,
											BgL_list1716z00_1637);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4687z00zz__evaluate_compz00, BgL_arg1713z00_1634);
							}
						else
							{	/* Eval/evaluate_comp.scm 630 */
								{	/* Eval/evaluate_comp.scm 636 */
									obj_t BgL_arg1718z00_1639;

									{	/* Eval/evaluate_comp.scm 636 */
										obj_t BgL_vz00_1640;

										{	/* Eval/evaluate_comp.scm 636 */
											obj_t BgL_fun1720z00_1642;

											BgL_fun1720z00_1642 = CAR(((obj_t) BgL_lz00_1622));
											BgL_vz00_1640 =
												PROCEDURE_ENTRY(BgL_fun1720z00_1642)
												(BgL_fun1720z00_1642, BgL_sz00_82, BEOA);
										}
										if (CBOOL(CAR(((obj_t) BgL_bsz00_1623))))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_6802;

												BgL_newz00_6802 =
													create_struct(BGl_symbol4688z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_19312;

													BgL_tmpz00_19312 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_6802, BgL_tmpz00_19312,
														BgL_vz00_1640);
												}
												BgL_arg1718z00_1639 = BgL_newz00_6802;
											}
										else
											{	/* Eval/evaluate_comp.scm 637 */
												BgL_arg1718z00_1639 = BgL_vz00_1640;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_82), BgL_spz00_1624, BgL_arg1718z00_1639);
								}
								{	/* Eval/evaluate_comp.scm 640 */
									obj_t BgL_arg1721z00_1643;
									obj_t BgL_arg1723z00_1644;
									long BgL_arg1725z00_1645;

									BgL_arg1721z00_1643 = CDR(((obj_t) BgL_lz00_1622));
									BgL_arg1723z00_1644 = CDR(((obj_t) BgL_bsz00_1623));
									BgL_arg1725z00_1645 = (BgL_spz00_1624 + ((long) 1));
									{
										long BgL_spz00_19324;
										obj_t BgL_bsz00_19323;
										obj_t BgL_lz00_19322;

										BgL_lz00_19322 = BgL_arg1721z00_1643;
										BgL_bsz00_19323 = BgL_arg1723z00_1644;
										BgL_spz00_19324 = BgL_arg1725z00_1645;
										BgL_spz00_1624 = BgL_spz00_19324;
										BgL_bsz00_1623 = BgL_bsz00_19323;
										BgL_lz00_1622 = BgL_lz00_19322;
										goto BgL_zc3z04anonymousza31700ze3z87_1625;
									}
								}
							}
					}
			}
		}

	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		{	/* Eval/evaluate_comp.scm 645 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 646 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 646 */
					if ((CAR(((obj_t) BgL_l1z00_88)) == CAR(((obj_t) BgL_l2z00_89))))
						{	/* Eval/evaluate_comp.scm 649 */
							obj_t BgL_arg1730z00_1651;
							obj_t BgL_arg1731z00_1652;

							BgL_arg1730z00_1651 = CDR(((obj_t) BgL_l1z00_88));
							BgL_arg1731z00_1652 = CDR(((obj_t) BgL_l2z00_89));
							{
								obj_t BgL_l2z00_19338;
								obj_t BgL_l1z00_19337;

								BgL_l1z00_19337 = BgL_arg1730z00_1651;
								BgL_l2z00_19338 = BgL_arg1731z00_1652;
								BgL_l2z00_89 = BgL_l2z00_19338;
								BgL_l1z00_88 = BgL_l1z00_19337;
								goto BGl_subzd2stkzd2zz__evaluate_compz00;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 647 */
							return
								BGl_errorz00zz__errorz00(BGl_string4678z00zz__evaluate_compz00,
								BGl_symbol4690z00zz__evaluate_compz00,
								BGl_symbol4692z00zz__evaluate_compz00);
						}
				}
		}

	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		{	/* Eval/evaluate_comp.scm 669 */
			{	/* Eval/evaluate_comp.scm 670 */
				obj_t BgL_savedzd2bpzd2_1663;

				BgL_savedzd2bpzd2_1663 = VECTOR_REF(((obj_t) BgL_sz00_94), ((long) 0));
				VECTOR_SET(((obj_t) BgL_sz00_94), ((long) 0), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1665;

					BgL_fz00_1665 = BgL_fz00_93;
				BgL_zc3z04anonymousza31743ze3z87_1666:
					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_rz00_1667;

						BgL_rz00_1667 =
							PROCEDURE_ENTRY(BgL_fz00_1665) (BgL_fz00_1665, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 674 */
							bool_t BgL_test4972z00_19348;

							if (PROCEDUREP(BgL_rz00_1667))
								{	/* Eval/evaluate_comp.scm 674 */
									obj_t BgL_arg1747z00_1672;

									BgL_arg1747z00_1672 = PROCEDURE_ATTR(BgL_rz00_1667);
									if (STRUCTP(BgL_arg1747z00_1672))
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4972z00_19348 =
												(STRUCT_KEY(BgL_arg1747z00_1672) ==
												BGl_symbol4674z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 654 */
											BgL_test4972z00_19348 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									BgL_test4972z00_19348 = ((bool_t) 0);
								}
							if (BgL_test4972z00_19348)
								{
									obj_t BgL_fz00_19356;

									BgL_fz00_19356 = BgL_rz00_1667;
									BgL_fz00_1665 = BgL_fz00_19356;
									goto BgL_zc3z04anonymousza31743ze3z87_1666;
								}
							else
								{	/* Eval/evaluate_comp.scm 674 */
									VECTOR_SET(
										((obj_t) BgL_sz00_94), ((long) 0), BgL_savedzd2bpzd2_1663);
									return BgL_rz00_1667;
								}
						}
					}
				}
			}
		}

	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		{	/* Eval/evaluate_comp.scm 688 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 690 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 692 */
					obj_t BgL_arg1766z00_1690;
					obj_t BgL_arg1770z00_1691;

					{	/* Eval/evaluate_comp.scm 692 */
						obj_t BgL_arg1771z00_1692;

						BgL_arg1771z00_1692 = CAR(((obj_t) BgL_eza2za2_117));
						BgL_arg1766z00_1690 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1771z00_1692), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 693 */
						obj_t BgL_arg1772z00_1693;
						obj_t BgL_arg1773z00_1694;

						BgL_arg1772z00_1693 = CDR(((obj_t) BgL_eza2za2_117));
						{	/* Eval/evaluate_comp.scm 693 */
							obj_t BgL_arg1774z00_1695;

							BgL_arg1774z00_1695 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
							BgL_arg1773z00_1694 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1774z00_1695);
						}
						BgL_arg1770z00_1691 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1772z00_1693,
							BgL_arg1773z00_1694);
					}
					return MAKE_YOUNG_PAIR(BgL_arg1766z00_1690, BgL_arg1770z00_1691);
				}
		}

	}



/* rec~0 */
	obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_15544,
		obj_t BgL_lz00_1697, long BgL_iz00_1698)
	{
		{	/* Eval/evaluate_comp.scm 696 */
			if (NULLP(BgL_lz00_1697))
				{	/* Eval/evaluate_comp.scm 697 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 697 */
					if ((BgL_iz00_1698 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 698 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1697,
								BgL_stkz00_15544);
						}
					else
						{	/* Eval/evaluate_comp.scm 699 */
							obj_t BgL_arg1779z00_1702;
							obj_t BgL_arg1780z00_1703;

							{	/* Eval/evaluate_comp.scm 699 */
								obj_t BgL_arg1781z00_1704;

								BgL_arg1781z00_1704 = CAR(((obj_t) BgL_lz00_1697));
								BgL_arg1779z00_1702 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1781z00_1704),
									BgL_stkz00_15544);
							}
							{	/* Eval/evaluate_comp.scm 700 */
								obj_t BgL_arg1782z00_1705;
								long BgL_arg1783z00_1706;

								BgL_arg1782z00_1705 = CDR(((obj_t) BgL_lz00_1697));
								BgL_arg1783z00_1706 = (BgL_iz00_1698 - ((long) 1));
								BgL_arg1780z00_1703 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15544,
									BgL_arg1782z00_1705, BgL_arg1783z00_1706);
							}
							return MAKE_YOUNG_PAIR(BgL_arg1779z00_1702, BgL_arg1780z00_1703);
						}
				}
		}

	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		obj_t BgL_siza7eza7_126)
	{
		{	/* Eval/evaluate_comp.scm 702 */
			{	/* Eval/evaluate_comp.scm 704 */
				obj_t BgL_argsz00_1708;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 704 */
						BgL_argsz00_1708 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 704 */
						obj_t BgL_head1353z00_1713;

						BgL_head1353z00_1713 = MAKE_YOUNG_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l1351z00_6875;
							obj_t BgL_tail1354z00_6876;

							BgL_l1351z00_6875 = BgL_argsz00_124;
							BgL_tail1354z00_6876 = BgL_head1353z00_1713;
						BgL_zc3z04anonymousza31786ze3z87_6874:
							if (NULLP(BgL_l1351z00_6875))
								{	/* Eval/evaluate_comp.scm 704 */
									BgL_argsz00_1708 = CDR(BgL_head1353z00_1713);
								}
							else
								{	/* Eval/evaluate_comp.scm 704 */
									obj_t BgL_newtail1355z00_6883;

									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1789z00_6884;

										{	/* Eval/evaluate_comp.scm 704 */
											obj_t BgL_az00_6885;

											BgL_az00_6885 = CAR(((obj_t) BgL_l1351z00_6875));
											BgL_arg1789z00_6884 =
												PROCEDURE_ENTRY(BgL_az00_6885) (BgL_az00_6885,
												BgL_sz00_122, BEOA);
										}
										BgL_newtail1355z00_6883 =
											MAKE_YOUNG_PAIR(BgL_arg1789z00_6884, BNIL);
									}
									SET_CDR(BgL_tail1354z00_6876, BgL_newtail1355z00_6883);
									{	/* Eval/evaluate_comp.scm 704 */
										obj_t BgL_arg1788z00_6886;

										BgL_arg1788z00_6886 = CDR(((obj_t) BgL_l1351z00_6875));
										{
											obj_t BgL_tail1354z00_19402;
											obj_t BgL_l1351z00_19401;

											BgL_l1351z00_19401 = BgL_arg1788z00_6886;
											BgL_tail1354z00_19402 = BgL_newtail1355z00_6883;
											BgL_tail1354z00_6876 = BgL_tail1354z00_19402;
											BgL_l1351z00_6875 = BgL_l1351z00_19401;
											goto BgL_zc3z04anonymousza31786ze3z87_6874;
										}
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 705 */
					long BgL_arg1784z00_1709;

					BgL_arg1784z00_1709 =
						((long) CINT(BgL_bpz00_125) + (long) CINT(BgL_siza7eza7_126));
					VECTOR_SET(
						((obj_t) BgL_sz00_122), ((long) 0), BINT(BgL_arg1784z00_1709));
				}
				{	/* Eval/evaluate_comp.scm 706 */
					obj_t BgL_za2za2resza2za2z00_1710;

					BgL_za2za2resza2za2z00_1710 = apply(BgL_fz00_123, BgL_argsz00_1708);
					VECTOR_SET(((obj_t) BgL_sz00_122), ((long) 0), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1710;
				}
			}
		}

	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		{	/* Eval/evaluate_comp.scm 715 */
			{	/* Eval/evaluate_comp.scm 716 */
				long BgL_g1157z00_1734;

				BgL_g1157z00_1734 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1736;
					obj_t BgL_spz00_1737;
					long BgL_nz00_1738;

					BgL_lz00_1736 = BgL_argsz00_132;
					BgL_spz00_1737 = BgL_spz00_133;
					BgL_nz00_1738 = BgL_g1157z00_1734;
				BgL_zc3z04anonymousza31797ze3z87_1739:
					if ((BgL_nz00_1738 == ((long) 0)))
						{
							obj_t BgL_lz00_6964;
							obj_t BgL_rz00_6965;

							BgL_lz00_6964 = BgL_lz00_1736;
							BgL_rz00_6965 = BNIL;
						BgL_rec2z00_6963:
							if (NULLP(BgL_lz00_6964))
								{	/* Eval/evaluate_comp.scm 720 */
									obj_t BgL_arg1801z00_6973;

									BgL_arg1801z00_6973 = bgl_reverse_bang(BgL_rz00_6965);
									{	/* Eval/evaluate_comp.scm 720 */
										long BgL_kz00_6979;

										BgL_kz00_6979 = (long) CINT(BgL_spz00_1737);
										return
											VECTOR_SET(
											((obj_t) BgL_sz00_131), BgL_kz00_6979,
											BgL_arg1801z00_6973);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 721 */
									obj_t BgL_arg1802z00_6974;
									obj_t BgL_arg1803z00_6975;

									BgL_arg1802z00_6974 = CDR(((obj_t) BgL_lz00_6964));
									{	/* Eval/evaluate_comp.scm 721 */
										obj_t BgL_arg1804z00_6976;

										{	/* Eval/evaluate_comp.scm 721 */
											obj_t BgL_fun1805z00_6977;

											BgL_fun1805z00_6977 = CAR(((obj_t) BgL_lz00_6964));
											BgL_arg1804z00_6976 =
												PROCEDURE_ENTRY(BgL_fun1805z00_6977)
												(BgL_fun1805z00_6977, BgL_sz00_131, BEOA);
										}
										BgL_arg1803z00_6975 =
											MAKE_YOUNG_PAIR(BgL_arg1804z00_6976, BgL_rz00_6965);
									}
									{
										obj_t BgL_rz00_19433;
										obj_t BgL_lz00_19432;

										BgL_lz00_19432 = BgL_arg1802z00_6974;
										BgL_rz00_19433 = BgL_arg1803z00_6975;
										BgL_rz00_6965 = BgL_rz00_19433;
										BgL_lz00_6964 = BgL_lz00_19432;
										goto BgL_rec2z00_6963;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 717 */
							{	/* Eval/evaluate_comp.scm 722 */
								obj_t BgL_arg1806z00_1753;

								{	/* Eval/evaluate_comp.scm 722 */
									obj_t BgL_fun1807z00_1754;

									BgL_fun1807z00_1754 = CAR(((obj_t) BgL_lz00_1736));
									BgL_arg1806z00_1753 =
										PROCEDURE_ENTRY(BgL_fun1807z00_1754) (BgL_fun1807z00_1754,
										BgL_sz00_131, BEOA);
								}
								{	/* Eval/evaluate_comp.scm 722 */
									long BgL_kz00_6984;

									BgL_kz00_6984 = (long) CINT(BgL_spz00_1737);
									VECTOR_SET(
										((obj_t) BgL_sz00_131), BgL_kz00_6984, BgL_arg1806z00_1753);
							}}
							{	/* Eval/evaluate_comp.scm 723 */
								obj_t BgL_arg1808z00_1755;
								long BgL_arg1809z00_1756;
								long BgL_arg1810z00_1757;

								BgL_arg1808z00_1755 = CDR(((obj_t) BgL_lz00_1736));
								BgL_arg1809z00_1756 =
									((long) CINT(BgL_spz00_1737) + ((long) 1));
								BgL_arg1810z00_1757 = (BgL_nz00_1738 - ((long) 1));
								{
									long BgL_nz00_19451;
									obj_t BgL_spz00_19449;
									obj_t BgL_lz00_19448;

									BgL_lz00_19448 = BgL_arg1808z00_1755;
									BgL_spz00_19449 = BINT(BgL_arg1809z00_1756);
									BgL_nz00_19451 = BgL_arg1810z00_1757;
									BgL_nz00_1738 = BgL_nz00_19451;
									BgL_spz00_1737 = BgL_spz00_19449;
									BgL_lz00_1736 = BgL_lz00_19448;
									goto BgL_zc3z04anonymousza31797ze3z87_1739;
								}
							}
						}
				}
			}
		}

	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		{	/* Eval/evaluate_comp.scm 766 */
			{
				obj_t BgL_lz00_1760;
				obj_t BgL_stkz00_1761;

				BgL_lz00_1760 = BgL_argsz00_134;
				BgL_stkz00_1761 = BgL_stkz00_135;
			BgL_zc3z04anonymousza31811ze3z87_1762:
				{	/* Eval/evaluate_comp.scm 770 */
					bool_t BgL_test4982z00_19452;

					if (NULLP(BgL_lz00_1760))
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4982z00_19452 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 770 */
							BgL_test4982z00_19452 = NULLP(BgL_stkz00_1761);
						}
					if (BgL_test4982z00_19452)
						{	/* Eval/evaluate_comp.scm 770 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 772 */
							bool_t BgL_test4984z00_19456;

							{	/* Eval/evaluate_comp.scm 772 */
								obj_t BgL_g1358z00_1779;

								BgL_g1358z00_1779 = CDR(((obj_t) BgL_lz00_1760));
								{
									obj_t BgL_l1356z00_1781;

									{	/* Eval/evaluate_comp.scm 772 */
										obj_t BgL_tmpz00_19459;

										BgL_l1356z00_1781 = BgL_g1358z00_1779;
									BgL_zc3z04anonymousza31822ze3z87_1782:
										if (NULLP(BgL_l1356z00_1781))
											{	/* Eval/evaluate_comp.scm 772 */
												BgL_tmpz00_19459 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 772 */
												obj_t BgL__ortest_1359z00_1784;

												{	/* Eval/evaluate_comp.scm 772 */
													obj_t BgL_ez00_1786;

													BgL_ez00_1786 = CAR(((obj_t) BgL_l1356z00_1781));
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1824z00_1787;
														obj_t BgL_arg1825z00_1788;

														BgL_arg1824z00_1787 =
															CAR(((obj_t) BgL_stkz00_1761));
														BgL_arg1825z00_1788 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1786), BNIL);
														BgL__ortest_1359z00_1784 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1824z00_1787, BgL_arg1825z00_1788);
													}
												}
												if (CBOOL(BgL__ortest_1359z00_1784))
													{	/* Eval/evaluate_comp.scm 772 */
														BgL_tmpz00_19459 = BgL__ortest_1359z00_1784;
													}
												else
													{	/* Eval/evaluate_comp.scm 772 */
														obj_t BgL_arg1823z00_1785;

														BgL_arg1823z00_1785 =
															CDR(((obj_t) BgL_l1356z00_1781));
														{
															obj_t BgL_l1356z00_19473;

															BgL_l1356z00_19473 = BgL_arg1823z00_1785;
															BgL_l1356z00_1781 = BgL_l1356z00_19473;
															goto BgL_zc3z04anonymousza31822ze3z87_1782;
														}
													}
											}
										BgL_test4984z00_19456 = CBOOL(BgL_tmpz00_19459);
									}
								}
							}
							if (BgL_test4984z00_19456)
								{	/* Eval/evaluate_comp.scm 772 */
									return ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 774 */
									obj_t BgL_arg1820z00_1777;
									obj_t BgL_arg1821z00_1778;

									BgL_arg1820z00_1777 = CDR(((obj_t) BgL_lz00_1760));
									BgL_arg1821z00_1778 = CDR(((obj_t) BgL_stkz00_1761));
									{
										obj_t BgL_stkz00_19480;
										obj_t BgL_lz00_19479;

										BgL_lz00_19479 = BgL_arg1820z00_1777;
										BgL_stkz00_19480 = BgL_arg1821z00_1778;
										BgL_stkz00_1761 = BgL_stkz00_19480;
										BgL_lz00_1760 = BgL_lz00_19479;
										goto BgL_zc3z04anonymousza31811ze3z87_1762;
									}
								}
						}
				}
			}
		}

	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		{	/* Eval/evaluate_comp.scm 776 */
			{	/* Eval/evaluate_comp.scm 778 */
				long BgL_siza7eza7_1793;
				long BgL_nbargsz00_1794;
				obj_t BgL_fz00_1795;
				obj_t BgL_symbzd2funzd2_1796;

				BgL_siza7eza7_1793 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1794 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1795 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1796 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							COBJECT(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
							BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 780 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4989z00_19494;

								{	/* Eval/evaluate_comp.scm 787 */
									int BgL_arg1884z00_1875;

									BgL_arg1884z00_1875 = bgl_debug();
									BgL_test4989z00_19494 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1884z00_1875),
										BINT(((long) 0)));
								}
								if (BgL_test4989z00_19494)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1802;

										BgL_argsz00_1802 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31831ze3z87_13585;

											BgL_zc3z04anonymousza31831ze3z87_13585 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31831ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 0)), BgL_fz00_1795);
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 2)), BgL_symbzd2funzd2_1796);
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 4)), BgL_argsz00_1802);
											PROCEDURE_SET(BgL_zc3z04anonymousza31831ze3z87_13585,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1793));
											return BgL_zc3z04anonymousza31831ze3z87_13585;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_argsz00_1840;

										BgL_argsz00_1840 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 787 */
											obj_t BgL_zc3z04anonymousza31857ze3z87_13586;

											BgL_zc3z04anonymousza31857ze3z87_13586 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 0)), BgL_fz00_1795);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 2)), BgL_symbzd2funzd2_1796);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 4)), BgL_argsz00_1840);
											PROCEDURE_SET(BgL_zc3z04anonymousza31857ze3z87_13586,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1793));
											return BgL_zc3z04anonymousza31857ze3z87_13586;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test4990z00_19539;

								{	/* Eval/evaluate_comp.scm 795 */
									int BgL_arg1930z00_1945;

									BgL_arg1930z00_1945 = bgl_debug();
									BgL_test4990z00_19539 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1930z00_1945),
										BINT(((long) 0)));
								}
								if (BgL_test4990z00_19539)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1878;

										BgL_argsz00_1878 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1793);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31887ze3z87_13587;

											BgL_zc3z04anonymousza31887ze3z87_13587 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_13587,
												(int) (((long) 0)), BgL_fz00_1795);
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_13587,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_13587,
												(int) (((long) 2)), BgL_symbzd2funzd2_1796);
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_13587,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
											PROCEDURE_SET(BgL_zc3z04anonymousza31887ze3z87_13587,
												(int) (((long) 4)), BgL_argsz00_1878);
											return BgL_zc3z04anonymousza31887ze3z87_13587;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_argsz00_1913;

										BgL_argsz00_1913 =
											BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->
												BgL_argsz00), BgL_siza7eza7_1793);
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_zc3z04anonymousza31911ze3z87_13588;

											BgL_zc3z04anonymousza31911ze3z87_13588 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13588,
												(int) (((long) 0)), BgL_fz00_1795);
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13588,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13588,
												(int) (((long) 2)), BgL_symbzd2funzd2_1796);
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13588,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
											PROCEDURE_SET(BgL_zc3z04anonymousza31911ze3z87_13588,
												(int) (((long) 4)), BgL_argsz00_1913);
											return BgL_zc3z04anonymousza31911ze3z87_13588;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 781 */
						bool_t BgL_test4991z00_19578;

						{	/* Eval/evaluate_comp.scm 781 */
							int BgL_arg1972z00_2016;

							BgL_arg1972z00_2016 = bgl_debug();
							BgL_test4991z00_19578 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1972z00_2016),
								BINT(((long) 0)));
						}
						if (BgL_test4991z00_19578)
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1949;

								BgL_argsz00_1949 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31934ze3z87_13589;

									BgL_zc3z04anonymousza31934ze3z87_13589 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 0)), BgL_fz00_1795);
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 2)), BgL_symbzd2funzd2_1796);
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 4)), BgL_argsz00_1949);
									PROCEDURE_SET(BgL_zc3z04anonymousza31934ze3z87_13589,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1793));
									return BgL_zc3z04anonymousza31934ze3z87_13589;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_argsz00_1984;

								BgL_argsz00_1984 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 781 */
									obj_t BgL_zc3z04anonymousza31954ze3z87_13590;

									BgL_zc3z04anonymousza31954ze3z87_13590 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 0)), BgL_fz00_1795);
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 2)), BgL_symbzd2funzd2_1796);
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1794));
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 4)), BgL_argsz00_1984);
									PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_13590,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1793));
									return BgL_zc3z04anonymousza31954ze3z87_13590;
								}
							}
					}
			}
		}

	}



/* &<@anonymous:1831> */
	obj_t BGl_z62zc3z04anonymousza31831ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13591, obj_t BgL_sz00_13598)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13592;
				BgL_ev_appz00_bglt BgL_i1165z00_13593;
				obj_t BgL_symbzd2funzd2_13594;
				long BgL_nbargsz00_13595;
				obj_t BgL_argsz00_13596;
				long BgL_siza7eza7_13597;

				BgL_fz00_13592 = PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 0)));
				BgL_i1165z00_13593 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 1))));
				BgL_symbzd2funzd2_13594 =
					PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 2)));
				BgL_nbargsz00_13595 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 3))));
				BgL_argsz00_13596 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 4))));
				BgL_siza7eza7_13597 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13591, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15565;

					BgL_bpz00_15565 = VECTOR_REF(((obj_t) BgL_sz00_13598), ((long) 0));
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15566;

						BgL_fz00_15566 =
							PROCEDURE_ENTRY(BgL_fz00_13592) (BgL_fz00_13592, BgL_sz00_13598,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15566))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13593))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15566);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15567;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19649;

								BgL_tmpz00_19649 = ((obj_t) BgL_fz00_15566);
								BgL_ufz00_15567 = PROCEDURE_ATTR(BgL_tmpz00_19649);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test4993z00_19652;

								if (STRUCTP(BgL_ufz00_15567))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4993z00_19652 =
											(STRUCT_KEY(BgL_ufz00_15567) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test4993z00_19652 = ((bool_t) 0);
									}
								if (BgL_test4993z00_19652)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15568;
										obj_t BgL_runz00_15569;
										obj_t BgL_sfz00_15570;

										BgL_arityz00_15568 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 0)));
										BgL_runz00_15569 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 1)));
										BgL_sfz00_15570 =
											STRUCT_REF(BgL_ufz00_15567, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15571;

											BgL_spz00_15571 =
												((long) CINT(BgL_bpz00_15565) + BgL_siza7eza7_13597);
											if (
												((long) CINT(BgL_arityz00_15568) ==
													BgL_nbargsz00_13595))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15573;
														long BgL_spz00_15574;

														BgL_lz00_15573 = BgL_argsz00_13596;
														BgL_spz00_15574 = BgL_spz00_15571;
													BgL_recz00_15572:
														if (NULLP(BgL_lz00_15573))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1793z00_15575;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1794z00_15576;

																		BgL_fun1794z00_15576 =
																			CAR(((obj_t) BgL_lz00_15573));
																		BgL_arg1793z00_15575 =
																			PROCEDURE_ENTRY(BgL_fun1794z00_15576)
																			(BgL_fun1794z00_15576, BgL_sz00_13598,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13598), BgL_spz00_15574,
																		BgL_arg1793z00_15575);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1795z00_15577;
																	long BgL_arg1796z00_15578;

																	BgL_arg1795z00_15577 =
																		CDR(((obj_t) BgL_lz00_15573));
																	BgL_arg1796z00_15578 =
																		(BgL_spz00_15574 + ((long) 1));
																	{
																		long BgL_spz00_19682;
																		obj_t BgL_lz00_19681;

																		BgL_lz00_19681 = BgL_arg1795z00_15577;
																		BgL_spz00_19682 = BgL_arg1796z00_15578;
																		BgL_spz00_15574 = BgL_spz00_19682;
																		BgL_lz00_15573 = BgL_lz00_19681;
																		goto BgL_recz00_15572;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1836z00_15579;

														BgL_arg1836z00_15579 =
															(BgL_spz00_15571 + BgL_nbargsz00_13595);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13598, (long) CINT(BgL_bpz00_15565),
															BgL_sz00_13598, BINT(BgL_spz00_15571),
															BINT(BgL_arg1836z00_15579));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test4997z00_19688;

													if (((long) CINT(BgL_arityz00_15568) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4997z00_19688 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test4997z00_19688 =
																(
																(long) CINT(BgL_arityz00_15568) <
																(((long) -1) - BgL_nbargsz00_13595));
														}
													if (BgL_test4997z00_19688)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13593))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15567, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13595),
																CINT(BgL_arityz00_15568));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15568, BgL_sz00_13598,
																BgL_argsz00_13596, BINT(BgL_spz00_15571));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1843z00_15580;

																BgL_arg1843z00_15580 =
																	(BgL_spz00_15571 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15568)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13598, (long) CINT(BgL_bpz00_15565),
																	BgL_sz00_13598, BINT(BgL_spz00_15571),
																	BINT(BgL_arg1843z00_15580));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15581;

												BgL_z12denvz12_15581 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_tmpz00_19711;

													BgL_tmpz00_19711 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13593))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15581,
														BgL_tmpz00_19711);
												}
												if (
													(((long) CINT(BgL_bpz00_15565) +
															(long) CINT(BgL_sfz00_15570)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13598))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15569;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15582;

														BgL_nsz00_15582 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1848z00_15583;

															BgL_arg1848z00_15583 =
																(
																(long) CINT(BgL_bpz00_15565) +
																BgL_nbargsz00_13595);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15582, ((long) 2), BgL_sz00_13598,
																BgL_bpz00_15565, BINT(BgL_arg1848z00_15583));
														}
														VECTOR_SET(BgL_nsz00_15582, ((long) 1),
															BgL_sz00_13598);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15581,
															BgL_nsz00_15582);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15584;

															BgL_ez00_15584 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4422z00_15585;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4423z00_15586;

																	BgL_arg4423z00_15586 =
																		BGL_EXITD_PROTECT(BgL_ez00_15584);
																	BgL_arg4422z00_15585 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13598,
																		BgL_arg4423z00_15586);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15584,
																	BgL_arg4422z00_15585);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15587;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15588;

																	BgL_savedzd2bpzd2_15588 =
																		VECTOR_REF(BgL_nsz00_15582, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15582, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15590;

																		BgL_fz00_15590 = BgL_runz00_15569;
																	BgL_recz00_15589:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15591;

																			BgL_rz00_15591 =
																				PROCEDURE_ENTRY(BgL_fz00_15590)
																				(BgL_fz00_15590, BgL_nsz00_15582, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5000z00_19739;

																				if (PROCEDUREP(BgL_rz00_15591))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15592;

																						BgL_arg1747z00_15592 =
																							PROCEDURE_ATTR(BgL_rz00_15591);
																						if (STRUCTP(BgL_arg1747z00_15592))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5000z00_19739 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15592) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5000z00_19739 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5000z00_19739 =
																							((bool_t) 0);
																					}
																				if (BgL_test5000z00_19739)
																					{
																						obj_t BgL_fz00_19747;

																						BgL_fz00_19747 = BgL_rz00_15591;
																						BgL_fz00_15590 = BgL_fz00_19747;
																						goto BgL_recz00_15589;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15582,
																							((long) 0),
																							BgL_savedzd2bpzd2_15588);
																						BgL_____rz00_15587 = BgL_rz00_15591;
																}}}}}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test5003z00_19749;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4421z00_15593;

																		BgL_arg4421z00_15593 =
																			BGL_EXITD_PROTECT(BgL_ez00_15584);
																		BgL_test5003z00_19749 =
																			PAIRP(BgL_arg4421z00_15593);
																	}
																	if (BgL_test5003z00_19749)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4419z00_15594;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4420z00_15595;

																				BgL_arg4420z00_15595 =
																					BGL_EXITD_PROTECT(BgL_ez00_15584);
																				BgL_arg4419z00_15594 =
																					CDR(((obj_t) BgL_arg4420z00_15595));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15584,
																				BgL_arg4419z00_15594);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15581,
																	BgL_sz00_13598);
																return BgL_____rz00_15587;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15566,
												(int) (BgL_nbargsz00_13595)))
											{	/* Eval/evaluate_comp.scm 787 */
												{	/* Eval/evaluate_comp.scm 787 */
													obj_t BgL_auxz00_19762;
													obj_t BgL_tmpz00_19760;

													BgL_auxz00_19762 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13593))->BgL_locz00);
													BgL_tmpz00_19760 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19760,
														BgL_auxz00_19762);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13598, BgL_fz00_15566, BgL_argsz00_13596,
													BgL_bpz00_15565, BINT(BgL_siza7eza7_13597));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13593))->
														BgL_locz00), BgL_symbzd2funzd2_13594,
													(int) (BgL_nbargsz00_13595),
													PROCEDURE_ARITY(BgL_fz00_15566));
		}}}}}}}}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13599, obj_t BgL_sz00_13606)
	{
		{	/* Eval/evaluate_comp.scm 787 */
			{	/* Eval/evaluate_comp.scm 787 */
				obj_t BgL_fz00_13600;
				BgL_ev_appz00_bglt BgL_i1165z00_13601;
				obj_t BgL_symbzd2funzd2_13602;
				long BgL_nbargsz00_13603;
				obj_t BgL_argsz00_13604;
				long BgL_siza7eza7_13605;

				BgL_fz00_13600 = PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 0)));
				BgL_i1165z00_13601 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 1))));
				BgL_symbzd2funzd2_13602 =
					PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 2)));
				BgL_nbargsz00_13603 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 3))));
				BgL_argsz00_13604 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 4))));
				BgL_siza7eza7_13605 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13599, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 787 */
					obj_t BgL_bpz00_15596;

					BgL_bpz00_15596 = VECTOR_REF(((obj_t) BgL_sz00_13606), ((long) 0));
					{	/* Eval/evaluate_comp.scm 787 */
						obj_t BgL_fz00_15597;

						BgL_fz00_15597 =
							PROCEDURE_ENTRY(BgL_fz00_13600) (BgL_fz00_13600, BgL_sz00_13606,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15597))
							{	/* Eval/evaluate_comp.scm 787 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 787 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13601))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15597);
							}
						{	/* Eval/evaluate_comp.scm 787 */
							obj_t BgL_ufz00_15598;

							{	/* Eval/evaluate_comp.scm 787 */
								obj_t BgL_tmpz00_19797;

								BgL_tmpz00_19797 = ((obj_t) BgL_fz00_15597);
								BgL_ufz00_15598 = PROCEDURE_ATTR(BgL_tmpz00_19797);
							}
							{	/* Eval/evaluate_comp.scm 787 */
								bool_t BgL_test5006z00_19800;

								if (STRUCTP(BgL_ufz00_15598))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5006z00_19800 =
											(STRUCT_KEY(BgL_ufz00_15598) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5006z00_19800 = ((bool_t) 0);
									}
								if (BgL_test5006z00_19800)
									{	/* Eval/evaluate_comp.scm 787 */
										obj_t BgL_arityz00_15599;
										obj_t BgL_runz00_15600;
										obj_t BgL_sfz00_15601;

										BgL_arityz00_15599 =
											STRUCT_REF(BgL_ufz00_15598, (int) (((long) 0)));
										BgL_runz00_15600 =
											STRUCT_REF(BgL_ufz00_15598, (int) (((long) 1)));
										BgL_sfz00_15601 =
											STRUCT_REF(BgL_ufz00_15598, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 787 */
											long BgL_spz00_15602;

											BgL_spz00_15602 =
												((long) CINT(BgL_bpz00_15596) + BgL_siza7eza7_13605);
											if (
												((long) CINT(BgL_arityz00_15599) ==
													BgL_nbargsz00_13603))
												{	/* Eval/evaluate_comp.scm 787 */
													{
														obj_t BgL_lz00_15604;
														long BgL_spz00_15605;

														BgL_lz00_15604 = BgL_argsz00_13604;
														BgL_spz00_15605 = BgL_spz00_15602;
													BgL_recz00_15603:
														if (NULLP(BgL_lz00_15604))
															{	/* Eval/evaluate_comp.scm 711 */
																((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1793z00_15606;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1794z00_15607;

																		BgL_fun1794z00_15607 =
																			CAR(((obj_t) BgL_lz00_15604));
																		BgL_arg1793z00_15606 =
																			PROCEDURE_ENTRY(BgL_fun1794z00_15607)
																			(BgL_fun1794z00_15607, BgL_sz00_13606,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13606), BgL_spz00_15605,
																		BgL_arg1793z00_15606);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1795z00_15608;
																	long BgL_arg1796z00_15609;

																	BgL_arg1795z00_15608 =
																		CDR(((obj_t) BgL_lz00_15604));
																	BgL_arg1796z00_15609 =
																		(BgL_spz00_15605 + ((long) 1));
																	{
																		long BgL_spz00_19830;
																		obj_t BgL_lz00_19829;

																		BgL_lz00_19829 = BgL_arg1795z00_15608;
																		BgL_spz00_19830 = BgL_arg1796z00_15609;
																		BgL_spz00_15605 = BgL_spz00_19830;
																		BgL_lz00_15604 = BgL_lz00_19829;
																		goto BgL_recz00_15603;
																	}
																}
															}
													}
													{	/* Eval/evaluate_comp.scm 791 */
														long BgL_arg1865z00_15610;

														BgL_arg1865z00_15610 =
															(BgL_spz00_15602 + BgL_nbargsz00_13603);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_sz00_13606, (long) CINT(BgL_bpz00_15596),
															BgL_sz00_13606, BINT(BgL_spz00_15602),
															BINT(BgL_arg1865z00_15610));
												}}
											else
												{	/* Eval/evaluate_comp.scm 787 */
													bool_t BgL_test5010z00_19836;

													if (((long) CINT(BgL_arityz00_15599) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test5010z00_19836 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BgL_test5010z00_19836 =
																(
																(long) CINT(BgL_arityz00_15599) <
																(((long) -1) - BgL_nbargsz00_13603));
														}
													if (BgL_test5010z00_19836)
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13601))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15598, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13603),
																CINT(BgL_arityz00_15599));
														}
													else
														{	/* Eval/evaluate_comp.scm 787 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15599, BgL_sz00_13606,
																BgL_argsz00_13604, BINT(BgL_spz00_15602));
															{	/* Eval/evaluate_comp.scm 793 */
																long BgL_arg1871z00_15611;

																BgL_arg1871z00_15611 =
																	(BgL_spz00_15602 +
																	(((long) 0) -
																		(long) CINT(BgL_arityz00_15599)));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_sz00_13606, (long) CINT(BgL_bpz00_15596),
																	BgL_sz00_13606, BINT(BgL_spz00_15602),
																	BINT(BgL_arg1871z00_15611));
												}}}
											{	/* Eval/evaluate_comp.scm 787 */
												obj_t BgL_z12denvz12_15612;

												BgL_z12denvz12_15612 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													(((long) CINT(BgL_bpz00_15596) +
															(long) CINT(BgL_sfz00_15601)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13606))))
													{	/* Eval/evaluate_comp.scm 787 */
														return BgL_runz00_15600;
													}
												else
													{	/* Eval/evaluate_comp.scm 787 */
														obj_t BgL_nsz00_15613;

														BgL_nsz00_15613 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 787 */
															long BgL_arg1877z00_15614;

															BgL_arg1877z00_15614 =
																(
																(long) CINT(BgL_bpz00_15596) +
																BgL_nbargsz00_13603);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15613, ((long) 2), BgL_sz00_13606,
																BgL_bpz00_15596, BINT(BgL_arg1877z00_15614));
														}
														VECTOR_SET(BgL_nsz00_15613, ((long) 1),
															BgL_sz00_13606);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15612,
															BgL_nsz00_15613);
														{	/* Eval/evaluate_comp.scm 787 */
															obj_t BgL_ez00_15615;

															BgL_ez00_15615 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_arg4422z00_15616;

																{	/* Eval/evaluate_comp.scm 787 */
																	obj_t BgL_arg4423z00_15617;

																	BgL_arg4423z00_15617 =
																		BGL_EXITD_PROTECT(BgL_ez00_15615);
																	BgL_arg4422z00_15616 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13606,
																		BgL_arg4423z00_15617);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15615,
																	BgL_arg4422z00_15616);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 787 */
																obj_t BgL_____rz00_15618;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15619;

																	BgL_savedzd2bpzd2_15619 =
																		VECTOR_REF(BgL_nsz00_15613, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15613, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15621;

																		BgL_fz00_15621 = BgL_runz00_15600;
																	BgL_recz00_15620:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15622;

																			BgL_rz00_15622 =
																				PROCEDURE_ENTRY(BgL_fz00_15621)
																				(BgL_fz00_15621, BgL_nsz00_15613, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5013z00_19884;

																				if (PROCEDUREP(BgL_rz00_15622))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15623;

																						BgL_arg1747z00_15623 =
																							PROCEDURE_ATTR(BgL_rz00_15622);
																						if (STRUCTP(BgL_arg1747z00_15623))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5013z00_19884 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15623) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5013z00_19884 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5013z00_19884 =
																							((bool_t) 0);
																					}
																				if (BgL_test5013z00_19884)
																					{
																						obj_t BgL_fz00_19892;

																						BgL_fz00_19892 = BgL_rz00_15622;
																						BgL_fz00_15621 = BgL_fz00_19892;
																						goto BgL_recz00_15620;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15613,
																							((long) 0),
																							BgL_savedzd2bpzd2_15619);
																						BgL_____rz00_15618 = BgL_rz00_15622;
																}}}}}
																{	/* Eval/evaluate_comp.scm 787 */
																	bool_t BgL_test5016z00_19894;

																	{	/* Eval/evaluate_comp.scm 787 */
																		obj_t BgL_arg4421z00_15624;

																		BgL_arg4421z00_15624 =
																			BGL_EXITD_PROTECT(BgL_ez00_15615);
																		BgL_test5016z00_19894 =
																			PAIRP(BgL_arg4421z00_15624);
																	}
																	if (BgL_test5016z00_19894)
																		{	/* Eval/evaluate_comp.scm 787 */
																			obj_t BgL_arg4419z00_15625;

																			{	/* Eval/evaluate_comp.scm 787 */
																				obj_t BgL_arg4420z00_15626;

																				BgL_arg4420z00_15626 =
																					BGL_EXITD_PROTECT(BgL_ez00_15615);
																				BgL_arg4419z00_15625 =
																					CDR(((obj_t) BgL_arg4420z00_15626));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15615,
																				BgL_arg4419z00_15625);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 787 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15612,
																	BgL_sz00_13606);
																return BgL_____rz00_15618;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 787 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15597,
												(int) (BgL_nbargsz00_13603)))
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13606, BgL_fz00_15597, BgL_argsz00_13604,
													BgL_bpz00_15596, BINT(BgL_siza7eza7_13605));
											}
										else
											{	/* Eval/evaluate_comp.scm 787 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13601))->
														BgL_locz00), BgL_symbzd2funzd2_13602,
													(int) (BgL_nbargsz00_13603),
													PROCEDURE_ARITY(BgL_fz00_15597));
		}}}}}}}}

	}



/* &<@anonymous:1887> */
	obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13607, obj_t BgL_sz00_13613)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13608;
				BgL_ev_appz00_bglt BgL_i1165z00_13609;
				obj_t BgL_symbzd2funzd2_13610;
				long BgL_nbargsz00_13611;
				obj_t BgL_argsz00_13612;

				BgL_fz00_13608 = PROCEDURE_REF(BgL_envz00_13607, (int) (((long) 0)));
				BgL_i1165z00_13609 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13607, (int) (((long) 1))));
				BgL_symbzd2funzd2_13610 =
					PROCEDURE_REF(BgL_envz00_13607, (int) (((long) 2)));
				BgL_nbargsz00_13611 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13607, (int) (((long) 3))));
				BgL_argsz00_13612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13607, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15627;

					BgL_bpz00_15627 = VECTOR_REF(((obj_t) BgL_sz00_13613), ((long) 0));
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15628;

						BgL_fz00_15628 =
							PROCEDURE_ENTRY(BgL_fz00_13608) (BgL_fz00_13608, BgL_sz00_13613,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15628))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13609))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15628);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15629;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_19934;

								BgL_tmpz00_19934 = ((obj_t) BgL_fz00_15628);
								BgL_ufz00_15629 = PROCEDURE_ATTR(BgL_tmpz00_19934);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test5019z00_19937;

								if (STRUCTP(BgL_ufz00_15629))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5019z00_19937 =
											(STRUCT_KEY(BgL_ufz00_15629) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5019z00_19937 = ((bool_t) 0);
									}
								if (BgL_test5019z00_19937)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15630;
										obj_t BgL_runz00_15631;
										obj_t BgL_sfz00_15632;

										BgL_arityz00_15630 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 0)));
										BgL_runz00_15631 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 1)));
										BgL_sfz00_15632 =
											STRUCT_REF(BgL_ufz00_15629, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15630) == BgL_nbargsz00_13611))
											{
												obj_t BgL_lz00_15634;
												obj_t BgL_spz00_15635;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_19951;

													BgL_lz00_15634 = BgL_argsz00_13612;
													BgL_spz00_15635 = BgL_bpz00_15627;
												BgL_recz00_15633:
													if (NULLP(BgL_lz00_15634))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_19951 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1793z00_15636;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1794z00_15637;

																	BgL_fun1794z00_15637 =
																		CAR(((obj_t) BgL_lz00_15634));
																	BgL_arg1793z00_15636 =
																		PROCEDURE_ENTRY(BgL_fun1794z00_15637)
																		(BgL_fun1794z00_15637, BgL_sz00_13613,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15638;

																	BgL_kz00_15638 = (long) CINT(BgL_spz00_15635);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13613), BgL_kz00_15638,
																		BgL_arg1793z00_15636);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1795z00_15639;
																long BgL_arg1796z00_15640;

																BgL_arg1795z00_15639 =
																	CDR(((obj_t) BgL_lz00_15634));
																BgL_arg1796z00_15640 =
																	((long) CINT(BgL_spz00_15635) + ((long) 1));
																{
																	obj_t BgL_spz00_19968;
																	obj_t BgL_lz00_19967;

																	BgL_lz00_19967 = BgL_arg1795z00_15639;
																	BgL_spz00_19968 = BINT(BgL_arg1796z00_15640);
																	BgL_spz00_15635 = BgL_spz00_19968;
																	BgL_lz00_15634 = BgL_lz00_19967;
																	goto BgL_recz00_15633;
																}
															}
														}
													BBOOL(BgL_tmpz00_19951);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test5023z00_19971;

												if (((long) CINT(BgL_arityz00_15630) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test5023z00_19971 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test5023z00_19971 =
															(
															(long) CINT(BgL_arityz00_15630) <
															(((long) -1) - BgL_nbargsz00_13611));
													}
												if (BgL_test5023z00_19971)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13609))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15629, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13611),
															CINT(BgL_arityz00_15630));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15630, BgL_sz00_13613,
															BgL_argsz00_13612, BgL_bpz00_15627);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15641;

											BgL_z12denvz12_15641 = BGL_CURRENT_DYNAMIC_ENV();
											{	/* Eval/evaluate_comp.scm 795 */
												obj_t BgL_tmpz00_19986;

												BgL_tmpz00_19986 =
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13609))->
													BgL_locz00);
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15641,
													BgL_tmpz00_19986);
											}
											if (
												(((long) CINT(BgL_bpz00_15627) +
														(long) CINT(BgL_sfz00_15632)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13613))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15631;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15642;

													BgL_nsz00_15642 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1904z00_15643;

														BgL_arg1904z00_15643 =
															(
															(long) CINT(BgL_bpz00_15627) +
															BgL_nbargsz00_13611);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15642, ((long) 2), BgL_sz00_13613,
															BgL_bpz00_15627, BINT(BgL_arg1904z00_15643));
													}
													VECTOR_SET(BgL_nsz00_15642, ((long) 1),
														BgL_sz00_13613);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15641,
														BgL_nsz00_15642);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15644;

														BgL_ez00_15644 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4422z00_15645;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4423z00_15646;

																BgL_arg4423z00_15646 =
																	BGL_EXITD_PROTECT(BgL_ez00_15644);
																BgL_arg4422z00_15645 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13613,
																	BgL_arg4423z00_15646);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15644,
																BgL_arg4422z00_15645);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15647;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15648;

																BgL_savedzd2bpzd2_15648 =
																	VECTOR_REF(BgL_nsz00_15642, ((long) 0));
																VECTOR_SET(BgL_nsz00_15642, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15650;

																	BgL_fz00_15650 = BgL_runz00_15631;
																BgL_recz00_15649:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15651;

																		BgL_rz00_15651 =
																			PROCEDURE_ENTRY(BgL_fz00_15650)
																			(BgL_fz00_15650, BgL_nsz00_15642, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5026z00_20014;

																			if (PROCEDUREP(BgL_rz00_15651))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15652;

																					BgL_arg1747z00_15652 =
																						PROCEDURE_ATTR(BgL_rz00_15651);
																					if (STRUCTP(BgL_arg1747z00_15652))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5026z00_20014 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15652) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5026z00_20014 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5026z00_20014 = ((bool_t) 0);
																				}
																			if (BgL_test5026z00_20014)
																				{
																					obj_t BgL_fz00_20022;

																					BgL_fz00_20022 = BgL_rz00_15651;
																					BgL_fz00_15650 = BgL_fz00_20022;
																					goto BgL_recz00_15649;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15642,
																						((long) 0),
																						BgL_savedzd2bpzd2_15648);
																					BgL_____rz00_15647 = BgL_rz00_15651;
															}}}}}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test5029z00_20024;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4421z00_15653;

																	BgL_arg4421z00_15653 =
																		BGL_EXITD_PROTECT(BgL_ez00_15644);
																	BgL_test5029z00_20024 =
																		PAIRP(BgL_arg4421z00_15653);
																}
																if (BgL_test5029z00_20024)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4419z00_15654;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4420z00_15655;

																			BgL_arg4420z00_15655 =
																				BGL_EXITD_PROTECT(BgL_ez00_15644);
																			BgL_arg4419z00_15654 =
																				CDR(((obj_t) BgL_arg4420z00_15655));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15644,
																			BgL_arg4419z00_15654);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15641,
																BgL_sz00_13613);
															return BgL_____rz00_15647;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15628,
												(int) (BgL_nbargsz00_13611)))
											{	/* Eval/evaluate_comp.scm 795 */
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_auxz00_20037;
													obj_t BgL_tmpz00_20035;

													BgL_auxz00_20037 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13609))->BgL_locz00);
													BgL_tmpz00_20035 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20035,
														BgL_auxz00_20037);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13613, BgL_fz00_15628, BgL_argsz00_13612,
													BgL_bpz00_15627, BINT(BgL_nbargsz00_13611));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13609))->
														BgL_locz00), BgL_symbzd2funzd2_13610,
													(int) (BgL_nbargsz00_13611),
													PROCEDURE_ARITY(BgL_fz00_15628));
		}}}}}}}}

	}



/* &<@anonymous:1911> */
	obj_t BGl_z62zc3z04anonymousza31911ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13614, obj_t BgL_sz00_13620)
	{
		{	/* Eval/evaluate_comp.scm 795 */
			{	/* Eval/evaluate_comp.scm 795 */
				obj_t BgL_fz00_13615;
				BgL_ev_appz00_bglt BgL_i1165z00_13616;
				obj_t BgL_symbzd2funzd2_13617;
				long BgL_nbargsz00_13618;
				obj_t BgL_argsz00_13619;

				BgL_fz00_13615 = PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 0)));
				BgL_i1165z00_13616 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 1))));
				BgL_symbzd2funzd2_13617 =
					PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 2)));
				BgL_nbargsz00_13618 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 3))));
				BgL_argsz00_13619 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13614, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 795 */
					obj_t BgL_bpz00_15656;

					BgL_bpz00_15656 = VECTOR_REF(((obj_t) BgL_sz00_13620), ((long) 0));
					{	/* Eval/evaluate_comp.scm 795 */
						obj_t BgL_fz00_15657;

						BgL_fz00_15657 =
							PROCEDURE_ENTRY(BgL_fz00_13615) (BgL_fz00_13615, BgL_sz00_13620,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15657))
							{	/* Eval/evaluate_comp.scm 795 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 795 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13616))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15657);
							}
						{	/* Eval/evaluate_comp.scm 795 */
							obj_t BgL_ufz00_15658;

							{	/* Eval/evaluate_comp.scm 795 */
								obj_t BgL_tmpz00_20069;

								BgL_tmpz00_20069 = ((obj_t) BgL_fz00_15657);
								BgL_ufz00_15658 = PROCEDURE_ATTR(BgL_tmpz00_20069);
							}
							{	/* Eval/evaluate_comp.scm 795 */
								bool_t BgL_test5032z00_20072;

								if (STRUCTP(BgL_ufz00_15658))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5032z00_20072 =
											(STRUCT_KEY(BgL_ufz00_15658) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5032z00_20072 = ((bool_t) 0);
									}
								if (BgL_test5032z00_20072)
									{	/* Eval/evaluate_comp.scm 795 */
										obj_t BgL_arityz00_15659;
										obj_t BgL_runz00_15660;
										obj_t BgL_sfz00_15661;

										BgL_arityz00_15659 =
											STRUCT_REF(BgL_ufz00_15658, (int) (((long) 0)));
										BgL_runz00_15660 =
											STRUCT_REF(BgL_ufz00_15658, (int) (((long) 1)));
										BgL_sfz00_15661 =
											STRUCT_REF(BgL_ufz00_15658, (int) (((long) 2)));
										if (
											((long) CINT(BgL_arityz00_15659) == BgL_nbargsz00_13618))
											{
												obj_t BgL_lz00_15663;
												obj_t BgL_spz00_15664;

												{	/* Eval/evaluate_comp.scm 710 */
													bool_t BgL_tmpz00_20086;

													BgL_lz00_15663 = BgL_argsz00_13619;
													BgL_spz00_15664 = BgL_bpz00_15656;
												BgL_recz00_15662:
													if (NULLP(BgL_lz00_15663))
														{	/* Eval/evaluate_comp.scm 711 */
															BgL_tmpz00_20086 = ((bool_t) 0);
														}
													else
														{	/* Eval/evaluate_comp.scm 711 */
															{	/* Eval/evaluate_comp.scm 712 */
																obj_t BgL_arg1793z00_15665;

																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_fun1794z00_15666;

																	BgL_fun1794z00_15666 =
																		CAR(((obj_t) BgL_lz00_15663));
																	BgL_arg1793z00_15665 =
																		PROCEDURE_ENTRY(BgL_fun1794z00_15666)
																		(BgL_fun1794z00_15666, BgL_sz00_13620,
																		BEOA);
																}
																{	/* Eval/evaluate_comp.scm 712 */
																	long BgL_kz00_15667;

																	BgL_kz00_15667 = (long) CINT(BgL_spz00_15664);
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13620), BgL_kz00_15667,
																		BgL_arg1793z00_15665);
															}}
															{	/* Eval/evaluate_comp.scm 713 */
																obj_t BgL_arg1795z00_15668;
																long BgL_arg1796z00_15669;

																BgL_arg1795z00_15668 =
																	CDR(((obj_t) BgL_lz00_15663));
																BgL_arg1796z00_15669 =
																	((long) CINT(BgL_spz00_15664) + ((long) 1));
																{
																	obj_t BgL_spz00_20103;
																	obj_t BgL_lz00_20102;

																	BgL_lz00_20102 = BgL_arg1795z00_15668;
																	BgL_spz00_20103 = BINT(BgL_arg1796z00_15669);
																	BgL_spz00_15664 = BgL_spz00_20103;
																	BgL_lz00_15663 = BgL_lz00_20102;
																	goto BgL_recz00_15662;
																}
															}
														}
													BBOOL(BgL_tmpz00_20086);
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												bool_t BgL_test5036z00_20106;

												if (((long) CINT(BgL_arityz00_15659) >= ((long) 0)))
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test5036z00_20106 = ((bool_t) 1);
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BgL_test5036z00_20106 =
															(
															(long) CINT(BgL_arityz00_15659) <
															(((long) -1) - BgL_nbargsz00_13618));
													}
												if (BgL_test5036z00_20106)
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_evarityzd2errorzd2zz__everrorz00(
															(((BgL_ev_appz00_bglt)
																	COBJECT(BgL_i1165z00_13616))->BgL_locz00),
															STRUCT_REF(BgL_ufz00_15658, (int) (((long) 3))),
															(int) (BgL_nbargsz00_13618),
															CINT(BgL_arityz00_15659));
													}
												else
													{	/* Eval/evaluate_comp.scm 795 */
														BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
															(BgL_arityz00_15659, BgL_sz00_13620,
															BgL_argsz00_13619, BgL_bpz00_15656);
													}
											}
										{	/* Eval/evaluate_comp.scm 795 */
											obj_t BgL_z12denvz12_15670;

											BgL_z12denvz12_15670 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15656) +
														(long) CINT(BgL_sfz00_15661)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13620))))
												{	/* Eval/evaluate_comp.scm 795 */
													return BgL_runz00_15660;
												}
											else
												{	/* Eval/evaluate_comp.scm 795 */
													obj_t BgL_nsz00_15671;

													BgL_nsz00_15671 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 795 */
														long BgL_arg1924z00_15672;

														BgL_arg1924z00_15672 =
															(
															(long) CINT(BgL_bpz00_15656) +
															BgL_nbargsz00_13618);
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15671, ((long) 2), BgL_sz00_13620,
															BgL_bpz00_15656, BINT(BgL_arg1924z00_15672));
													}
													VECTOR_SET(BgL_nsz00_15671, ((long) 1),
														BgL_sz00_13620);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15670,
														BgL_nsz00_15671);
													{	/* Eval/evaluate_comp.scm 795 */
														obj_t BgL_ez00_15673;

														BgL_ez00_15673 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_arg4422z00_15674;

															{	/* Eval/evaluate_comp.scm 795 */
																obj_t BgL_arg4423z00_15675;

																BgL_arg4423z00_15675 =
																	BGL_EXITD_PROTECT(BgL_ez00_15673);
																BgL_arg4422z00_15674 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13620,
																	BgL_arg4423z00_15675);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15673,
																BgL_arg4422z00_15674);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 795 */
															obj_t BgL_____rz00_15676;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15677;

																BgL_savedzd2bpzd2_15677 =
																	VECTOR_REF(BgL_nsz00_15671, ((long) 0));
																VECTOR_SET(BgL_nsz00_15671, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15679;

																	BgL_fz00_15679 = BgL_runz00_15660;
																BgL_recz00_15678:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15680;

																		BgL_rz00_15680 =
																			PROCEDURE_ENTRY(BgL_fz00_15679)
																			(BgL_fz00_15679, BgL_nsz00_15671, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5039z00_20146;

																			if (PROCEDUREP(BgL_rz00_15680))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15681;

																					BgL_arg1747z00_15681 =
																						PROCEDURE_ATTR(BgL_rz00_15680);
																					if (STRUCTP(BgL_arg1747z00_15681))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5039z00_20146 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15681) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5039z00_20146 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5039z00_20146 = ((bool_t) 0);
																				}
																			if (BgL_test5039z00_20146)
																				{
																					obj_t BgL_fz00_20154;

																					BgL_fz00_20154 = BgL_rz00_15680;
																					BgL_fz00_15679 = BgL_fz00_20154;
																					goto BgL_recz00_15678;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15671,
																						((long) 0),
																						BgL_savedzd2bpzd2_15677);
																					BgL_____rz00_15676 = BgL_rz00_15680;
															}}}}}
															{	/* Eval/evaluate_comp.scm 795 */
																bool_t BgL_test5042z00_20156;

																{	/* Eval/evaluate_comp.scm 795 */
																	obj_t BgL_arg4421z00_15682;

																	BgL_arg4421z00_15682 =
																		BGL_EXITD_PROTECT(BgL_ez00_15673);
																	BgL_test5042z00_20156 =
																		PAIRP(BgL_arg4421z00_15682);
																}
																if (BgL_test5042z00_20156)
																	{	/* Eval/evaluate_comp.scm 795 */
																		obj_t BgL_arg4419z00_15683;

																		{	/* Eval/evaluate_comp.scm 795 */
																			obj_t BgL_arg4420z00_15684;

																			BgL_arg4420z00_15684 =
																				BGL_EXITD_PROTECT(BgL_ez00_15673);
																			BgL_arg4419z00_15683 =
																				CDR(((obj_t) BgL_arg4420z00_15684));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15673,
																			BgL_arg4419z00_15683);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 795 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15670,
																BgL_sz00_13620);
															return BgL_____rz00_15676;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 795 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15657,
												(int) (BgL_nbargsz00_13618)))
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13620, BgL_fz00_15657, BgL_argsz00_13619,
													BgL_bpz00_15656, BINT(BgL_nbargsz00_13618));
											}
										else
											{	/* Eval/evaluate_comp.scm 795 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13616))->
														BgL_locz00), BgL_symbzd2funzd2_13617,
													(int) (BgL_nbargsz00_13618),
													PROCEDURE_ARITY(BgL_fz00_15657));
		}}}}}}}}

	}



/* &<@anonymous:1934> */
	obj_t BGl_z62zc3z04anonymousza31934ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13621, obj_t BgL_sz00_13628)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13622;
				BgL_ev_appz00_bglt BgL_i1165z00_13623;
				obj_t BgL_symbzd2funzd2_13624;
				long BgL_nbargsz00_13625;
				obj_t BgL_argsz00_13626;
				long BgL_siza7eza7_13627;

				BgL_fz00_13622 = PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 0)));
				BgL_i1165z00_13623 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 1))));
				BgL_symbzd2funzd2_13624 =
					PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 2)));
				BgL_nbargsz00_13625 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 3))));
				BgL_argsz00_13626 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 4))));
				BgL_siza7eza7_13627 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13621, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15685;

					BgL_bpz00_15685 = VECTOR_REF(((obj_t) BgL_sz00_13628), ((long) 0));
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15686;

						BgL_fz00_15686 =
							PROCEDURE_ENTRY(BgL_fz00_13622) (BgL_fz00_13622, BgL_sz00_13628,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15686))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13623))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15686);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15687;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20199;

								BgL_tmpz00_20199 = ((obj_t) BgL_fz00_15686);
								BgL_ufz00_15687 = PROCEDURE_ATTR(BgL_tmpz00_20199);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test5045z00_20202;

								if (STRUCTP(BgL_ufz00_15687))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5045z00_20202 =
											(STRUCT_KEY(BgL_ufz00_15687) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5045z00_20202 = ((bool_t) 0);
									}
								if (BgL_test5045z00_20202)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15688;
										obj_t BgL_runz00_15689;
										obj_t BgL_sfz00_15690;

										BgL_arityz00_15688 =
											STRUCT_REF(BgL_ufz00_15687, (int) (((long) 0)));
										BgL_runz00_15689 =
											STRUCT_REF(BgL_ufz00_15687, (int) (((long) 1)));
										BgL_sfz00_15690 =
											STRUCT_REF(BgL_ufz00_15687, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15691;

											BgL_spz00_15691 =
												((long) CINT(BgL_bpz00_15685) + BgL_siza7eza7_13627);
											if (
												((long) CINT(BgL_arityz00_15688) ==
													BgL_nbargsz00_13625))
												{
													obj_t BgL_lz00_15693;
													long BgL_spz00_15694;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20218;

														BgL_lz00_15693 = BgL_argsz00_13626;
														BgL_spz00_15694 = BgL_spz00_15691;
													BgL_recz00_15692:
														if (NULLP(BgL_lz00_15693))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20218 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1793z00_15695;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1794z00_15696;

																		BgL_fun1794z00_15696 =
																			CAR(((obj_t) BgL_lz00_15693));
																		BgL_arg1793z00_15695 =
																			PROCEDURE_ENTRY(BgL_fun1794z00_15696)
																			(BgL_fun1794z00_15696, BgL_sz00_13628,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13628), BgL_spz00_15694,
																		BgL_arg1793z00_15695);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1795z00_15697;
																	long BgL_arg1796z00_15698;

																	BgL_arg1795z00_15697 =
																		CDR(((obj_t) BgL_lz00_15693));
																	BgL_arg1796z00_15698 =
																		(BgL_spz00_15694 + ((long) 1));
																	{
																		long BgL_spz00_20233;
																		obj_t BgL_lz00_20232;

																		BgL_lz00_20232 = BgL_arg1795z00_15697;
																		BgL_spz00_20233 = BgL_arg1796z00_15698;
																		BgL_spz00_15694 = BgL_spz00_20233;
																		BgL_lz00_15693 = BgL_lz00_20232;
																		goto BgL_recz00_15692;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20218);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test5049z00_20235;

													if (((long) CINT(BgL_arityz00_15688) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5049z00_20235 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5049z00_20235 =
																(
																(long) CINT(BgL_arityz00_15688) <
																(((long) -1) - BgL_nbargsz00_13625));
														}
													if (BgL_test5049z00_20235)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13623))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15687, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13625),
																CINT(BgL_arityz00_15688));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15688, BgL_sz00_13628,
																BgL_argsz00_13626, BINT(BgL_spz00_15691));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15699;

												BgL_z12denvz12_15699 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_tmpz00_20251;

													BgL_tmpz00_20251 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13623))->BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15699,
														BgL_tmpz00_20251);
												}
												if (
													((BgL_spz00_15691 +
															(long) CINT(BgL_sfz00_15690)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13628))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15689, BgL_sz00_13628,
															BINT(BgL_spz00_15691));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15700;

														BgL_nsz00_15700 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1947z00_15701;

															BgL_arg1947z00_15701 =
																(BgL_spz00_15691 + BgL_nbargsz00_13625);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15700, ((long) 2), BgL_sz00_13628,
																BINT(BgL_spz00_15691),
																BINT(BgL_arg1947z00_15701));
														}
														VECTOR_SET(BgL_nsz00_15700, ((long) 1),
															BgL_sz00_13628);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15699,
															BgL_nsz00_15700);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15702;

															BgL_ez00_15702 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4422z00_15703;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4423z00_15704;

																	BgL_arg4423z00_15704 =
																		BGL_EXITD_PROTECT(BgL_ez00_15702);
																	BgL_arg4422z00_15703 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13628,
																		BgL_arg4423z00_15704);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15702,
																	BgL_arg4422z00_15703);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15705;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15706;

																	BgL_savedzd2bpzd2_15706 =
																		VECTOR_REF(BgL_nsz00_15700, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15700, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15708;

																		BgL_fz00_15708 = BgL_runz00_15689;
																	BgL_recz00_15707:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15709;

																			BgL_rz00_15709 =
																				PROCEDURE_ENTRY(BgL_fz00_15708)
																				(BgL_fz00_15708, BgL_nsz00_15700, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5052z00_20280;

																				if (PROCEDUREP(BgL_rz00_15709))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15710;

																						BgL_arg1747z00_15710 =
																							PROCEDURE_ATTR(BgL_rz00_15709);
																						if (STRUCTP(BgL_arg1747z00_15710))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5052z00_20280 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15710) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5052z00_20280 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5052z00_20280 =
																							((bool_t) 0);
																					}
																				if (BgL_test5052z00_20280)
																					{
																						obj_t BgL_fz00_20288;

																						BgL_fz00_20288 = BgL_rz00_15709;
																						BgL_fz00_15708 = BgL_fz00_20288;
																						goto BgL_recz00_15707;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15700,
																							((long) 0),
																							BgL_savedzd2bpzd2_15706);
																						BgL_____rz00_15705 = BgL_rz00_15709;
																}}}}}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test5055z00_20290;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4421z00_15711;

																		BgL_arg4421z00_15711 =
																			BGL_EXITD_PROTECT(BgL_ez00_15702);
																		BgL_test5055z00_20290 =
																			PAIRP(BgL_arg4421z00_15711);
																	}
																	if (BgL_test5055z00_20290)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4419z00_15712;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4420z00_15713;

																				BgL_arg4420z00_15713 =
																					BGL_EXITD_PROTECT(BgL_ez00_15702);
																				BgL_arg4419z00_15712 =
																					CDR(((obj_t) BgL_arg4420z00_15713));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15702,
																				BgL_arg4419z00_15712);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15699,
																	BgL_sz00_13628);
																return BgL_____rz00_15705;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15686,
												(int) (BgL_nbargsz00_13625)))
											{	/* Eval/evaluate_comp.scm 781 */
												{	/* Eval/evaluate_comp.scm 781 */
													obj_t BgL_auxz00_20303;
													obj_t BgL_tmpz00_20301;

													BgL_auxz00_20303 =
														(((BgL_ev_appz00_bglt)
															COBJECT(BgL_i1165z00_13623))->BgL_locz00);
													BgL_tmpz00_20301 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20301,
														BgL_auxz00_20303);
												}
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13628, BgL_fz00_15686, BgL_argsz00_13626,
													BgL_bpz00_15685, BINT(BgL_siza7eza7_13627));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13623))->
														BgL_locz00), BgL_symbzd2funzd2_13624,
													(int) (BgL_nbargsz00_13625),
													PROCEDURE_ARITY(BgL_fz00_15686));
		}}}}}}}}

	}



/* &<@anonymous:1954> */
	obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13629, obj_t BgL_sz00_13636)
	{
		{	/* Eval/evaluate_comp.scm 781 */
			{	/* Eval/evaluate_comp.scm 781 */
				obj_t BgL_fz00_13630;
				BgL_ev_appz00_bglt BgL_i1165z00_13631;
				obj_t BgL_symbzd2funzd2_13632;
				long BgL_nbargsz00_13633;
				obj_t BgL_argsz00_13634;
				long BgL_siza7eza7_13635;

				BgL_fz00_13630 = PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 0)));
				BgL_i1165z00_13631 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 1))));
				BgL_symbzd2funzd2_13632 =
					PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 2)));
				BgL_nbargsz00_13633 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 3))));
				BgL_argsz00_13634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 4))));
				BgL_siza7eza7_13635 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13629, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 781 */
					obj_t BgL_bpz00_15714;

					BgL_bpz00_15714 = VECTOR_REF(((obj_t) BgL_sz00_13636), ((long) 0));
					{	/* Eval/evaluate_comp.scm 781 */
						obj_t BgL_fz00_15715;

						BgL_fz00_15715 =
							PROCEDURE_ENTRY(BgL_fz00_13630) (BgL_fz00_13630, BgL_sz00_13636,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15715))
							{	/* Eval/evaluate_comp.scm 781 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 781 */
								BGl_evtypezd2errorzd2zz__everrorz00(
									(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13631))->
										BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15715);
							}
						{	/* Eval/evaluate_comp.scm 781 */
							obj_t BgL_ufz00_15716;

							{	/* Eval/evaluate_comp.scm 781 */
								obj_t BgL_tmpz00_20338;

								BgL_tmpz00_20338 = ((obj_t) BgL_fz00_15715);
								BgL_ufz00_15716 = PROCEDURE_ATTR(BgL_tmpz00_20338);
							}
							{	/* Eval/evaluate_comp.scm 781 */
								bool_t BgL_test5058z00_20341;

								if (STRUCTP(BgL_ufz00_15716))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5058z00_20341 =
											(STRUCT_KEY(BgL_ufz00_15716) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5058z00_20341 = ((bool_t) 0);
									}
								if (BgL_test5058z00_20341)
									{	/* Eval/evaluate_comp.scm 781 */
										obj_t BgL_arityz00_15717;
										obj_t BgL_runz00_15718;
										obj_t BgL_sfz00_15719;

										BgL_arityz00_15717 =
											STRUCT_REF(BgL_ufz00_15716, (int) (((long) 0)));
										BgL_runz00_15718 =
											STRUCT_REF(BgL_ufz00_15716, (int) (((long) 1)));
										BgL_sfz00_15719 =
											STRUCT_REF(BgL_ufz00_15716, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 781 */
											long BgL_spz00_15720;

											BgL_spz00_15720 =
												((long) CINT(BgL_bpz00_15714) + BgL_siza7eza7_13635);
											if (
												((long) CINT(BgL_arityz00_15717) ==
													BgL_nbargsz00_13633))
												{
													obj_t BgL_lz00_15722;
													long BgL_spz00_15723;

													{	/* Eval/evaluate_comp.scm 710 */
														bool_t BgL_tmpz00_20357;

														BgL_lz00_15722 = BgL_argsz00_13634;
														BgL_spz00_15723 = BgL_spz00_15720;
													BgL_recz00_15721:
														if (NULLP(BgL_lz00_15722))
															{	/* Eval/evaluate_comp.scm 711 */
																BgL_tmpz00_20357 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 711 */
																{	/* Eval/evaluate_comp.scm 712 */
																	obj_t BgL_arg1793z00_15724;

																	{	/* Eval/evaluate_comp.scm 712 */
																		obj_t BgL_fun1794z00_15725;

																		BgL_fun1794z00_15725 =
																			CAR(((obj_t) BgL_lz00_15722));
																		BgL_arg1793z00_15724 =
																			PROCEDURE_ENTRY(BgL_fun1794z00_15725)
																			(BgL_fun1794z00_15725, BgL_sz00_13636,
																			BEOA);
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13636), BgL_spz00_15723,
																		BgL_arg1793z00_15724);
																}
																{	/* Eval/evaluate_comp.scm 713 */
																	obj_t BgL_arg1795z00_15726;
																	long BgL_arg1796z00_15727;

																	BgL_arg1795z00_15726 =
																		CDR(((obj_t) BgL_lz00_15722));
																	BgL_arg1796z00_15727 =
																		(BgL_spz00_15723 + ((long) 1));
																	{
																		long BgL_spz00_20372;
																		obj_t BgL_lz00_20371;

																		BgL_lz00_20371 = BgL_arg1795z00_15726;
																		BgL_spz00_20372 = BgL_arg1796z00_15727;
																		BgL_spz00_15723 = BgL_spz00_20372;
																		BgL_lz00_15722 = BgL_lz00_20371;
																		goto BgL_recz00_15721;
																	}
																}
															}
														BBOOL(BgL_tmpz00_20357);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 781 */
													bool_t BgL_test5062z00_20374;

													if (((long) CINT(BgL_arityz00_15717) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5062z00_20374 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BgL_test5062z00_20374 =
																(
																(long) CINT(BgL_arityz00_15717) <
																(((long) -1) - BgL_nbargsz00_13633));
														}
													if (BgL_test5062z00_20374)
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		COBJECT(BgL_i1165z00_13631))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_15716, (int) (((long) 3))),
																(int) (BgL_nbargsz00_13633),
																CINT(BgL_arityz00_15717));
														}
													else
														{	/* Eval/evaluate_comp.scm 781 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_15717, BgL_sz00_13636,
																BgL_argsz00_13634, BINT(BgL_spz00_15720));
														}
												}
											{	/* Eval/evaluate_comp.scm 781 */
												obj_t BgL_z12denvz12_15728;

												BgL_z12denvz12_15728 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15720 +
															(long) CINT(BgL_sfz00_15719)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13636))))
													{	/* Eval/evaluate_comp.scm 781 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15718, BgL_sz00_13636,
															BINT(BgL_spz00_15720));
													}
												else
													{	/* Eval/evaluate_comp.scm 781 */
														obj_t BgL_nsz00_15729;

														BgL_nsz00_15729 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 781 */
															long BgL_arg1967z00_15730;

															BgL_arg1967z00_15730 =
																(BgL_spz00_15720 + BgL_nbargsz00_13633);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15729, ((long) 2), BgL_sz00_13636,
																BINT(BgL_spz00_15720),
																BINT(BgL_arg1967z00_15730));
														}
														VECTOR_SET(BgL_nsz00_15729, ((long) 1),
															BgL_sz00_13636);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15728,
															BgL_nsz00_15729);
														{	/* Eval/evaluate_comp.scm 781 */
															obj_t BgL_ez00_15731;

															BgL_ez00_15731 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_arg4422z00_15732;

																{	/* Eval/evaluate_comp.scm 781 */
																	obj_t BgL_arg4423z00_15733;

																	BgL_arg4423z00_15733 =
																		BGL_EXITD_PROTECT(BgL_ez00_15731);
																	BgL_arg4422z00_15732 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13636,
																		BgL_arg4423z00_15733);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15731,
																	BgL_arg4422z00_15732);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 781 */
																obj_t BgL_____rz00_15734;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15735;

																	BgL_savedzd2bpzd2_15735 =
																		VECTOR_REF(BgL_nsz00_15729, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15729, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15737;

																		BgL_fz00_15737 = BgL_runz00_15718;
																	BgL_recz00_15736:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15738;

																			BgL_rz00_15738 =
																				PROCEDURE_ENTRY(BgL_fz00_15737)
																				(BgL_fz00_15737, BgL_nsz00_15729, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5065z00_20416;

																				if (PROCEDUREP(BgL_rz00_15738))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15739;

																						BgL_arg1747z00_15739 =
																							PROCEDURE_ATTR(BgL_rz00_15738);
																						if (STRUCTP(BgL_arg1747z00_15739))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5065z00_20416 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15739) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5065z00_20416 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5065z00_20416 =
																							((bool_t) 0);
																					}
																				if (BgL_test5065z00_20416)
																					{
																						obj_t BgL_fz00_20424;

																						BgL_fz00_20424 = BgL_rz00_15738;
																						BgL_fz00_15737 = BgL_fz00_20424;
																						goto BgL_recz00_15736;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15729,
																							((long) 0),
																							BgL_savedzd2bpzd2_15735);
																						BgL_____rz00_15734 = BgL_rz00_15738;
																}}}}}
																{	/* Eval/evaluate_comp.scm 781 */
																	bool_t BgL_test5068z00_20426;

																	{	/* Eval/evaluate_comp.scm 781 */
																		obj_t BgL_arg4421z00_15740;

																		BgL_arg4421z00_15740 =
																			BGL_EXITD_PROTECT(BgL_ez00_15731);
																		BgL_test5068z00_20426 =
																			PAIRP(BgL_arg4421z00_15740);
																	}
																	if (BgL_test5068z00_20426)
																		{	/* Eval/evaluate_comp.scm 781 */
																			obj_t BgL_arg4419z00_15741;

																			{	/* Eval/evaluate_comp.scm 781 */
																				obj_t BgL_arg4420z00_15742;

																				BgL_arg4420z00_15742 =
																					BGL_EXITD_PROTECT(BgL_ez00_15731);
																				BgL_arg4419z00_15741 =
																					CDR(((obj_t) BgL_arg4420z00_15742));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15731,
																				BgL_arg4419z00_15741);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 781 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15728,
																	BgL_sz00_13636);
																return BgL_____rz00_15734;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 781 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15715,
												(int) (BgL_nbargsz00_13633)))
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
													(BgL_sz00_13636, BgL_fz00_15715, BgL_argsz00_13634,
													BgL_bpz00_15714, BINT(BgL_siza7eza7_13635));
											}
										else
											{	/* Eval/evaluate_comp.scm 781 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(
													(((BgL_ev_appz00_bglt) COBJECT(BgL_i1165z00_13631))->
														BgL_locz00), BgL_symbzd2funzd2_13632,
													(int) (BgL_nbargsz00_13633),
													PROCEDURE_ARITY(BgL_fz00_15715));
		}}}}}}}}

	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2020;

				BgL_cfunz00_2020 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_2020))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5071z00_20446;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_arg1981z00_2034;

							BgL_arg1981z00_2034 = bgl_debug();
							BgL_test5071z00_20446 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1981z00_2034),
								BINT(((long) 0)));
						}
						if (BgL_test5071z00_20446)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31978ze3z87_13637;

								BgL_zc3z04anonymousza31978ze3z87_13637 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31978ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31978ze3z87_13637,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31978ze3z87_13637,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3z04anonymousza31978ze3z87_13637,
									(int) (((long) 2)), BgL_cfunz00_2020);
								return BgL_zc3z04anonymousza31978ze3z87_13637;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza31980ze3z87_13638;

								BgL_zc3z04anonymousza31980ze3z87_13638 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31980ze3z87_13638,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3z04anonymousza31980ze3z87_13638,
									(int) (((long) 1)), BgL_cfunz00_2020);
								return BgL_zc3z04anonymousza31980ze3z87_13638;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5073z00_20471;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2011z00_2098;

									BgL_arg2011z00_2098 = bgl_debug();
									BgL_test5073z00_20471 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2011z00_2098),
										BINT(((long) 0)));
								}
								if (BgL_test5073z00_20471)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31984ze3z87_13639;

										BgL_zc3z04anonymousza31984ze3z87_13639 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31984ze3z87_13639,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31984ze3z87_13639,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31984ze3z87_13639,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31984ze3z87_13639,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31984ze3z87_13639;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza31998ze3z87_13640;

										BgL_zc3z04anonymousza31998ze3z87_13640 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13640,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13640,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13640,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza31998ze3z87_13640,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza31998ze3z87_13640;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5074z00_20500;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2044z00_2162;

									BgL_arg2044z00_2162 = bgl_debug();
									BgL_test5074z00_20500 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2044z00_2162),
										BINT(((long) 0)));
								}
								if (BgL_test5074z00_20500)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32014ze3z87_13641;

										BgL_zc3z04anonymousza32014ze3z87_13641 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_13641,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_13641,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_13641,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_13641,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32014ze3z87_13641;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32030ze3z87_13642;

										BgL_zc3z04anonymousza32030ze3z87_13642 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13642,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13642,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13642,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3z04anonymousza32030ze3z87_13642,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3z04anonymousza32030ze3z87_13642;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:1978> */
	obj_t BGl_z62zc3z04anonymousza31978ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13643, obj_t BgL_sz00_13647)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13644;
				obj_t BgL_locz00_13645;
				obj_t BgL_cfunz00_13646;

				BgL_siza7eza7_13644 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13643, (int) (((long) 0))));
				BgL_locz00_13645 = PROCEDURE_REF(BgL_envz00_13643, (int) (((long) 1)));
				BgL_cfunz00_13646 = PROCEDURE_REF(BgL_envz00_13643, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15743;

					BgL_bpz00_15743 = VECTOR_REF(((obj_t) BgL_sz00_13647), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15744;

							BgL_nbpz00_15744 =
								((long) CINT(BgL_bpz00_15743) + BgL_siza7eza7_13644);
							VECTOR_SET(
								((obj_t) BgL_sz00_13647), ((long) 0), BINT(BgL_nbpz00_15744));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20543;

								BgL_tmpz00_20543 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20543, BgL_locz00_13645);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15745;

								BgL_rz00_15745 =
									PROCEDURE_ENTRY(BgL_cfunz00_13646) (BgL_cfunz00_13646, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13647), ((long) 0), BgL_bpz00_15743);
								return BgL_rz00_15745;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1980> */
	obj_t BGl_z62zc3z04anonymousza31980ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13648, obj_t BgL_sz00_13651)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				long BgL_siza7eza7_13649;
				obj_t BgL_cfunz00_13650;

				BgL_siza7eza7_13649 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 0))));
				BgL_cfunz00_13650 = PROCEDURE_REF(BgL_envz00_13648, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15746;

					BgL_bpz00_15746 = VECTOR_REF(((obj_t) BgL_sz00_13651), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */

						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15747;

							BgL_nbpz00_15747 =
								((long) CINT(BgL_bpz00_15746) + BgL_siza7eza7_13649);
							VECTOR_SET(
								((obj_t) BgL_sz00_13651), ((long) 0), BINT(BgL_nbpz00_15747));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15748;

								BgL_rz00_15748 =
									PROCEDURE_ENTRY(BgL_cfunz00_13650) (BgL_cfunz00_13650, BEOA);
								VECTOR_SET(
									((obj_t) BgL_sz00_13651), ((long) 0), BgL_bpz00_15746);
								return BgL_rz00_15748;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1984> */
	obj_t BGl_z62zc3z04anonymousza31984ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13652, obj_t BgL_sz00_13657)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13653;
				obj_t BgL_locz00_13654;
				obj_t BgL_symbzd2funzd2_13655;
				long BgL_siza7eza7_13656;

				BgL_funz00_13653 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 0)));
				BgL_locz00_13654 = PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 1)));
				BgL_symbzd2funzd2_13655 =
					PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 2)));
				BgL_siza7eza7_13656 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13652, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15749;

					BgL_bpz00_15749 = VECTOR_REF(((obj_t) BgL_sz00_13657), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15750;

						BgL_fz00_15750 =
							PROCEDURE_ENTRY(BgL_funz00_13653) (BgL_funz00_13653,
							BgL_sz00_13657, BEOA);
						if (PROCEDUREP(BgL_fz00_15750))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13654,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15750);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15751;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20586;

								BgL_tmpz00_20586 = ((obj_t) BgL_fz00_15750);
								BgL_ufz00_15751 = PROCEDURE_ATTR(BgL_tmpz00_20586);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5076z00_20589;

								if (STRUCTP(BgL_ufz00_15751))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5076z00_20589 =
											(STRUCT_KEY(BgL_ufz00_15751) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5076z00_20589 = ((bool_t) 0);
									}
								if (BgL_test5076z00_20589)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15752;
										obj_t BgL_runz00_15753;
										obj_t BgL_sfz00_15754;

										BgL_arityz00_15752 =
											STRUCT_REF(BgL_ufz00_15751, (int) (((long) 0)));
										BgL_runz00_15753 =
											STRUCT_REF(BgL_ufz00_15751, (int) (((long) 1)));
										BgL_sfz00_15754 =
											STRUCT_REF(BgL_ufz00_15751, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15752) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15752))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15752))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg1989z00_15755;
																	obj_t BgL_arg1990z00_15756;

																	BgL_arg1989z00_15755 =
																		((long) CINT(BgL_bpz00_15749) + ((long) 0));
																	BgL_arg1990z00_15756 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13657),
																		BgL_arg1989z00_15755, BgL_arg1990z00_15756);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13654, STRUCT_REF(BgL_ufz00_15751,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15752));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13654, STRUCT_REF(BgL_ufz00_15751,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15752));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15757;

											BgL_z12denvz12_15757 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15757,
												BgL_locz00_13654);
											if ((((long) CINT(BgL_bpz00_15749) +
														(long) CINT(BgL_sfz00_15754)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13657))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15753;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15758;

													BgL_nsz00_15758 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg1994z00_15759;

														BgL_arg1994z00_15759 =
															((long) CINT(BgL_bpz00_15749) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15758, ((long) 2), BgL_sz00_13657,
															BgL_bpz00_15749, BINT(BgL_arg1994z00_15759));
													}
													VECTOR_SET(BgL_nsz00_15758, ((long) 1),
														BgL_sz00_13657);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15757,
														BgL_nsz00_15758);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15760;

														BgL_ez00_15760 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_15761;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_15762;

																BgL_arg4423z00_15762 =
																	BGL_EXITD_PROTECT(BgL_ez00_15760);
																BgL_arg4422z00_15761 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13657,
																	BgL_arg4423z00_15762);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15760,
																BgL_arg4422z00_15761);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15763;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15764;

																BgL_savedzd2bpzd2_15764 =
																	VECTOR_REF(BgL_nsz00_15758, ((long) 0));
																VECTOR_SET(BgL_nsz00_15758, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15766;

																	BgL_fz00_15766 = BgL_runz00_15753;
																BgL_recz00_15765:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15767;

																		BgL_rz00_15767 =
																			PROCEDURE_ENTRY(BgL_fz00_15766)
																			(BgL_fz00_15766, BgL_nsz00_15758, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5081z00_20648;

																			if (PROCEDUREP(BgL_rz00_15767))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15768;

																					BgL_arg1747z00_15768 =
																						PROCEDURE_ATTR(BgL_rz00_15767);
																					if (STRUCTP(BgL_arg1747z00_15768))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5081z00_20648 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15768) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5081z00_20648 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5081z00_20648 = ((bool_t) 0);
																				}
																			if (BgL_test5081z00_20648)
																				{
																					obj_t BgL_fz00_20656;

																					BgL_fz00_20656 = BgL_rz00_15767;
																					BgL_fz00_15766 = BgL_fz00_20656;
																					goto BgL_recz00_15765;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15758,
																						((long) 0),
																						BgL_savedzd2bpzd2_15764);
																					BgL_____rz00_15763 = BgL_rz00_15767;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5084z00_20658;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_15769;

																	BgL_arg4421z00_15769 =
																		BGL_EXITD_PROTECT(BgL_ez00_15760);
																	BgL_test5084z00_20658 =
																		PAIRP(BgL_arg4421z00_15769);
																}
																if (BgL_test5084z00_20658)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_15770;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_15771;

																			BgL_arg4420z00_15771 =
																				BGL_EXITD_PROTECT(BgL_ez00_15760);
																			BgL_arg4419z00_15770 =
																				CDR(((obj_t) BgL_arg4420z00_15771));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15760,
																			BgL_arg4419z00_15770);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15757,
																BgL_sz00_13657);
															return BgL_____rz00_15763;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15750,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15772;

												BgL_nbpz00_15772 =
													((long) CINT(BgL_bpz00_15749) + BgL_siza7eza7_13656);
												VECTOR_SET(
													((obj_t) BgL_sz00_13657), ((long) 0),
													BINT(BgL_nbpz00_15772));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20674;

													BgL_tmpz00_20674 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20674,
														BgL_locz00_13654);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15773;

													BgL_rz00_15773 =
														PROCEDURE_ENTRY(BgL_fz00_15750) (BgL_fz00_15750,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13657), ((long) 0),
														BgL_bpz00_15749);
													return BgL_rz00_15773;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13654,
													BgL_symbzd2funzd2_13655, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15750));
		}}}}}}}}

	}



/* &<@anonymous:1998> */
	obj_t BGl_z62zc3z04anonymousza31998ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13658, obj_t BgL_sz00_13663)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13659;
				obj_t BgL_locz00_13660;
				obj_t BgL_symbzd2funzd2_13661;
				long BgL_siza7eza7_13662;

				BgL_funz00_13659 = PROCEDURE_REF(BgL_envz00_13658, (int) (((long) 0)));
				BgL_locz00_13660 = PROCEDURE_REF(BgL_envz00_13658, (int) (((long) 1)));
				BgL_symbzd2funzd2_13661 =
					PROCEDURE_REF(BgL_envz00_13658, (int) (((long) 2)));
				BgL_siza7eza7_13662 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13658, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15774;

					BgL_bpz00_15774 = VECTOR_REF(((obj_t) BgL_sz00_13663), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15775;

						BgL_fz00_15775 =
							PROCEDURE_ENTRY(BgL_funz00_13659) (BgL_funz00_13659,
							BgL_sz00_13663, BEOA);
						if (PROCEDUREP(BgL_fz00_15775))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13660,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15775);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15776;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20703;

								BgL_tmpz00_20703 = ((obj_t) BgL_fz00_15775);
								BgL_ufz00_15776 = PROCEDURE_ATTR(BgL_tmpz00_20703);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5087z00_20706;

								if (STRUCTP(BgL_ufz00_15776))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5087z00_20706 =
											(STRUCT_KEY(BgL_ufz00_15776) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5087z00_20706 = ((bool_t) 0);
									}
								if (BgL_test5087z00_20706)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15777;
										obj_t BgL_runz00_15778;
										obj_t BgL_sfz00_15779;

										BgL_arityz00_15777 =
											STRUCT_REF(BgL_ufz00_15776, (int) (((long) 0)));
										BgL_runz00_15778 =
											STRUCT_REF(BgL_ufz00_15776, (int) (((long) 1)));
										BgL_sfz00_15779 =
											STRUCT_REF(BgL_ufz00_15776, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15777) == ((long) 0)))
											{	/* Eval/evaluate_comp.scm 896 */
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15777))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15777))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2003z00_15780;
																	obj_t BgL_arg2004z00_15781;

																	BgL_arg2003z00_15780 =
																		((long) CINT(BgL_bpz00_15774) + ((long) 0));
																	BgL_arg2004z00_15781 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13663),
																		BgL_arg2003z00_15780, BgL_arg2004z00_15781);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13660, STRUCT_REF(BgL_ufz00_15776,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_15777));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13660, STRUCT_REF(BgL_ufz00_15776,
																(int) (((long) 3))), (int) (((long) 0)),
															CINT(BgL_arityz00_15777));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15782;

											BgL_z12denvz12_15782 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15774) +
														(long) CINT(BgL_sfz00_15779)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13663))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15778;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15783;

													BgL_nsz00_15783 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2008z00_15784;

														BgL_arg2008z00_15784 =
															((long) CINT(BgL_bpz00_15774) + ((long) 0));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15783, ((long) 2), BgL_sz00_13663,
															BgL_bpz00_15774, BINT(BgL_arg2008z00_15784));
													}
													VECTOR_SET(BgL_nsz00_15783, ((long) 1),
														BgL_sz00_13663);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15782,
														BgL_nsz00_15783);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15785;

														BgL_ez00_15785 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_15786;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_15787;

																BgL_arg4423z00_15787 =
																	BGL_EXITD_PROTECT(BgL_ez00_15785);
																BgL_arg4422z00_15786 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13663,
																	BgL_arg4423z00_15787);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15785,
																BgL_arg4422z00_15786);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15788;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15789;

																BgL_savedzd2bpzd2_15789 =
																	VECTOR_REF(BgL_nsz00_15783, ((long) 0));
																VECTOR_SET(BgL_nsz00_15783, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15791;

																	BgL_fz00_15791 = BgL_runz00_15778;
																BgL_recz00_15790:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15792;

																		BgL_rz00_15792 =
																			PROCEDURE_ENTRY(BgL_fz00_15791)
																			(BgL_fz00_15791, BgL_nsz00_15783, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5092z00_20764;

																			if (PROCEDUREP(BgL_rz00_15792))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15793;

																					BgL_arg1747z00_15793 =
																						PROCEDURE_ATTR(BgL_rz00_15792);
																					if (STRUCTP(BgL_arg1747z00_15793))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5092z00_20764 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15793) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5092z00_20764 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5092z00_20764 = ((bool_t) 0);
																				}
																			if (BgL_test5092z00_20764)
																				{
																					obj_t BgL_fz00_20772;

																					BgL_fz00_20772 = BgL_rz00_15792;
																					BgL_fz00_15791 = BgL_fz00_20772;
																					goto BgL_recz00_15790;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15783,
																						((long) 0),
																						BgL_savedzd2bpzd2_15789);
																					BgL_____rz00_15788 = BgL_rz00_15792;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5095z00_20774;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_15794;

																	BgL_arg4421z00_15794 =
																		BGL_EXITD_PROTECT(BgL_ez00_15785);
																	BgL_test5095z00_20774 =
																		PAIRP(BgL_arg4421z00_15794);
																}
																if (BgL_test5095z00_20774)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_15795;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_15796;

																			BgL_arg4420z00_15796 =
																				BGL_EXITD_PROTECT(BgL_ez00_15785);
																			BgL_arg4419z00_15795 =
																				CDR(((obj_t) BgL_arg4420z00_15796));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15785,
																			BgL_arg4419z00_15795);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15782,
																BgL_sz00_13663);
															return BgL_____rz00_15788;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15775,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15797;

												BgL_nbpz00_15797 =
													((long) CINT(BgL_bpz00_15774) + BgL_siza7eza7_13662);
												VECTOR_SET(
													((obj_t) BgL_sz00_13663), ((long) 0),
													BINT(BgL_nbpz00_15797));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15798;

													BgL_rz00_15798 =
														PROCEDURE_ENTRY(BgL_fz00_15775) (BgL_fz00_15775,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13663), ((long) 0),
														BgL_bpz00_15774);
													return BgL_rz00_15798;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13660,
													BgL_symbzd2funzd2_13661, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15775));
		}}}}}}}}

	}



/* &<@anonymous:2014> */
	obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13664, obj_t BgL_sz00_13669)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13665;
				obj_t BgL_locz00_13666;
				obj_t BgL_symbzd2funzd2_13667;
				long BgL_siza7eza7_13668;

				BgL_funz00_13665 = PROCEDURE_REF(BgL_envz00_13664, (int) (((long) 0)));
				BgL_locz00_13666 = PROCEDURE_REF(BgL_envz00_13664, (int) (((long) 1)));
				BgL_symbzd2funzd2_13667 =
					PROCEDURE_REF(BgL_envz00_13664, (int) (((long) 2)));
				BgL_siza7eza7_13668 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13664, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15799;

					BgL_bpz00_15799 = VECTOR_REF(((obj_t) BgL_sz00_13669), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15800;

						BgL_fz00_15800 =
							PROCEDURE_ENTRY(BgL_funz00_13665) (BgL_funz00_13665,
							BgL_sz00_13669, BEOA);
						if (PROCEDUREP(BgL_fz00_15800))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13666,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15800);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15801;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20816;

								BgL_tmpz00_20816 = ((obj_t) BgL_fz00_15800);
								BgL_ufz00_15801 = PROCEDURE_ATTR(BgL_tmpz00_20816);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5098z00_20819;

								if (STRUCTP(BgL_ufz00_15801))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5098z00_20819 =
											(STRUCT_KEY(BgL_ufz00_15801) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5098z00_20819 = ((bool_t) 0);
									}
								if (BgL_test5098z00_20819)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15802;
										obj_t BgL_runz00_15803;
										obj_t BgL_sfz00_15804;

										BgL_arityz00_15802 =
											STRUCT_REF(BgL_ufz00_15801, (int) (((long) 0)));
										BgL_runz00_15803 =
											STRUCT_REF(BgL_ufz00_15801, (int) (((long) 1)));
										BgL_sfz00_15804 =
											STRUCT_REF(BgL_ufz00_15801, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15805;

											BgL_spz00_15805 =
												((long) CINT(BgL_bpz00_15799) + BgL_siza7eza7_13668);
											if (((long) CINT(BgL_arityz00_15802) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15802))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15802))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2019z00_15806;
																		obj_t BgL_arg2020z00_15807;

																		BgL_arg2019z00_15806 =
																			(BgL_spz00_15805 + ((long) 0));
																		BgL_arg2020z00_15807 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13669),
																			BgL_arg2019z00_15806,
																			BgL_arg2020z00_15807);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13666,
																		STRUCT_REF(BgL_ufz00_15801,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15802));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13666, STRUCT_REF(BgL_ufz00_15801,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15802));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15808;

												BgL_z12denvz12_15808 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15808,
													BgL_locz00_13666);
												if (((BgL_spz00_15805 + (long) CINT(BgL_sfz00_15804)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13669))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15803, BgL_sz00_13669,
															BINT(BgL_spz00_15805));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15809;

														BgL_nsz00_15809 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2024z00_15810;

															BgL_arg2024z00_15810 =
																(BgL_spz00_15805 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15809, ((long) 2), BgL_sz00_13669,
																BINT(BgL_spz00_15805),
																BINT(BgL_arg2024z00_15810));
														}
														VECTOR_SET(BgL_nsz00_15809, ((long) 1),
															BgL_sz00_13669);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15808,
															BgL_nsz00_15809);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15811;

															BgL_ez00_15811 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_15812;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_15813;

																	BgL_arg4423z00_15813 =
																		BGL_EXITD_PROTECT(BgL_ez00_15811);
																	BgL_arg4422z00_15812 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13669,
																		BgL_arg4423z00_15813);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15811,
																	BgL_arg4422z00_15812);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15814;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15815;

																	BgL_savedzd2bpzd2_15815 =
																		VECTOR_REF(BgL_nsz00_15809, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15809, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15817;

																		BgL_fz00_15817 = BgL_runz00_15803;
																	BgL_recz00_15816:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15818;

																			BgL_rz00_15818 =
																				PROCEDURE_ENTRY(BgL_fz00_15817)
																				(BgL_fz00_15817, BgL_nsz00_15809, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5103z00_20880;

																				if (PROCEDUREP(BgL_rz00_15818))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15819;

																						BgL_arg1747z00_15819 =
																							PROCEDURE_ATTR(BgL_rz00_15818);
																						if (STRUCTP(BgL_arg1747z00_15819))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5103z00_20880 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15819) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5103z00_20880 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5103z00_20880 =
																							((bool_t) 0);
																					}
																				if (BgL_test5103z00_20880)
																					{
																						obj_t BgL_fz00_20888;

																						BgL_fz00_20888 = BgL_rz00_15818;
																						BgL_fz00_15817 = BgL_fz00_20888;
																						goto BgL_recz00_15816;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15809,
																							((long) 0),
																							BgL_savedzd2bpzd2_15815);
																						BgL_____rz00_15814 = BgL_rz00_15818;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5106z00_20890;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_15820;

																		BgL_arg4421z00_15820 =
																			BGL_EXITD_PROTECT(BgL_ez00_15811);
																		BgL_test5106z00_20890 =
																			PAIRP(BgL_arg4421z00_15820);
																	}
																	if (BgL_test5106z00_20890)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_15821;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_15822;

																				BgL_arg4420z00_15822 =
																					BGL_EXITD_PROTECT(BgL_ez00_15811);
																				BgL_arg4419z00_15821 =
																					CDR(((obj_t) BgL_arg4420z00_15822));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15811,
																				BgL_arg4419z00_15821);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15808,
																	BgL_sz00_13669);
																return BgL_____rz00_15814;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15800,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15823;

												BgL_nbpz00_15823 =
													((long) CINT(BgL_bpz00_15799) + BgL_siza7eza7_13668);
												VECTOR_SET(
													((obj_t) BgL_sz00_13669), ((long) 0),
													BINT(BgL_nbpz00_15823));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_20906;

													BgL_tmpz00_20906 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_20906,
														BgL_locz00_13666);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15824;

													BgL_rz00_15824 =
														PROCEDURE_ENTRY(BgL_fz00_15800) (BgL_fz00_15800,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13669), ((long) 0),
														BgL_bpz00_15799);
													return BgL_rz00_15824;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13666,
													BgL_symbzd2funzd2_13667, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15800));
		}}}}}}}}

	}



/* &<@anonymous:2030> */
	obj_t BGl_z62zc3z04anonymousza32030ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13670, obj_t BgL_sz00_13675)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13671;
				obj_t BgL_locz00_13672;
				obj_t BgL_symbzd2funzd2_13673;
				long BgL_siza7eza7_13674;

				BgL_funz00_13671 = PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 0)));
				BgL_locz00_13672 = PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 1)));
				BgL_symbzd2funzd2_13673 =
					PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 2)));
				BgL_siza7eza7_13674 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13670, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15825;

					BgL_bpz00_15825 = VECTOR_REF(((obj_t) BgL_sz00_13675), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15826;

						BgL_fz00_15826 =
							PROCEDURE_ENTRY(BgL_funz00_13671) (BgL_funz00_13671,
							BgL_sz00_13675, BEOA);
						if (PROCEDUREP(BgL_fz00_15826))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13672,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15826);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15827;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_20935;

								BgL_tmpz00_20935 = ((obj_t) BgL_fz00_15826);
								BgL_ufz00_15827 = PROCEDURE_ATTR(BgL_tmpz00_20935);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5109z00_20938;

								if (STRUCTP(BgL_ufz00_15827))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5109z00_20938 =
											(STRUCT_KEY(BgL_ufz00_15827) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5109z00_20938 = ((bool_t) 0);
									}
								if (BgL_test5109z00_20938)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15828;
										obj_t BgL_runz00_15829;
										obj_t BgL_sfz00_15830;

										BgL_arityz00_15828 =
											STRUCT_REF(BgL_ufz00_15827, (int) (((long) 0)));
										BgL_runz00_15829 =
											STRUCT_REF(BgL_ufz00_15827, (int) (((long) 1)));
										BgL_sfz00_15830 =
											STRUCT_REF(BgL_ufz00_15827, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15831;

											BgL_spz00_15831 =
												((long) CINT(BgL_bpz00_15825) + BgL_siza7eza7_13674);
											if (((long) CINT(BgL_arityz00_15828) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 896 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15828))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15828))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2035z00_15832;
																		obj_t BgL_arg2036z00_15833;

																		BgL_arg2035z00_15832 =
																			(BgL_spz00_15831 + ((long) 0));
																		BgL_arg2036z00_15833 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13675),
																			BgL_arg2035z00_15832,
																			BgL_arg2036z00_15833);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13672,
																		STRUCT_REF(BgL_ufz00_15827,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_15828));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13672, STRUCT_REF(BgL_ufz00_15827,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_15828));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15834;

												BgL_z12denvz12_15834 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15831 +
															(long) CINT(BgL_sfz00_15830)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13675))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15829, BgL_sz00_13675,
															BINT(BgL_spz00_15831));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15835;

														BgL_nsz00_15835 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2041z00_15836;

															BgL_arg2041z00_15836 =
																(BgL_spz00_15831 + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15835, ((long) 2), BgL_sz00_13675,
																BINT(BgL_spz00_15831),
																BINT(BgL_arg2041z00_15836));
														}
														VECTOR_SET(BgL_nsz00_15835, ((long) 1),
															BgL_sz00_13675);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15834,
															BgL_nsz00_15835);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15837;

															BgL_ez00_15837 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_15838;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_15839;

																	BgL_arg4423z00_15839 =
																		BGL_EXITD_PROTECT(BgL_ez00_15837);
																	BgL_arg4422z00_15838 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13675,
																		BgL_arg4423z00_15839);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15837,
																	BgL_arg4422z00_15838);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15840;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15841;

																	BgL_savedzd2bpzd2_15841 =
																		VECTOR_REF(BgL_nsz00_15835, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15835, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15843;

																		BgL_fz00_15843 = BgL_runz00_15829;
																	BgL_recz00_15842:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15844;

																			BgL_rz00_15844 =
																				PROCEDURE_ENTRY(BgL_fz00_15843)
																				(BgL_fz00_15843, BgL_nsz00_15835, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5114z00_20998;

																				if (PROCEDUREP(BgL_rz00_15844))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15845;

																						BgL_arg1747z00_15845 =
																							PROCEDURE_ATTR(BgL_rz00_15844);
																						if (STRUCTP(BgL_arg1747z00_15845))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5114z00_20998 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15845) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5114z00_20998 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5114z00_20998 =
																							((bool_t) 0);
																					}
																				if (BgL_test5114z00_20998)
																					{
																						obj_t BgL_fz00_21006;

																						BgL_fz00_21006 = BgL_rz00_15844;
																						BgL_fz00_15843 = BgL_fz00_21006;
																						goto BgL_recz00_15842;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15835,
																							((long) 0),
																							BgL_savedzd2bpzd2_15841);
																						BgL_____rz00_15840 = BgL_rz00_15844;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5117z00_21008;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_15846;

																		BgL_arg4421z00_15846 =
																			BGL_EXITD_PROTECT(BgL_ez00_15837);
																		BgL_test5117z00_21008 =
																			PAIRP(BgL_arg4421z00_15846);
																	}
																	if (BgL_test5117z00_21008)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_15847;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_15848;

																				BgL_arg4420z00_15848 =
																					BGL_EXITD_PROTECT(BgL_ez00_15837);
																				BgL_arg4419z00_15847 =
																					CDR(((obj_t) BgL_arg4420z00_15848));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15837,
																				BgL_arg4419z00_15847);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15834,
																	BgL_sz00_13675);
																return BgL_____rz00_15840;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15826,
												(int) (((long) 0))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15849;

												BgL_nbpz00_15849 =
													((long) CINT(BgL_bpz00_15825) + BgL_siza7eza7_13674);
												VECTOR_SET(
													((obj_t) BgL_sz00_13675), ((long) 0),
													BINT(BgL_nbpz00_15849));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15850;

													BgL_rz00_15850 =
														PROCEDURE_ENTRY(BgL_fz00_15826) (BgL_fz00_15826,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13675), ((long) 0),
														BgL_bpz00_15825);
													return BgL_rz00_15850;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13672,
													BgL_symbzd2funzd2_13673, (int) (((long) 0)),
													PROCEDURE_ARITY(BgL_fz00_15826));
		}}}}}}}}

	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2163;

				BgL_cfunz00_2163 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_2163))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5120z00_21035;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_arg2051z00_2179;

							BgL_arg2051z00_2179 = bgl_debug();
							BgL_test5120z00_21035 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2051z00_2179),
								BINT(((long) 0)));
						}
						if (BgL_test5120z00_21035)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32047ze3z87_13676;

								BgL_zc3z04anonymousza32047ze3z87_13676 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13676,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13676,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13676,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3z04anonymousza32047ze3z87_13676,
									(int) (((long) 3)), BgL_cfunz00_2163);
								return BgL_zc3z04anonymousza32047ze3z87_13676;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32050ze3z87_13677;

								BgL_zc3z04anonymousza32050ze3z87_13677 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13677,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13677,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3z04anonymousza32050ze3z87_13677,
									(int) (((long) 2)), BgL_cfunz00_2163);
								return BgL_zc3z04anonymousza32050ze3z87_13677;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5122z00_21064;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2095z00_2255;

									BgL_arg2095z00_2255 = bgl_debug();
									BgL_test5122z00_21064 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2095z00_2255),
										BINT(((long) 0)));
								}
								if (BgL_test5122z00_21064)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32054ze3z87_13678;

										BgL_zc3z04anonymousza32054ze3z87_13678 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13678,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13678,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13678,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13678,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32054ze3z87_13678,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32054ze3z87_13678;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32075ze3z87_13679;

										BgL_zc3z04anonymousza32075ze3z87_13679 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32075ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_13679,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_13679,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_13679,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_13679,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32075ze3z87_13679,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32075ze3z87_13679;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5123z00_21097;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2136z00_2331;

									BgL_arg2136z00_2331 = bgl_debug();
									BgL_test5123z00_21097 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2136z00_2331),
										BINT(((long) 0)));
								}
								if (BgL_test5123z00_21097)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32098ze3z87_13680;

										BgL_zc3z04anonymousza32098ze3z87_13680 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32098ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32098ze3z87_13680,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32098ze3z87_13680,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32098ze3z87_13680,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32098ze3z87_13680,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32098ze3z87_13680,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32098ze3z87_13680;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32117ze3z87_13681;

										BgL_zc3z04anonymousza32117ze3z87_13681 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32117ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_13681,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_13681,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_13681,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_13681,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3z04anonymousza32117ze3z87_13681,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3z04anonymousza32117ze3z87_13681;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2047> */
	obj_t BGl_z62zc3z04anonymousza32047ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13682, obj_t BgL_sz00_13687)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13683;
				long BgL_siza7eza7_13684;
				obj_t BgL_locz00_13685;
				obj_t BgL_cfunz00_13686;

				BgL_a1z00_13683 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 0)));
				BgL_siza7eza7_13684 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 1))));
				BgL_locz00_13685 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 2)));
				BgL_cfunz00_13686 = PROCEDURE_REF(BgL_envz00_13682, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15851;

					BgL_bpz00_15851 = VECTOR_REF(((obj_t) BgL_sz00_13687), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15852;

						BgL_a1z00_15852 =
							PROCEDURE_ENTRY(BgL_a1z00_13683) (BgL_a1z00_13683, BgL_sz00_13687,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15853;

							BgL_nbpz00_15853 =
								((long) CINT(BgL_bpz00_15851) + BgL_siza7eza7_13684);
							VECTOR_SET(
								((obj_t) BgL_sz00_13687), ((long) 0), BINT(BgL_nbpz00_15853));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21150;

								BgL_tmpz00_21150 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21150, BgL_locz00_13685);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15854;

								BgL_rz00_15854 =
									PROCEDURE_ENTRY(BgL_cfunz00_13686) (BgL_cfunz00_13686,
									BgL_a1z00_15852, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13687), ((long) 0),
									BgL_bpz00_15851);
								return BgL_rz00_15854;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2050> */
	obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13688, obj_t BgL_sz00_13692)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13689;
				long BgL_siza7eza7_13690;
				obj_t BgL_cfunz00_13691;

				BgL_a1z00_13689 = PROCEDURE_REF(BgL_envz00_13688, (int) (((long) 0)));
				BgL_siza7eza7_13690 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13688, (int) (((long) 1))));
				BgL_cfunz00_13691 = PROCEDURE_REF(BgL_envz00_13688, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15855;

					BgL_bpz00_15855 = VECTOR_REF(((obj_t) BgL_sz00_13692), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15856;

						BgL_a1z00_15856 =
							PROCEDURE_ENTRY(BgL_a1z00_13689) (BgL_a1z00_13689, BgL_sz00_13692,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15857;

							BgL_nbpz00_15857 =
								((long) CINT(BgL_bpz00_15855) + BgL_siza7eza7_13690);
							VECTOR_SET(
								((obj_t) BgL_sz00_13692), ((long) 0), BINT(BgL_nbpz00_15857));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15858;

								BgL_rz00_15858 =
									PROCEDURE_ENTRY(BgL_cfunz00_13691) (BgL_cfunz00_13691,
									BgL_a1z00_15856, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13692), ((long) 0),
									BgL_bpz00_15855);
								return BgL_rz00_15858;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2054> */
	obj_t BGl_z62zc3z04anonymousza32054ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13693, obj_t BgL_sz00_13699)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13694;
				obj_t BgL_a1z00_13695;
				obj_t BgL_locz00_13696;
				obj_t BgL_symbzd2funzd2_13697;
				long BgL_siza7eza7_13698;

				BgL_funz00_13694 = PROCEDURE_REF(BgL_envz00_13693, (int) (((long) 0)));
				BgL_a1z00_13695 = PROCEDURE_REF(BgL_envz00_13693, (int) (((long) 1)));
				BgL_locz00_13696 = PROCEDURE_REF(BgL_envz00_13693, (int) (((long) 2)));
				BgL_symbzd2funzd2_13697 =
					PROCEDURE_REF(BgL_envz00_13693, (int) (((long) 3)));
				BgL_siza7eza7_13698 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13693, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15859;

					BgL_bpz00_15859 = VECTOR_REF(((obj_t) BgL_sz00_13699), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15860;
						obj_t BgL_a1z00_15861;

						BgL_fz00_15860 =
							PROCEDURE_ENTRY(BgL_funz00_13694) (BgL_funz00_13694,
							BgL_sz00_13699, BEOA);
						BgL_a1z00_15861 =
							PROCEDURE_ENTRY(BgL_a1z00_13695) (BgL_a1z00_13695, BgL_sz00_13699,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15860))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13696,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15860);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15862;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21207;

								BgL_tmpz00_21207 = ((obj_t) BgL_fz00_15860);
								BgL_ufz00_15862 = PROCEDURE_ATTR(BgL_tmpz00_21207);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5125z00_21210;

								if (STRUCTP(BgL_ufz00_15862))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5125z00_21210 =
											(STRUCT_KEY(BgL_ufz00_15862) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5125z00_21210 = ((bool_t) 0);
									}
								if (BgL_test5125z00_21210)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15863;
										obj_t BgL_runz00_15864;
										obj_t BgL_sfz00_15865;

										BgL_arityz00_15863 =
											STRUCT_REF(BgL_ufz00_15862, (int) (((long) 0)));
										BgL_runz00_15864 =
											STRUCT_REF(BgL_ufz00_15862, (int) (((long) 1)));
										BgL_sfz00_15865 =
											STRUCT_REF(BgL_ufz00_15862, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15863) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2058z00_15866;

												BgL_arg2058z00_15866 =
													((long) CINT(BgL_bpz00_15859) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13699), BgL_arg2058z00_15866,
													BgL_a1z00_15861);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15863))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15863))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2060z00_15867;
																	obj_t BgL_arg2061z00_15868;

																	BgL_arg2060z00_15867 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2062z00_15869;

																		BgL_list2062z00_15869 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15861, BNIL);
																		BgL_arg2061z00_15868 =
																			BgL_list2062z00_15869;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2060z00_15867, BgL_arg2061z00_15868);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2063z00_15870;

																	BgL_arg2063z00_15870 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2063z00_15870, BgL_a1z00_15861);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2064z00_15871;
																	obj_t BgL_arg2065z00_15872;

																	BgL_arg2064z00_15871 =
																		((long) CINT(BgL_bpz00_15859) + ((long) 1));
																	BgL_arg2065z00_15872 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13699),
																		BgL_arg2064z00_15871, BgL_arg2065z00_15872);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13696, STRUCT_REF(BgL_ufz00_15862,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15863));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13696, STRUCT_REF(BgL_ufz00_15862,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15863));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15873;

											BgL_z12denvz12_15873 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15873,
												BgL_locz00_13696);
											if ((((long) CINT(BgL_bpz00_15859) +
														(long) CINT(BgL_sfz00_15865)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13699))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15864;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15874;

													BgL_nsz00_15874 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2071z00_15875;

														BgL_arg2071z00_15875 =
															((long) CINT(BgL_bpz00_15859) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15874, ((long) 2), BgL_sz00_13699,
															BgL_bpz00_15859, BINT(BgL_arg2071z00_15875));
													}
													VECTOR_SET(BgL_nsz00_15874, ((long) 1),
														BgL_sz00_13699);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15873,
														BgL_nsz00_15874);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15876;

														BgL_ez00_15876 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_15877;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_15878;

																BgL_arg4423z00_15878 =
																	BGL_EXITD_PROTECT(BgL_ez00_15876);
																BgL_arg4422z00_15877 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13699,
																	BgL_arg4423z00_15878);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15876,
																BgL_arg4422z00_15877);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15879;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15880;

																BgL_savedzd2bpzd2_15880 =
																	VECTOR_REF(BgL_nsz00_15874, ((long) 0));
																VECTOR_SET(BgL_nsz00_15874, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15882;

																	BgL_fz00_15882 = BgL_runz00_15864;
																BgL_recz00_15881:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15883;

																		BgL_rz00_15883 =
																			PROCEDURE_ENTRY(BgL_fz00_15882)
																			(BgL_fz00_15882, BgL_nsz00_15874, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5130z00_21282;

																			if (PROCEDUREP(BgL_rz00_15883))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15884;

																					BgL_arg1747z00_15884 =
																						PROCEDURE_ATTR(BgL_rz00_15883);
																					if (STRUCTP(BgL_arg1747z00_15884))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5130z00_21282 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15884) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5130z00_21282 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5130z00_21282 = ((bool_t) 0);
																				}
																			if (BgL_test5130z00_21282)
																				{
																					obj_t BgL_fz00_21290;

																					BgL_fz00_21290 = BgL_rz00_15883;
																					BgL_fz00_15882 = BgL_fz00_21290;
																					goto BgL_recz00_15881;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15874,
																						((long) 0),
																						BgL_savedzd2bpzd2_15880);
																					BgL_____rz00_15879 = BgL_rz00_15883;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5133z00_21292;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_15885;

																	BgL_arg4421z00_15885 =
																		BGL_EXITD_PROTECT(BgL_ez00_15876);
																	BgL_test5133z00_21292 =
																		PAIRP(BgL_arg4421z00_15885);
																}
																if (BgL_test5133z00_21292)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_15886;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_15887;

																			BgL_arg4420z00_15887 =
																				BGL_EXITD_PROTECT(BgL_ez00_15876);
																			BgL_arg4419z00_15886 =
																				CDR(((obj_t) BgL_arg4420z00_15887));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15876,
																			BgL_arg4419z00_15886);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15873,
																BgL_sz00_13699);
															return BgL_____rz00_15879;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15860,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15888;

												BgL_nbpz00_15888 =
													((long) CINT(BgL_bpz00_15859) + BgL_siza7eza7_13698);
												VECTOR_SET(
													((obj_t) BgL_sz00_13699), ((long) 0),
													BINT(BgL_nbpz00_15888));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21308;

													BgL_tmpz00_21308 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21308,
														BgL_locz00_13696);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15889;

													BgL_rz00_15889 =
														PROCEDURE_ENTRY(BgL_fz00_15860) (BgL_fz00_15860,
														BgL_a1z00_15861, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13699), ((long) 0),
														BgL_bpz00_15859);
													return BgL_rz00_15889;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13696,
													BgL_symbzd2funzd2_13697, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15860));
		}}}}}}}}

	}



/* &<@anonymous:2075> */
	obj_t BGl_z62zc3z04anonymousza32075ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13700, obj_t BgL_sz00_13706)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13701;
				obj_t BgL_a1z00_13702;
				obj_t BgL_locz00_13703;
				obj_t BgL_symbzd2funzd2_13704;
				long BgL_siza7eza7_13705;

				BgL_funz00_13701 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 0)));
				BgL_a1z00_13702 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 1)));
				BgL_locz00_13703 = PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 2)));
				BgL_symbzd2funzd2_13704 =
					PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 3)));
				BgL_siza7eza7_13705 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13700, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15890;

					BgL_bpz00_15890 = VECTOR_REF(((obj_t) BgL_sz00_13706), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15891;
						obj_t BgL_a1z00_15892;

						BgL_fz00_15891 =
							PROCEDURE_ENTRY(BgL_funz00_13701) (BgL_funz00_13701,
							BgL_sz00_13706, BEOA);
						BgL_a1z00_15892 =
							PROCEDURE_ENTRY(BgL_a1z00_13702) (BgL_a1z00_13702, BgL_sz00_13706,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15891))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13703,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15891);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15893;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21344;

								BgL_tmpz00_21344 = ((obj_t) BgL_fz00_15891);
								BgL_ufz00_15893 = PROCEDURE_ATTR(BgL_tmpz00_21344);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5136z00_21347;

								if (STRUCTP(BgL_ufz00_15893))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5136z00_21347 =
											(STRUCT_KEY(BgL_ufz00_15893) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5136z00_21347 = ((bool_t) 0);
									}
								if (BgL_test5136z00_21347)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15894;
										obj_t BgL_runz00_15895;
										obj_t BgL_sfz00_15896;

										BgL_arityz00_15894 =
											STRUCT_REF(BgL_ufz00_15893, (int) (((long) 0)));
										BgL_runz00_15895 =
											STRUCT_REF(BgL_ufz00_15893, (int) (((long) 1)));
										BgL_sfz00_15896 =
											STRUCT_REF(BgL_ufz00_15893, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_15894) == ((long) 1)))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_arg2081z00_15897;

												BgL_arg2081z00_15897 =
													((long) CINT(BgL_bpz00_15890) + ((long) 0));
												VECTOR_SET(
													((obj_t) BgL_sz00_13706), BgL_arg2081z00_15897,
													BgL_a1z00_15892);
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_15894))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_15894))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2083z00_15898;
																	obj_t BgL_arg2084z00_15899;

																	BgL_arg2083z00_15898 =
																		((long) CINT(BgL_bpz00_15890) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2085z00_15900;

																		BgL_list2085z00_15900 =
																			MAKE_YOUNG_PAIR(BgL_a1z00_15892, BNIL);
																		BgL_arg2084z00_15899 =
																			BgL_list2085z00_15900;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13706),
																		BgL_arg2083z00_15898, BgL_arg2084z00_15899);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2086z00_15901;

																	BgL_arg2086z00_15901 =
																		((long) CINT(BgL_bpz00_15890) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13706),
																		BgL_arg2086z00_15901, BgL_a1z00_15892);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2087z00_15902;
																	obj_t BgL_arg2088z00_15903;

																	BgL_arg2087z00_15902 =
																		((long) CINT(BgL_bpz00_15890) + ((long) 1));
																	BgL_arg2088z00_15903 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13706),
																		BgL_arg2087z00_15902, BgL_arg2088z00_15903);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13703, STRUCT_REF(BgL_ufz00_15893,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_15894));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13703, STRUCT_REF(BgL_ufz00_15893,
																(int) (((long) 3))), (int) (((long) 1)),
															CINT(BgL_arityz00_15894));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_15904;

											BgL_z12denvz12_15904 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_15890) +
														(long) CINT(BgL_sfz00_15896)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13706))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_15895;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_15905;

													BgL_nsz00_15905 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2092z00_15906;

														BgL_arg2092z00_15906 =
															((long) CINT(BgL_bpz00_15890) + ((long) 1));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_15905, ((long) 2), BgL_sz00_13706,
															BgL_bpz00_15890, BINT(BgL_arg2092z00_15906));
													}
													VECTOR_SET(BgL_nsz00_15905, ((long) 1),
														BgL_sz00_13706);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15904,
														BgL_nsz00_15905);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_15907;

														BgL_ez00_15907 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_15908;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_15909;

																BgL_arg4423z00_15909 =
																	BGL_EXITD_PROTECT(BgL_ez00_15907);
																BgL_arg4422z00_15908 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13706,
																	BgL_arg4423z00_15909);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_15907,
																BgL_arg4422z00_15908);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_15910;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_15911;

																BgL_savedzd2bpzd2_15911 =
																	VECTOR_REF(BgL_nsz00_15905, ((long) 0));
																VECTOR_SET(BgL_nsz00_15905, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_15913;

																	BgL_fz00_15913 = BgL_runz00_15895;
																BgL_recz00_15912:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_15914;

																		BgL_rz00_15914 =
																			PROCEDURE_ENTRY(BgL_fz00_15913)
																			(BgL_fz00_15913, BgL_nsz00_15905, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5141z00_21418;

																			if (PROCEDUREP(BgL_rz00_15914))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_15915;

																					BgL_arg1747z00_15915 =
																						PROCEDURE_ATTR(BgL_rz00_15914);
																					if (STRUCTP(BgL_arg1747z00_15915))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5141z00_21418 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_15915) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5141z00_21418 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5141z00_21418 = ((bool_t) 0);
																				}
																			if (BgL_test5141z00_21418)
																				{
																					obj_t BgL_fz00_21426;

																					BgL_fz00_21426 = BgL_rz00_15914;
																					BgL_fz00_15913 = BgL_fz00_21426;
																					goto BgL_recz00_15912;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_15905,
																						((long) 0),
																						BgL_savedzd2bpzd2_15911);
																					BgL_____rz00_15910 = BgL_rz00_15914;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5144z00_21428;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_15916;

																	BgL_arg4421z00_15916 =
																		BGL_EXITD_PROTECT(BgL_ez00_15907);
																	BgL_test5144z00_21428 =
																		PAIRP(BgL_arg4421z00_15916);
																}
																if (BgL_test5144z00_21428)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_15917;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_15918;

																			BgL_arg4420z00_15918 =
																				BGL_EXITD_PROTECT(BgL_ez00_15907);
																			BgL_arg4419z00_15917 =
																				CDR(((obj_t) BgL_arg4420z00_15918));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_15907,
																			BgL_arg4419z00_15917);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15904,
																BgL_sz00_13706);
															return BgL_____rz00_15910;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15891,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15919;

												BgL_nbpz00_15919 =
													((long) CINT(BgL_bpz00_15890) + BgL_siza7eza7_13705);
												VECTOR_SET(
													((obj_t) BgL_sz00_13706), ((long) 0),
													BINT(BgL_nbpz00_15919));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15920;

													BgL_rz00_15920 =
														PROCEDURE_ENTRY(BgL_fz00_15891) (BgL_fz00_15891,
														BgL_a1z00_15892, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13706), ((long) 0),
														BgL_bpz00_15890);
													return BgL_rz00_15920;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13703,
													BgL_symbzd2funzd2_13704, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15891));
		}}}}}}}}

	}



/* &<@anonymous:2098> */
	obj_t BGl_z62zc3z04anonymousza32098ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13707, obj_t BgL_sz00_13713)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13708;
				obj_t BgL_a1z00_13709;
				obj_t BgL_locz00_13710;
				obj_t BgL_symbzd2funzd2_13711;
				long BgL_siza7eza7_13712;

				BgL_funz00_13708 = PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 0)));
				BgL_a1z00_13709 = PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 1)));
				BgL_locz00_13710 = PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 2)));
				BgL_symbzd2funzd2_13711 =
					PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 3)));
				BgL_siza7eza7_13712 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13707, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15921;

					BgL_bpz00_15921 = VECTOR_REF(((obj_t) BgL_sz00_13713), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15922;
						obj_t BgL_a1z00_15923;

						BgL_fz00_15922 =
							PROCEDURE_ENTRY(BgL_funz00_13708) (BgL_funz00_13708,
							BgL_sz00_13713, BEOA);
						BgL_a1z00_15923 =
							PROCEDURE_ENTRY(BgL_a1z00_13709) (BgL_a1z00_13709, BgL_sz00_13713,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15922))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13710,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15922);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15924;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21477;

								BgL_tmpz00_21477 = ((obj_t) BgL_fz00_15922);
								BgL_ufz00_15924 = PROCEDURE_ATTR(BgL_tmpz00_21477);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5147z00_21480;

								if (STRUCTP(BgL_ufz00_15924))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5147z00_21480 =
											(STRUCT_KEY(BgL_ufz00_15924) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5147z00_21480 = ((bool_t) 0);
									}
								if (BgL_test5147z00_21480)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15925;
										obj_t BgL_runz00_15926;
										obj_t BgL_sfz00_15927;

										BgL_arityz00_15925 =
											STRUCT_REF(BgL_ufz00_15924, (int) (((long) 0)));
										BgL_runz00_15926 =
											STRUCT_REF(BgL_ufz00_15924, (int) (((long) 1)));
										BgL_sfz00_15927 =
											STRUCT_REF(BgL_ufz00_15924, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15928;

											BgL_spz00_15928 =
												((long) CINT(BgL_bpz00_15921) + BgL_siza7eza7_13712);
											if (((long) CINT(BgL_arityz00_15925) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2102z00_15929;

													BgL_arg2102z00_15929 = (BgL_spz00_15928 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13713), BgL_arg2102z00_15929,
														BgL_a1z00_15923);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15925))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15925))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2104z00_15930;
																		obj_t BgL_arg2105z00_15931;

																		BgL_arg2104z00_15930 =
																			(BgL_spz00_15928 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2106z00_15932;

																			BgL_list2106z00_15932 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15923, BNIL);
																			BgL_arg2105z00_15931 =
																				BgL_list2106z00_15932;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13713),
																			BgL_arg2104z00_15930,
																			BgL_arg2105z00_15931);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2107z00_15933;

																		BgL_arg2107z00_15933 =
																			(BgL_spz00_15928 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13713),
																			BgL_arg2107z00_15933, BgL_a1z00_15923);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2108z00_15934;
																		obj_t BgL_arg2109z00_15935;

																		BgL_arg2108z00_15934 =
																			(BgL_spz00_15928 + ((long) 1));
																		BgL_arg2109z00_15935 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13713),
																			BgL_arg2108z00_15934,
																			BgL_arg2109z00_15935);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13710,
																		STRUCT_REF(BgL_ufz00_15924,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15925));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13710, STRUCT_REF(BgL_ufz00_15924,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15925));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15936;

												BgL_z12denvz12_15936 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_15936,
													BgL_locz00_13710);
												if (((BgL_spz00_15928 + (long) CINT(BgL_sfz00_15927)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13713))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15926, BgL_sz00_13713,
															BINT(BgL_spz00_15928));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15937;

														BgL_nsz00_15937 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2113z00_15938;

															BgL_arg2113z00_15938 =
																(BgL_spz00_15928 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15937, ((long) 2), BgL_sz00_13713,
																BINT(BgL_spz00_15928),
																BINT(BgL_arg2113z00_15938));
														}
														VECTOR_SET(BgL_nsz00_15937, ((long) 1),
															BgL_sz00_13713);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15936,
															BgL_nsz00_15937);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15939;

															BgL_ez00_15939 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_15940;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_15941;

																	BgL_arg4423z00_15941 =
																		BGL_EXITD_PROTECT(BgL_ez00_15939);
																	BgL_arg4422z00_15940 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13713,
																		BgL_arg4423z00_15941);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15939,
																	BgL_arg4422z00_15940);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15942;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15943;

																	BgL_savedzd2bpzd2_15943 =
																		VECTOR_REF(BgL_nsz00_15937, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15937, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15945;

																		BgL_fz00_15945 = BgL_runz00_15926;
																	BgL_recz00_15944:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15946;

																			BgL_rz00_15946 =
																				PROCEDURE_ENTRY(BgL_fz00_15945)
																				(BgL_fz00_15945, BgL_nsz00_15937, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5152z00_21551;

																				if (PROCEDUREP(BgL_rz00_15946))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15947;

																						BgL_arg1747z00_15947 =
																							PROCEDURE_ATTR(BgL_rz00_15946);
																						if (STRUCTP(BgL_arg1747z00_15947))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5152z00_21551 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15947) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5152z00_21551 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5152z00_21551 =
																							((bool_t) 0);
																					}
																				if (BgL_test5152z00_21551)
																					{
																						obj_t BgL_fz00_21559;

																						BgL_fz00_21559 = BgL_rz00_15946;
																						BgL_fz00_15945 = BgL_fz00_21559;
																						goto BgL_recz00_15944;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15937,
																							((long) 0),
																							BgL_savedzd2bpzd2_15943);
																						BgL_____rz00_15942 = BgL_rz00_15946;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5155z00_21561;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_15948;

																		BgL_arg4421z00_15948 =
																			BGL_EXITD_PROTECT(BgL_ez00_15939);
																		BgL_test5155z00_21561 =
																			PAIRP(BgL_arg4421z00_15948);
																	}
																	if (BgL_test5155z00_21561)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_15949;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_15950;

																				BgL_arg4420z00_15950 =
																					BGL_EXITD_PROTECT(BgL_ez00_15939);
																				BgL_arg4419z00_15949 =
																					CDR(((obj_t) BgL_arg4420z00_15950));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15939,
																				BgL_arg4419z00_15949);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15936,
																	BgL_sz00_13713);
																return BgL_____rz00_15942;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15922,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15951;

												BgL_nbpz00_15951 =
													((long) CINT(BgL_bpz00_15921) + BgL_siza7eza7_13712);
												VECTOR_SET(
													((obj_t) BgL_sz00_13713), ((long) 0),
													BINT(BgL_nbpz00_15951));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_21577;

													BgL_tmpz00_21577 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21577,
														BgL_locz00_13710);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15952;

													BgL_rz00_15952 =
														PROCEDURE_ENTRY(BgL_fz00_15922) (BgL_fz00_15922,
														BgL_a1z00_15923, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13713), ((long) 0),
														BgL_bpz00_15921);
													return BgL_rz00_15952;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13710,
													BgL_symbzd2funzd2_13711, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15922));
		}}}}}}}}

	}



/* &<@anonymous:2117> */
	obj_t BGl_z62zc3z04anonymousza32117ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13714, obj_t BgL_sz00_13720)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13715;
				obj_t BgL_a1z00_13716;
				obj_t BgL_locz00_13717;
				obj_t BgL_symbzd2funzd2_13718;
				long BgL_siza7eza7_13719;

				BgL_funz00_13715 = PROCEDURE_REF(BgL_envz00_13714, (int) (((long) 0)));
				BgL_a1z00_13716 = PROCEDURE_REF(BgL_envz00_13714, (int) (((long) 1)));
				BgL_locz00_13717 = PROCEDURE_REF(BgL_envz00_13714, (int) (((long) 2)));
				BgL_symbzd2funzd2_13718 =
					PROCEDURE_REF(BgL_envz00_13714, (int) (((long) 3)));
				BgL_siza7eza7_13719 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13714, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15953;

					BgL_bpz00_15953 = VECTOR_REF(((obj_t) BgL_sz00_13720), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15954;
						obj_t BgL_a1z00_15955;

						BgL_fz00_15954 =
							PROCEDURE_ENTRY(BgL_funz00_13715) (BgL_funz00_13715,
							BgL_sz00_13720, BEOA);
						BgL_a1z00_15955 =
							PROCEDURE_ENTRY(BgL_a1z00_13716) (BgL_a1z00_13716, BgL_sz00_13720,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15954))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13717,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15954);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15956;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21613;

								BgL_tmpz00_21613 = ((obj_t) BgL_fz00_15954);
								BgL_ufz00_15956 = PROCEDURE_ATTR(BgL_tmpz00_21613);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5158z00_21616;

								if (STRUCTP(BgL_ufz00_15956))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5158z00_21616 =
											(STRUCT_KEY(BgL_ufz00_15956) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5158z00_21616 = ((bool_t) 0);
									}
								if (BgL_test5158z00_21616)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_15957;
										obj_t BgL_runz00_15958;
										obj_t BgL_sfz00_15959;

										BgL_arityz00_15957 =
											STRUCT_REF(BgL_ufz00_15956, (int) (((long) 0)));
										BgL_runz00_15958 =
											STRUCT_REF(BgL_ufz00_15956, (int) (((long) 1)));
										BgL_sfz00_15959 =
											STRUCT_REF(BgL_ufz00_15956, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_15960;

											BgL_spz00_15960 =
												((long) CINT(BgL_bpz00_15953) + BgL_siza7eza7_13719);
											if (((long) CINT(BgL_arityz00_15957) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2121z00_15961;

													BgL_arg2121z00_15961 = (BgL_spz00_15960 + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13720), BgL_arg2121z00_15961,
														BgL_a1z00_15955);
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_15957))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_15957))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2123z00_15962;
																		obj_t BgL_arg2124z00_15963;

																		BgL_arg2123z00_15962 =
																			(BgL_spz00_15960 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2125z00_15964;

																			BgL_list2125z00_15964 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15955, BNIL);
																			BgL_arg2124z00_15963 =
																				BgL_list2125z00_15964;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13720),
																			BgL_arg2123z00_15962,
																			BgL_arg2124z00_15963);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2126z00_15965;

																		BgL_arg2126z00_15965 =
																			(BgL_spz00_15960 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13720),
																			BgL_arg2126z00_15965, BgL_a1z00_15955);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2127z00_15966;
																		obj_t BgL_arg2128z00_15967;

																		BgL_arg2127z00_15966 =
																			(BgL_spz00_15960 + ((long) 1));
																		BgL_arg2128z00_15967 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13720),
																			BgL_arg2127z00_15966,
																			BgL_arg2128z00_15967);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13717,
																		STRUCT_REF(BgL_ufz00_15956,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_15957));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13717, STRUCT_REF(BgL_ufz00_15956,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_15957));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_15968;

												BgL_z12denvz12_15968 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_15960 +
															(long) CINT(BgL_sfz00_15959)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13720))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_15958, BgL_sz00_13720,
															BINT(BgL_spz00_15960));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_15969;

														BgL_nsz00_15969 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2132z00_15970;

															BgL_arg2132z00_15970 =
																(BgL_spz00_15960 + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_15969, ((long) 2), BgL_sz00_13720,
																BINT(BgL_spz00_15960),
																BINT(BgL_arg2132z00_15970));
														}
														VECTOR_SET(BgL_nsz00_15969, ((long) 1),
															BgL_sz00_13720);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15968,
															BgL_nsz00_15969);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_15971;

															BgL_ez00_15971 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_15972;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_15973;

																	BgL_arg4423z00_15973 =
																		BGL_EXITD_PROTECT(BgL_ez00_15971);
																	BgL_arg4422z00_15972 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13720,
																		BgL_arg4423z00_15973);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_15971,
																	BgL_arg4422z00_15972);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_15974;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_15975;

																	BgL_savedzd2bpzd2_15975 =
																		VECTOR_REF(BgL_nsz00_15969, ((long) 0));
																	VECTOR_SET(BgL_nsz00_15969, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_15977;

																		BgL_fz00_15977 = BgL_runz00_15958;
																	BgL_recz00_15976:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_15978;

																			BgL_rz00_15978 =
																				PROCEDURE_ENTRY(BgL_fz00_15977)
																				(BgL_fz00_15977, BgL_nsz00_15969, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5163z00_21686;

																				if (PROCEDUREP(BgL_rz00_15978))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_15979;

																						BgL_arg1747z00_15979 =
																							PROCEDURE_ATTR(BgL_rz00_15978);
																						if (STRUCTP(BgL_arg1747z00_15979))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5163z00_21686 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_15979) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5163z00_21686 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5163z00_21686 =
																							((bool_t) 0);
																					}
																				if (BgL_test5163z00_21686)
																					{
																						obj_t BgL_fz00_21694;

																						BgL_fz00_21694 = BgL_rz00_15978;
																						BgL_fz00_15977 = BgL_fz00_21694;
																						goto BgL_recz00_15976;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_15969,
																							((long) 0),
																							BgL_savedzd2bpzd2_15975);
																						BgL_____rz00_15974 = BgL_rz00_15978;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5166z00_21696;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_15980;

																		BgL_arg4421z00_15980 =
																			BGL_EXITD_PROTECT(BgL_ez00_15971);
																		BgL_test5166z00_21696 =
																			PAIRP(BgL_arg4421z00_15980);
																	}
																	if (BgL_test5166z00_21696)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_15981;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_15982;

																				BgL_arg4420z00_15982 =
																					BGL_EXITD_PROTECT(BgL_ez00_15971);
																				BgL_arg4419z00_15981 =
																					CDR(((obj_t) BgL_arg4420z00_15982));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_15971,
																				BgL_arg4419z00_15981);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_15968,
																	BgL_sz00_13720);
																return BgL_____rz00_15974;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15954,
												(int) (((long) 1))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_15983;

												BgL_nbpz00_15983 =
													((long) CINT(BgL_bpz00_15953) + BgL_siza7eza7_13719);
												VECTOR_SET(
													((obj_t) BgL_sz00_13720), ((long) 0),
													BINT(BgL_nbpz00_15983));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_15984;

													BgL_rz00_15984 =
														PROCEDURE_ENTRY(BgL_fz00_15954) (BgL_fz00_15954,
														BgL_a1z00_15955, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13720), ((long) 0),
														BgL_bpz00_15953);
													return BgL_rz00_15984;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13717,
													BgL_symbzd2funzd2_13718, (int) (((long) 1)),
													PROCEDURE_ARITY(BgL_fz00_15954));
		}}}}}}}}

	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2332;

				BgL_cfunz00_2332 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_2332))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5169z00_21724;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_arg2142z00_2350;

							BgL_arg2142z00_2350 = bgl_debug();
							BgL_test5169z00_21724 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2142z00_2350),
								BINT(((long) 0)));
						}
						if (BgL_test5169z00_21724)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32139ze3z87_13721;

								BgL_zc3z04anonymousza32139ze3z87_13721 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32139ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32139ze3z87_13721,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32139ze3z87_13721,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32139ze3z87_13721,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32139ze3z87_13721,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3z04anonymousza32139ze3z87_13721,
									(int) (((long) 4)), BgL_cfunz00_2332);
								return BgL_zc3z04anonymousza32139ze3z87_13721;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32141ze3z87_13722;

								BgL_zc3z04anonymousza32141ze3z87_13722 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32141ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_13722,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_13722,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_13722,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3z04anonymousza32141ze3z87_13722,
									(int) (((long) 3)), BgL_cfunz00_2332);
								return BgL_zc3z04anonymousza32141ze3z87_13722;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5171z00_21757;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2198z00_2442;

									BgL_arg2198z00_2442 = bgl_debug();
									BgL_test5171z00_21757 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2198z00_2442),
										BINT(((long) 0)));
								}
								if (BgL_test5171z00_21757)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32145ze3z87_13723;

										BgL_zc3z04anonymousza32145ze3z87_13723 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32145ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32145ze3z87_13723,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32145ze3z87_13723;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32172ze3z87_13724;

										BgL_zc3z04anonymousza32172ze3z87_13724 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32172ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32172ze3z87_13724,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32172ze3z87_13724;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5172z00_21794;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2252z00_2534;

									BgL_arg2252z00_2534 = bgl_debug();
									BgL_test5172z00_21794 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2252z00_2534),
										BINT(((long) 0)));
								}
								if (BgL_test5172z00_21794)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32201ze3z87_13725;

										BgL_zc3z04anonymousza32201ze3z87_13725 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32201ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32201ze3z87_13725,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32201ze3z87_13725;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32227ze3z87_13726;

										BgL_zc3z04anonymousza32227ze3z87_13726 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3z04anonymousza32227ze3z87_13726,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3z04anonymousza32227ze3z87_13726;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2139> */
	obj_t BGl_z62zc3z04anonymousza32139ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13727, obj_t BgL_sz00_13733)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13728;
				obj_t BgL_a2z00_13729;
				long BgL_siza7eza7_13730;
				obj_t BgL_locz00_13731;
				obj_t BgL_cfunz00_13732;

				BgL_a1z00_13728 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 0)));
				BgL_a2z00_13729 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 1)));
				BgL_siza7eza7_13730 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 2))));
				BgL_locz00_13731 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 3)));
				BgL_cfunz00_13732 = PROCEDURE_REF(BgL_envz00_13727, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15985;

					BgL_bpz00_15985 = VECTOR_REF(((obj_t) BgL_sz00_13733), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15986;
						obj_t BgL_a2z00_15987;

						BgL_a1z00_15986 =
							PROCEDURE_ENTRY(BgL_a1z00_13728) (BgL_a1z00_13728, BgL_sz00_13733,
							BEOA);
						BgL_a2z00_15987 =
							PROCEDURE_ENTRY(BgL_a2z00_13729) (BgL_a2z00_13729, BgL_sz00_13733,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15988;

							BgL_nbpz00_15988 =
								((long) CINT(BgL_bpz00_15985) + BgL_siza7eza7_13730);
							VECTOR_SET(
								((obj_t) BgL_sz00_13733), ((long) 0), BINT(BgL_nbpz00_15988));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21857;

								BgL_tmpz00_21857 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_21857, BgL_locz00_13731);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15989;

								BgL_rz00_15989 =
									PROCEDURE_ENTRY(BgL_cfunz00_13732) (BgL_cfunz00_13732,
									BgL_a1z00_15986, BgL_a2z00_15987, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13733), ((long) 0),
									BgL_bpz00_15985);
								return BgL_rz00_15989;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2141> */
	obj_t BGl_z62zc3z04anonymousza32141ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13734, obj_t BgL_sz00_13739)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13735;
				obj_t BgL_a2z00_13736;
				long BgL_siza7eza7_13737;
				obj_t BgL_cfunz00_13738;

				BgL_a1z00_13735 = PROCEDURE_REF(BgL_envz00_13734, (int) (((long) 0)));
				BgL_a2z00_13736 = PROCEDURE_REF(BgL_envz00_13734, (int) (((long) 1)));
				BgL_siza7eza7_13737 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13734, (int) (((long) 2))));
				BgL_cfunz00_13738 = PROCEDURE_REF(BgL_envz00_13734, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15990;

					BgL_bpz00_15990 = VECTOR_REF(((obj_t) BgL_sz00_13739), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_15991;
						obj_t BgL_a2z00_15992;

						BgL_a1z00_15991 =
							PROCEDURE_ENTRY(BgL_a1z00_13735) (BgL_a1z00_13735, BgL_sz00_13739,
							BEOA);
						BgL_a2z00_15992 =
							PROCEDURE_ENTRY(BgL_a2z00_13736) (BgL_a2z00_13736, BgL_sz00_13739,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_15993;

							BgL_nbpz00_15993 =
								((long) CINT(BgL_bpz00_15990) + BgL_siza7eza7_13737);
							VECTOR_SET(
								((obj_t) BgL_sz00_13739), ((long) 0), BINT(BgL_nbpz00_15993));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_15994;

								BgL_rz00_15994 =
									PROCEDURE_ENTRY(BgL_cfunz00_13738) (BgL_cfunz00_13738,
									BgL_a1z00_15991, BgL_a2z00_15992, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13739), ((long) 0),
									BgL_bpz00_15990);
								return BgL_rz00_15994;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2145> */
	obj_t BGl_z62zc3z04anonymousza32145ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13740, obj_t BgL_sz00_13747)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13741;
				obj_t BgL_a1z00_13742;
				obj_t BgL_a2z00_13743;
				obj_t BgL_locz00_13744;
				obj_t BgL_symbzd2funzd2_13745;
				long BgL_siza7eza7_13746;

				BgL_funz00_13741 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 0)));
				BgL_a1z00_13742 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 1)));
				BgL_a2z00_13743 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 2)));
				BgL_locz00_13744 = PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 3)));
				BgL_symbzd2funzd2_13745 =
					PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 4)));
				BgL_siza7eza7_13746 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13740, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_15995;

					BgL_bpz00_15995 = VECTOR_REF(((obj_t) BgL_sz00_13747), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_15996;
						obj_t BgL_a1z00_15997;
						obj_t BgL_a2z00_15998;

						BgL_fz00_15996 =
							PROCEDURE_ENTRY(BgL_funz00_13741) (BgL_funz00_13741,
							BgL_sz00_13747, BEOA);
						BgL_a1z00_15997 =
							PROCEDURE_ENTRY(BgL_a1z00_13742) (BgL_a1z00_13742, BgL_sz00_13747,
							BEOA);
						BgL_a2z00_15998 =
							PROCEDURE_ENTRY(BgL_a2z00_13743) (BgL_a2z00_13743, BgL_sz00_13747,
							BEOA);
						if (PROCEDUREP(BgL_fz00_15996))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13744,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_15996);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_15999;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_21928;

								BgL_tmpz00_21928 = ((obj_t) BgL_fz00_15996);
								BgL_ufz00_15999 = PROCEDURE_ATTR(BgL_tmpz00_21928);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5174z00_21931;

								if (STRUCTP(BgL_ufz00_15999))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5174z00_21931 =
											(STRUCT_KEY(BgL_ufz00_15999) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5174z00_21931 = ((bool_t) 0);
									}
								if (BgL_test5174z00_21931)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16000;
										obj_t BgL_runz00_16001;
										obj_t BgL_sfz00_16002;

										BgL_arityz00_16000 =
											STRUCT_REF(BgL_ufz00_15999, (int) (((long) 0)));
										BgL_runz00_16001 =
											STRUCT_REF(BgL_ufz00_15999, (int) (((long) 1)));
										BgL_sfz00_16002 =
											STRUCT_REF(BgL_ufz00_15999, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16000) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2149z00_16003;

													BgL_arg2149z00_16003 =
														((long) CINT(BgL_bpz00_15995) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13747), BgL_arg2149z00_16003,
														BgL_a1z00_15997);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2150z00_16004;

													BgL_arg2150z00_16004 =
														((long) CINT(BgL_bpz00_15995) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13747), BgL_arg2150z00_16004,
														BgL_a2z00_15998);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16000))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16000))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2152z00_16005;
																	obj_t BgL_arg2153z00_16006;

																	BgL_arg2152z00_16005 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2154z00_16007;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2155z00_16008;

																			BgL_arg2155z00_16008 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_15998, BNIL);
																			BgL_list2154z00_16007 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_15997,
																				BgL_arg2155z00_16008);
																		}
																		BgL_arg2153z00_16006 =
																			BgL_list2154z00_16007;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2152z00_16005, BgL_arg2153z00_16006);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2156z00_16009;

																	BgL_arg2156z00_16009 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2156z00_16009, BgL_a1z00_15997);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2157z00_16010;
																	obj_t BgL_arg2158z00_16011;

																	BgL_arg2157z00_16010 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2159z00_16012;

																		BgL_list2159z00_16012 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_15998, BNIL);
																		BgL_arg2158z00_16011 =
																			BgL_list2159z00_16012;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2157z00_16010, BgL_arg2158z00_16011);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2160z00_16013;

																	BgL_arg2160z00_16013 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2160z00_16013, BgL_a1z00_15997);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2161z00_16014;

																	BgL_arg2161z00_16014 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2161z00_16014, BgL_a2z00_15998);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2162z00_16015;
																	obj_t BgL_arg2164z00_16016;

																	BgL_arg2162z00_16015 =
																		((long) CINT(BgL_bpz00_15995) + ((long) 2));
																	BgL_arg2164z00_16016 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13747),
																		BgL_arg2162z00_16015, BgL_arg2164z00_16016);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13744, STRUCT_REF(BgL_ufz00_15999,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_16000));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13744, STRUCT_REF(BgL_ufz00_15999,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_16000));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16017;

											BgL_z12denvz12_16017 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16017,
												BgL_locz00_13744);
											if ((((long) CINT(BgL_bpz00_15995) +
														(long) CINT(BgL_sfz00_16002)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13747))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16001;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16018;

													BgL_nsz00_16018 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2168z00_16019;

														BgL_arg2168z00_16019 =
															((long) CINT(BgL_bpz00_15995) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16018, ((long) 2), BgL_sz00_13747,
															BgL_bpz00_15995, BINT(BgL_arg2168z00_16019));
													}
													VECTOR_SET(BgL_nsz00_16018, ((long) 1),
														BgL_sz00_13747);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16017,
														BgL_nsz00_16018);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16020;

														BgL_ez00_16020 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16021;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16022;

																BgL_arg4423z00_16022 =
																	BGL_EXITD_PROTECT(BgL_ez00_16020);
																BgL_arg4422z00_16021 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13747,
																	BgL_arg4423z00_16022);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16020,
																BgL_arg4422z00_16021);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16023;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16024;

																BgL_savedzd2bpzd2_16024 =
																	VECTOR_REF(BgL_nsz00_16018, ((long) 0));
																VECTOR_SET(BgL_nsz00_16018, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16026;

																	BgL_fz00_16026 = BgL_runz00_16001;
																BgL_recz00_16025:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16027;

																		BgL_rz00_16027 =
																			PROCEDURE_ENTRY(BgL_fz00_16026)
																			(BgL_fz00_16026, BgL_nsz00_16018, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5179z00_22021;

																			if (PROCEDUREP(BgL_rz00_16027))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16028;

																					BgL_arg1747z00_16028 =
																						PROCEDURE_ATTR(BgL_rz00_16027);
																					if (STRUCTP(BgL_arg1747z00_16028))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5179z00_22021 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16028) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5179z00_22021 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5179z00_22021 = ((bool_t) 0);
																				}
																			if (BgL_test5179z00_22021)
																				{
																					obj_t BgL_fz00_22029;

																					BgL_fz00_22029 = BgL_rz00_16027;
																					BgL_fz00_16026 = BgL_fz00_22029;
																					goto BgL_recz00_16025;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16018,
																						((long) 0),
																						BgL_savedzd2bpzd2_16024);
																					BgL_____rz00_16023 = BgL_rz00_16027;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5182z00_22031;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16029;

																	BgL_arg4421z00_16029 =
																		BGL_EXITD_PROTECT(BgL_ez00_16020);
																	BgL_test5182z00_22031 =
																		PAIRP(BgL_arg4421z00_16029);
																}
																if (BgL_test5182z00_22031)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16030;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16031;

																			BgL_arg4420z00_16031 =
																				BGL_EXITD_PROTECT(BgL_ez00_16020);
																			BgL_arg4419z00_16030 =
																				CDR(((obj_t) BgL_arg4420z00_16031));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16020,
																			BgL_arg4419z00_16030);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16017,
																BgL_sz00_13747);
															return BgL_____rz00_16023;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_15996,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16032;

												BgL_nbpz00_16032 =
													((long) CINT(BgL_bpz00_15995) + BgL_siza7eza7_13746);
												VECTOR_SET(
													((obj_t) BgL_sz00_13747), ((long) 0),
													BINT(BgL_nbpz00_16032));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22047;

													BgL_tmpz00_22047 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22047,
														BgL_locz00_13744);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16033;

													BgL_rz00_16033 =
														PROCEDURE_ENTRY(BgL_fz00_15996) (BgL_fz00_15996,
														BgL_a1z00_15997, BgL_a2z00_15998, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13747), ((long) 0),
														BgL_bpz00_15995);
													return BgL_rz00_16033;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13744,
													BgL_symbzd2funzd2_13745, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_15996));
		}}}}}}}}

	}



/* &<@anonymous:2172> */
	obj_t BGl_z62zc3z04anonymousza32172ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13748, obj_t BgL_sz00_13755)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13749;
				obj_t BgL_a1z00_13750;
				obj_t BgL_a2z00_13751;
				obj_t BgL_locz00_13752;
				obj_t BgL_symbzd2funzd2_13753;
				long BgL_siza7eza7_13754;

				BgL_funz00_13749 = PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 0)));
				BgL_a1z00_13750 = PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 1)));
				BgL_a2z00_13751 = PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 2)));
				BgL_locz00_13752 = PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 3)));
				BgL_symbzd2funzd2_13753 =
					PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 4)));
				BgL_siza7eza7_13754 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13748, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16034;

					BgL_bpz00_16034 = VECTOR_REF(((obj_t) BgL_sz00_13755), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16035;
						obj_t BgL_a1z00_16036;
						obj_t BgL_a2z00_16037;

						BgL_fz00_16035 =
							PROCEDURE_ENTRY(BgL_funz00_13749) (BgL_funz00_13749,
							BgL_sz00_13755, BEOA);
						BgL_a1z00_16036 =
							PROCEDURE_ENTRY(BgL_a1z00_13750) (BgL_a1z00_13750, BgL_sz00_13755,
							BEOA);
						BgL_a2z00_16037 =
							PROCEDURE_ENTRY(BgL_a2z00_13751) (BgL_a2z00_13751, BgL_sz00_13755,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16035))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13752,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16035);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16038;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22090;

								BgL_tmpz00_22090 = ((obj_t) BgL_fz00_16035);
								BgL_ufz00_16038 = PROCEDURE_ATTR(BgL_tmpz00_22090);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5185z00_22093;

								if (STRUCTP(BgL_ufz00_16038))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5185z00_22093 =
											(STRUCT_KEY(BgL_ufz00_16038) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5185z00_22093 = ((bool_t) 0);
									}
								if (BgL_test5185z00_22093)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16039;
										obj_t BgL_runz00_16040;
										obj_t BgL_sfz00_16041;

										BgL_arityz00_16039 =
											STRUCT_REF(BgL_ufz00_16038, (int) (((long) 0)));
										BgL_runz00_16040 =
											STRUCT_REF(BgL_ufz00_16038, (int) (((long) 1)));
										BgL_sfz00_16041 =
											STRUCT_REF(BgL_ufz00_16038, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16039) == ((long) 2)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2176z00_16042;

													BgL_arg2176z00_16042 =
														((long) CINT(BgL_bpz00_16034) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13755), BgL_arg2176z00_16042,
														BgL_a1z00_16036);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2177z00_16043;

													BgL_arg2177z00_16043 =
														((long) CINT(BgL_bpz00_16034) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13755), BgL_arg2177z00_16043,
														BgL_a2z00_16037);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16039))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16039))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2179z00_16044;
																	obj_t BgL_arg2180z00_16045;

																	BgL_arg2179z00_16044 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2181z00_16046;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2182z00_16047;

																			BgL_arg2182z00_16047 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16037, BNIL);
																			BgL_list2181z00_16046 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16036,
																				BgL_arg2182z00_16047);
																		}
																		BgL_arg2180z00_16045 =
																			BgL_list2181z00_16046;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2179z00_16044, BgL_arg2180z00_16045);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2183z00_16048;

																	BgL_arg2183z00_16048 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2183z00_16048, BgL_a1z00_16036);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2185z00_16049;
																	obj_t BgL_arg2186z00_16050;

																	BgL_arg2185z00_16049 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2187z00_16051;

																		BgL_list2187z00_16051 =
																			MAKE_YOUNG_PAIR(BgL_a2z00_16037, BNIL);
																		BgL_arg2186z00_16050 =
																			BgL_list2187z00_16051;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2185z00_16049, BgL_arg2186z00_16050);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2188z00_16052;

																	BgL_arg2188z00_16052 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2188z00_16052, BgL_a1z00_16036);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2189z00_16053;

																	BgL_arg2189z00_16053 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2189z00_16053, BgL_a2z00_16037);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2190z00_16054;
																	obj_t BgL_arg2191z00_16055;

																	BgL_arg2190z00_16054 =
																		((long) CINT(BgL_bpz00_16034) + ((long) 2));
																	BgL_arg2191z00_16055 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13755),
																		BgL_arg2190z00_16054, BgL_arg2191z00_16055);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13752, STRUCT_REF(BgL_ufz00_16038,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_16039));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13752, STRUCT_REF(BgL_ufz00_16038,
																(int) (((long) 3))), (int) (((long) 2)),
															CINT(BgL_arityz00_16039));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16056;

											BgL_z12denvz12_16056 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16034) +
														(long) CINT(BgL_sfz00_16041)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13755))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16040;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16057;

													BgL_nsz00_16057 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2195z00_16058;

														BgL_arg2195z00_16058 =
															((long) CINT(BgL_bpz00_16034) + ((long) 2));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16057, ((long) 2), BgL_sz00_13755,
															BgL_bpz00_16034, BINT(BgL_arg2195z00_16058));
													}
													VECTOR_SET(BgL_nsz00_16057, ((long) 1),
														BgL_sz00_13755);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16056,
														BgL_nsz00_16057);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16059;

														BgL_ez00_16059 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16060;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16061;

																BgL_arg4423z00_16061 =
																	BGL_EXITD_PROTECT(BgL_ez00_16059);
																BgL_arg4422z00_16060 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13755,
																	BgL_arg4423z00_16061);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16059,
																BgL_arg4422z00_16060);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16062;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16063;

																BgL_savedzd2bpzd2_16063 =
																	VECTOR_REF(BgL_nsz00_16057, ((long) 0));
																VECTOR_SET(BgL_nsz00_16057, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16065;

																	BgL_fz00_16065 = BgL_runz00_16040;
																BgL_recz00_16064:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16066;

																		BgL_rz00_16066 =
																			PROCEDURE_ENTRY(BgL_fz00_16065)
																			(BgL_fz00_16065, BgL_nsz00_16057, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5190z00_22182;

																			if (PROCEDUREP(BgL_rz00_16066))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16067;

																					BgL_arg1747z00_16067 =
																						PROCEDURE_ATTR(BgL_rz00_16066);
																					if (STRUCTP(BgL_arg1747z00_16067))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5190z00_22182 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16067) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5190z00_22182 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5190z00_22182 = ((bool_t) 0);
																				}
																			if (BgL_test5190z00_22182)
																				{
																					obj_t BgL_fz00_22190;

																					BgL_fz00_22190 = BgL_rz00_16066;
																					BgL_fz00_16065 = BgL_fz00_22190;
																					goto BgL_recz00_16064;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16057,
																						((long) 0),
																						BgL_savedzd2bpzd2_16063);
																					BgL_____rz00_16062 = BgL_rz00_16066;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5193z00_22192;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16068;

																	BgL_arg4421z00_16068 =
																		BGL_EXITD_PROTECT(BgL_ez00_16059);
																	BgL_test5193z00_22192 =
																		PAIRP(BgL_arg4421z00_16068);
																}
																if (BgL_test5193z00_22192)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16069;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16070;

																			BgL_arg4420z00_16070 =
																				BGL_EXITD_PROTECT(BgL_ez00_16059);
																			BgL_arg4419z00_16069 =
																				CDR(((obj_t) BgL_arg4420z00_16070));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16059,
																			BgL_arg4419z00_16069);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16056,
																BgL_sz00_13755);
															return BgL_____rz00_16062;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16035,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16071;

												BgL_nbpz00_16071 =
													((long) CINT(BgL_bpz00_16034) + BgL_siza7eza7_13754);
												VECTOR_SET(
													((obj_t) BgL_sz00_13755), ((long) 0),
													BINT(BgL_nbpz00_16071));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16072;

													BgL_rz00_16072 =
														PROCEDURE_ENTRY(BgL_fz00_16035) (BgL_fz00_16035,
														BgL_a1z00_16036, BgL_a2z00_16037, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13755), ((long) 0),
														BgL_bpz00_16034);
													return BgL_rz00_16072;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13752,
													BgL_symbzd2funzd2_13753, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16035));
		}}}}}}}}

	}



/* &<@anonymous:2201> */
	obj_t BGl_z62zc3z04anonymousza32201ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13756, obj_t BgL_sz00_13763)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13757;
				obj_t BgL_a1z00_13758;
				obj_t BgL_a2z00_13759;
				obj_t BgL_locz00_13760;
				obj_t BgL_symbzd2funzd2_13761;
				long BgL_siza7eza7_13762;

				BgL_funz00_13757 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 0)));
				BgL_a1z00_13758 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 1)));
				BgL_a2z00_13759 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 2)));
				BgL_locz00_13760 = PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 3)));
				BgL_symbzd2funzd2_13761 =
					PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 4)));
				BgL_siza7eza7_13762 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13756, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16073;

					BgL_bpz00_16073 = VECTOR_REF(((obj_t) BgL_sz00_13763), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16074;
						obj_t BgL_a1z00_16075;
						obj_t BgL_a2z00_16076;

						BgL_fz00_16074 =
							PROCEDURE_ENTRY(BgL_funz00_13757) (BgL_funz00_13757,
							BgL_sz00_13763, BEOA);
						BgL_a1z00_16075 =
							PROCEDURE_ENTRY(BgL_a1z00_13758) (BgL_a1z00_13758, BgL_sz00_13763,
							BEOA);
						BgL_a2z00_16076 =
							PROCEDURE_ENTRY(BgL_a2z00_13759) (BgL_a2z00_13759, BgL_sz00_13763,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16074))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13760,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16074);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16077;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22248;

								BgL_tmpz00_22248 = ((obj_t) BgL_fz00_16074);
								BgL_ufz00_16077 = PROCEDURE_ATTR(BgL_tmpz00_22248);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5196z00_22251;

								if (STRUCTP(BgL_ufz00_16077))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5196z00_22251 =
											(STRUCT_KEY(BgL_ufz00_16077) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5196z00_22251 = ((bool_t) 0);
									}
								if (BgL_test5196z00_22251)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16078;
										obj_t BgL_runz00_16079;
										obj_t BgL_sfz00_16080;

										BgL_arityz00_16078 =
											STRUCT_REF(BgL_ufz00_16077, (int) (((long) 0)));
										BgL_runz00_16079 =
											STRUCT_REF(BgL_ufz00_16077, (int) (((long) 1)));
										BgL_sfz00_16080 =
											STRUCT_REF(BgL_ufz00_16077, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16081;

											BgL_spz00_16081 =
												((long) CINT(BgL_bpz00_16073) + BgL_siza7eza7_13762);
											if (((long) CINT(BgL_arityz00_16078) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2205z00_16082;

														BgL_arg2205z00_16082 =
															(BgL_spz00_16081 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13763), BgL_arg2205z00_16082,
															BgL_a1z00_16075);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2206z00_16083;

														BgL_arg2206z00_16083 =
															(BgL_spz00_16081 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13763), BgL_arg2206z00_16083,
															BgL_a2z00_16076);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16078))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16078))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2208z00_16084;
																		obj_t BgL_arg2209z00_16085;

																		BgL_arg2208z00_16084 =
																			(BgL_spz00_16081 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2210z00_16086;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2211z00_16087;

																				BgL_arg2211z00_16087 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16076,
																					BNIL);
																				BgL_list2210z00_16086 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16075,
																					BgL_arg2211z00_16087);
																			}
																			BgL_arg2209z00_16085 =
																				BgL_list2210z00_16086;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2208z00_16084,
																			BgL_arg2209z00_16085);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2212z00_16088;

																		BgL_arg2212z00_16088 =
																			(BgL_spz00_16081 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2212z00_16088, BgL_a1z00_16075);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2213z00_16089;
																		obj_t BgL_arg2214z00_16090;

																		BgL_arg2213z00_16089 =
																			(BgL_spz00_16081 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2215z00_16091;

																			BgL_list2215z00_16091 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16076, BNIL);
																			BgL_arg2214z00_16090 =
																				BgL_list2215z00_16091;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2213z00_16089,
																			BgL_arg2214z00_16090);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2216z00_16092;

																		BgL_arg2216z00_16092 =
																			(BgL_spz00_16081 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2216z00_16092, BgL_a1z00_16075);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2217z00_16093;

																		BgL_arg2217z00_16093 =
																			(BgL_spz00_16081 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2217z00_16093, BgL_a2z00_16076);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2218z00_16094;
																		obj_t BgL_arg2219z00_16095;

																		BgL_arg2218z00_16094 =
																			(BgL_spz00_16081 + ((long) 2));
																		BgL_arg2219z00_16095 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13763),
																			BgL_arg2218z00_16094,
																			BgL_arg2219z00_16095);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13760,
																		STRUCT_REF(BgL_ufz00_16077,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_16078));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13760, STRUCT_REF(BgL_ufz00_16077,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_16078));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16096;

												BgL_z12denvz12_16096 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16096,
													BgL_locz00_13760);
												if (((BgL_spz00_16081 + (long) CINT(BgL_sfz00_16080)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13763))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16079, BgL_sz00_13763,
															BINT(BgL_spz00_16081));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16097;

														BgL_nsz00_16097 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2223z00_16098;

															BgL_arg2223z00_16098 =
																(BgL_spz00_16081 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16097, ((long) 2), BgL_sz00_13763,
																BINT(BgL_spz00_16081),
																BINT(BgL_arg2223z00_16098));
														}
														VECTOR_SET(BgL_nsz00_16097, ((long) 1),
															BgL_sz00_13763);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16096,
															BgL_nsz00_16097);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16099;

															BgL_ez00_16099 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16100;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16101;

																	BgL_arg4423z00_16101 =
																		BGL_EXITD_PROTECT(BgL_ez00_16099);
																	BgL_arg4422z00_16100 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13763,
																		BgL_arg4423z00_16101);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16099,
																	BgL_arg4422z00_16100);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16102;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16103;

																	BgL_savedzd2bpzd2_16103 =
																		VECTOR_REF(BgL_nsz00_16097, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16097, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16105;

																		BgL_fz00_16105 = BgL_runz00_16079;
																	BgL_recz00_16104:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16106;

																			BgL_rz00_16106 =
																				PROCEDURE_ENTRY(BgL_fz00_16105)
																				(BgL_fz00_16105, BgL_nsz00_16097, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5201z00_22336;

																				if (PROCEDUREP(BgL_rz00_16106))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16107;

																						BgL_arg1747z00_16107 =
																							PROCEDURE_ATTR(BgL_rz00_16106);
																						if (STRUCTP(BgL_arg1747z00_16107))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5201z00_22336 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16107) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5201z00_22336 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5201z00_22336 =
																							((bool_t) 0);
																					}
																				if (BgL_test5201z00_22336)
																					{
																						obj_t BgL_fz00_22344;

																						BgL_fz00_22344 = BgL_rz00_16106;
																						BgL_fz00_16105 = BgL_fz00_22344;
																						goto BgL_recz00_16104;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16097,
																							((long) 0),
																							BgL_savedzd2bpzd2_16103);
																						BgL_____rz00_16102 = BgL_rz00_16106;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5204z00_22346;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16108;

																		BgL_arg4421z00_16108 =
																			BGL_EXITD_PROTECT(BgL_ez00_16099);
																		BgL_test5204z00_22346 =
																			PAIRP(BgL_arg4421z00_16108);
																	}
																	if (BgL_test5204z00_22346)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16109;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16110;

																				BgL_arg4420z00_16110 =
																					BGL_EXITD_PROTECT(BgL_ez00_16099);
																				BgL_arg4419z00_16109 =
																					CDR(((obj_t) BgL_arg4420z00_16110));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16099,
																				BgL_arg4419z00_16109);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16096,
																	BgL_sz00_13763);
																return BgL_____rz00_16102;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16074,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16111;

												BgL_nbpz00_16111 =
													((long) CINT(BgL_bpz00_16073) + BgL_siza7eza7_13762);
												VECTOR_SET(
													((obj_t) BgL_sz00_13763), ((long) 0),
													BINT(BgL_nbpz00_16111));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22362;

													BgL_tmpz00_22362 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22362,
														BgL_locz00_13760);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16112;

													BgL_rz00_16112 =
														PROCEDURE_ENTRY(BgL_fz00_16074) (BgL_fz00_16074,
														BgL_a1z00_16075, BgL_a2z00_16076, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13763), ((long) 0),
														BgL_bpz00_16073);
													return BgL_rz00_16112;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13760,
													BgL_symbzd2funzd2_13761, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16074));
		}}}}}}}}

	}



/* &<@anonymous:2227> */
	obj_t BGl_z62zc3z04anonymousza32227ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13764, obj_t BgL_sz00_13771)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13765;
				obj_t BgL_a1z00_13766;
				obj_t BgL_a2z00_13767;
				obj_t BgL_locz00_13768;
				obj_t BgL_symbzd2funzd2_13769;
				long BgL_siza7eza7_13770;

				BgL_funz00_13765 = PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 0)));
				BgL_a1z00_13766 = PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 1)));
				BgL_a2z00_13767 = PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 2)));
				BgL_locz00_13768 = PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 3)));
				BgL_symbzd2funzd2_13769 =
					PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 4)));
				BgL_siza7eza7_13770 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13764, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16113;

					BgL_bpz00_16113 = VECTOR_REF(((obj_t) BgL_sz00_13771), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16114;
						obj_t BgL_a1z00_16115;
						obj_t BgL_a2z00_16116;

						BgL_fz00_16114 =
							PROCEDURE_ENTRY(BgL_funz00_13765) (BgL_funz00_13765,
							BgL_sz00_13771, BEOA);
						BgL_a1z00_16115 =
							PROCEDURE_ENTRY(BgL_a1z00_13766) (BgL_a1z00_13766, BgL_sz00_13771,
							BEOA);
						BgL_a2z00_16116 =
							PROCEDURE_ENTRY(BgL_a2z00_13767) (BgL_a2z00_13767, BgL_sz00_13771,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16114))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13768,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16114);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16117;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22405;

								BgL_tmpz00_22405 = ((obj_t) BgL_fz00_16114);
								BgL_ufz00_16117 = PROCEDURE_ATTR(BgL_tmpz00_22405);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5207z00_22408;

								if (STRUCTP(BgL_ufz00_16117))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5207z00_22408 =
											(STRUCT_KEY(BgL_ufz00_16117) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5207z00_22408 = ((bool_t) 0);
									}
								if (BgL_test5207z00_22408)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16118;
										obj_t BgL_runz00_16119;
										obj_t BgL_sfz00_16120;

										BgL_arityz00_16118 =
											STRUCT_REF(BgL_ufz00_16117, (int) (((long) 0)));
										BgL_runz00_16119 =
											STRUCT_REF(BgL_ufz00_16117, (int) (((long) 1)));
										BgL_sfz00_16120 =
											STRUCT_REF(BgL_ufz00_16117, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16121;

											BgL_spz00_16121 =
												((long) CINT(BgL_bpz00_16113) + BgL_siza7eza7_13770);
											if (((long) CINT(BgL_arityz00_16118) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2231z00_16122;

														BgL_arg2231z00_16122 =
															(BgL_spz00_16121 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13771), BgL_arg2231z00_16122,
															BgL_a1z00_16115);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2232z00_16123;

														BgL_arg2232z00_16123 =
															(BgL_spz00_16121 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13771), BgL_arg2232z00_16123,
															BgL_a2z00_16116);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16118))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16118))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2234z00_16124;
																		obj_t BgL_arg2235z00_16125;

																		BgL_arg2234z00_16124 =
																			(BgL_spz00_16121 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2236z00_16126;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2237z00_16127;

																				BgL_arg2237z00_16127 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16116,
																					BNIL);
																				BgL_list2236z00_16126 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16115,
																					BgL_arg2237z00_16127);
																			}
																			BgL_arg2235z00_16125 =
																				BgL_list2236z00_16126;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2234z00_16124,
																			BgL_arg2235z00_16125);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2238z00_16128;

																		BgL_arg2238z00_16128 =
																			(BgL_spz00_16121 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2238z00_16128, BgL_a1z00_16115);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2239z00_16129;
																		obj_t BgL_arg2240z00_16130;

																		BgL_arg2239z00_16129 =
																			(BgL_spz00_16121 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2241z00_16131;

																			BgL_list2241z00_16131 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16116, BNIL);
																			BgL_arg2240z00_16130 =
																				BgL_list2241z00_16131;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2239z00_16129,
																			BgL_arg2240z00_16130);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2242z00_16132;

																		BgL_arg2242z00_16132 =
																			(BgL_spz00_16121 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2242z00_16132, BgL_a1z00_16115);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2243z00_16133;

																		BgL_arg2243z00_16133 =
																			(BgL_spz00_16121 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2243z00_16133, BgL_a2z00_16116);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2244z00_16134;
																		obj_t BgL_arg2245z00_16135;

																		BgL_arg2244z00_16134 =
																			(BgL_spz00_16121 + ((long) 2));
																		BgL_arg2245z00_16135 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13771),
																			BgL_arg2244z00_16134,
																			BgL_arg2245z00_16135);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13768,
																		STRUCT_REF(BgL_ufz00_16117,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_16118));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13768, STRUCT_REF(BgL_ufz00_16117,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_16118));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16136;

												BgL_z12denvz12_16136 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16121 +
															(long) CINT(BgL_sfz00_16120)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13771))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16119, BgL_sz00_13771,
															BINT(BgL_spz00_16121));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16137;

														BgL_nsz00_16137 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2249z00_16138;

															BgL_arg2249z00_16138 =
																(BgL_spz00_16121 + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16137, ((long) 2), BgL_sz00_13771,
																BINT(BgL_spz00_16121),
																BINT(BgL_arg2249z00_16138));
														}
														VECTOR_SET(BgL_nsz00_16137, ((long) 1),
															BgL_sz00_13771);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16136,
															BgL_nsz00_16137);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16139;

															BgL_ez00_16139 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16140;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16141;

																	BgL_arg4423z00_16141 =
																		BGL_EXITD_PROTECT(BgL_ez00_16139);
																	BgL_arg4422z00_16140 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13771,
																		BgL_arg4423z00_16141);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16139,
																	BgL_arg4422z00_16140);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16142;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16143;

																	BgL_savedzd2bpzd2_16143 =
																		VECTOR_REF(BgL_nsz00_16137, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16137, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16145;

																		BgL_fz00_16145 = BgL_runz00_16119;
																	BgL_recz00_16144:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16146;

																			BgL_rz00_16146 =
																				PROCEDURE_ENTRY(BgL_fz00_16145)
																				(BgL_fz00_16145, BgL_nsz00_16137, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5212z00_22492;

																				if (PROCEDUREP(BgL_rz00_16146))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16147;

																						BgL_arg1747z00_16147 =
																							PROCEDURE_ATTR(BgL_rz00_16146);
																						if (STRUCTP(BgL_arg1747z00_16147))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5212z00_22492 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16147) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5212z00_22492 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5212z00_22492 =
																							((bool_t) 0);
																					}
																				if (BgL_test5212z00_22492)
																					{
																						obj_t BgL_fz00_22500;

																						BgL_fz00_22500 = BgL_rz00_16146;
																						BgL_fz00_16145 = BgL_fz00_22500;
																						goto BgL_recz00_16144;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16137,
																							((long) 0),
																							BgL_savedzd2bpzd2_16143);
																						BgL_____rz00_16142 = BgL_rz00_16146;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5215z00_22502;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16148;

																		BgL_arg4421z00_16148 =
																			BGL_EXITD_PROTECT(BgL_ez00_16139);
																		BgL_test5215z00_22502 =
																			PAIRP(BgL_arg4421z00_16148);
																	}
																	if (BgL_test5215z00_22502)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16149;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16150;

																				BgL_arg4420z00_16150 =
																					BGL_EXITD_PROTECT(BgL_ez00_16139);
																				BgL_arg4419z00_16149 =
																					CDR(((obj_t) BgL_arg4420z00_16150));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16139,
																				BgL_arg4419z00_16149);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16136,
																	BgL_sz00_13771);
																return BgL_____rz00_16142;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16114,
												(int) (((long) 2))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16151;

												BgL_nbpz00_16151 =
													((long) CINT(BgL_bpz00_16113) + BgL_siza7eza7_13770);
												VECTOR_SET(
													((obj_t) BgL_sz00_13771), ((long) 0),
													BINT(BgL_nbpz00_16151));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16152;

													BgL_rz00_16152 =
														PROCEDURE_ENTRY(BgL_fz00_16114) (BgL_fz00_16114,
														BgL_a1z00_16115, BgL_a2z00_16116, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13771), ((long) 0),
														BgL_bpz00_16113);
													return BgL_rz00_16152;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13768,
													BgL_symbzd2funzd2_13769, (int) (((long) 2)),
													PROCEDURE_ARITY(BgL_fz00_16114));
		}}}}}}}}

	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2535;

				BgL_cfunz00_2535 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2535))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5218z00_22531;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_arg2258z00_2555;

							BgL_arg2258z00_2555 = bgl_debug();
							BgL_test5218z00_22531 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2258z00_2555),
								BINT(((long) 0)));
						}
						if (BgL_test5218z00_22531)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32255ze3z87_13772;

								BgL_zc3z04anonymousza32255ze3z87_13772 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32255ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3z04anonymousza32255ze3z87_13772,
									(int) (((long) 5)), BgL_cfunz00_2535);
								return BgL_zc3z04anonymousza32255ze3z87_13772;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32257ze3z87_13773;

								BgL_zc3z04anonymousza32257ze3z87_13773 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32257ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32257ze3z87_13773,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3z04anonymousza32257ze3z87_13773,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3z04anonymousza32257ze3z87_13773,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3z04anonymousza32257ze3z87_13773,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3z04anonymousza32257ze3z87_13773,
									(int) (((long) 4)), BgL_cfunz00_2535);
								return BgL_zc3z04anonymousza32257ze3z87_13773;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5220z00_22568;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2337z00_2667;

									BgL_arg2337z00_2667 = bgl_debug();
									BgL_test5220z00_22568 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2337z00_2667),
										BINT(((long) 0)));
								}
								if (BgL_test5220z00_22568)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32261ze3z87_13774;

										BgL_zc3z04anonymousza32261ze3z87_13774 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32261ze3z87_13774,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32261ze3z87_13774;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32298ze3z87_13775;

										BgL_zc3z04anonymousza32298ze3z87_13775 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32298ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32298ze3z87_13775,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32298ze3z87_13775;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5221z00_22609;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2419z00_2779;

									BgL_arg2419z00_2779 = bgl_debug();
									BgL_test5221z00_22609 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2419z00_2779),
										BINT(((long) 0)));
								}
								if (BgL_test5221z00_22609)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32340ze3z87_13776;

										BgL_zc3z04anonymousza32340ze3z87_13776 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32340ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32340ze3z87_13776,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32340ze3z87_13776;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32380ze3z87_13777;

										BgL_zc3z04anonymousza32380ze3z87_13777 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32380ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3z04anonymousza32380ze3z87_13777,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3z04anonymousza32380ze3z87_13777;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2255> */
	obj_t BGl_z62zc3z04anonymousza32255ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13778, obj_t BgL_sz00_13785)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13779;
				obj_t BgL_a2z00_13780;
				obj_t BgL_a3z00_13781;
				long BgL_siza7eza7_13782;
				obj_t BgL_locz00_13783;
				obj_t BgL_cfunz00_13784;

				BgL_a1z00_13779 = PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 0)));
				BgL_a2z00_13780 = PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 1)));
				BgL_a3z00_13781 = PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 2)));
				BgL_siza7eza7_13782 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 3))));
				BgL_locz00_13783 = PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 4)));
				BgL_cfunz00_13784 = PROCEDURE_REF(BgL_envz00_13778, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16153;

					BgL_bpz00_16153 = VECTOR_REF(((obj_t) BgL_sz00_13785), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16154;
						obj_t BgL_a2z00_16155;
						obj_t BgL_a3z00_16156;

						BgL_a1z00_16154 =
							PROCEDURE_ENTRY(BgL_a1z00_13779) (BgL_a1z00_13779, BgL_sz00_13785,
							BEOA);
						BgL_a2z00_16155 =
							PROCEDURE_ENTRY(BgL_a2z00_13780) (BgL_a2z00_13780, BgL_sz00_13785,
							BEOA);
						BgL_a3z00_16156 =
							PROCEDURE_ENTRY(BgL_a3z00_13781) (BgL_a3z00_13781, BgL_sz00_13785,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16157;

							BgL_nbpz00_16157 =
								((long) CINT(BgL_bpz00_16153) + BgL_siza7eza7_13782);
							VECTOR_SET(
								((obj_t) BgL_sz00_13785), ((long) 0), BINT(BgL_nbpz00_16157));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22682;

								BgL_tmpz00_22682 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22682, BgL_locz00_13783);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16158;

								BgL_rz00_16158 =
									PROCEDURE_ENTRY(BgL_cfunz00_13784) (BgL_cfunz00_13784,
									BgL_a1z00_16154, BgL_a2z00_16155, BgL_a3z00_16156, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13785), ((long) 0),
									BgL_bpz00_16153);
								return BgL_rz00_16158;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2257> */
	obj_t BGl_z62zc3z04anonymousza32257ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13786, obj_t BgL_sz00_13792)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13787;
				obj_t BgL_a2z00_13788;
				obj_t BgL_a3z00_13789;
				long BgL_siza7eza7_13790;
				obj_t BgL_cfunz00_13791;

				BgL_a1z00_13787 = PROCEDURE_REF(BgL_envz00_13786, (int) (((long) 0)));
				BgL_a2z00_13788 = PROCEDURE_REF(BgL_envz00_13786, (int) (((long) 1)));
				BgL_a3z00_13789 = PROCEDURE_REF(BgL_envz00_13786, (int) (((long) 2)));
				BgL_siza7eza7_13790 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13786, (int) (((long) 3))));
				BgL_cfunz00_13791 = PROCEDURE_REF(BgL_envz00_13786, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16159;

					BgL_bpz00_16159 = VECTOR_REF(((obj_t) BgL_sz00_13792), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16160;
						obj_t BgL_a2z00_16161;
						obj_t BgL_a3z00_16162;

						BgL_a1z00_16160 =
							PROCEDURE_ENTRY(BgL_a1z00_13787) (BgL_a1z00_13787, BgL_sz00_13792,
							BEOA);
						BgL_a2z00_16161 =
							PROCEDURE_ENTRY(BgL_a2z00_13788) (BgL_a2z00_13788, BgL_sz00_13792,
							BEOA);
						BgL_a3z00_16162 =
							PROCEDURE_ENTRY(BgL_a3z00_13789) (BgL_a3z00_13789, BgL_sz00_13792,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16163;

							BgL_nbpz00_16163 =
								((long) CINT(BgL_bpz00_16159) + BgL_siza7eza7_13790);
							VECTOR_SET(
								((obj_t) BgL_sz00_13792), ((long) 0), BINT(BgL_nbpz00_16163));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16164;

								BgL_rz00_16164 =
									PROCEDURE_ENTRY(BgL_cfunz00_13791) (BgL_cfunz00_13791,
									BgL_a1z00_16160, BgL_a2z00_16161, BgL_a3z00_16162, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13792), ((long) 0),
									BgL_bpz00_16159);
								return BgL_rz00_16164;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2261> */
	obj_t BGl_z62zc3z04anonymousza32261ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13793, obj_t BgL_sz00_13801)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13794;
				obj_t BgL_a1z00_13795;
				obj_t BgL_a2z00_13796;
				obj_t BgL_a3z00_13797;
				obj_t BgL_locz00_13798;
				obj_t BgL_symbzd2funzd2_13799;
				long BgL_siza7eza7_13800;

				BgL_funz00_13794 = PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 0)));
				BgL_a1z00_13795 = PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 1)));
				BgL_a2z00_13796 = PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 2)));
				BgL_a3z00_13797 = PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 3)));
				BgL_locz00_13798 = PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 4)));
				BgL_symbzd2funzd2_13799 =
					PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 5)));
				BgL_siza7eza7_13800 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13793, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16165;

					BgL_bpz00_16165 = VECTOR_REF(((obj_t) BgL_sz00_13801), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16166;
						obj_t BgL_a1z00_16167;
						obj_t BgL_a2z00_16168;
						obj_t BgL_a3z00_16169;

						BgL_fz00_16166 =
							PROCEDURE_ENTRY(BgL_funz00_13794) (BgL_funz00_13794,
							BgL_sz00_13801, BEOA);
						BgL_a1z00_16167 =
							PROCEDURE_ENTRY(BgL_a1z00_13795) (BgL_a1z00_13795, BgL_sz00_13801,
							BEOA);
						BgL_a2z00_16168 =
							PROCEDURE_ENTRY(BgL_a2z00_13796) (BgL_a2z00_13796, BgL_sz00_13801,
							BEOA);
						BgL_a3z00_16169 =
							PROCEDURE_ENTRY(BgL_a3z00_13797) (BgL_a3z00_13797, BgL_sz00_13801,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16166))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13798,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16166);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16170;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22767;

								BgL_tmpz00_22767 = ((obj_t) BgL_fz00_16166);
								BgL_ufz00_16170 = PROCEDURE_ATTR(BgL_tmpz00_22767);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5223z00_22770;

								if (STRUCTP(BgL_ufz00_16170))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5223z00_22770 =
											(STRUCT_KEY(BgL_ufz00_16170) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5223z00_22770 = ((bool_t) 0);
									}
								if (BgL_test5223z00_22770)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16171;
										obj_t BgL_runz00_16172;
										obj_t BgL_sfz00_16173;

										BgL_arityz00_16171 =
											STRUCT_REF(BgL_ufz00_16170, (int) (((long) 0)));
										BgL_runz00_16172 =
											STRUCT_REF(BgL_ufz00_16170, (int) (((long) 1)));
										BgL_sfz00_16173 =
											STRUCT_REF(BgL_ufz00_16170, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16171) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2265z00_16174;

													BgL_arg2265z00_16174 =
														((long) CINT(BgL_bpz00_16165) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13801), BgL_arg2265z00_16174,
														BgL_a1z00_16167);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2266z00_16175;

													BgL_arg2266z00_16175 =
														((long) CINT(BgL_bpz00_16165) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13801), BgL_arg2266z00_16175,
														BgL_a2z00_16168);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2267z00_16176;

													BgL_arg2267z00_16176 =
														((long) CINT(BgL_bpz00_16165) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13801), BgL_arg2267z00_16176,
														BgL_a3z00_16169);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16171))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16171))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2269z00_16177;
																	obj_t BgL_arg2270z00_16178;

																	BgL_arg2269z00_16177 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2271z00_16179;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2272z00_16180;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2273z00_16181;

																				BgL_arg2273z00_16181 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16169,
																					BNIL);
																				BgL_arg2272z00_16180 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16168,
																					BgL_arg2273z00_16181);
																			}
																			BgL_list2271z00_16179 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16167,
																				BgL_arg2272z00_16180);
																		}
																		BgL_arg2270z00_16178 =
																			BgL_list2271z00_16179;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2269z00_16177, BgL_arg2270z00_16178);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2274z00_16182;

																	BgL_arg2274z00_16182 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2274z00_16182, BgL_a1z00_16167);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2275z00_16183;
																	obj_t BgL_arg2276z00_16184;

																	BgL_arg2275z00_16183 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2277z00_16185;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2278z00_16186;

																			BgL_arg2278z00_16186 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16169, BNIL);
																			BgL_list2277z00_16185 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16168,
																				BgL_arg2278z00_16186);
																		}
																		BgL_arg2276z00_16184 =
																			BgL_list2277z00_16185;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2275z00_16183, BgL_arg2276z00_16184);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2280z00_16187;

																	BgL_arg2280z00_16187 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2280z00_16187, BgL_a1z00_16167);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2281z00_16188;

																	BgL_arg2281z00_16188 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2281z00_16188, BgL_a2z00_16168);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2282z00_16189;
																	obj_t BgL_arg2283z00_16190;

																	BgL_arg2282z00_16189 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2284z00_16191;

																		BgL_list2284z00_16191 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16169, BNIL);
																		BgL_arg2283z00_16190 =
																			BgL_list2284z00_16191;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2282z00_16189, BgL_arg2283z00_16190);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2286z00_16192;

																	BgL_arg2286z00_16192 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2286z00_16192, BgL_a1z00_16167);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2287z00_16193;

																	BgL_arg2287z00_16193 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2287z00_16193, BgL_a2z00_16168);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2288z00_16194;

																	BgL_arg2288z00_16194 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2288z00_16194, BgL_a3z00_16169);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2289z00_16195;
																	obj_t BgL_arg2290z00_16196;

																	BgL_arg2289z00_16195 =
																		((long) CINT(BgL_bpz00_16165) + ((long) 3));
																	BgL_arg2290z00_16196 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13801),
																		BgL_arg2289z00_16195, BgL_arg2290z00_16196);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13798, STRUCT_REF(BgL_ufz00_16170,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16171));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13798, STRUCT_REF(BgL_ufz00_16170,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16171));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16197;

											BgL_z12denvz12_16197 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16197,
												BgL_locz00_13798);
											if ((((long) CINT(BgL_bpz00_16165) +
														(long) CINT(BgL_sfz00_16173)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13801))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16172;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16198;

													BgL_nsz00_16198 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2294z00_16199;

														BgL_arg2294z00_16199 =
															((long) CINT(BgL_bpz00_16165) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16198, ((long) 2), BgL_sz00_13801,
															BgL_bpz00_16165, BINT(BgL_arg2294z00_16199));
													}
													VECTOR_SET(BgL_nsz00_16198, ((long) 1),
														BgL_sz00_13801);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16197,
														BgL_nsz00_16198);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16200;

														BgL_ez00_16200 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16201;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16202;

																BgL_arg4423z00_16202 =
																	BGL_EXITD_PROTECT(BgL_ez00_16200);
																BgL_arg4422z00_16201 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13801,
																	BgL_arg4423z00_16202);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16200,
																BgL_arg4422z00_16201);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16203;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16204;

																BgL_savedzd2bpzd2_16204 =
																	VECTOR_REF(BgL_nsz00_16198, ((long) 0));
																VECTOR_SET(BgL_nsz00_16198, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16206;

																	BgL_fz00_16206 = BgL_runz00_16172;
																BgL_recz00_16205:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16207;

																		BgL_rz00_16207 =
																			PROCEDURE_ENTRY(BgL_fz00_16206)
																			(BgL_fz00_16206, BgL_nsz00_16198, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5228z00_22883;

																			if (PROCEDUREP(BgL_rz00_16207))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16208;

																					BgL_arg1747z00_16208 =
																						PROCEDURE_ATTR(BgL_rz00_16207);
																					if (STRUCTP(BgL_arg1747z00_16208))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5228z00_22883 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16208) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5228z00_22883 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5228z00_22883 = ((bool_t) 0);
																				}
																			if (BgL_test5228z00_22883)
																				{
																					obj_t BgL_fz00_22891;

																					BgL_fz00_22891 = BgL_rz00_16207;
																					BgL_fz00_16206 = BgL_fz00_22891;
																					goto BgL_recz00_16205;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16198,
																						((long) 0),
																						BgL_savedzd2bpzd2_16204);
																					BgL_____rz00_16203 = BgL_rz00_16207;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5231z00_22893;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16209;

																	BgL_arg4421z00_16209 =
																		BGL_EXITD_PROTECT(BgL_ez00_16200);
																	BgL_test5231z00_22893 =
																		PAIRP(BgL_arg4421z00_16209);
																}
																if (BgL_test5231z00_22893)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16210;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16211;

																			BgL_arg4420z00_16211 =
																				BGL_EXITD_PROTECT(BgL_ez00_16200);
																			BgL_arg4419z00_16210 =
																				CDR(((obj_t) BgL_arg4420z00_16211));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16200,
																			BgL_arg4419z00_16210);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16197,
																BgL_sz00_13801);
															return BgL_____rz00_16203;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16166,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16212;

												BgL_nbpz00_16212 =
													((long) CINT(BgL_bpz00_16165) + BgL_siza7eza7_13800);
												VECTOR_SET(
													((obj_t) BgL_sz00_13801), ((long) 0),
													BINT(BgL_nbpz00_16212));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_22909;

													BgL_tmpz00_22909 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_22909,
														BgL_locz00_13798);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16213;

													BgL_rz00_16213 =
														PROCEDURE_ENTRY(BgL_fz00_16166) (BgL_fz00_16166,
														BgL_a1z00_16167, BgL_a2z00_16168, BgL_a3z00_16169,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13801), ((long) 0),
														BgL_bpz00_16165);
													return BgL_rz00_16213;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13798,
													BgL_symbzd2funzd2_13799, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16166));
		}}}}}}}}

	}



/* &<@anonymous:2298> */
	obj_t BGl_z62zc3z04anonymousza32298ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13802, obj_t BgL_sz00_13810)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13803;
				obj_t BgL_a1z00_13804;
				obj_t BgL_a2z00_13805;
				obj_t BgL_a3z00_13806;
				obj_t BgL_locz00_13807;
				obj_t BgL_symbzd2funzd2_13808;
				long BgL_siza7eza7_13809;

				BgL_funz00_13803 = PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 0)));
				BgL_a1z00_13804 = PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 1)));
				BgL_a2z00_13805 = PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 2)));
				BgL_a3z00_13806 = PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 3)));
				BgL_locz00_13807 = PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 4)));
				BgL_symbzd2funzd2_13808 =
					PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 5)));
				BgL_siza7eza7_13809 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13802, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16214;

					BgL_bpz00_16214 = VECTOR_REF(((obj_t) BgL_sz00_13810), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16215;
						obj_t BgL_a1z00_16216;
						obj_t BgL_a2z00_16217;
						obj_t BgL_a3z00_16218;

						BgL_fz00_16215 =
							PROCEDURE_ENTRY(BgL_funz00_13803) (BgL_funz00_13803,
							BgL_sz00_13810, BEOA);
						BgL_a1z00_16216 =
							PROCEDURE_ENTRY(BgL_a1z00_13804) (BgL_a1z00_13804, BgL_sz00_13810,
							BEOA);
						BgL_a2z00_16217 =
							PROCEDURE_ENTRY(BgL_a2z00_13805) (BgL_a2z00_13805, BgL_sz00_13810,
							BEOA);
						BgL_a3z00_16218 =
							PROCEDURE_ENTRY(BgL_a3z00_13806) (BgL_a3z00_13806, BgL_sz00_13810,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16215))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13807,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16215);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16219;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_22959;

								BgL_tmpz00_22959 = ((obj_t) BgL_fz00_16215);
								BgL_ufz00_16219 = PROCEDURE_ATTR(BgL_tmpz00_22959);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5234z00_22962;

								if (STRUCTP(BgL_ufz00_16219))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5234z00_22962 =
											(STRUCT_KEY(BgL_ufz00_16219) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5234z00_22962 = ((bool_t) 0);
									}
								if (BgL_test5234z00_22962)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16220;
										obj_t BgL_runz00_16221;
										obj_t BgL_sfz00_16222;

										BgL_arityz00_16220 =
											STRUCT_REF(BgL_ufz00_16219, (int) (((long) 0)));
										BgL_runz00_16221 =
											STRUCT_REF(BgL_ufz00_16219, (int) (((long) 1)));
										BgL_sfz00_16222 =
											STRUCT_REF(BgL_ufz00_16219, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16220) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2302z00_16223;

													BgL_arg2302z00_16223 =
														((long) CINT(BgL_bpz00_16214) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13810), BgL_arg2302z00_16223,
														BgL_a1z00_16216);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2304z00_16224;

													BgL_arg2304z00_16224 =
														((long) CINT(BgL_bpz00_16214) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13810), BgL_arg2304z00_16224,
														BgL_a2z00_16217);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2305z00_16225;

													BgL_arg2305z00_16225 =
														((long) CINT(BgL_bpz00_16214) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13810), BgL_arg2305z00_16225,
														BgL_a3z00_16218);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16220))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16220))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2307z00_16226;
																	obj_t BgL_arg2308z00_16227;

																	BgL_arg2307z00_16226 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2309z00_16228;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2310z00_16229;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2311z00_16230;

																				BgL_arg2311z00_16230 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16218,
																					BNIL);
																				BgL_arg2310z00_16229 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16217,
																					BgL_arg2311z00_16230);
																			}
																			BgL_list2309z00_16228 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16216,
																				BgL_arg2310z00_16229);
																		}
																		BgL_arg2308z00_16227 =
																			BgL_list2309z00_16228;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2307z00_16226, BgL_arg2308z00_16227);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2312z00_16231;

																	BgL_arg2312z00_16231 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2312z00_16231, BgL_a1z00_16216);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2314z00_16232;
																	obj_t BgL_arg2315z00_16233;

																	BgL_arg2314z00_16232 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2316z00_16234;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2317z00_16235;

																			BgL_arg2317z00_16235 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16218, BNIL);
																			BgL_list2316z00_16234 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16217,
																				BgL_arg2317z00_16235);
																		}
																		BgL_arg2315z00_16233 =
																			BgL_list2316z00_16234;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2314z00_16232, BgL_arg2315z00_16233);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2319z00_16236;

																	BgL_arg2319z00_16236 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2319z00_16236, BgL_a1z00_16216);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2320z00_16237;

																	BgL_arg2320z00_16237 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2320z00_16237, BgL_a2z00_16217);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2321z00_16238;
																	obj_t BgL_arg2322z00_16239;

																	BgL_arg2321z00_16238 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2323z00_16240;

																		BgL_list2323z00_16240 =
																			MAKE_YOUNG_PAIR(BgL_a3z00_16218, BNIL);
																		BgL_arg2322z00_16239 =
																			BgL_list2323z00_16240;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2321z00_16238, BgL_arg2322z00_16239);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2324z00_16241;

																	BgL_arg2324z00_16241 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2324z00_16241, BgL_a1z00_16216);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2325z00_16242;

																	BgL_arg2325z00_16242 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2325z00_16242, BgL_a2z00_16217);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2326z00_16243;

																	BgL_arg2326z00_16243 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2326z00_16243, BgL_a3z00_16218);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2327z00_16244;
																	obj_t BgL_arg2328z00_16245;

																	BgL_arg2327z00_16244 =
																		((long) CINT(BgL_bpz00_16214) + ((long) 3));
																	BgL_arg2328z00_16245 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13810),
																		BgL_arg2327z00_16244, BgL_arg2328z00_16245);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13807, STRUCT_REF(BgL_ufz00_16219,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_16220));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13807, STRUCT_REF(BgL_ufz00_16219,
																(int) (((long) 3))), (int) (((long) 3)),
															CINT(BgL_arityz00_16220));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16246;

											BgL_z12denvz12_16246 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16214) +
														(long) CINT(BgL_sfz00_16222)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13810))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16221;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16247;

													BgL_nsz00_16247 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2334z00_16248;

														BgL_arg2334z00_16248 =
															((long) CINT(BgL_bpz00_16214) + ((long) 3));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16247, ((long) 2), BgL_sz00_13810,
															BgL_bpz00_16214, BINT(BgL_arg2334z00_16248));
													}
													VECTOR_SET(BgL_nsz00_16247, ((long) 1),
														BgL_sz00_13810);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16246,
														BgL_nsz00_16247);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16249;

														BgL_ez00_16249 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16250;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16251;

																BgL_arg4423z00_16251 =
																	BGL_EXITD_PROTECT(BgL_ez00_16249);
																BgL_arg4422z00_16250 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13810,
																	BgL_arg4423z00_16251);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16249,
																BgL_arg4422z00_16250);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16252;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16253;

																BgL_savedzd2bpzd2_16253 =
																	VECTOR_REF(BgL_nsz00_16247, ((long) 0));
																VECTOR_SET(BgL_nsz00_16247, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16255;

																	BgL_fz00_16255 = BgL_runz00_16221;
																BgL_recz00_16254:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16256;

																		BgL_rz00_16256 =
																			PROCEDURE_ENTRY(BgL_fz00_16255)
																			(BgL_fz00_16255, BgL_nsz00_16247, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5239z00_23074;

																			if (PROCEDUREP(BgL_rz00_16256))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16257;

																					BgL_arg1747z00_16257 =
																						PROCEDURE_ATTR(BgL_rz00_16256);
																					if (STRUCTP(BgL_arg1747z00_16257))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5239z00_23074 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16257) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5239z00_23074 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5239z00_23074 = ((bool_t) 0);
																				}
																			if (BgL_test5239z00_23074)
																				{
																					obj_t BgL_fz00_23082;

																					BgL_fz00_23082 = BgL_rz00_16256;
																					BgL_fz00_16255 = BgL_fz00_23082;
																					goto BgL_recz00_16254;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16247,
																						((long) 0),
																						BgL_savedzd2bpzd2_16253);
																					BgL_____rz00_16252 = BgL_rz00_16256;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5242z00_23084;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16258;

																	BgL_arg4421z00_16258 =
																		BGL_EXITD_PROTECT(BgL_ez00_16249);
																	BgL_test5242z00_23084 =
																		PAIRP(BgL_arg4421z00_16258);
																}
																if (BgL_test5242z00_23084)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16259;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16260;

																			BgL_arg4420z00_16260 =
																				BGL_EXITD_PROTECT(BgL_ez00_16249);
																			BgL_arg4419z00_16259 =
																				CDR(((obj_t) BgL_arg4420z00_16260));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16249,
																			BgL_arg4419z00_16259);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16246,
																BgL_sz00_13810);
															return BgL_____rz00_16252;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16215,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16261;

												BgL_nbpz00_16261 =
													((long) CINT(BgL_bpz00_16214) + BgL_siza7eza7_13809);
												VECTOR_SET(
													((obj_t) BgL_sz00_13810), ((long) 0),
													BINT(BgL_nbpz00_16261));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16262;

													BgL_rz00_16262 =
														PROCEDURE_ENTRY(BgL_fz00_16215) (BgL_fz00_16215,
														BgL_a1z00_16216, BgL_a2z00_16217, BgL_a3z00_16218,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13810), ((long) 0),
														BgL_bpz00_16214);
													return BgL_rz00_16262;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13807,
													BgL_symbzd2funzd2_13808, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16215));
		}}}}}}}}

	}



/* &<@anonymous:2340> */
	obj_t BGl_z62zc3z04anonymousza32340ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13811, obj_t BgL_sz00_13819)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13812;
				obj_t BgL_a1z00_13813;
				obj_t BgL_a2z00_13814;
				obj_t BgL_a3z00_13815;
				obj_t BgL_locz00_13816;
				obj_t BgL_symbzd2funzd2_13817;
				long BgL_siza7eza7_13818;

				BgL_funz00_13812 = PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 0)));
				BgL_a1z00_13813 = PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 1)));
				BgL_a2z00_13814 = PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 2)));
				BgL_a3z00_13815 = PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 3)));
				BgL_locz00_13816 = PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 4)));
				BgL_symbzd2funzd2_13817 =
					PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 5)));
				BgL_siza7eza7_13818 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13811, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16263;

					BgL_bpz00_16263 = VECTOR_REF(((obj_t) BgL_sz00_13819), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16264;
						obj_t BgL_a1z00_16265;
						obj_t BgL_a2z00_16266;
						obj_t BgL_a3z00_16267;

						BgL_fz00_16264 =
							PROCEDURE_ENTRY(BgL_funz00_13812) (BgL_funz00_13812,
							BgL_sz00_13819, BEOA);
						BgL_a1z00_16265 =
							PROCEDURE_ENTRY(BgL_a1z00_13813) (BgL_a1z00_13813, BgL_sz00_13819,
							BEOA);
						BgL_a2z00_16266 =
							PROCEDURE_ENTRY(BgL_a2z00_13814) (BgL_a2z00_13814, BgL_sz00_13819,
							BEOA);
						BgL_a3z00_16267 =
							PROCEDURE_ENTRY(BgL_a3z00_13815) (BgL_a3z00_13815, BgL_sz00_13819,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16264))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13816,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16264);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16268;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23147;

								BgL_tmpz00_23147 = ((obj_t) BgL_fz00_16264);
								BgL_ufz00_16268 = PROCEDURE_ATTR(BgL_tmpz00_23147);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5245z00_23150;

								if (STRUCTP(BgL_ufz00_16268))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5245z00_23150 =
											(STRUCT_KEY(BgL_ufz00_16268) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5245z00_23150 = ((bool_t) 0);
									}
								if (BgL_test5245z00_23150)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16269;
										obj_t BgL_runz00_16270;
										obj_t BgL_sfz00_16271;

										BgL_arityz00_16269 =
											STRUCT_REF(BgL_ufz00_16268, (int) (((long) 0)));
										BgL_runz00_16270 =
											STRUCT_REF(BgL_ufz00_16268, (int) (((long) 1)));
										BgL_sfz00_16271 =
											STRUCT_REF(BgL_ufz00_16268, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16272;

											BgL_spz00_16272 =
												((long) CINT(BgL_bpz00_16263) + BgL_siza7eza7_13818);
											if (((long) CINT(BgL_arityz00_16269) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2346z00_16273;

														BgL_arg2346z00_16273 =
															(BgL_spz00_16272 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13819), BgL_arg2346z00_16273,
															BgL_a1z00_16265);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2347z00_16274;

														BgL_arg2347z00_16274 =
															(BgL_spz00_16272 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13819), BgL_arg2347z00_16274,
															BgL_a2z00_16266);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2348z00_16275;

														BgL_arg2348z00_16275 =
															(BgL_spz00_16272 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13819), BgL_arg2348z00_16275,
															BgL_a3z00_16267);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16269))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16269))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2350z00_16276;
																		obj_t BgL_arg2351z00_16277;

																		BgL_arg2350z00_16276 =
																			(BgL_spz00_16272 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2352z00_16278;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2353z00_16279;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2354z00_16280;

																					BgL_arg2354z00_16280 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16267,
																						BNIL);
																					BgL_arg2353z00_16279 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16266,
																						BgL_arg2354z00_16280);
																				}
																				BgL_list2352z00_16278 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16265,
																					BgL_arg2353z00_16279);
																			}
																			BgL_arg2351z00_16277 =
																				BgL_list2352z00_16278;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2350z00_16276,
																			BgL_arg2351z00_16277);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2355z00_16281;

																		BgL_arg2355z00_16281 =
																			(BgL_spz00_16272 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2355z00_16281, BgL_a1z00_16265);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2356z00_16282;
																		obj_t BgL_arg2357z00_16283;

																		BgL_arg2356z00_16282 =
																			(BgL_spz00_16272 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2358z00_16284;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2360z00_16285;

																				BgL_arg2360z00_16285 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16267,
																					BNIL);
																				BgL_list2358z00_16284 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16266,
																					BgL_arg2360z00_16285);
																			}
																			BgL_arg2357z00_16283 =
																				BgL_list2358z00_16284;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2356z00_16282,
																			BgL_arg2357z00_16283);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2361z00_16286;

																		BgL_arg2361z00_16286 =
																			(BgL_spz00_16272 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2361z00_16286, BgL_a1z00_16265);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2363z00_16287;

																		BgL_arg2363z00_16287 =
																			(BgL_spz00_16272 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2363z00_16287, BgL_a2z00_16266);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2364z00_16288;
																		obj_t BgL_arg2365z00_16289;

																		BgL_arg2364z00_16288 =
																			(BgL_spz00_16272 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2366z00_16290;

																			BgL_list2366z00_16290 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16267, BNIL);
																			BgL_arg2365z00_16289 =
																				BgL_list2366z00_16290;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2364z00_16288,
																			BgL_arg2365z00_16289);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2367z00_16291;

																		BgL_arg2367z00_16291 =
																			(BgL_spz00_16272 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2367z00_16291, BgL_a1z00_16265);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2368z00_16292;

																		BgL_arg2368z00_16292 =
																			(BgL_spz00_16272 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2368z00_16292, BgL_a2z00_16266);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2369z00_16293;

																		BgL_arg2369z00_16293 =
																			(BgL_spz00_16272 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2369z00_16293, BgL_a3z00_16267);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2370z00_16294;
																		obj_t BgL_arg2371z00_16295;

																		BgL_arg2370z00_16294 =
																			(BgL_spz00_16272 + ((long) 3));
																		BgL_arg2371z00_16295 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13819),
																			BgL_arg2370z00_16294,
																			BgL_arg2371z00_16295);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13816,
																		STRUCT_REF(BgL_ufz00_16268,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16269));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13816, STRUCT_REF(BgL_ufz00_16268,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16269));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16296;

												BgL_z12denvz12_16296 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16296,
													BgL_locz00_13816);
												if (((BgL_spz00_16272 + (long) CINT(BgL_sfz00_16271)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13819))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16270, BgL_sz00_13819,
															BINT(BgL_spz00_16272));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16297;

														BgL_nsz00_16297 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2376z00_16298;

															BgL_arg2376z00_16298 =
																(BgL_spz00_16272 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16297, ((long) 2), BgL_sz00_13819,
																BINT(BgL_spz00_16272),
																BINT(BgL_arg2376z00_16298));
														}
														VECTOR_SET(BgL_nsz00_16297, ((long) 1),
															BgL_sz00_13819);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16296,
															BgL_nsz00_16297);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16299;

															BgL_ez00_16299 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16300;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16301;

																	BgL_arg4423z00_16301 =
																		BGL_EXITD_PROTECT(BgL_ez00_16299);
																	BgL_arg4422z00_16300 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13819,
																		BgL_arg4423z00_16301);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16299,
																	BgL_arg4422z00_16300);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16302;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16303;

																	BgL_savedzd2bpzd2_16303 =
																		VECTOR_REF(BgL_nsz00_16297, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16297, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16305;

																		BgL_fz00_16305 = BgL_runz00_16270;
																	BgL_recz00_16304:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16306;

																			BgL_rz00_16306 =
																				PROCEDURE_ENTRY(BgL_fz00_16305)
																				(BgL_fz00_16305, BgL_nsz00_16297, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5250z00_23253;

																				if (PROCEDUREP(BgL_rz00_16306))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16307;

																						BgL_arg1747z00_16307 =
																							PROCEDURE_ATTR(BgL_rz00_16306);
																						if (STRUCTP(BgL_arg1747z00_16307))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5250z00_23253 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16307) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5250z00_23253 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5250z00_23253 =
																							((bool_t) 0);
																					}
																				if (BgL_test5250z00_23253)
																					{
																						obj_t BgL_fz00_23261;

																						BgL_fz00_23261 = BgL_rz00_16306;
																						BgL_fz00_16305 = BgL_fz00_23261;
																						goto BgL_recz00_16304;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16297,
																							((long) 0),
																							BgL_savedzd2bpzd2_16303);
																						BgL_____rz00_16302 = BgL_rz00_16306;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5253z00_23263;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16308;

																		BgL_arg4421z00_16308 =
																			BGL_EXITD_PROTECT(BgL_ez00_16299);
																		BgL_test5253z00_23263 =
																			PAIRP(BgL_arg4421z00_16308);
																	}
																	if (BgL_test5253z00_23263)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16309;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16310;

																				BgL_arg4420z00_16310 =
																					BGL_EXITD_PROTECT(BgL_ez00_16299);
																				BgL_arg4419z00_16309 =
																					CDR(((obj_t) BgL_arg4420z00_16310));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16299,
																				BgL_arg4419z00_16309);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16296,
																	BgL_sz00_13819);
																return BgL_____rz00_16302;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16264,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16311;

												BgL_nbpz00_16311 =
													((long) CINT(BgL_bpz00_16263) + BgL_siza7eza7_13818);
												VECTOR_SET(
													((obj_t) BgL_sz00_13819), ((long) 0),
													BINT(BgL_nbpz00_16311));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23279;

													BgL_tmpz00_23279 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23279,
														BgL_locz00_13816);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16312;

													BgL_rz00_16312 =
														PROCEDURE_ENTRY(BgL_fz00_16264) (BgL_fz00_16264,
														BgL_a1z00_16265, BgL_a2z00_16266, BgL_a3z00_16267,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13819), ((long) 0),
														BgL_bpz00_16263);
													return BgL_rz00_16312;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13816,
													BgL_symbzd2funzd2_13817, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16264));
		}}}}}}}}

	}



/* &<@anonymous:2380> */
	obj_t BGl_z62zc3z04anonymousza32380ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13820, obj_t BgL_sz00_13828)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13821;
				obj_t BgL_a1z00_13822;
				obj_t BgL_a2z00_13823;
				obj_t BgL_a3z00_13824;
				obj_t BgL_locz00_13825;
				obj_t BgL_symbzd2funzd2_13826;
				long BgL_siza7eza7_13827;

				BgL_funz00_13821 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 0)));
				BgL_a1z00_13822 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 1)));
				BgL_a2z00_13823 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 2)));
				BgL_a3z00_13824 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 3)));
				BgL_locz00_13825 = PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 4)));
				BgL_symbzd2funzd2_13826 =
					PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 5)));
				BgL_siza7eza7_13827 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13820, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16313;

					BgL_bpz00_16313 = VECTOR_REF(((obj_t) BgL_sz00_13828), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16314;
						obj_t BgL_a1z00_16315;
						obj_t BgL_a2z00_16316;
						obj_t BgL_a3z00_16317;

						BgL_fz00_16314 =
							PROCEDURE_ENTRY(BgL_funz00_13821) (BgL_funz00_13821,
							BgL_sz00_13828, BEOA);
						BgL_a1z00_16315 =
							PROCEDURE_ENTRY(BgL_a1z00_13822) (BgL_a1z00_13822, BgL_sz00_13828,
							BEOA);
						BgL_a2z00_16316 =
							PROCEDURE_ENTRY(BgL_a2z00_13823) (BgL_a2z00_13823, BgL_sz00_13828,
							BEOA);
						BgL_a3z00_16317 =
							PROCEDURE_ENTRY(BgL_a3z00_13824) (BgL_a3z00_13824, BgL_sz00_13828,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16314))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13825,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16314);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16318;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23329;

								BgL_tmpz00_23329 = ((obj_t) BgL_fz00_16314);
								BgL_ufz00_16318 = PROCEDURE_ATTR(BgL_tmpz00_23329);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5256z00_23332;

								if (STRUCTP(BgL_ufz00_16318))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5256z00_23332 =
											(STRUCT_KEY(BgL_ufz00_16318) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5256z00_23332 = ((bool_t) 0);
									}
								if (BgL_test5256z00_23332)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16319;
										obj_t BgL_runz00_16320;
										obj_t BgL_sfz00_16321;

										BgL_arityz00_16319 =
											STRUCT_REF(BgL_ufz00_16318, (int) (((long) 0)));
										BgL_runz00_16320 =
											STRUCT_REF(BgL_ufz00_16318, (int) (((long) 1)));
										BgL_sfz00_16321 =
											STRUCT_REF(BgL_ufz00_16318, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16322;

											BgL_spz00_16322 =
												((long) CINT(BgL_bpz00_16313) + BgL_siza7eza7_13827);
											if (((long) CINT(BgL_arityz00_16319) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2384z00_16323;

														BgL_arg2384z00_16323 =
															(BgL_spz00_16322 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13828), BgL_arg2384z00_16323,
															BgL_a1z00_16315);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2385z00_16324;

														BgL_arg2385z00_16324 =
															(BgL_spz00_16322 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13828), BgL_arg2385z00_16324,
															BgL_a2z00_16316);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2386z00_16325;

														BgL_arg2386z00_16325 =
															(BgL_spz00_16322 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13828), BgL_arg2386z00_16325,
															BgL_a3z00_16317);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16319))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16319))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2388z00_16326;
																		obj_t BgL_arg2389z00_16327;

																		BgL_arg2388z00_16326 =
																			(BgL_spz00_16322 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2390z00_16328;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2391z00_16329;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2392z00_16330;

																					BgL_arg2392z00_16330 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16317,
																						BNIL);
																					BgL_arg2391z00_16329 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16316,
																						BgL_arg2392z00_16330);
																				}
																				BgL_list2390z00_16328 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16315,
																					BgL_arg2391z00_16329);
																			}
																			BgL_arg2389z00_16327 =
																				BgL_list2390z00_16328;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2388z00_16326,
																			BgL_arg2389z00_16327);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2394z00_16331;

																		BgL_arg2394z00_16331 =
																			(BgL_spz00_16322 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2394z00_16331, BgL_a1z00_16315);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2395z00_16332;
																		obj_t BgL_arg2396z00_16333;

																		BgL_arg2395z00_16332 =
																			(BgL_spz00_16322 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2397z00_16334;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2398z00_16335;

																				BgL_arg2398z00_16335 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16317,
																					BNIL);
																				BgL_list2397z00_16334 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16316,
																					BgL_arg2398z00_16335);
																			}
																			BgL_arg2396z00_16333 =
																				BgL_list2397z00_16334;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2395z00_16332,
																			BgL_arg2396z00_16333);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2399z00_16336;

																		BgL_arg2399z00_16336 =
																			(BgL_spz00_16322 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2399z00_16336, BgL_a1z00_16315);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2400z00_16337;

																		BgL_arg2400z00_16337 =
																			(BgL_spz00_16322 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2400z00_16337, BgL_a2z00_16316);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2402z00_16338;
																		obj_t BgL_arg2403z00_16339;

																		BgL_arg2402z00_16338 =
																			(BgL_spz00_16322 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2404z00_16340;

																			BgL_list2404z00_16340 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16317, BNIL);
																			BgL_arg2403z00_16339 =
																				BgL_list2404z00_16340;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2402z00_16338,
																			BgL_arg2403z00_16339);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2406z00_16341;

																		BgL_arg2406z00_16341 =
																			(BgL_spz00_16322 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2406z00_16341, BgL_a1z00_16315);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2407z00_16342;

																		BgL_arg2407z00_16342 =
																			(BgL_spz00_16322 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2407z00_16342, BgL_a2z00_16316);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2409z00_16343;

																		BgL_arg2409z00_16343 =
																			(BgL_spz00_16322 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2409z00_16343, BgL_a3z00_16317);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2410z00_16344;
																		obj_t BgL_arg2411z00_16345;

																		BgL_arg2410z00_16344 =
																			(BgL_spz00_16322 + ((long) 3));
																		BgL_arg2411z00_16345 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13828),
																			BgL_arg2410z00_16344,
																			BgL_arg2411z00_16345);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13825,
																		STRUCT_REF(BgL_ufz00_16318,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_16319));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13825, STRUCT_REF(BgL_ufz00_16318,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_16319));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16346;

												BgL_z12denvz12_16346 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16322 +
															(long) CINT(BgL_sfz00_16321)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13828))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16320, BgL_sz00_13828,
															BINT(BgL_spz00_16322));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16347;

														BgL_nsz00_16347 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2415z00_16348;

															BgL_arg2415z00_16348 =
																(BgL_spz00_16322 + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16347, ((long) 2), BgL_sz00_13828,
																BINT(BgL_spz00_16322),
																BINT(BgL_arg2415z00_16348));
														}
														VECTOR_SET(BgL_nsz00_16347, ((long) 1),
															BgL_sz00_13828);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16346,
															BgL_nsz00_16347);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16349;

															BgL_ez00_16349 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16350;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16351;

																	BgL_arg4423z00_16351 =
																		BGL_EXITD_PROTECT(BgL_ez00_16349);
																	BgL_arg4422z00_16350 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13828,
																		BgL_arg4423z00_16351);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16349,
																	BgL_arg4422z00_16350);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16352;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16353;

																	BgL_savedzd2bpzd2_16353 =
																		VECTOR_REF(BgL_nsz00_16347, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16347, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16355;

																		BgL_fz00_16355 = BgL_runz00_16320;
																	BgL_recz00_16354:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16356;

																			BgL_rz00_16356 =
																				PROCEDURE_ENTRY(BgL_fz00_16355)
																				(BgL_fz00_16355, BgL_nsz00_16347, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5261z00_23434;

																				if (PROCEDUREP(BgL_rz00_16356))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16357;

																						BgL_arg1747z00_16357 =
																							PROCEDURE_ATTR(BgL_rz00_16356);
																						if (STRUCTP(BgL_arg1747z00_16357))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5261z00_23434 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16357) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5261z00_23434 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5261z00_23434 =
																							((bool_t) 0);
																					}
																				if (BgL_test5261z00_23434)
																					{
																						obj_t BgL_fz00_23442;

																						BgL_fz00_23442 = BgL_rz00_16356;
																						BgL_fz00_16355 = BgL_fz00_23442;
																						goto BgL_recz00_16354;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16347,
																							((long) 0),
																							BgL_savedzd2bpzd2_16353);
																						BgL_____rz00_16352 = BgL_rz00_16356;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5264z00_23444;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16358;

																		BgL_arg4421z00_16358 =
																			BGL_EXITD_PROTECT(BgL_ez00_16349);
																		BgL_test5264z00_23444 =
																			PAIRP(BgL_arg4421z00_16358);
																	}
																	if (BgL_test5264z00_23444)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16359;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16360;

																				BgL_arg4420z00_16360 =
																					BGL_EXITD_PROTECT(BgL_ez00_16349);
																				BgL_arg4419z00_16359 =
																					CDR(((obj_t) BgL_arg4420z00_16360));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16349,
																				BgL_arg4419z00_16359);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16346,
																	BgL_sz00_13828);
																return BgL_____rz00_16352;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16314,
												(int) (((long) 3))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16361;

												BgL_nbpz00_16361 =
													((long) CINT(BgL_bpz00_16313) + BgL_siza7eza7_13827);
												VECTOR_SET(
													((obj_t) BgL_sz00_13828), ((long) 0),
													BINT(BgL_nbpz00_16361));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16362;

													BgL_rz00_16362 =
														PROCEDURE_ENTRY(BgL_fz00_16314) (BgL_fz00_16314,
														BgL_a1z00_16315, BgL_a2z00_16316, BgL_a3z00_16317,
														BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13828), ((long) 0),
														BgL_bpz00_16313);
													return BgL_rz00_16362;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13825,
													BgL_symbzd2funzd2_13826, (int) (((long) 3)),
													PROCEDURE_ARITY(BgL_fz00_16314));
		}}}}}}}}

	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_cfunz00_2780;

				BgL_cfunz00_2780 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2780))
					{	/* Eval/evaluate_comp.scm 896 */
						bool_t BgL_test5267z00_23474;

						{	/* Eval/evaluate_comp.scm 896 */
							int BgL_arg2425z00_2802;

							BgL_arg2425z00_2802 = bgl_debug();
							BgL_test5267z00_23474 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2425z00_2802),
								BINT(((long) 0)));
						}
						if (BgL_test5267z00_23474)
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32422ze3z87_13829;

								BgL_zc3z04anonymousza32422ze3z87_13829 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3z04anonymousza32422ze3z87_13829,
									(int) (((long) 6)), BgL_cfunz00_2780);
								return BgL_zc3z04anonymousza32422ze3z87_13829;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_zc3z04anonymousza32424ze3z87_13830;

								BgL_zc3z04anonymousza32424ze3z87_13830 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32424ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3z04anonymousza32424ze3z87_13830,
									(int) (((long) 5)), BgL_cfunz00_2780);
								return BgL_zc3z04anonymousza32424ze3z87_13830;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 896 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5269z00_23515;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2559z00_2938;

									BgL_arg2559z00_2938 = bgl_debug();
									BgL_test5269z00_23515 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2559z00_2938),
										BINT(((long) 0)));
								}
								if (BgL_test5269z00_23515)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32428ze3z87_13831;

										BgL_zc3z04anonymousza32428ze3z87_13831 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32428ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32428ze3z87_13831,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32428ze3z87_13831;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32484ze3z87_13832;

										BgL_zc3z04anonymousza32484ze3z87_13832 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32484ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32484ze3z87_13832,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32484ze3z87_13832;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5270z00_23560;

								{	/* Eval/evaluate_comp.scm 896 */
									int BgL_arg2667z00_3074;

									BgL_arg2667z00_3074 = bgl_debug();
									BgL_test5270z00_23560 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2667z00_3074),
										BINT(((long) 0)));
								}
								if (BgL_test5270z00_23560)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32563ze3z87_13833;

										BgL_zc3z04anonymousza32563ze3z87_13833 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32563ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32563ze3z87_13833,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32563ze3z87_13833;
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_zc3z04anonymousza32616ze3z87_13834;

										BgL_zc3z04anonymousza32616ze3z87_13834 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza32616ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3z04anonymousza32616ze3z87_13834,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3z04anonymousza32616ze3z87_13834;
									}
							}
					}
			}
		}

	}



/* &<@anonymous:2422> */
	obj_t BGl_z62zc3z04anonymousza32422ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13835, obj_t BgL_sz00_13843)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13836;
				obj_t BgL_a2z00_13837;
				obj_t BgL_a3z00_13838;
				obj_t BgL_a4z00_13839;
				long BgL_siza7eza7_13840;
				obj_t BgL_locz00_13841;
				obj_t BgL_cfunz00_13842;

				BgL_a1z00_13836 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 0)));
				BgL_a2z00_13837 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 1)));
				BgL_a3z00_13838 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 2)));
				BgL_a4z00_13839 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 3)));
				BgL_siza7eza7_13840 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 4))));
				BgL_locz00_13841 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 5)));
				BgL_cfunz00_13842 = PROCEDURE_REF(BgL_envz00_13835, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16363;

					BgL_bpz00_16363 = VECTOR_REF(((obj_t) BgL_sz00_13843), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16364;
						obj_t BgL_a2z00_16365;
						obj_t BgL_a3z00_16366;
						obj_t BgL_a4z00_16367;

						BgL_a1z00_16364 =
							PROCEDURE_ENTRY(BgL_a1z00_13836) (BgL_a1z00_13836, BgL_sz00_13843,
							BEOA);
						BgL_a2z00_16365 =
							PROCEDURE_ENTRY(BgL_a2z00_13837) (BgL_a2z00_13837, BgL_sz00_13843,
							BEOA);
						BgL_a3z00_16366 =
							PROCEDURE_ENTRY(BgL_a3z00_13838) (BgL_a3z00_13838, BgL_sz00_13843,
							BEOA);
						BgL_a4z00_16367 =
							PROCEDURE_ENTRY(BgL_a4z00_13839) (BgL_a4z00_13839, BgL_sz00_13843,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16368;

							BgL_nbpz00_16368 =
								((long) CINT(BgL_bpz00_16363) + BgL_siza7eza7_13840);
							VECTOR_SET(
								((obj_t) BgL_sz00_13843), ((long) 0), BINT(BgL_nbpz00_16368));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23643;

								BgL_tmpz00_23643 = BGL_CURRENT_DYNAMIC_ENV();
								BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23643, BgL_locz00_13841);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16369;

								BgL_rz00_16369 =
									PROCEDURE_ENTRY(BgL_cfunz00_13842) (BgL_cfunz00_13842,
									BgL_a1z00_16364, BgL_a2z00_16365, BgL_a3z00_16366,
									BgL_a4z00_16367, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13843), ((long) 0),
									BgL_bpz00_16363);
								return BgL_rz00_16369;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2424> */
	obj_t BGl_z62zc3z04anonymousza32424ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13844, obj_t BgL_sz00_13851)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_a1z00_13845;
				obj_t BgL_a2z00_13846;
				obj_t BgL_a3z00_13847;
				obj_t BgL_a4z00_13848;
				long BgL_siza7eza7_13849;
				obj_t BgL_cfunz00_13850;

				BgL_a1z00_13845 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 0)));
				BgL_a2z00_13846 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 1)));
				BgL_a3z00_13847 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 2)));
				BgL_a4z00_13848 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 3)));
				BgL_siza7eza7_13849 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 4))));
				BgL_cfunz00_13850 = PROCEDURE_REF(BgL_envz00_13844, (int) (((long) 5)));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16370;

					BgL_bpz00_16370 = VECTOR_REF(((obj_t) BgL_sz00_13851), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_a1z00_16371;
						obj_t BgL_a2z00_16372;
						obj_t BgL_a3z00_16373;
						obj_t BgL_a4z00_16374;

						BgL_a1z00_16371 =
							PROCEDURE_ENTRY(BgL_a1z00_13845) (BgL_a1z00_13845, BgL_sz00_13851,
							BEOA);
						BgL_a2z00_16372 =
							PROCEDURE_ENTRY(BgL_a2z00_13846) (BgL_a2z00_13846, BgL_sz00_13851,
							BEOA);
						BgL_a3z00_16373 =
							PROCEDURE_ENTRY(BgL_a3z00_13847) (BgL_a3z00_13847, BgL_sz00_13851,
							BEOA);
						BgL_a4z00_16374 =
							PROCEDURE_ENTRY(BgL_a4z00_13848) (BgL_a4z00_13848, BgL_sz00_13851,
							BEOA);
						{	/* Eval/evaluate_comp.scm 896 */
							long BgL_nbpz00_16375;

							BgL_nbpz00_16375 =
								((long) CINT(BgL_bpz00_16370) + BgL_siza7eza7_13849);
							VECTOR_SET(
								((obj_t) BgL_sz00_13851), ((long) 0), BINT(BgL_nbpz00_16375));
							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_rz00_16376;

								BgL_rz00_16376 =
									PROCEDURE_ENTRY(BgL_cfunz00_13850) (BgL_cfunz00_13850,
									BgL_a1z00_16371, BgL_a2z00_16372, BgL_a3z00_16373,
									BgL_a4z00_16374, BEOA);
								VECTOR_SET(((obj_t) BgL_sz00_13851), ((long) 0),
									BgL_bpz00_16370);
								return BgL_rz00_16376;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:2428> */
	obj_t BGl_z62zc3z04anonymousza32428ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13852, obj_t BgL_sz00_13861)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13853;
				obj_t BgL_a1z00_13854;
				obj_t BgL_a2z00_13855;
				obj_t BgL_a3z00_13856;
				obj_t BgL_a4z00_13857;
				obj_t BgL_locz00_13858;
				obj_t BgL_symbzd2funzd2_13859;
				long BgL_siza7eza7_13860;

				BgL_funz00_13853 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 0)));
				BgL_a1z00_13854 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 1)));
				BgL_a2z00_13855 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 2)));
				BgL_a3z00_13856 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 3)));
				BgL_a4z00_13857 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 4)));
				BgL_locz00_13858 = PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 5)));
				BgL_symbzd2funzd2_13859 =
					PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 6)));
				BgL_siza7eza7_13860 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13852, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16377;

					BgL_bpz00_16377 = VECTOR_REF(((obj_t) BgL_sz00_13861), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16378;
						obj_t BgL_a1z00_16379;
						obj_t BgL_a2z00_16380;
						obj_t BgL_a3z00_16381;
						obj_t BgL_a4z00_16382;

						BgL_fz00_16378 =
							PROCEDURE_ENTRY(BgL_funz00_13853) (BgL_funz00_13853,
							BgL_sz00_13861, BEOA);
						BgL_a1z00_16379 =
							PROCEDURE_ENTRY(BgL_a1z00_13854) (BgL_a1z00_13854, BgL_sz00_13861,
							BEOA);
						BgL_a2z00_16380 =
							PROCEDURE_ENTRY(BgL_a2z00_13855) (BgL_a2z00_13855, BgL_sz00_13861,
							BEOA);
						BgL_a3z00_16381 =
							PROCEDURE_ENTRY(BgL_a3z00_13856) (BgL_a3z00_13856, BgL_sz00_13861,
							BEOA);
						BgL_a4z00_16382 =
							PROCEDURE_ENTRY(BgL_a4z00_13857) (BgL_a4z00_13857, BgL_sz00_13861,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16378))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13858,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16378);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16383;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23742;

								BgL_tmpz00_23742 = ((obj_t) BgL_fz00_16378);
								BgL_ufz00_16383 = PROCEDURE_ATTR(BgL_tmpz00_23742);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5272z00_23745;

								if (STRUCTP(BgL_ufz00_16383))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5272z00_23745 =
											(STRUCT_KEY(BgL_ufz00_16383) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5272z00_23745 = ((bool_t) 0);
									}
								if (BgL_test5272z00_23745)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16384;
										obj_t BgL_runz00_16385;
										obj_t BgL_sfz00_16386;

										BgL_arityz00_16384 =
											STRUCT_REF(BgL_ufz00_16383, (int) (((long) 0)));
										BgL_runz00_16385 =
											STRUCT_REF(BgL_ufz00_16383, (int) (((long) 1)));
										BgL_sfz00_16386 =
											STRUCT_REF(BgL_ufz00_16383, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16384) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2432z00_16387;

													BgL_arg2432z00_16387 =
														((long) CINT(BgL_bpz00_16377) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13861), BgL_arg2432z00_16387,
														BgL_a1z00_16379);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2433z00_16388;

													BgL_arg2433z00_16388 =
														((long) CINT(BgL_bpz00_16377) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13861), BgL_arg2433z00_16388,
														BgL_a2z00_16380);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2434z00_16389;

													BgL_arg2434z00_16389 =
														((long) CINT(BgL_bpz00_16377) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13861), BgL_arg2434z00_16389,
														BgL_a3z00_16381);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2436z00_16390;

													BgL_arg2436z00_16390 =
														((long) CINT(BgL_bpz00_16377) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13861), BgL_arg2436z00_16390,
														BgL_a4z00_16382);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16384))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16384))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2439z00_16391;
																	obj_t BgL_arg2440z00_16392;

																	BgL_arg2439z00_16391 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2441z00_16393;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2442z00_16394;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2444z00_16395;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2445z00_16396;

																					BgL_arg2445z00_16396 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16382,
																						BNIL);
																					BgL_arg2444z00_16395 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16381,
																						BgL_arg2445z00_16396);
																				}
																				BgL_arg2442z00_16394 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16380,
																					BgL_arg2444z00_16395);
																			}
																			BgL_list2441z00_16393 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16379,
																				BgL_arg2442z00_16394);
																		}
																		BgL_arg2440z00_16392 =
																			BgL_list2441z00_16393;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2439z00_16391, BgL_arg2440z00_16392);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2446z00_16397;

																	BgL_arg2446z00_16397 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2446z00_16397, BgL_a1z00_16379);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2448z00_16398;
																	obj_t BgL_arg2449z00_16399;

																	BgL_arg2448z00_16398 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2450z00_16400;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2451z00_16401;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2452z00_16402;

																				BgL_arg2452z00_16402 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16382,
																					BNIL);
																				BgL_arg2451z00_16401 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16381,
																					BgL_arg2452z00_16402);
																			}
																			BgL_list2450z00_16400 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16380,
																				BgL_arg2451z00_16401);
																		}
																		BgL_arg2449z00_16399 =
																			BgL_list2450z00_16400;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2448z00_16398, BgL_arg2449z00_16399);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2453z00_16403;

																	BgL_arg2453z00_16403 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2453z00_16403, BgL_a1z00_16379);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2454z00_16404;

																	BgL_arg2454z00_16404 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2454z00_16404, BgL_a2z00_16380);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2455z00_16405;
																	obj_t BgL_arg2457z00_16406;

																	BgL_arg2455z00_16405 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2458z00_16407;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2459z00_16408;

																			BgL_arg2459z00_16408 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16382, BNIL);
																			BgL_list2458z00_16407 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16381,
																				BgL_arg2459z00_16408);
																		}
																		BgL_arg2457z00_16406 =
																			BgL_list2458z00_16407;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2455z00_16405, BgL_arg2457z00_16406);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2460z00_16409;

																	BgL_arg2460z00_16409 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2460z00_16409, BgL_a1z00_16379);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2462z00_16410;

																	BgL_arg2462z00_16410 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2462z00_16410, BgL_a2z00_16380);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2463z00_16411;

																	BgL_arg2463z00_16411 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2463z00_16411, BgL_a3z00_16381);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2464z00_16412;
																	obj_t BgL_arg2467z00_16413;

																	BgL_arg2464z00_16412 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2468z00_16414;

																		BgL_list2468z00_16414 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16382, BNIL);
																		BgL_arg2467z00_16413 =
																			BgL_list2468z00_16414;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2464z00_16412, BgL_arg2467z00_16413);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2469z00_16415;

																	BgL_arg2469z00_16415 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2469z00_16415, BgL_a1z00_16379);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2470z00_16416;

																	BgL_arg2470z00_16416 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2470z00_16416, BgL_a2z00_16380);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2471z00_16417;

																	BgL_arg2471z00_16417 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2471z00_16417, BgL_a3z00_16381);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2472z00_16418;

																	BgL_arg2472z00_16418 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2472z00_16418, BgL_a4z00_16382);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2473z00_16419;
																	obj_t BgL_arg2475z00_16420;

																	BgL_arg2473z00_16419 =
																		((long) CINT(BgL_bpz00_16377) + ((long) 4));
																	BgL_arg2475z00_16420 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13861),
																		BgL_arg2473z00_16419, BgL_arg2475z00_16420);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13858, STRUCT_REF(BgL_ufz00_16383,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16384));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13858, STRUCT_REF(BgL_ufz00_16383,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16384));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16421;

											BgL_z12denvz12_16421 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16421,
												BgL_locz00_13858);
											if ((((long) CINT(BgL_bpz00_16377) +
														(long) CINT(BgL_sfz00_16386)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13861))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16385;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16422;

													BgL_nsz00_16422 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2479z00_16423;

														BgL_arg2479z00_16423 =
															((long) CINT(BgL_bpz00_16377) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16422, ((long) 2), BgL_sz00_13861,
															BgL_bpz00_16377, BINT(BgL_arg2479z00_16423));
													}
													VECTOR_SET(BgL_nsz00_16422, ((long) 1),
														BgL_sz00_13861);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16421,
														BgL_nsz00_16422);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16424;

														BgL_ez00_16424 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16425;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16426;

																BgL_arg4423z00_16426 =
																	BGL_EXITD_PROTECT(BgL_ez00_16424);
																BgL_arg4422z00_16425 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13861,
																	BgL_arg4423z00_16426);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16424,
																BgL_arg4422z00_16425);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16427;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16428;

																BgL_savedzd2bpzd2_16428 =
																	VECTOR_REF(BgL_nsz00_16422, ((long) 0));
																VECTOR_SET(BgL_nsz00_16422, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16430;

																	BgL_fz00_16430 = BgL_runz00_16385;
																BgL_recz00_16429:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16431;

																		BgL_rz00_16431 =
																			PROCEDURE_ENTRY(BgL_fz00_16430)
																			(BgL_fz00_16430, BgL_nsz00_16422, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5277z00_23886;

																			if (PROCEDUREP(BgL_rz00_16431))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16432;

																					BgL_arg1747z00_16432 =
																						PROCEDURE_ATTR(BgL_rz00_16431);
																					if (STRUCTP(BgL_arg1747z00_16432))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5277z00_23886 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16432) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5277z00_23886 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5277z00_23886 = ((bool_t) 0);
																				}
																			if (BgL_test5277z00_23886)
																				{
																					obj_t BgL_fz00_23894;

																					BgL_fz00_23894 = BgL_rz00_16431;
																					BgL_fz00_16430 = BgL_fz00_23894;
																					goto BgL_recz00_16429;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16422,
																						((long) 0),
																						BgL_savedzd2bpzd2_16428);
																					BgL_____rz00_16427 = BgL_rz00_16431;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5280z00_23896;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16433;

																	BgL_arg4421z00_16433 =
																		BGL_EXITD_PROTECT(BgL_ez00_16424);
																	BgL_test5280z00_23896 =
																		PAIRP(BgL_arg4421z00_16433);
																}
																if (BgL_test5280z00_23896)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16434;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16435;

																			BgL_arg4420z00_16435 =
																				BGL_EXITD_PROTECT(BgL_ez00_16424);
																			BgL_arg4419z00_16434 =
																				CDR(((obj_t) BgL_arg4420z00_16435));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16424,
																			BgL_arg4419z00_16434);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16421,
																BgL_sz00_13861);
															return BgL_____rz00_16427;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16378,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16436;

												BgL_nbpz00_16436 =
													((long) CINT(BgL_bpz00_16377) + BgL_siza7eza7_13860);
												VECTOR_SET(
													((obj_t) BgL_sz00_13861), ((long) 0),
													BINT(BgL_nbpz00_16436));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_23912;

													BgL_tmpz00_23912 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_23912,
														BgL_locz00_13858);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16437;

													BgL_rz00_16437 =
														PROCEDURE_ENTRY(BgL_fz00_16378) (BgL_fz00_16378,
														BgL_a1z00_16379, BgL_a2z00_16380, BgL_a3z00_16381,
														BgL_a4z00_16382, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13861), ((long) 0),
														BgL_bpz00_16377);
													return BgL_rz00_16437;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13858,
													BgL_symbzd2funzd2_13859, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16378));
		}}}}}}}}

	}



/* &<@anonymous:2484> */
	obj_t BGl_z62zc3z04anonymousza32484ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13862, obj_t BgL_sz00_13871)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13863;
				obj_t BgL_a1z00_13864;
				obj_t BgL_a2z00_13865;
				obj_t BgL_a3z00_13866;
				obj_t BgL_a4z00_13867;
				obj_t BgL_locz00_13868;
				obj_t BgL_symbzd2funzd2_13869;
				long BgL_siza7eza7_13870;

				BgL_funz00_13863 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 0)));
				BgL_a1z00_13864 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 1)));
				BgL_a2z00_13865 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 2)));
				BgL_a3z00_13866 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 3)));
				BgL_a4z00_13867 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 4)));
				BgL_locz00_13868 = PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 5)));
				BgL_symbzd2funzd2_13869 =
					PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 6)));
				BgL_siza7eza7_13870 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13862, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16438;

					BgL_bpz00_16438 = VECTOR_REF(((obj_t) BgL_sz00_13871), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16439;
						obj_t BgL_a1z00_16440;
						obj_t BgL_a2z00_16441;
						obj_t BgL_a3z00_16442;
						obj_t BgL_a4z00_16443;

						BgL_fz00_16439 =
							PROCEDURE_ENTRY(BgL_funz00_13863) (BgL_funz00_13863,
							BgL_sz00_13871, BEOA);
						BgL_a1z00_16440 =
							PROCEDURE_ENTRY(BgL_a1z00_13864) (BgL_a1z00_13864, BgL_sz00_13871,
							BEOA);
						BgL_a2z00_16441 =
							PROCEDURE_ENTRY(BgL_a2z00_13865) (BgL_a2z00_13865, BgL_sz00_13871,
							BEOA);
						BgL_a3z00_16442 =
							PROCEDURE_ENTRY(BgL_a3z00_13866) (BgL_a3z00_13866, BgL_sz00_13871,
							BEOA);
						BgL_a4z00_16443 =
							PROCEDURE_ENTRY(BgL_a4z00_13867) (BgL_a4z00_13867, BgL_sz00_13871,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16439))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13868,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16439);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16444;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_23969;

								BgL_tmpz00_23969 = ((obj_t) BgL_fz00_16439);
								BgL_ufz00_16444 = PROCEDURE_ATTR(BgL_tmpz00_23969);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5283z00_23972;

								if (STRUCTP(BgL_ufz00_16444))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5283z00_23972 =
											(STRUCT_KEY(BgL_ufz00_16444) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5283z00_23972 = ((bool_t) 0);
									}
								if (BgL_test5283z00_23972)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16445;
										obj_t BgL_runz00_16446;
										obj_t BgL_sfz00_16447;

										BgL_arityz00_16445 =
											STRUCT_REF(BgL_ufz00_16444, (int) (((long) 0)));
										BgL_runz00_16446 =
											STRUCT_REF(BgL_ufz00_16444, (int) (((long) 1)));
										BgL_sfz00_16447 =
											STRUCT_REF(BgL_ufz00_16444, (int) (((long) 2)));
										if (((long) CINT(BgL_arityz00_16445) == ((long) 4)))
											{	/* Eval/evaluate_comp.scm 896 */
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2489z00_16448;

													BgL_arg2489z00_16448 =
														((long) CINT(BgL_bpz00_16438) + ((long) 0));
													VECTOR_SET(
														((obj_t) BgL_sz00_13871), BgL_arg2489z00_16448,
														BgL_a1z00_16440);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2491z00_16449;

													BgL_arg2491z00_16449 =
														((long) CINT(BgL_bpz00_16438) + ((long) 1));
													VECTOR_SET(
														((obj_t) BgL_sz00_13871), BgL_arg2491z00_16449,
														BgL_a2z00_16441);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2492z00_16450;

													BgL_arg2492z00_16450 =
														((long) CINT(BgL_bpz00_16438) + ((long) 2));
													VECTOR_SET(
														((obj_t) BgL_sz00_13871), BgL_arg2492z00_16450,
														BgL_a3z00_16442);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													long BgL_arg2494z00_16451;

													BgL_arg2494z00_16451 =
														((long) CINT(BgL_bpz00_16438) + ((long) 3));
													VECTOR_SET(
														((obj_t) BgL_sz00_13871), BgL_arg2494z00_16451,
														BgL_a4z00_16443);
											}}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												if (INTEGERP(BgL_arityz00_16445))
													{	/* Eval/evaluate_comp.scm 896 */
														switch ((long) CINT(BgL_arityz00_16445))
															{
															case ((long) -1):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2499z00_16452;
																	obj_t BgL_arg2500z00_16453;

																	BgL_arg2499z00_16452 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 0));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2501z00_16454;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2502z00_16455;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2503z00_16456;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2504z00_16457;

																					BgL_arg2504z00_16457 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16443,
																						BNIL);
																					BgL_arg2503z00_16456 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16442,
																						BgL_arg2504z00_16457);
																				}
																				BgL_arg2502z00_16455 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16441,
																					BgL_arg2503z00_16456);
																			}
																			BgL_list2501z00_16454 =
																				MAKE_YOUNG_PAIR(BgL_a1z00_16440,
																				BgL_arg2502z00_16455);
																		}
																		BgL_arg2500z00_16453 =
																			BgL_list2501z00_16454;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2499z00_16452, BgL_arg2500z00_16453);
																} break;
															case ((long) -2):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2506z00_16458;

																	BgL_arg2506z00_16458 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2506z00_16458, BgL_a1z00_16440);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2507z00_16459;
																	obj_t BgL_arg2509z00_16460;

																	BgL_arg2507z00_16459 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 1));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2510z00_16461;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2513z00_16462;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2514z00_16463;

																				BgL_arg2514z00_16463 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16443,
																					BNIL);
																				BgL_arg2513z00_16462 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16442,
																					BgL_arg2514z00_16463);
																			}
																			BgL_list2510z00_16461 =
																				MAKE_YOUNG_PAIR(BgL_a2z00_16441,
																				BgL_arg2513z00_16462);
																		}
																		BgL_arg2509z00_16460 =
																			BgL_list2510z00_16461;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2507z00_16459, BgL_arg2509z00_16460);
																} break;
															case ((long) -3):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2519z00_16464;

																	BgL_arg2519z00_16464 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2519z00_16464, BgL_a1z00_16440);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2520z00_16465;

																	BgL_arg2520z00_16465 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2520z00_16465, BgL_a2z00_16441);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2521z00_16466;
																	obj_t BgL_arg2522z00_16467;

																	BgL_arg2521z00_16466 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 2));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2523z00_16468;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg2525z00_16469;

																			BgL_arg2525z00_16469 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16443, BNIL);
																			BgL_list2523z00_16468 =
																				MAKE_YOUNG_PAIR(BgL_a3z00_16442,
																				BgL_arg2525z00_16469);
																		}
																		BgL_arg2522z00_16467 =
																			BgL_list2523z00_16468;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2521z00_16466, BgL_arg2522z00_16467);
																} break;
															case ((long) -4):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2526z00_16470;

																	BgL_arg2526z00_16470 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2526z00_16470, BgL_a1z00_16440);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2527z00_16471;

																	BgL_arg2527z00_16471 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2527z00_16471, BgL_a2z00_16441);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2530z00_16472;

																	BgL_arg2530z00_16472 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2530z00_16472, BgL_a3z00_16442);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2531z00_16473;
																	obj_t BgL_arg2532z00_16474;

																	BgL_arg2531z00_16473 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 3));
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_list2533z00_16475;

																		BgL_list2533z00_16475 =
																			MAKE_YOUNG_PAIR(BgL_a4z00_16443, BNIL);
																		BgL_arg2532z00_16474 =
																			BgL_list2533z00_16475;
																	}
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2531z00_16473, BgL_arg2532z00_16474);
																} break;
															case ((long) -5):

																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2535z00_16476;

																	BgL_arg2535z00_16476 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 0));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2535z00_16476, BgL_a1z00_16440);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2537z00_16477;

																	BgL_arg2537z00_16477 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 1));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2537z00_16477, BgL_a2z00_16441);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2538z00_16478;

																	BgL_arg2538z00_16478 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 2));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2538z00_16478, BgL_a3z00_16442);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2541z00_16479;

																	BgL_arg2541z00_16479 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 3));
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2541z00_16479, BgL_a4z00_16443);
																}
																{	/* Eval/evaluate_comp.scm 896 */
																	long BgL_arg2542z00_16480;
																	obj_t BgL_arg2546z00_16481;

																	BgL_arg2542z00_16480 =
																		((long) CINT(BgL_bpz00_16438) + ((long) 4));
																	BgL_arg2546z00_16481 = BNIL;
																	VECTOR_SET(
																		((obj_t) BgL_sz00_13871),
																		BgL_arg2542z00_16480, BgL_arg2546z00_16481);
																} break;
															default:
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_13868, STRUCT_REF(BgL_ufz00_16444,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_16445));
													}}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														BGl_evarityzd2errorzd2zz__everrorz00
															(BgL_locz00_13868, STRUCT_REF(BgL_ufz00_16444,
																(int) (((long) 3))), (int) (((long) 4)),
															CINT(BgL_arityz00_16445));
											}}
										{	/* Eval/evaluate_comp.scm 896 */
											obj_t BgL_z12denvz12_16482;

											BgL_z12denvz12_16482 = BGL_CURRENT_DYNAMIC_ENV();
											if (
												(((long) CINT(BgL_bpz00_16438) +
														(long) CINT(BgL_sfz00_16447)) <
													VECTOR_LENGTH(((obj_t) BgL_sz00_13871))))
												{	/* Eval/evaluate_comp.scm 896 */
													return BgL_runz00_16446;
												}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_nsz00_16483;

													BgL_nsz00_16483 =
														BGl_makezd2statezd2zz__evaluate_compz00();
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2551z00_16484;

														BgL_arg2551z00_16484 =
															((long) CINT(BgL_bpz00_16438) + ((long) 4));
														BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
															(BgL_nsz00_16483, ((long) 2), BgL_sz00_13871,
															BgL_bpz00_16438, BINT(BgL_arg2551z00_16484));
													}
													VECTOR_SET(BgL_nsz00_16483, ((long) 1),
														BgL_sz00_13871);
													BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16482,
														BgL_nsz00_16483);
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_ez00_16485;

														BgL_ez00_16485 = BGL_EXITD_TOP_AS_OBJ();
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_arg4422z00_16486;

															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4423z00_16487;

																BgL_arg4423z00_16487 =
																	BGL_EXITD_PROTECT(BgL_ez00_16485);
																BgL_arg4422z00_16486 =
																	MAKE_YOUNG_PAIR(BgL_sz00_13871,
																	BgL_arg4423z00_16487);
															}
															BGL_EXITD_PROTECT_SET(BgL_ez00_16485,
																BgL_arg4422z00_16486);
															BUNSPEC;
														}
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_____rz00_16488;

															{	/* Eval/evaluate_comp.scm 670 */
																obj_t BgL_savedzd2bpzd2_16489;

																BgL_savedzd2bpzd2_16489 =
																	VECTOR_REF(BgL_nsz00_16483, ((long) 0));
																VECTOR_SET(BgL_nsz00_16483, ((long) 0),
																	BINT(((long) 2)));
																{
																	obj_t BgL_fz00_16491;

																	BgL_fz00_16491 = BgL_runz00_16446;
																BgL_recz00_16490:
																	{	/* Eval/evaluate_comp.scm 673 */
																		obj_t BgL_rz00_16492;

																		BgL_rz00_16492 =
																			PROCEDURE_ENTRY(BgL_fz00_16491)
																			(BgL_fz00_16491, BgL_nsz00_16483, BEOA);
																		{	/* Eval/evaluate_comp.scm 674 */
																			bool_t BgL_test5288z00_24112;

																			if (PROCEDUREP(BgL_rz00_16492))
																				{	/* Eval/evaluate_comp.scm 674 */
																					obj_t BgL_arg1747z00_16493;

																					BgL_arg1747z00_16493 =
																						PROCEDURE_ATTR(BgL_rz00_16492);
																					if (STRUCTP(BgL_arg1747z00_16493))
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5288z00_24112 =
																								(STRUCT_KEY
																								(BgL_arg1747z00_16493) ==
																								BGl_symbol4674z00zz__evaluate_compz00);
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 654 */
																							BgL_test5288z00_24112 =
																								((bool_t) 0);
																						}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					BgL_test5288z00_24112 = ((bool_t) 0);
																				}
																			if (BgL_test5288z00_24112)
																				{
																					obj_t BgL_fz00_24120;

																					BgL_fz00_24120 = BgL_rz00_16492;
																					BgL_fz00_16491 = BgL_fz00_24120;
																					goto BgL_recz00_16490;
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 674 */
																					VECTOR_SET(BgL_nsz00_16483,
																						((long) 0),
																						BgL_savedzd2bpzd2_16489);
																					BgL_____rz00_16488 = BgL_rz00_16492;
															}}}}}
															{	/* Eval/evaluate_comp.scm 896 */
																bool_t BgL_test5291z00_24122;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4421z00_16494;

																	BgL_arg4421z00_16494 =
																		BGL_EXITD_PROTECT(BgL_ez00_16485);
																	BgL_test5291z00_24122 =
																		PAIRP(BgL_arg4421z00_16494);
																}
																if (BgL_test5291z00_24122)
																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4419z00_16495;

																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4420z00_16496;

																			BgL_arg4420z00_16496 =
																				BGL_EXITD_PROTECT(BgL_ez00_16485);
																			BgL_arg4419z00_16495 =
																				CDR(((obj_t) BgL_arg4420z00_16496));
																		}
																		BGL_EXITD_PROTECT_SET(BgL_ez00_16485,
																			BgL_arg4419z00_16495);
																		BUNSPEC;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 896 */
																		BFALSE;
																	}
															}
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16482,
																BgL_sz00_13871);
															return BgL_____rz00_16488;
														}
													}
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16439,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16497;

												BgL_nbpz00_16497 =
													((long) CINT(BgL_bpz00_16438) + BgL_siza7eza7_13870);
												VECTOR_SET(
													((obj_t) BgL_sz00_13871), ((long) 0),
													BINT(BgL_nbpz00_16497));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16498;

													BgL_rz00_16498 =
														PROCEDURE_ENTRY(BgL_fz00_16439) (BgL_fz00_16439,
														BgL_a1z00_16440, BgL_a2z00_16441, BgL_a3z00_16442,
														BgL_a4z00_16443, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13871), ((long) 0),
														BgL_bpz00_16438);
													return BgL_rz00_16498;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13868,
													BgL_symbzd2funzd2_13869, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16439));
		}}}}}}}}

	}



/* &<@anonymous:2563> */
	obj_t BGl_z62zc3z04anonymousza32563ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13872, obj_t BgL_sz00_13881)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13873;
				obj_t BgL_a1z00_13874;
				obj_t BgL_a2z00_13875;
				obj_t BgL_a3z00_13876;
				obj_t BgL_a4z00_13877;
				obj_t BgL_locz00_13878;
				obj_t BgL_symbzd2funzd2_13879;
				long BgL_siza7eza7_13880;

				BgL_funz00_13873 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 0)));
				BgL_a1z00_13874 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 1)));
				BgL_a2z00_13875 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 2)));
				BgL_a3z00_13876 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 3)));
				BgL_a4z00_13877 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 4)));
				BgL_locz00_13878 = PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 5)));
				BgL_symbzd2funzd2_13879 =
					PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 6)));
				BgL_siza7eza7_13880 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13872, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16499;

					BgL_bpz00_16499 = VECTOR_REF(((obj_t) BgL_sz00_13881), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16500;
						obj_t BgL_a1z00_16501;
						obj_t BgL_a2z00_16502;
						obj_t BgL_a3z00_16503;
						obj_t BgL_a4z00_16504;

						BgL_fz00_16500 =
							PROCEDURE_ENTRY(BgL_funz00_13873) (BgL_funz00_13873,
							BgL_sz00_13881, BEOA);
						BgL_a1z00_16501 =
							PROCEDURE_ENTRY(BgL_a1z00_13874) (BgL_a1z00_13874, BgL_sz00_13881,
							BEOA);
						BgL_a2z00_16502 =
							PROCEDURE_ENTRY(BgL_a2z00_13875) (BgL_a2z00_13875, BgL_sz00_13881,
							BEOA);
						BgL_a3z00_16503 =
							PROCEDURE_ENTRY(BgL_a3z00_13876) (BgL_a3z00_13876, BgL_sz00_13881,
							BEOA);
						BgL_a4z00_16504 =
							PROCEDURE_ENTRY(BgL_a4z00_13877) (BgL_a4z00_13877, BgL_sz00_13881,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16500))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13878,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16500);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16505;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24192;

								BgL_tmpz00_24192 = ((obj_t) BgL_fz00_16500);
								BgL_ufz00_16505 = PROCEDURE_ATTR(BgL_tmpz00_24192);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5294z00_24195;

								if (STRUCTP(BgL_ufz00_16505))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5294z00_24195 =
											(STRUCT_KEY(BgL_ufz00_16505) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5294z00_24195 = ((bool_t) 0);
									}
								if (BgL_test5294z00_24195)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16506;
										obj_t BgL_runz00_16507;
										obj_t BgL_sfz00_16508;

										BgL_arityz00_16506 =
											STRUCT_REF(BgL_ufz00_16505, (int) (((long) 0)));
										BgL_runz00_16507 =
											STRUCT_REF(BgL_ufz00_16505, (int) (((long) 1)));
										BgL_sfz00_16508 =
											STRUCT_REF(BgL_ufz00_16505, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16509;

											BgL_spz00_16509 =
												((long) CINT(BgL_bpz00_16499) + BgL_siza7eza7_13880);
											if (((long) CINT(BgL_arityz00_16506) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2567z00_16510;

														BgL_arg2567z00_16510 =
															(BgL_spz00_16509 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13881), BgL_arg2567z00_16510,
															BgL_a1z00_16501);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2568z00_16511;

														BgL_arg2568z00_16511 =
															(BgL_spz00_16509 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13881), BgL_arg2568z00_16511,
															BgL_a2z00_16502);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2570z00_16512;

														BgL_arg2570z00_16512 =
															(BgL_spz00_16509 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13881), BgL_arg2570z00_16512,
															BgL_a3z00_16503);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2571z00_16513;

														BgL_arg2571z00_16513 =
															(BgL_spz00_16509 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13881), BgL_arg2571z00_16513,
															BgL_a4z00_16504);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16506))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16506))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2573z00_16514;
																		obj_t BgL_arg2574z00_16515;

																		BgL_arg2573z00_16514 =
																			(BgL_spz00_16509 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2575z00_16516;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2576z00_16517;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2578z00_16518;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2579z00_16519;

																						BgL_arg2579z00_16519 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16504,
																							BNIL);
																						BgL_arg2578z00_16518 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16503,
																							BgL_arg2579z00_16519);
																					}
																					BgL_arg2576z00_16517 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16502,
																						BgL_arg2578z00_16518);
																				}
																				BgL_list2575z00_16516 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16501,
																					BgL_arg2576z00_16517);
																			}
																			BgL_arg2574z00_16515 =
																				BgL_list2575z00_16516;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2573z00_16514,
																			BgL_arg2574z00_16515);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2580z00_16520;

																		BgL_arg2580z00_16520 =
																			(BgL_spz00_16509 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2580z00_16520, BgL_a1z00_16501);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2581z00_16521;
																		obj_t BgL_arg2582z00_16522;

																		BgL_arg2581z00_16521 =
																			(BgL_spz00_16509 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2583z00_16523;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2584z00_16524;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2585z00_16525;

																					BgL_arg2585z00_16525 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16504,
																						BNIL);
																					BgL_arg2584z00_16524 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16503,
																						BgL_arg2585z00_16525);
																				}
																				BgL_list2583z00_16523 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16502,
																					BgL_arg2584z00_16524);
																			}
																			BgL_arg2582z00_16522 =
																				BgL_list2583z00_16523;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2581z00_16521,
																			BgL_arg2582z00_16522);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2587z00_16526;

																		BgL_arg2587z00_16526 =
																			(BgL_spz00_16509 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2587z00_16526, BgL_a1z00_16501);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2588z00_16527;

																		BgL_arg2588z00_16527 =
																			(BgL_spz00_16509 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2588z00_16527, BgL_a2z00_16502);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2590z00_16528;
																		obj_t BgL_arg2591z00_16529;

																		BgL_arg2590z00_16528 =
																			(BgL_spz00_16509 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2592z00_16530;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2593z00_16531;

																				BgL_arg2593z00_16531 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16504,
																					BNIL);
																				BgL_list2592z00_16530 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16503,
																					BgL_arg2593z00_16531);
																			}
																			BgL_arg2591z00_16529 =
																				BgL_list2592z00_16530;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2590z00_16528,
																			BgL_arg2591z00_16529);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2594z00_16532;

																		BgL_arg2594z00_16532 =
																			(BgL_spz00_16509 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2594z00_16532, BgL_a1z00_16501);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2595z00_16533;

																		BgL_arg2595z00_16533 =
																			(BgL_spz00_16509 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2595z00_16533, BgL_a2z00_16502);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2597z00_16534;

																		BgL_arg2597z00_16534 =
																			(BgL_spz00_16509 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2597z00_16534, BgL_a3z00_16503);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2598z00_16535;
																		obj_t BgL_arg2599z00_16536;

																		BgL_arg2598z00_16535 =
																			(BgL_spz00_16509 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2600z00_16537;

																			BgL_list2600z00_16537 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16504, BNIL);
																			BgL_arg2599z00_16536 =
																				BgL_list2600z00_16537;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2598z00_16535,
																			BgL_arg2599z00_16536);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2601z00_16538;

																		BgL_arg2601z00_16538 =
																			(BgL_spz00_16509 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2601z00_16538, BgL_a1z00_16501);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2602z00_16539;

																		BgL_arg2602z00_16539 =
																			(BgL_spz00_16509 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2602z00_16539, BgL_a2z00_16502);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2603z00_16540;

																		BgL_arg2603z00_16540 =
																			(BgL_spz00_16509 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2603z00_16540, BgL_a3z00_16503);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2604z00_16541;

																		BgL_arg2604z00_16541 =
																			(BgL_spz00_16509 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2604z00_16541, BgL_a4z00_16504);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2605z00_16542;
																		obj_t BgL_arg2607z00_16543;

																		BgL_arg2605z00_16542 =
																			(BgL_spz00_16509 + ((long) 4));
																		BgL_arg2607z00_16543 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13881),
																			BgL_arg2605z00_16542,
																			BgL_arg2607z00_16543);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13878,
																		STRUCT_REF(BgL_ufz00_16505,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16506));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13878, STRUCT_REF(BgL_ufz00_16505,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16506));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16544;

												BgL_z12denvz12_16544 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_16544,
													BgL_locz00_13878);
												if (((BgL_spz00_16509 + (long) CINT(BgL_sfz00_16508)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13881))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16507, BgL_sz00_13881,
															BINT(BgL_spz00_16509));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16545;

														BgL_nsz00_16545 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2611z00_16546;

															BgL_arg2611z00_16546 =
																(BgL_spz00_16509 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16545, ((long) 2), BgL_sz00_13881,
																BINT(BgL_spz00_16509),
																BINT(BgL_arg2611z00_16546));
														}
														VECTOR_SET(BgL_nsz00_16545, ((long) 1),
															BgL_sz00_13881);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16544,
															BgL_nsz00_16545);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16547;

															BgL_ez00_16547 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16548;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16549;

																	BgL_arg4423z00_16549 =
																		BGL_EXITD_PROTECT(BgL_ez00_16547);
																	BgL_arg4422z00_16548 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13881,
																		BgL_arg4423z00_16549);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16547,
																	BgL_arg4422z00_16548);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16550;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16551;

																	BgL_savedzd2bpzd2_16551 =
																		VECTOR_REF(BgL_nsz00_16545, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16545, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16553;

																		BgL_fz00_16553 = BgL_runz00_16507;
																	BgL_recz00_16552:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16554;

																			BgL_rz00_16554 =
																				PROCEDURE_ENTRY(BgL_fz00_16553)
																				(BgL_fz00_16553, BgL_nsz00_16545, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5299z00_24320;

																				if (PROCEDUREP(BgL_rz00_16554))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16555;

																						BgL_arg1747z00_16555 =
																							PROCEDURE_ATTR(BgL_rz00_16554);
																						if (STRUCTP(BgL_arg1747z00_16555))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5299z00_24320 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16555) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5299z00_24320 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5299z00_24320 =
																							((bool_t) 0);
																					}
																				if (BgL_test5299z00_24320)
																					{
																						obj_t BgL_fz00_24328;

																						BgL_fz00_24328 = BgL_rz00_16554;
																						BgL_fz00_16553 = BgL_fz00_24328;
																						goto BgL_recz00_16552;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16545,
																							((long) 0),
																							BgL_savedzd2bpzd2_16551);
																						BgL_____rz00_16550 = BgL_rz00_16554;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5302z00_24330;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16556;

																		BgL_arg4421z00_16556 =
																			BGL_EXITD_PROTECT(BgL_ez00_16547);
																		BgL_test5302z00_24330 =
																			PAIRP(BgL_arg4421z00_16556);
																	}
																	if (BgL_test5302z00_24330)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16557;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16558;

																				BgL_arg4420z00_16558 =
																					BGL_EXITD_PROTECT(BgL_ez00_16547);
																				BgL_arg4419z00_16557 =
																					CDR(((obj_t) BgL_arg4420z00_16558));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16547,
																				BgL_arg4419z00_16557);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16544,
																	BgL_sz00_13881);
																return BgL_____rz00_16550;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16500,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16559;

												BgL_nbpz00_16559 =
													((long) CINT(BgL_bpz00_16499) + BgL_siza7eza7_13880);
												VECTOR_SET(
													((obj_t) BgL_sz00_13881), ((long) 0),
													BINT(BgL_nbpz00_16559));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_tmpz00_24346;

													BgL_tmpz00_24346 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_24346,
														BgL_locz00_13878);
												}
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16560;

													BgL_rz00_16560 =
														PROCEDURE_ENTRY(BgL_fz00_16500) (BgL_fz00_16500,
														BgL_a1z00_16501, BgL_a2z00_16502, BgL_a3z00_16503,
														BgL_a4z00_16504, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13881), ((long) 0),
														BgL_bpz00_16499);
													return BgL_rz00_16560;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13878,
													BgL_symbzd2funzd2_13879, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16500));
		}}}}}}}}

	}



/* &<@anonymous:2616> */
	obj_t BGl_z62zc3z04anonymousza32616ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13882, obj_t BgL_sz00_13891)
	{
		{	/* Eval/evaluate_comp.scm 896 */
			{	/* Eval/evaluate_comp.scm 896 */
				obj_t BgL_funz00_13883;
				obj_t BgL_a1z00_13884;
				obj_t BgL_a2z00_13885;
				obj_t BgL_a3z00_13886;
				obj_t BgL_a4z00_13887;
				obj_t BgL_locz00_13888;
				obj_t BgL_symbzd2funzd2_13889;
				long BgL_siza7eza7_13890;

				BgL_funz00_13883 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 0)));
				BgL_a1z00_13884 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 1)));
				BgL_a2z00_13885 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 2)));
				BgL_a3z00_13886 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 3)));
				BgL_a4z00_13887 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 4)));
				BgL_locz00_13888 = PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 5)));
				BgL_symbzd2funzd2_13889 =
					PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 6)));
				BgL_siza7eza7_13890 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_13882, (int) (((long) 7))));
				{	/* Eval/evaluate_comp.scm 896 */
					obj_t BgL_bpz00_16561;

					BgL_bpz00_16561 = VECTOR_REF(((obj_t) BgL_sz00_13891), ((long) 0));
					{	/* Eval/evaluate_comp.scm 896 */
						obj_t BgL_fz00_16562;
						obj_t BgL_a1z00_16563;
						obj_t BgL_a2z00_16564;
						obj_t BgL_a3z00_16565;
						obj_t BgL_a4z00_16566;

						BgL_fz00_16562 =
							PROCEDURE_ENTRY(BgL_funz00_13883) (BgL_funz00_13883,
							BgL_sz00_13891, BEOA);
						BgL_a1z00_16563 =
							PROCEDURE_ENTRY(BgL_a1z00_13884) (BgL_a1z00_13884, BgL_sz00_13891,
							BEOA);
						BgL_a2z00_16564 =
							PROCEDURE_ENTRY(BgL_a2z00_13885) (BgL_a2z00_13885, BgL_sz00_13891,
							BEOA);
						BgL_a3z00_16565 =
							PROCEDURE_ENTRY(BgL_a3z00_13886) (BgL_a3z00_13886, BgL_sz00_13891,
							BEOA);
						BgL_a4z00_16566 =
							PROCEDURE_ENTRY(BgL_a4z00_13887) (BgL_a4z00_13887, BgL_sz00_13891,
							BEOA);
						if (PROCEDUREP(BgL_fz00_16562))
							{	/* Eval/evaluate_comp.scm 896 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 896 */
								BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_13888,
									BGl_string4678z00zz__evaluate_compz00,
									BGl_string4694z00zz__evaluate_compz00, BgL_fz00_16562);
							}
						{	/* Eval/evaluate_comp.scm 896 */
							obj_t BgL_ufz00_16567;

							{	/* Eval/evaluate_comp.scm 896 */
								obj_t BgL_tmpz00_24403;

								BgL_tmpz00_24403 = ((obj_t) BgL_fz00_16562);
								BgL_ufz00_16567 = PROCEDURE_ATTR(BgL_tmpz00_24403);
							}
							{	/* Eval/evaluate_comp.scm 896 */
								bool_t BgL_test5305z00_24406;

								if (STRUCTP(BgL_ufz00_16567))
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5305z00_24406 =
											(STRUCT_KEY(BgL_ufz00_16567) ==
											BGl_symbol4695z00zz__evaluate_compz00);
									}
								else
									{	/* Eval/evaluate_comp.scm 683 */
										BgL_test5305z00_24406 = ((bool_t) 0);
									}
								if (BgL_test5305z00_24406)
									{	/* Eval/evaluate_comp.scm 896 */
										obj_t BgL_arityz00_16568;
										obj_t BgL_runz00_16569;
										obj_t BgL_sfz00_16570;

										BgL_arityz00_16568 =
											STRUCT_REF(BgL_ufz00_16567, (int) (((long) 0)));
										BgL_runz00_16569 =
											STRUCT_REF(BgL_ufz00_16567, (int) (((long) 1)));
										BgL_sfz00_16570 =
											STRUCT_REF(BgL_ufz00_16567, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 896 */
											long BgL_spz00_16571;

											BgL_spz00_16571 =
												((long) CINT(BgL_bpz00_16561) + BgL_siza7eza7_13890);
											if (((long) CINT(BgL_arityz00_16568) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 896 */
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2620z00_16572;

														BgL_arg2620z00_16572 =
															(BgL_spz00_16571 + ((long) 0));
														VECTOR_SET(
															((obj_t) BgL_sz00_13891), BgL_arg2620z00_16572,
															BgL_a1z00_16563);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2622z00_16573;

														BgL_arg2622z00_16573 =
															(BgL_spz00_16571 + ((long) 1));
														VECTOR_SET(
															((obj_t) BgL_sz00_13891), BgL_arg2622z00_16573,
															BgL_a2z00_16564);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2623z00_16574;

														BgL_arg2623z00_16574 =
															(BgL_spz00_16571 + ((long) 2));
														VECTOR_SET(
															((obj_t) BgL_sz00_13891), BgL_arg2623z00_16574,
															BgL_a3z00_16565);
													}
													{	/* Eval/evaluate_comp.scm 896 */
														long BgL_arg2624z00_16575;

														BgL_arg2624z00_16575 =
															(BgL_spz00_16571 + ((long) 3));
														VECTOR_SET(
															((obj_t) BgL_sz00_13891), BgL_arg2624z00_16575,
															BgL_a4z00_16566);
												}}
											else
												{	/* Eval/evaluate_comp.scm 896 */
													if (INTEGERP(BgL_arityz00_16568))
														{	/* Eval/evaluate_comp.scm 896 */
															switch ((long) CINT(BgL_arityz00_16568))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2626z00_16576;
																		obj_t BgL_arg2628z00_16577;

																		BgL_arg2626z00_16576 =
																			(BgL_spz00_16571 + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2629z00_16578;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2630z00_16579;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2631z00_16580;

																					{	/* Eval/evaluate_comp.scm 896 */
																						obj_t BgL_arg2632z00_16581;

																						BgL_arg2632z00_16581 =
																							MAKE_YOUNG_PAIR(BgL_a4z00_16566,
																							BNIL);
																						BgL_arg2631z00_16580 =
																							MAKE_YOUNG_PAIR(BgL_a3z00_16565,
																							BgL_arg2632z00_16581);
																					}
																					BgL_arg2630z00_16579 =
																						MAKE_YOUNG_PAIR(BgL_a2z00_16564,
																						BgL_arg2631z00_16580);
																				}
																				BgL_list2629z00_16578 =
																					MAKE_YOUNG_PAIR(BgL_a1z00_16563,
																					BgL_arg2630z00_16579);
																			}
																			BgL_arg2628z00_16577 =
																				BgL_list2629z00_16578;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2626z00_16576,
																			BgL_arg2628z00_16577);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2633z00_16582;

																		BgL_arg2633z00_16582 =
																			(BgL_spz00_16571 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2633z00_16582, BgL_a1z00_16563);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2634z00_16583;
																		obj_t BgL_arg2636z00_16584;

																		BgL_arg2634z00_16583 =
																			(BgL_spz00_16571 + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2637z00_16585;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2638z00_16586;

																				{	/* Eval/evaluate_comp.scm 896 */
																					obj_t BgL_arg2639z00_16587;

																					BgL_arg2639z00_16587 =
																						MAKE_YOUNG_PAIR(BgL_a4z00_16566,
																						BNIL);
																					BgL_arg2638z00_16586 =
																						MAKE_YOUNG_PAIR(BgL_a3z00_16565,
																						BgL_arg2639z00_16587);
																				}
																				BgL_list2637z00_16585 =
																					MAKE_YOUNG_PAIR(BgL_a2z00_16564,
																					BgL_arg2638z00_16586);
																			}
																			BgL_arg2636z00_16584 =
																				BgL_list2637z00_16585;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2634z00_16583,
																			BgL_arg2636z00_16584);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2640z00_16588;

																		BgL_arg2640z00_16588 =
																			(BgL_spz00_16571 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2640z00_16588, BgL_a1z00_16563);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2641z00_16589;

																		BgL_arg2641z00_16589 =
																			(BgL_spz00_16571 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2641z00_16589, BgL_a2z00_16564);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2642z00_16590;
																		obj_t BgL_arg2644z00_16591;

																		BgL_arg2642z00_16590 =
																			(BgL_spz00_16571 + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2645z00_16592;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg2646z00_16593;

																				BgL_arg2646z00_16593 =
																					MAKE_YOUNG_PAIR(BgL_a4z00_16566,
																					BNIL);
																				BgL_list2645z00_16592 =
																					MAKE_YOUNG_PAIR(BgL_a3z00_16565,
																					BgL_arg2646z00_16593);
																			}
																			BgL_arg2644z00_16591 =
																				BgL_list2645z00_16592;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2642z00_16590,
																			BgL_arg2644z00_16591);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2647z00_16594;

																		BgL_arg2647z00_16594 =
																			(BgL_spz00_16571 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2647z00_16594, BgL_a1z00_16563);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2648z00_16595;

																		BgL_arg2648z00_16595 =
																			(BgL_spz00_16571 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2648z00_16595, BgL_a2z00_16564);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2649z00_16596;

																		BgL_arg2649z00_16596 =
																			(BgL_spz00_16571 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2649z00_16596, BgL_a3z00_16565);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2650z00_16597;
																		obj_t BgL_arg2652z00_16598;

																		BgL_arg2650z00_16597 =
																			(BgL_spz00_16571 + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_list2653z00_16599;

																			BgL_list2653z00_16599 =
																				MAKE_YOUNG_PAIR(BgL_a4z00_16566, BNIL);
																			BgL_arg2652z00_16598 =
																				BgL_list2653z00_16599;
																		}
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2650z00_16597,
																			BgL_arg2652z00_16598);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2654z00_16600;

																		BgL_arg2654z00_16600 =
																			(BgL_spz00_16571 + ((long) 0));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2654z00_16600, BgL_a1z00_16563);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2655z00_16601;

																		BgL_arg2655z00_16601 =
																			(BgL_spz00_16571 + ((long) 1));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2655z00_16601, BgL_a2z00_16564);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2657z00_16602;

																		BgL_arg2657z00_16602 =
																			(BgL_spz00_16571 + ((long) 2));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2657z00_16602, BgL_a3z00_16565);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2658z00_16603;

																		BgL_arg2658z00_16603 =
																			(BgL_spz00_16571 + ((long) 3));
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2658z00_16603, BgL_a4z00_16566);
																	}
																	{	/* Eval/evaluate_comp.scm 896 */
																		long BgL_arg2659z00_16604;
																		obj_t BgL_arg2660z00_16605;

																		BgL_arg2659z00_16604 =
																			(BgL_spz00_16571 + ((long) 4));
																		BgL_arg2660z00_16605 = BNIL;
																		VECTOR_SET(
																			((obj_t) BgL_sz00_13891),
																			BgL_arg2659z00_16604,
																			BgL_arg2660z00_16605);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_13888,
																		STRUCT_REF(BgL_ufz00_16567,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_16568));
														}}
													else
														{	/* Eval/evaluate_comp.scm 896 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_13888, STRUCT_REF(BgL_ufz00_16567,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_16568));
												}}
											{	/* Eval/evaluate_comp.scm 896 */
												obj_t BgL_z12denvz12_16606;

												BgL_z12denvz12_16606 = BGL_CURRENT_DYNAMIC_ENV();
												if (
													((BgL_spz00_16571 +
															(long) CINT(BgL_sfz00_16570)) <
														VECTOR_LENGTH(((obj_t) BgL_sz00_13891))))
													{	/* Eval/evaluate_comp.scm 896 */
														return
															BGl_catchzd2trampolinezd2zz__evaluate_compz00
															(BgL_runz00_16569, BgL_sz00_13891,
															BINT(BgL_spz00_16571));
													}
												else
													{	/* Eval/evaluate_comp.scm 896 */
														obj_t BgL_nsz00_16607;

														BgL_nsz00_16607 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 896 */
															long BgL_arg2664z00_16608;

															BgL_arg2664z00_16608 =
																(BgL_spz00_16571 + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_16607, ((long) 2), BgL_sz00_13891,
																BINT(BgL_spz00_16571),
																BINT(BgL_arg2664z00_16608));
														}
														VECTOR_SET(BgL_nsz00_16607, ((long) 1),
															BgL_sz00_13891);
														BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16606,
															BgL_nsz00_16607);
														{	/* Eval/evaluate_comp.scm 896 */
															obj_t BgL_ez00_16609;

															BgL_ez00_16609 = BGL_EXITD_TOP_AS_OBJ();
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_arg4422z00_16610;

																{	/* Eval/evaluate_comp.scm 896 */
																	obj_t BgL_arg4423z00_16611;

																	BgL_arg4423z00_16611 =
																		BGL_EXITD_PROTECT(BgL_ez00_16609);
																	BgL_arg4422z00_16610 =
																		MAKE_YOUNG_PAIR(BgL_sz00_13891,
																		BgL_arg4423z00_16611);
																}
																BGL_EXITD_PROTECT_SET(BgL_ez00_16609,
																	BgL_arg4422z00_16610);
																BUNSPEC;
															}
															{	/* Eval/evaluate_comp.scm 896 */
																obj_t BgL_____rz00_16612;

																{	/* Eval/evaluate_comp.scm 670 */
																	obj_t BgL_savedzd2bpzd2_16613;

																	BgL_savedzd2bpzd2_16613 =
																		VECTOR_REF(BgL_nsz00_16607, ((long) 0));
																	VECTOR_SET(BgL_nsz00_16607, ((long) 0),
																		BINT(((long) 2)));
																	{
																		obj_t BgL_fz00_16615;

																		BgL_fz00_16615 = BgL_runz00_16569;
																	BgL_recz00_16614:
																		{	/* Eval/evaluate_comp.scm 673 */
																			obj_t BgL_rz00_16616;

																			BgL_rz00_16616 =
																				PROCEDURE_ENTRY(BgL_fz00_16615)
																				(BgL_fz00_16615, BgL_nsz00_16607, BEOA);
																			{	/* Eval/evaluate_comp.scm 674 */
																				bool_t BgL_test5310z00_24530;

																				if (PROCEDUREP(BgL_rz00_16616))
																					{	/* Eval/evaluate_comp.scm 674 */
																						obj_t BgL_arg1747z00_16617;

																						BgL_arg1747z00_16617 =
																							PROCEDURE_ATTR(BgL_rz00_16616);
																						if (STRUCTP(BgL_arg1747z00_16617))
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5310z00_24530 =
																									(STRUCT_KEY
																									(BgL_arg1747z00_16617) ==
																									BGl_symbol4674z00zz__evaluate_compz00);
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 654 */
																								BgL_test5310z00_24530 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						BgL_test5310z00_24530 =
																							((bool_t) 0);
																					}
																				if (BgL_test5310z00_24530)
																					{
																						obj_t BgL_fz00_24538;

																						BgL_fz00_24538 = BgL_rz00_16616;
																						BgL_fz00_16615 = BgL_fz00_24538;
																						goto BgL_recz00_16614;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 674 */
																						VECTOR_SET(BgL_nsz00_16607,
																							((long) 0),
																							BgL_savedzd2bpzd2_16613);
																						BgL_____rz00_16612 = BgL_rz00_16616;
																}}}}}
																{	/* Eval/evaluate_comp.scm 896 */
																	bool_t BgL_test5313z00_24540;

																	{	/* Eval/evaluate_comp.scm 896 */
																		obj_t BgL_arg4421z00_16618;

																		BgL_arg4421z00_16618 =
																			BGL_EXITD_PROTECT(BgL_ez00_16609);
																		BgL_test5313z00_24540 =
																			PAIRP(BgL_arg4421z00_16618);
																	}
																	if (BgL_test5313z00_24540)
																		{	/* Eval/evaluate_comp.scm 896 */
																			obj_t BgL_arg4419z00_16619;

																			{	/* Eval/evaluate_comp.scm 896 */
																				obj_t BgL_arg4420z00_16620;

																				BgL_arg4420z00_16620 =
																					BGL_EXITD_PROTECT(BgL_ez00_16609);
																				BgL_arg4419z00_16619 =
																					CDR(((obj_t) BgL_arg4420z00_16620));
																			}
																			BGL_EXITD_PROTECT_SET(BgL_ez00_16609,
																				BgL_arg4419z00_16619);
																			BUNSPEC;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 896 */
																			BFALSE;
																		}
																}
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16606,
																	BgL_sz00_13891);
																return BgL_____rz00_16612;
															}
														}
													}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 896 */
										if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_16562,
												(int) (((long) 4))))
											{	/* Eval/evaluate_comp.scm 896 */
												long BgL_nbpz00_16621;

												BgL_nbpz00_16621 =
													((long) CINT(BgL_bpz00_16561) + BgL_siza7eza7_13890);
												VECTOR_SET(
													((obj_t) BgL_sz00_13891), ((long) 0),
													BINT(BgL_nbpz00_16621));
												{	/* Eval/evaluate_comp.scm 896 */
													obj_t BgL_rz00_16622;

													BgL_rz00_16622 =
														PROCEDURE_ENTRY(BgL_fz00_16562) (BgL_fz00_16562,
														BgL_a1z00_16563, BgL_a2z00_16564, BgL_a3z00_16565,
														BgL_a4z00_16566, BEOA);
													VECTOR_SET(((obj_t) BgL_sz00_13891), ((long) 0),
														BgL_bpz00_16561);
													return BgL_rz00_16622;
												}
											}
										else
											{	/* Eval/evaluate_comp.scm 896 */
												return
													BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_13888,
													BgL_symbzd2funzd2_13889, (int) (((long) 4)),
													PROCEDURE_ARITY(BgL_fz00_16562));
		}}}}}}}}

	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		{	/* Eval/evaluate_comp.scm 899 */
			{	/* Eval/evaluate_comp.scm 901 */
				bool_t BgL_test5315z00_24568;

				{	/* Eval/evaluate_comp.scm 901 */
					obj_t BgL_classz00_9122;

					BgL_classz00_9122 = BGl_ev_globalz00zz__evaluate_typesz00;
					{	/* Eval/evaluate_comp.scm 901 */
						BgL_objectz00_bglt BgL_arg4405z00_9124;

						{	/* Eval/evaluate_comp.scm 901 */
							obj_t BgL_tmpz00_24569;

							BgL_tmpz00_24569 =
								((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
							BgL_arg4405z00_9124 = (BgL_objectz00_bglt) (BgL_tmpz00_24569);
						}
						{	/* Eval/evaluate_comp.scm 901 */
							bool_t BgL_arg4402z00_9127;
							bool_t BgL_arg4403z00_9128;

							{	/* Eval/evaluate_comp.scm 901 */
								long BgL_idxz00_9131;

								BgL_idxz00_9131 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9124);
								BgL_arg4402z00_9127 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_9131 + ((long) 2))) == BgL_classz00_9122);
							}
							{	/* Eval/evaluate_comp.scm 901 */
								bool_t BgL_res4526z00_9153;

								{	/* Eval/evaluate_comp.scm 901 */
									obj_t BgL_oclassz00_9139;

									{	/* Eval/evaluate_comp.scm 901 */
										long BgL_arg4412z00_9145;

										{	/* Eval/evaluate_comp.scm 901 */
											long BgL_arg4413z00_9146;

											BgL_arg4413z00_9146 =
												BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9124);
											BgL_arg4412z00_9145 = (BgL_arg4413z00_9146 - OBJECT_TYPE);
										}
										BgL_oclassz00_9139 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg4412z00_9145);
									}
									{	/* Eval/evaluate_comp.scm 901 */
										bool_t BgL__ortest_1296z00_9140;

										BgL__ortest_1296z00_9140 =
											(BgL_classz00_9122 == BgL_oclassz00_9139);
										if (BgL__ortest_1296z00_9140)
											{	/* Eval/evaluate_comp.scm 901 */
												BgL_res4526z00_9153 = BgL__ortest_1296z00_9140;
											}
										else
											{	/* Eval/evaluate_comp.scm 901 */
												long BgL_odepthz00_9141;

												BgL_odepthz00_9141 =
													BGL_CLASS_DEPTH(BgL_oclassz00_9139);
												if ((((long) 2) < BgL_odepthz00_9141))
													{	/* Eval/evaluate_comp.scm 901 */
														obj_t BgL_arg4401z00_9143;

														BgL_arg4401z00_9143 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9139,
															((long) 2));
														BgL_res4526z00_9153 =
															(BgL_arg4401z00_9143 == BgL_classz00_9122);
													}
												else
													{	/* Eval/evaluate_comp.scm 901 */
														BgL_res4526z00_9153 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_arg4403z00_9128 = BgL_res4526z00_9153;
							}
							BgL_test5315z00_24568 =
								BGL_ISA_C_BACKEND(BgL_arg4402z00_9127, BgL_arg4403z00_9128);
						}
					}
				}
				if (BgL_test5315z00_24568)
					{	/* Eval/evaluate_comp.scm 903 */
						obj_t BgL_gz00_3077;

						{	/* Eval/evaluate_comp.scm 903 */
							obj_t BgL_arg2674z00_3085;
							obj_t BgL_arg2675z00_3086;

							BgL_arg2674z00_3085 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_modz00);
							BgL_arg2675z00_3086 =
								(((BgL_ev_globalz00_bglt) COBJECT(
										((BgL_ev_globalz00_bglt) BgL_funz00_183)))->BgL_namez00);
							BgL_gz00_3077 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg2674z00_3085, BgL_arg2675z00_3086);
						}
						if (CBOOL(BgL_gz00_3077))
							{	/* Eval/evaluate_comp.scm 905 */
								bool_t BgL_test5319z00_24595;

								{	/* Eval/evaluate_comp.scm 905 */
									int BgL_arg2673z00_3084;

									{	/* Eval/evaluate_comp.scm 905 */
										int BgL_res4527z00_9156;

										BgL_res4527z00_9156 =
											CINT(VECTOR_REF(((obj_t) BgL_gz00_3077), ((long) 0)));
										BgL_arg2673z00_3084 = BgL_res4527z00_9156;
									}
									BgL_test5319z00_24595 =
										((long) (BgL_arg2673z00_3084) == ((long) 0));
								}
								if (BgL_test5319z00_24595)
									{	/* Eval/evaluate_comp.scm 906 */
										obj_t BgL_valz00_3080;

										BgL_valz00_3080 =
											VECTOR_REF(((obj_t) BgL_gz00_3077), ((long) 2));
										{	/* Eval/evaluate_comp.scm 907 */
											bool_t BgL_test5320z00_24603;

											if (PROCEDUREP(BgL_valz00_3080))
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5320z00_24603 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_3080,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													BgL_test5320z00_24603 = ((bool_t) 0);
												}
											if (BgL_test5320z00_24603)
												{	/* Eval/evaluate_comp.scm 907 */
													return BgL_valz00_3080;
												}
											else
												{	/* Eval/evaluate_comp.scm 907 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 905 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 904 */
								return BFALSE;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 910 */
						bool_t BgL_test5322z00_24608;

						{	/* Eval/evaluate_comp.scm 910 */
							bool_t BgL_test5323z00_24609;

							{	/* Eval/evaluate_comp.scm 910 */
								obj_t BgL_classz00_9160;

								BgL_classz00_9160 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_objectz00_bglt BgL_arg4405z00_9162;

									{	/* Eval/evaluate_comp.scm 910 */
										obj_t BgL_tmpz00_24610;

										BgL_tmpz00_24610 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_183));
										BgL_arg4405z00_9162 =
											(BgL_objectz00_bglt) (BgL_tmpz00_24610);
									}
									{	/* Eval/evaluate_comp.scm 910 */
										bool_t BgL_arg4402z00_9165;
										bool_t BgL_arg4403z00_9166;

										{	/* Eval/evaluate_comp.scm 910 */
											long BgL_idxz00_9169;

											BgL_idxz00_9169 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9162);
											BgL_arg4402z00_9165 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9169 + ((long) 2))) == BgL_classz00_9160);
										}
										{	/* Eval/evaluate_comp.scm 910 */
											bool_t BgL_res4528z00_9191;

											{	/* Eval/evaluate_comp.scm 910 */
												obj_t BgL_oclassz00_9177;

												{	/* Eval/evaluate_comp.scm 910 */
													long BgL_arg4412z00_9183;

													{	/* Eval/evaluate_comp.scm 910 */
														long BgL_arg4413z00_9184;

														BgL_arg4413z00_9184 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9162);
														BgL_arg4412z00_9183 =
															(BgL_arg4413z00_9184 - OBJECT_TYPE);
													}
													BgL_oclassz00_9177 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4412z00_9183);
												}
												{	/* Eval/evaluate_comp.scm 910 */
													bool_t BgL__ortest_1296z00_9178;

													BgL__ortest_1296z00_9178 =
														(BgL_classz00_9160 == BgL_oclassz00_9177);
													if (BgL__ortest_1296z00_9178)
														{	/* Eval/evaluate_comp.scm 910 */
															BgL_res4528z00_9191 = BgL__ortest_1296z00_9178;
														}
													else
														{	/* Eval/evaluate_comp.scm 910 */
															long BgL_odepthz00_9179;

															BgL_odepthz00_9179 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9177);
															if ((((long) 2) < BgL_odepthz00_9179))
																{	/* Eval/evaluate_comp.scm 910 */
																	obj_t BgL_arg4401z00_9181;

																	BgL_arg4401z00_9181 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9177,
																		((long) 2));
																	BgL_res4528z00_9191 =
																		(BgL_arg4401z00_9181 == BgL_classz00_9160);
																}
															else
																{	/* Eval/evaluate_comp.scm 910 */
																	BgL_res4528z00_9191 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg4403z00_9166 = BgL_res4528z00_9191;
										}
										BgL_test5323z00_24609 =
											BGL_ISA_C_BACKEND(BgL_arg4402z00_9165,
											BgL_arg4403z00_9166);
									}
								}
							}
							if (BgL_test5323z00_24609)
								{	/* Eval/evaluate_comp.scm 911 */
									obj_t BgL_tmpz00_24629;

									BgL_tmpz00_24629 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5322z00_24608 = PROCEDUREP(BgL_tmpz00_24629);
								}
							else
								{	/* Eval/evaluate_comp.scm 910 */
									BgL_test5322z00_24608 = ((bool_t) 0);
								}
						}
						if (BgL_test5322z00_24608)
							{	/* Eval/evaluate_comp.scm 913 */
								bool_t BgL_test5326z00_24633;

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2683z00_3096;

									BgL_arg2683z00_3096 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
									BgL_test5326z00_24633 =
										PROCEDURE_CORRECT_ARITYP(BgL_arg2683z00_3096,
										(int) (BgL_nbargsz00_184));
								}
								if (BgL_test5326z00_24633)
									{	/* Eval/evaluate_comp.scm 913 */
										return
											(((BgL_ev_littz00_bglt) COBJECT(
													((BgL_ev_littz00_bglt) BgL_funz00_183)))->
											BgL_valuez00);
									}
								else
									{	/* Eval/evaluate_comp.scm 915 */
										int BgL_arg2681z00_3094;

										{	/* Eval/evaluate_comp.scm 915 */
											obj_t BgL_arg2682z00_3095;

											BgL_arg2682z00_3095 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_funz00_183)))->
												BgL_valuez00);
											BgL_arg2681z00_3094 =
												PROCEDURE_ARITY(BgL_arg2682z00_3095);
										}
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
											BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
											BgL_arg2681z00_3094);
							}}
						else
							{	/* Eval/evaluate_comp.scm 910 */
								return BFALSE;
							}
					}
			}
		}

	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		{	/* Eval/evaluate_comp.scm 918 */
			{	/* Eval/evaluate_comp.scm 925 */
				bool_t BgL_test5327z00_24645;

				{	/* Eval/evaluate_comp.scm 925 */
					obj_t BgL_classz00_9203;

					BgL_classz00_9203 = BGl_ev_littz00zz__evaluate_typesz00;
					if (BGL_OBJECTP(BgL_exprz00_187))
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_objectz00_bglt BgL_arg4405z00_9205;

							BgL_arg4405z00_9205 = (BgL_objectz00_bglt) (BgL_exprz00_187);
							{	/* Eval/evaluate_comp.scm 925 */
								bool_t BgL_arg4402z00_9208;
								bool_t BgL_arg4403z00_9209;

								{	/* Eval/evaluate_comp.scm 925 */
									long BgL_idxz00_9212;

									BgL_idxz00_9212 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9205);
									BgL_arg4402z00_9208 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_9212 + ((long) 2))) == BgL_classz00_9203);
								}
								{	/* Eval/evaluate_comp.scm 925 */
									bool_t BgL_res4529z00_9234;

									{	/* Eval/evaluate_comp.scm 925 */
										obj_t BgL_oclassz00_9220;

										{	/* Eval/evaluate_comp.scm 925 */
											long BgL_arg4412z00_9226;

											{	/* Eval/evaluate_comp.scm 925 */
												long BgL_arg4413z00_9227;

												BgL_arg4413z00_9227 =
													BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9205);
												BgL_arg4412z00_9226 =
													(BgL_arg4413z00_9227 - OBJECT_TYPE);
											}
											BgL_oclassz00_9220 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg4412z00_9226);
										}
										{	/* Eval/evaluate_comp.scm 925 */
											bool_t BgL__ortest_1296z00_9221;

											BgL__ortest_1296z00_9221 =
												(BgL_classz00_9203 == BgL_oclassz00_9220);
											if (BgL__ortest_1296z00_9221)
												{	/* Eval/evaluate_comp.scm 925 */
													BgL_res4529z00_9234 = BgL__ortest_1296z00_9221;
												}
											else
												{	/* Eval/evaluate_comp.scm 925 */
													long BgL_odepthz00_9222;

													BgL_odepthz00_9222 =
														BGL_CLASS_DEPTH(BgL_oclassz00_9220);
													if ((((long) 2) < BgL_odepthz00_9222))
														{	/* Eval/evaluate_comp.scm 925 */
															obj_t BgL_arg4401z00_9224;

															BgL_arg4401z00_9224 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9220,
																((long) 2));
															BgL_res4529z00_9234 =
																(BgL_arg4401z00_9224 == BgL_classz00_9203);
														}
													else
														{	/* Eval/evaluate_comp.scm 925 */
															BgL_res4529z00_9234 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_arg4403z00_9209 = BgL_res4529z00_9234;
								}
								BgL_test5327z00_24645 =
									BGL_ISA_C_BACKEND(BgL_arg4402z00_9208, BgL_arg4403z00_9209);
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 925 */
							BgL_test5327z00_24645 = ((bool_t) 0);
						}
				}
				if (BgL_test5327z00_24645)
					{	/* Eval/evaluate_comp.scm 925 */
						if (INTEGERP(
								(((BgL_ev_littz00_bglt) COBJECT(
											((BgL_ev_littz00_bglt) BgL_exprz00_187)))->BgL_valuez00)))
							{	/* Eval/evaluate_comp.scm 927 */
								obj_t BgL_v1360z00_3106;

								BgL_v1360z00_3106 = create_vector(((long) 2));
								VECTOR_SET(BgL_v1360z00_3106, ((long) 0), BINT(((long) 1)));
								{	/* Eval/evaluate_comp.scm 927 */
									double BgL_arg2688z00_3107;

									BgL_arg2688z00_3107 =
										(double) (
										(long) CINT(
											(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00)));
									VECTOR_SET(BgL_v1360z00_3106, ((long) 1),
										DOUBLE_TO_REAL(BgL_arg2688z00_3107));
								}
								return BgL_v1360z00_3106;
							}
						else
							{	/* Eval/evaluate_comp.scm 928 */
								bool_t BgL_test5332z00_24677;

								{	/* Eval/evaluate_comp.scm 928 */
									obj_t BgL_tmpz00_24678;

									BgL_tmpz00_24678 =
										(((BgL_ev_littz00_bglt) COBJECT(
												((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
										BgL_valuez00);
									BgL_test5332z00_24677 = REALP(BgL_tmpz00_24678);
								}
								if (BgL_test5332z00_24677)
									{	/* Eval/evaluate_comp.scm 928 */
										obj_t BgL_v1361z00_3111;

										BgL_v1361z00_3111 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1361z00_3111, ((long) 0), BINT(((long) 1)));
										{	/* Eval/evaluate_comp.scm 928 */
											obj_t BgL_arg2692z00_3112;

											BgL_arg2692z00_3112 =
												(((BgL_ev_littz00_bglt) COBJECT(
														((BgL_ev_littz00_bglt) BgL_exprz00_187)))->
												BgL_valuez00);
											VECTOR_SET(BgL_v1361z00_3111, ((long) 1),
												BgL_arg2692z00_3112);
										}
										return BgL_v1361z00_3111;
									}
								else
									{	/* Eval/evaluate_comp.scm 929 */
										obj_t BgL_v1362z00_3113;

										BgL_v1362z00_3113 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1362z00_3113, ((long) 0), BINT(((long) 0)));
										{	/* Eval/evaluate_comp.scm 929 */
											obj_t BgL_arg2693z00_3114;

											BgL_arg2693z00_3114 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_exprz00_187),
												BgL_stkz00_188);
											VECTOR_SET(BgL_v1362z00_3113, ((long) 1),
												BgL_arg2693z00_3114);
										}
										return BgL_v1362z00_3113;
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 930 */
						bool_t BgL_test5333z00_24694;

						{	/* Eval/evaluate_comp.scm 930 */
							obj_t BgL_classz00_9242;

							BgL_classz00_9242 = BGl_ev_varz00zz__evaluate_typesz00;
							if (BGL_OBJECTP(BgL_exprz00_187))
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_objectz00_bglt BgL_arg4405z00_9244;

									BgL_arg4405z00_9244 = (BgL_objectz00_bglt) (BgL_exprz00_187);
									{	/* Eval/evaluate_comp.scm 930 */
										bool_t BgL_arg4402z00_9247;
										bool_t BgL_arg4403z00_9248;

										{	/* Eval/evaluate_comp.scm 930 */
											long BgL_idxz00_9251;

											BgL_idxz00_9251 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9244);
											BgL_arg4402z00_9247 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_9251 + ((long) 2))) == BgL_classz00_9242);
										}
										{	/* Eval/evaluate_comp.scm 930 */
											bool_t BgL_res4530z00_9273;

											{	/* Eval/evaluate_comp.scm 930 */
												obj_t BgL_oclassz00_9259;

												{	/* Eval/evaluate_comp.scm 930 */
													long BgL_arg4412z00_9265;

													{	/* Eval/evaluate_comp.scm 930 */
														long BgL_arg4413z00_9266;

														BgL_arg4413z00_9266 =
															BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9244);
														BgL_arg4412z00_9265 =
															(BgL_arg4413z00_9266 - OBJECT_TYPE);
													}
													BgL_oclassz00_9259 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg4412z00_9265);
												}
												{	/* Eval/evaluate_comp.scm 930 */
													bool_t BgL__ortest_1296z00_9260;

													BgL__ortest_1296z00_9260 =
														(BgL_classz00_9242 == BgL_oclassz00_9259);
													if (BgL__ortest_1296z00_9260)
														{	/* Eval/evaluate_comp.scm 930 */
															BgL_res4530z00_9273 = BgL__ortest_1296z00_9260;
														}
													else
														{	/* Eval/evaluate_comp.scm 930 */
															long BgL_odepthz00_9261;

															BgL_odepthz00_9261 =
																BGL_CLASS_DEPTH(BgL_oclassz00_9259);
															if ((((long) 2) < BgL_odepthz00_9261))
																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg4401z00_9263;

																	BgL_arg4401z00_9263 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_9259,
																		((long) 2));
																	BgL_res4530z00_9273 =
																		(BgL_arg4401z00_9263 == BgL_classz00_9242);
																}
															else
																{	/* Eval/evaluate_comp.scm 930 */
																	BgL_res4530z00_9273 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg4403z00_9248 = BgL_res4530z00_9273;
										}
										BgL_test5333z00_24694 =
											BGL_ISA_C_BACKEND(BgL_arg4402z00_9247,
											BgL_arg4403z00_9248);
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 930 */
									BgL_test5333z00_24694 = ((bool_t) 0);
								}
						}
						if (BgL_test5333z00_24694)
							{	/* Eval/evaluate_comp.scm 930 */
								if (CBOOL(
										(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_exprz00_187)))->
											BgL_effz00)))
									{	/* Eval/evaluate_comp.scm 933 */
										obj_t BgL_v1363z00_3120;

										BgL_v1363z00_3120 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1363z00_3120, ((long) 0), BINT(((long) 3)));
										VECTOR_SET(BgL_v1363z00_3120, ((long) 1),
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1363z00_3120;
									}
								else
									{	/* Eval/evaluate_comp.scm 934 */
										obj_t BgL_v1364z00_3122;

										BgL_v1364z00_3122 = create_vector(((long) 2));
										VECTOR_SET(BgL_v1364z00_3122, ((long) 0), BINT(((long) 2)));
										VECTOR_SET(BgL_v1364z00_3122, ((long) 1),
											BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
												BgL_stkz00_188));
										return BgL_v1364z00_3122;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 935 */
								bool_t BgL_test5338z00_24727;

								{	/* Eval/evaluate_comp.scm 935 */
									obj_t BgL_classz00_9278;

									BgL_classz00_9278 = BGl_ev_globalz00zz__evaluate_typesz00;
									if (BGL_OBJECTP(BgL_exprz00_187))
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_objectz00_bglt BgL_arg4405z00_9280;

											BgL_arg4405z00_9280 =
												(BgL_objectz00_bglt) (BgL_exprz00_187);
											{	/* Eval/evaluate_comp.scm 935 */
												bool_t BgL_arg4402z00_9283;
												bool_t BgL_arg4403z00_9284;

												{	/* Eval/evaluate_comp.scm 935 */
													long BgL_idxz00_9287;

													BgL_idxz00_9287 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9280);
													BgL_arg4402z00_9283 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_9287 + ((long) 2))) ==
														BgL_classz00_9278);
												}
												{	/* Eval/evaluate_comp.scm 935 */
													bool_t BgL_res4531z00_9309;

													{	/* Eval/evaluate_comp.scm 935 */
														obj_t BgL_oclassz00_9295;

														{	/* Eval/evaluate_comp.scm 935 */
															long BgL_arg4412z00_9301;

															{	/* Eval/evaluate_comp.scm 935 */
																long BgL_arg4413z00_9302;

																BgL_arg4413z00_9302 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9280);
																BgL_arg4412z00_9301 =
																	(BgL_arg4413z00_9302 - OBJECT_TYPE);
															}
															BgL_oclassz00_9295 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg4412z00_9301);
														}
														{	/* Eval/evaluate_comp.scm 935 */
															bool_t BgL__ortest_1296z00_9296;

															BgL__ortest_1296z00_9296 =
																(BgL_classz00_9278 == BgL_oclassz00_9295);
															if (BgL__ortest_1296z00_9296)
																{	/* Eval/evaluate_comp.scm 935 */
																	BgL_res4531z00_9309 =
																		BgL__ortest_1296z00_9296;
																}
															else
																{	/* Eval/evaluate_comp.scm 935 */
																	long BgL_odepthz00_9297;

																	BgL_odepthz00_9297 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_9295);
																	if ((((long) 2) < BgL_odepthz00_9297))
																		{	/* Eval/evaluate_comp.scm 935 */
																			obj_t BgL_arg4401z00_9299;

																			BgL_arg4401z00_9299 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_9295, ((long) 2));
																			BgL_res4531z00_9309 =
																				(BgL_arg4401z00_9299 ==
																				BgL_classz00_9278);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 935 */
																			BgL_res4531z00_9309 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_arg4403z00_9284 = BgL_res4531z00_9309;
												}
												BgL_test5338z00_24727 =
													BGL_ISA_C_BACKEND(BgL_arg4402z00_9283,
													BgL_arg4403z00_9284);
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 935 */
											BgL_test5338z00_24727 = ((bool_t) 0);
										}
								}
								if (BgL_test5338z00_24727)
									{	/* Eval/evaluate_comp.scm 937 */
										obj_t BgL_gz00_3126;

										{	/* Eval/evaluate_comp.scm 937 */
											obj_t BgL_arg2708z00_3134;
											obj_t BgL_arg2709z00_3135;

											BgL_arg2708z00_3134 =
												(((BgL_ev_globalz00_bglt) COBJECT(
														((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_modz00);
											BgL_arg2709z00_3135 =
												(((BgL_ev_globalz00_bglt)
													COBJECT(((BgL_ev_globalz00_bglt) BgL_exprz00_187)))->
												BgL_namez00);
											BgL_gz00_3126 =
												BGl_evmodulezd2findzd2globalz00zz__evmodulez00
												(BgL_arg2708z00_3134, BgL_arg2709z00_3135);
										}
										if (CBOOL(BgL_gz00_3126))
											{	/* Eval/evaluate_comp.scm 939 */
												bool_t BgL_test5343z00_24753;

												{	/* Eval/evaluate_comp.scm 939 */
													int BgL_arg2705z00_3131;

													{	/* Eval/evaluate_comp.scm 939 */
														int BgL_res4532z00_9312;

														BgL_res4532z00_9312 =
															CINT(VECTOR_REF(
																((obj_t) BgL_gz00_3126), ((long) 0)));
														BgL_arg2705z00_3131 = BgL_res4532z00_9312;
													}
													BgL_test5343z00_24753 =
														(BINT(BgL_arg2705z00_3131) == BINT(((long) 1)));
												}
												if (BgL_test5343z00_24753)
													{	/* Eval/evaluate_comp.scm 940 */
														obj_t BgL_v1365z00_3129;

														BgL_v1365z00_3129 = create_vector(((long) 2));
														VECTOR_SET(BgL_v1365z00_3129, ((long) 0),
															BINT(((long) 4)));
														VECTOR_SET(BgL_v1365z00_3129, ((long) 1),
															BgL_gz00_3126);
														return BgL_v1365z00_3129;
													}
												else
													{	/* Eval/evaluate_comp.scm 941 */
														obj_t BgL_v1366z00_3130;

														BgL_v1366z00_3130 = create_vector(((long) 2));
														VECTOR_SET(BgL_v1366z00_3130, ((long) 0),
															BINT(((long) 5)));
														VECTOR_SET(BgL_v1366z00_3130, ((long) 1),
															BgL_gz00_3126);
														return BgL_v1366z00_3130;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 942 */
												obj_t BgL_v1367z00_3132;

												BgL_v1367z00_3132 = create_vector(((long) 2));
												VECTOR_SET(BgL_v1367z00_3132, ((long) 0),
													BINT(((long) 0)));
												{	/* Eval/evaluate_comp.scm 942 */
													obj_t BgL_arg2706z00_3133;

													BgL_arg2706z00_3133 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1367z00_3132, ((long) 1),
														BgL_arg2706z00_3133);
												}
												return BgL_v1367z00_3132;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 943 */
										bool_t BgL_test5344z00_24774;

										{	/* Eval/evaluate_comp.scm 943 */
											obj_t BgL_classz00_9319;

											BgL_classz00_9319 = BGl_ev_appz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_exprz00_187))
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_objectz00_bglt BgL_arg4405z00_9321;

													BgL_arg4405z00_9321 =
														(BgL_objectz00_bglt) (BgL_exprz00_187);
													{	/* Eval/evaluate_comp.scm 943 */
														bool_t BgL_arg4402z00_9324;
														bool_t BgL_arg4403z00_9325;

														{	/* Eval/evaluate_comp.scm 943 */
															long BgL_idxz00_9328;

															BgL_idxz00_9328 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg4405z00_9321);
															BgL_arg4402z00_9324 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_9328 + ((long) 2))) ==
																BgL_classz00_9319);
														}
														{	/* Eval/evaluate_comp.scm 943 */
															bool_t BgL_res4533z00_9350;

															{	/* Eval/evaluate_comp.scm 943 */
																obj_t BgL_oclassz00_9336;

																{	/* Eval/evaluate_comp.scm 943 */
																	long BgL_arg4412z00_9342;

																	{	/* Eval/evaluate_comp.scm 943 */
																		long BgL_arg4413z00_9343;

																		BgL_arg4413z00_9343 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg4405z00_9321);
																		BgL_arg4412z00_9342 =
																			(BgL_arg4413z00_9343 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_9336 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4412z00_9342);
																}
																{	/* Eval/evaluate_comp.scm 943 */
																	bool_t BgL__ortest_1296z00_9337;

																	BgL__ortest_1296z00_9337 =
																		(BgL_classz00_9319 == BgL_oclassz00_9336);
																	if (BgL__ortest_1296z00_9337)
																		{	/* Eval/evaluate_comp.scm 943 */
																			BgL_res4533z00_9350 =
																				BgL__ortest_1296z00_9337;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 943 */
																			long BgL_odepthz00_9338;

																			BgL_odepthz00_9338 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_9336);
																			if ((((long) 2) < BgL_odepthz00_9338))
																				{	/* Eval/evaluate_comp.scm 943 */
																					obj_t BgL_arg4401z00_9340;

																					BgL_arg4401z00_9340 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_9336, ((long) 2));
																					BgL_res4533z00_9350 =
																						(BgL_arg4401z00_9340 ==
																						BgL_classz00_9319);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 943 */
																					BgL_res4533z00_9350 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg4403z00_9325 = BgL_res4533z00_9350;
														}
														BgL_test5344z00_24774 =
															BGL_ISA_C_BACKEND(BgL_arg4402z00_9324,
															BgL_arg4403z00_9325);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 943 */
													BgL_test5344z00_24774 = ((bool_t) 0);
												}
										}
										if (BgL_test5344z00_24774)
											{	/* Eval/evaluate_comp.scm 945 */
												obj_t BgL_fvalz00_3138;

												{	/* Eval/evaluate_comp.scm 945 */
													BgL_ev_exprz00_bglt BgL_arg2789z00_3198;

													BgL_arg2789z00_3198 =
														(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
														BgL_funz00);
													BgL_fvalz00_3138 =
														BGl_globalzd2funzd2valuez00zz__evaluate_compz00
														(BgL_arg2789z00_3198);
												}
												if (
													(BgL_fvalz00_3138 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 947 */
														{	/* Eval/evaluate_comp.scm 948 */
															obj_t BgL_arg2712z00_3140;
															BgL_ev_exprz00_bglt BgL_arg2714z00_3141;
															obj_t BgL_arg2715z00_3142;

															BgL_arg2712z00_3140 =
																(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_exprz00_187)))->
																BgL_locz00);
															BgL_arg2714z00_3141 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_funz00);
															BgL_arg2715z00_3142 =
																(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_exprz00_187)))->BgL_argsz00);
															{	/* Eval/evaluate_comp.scm 921 */
																bool_t BgL_test5349z00_24804;

																if (PAIRP(BgL_arg2715z00_3142))
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5351z00_24807;

																		{	/* Eval/evaluate_comp.scm 921 */
																			obj_t BgL_tmpz00_24808;

																			BgL_tmpz00_24808 =
																				CDR(BgL_arg2715z00_3142);
																			BgL_test5351z00_24807 =
																				PAIRP(BgL_tmpz00_24808);
																		}
																		if (BgL_test5351z00_24807)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5349z00_24804 =
																					NULLP(CDR(CDR(BgL_arg2715z00_3142)));
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5349z00_24804 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 921 */
																		BgL_test5349z00_24804 = ((bool_t) 0);
																	}
																if (BgL_test5349z00_24804)
																	{	/* Eval/evaluate_comp.scm 921 */
																		BFALSE;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 922 */
																		long BgL_arg2821z00_9356;

																		BgL_arg2821z00_9356 =
																			bgl_list_length(BgL_arg2715z00_3142);
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_arg2712z00_3140,
																			((obj_t) BgL_arg2714z00_3141),
																			(int) (((long) 2)),
																			(int) (BgL_arg2821z00_9356));
														}}}
														{	/* Eval/evaluate_comp.scm 949 */
															obj_t BgL_v1368z00_3143;

															BgL_v1368z00_3143 = create_vector(((long) 3));
															VECTOR_SET(BgL_v1368z00_3143, ((long) 0),
																BINT(((long) 6)));
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2716z00_3144;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2717z00_3145;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9363;

																		BgL_pairz00_9363 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2717z00_3145 = CAR(BgL_pairz00_9363);
																	}
																	BgL_arg2716z00_3144 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2717z00_3145, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1368z00_3143, ((long) 1),
																	BgL_arg2716z00_3144);
															}
															{	/* Eval/evaluate_comp.scm 949 */
																obj_t BgL_arg2719z00_3147;

																{	/* Eval/evaluate_comp.scm 949 */
																	obj_t BgL_arg2720z00_3148;

																	{	/* Eval/evaluate_comp.scm 949 */
																		obj_t BgL_pairz00_9365;

																		BgL_pairz00_9365 =
																			(((BgL_ev_appz00_bglt) COBJECT(
																					((BgL_ev_appz00_bglt)
																						BgL_exprz00_187)))->BgL_argsz00);
																		BgL_arg2720z00_3148 =
																			CAR(CDR(BgL_pairz00_9365));
																	}
																	BgL_arg2719z00_3147 =
																		BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																		(BgL_arg2720z00_3148, BgL_stkz00_188);
																}
																VECTOR_SET(BgL_v1368z00_3143, ((long) 2),
																	BgL_arg2719z00_3147);
															}
															return BgL_v1368z00_3143;
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 947 */
														if (
															(BgL_fvalz00_3138 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 950 */
																{	/* Eval/evaluate_comp.scm 951 */
																	obj_t BgL_arg2723z00_3151;
																	BgL_ev_exprz00_bglt BgL_arg2724z00_3152;
																	obj_t BgL_arg2725z00_3153;

																	BgL_arg2723z00_3151 =
																		(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_locz00);
																	BgL_arg2724z00_3152 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_funz00);
																	BgL_arg2725z00_3153 =
																		(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_exprz00_187)))->BgL_argsz00);
																	{	/* Eval/evaluate_comp.scm 921 */
																		bool_t BgL_test5353z00_24841;

																		if (PAIRP(BgL_arg2725z00_3153))
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5355z00_24844;

																				{	/* Eval/evaluate_comp.scm 921 */
																					obj_t BgL_tmpz00_24845;

																					BgL_tmpz00_24845 =
																						CDR(BgL_arg2725z00_3153);
																					BgL_test5355z00_24844 =
																						PAIRP(BgL_tmpz00_24845);
																				}
																				if (BgL_test5355z00_24844)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5353z00_24841 =
																							NULLP(CDR(CDR
																								(BgL_arg2725z00_3153)));
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5353z00_24841 =
																							((bool_t) 0);
																					}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 921 */
																				BgL_test5353z00_24841 = ((bool_t) 0);
																			}
																		if (BgL_test5353z00_24841)
																			{	/* Eval/evaluate_comp.scm 921 */
																				BFALSE;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 922 */
																				long BgL_arg2821z00_9375;

																				BgL_arg2821z00_9375 =
																					bgl_list_length(BgL_arg2725z00_3153);
																				BGl_evarityzd2errorzd2zz__everrorz00
																					(BgL_arg2723z00_3151,
																					((obj_t) BgL_arg2724z00_3152),
																					(int) (((long) 2)),
																					(int) (BgL_arg2821z00_9375));
																}}}
																{	/* Eval/evaluate_comp.scm 952 */
																	obj_t BgL_v1369z00_3154;

																	BgL_v1369z00_3154 = create_vector(((long) 3));
																	VECTOR_SET(BgL_v1369z00_3154, ((long) 0),
																		BINT(((long) 7)));
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2726z00_3155;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2727z00_3156;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9382;

																				BgL_pairz00_9382 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2727z00_3156 =
																					CAR(BgL_pairz00_9382);
																			}
																			BgL_arg2726z00_3155 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2727z00_3156, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1369z00_3154, ((long) 1),
																			BgL_arg2726z00_3155);
																	}
																	{	/* Eval/evaluate_comp.scm 952 */
																		obj_t BgL_arg2730z00_3158;

																		{	/* Eval/evaluate_comp.scm 952 */
																			obj_t BgL_arg2735z00_3159;

																			{	/* Eval/evaluate_comp.scm 952 */
																				obj_t BgL_pairz00_9384;

																				BgL_pairz00_9384 =
																					(((BgL_ev_appz00_bglt) COBJECT(
																							((BgL_ev_appz00_bglt)
																								BgL_exprz00_187)))->
																					BgL_argsz00);
																				BgL_arg2735z00_3159 =
																					CAR(CDR(BgL_pairz00_9384));
																			}
																			BgL_arg2730z00_3158 =
																				BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																				(BgL_arg2735z00_3159, BgL_stkz00_188);
																		}
																		VECTOR_SET(BgL_v1369z00_3154, ((long) 2),
																			BgL_arg2730z00_3158);
																	}
																	return BgL_v1369z00_3154;
																}
															}
														else
															{	/* Eval/evaluate_comp.scm 950 */
																if (
																	(BgL_fvalz00_3138 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 953 */
																		{	/* Eval/evaluate_comp.scm 954 */
																			obj_t BgL_arg2738z00_3162;
																			BgL_ev_exprz00_bglt BgL_arg2740z00_3163;
																			obj_t BgL_arg2741z00_3164;

																			BgL_arg2738z00_3162 =
																				(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_locz00);
																			BgL_arg2740z00_3163 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_funz00);
																			BgL_arg2741z00_3164 =
																				(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_exprz00_187)))->BgL_argsz00);
																			{	/* Eval/evaluate_comp.scm 921 */
																				bool_t BgL_test5357z00_24878;

																				if (PAIRP(BgL_arg2741z00_3164))
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5359z00_24881;

																						{	/* Eval/evaluate_comp.scm 921 */
																							obj_t BgL_tmpz00_24882;

																							BgL_tmpz00_24882 =
																								CDR(BgL_arg2741z00_3164);
																							BgL_test5359z00_24881 =
																								PAIRP(BgL_tmpz00_24882);
																						}
																						if (BgL_test5359z00_24881)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5357z00_24878 =
																									NULLP(CDR(CDR
																										(BgL_arg2741z00_3164)));
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5357z00_24878 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 921 */
																						BgL_test5357z00_24878 =
																							((bool_t) 0);
																					}
																				if (BgL_test5357z00_24878)
																					{	/* Eval/evaluate_comp.scm 921 */
																						BFALSE;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 922 */
																						long BgL_arg2821z00_9394;

																						BgL_arg2821z00_9394 =
																							bgl_list_length
																							(BgL_arg2741z00_3164);
																						BGl_evarityzd2errorzd2zz__everrorz00
																							(BgL_arg2738z00_3162,
																							((obj_t) BgL_arg2740z00_3163),
																							(int) (((long) 2)),
																							(int) (BgL_arg2821z00_9394));
																		}}}
																		{	/* Eval/evaluate_comp.scm 955 */
																			obj_t BgL_v1370z00_3165;

																			BgL_v1370z00_3165 =
																				create_vector(((long) 3));
																			VECTOR_SET(BgL_v1370z00_3165, ((long) 0),
																				BINT(((long) 8)));
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2743z00_3166;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2744z00_3167;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9401;

																						BgL_pairz00_9401 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2744z00_3167 =
																							CAR(BgL_pairz00_9401);
																					}
																					BgL_arg2743z00_3166 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2744z00_3167,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1370z00_3165,
																					((long) 1), BgL_arg2743z00_3166);
																			}
																			{	/* Eval/evaluate_comp.scm 955 */
																				obj_t BgL_arg2746z00_3169;

																				{	/* Eval/evaluate_comp.scm 955 */
																					obj_t BgL_arg2747z00_3170;

																					{	/* Eval/evaluate_comp.scm 955 */
																						obj_t BgL_pairz00_9403;

																						BgL_pairz00_9403 =
																							(((BgL_ev_appz00_bglt) COBJECT(
																									((BgL_ev_appz00_bglt)
																										BgL_exprz00_187)))->
																							BgL_argsz00);
																						BgL_arg2747z00_3170 =
																							CAR(CDR(BgL_pairz00_9403));
																					}
																					BgL_arg2746z00_3169 =
																						BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																						(BgL_arg2747z00_3170,
																						BgL_stkz00_188);
																				}
																				VECTOR_SET(BgL_v1370z00_3165,
																					((long) 2), BgL_arg2746z00_3169);
																			}
																			return BgL_v1370z00_3165;
																		}
																	}
																else
																	{	/* Eval/evaluate_comp.scm 953 */
																		if (
																			(BgL_fvalz00_3138 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 956 */
																				{	/* Eval/evaluate_comp.scm 957 */
																					obj_t BgL_arg2751z00_3173;
																					BgL_ev_exprz00_bglt
																						BgL_arg2754z00_3174;
																					obj_t BgL_arg2762z00_3175;

																					BgL_arg2751z00_3173 =
																						(((BgL_ev_appz00_bglt) COBJECT(
																								((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_locz00);
																					BgL_arg2754z00_3174 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_funz00);
																					BgL_arg2762z00_3175 =
																						(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_exprz00_187)))->
																						BgL_argsz00);
																					{	/* Eval/evaluate_comp.scm 921 */
																						bool_t BgL_test5361z00_24915;

																						if (PAIRP(BgL_arg2762z00_3175))
																							{	/* Eval/evaluate_comp.scm 921 */
																								bool_t BgL_test5363z00_24918;

																								{	/* Eval/evaluate_comp.scm 921 */
																									obj_t BgL_tmpz00_24919;

																									BgL_tmpz00_24919 =
																										CDR(BgL_arg2762z00_3175);
																									BgL_test5363z00_24918 =
																										PAIRP(BgL_tmpz00_24919);
																								}
																								if (BgL_test5363z00_24918)
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5361z00_24915 =
																											NULLP(CDR(CDR
																												(BgL_arg2762z00_3175)));
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 921 */
																										BgL_test5361z00_24915 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 921 */
																								BgL_test5361z00_24915 =
																									((bool_t) 0);
																							}
																						if (BgL_test5361z00_24915)
																							{	/* Eval/evaluate_comp.scm 921 */
																								BFALSE;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 922 */
																								long BgL_arg2821z00_9413;

																								BgL_arg2821z00_9413 =
																									bgl_list_length
																									(BgL_arg2762z00_3175);
																								BGl_evarityzd2errorzd2zz__everrorz00
																									(BgL_arg2751z00_3173,
																									((obj_t) BgL_arg2754z00_3174),
																									(int) (((long) 2)),
																									(int) (BgL_arg2821z00_9413));
																				}}}
																				{	/* Eval/evaluate_comp.scm 958 */
																					obj_t BgL_v1371z00_3176;

																					BgL_v1371z00_3176 =
																						create_vector(((long) 3));
																					VECTOR_SET(BgL_v1371z00_3176,
																						((long) 0), BINT(((long) 9)));
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2767z00_3177;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2768z00_3178;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9420;

																								BgL_pairz00_9420 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2768z00_3178 =
																									CAR(BgL_pairz00_9420);
																							}
																							BgL_arg2767z00_3177 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2768z00_3178,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1371z00_3176,
																							((long) 1), BgL_arg2767z00_3177);
																					}
																					{	/* Eval/evaluate_comp.scm 958 */
																						obj_t BgL_arg2772z00_3180;

																						{	/* Eval/evaluate_comp.scm 958 */
																							obj_t BgL_arg2773z00_3181;

																							{	/* Eval/evaluate_comp.scm 958 */
																								obj_t BgL_pairz00_9422;

																								BgL_pairz00_9422 =
																									(((BgL_ev_appz00_bglt)
																										COBJECT((
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)))->
																									BgL_argsz00);
																								BgL_arg2773z00_3181 =
																									CAR(CDR(BgL_pairz00_9422));
																							}
																							BgL_arg2772z00_3180 =
																								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																								(BgL_arg2773z00_3181,
																								BgL_stkz00_188);
																						}
																						VECTOR_SET(BgL_v1371z00_3176,
																							((long) 2), BgL_arg2772z00_3180);
																					}
																					return BgL_v1371z00_3176;
																				}
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 956 */
																				if (
																					(BgL_fvalz00_3138 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 960 */
																						obj_t BgL_v1372z00_3184;

																						BgL_v1372z00_3184 =
																							create_vector(((long) 2));
																						VECTOR_SET(BgL_v1372z00_3184,
																							((long) 0), BINT(((long) 10)));
																						{	/* Eval/evaluate_comp.scm 960 */
																							obj_t BgL_arg2777z00_3185;

																							{	/* Eval/evaluate_comp.scm 960 */
																								obj_t BgL_arg2778z00_3186;

																								{	/* Eval/evaluate_comp.scm 960 */
																									obj_t BgL_pairz00_9428;

																									BgL_pairz00_9428 =
																										(((BgL_ev_appz00_bglt)
																											COBJECT((
																													(BgL_ev_appz00_bglt)
																													BgL_exprz00_187)))->
																										BgL_argsz00);
																									BgL_arg2778z00_3186 =
																										CAR(BgL_pairz00_9428);
																								}
																								BgL_arg2777z00_3185 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2778z00_3186),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1372z00_3184,
																								((long) 1),
																								BgL_arg2777z00_3185);
																						}
																						return BgL_v1372z00_3184;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 959 */
																						if (
																							(BgL_fvalz00_3138 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 962 */
																								obj_t BgL_v1373z00_3189;

																								BgL_v1373z00_3189 =
																									create_vector(((long) 3));
																								VECTOR_SET(BgL_v1373z00_3189,
																									((long) 0),
																									BINT(((long) 11)));
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2781z00_3190;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2782z00_3191;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9431;

																											BgL_pairz00_9431 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2782z00_3191 =
																												CAR(BgL_pairz00_9431);
																										}
																										BgL_arg2781z00_3190 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2782z00_3191),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1373z00_3189,
																										((long) 1),
																										BgL_arg2781z00_3190);
																								}
																								{	/* Eval/evaluate_comp.scm 962 */
																									obj_t BgL_arg2784z00_3193;

																									{	/* Eval/evaluate_comp.scm 962 */
																										obj_t BgL_arg2785z00_3194;

																										{	/* Eval/evaluate_comp.scm 962 */
																											obj_t BgL_pairz00_9433;

																											BgL_pairz00_9433 =
																												(((BgL_ev_appz00_bglt)
																													COBJECT((
																															(BgL_ev_appz00_bglt)
																															BgL_exprz00_187)))->
																												BgL_argsz00);
																											BgL_arg2785z00_3194 =
																												CAR(CDR
																												(BgL_pairz00_9433));
																										}
																										BgL_arg2784z00_3193 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2785z00_3194),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1373z00_3189,
																										((long) 2),
																										BgL_arg2784z00_3193);
																								}
																								return BgL_v1373z00_3189;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t BgL_v1374z00_3196;

																								BgL_v1374z00_3196 =
																									create_vector(((long) 2));
																								VECTOR_SET(BgL_v1374z00_3196,
																									((long) 0), BINT(((long) 0)));
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_arg2788z00_3197;

																									BgL_arg2788z00_3197 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_exprz00_187),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1374z00_3196,
																										((long) 1),
																										BgL_arg2788z00_3197);
																								}
																								return BgL_v1374z00_3196;
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 965 */
												obj_t BgL_v1375z00_3199;

												BgL_v1375z00_3199 = create_vector(((long) 2));
												VECTOR_SET(BgL_v1375z00_3199, ((long) 0),
													BINT(((long) 0)));
												{	/* Eval/evaluate_comp.scm 965 */
													obj_t BgL_arg2790z00_3200;

													BgL_arg2790z00_3200 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_exprz00_187),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1375z00_3199, ((long) 1),
														BgL_arg2790z00_3200);
												}
												return BgL_v1375z00_3199;
											}
									}
							}
					}
			}
		}

	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		{	/* Eval/evaluate_comp.scm 967 */
			return
				REAL_TO_DOUBLE(BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}

	}



/* E~0 */
	obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_15543,
		obj_t BgL_bcz00_3221)
	{
		{	/* Eval/evaluate_comp.scm 982 */
			{	/* Eval/evaluate_comp.scm 969 */
				obj_t BgL_aux1229z00_3224;

				BgL_aux1229z00_3224 = VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 0));
				if (INTEGERP(BgL_aux1229z00_3224))
					{	/* Eval/evaluate_comp.scm 969 */
						switch ((long) CINT(BgL_aux1229z00_3224))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 970 */
									obj_t BgL_fun2826z00_3226;

									BgL_fun2826z00_3226 =
										VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
									return
										PROCEDURE_ENTRY(BgL_fun2826z00_3226) (BgL_fun2826z00_3226,
										BgL_sz00_15543, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 972 */
									long BgL_arg2827z00_3227;

									{	/* Eval/evaluate_comp.scm 972 */
										obj_t BgL_arg2828z00_3228;
										obj_t BgL_arg2829z00_3229;

										BgL_arg2828z00_3228 =
											VECTOR_REF(((obj_t) BgL_sz00_15543), ((long) 0));
										BgL_arg2829z00_3229 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2827z00_3227 =
											(
											(long) CINT(BgL_arg2828z00_3228) +
											(long) CINT(BgL_arg2829z00_3229));
									}
									return
										VECTOR_REF(((obj_t) BgL_sz00_15543), BgL_arg2827z00_3227);
								}
								break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 973 */
									obj_t BgL_arg2830z00_3230;

									{	/* Eval/evaluate_comp.scm 973 */
										long BgL_arg2833z00_3231;

										{	/* Eval/evaluate_comp.scm 973 */
											obj_t BgL_arg2834z00_3232;
											obj_t BgL_arg2836z00_3233;

											BgL_arg2834z00_3232 =
												VECTOR_REF(((obj_t) BgL_sz00_15543), ((long) 0));
											BgL_arg2836z00_3233 =
												VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
											BgL_arg2833z00_3231 =
												(
												(long) CINT(BgL_arg2834z00_3232) +
												(long) CINT(BgL_arg2836z00_3233));
										}
										BgL_arg2830z00_3230 =
											VECTOR_REF(((obj_t) BgL_sz00_15543), BgL_arg2833z00_3231);
									}
									return
										STRUCT_REF(
										((obj_t) BgL_arg2830z00_3230), (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 974 */
									obj_t BgL_arg2837z00_3234;

									{	/* Eval/evaluate_comp.scm 974 */
										obj_t BgL_arg2838z00_3235;

										BgL_arg2838z00_3235 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2837z00_3234 =
											VECTOR_REF(((obj_t) BgL_arg2838z00_3235), ((long) 2));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2837z00_3234);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 975 */
									obj_t BgL_arg2839z00_3236;

									BgL_arg2839z00_3236 =
										VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
									return VECTOR_REF(((obj_t) BgL_arg2839z00_3236), ((long) 2));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 976 */
									obj_t BgL_arg2840z00_3237;
									obj_t BgL_arg2841z00_3238;

									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2842z00_3239;

										BgL_arg2842z00_3239 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2840z00_3237 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2842z00_3239);
									}
									{	/* Eval/evaluate_comp.scm 976 */
										obj_t BgL_arg2843z00_3240;

										BgL_arg2843z00_3240 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 2));
										BgL_arg2841z00_3238 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2843z00_3240);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2840z00_3237) +
											REAL_TO_DOUBLE(BgL_arg2841z00_3238)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 977 */
									obj_t BgL_arg2844z00_3241;
									obj_t BgL_arg2845z00_3242;

									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2846z00_3243;

										BgL_arg2846z00_3243 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2844z00_3241 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2846z00_3243);
									}
									{	/* Eval/evaluate_comp.scm 977 */
										obj_t BgL_arg2847z00_3244;

										BgL_arg2847z00_3244 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 2));
										BgL_arg2845z00_3242 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2847z00_3244);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2844z00_3241) -
											REAL_TO_DOUBLE(BgL_arg2845z00_3242)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 978 */
									obj_t BgL_arg2848z00_3245;
									obj_t BgL_arg2849z00_3246;

									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2850z00_3247;

										BgL_arg2850z00_3247 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2848z00_3245 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2850z00_3247);
									}
									{	/* Eval/evaluate_comp.scm 978 */
										obj_t BgL_arg2851z00_3248;

										BgL_arg2851z00_3248 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 2));
										BgL_arg2849z00_3246 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2851z00_3248);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2848z00_3245) *
											REAL_TO_DOUBLE(BgL_arg2849z00_3246)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 979 */
									obj_t BgL_arg2852z00_3249;
									obj_t BgL_arg2853z00_3250;

									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2854z00_3251;

										BgL_arg2854z00_3251 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2852z00_3249 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2854z00_3251);
									}
									{	/* Eval/evaluate_comp.scm 979 */
										obj_t BgL_arg2855z00_3252;

										BgL_arg2855z00_3252 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 2));
										BgL_arg2853z00_3250 =
											BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_15543,
											BgL_arg2855z00_3252);
									}
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2852z00_3249) /
											REAL_TO_DOUBLE(BgL_arg2853z00_3250)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 980 */
									obj_t BgL_arg2856z00_3253;

									{	/* Eval/evaluate_comp.scm 980 */
										obj_t BgL_fun2857z00_3254;

										BgL_fun2857z00_3254 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2856z00_3253 =
											PROCEDURE_ENTRY(BgL_fun2857z00_3254) (BgL_fun2857z00_3254,
											BgL_sz00_15543, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2856z00_3253)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 981 */
									obj_t BgL_arg2861z00_3255;
									obj_t BgL_arg2862z00_3256;

									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2863z00_3257;

										BgL_fun2863z00_3257 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 1));
										BgL_arg2861z00_3255 =
											PROCEDURE_ENTRY(BgL_fun2863z00_3257) (BgL_fun2863z00_3257,
											BgL_sz00_15543, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										obj_t BgL_fun2864z00_3258;

										BgL_fun2864z00_3258 =
											VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 2));
										BgL_arg2862z00_3256 =
											PROCEDURE_ENTRY(BgL_fun2864z00_3258) (BgL_fun2864z00_3258,
											BgL_sz00_15543, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 981 */
										double BgL_tmpz00_25090;

										{	/* Eval/evaluate_comp.scm 981 */
											long BgL_tmpz00_25091;

											BgL_tmpz00_25091 = (long) CINT(BgL_arg2862z00_3256);
											BgL_tmpz00_25090 =
												BGL_F64VREF(BgL_arg2861z00_3255, BgL_tmpz00_25091);
										}
										return DOUBLE_TO_REAL(BgL_tmpz00_25090);
									}
								}
								break;
							default:
								{	/* Eval/evaluate_comp.scm 982 */
									obj_t BgL_arg2865z00_9486;

									BgL_arg2865z00_9486 =
										VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 0));
									return
										BGl_errorz00zz__errorz00
										(BGl_string4678z00zz__evaluate_compz00,
										BGl_string4697z00zz__evaluate_compz00, BgL_arg2865z00_9486);
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 982 */
						obj_t BgL_arg2865z00_9488;

						BgL_arg2865z00_9488 =
							VECTOR_REF(((obj_t) BgL_bcz00_3221), ((long) 0));
						return
							BGl_errorz00zz__errorz00(BGl_string4678z00zz__evaluate_compz00,
							BGl_string4697z00zz__evaluate_compz00, BgL_arg2865z00_9488);
					}
			}
		}

	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		{	/* Eval/evaluate_comp.scm 985 */
			{	/* Eval/evaluate_comp.scm 987 */
				obj_t BgL_fvalz00_3262;

				BgL_fvalz00_3262 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) COBJECT(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 988 */
					bool_t BgL_test5367z00_25105;

					if (
						(BgL_fvalz00_3262 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 988 */
							BgL_test5367z00_25105 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							if (
								(BgL_fvalz00_3262 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 988 */
									BgL_test5367z00_25105 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 988 */
									if (
										(BgL_fvalz00_3262 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5367z00_25105 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 988 */
											BgL_test5367z00_25105 =
												(BgL_fvalz00_3262 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_test5367z00_25105)
						{	/* Eval/evaluate_comp.scm 989 */
							obj_t BgL_bcz00_3267;

							BgL_bcz00_3267 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 990 */
								obj_t BgL_zc3z04anonymousza32870ze3z87_13909;

								BgL_zc3z04anonymousza32870ze3z87_13909 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32870ze3z87_13909,
									(int) (((long) 0)), BgL_bcz00_3267);
								return BgL_zc3z04anonymousza32870ze3z87_13909;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 988 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:2870> */
	obj_t BGl_z62zc3z04anonymousza32870ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13910, obj_t BgL_sz00_13912)
	{
		{	/* Eval/evaluate_comp.scm 990 */
			{	/* Eval/evaluate_comp.scm 990 */
				obj_t BgL_bcz00_13911;

				BgL_bcz00_13911 =
					((obj_t) PROCEDURE_REF(BgL_envz00_13910, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 990 */
					double BgL_tmpz00_25123;

					{	/* Eval/evaluate_comp.scm 990 */
						obj_t BgL_bpz00_16623;

						BgL_bpz00_16623 = VECTOR_REF(((obj_t) BgL_sz00_13912), ((long) 0));
						BgL_tmpz00_25123 =
							BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_13911,
							BgL_sz00_13912);
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_25123);
				}
			}
		}

	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		{	/* Eval/evaluate_comp.scm 1019 */
			{	/* Eval/evaluate_comp.scm 1020 */
				obj_t BgL_valz00_3275;

				BgL_valz00_3275 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_3275))
					{	/* Eval/evaluate_comp.scm 1022 */
						long BgL_nz00_3276;

						BgL_nz00_3276 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 1023 */
							obj_t BgL__ortest_1235z00_3277;

							if ((BgL_nz00_3276 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 1024 */
									obj_t BgL_a1z00_3568;

									BgL_a1z00_3568 = CAR(((obj_t) BgL_argsz00_195));
									if (
										(BgL_valz00_3275 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 1025 */
											obj_t BgL_a1z00_3570;

											BgL_a1z00_3570 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3568), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 1025 */
												obj_t BgL_zc3z04anonymousza32987ze3z87_13942;

												BgL_zc3z04anonymousza32987ze3z87_13942 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3z04anonymousza32987ze3z87_13942,
													(int) (((long) 0)), BgL_a1z00_3570);
												PROCEDURE_SET(BgL_zc3z04anonymousza32987ze3z87_13942,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1235z00_3277 =
													BgL_zc3z04anonymousza32987ze3z87_13942;
										}}
									else
										{	/* Eval/evaluate_comp.scm 1025 */
											if (
												(BgL_valz00_3275 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 1025 */
													obj_t BgL_a1z00_3577;

													BgL_a1z00_3577 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3568),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1025 */
														obj_t BgL_zc3z04anonymousza32990ze3z87_13943;

														BgL_zc3z04anonymousza32990ze3z87_13943 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32990ze3ze5zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32990ze3z87_13943,
															(int) (((long) 0)), BgL_a1z00_3577);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32990ze3z87_13943,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1235z00_3277 =
															BgL_zc3z04anonymousza32990ze3z87_13943;
												}}
											else
												{	/* Eval/evaluate_comp.scm 1025 */
													if (
														(BgL_valz00_3275 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 1025 */
															obj_t BgL_a1z00_3584;

															BgL_a1z00_3584 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3568),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1025 */
																obj_t BgL_zc3z04anonymousza32993ze3z87_13944;

																BgL_zc3z04anonymousza32993ze3z87_13944 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32993ze3z87_13944,
																	(int) (((long) 0)), BgL_a1z00_3584);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32993ze3z87_13944,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1235z00_3277 =
																	BgL_zc3z04anonymousza32993ze3z87_13944;
														}}
													else
														{	/* Eval/evaluate_comp.scm 1025 */
															BgL__ortest_1235z00_3277 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									BgL__ortest_1235z00_3277 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1235z00_3277))
								{	/* Eval/evaluate_comp.scm 1023 */
									return BgL__ortest_1235z00_3277;
								}
							else
								{	/* Eval/evaluate_comp.scm 1023 */
									if ((BgL_nz00_3276 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_a1z00_3279;
											obj_t BgL_a2z00_3280;

											BgL_a1z00_3279 = CAR(((obj_t) BgL_argsz00_195));
											{	/* Eval/evaluate_comp.scm 1027 */
												obj_t BgL_pairz00_9513;

												BgL_pairz00_9513 = CDR(((obj_t) BgL_argsz00_195));
												BgL_a2z00_3280 = CAR(BgL_pairz00_9513);
											}
											if (
												(BgL_valz00_3275 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1028 */
													obj_t BgL_a1z00_3282;
													obj_t BgL_a2z00_3283;

													BgL_a1z00_3282 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3279),
														BgL_stkz00_196);
													BgL_a2z00_3283 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_3280),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1028 */
														obj_t BgL_zc3z04anonymousza32874ze3z87_13913;

														BgL_zc3z04anonymousza32874ze3z87_13913 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32874ze3z87_13913,
															(int) (((long) 0)), BgL_a1z00_3282);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32874ze3z87_13913,
															(int) (((long) 1)), BgL_a2z00_3283);
														PROCEDURE_SET
															(BgL_zc3z04anonymousza32874ze3z87_13913,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3z04anonymousza32874ze3z87_13913;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1028 */
													if (
														(BgL_valz00_3275 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1028 */
															obj_t BgL_a1z00_3292;
															obj_t BgL_a2z00_3293;

															BgL_a1z00_3292 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3279),
																BgL_stkz00_196);
															BgL_a2z00_3293 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_3280),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1028 */
																obj_t BgL_zc3z04anonymousza32878ze3z87_13914;

																BgL_zc3z04anonymousza32878ze3z87_13914 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32878ze3z87_13914,
																	(int) (((long) 0)), BgL_a1z00_3292);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32878ze3z87_13914,
																	(int) (((long) 1)), BgL_a2z00_3293);
																PROCEDURE_SET
																	(BgL_zc3z04anonymousza32878ze3z87_13914,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3z04anonymousza32878ze3z87_13914;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1028 */
															if (
																(BgL_valz00_3275 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1028 */
																	obj_t BgL_a1z00_3302;
																	obj_t BgL_a2z00_3303;

																	BgL_a1z00_3302 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_3279),
																		BgL_stkz00_196);
																	BgL_a2z00_3303 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_3280),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1028 */
																		obj_t
																			BgL_zc3z04anonymousza32882ze3z87_13915;
																		BgL_zc3z04anonymousza32882ze3z87_13915 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32882ze3z87_13915,
																			(int) (((long) 0)), BgL_a1z00_3302);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32882ze3z87_13915,
																			(int) (((long) 1)), BgL_a2z00_3303);
																		PROCEDURE_SET
																			(BgL_zc3z04anonymousza32882ze3z87_13915,
																			(int) (((long) 2)), BgL_locz00_193);
																		return
																			BgL_zc3z04anonymousza32882ze3z87_13915;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1028 */
																	if (
																		(BgL_valz00_3275 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1028 */
																			obj_t BgL_a1z00_3312;
																			obj_t BgL_a2z00_3313;

																			BgL_a1z00_3312 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_3279),
																				BgL_stkz00_196);
																			BgL_a2z00_3313 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_3280),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1028 */
																				obj_t
																					BgL_zc3z04anonymousza32886ze3z87_13916;
																				BgL_zc3z04anonymousza32886ze3z87_13916 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3z04anonymousza32886ze3ze5zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32886ze3z87_13916,
																					(int) (((long) 0)), BgL_a1z00_3312);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32886ze3z87_13916,
																					(int) (((long) 1)), BgL_a2z00_3313);
																				PROCEDURE_SET
																					(BgL_zc3z04anonymousza32886ze3z87_13916,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3z04anonymousza32886ze3z87_13916;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1028 */
																			if (
																				(BgL_valz00_3275 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1028 */
																					obj_t BgL_a1z00_3322;
																					obj_t BgL_a2z00_3323;

																					BgL_a1z00_3322 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_3279), BgL_stkz00_196);
																					BgL_a2z00_3323 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_3280), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1028 */
																						obj_t
																							BgL_zc3z04anonymousza32890ze3z87_13917;
																						BgL_zc3z04anonymousza32890ze3z87_13917
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32890ze3z87_13917,
																							(int) (((long) 0)),
																							BgL_a1z00_3322);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32890ze3z87_13917,
																							(int) (((long) 1)),
																							BgL_a2z00_3323);
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32890ze3z87_13917,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3z04anonymousza32890ze3z87_13917;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1028 */
																					if (
																						(BgL_valz00_3275 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1028 */
																							obj_t BgL_a1z00_3332;
																							obj_t BgL_a2z00_3333;

																							BgL_a1z00_3332 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_3279),
																								BgL_stkz00_196);
																							BgL_a2z00_3333 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_3280),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1028 */
																								obj_t
																									BgL_zc3z04anonymousza32894ze3z87_13918;
																								BgL_zc3z04anonymousza32894ze3z87_13918
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32894ze3z87_13918,
																									(int) (((long) 0)),
																									BgL_a1z00_3332);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32894ze3z87_13918,
																									(int) (((long) 1)),
																									BgL_a2z00_3333);
																								PROCEDURE_SET
																									(BgL_zc3z04anonymousza32894ze3z87_13918,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3z04anonymousza32894ze3z87_13918;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1028 */
																							if (
																								(BgL_valz00_3275 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1028 */
																									obj_t BgL_a1z00_3342;
																									obj_t BgL_a2z00_3343;

																									BgL_a1z00_3342 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_3279),
																										BgL_stkz00_196);
																									BgL_a2z00_3343 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_3280),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1028 */
																										obj_t
																											BgL_zc3z04anonymousza32898ze3z87_13919;
																										BgL_zc3z04anonymousza32898ze3z87_13919
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3z04anonymousza32898ze3ze5zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32898ze3z87_13919,
																											(int) (((long) 0)),
																											BgL_a1z00_3342);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32898ze3z87_13919,
																											(int) (((long) 1)),
																											BgL_a2z00_3343);
																										PROCEDURE_SET
																											(BgL_zc3z04anonymousza32898ze3z87_13919,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3z04anonymousza32898ze3z87_13919;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1028 */
																									if (
																										(BgL_valz00_3275 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1028 */
																											obj_t BgL_a1z00_3352;
																											obj_t BgL_a2z00_3353;

																											BgL_a1z00_3352 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_3279),
																												BgL_stkz00_196);
																											BgL_a2z00_3353 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_3280),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1028 */
																												obj_t
																													BgL_zc3z04anonymousza32902ze3z87_13920;
																												BgL_zc3z04anonymousza32902ze3z87_13920
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3z04anonymousza32902ze3ze5zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32902ze3z87_13920,
																													(int) (((long) 0)),
																													BgL_a1z00_3352);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32902ze3z87_13920,
																													(int) (((long) 1)),
																													BgL_a2z00_3353);
																												PROCEDURE_SET
																													(BgL_zc3z04anonymousza32902ze3z87_13920,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3z04anonymousza32902ze3z87_13920;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1028 */
																											if (
																												(BgL_valz00_3275 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1028 */
																													obj_t BgL_a1z00_3362;
																													obj_t BgL_a2z00_3363;

																													BgL_a1z00_3362 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																													BgL_a2z00_3363 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1028 */
																														obj_t
																															BgL_zc3z04anonymousza32906ze3z87_13921;
																														BgL_zc3z04anonymousza32906ze3z87_13921
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32906ze3z87_13921,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_3362);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32906ze3z87_13921,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_3363);
																														PROCEDURE_SET
																															(BgL_zc3z04anonymousza32906ze3z87_13921,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3z04anonymousza32906ze3z87_13921;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1028 */
																													if (
																														(BgL_valz00_3275 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1028 */
																															obj_t
																																BgL_a1z00_3372;
																															obj_t
																																BgL_a2z00_3373;
																															BgL_a1z00_3372 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																															BgL_a2z00_3373 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1028 */
																																obj_t
																																	BgL_zc3z04anonymousza32910ze3z87_13922;
																																BgL_zc3z04anonymousza32910ze3z87_13922
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32910ze3z87_13922,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_3372);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32910ze3z87_13922,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_3373);
																																PROCEDURE_SET
																																	(BgL_zc3z04anonymousza32910ze3z87_13922,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3z04anonymousza32910ze3z87_13922;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1028 */
																															if (
																																(BgL_valz00_3275
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	obj_t
																																		BgL_a1z00_3382;
																																	obj_t
																																		BgL_a2z00_3383;
																																	BgL_a1z00_3382
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																	BgL_a2z00_3383
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1028 */
																																		obj_t
																																			BgL_zc3z04anonymousza32914ze3z87_13923;
																																		BgL_zc3z04anonymousza32914ze3z87_13923
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32914ze3z87_13923,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_3382);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32914ze3z87_13923,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_3383);
																																		PROCEDURE_SET
																																			(BgL_zc3z04anonymousza32914ze3z87_13923,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3z04anonymousza32914ze3z87_13923;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1028 */
																																	if (
																																		(BgL_valz00_3275
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			obj_t
																																				BgL_a1z00_3392;
																																			obj_t
																																				BgL_a2z00_3393;
																																			BgL_a1z00_3392
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																			BgL_a2z00_3393
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1028 */
																																				obj_t
																																					BgL_zc3z04anonymousza32918ze3z87_13924;
																																				BgL_zc3z04anonymousza32918ze3z87_13924
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3z04anonymousza32918ze3ze5zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32918ze3z87_13924,
																																					(int)
																																					(((long) 0)), BgL_a1z00_3392);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32918ze3z87_13924,
																																					(int)
																																					(((long) 1)), BgL_a2z00_3393);
																																				PROCEDURE_SET
																																					(BgL_zc3z04anonymousza32918ze3z87_13924,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3z04anonymousza32918ze3z87_13924;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1028 */
																																			if (
																																				(BgL_valz00_3275
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					obj_t
																																						BgL_a1z00_3402;
																																					obj_t
																																						BgL_a2z00_3403;
																																					BgL_a1z00_3402
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																					BgL_a2z00_3403
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1028 */
																																						obj_t
																																							BgL_zc3z04anonymousza32922ze3z87_13925;
																																						BgL_zc3z04anonymousza32922ze3z87_13925
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3z04anonymousza32922ze3ze5zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32922ze3z87_13925,
																																							(int)
																																							(((long) 0)), BgL_a1z00_3402);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32922ze3z87_13925,
																																							(int)
																																							(((long) 1)), BgL_a2z00_3403);
																																						PROCEDURE_SET
																																							(BgL_zc3z04anonymousza32922ze3z87_13925,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3z04anonymousza32922ze3z87_13925;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1028 */
																																					if (
																																						(BgL_valz00_3275
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							obj_t
																																								BgL_a1z00_3412;
																																							obj_t
																																								BgL_a2z00_3413;
																																							BgL_a1z00_3412
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																							BgL_a2z00_3413
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1028 */
																																								obj_t
																																									BgL_zc3z04anonymousza32926ze3z87_13926;
																																								BgL_zc3z04anonymousza32926ze3z87_13926
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3z04anonymousza32926ze3ze5zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32926ze3z87_13926,
																																									(int)
																																									(((long) 0)), BgL_a1z00_3412);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32926ze3z87_13926,
																																									(int)
																																									(((long) 1)), BgL_a2z00_3413);
																																								PROCEDURE_SET
																																									(BgL_zc3z04anonymousza32926ze3z87_13926,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3z04anonymousza32926ze3z87_13926;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1028 */
																																							if ((BgL_valz00_3275 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									obj_t
																																										BgL_a1z00_3422;
																																									obj_t
																																										BgL_a2z00_3423;
																																									BgL_a1z00_3422
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																									BgL_a2z00_3423
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1028 */
																																										obj_t
																																											BgL_zc3z04anonymousza32930ze3z87_13927;
																																										BgL_zc3z04anonymousza32930ze3z87_13927
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32930ze3z87_13927,
																																											(int)
																																											(((long) 0)), BgL_a1z00_3422);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32930ze3z87_13927,
																																											(int)
																																											(((long) 1)), BgL_a2z00_3423);
																																										PROCEDURE_SET
																																											(BgL_zc3z04anonymousza32930ze3z87_13927,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3z04anonymousza32930ze3z87_13927;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1028 */
																																									if ((BgL_valz00_3275 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											obj_t
																																												BgL_a1z00_3432;
																																											obj_t
																																												BgL_a2z00_3433;
																																											BgL_a1z00_3432
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																											BgL_a2z00_3433
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1028 */
																																												obj_t
																																													BgL_zc3z04anonymousza32934ze3z87_13928;
																																												BgL_zc3z04anonymousza32934ze3z87_13928
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32934ze3z87_13928,
																																													(int)
																																													(((long) 0)), BgL_a1z00_3432);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32934ze3z87_13928,
																																													(int)
																																													(((long) 1)), BgL_a2z00_3433);
																																												PROCEDURE_SET
																																													(BgL_zc3z04anonymousza32934ze3z87_13928,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3z04anonymousza32934ze3z87_13928;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1028 */
																																											if ((BgL_valz00_3275 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													obj_t
																																														BgL_a1z00_3442;
																																													obj_t
																																														BgL_a2z00_3443;
																																													BgL_a1z00_3442
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																													BgL_a2z00_3443
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1028 */
																																														obj_t
																																															BgL_zc3z04anonymousza32938ze3z87_13929;
																																														BgL_zc3z04anonymousza32938ze3z87_13929
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3z04anonymousza32938ze3ze5zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32938ze3z87_13929,
																																															(int)
																																															(((long) 0)), BgL_a1z00_3442);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32938ze3z87_13929,
																																															(int)
																																															(((long) 1)), BgL_a2z00_3443);
																																														PROCEDURE_SET
																																															(BgL_zc3z04anonymousza32938ze3z87_13929,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3z04anonymousza32938ze3z87_13929;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1028 */
																																													if ((BgL_valz00_3275 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															obj_t
																																																BgL_a1z00_3452;
																																															obj_t
																																																BgL_a2z00_3453;
																																															BgL_a1z00_3452
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																															BgL_a2z00_3453
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																obj_t
																																																	BgL_zc3z04anonymousza32942ze3z87_13930;
																																																BgL_zc3z04anonymousza32942ze3z87_13930
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32942ze3z87_13930,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_3452);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32942ze3z87_13930,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_3453);
																																																PROCEDURE_SET
																																																	(BgL_zc3z04anonymousza32942ze3z87_13930,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3z04anonymousza32942ze3z87_13930;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1028 */
																																															if ((BgL_valz00_3275 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	obj_t
																																																		BgL_a1z00_3462;
																																																	obj_t
																																																		BgL_a2z00_3463;
																																																	BgL_a1z00_3462
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																	BgL_a2z00_3463
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																		obj_t
																																																			BgL_zc3z04anonymousza32946ze3z87_13931;
																																																		BgL_zc3z04anonymousza32946ze3z87_13931
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3z04anonymousza32946ze3ze5zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32946ze3z87_13931,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_3462);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32946ze3z87_13931,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_3463);
																																																		PROCEDURE_SET
																																																			(BgL_zc3z04anonymousza32946ze3z87_13931,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3z04anonymousza32946ze3z87_13931;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																	if ((BgL_valz00_3275 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			obj_t
																																																				BgL_a1z00_3472;
																																																			obj_t
																																																				BgL_a2z00_3473;
																																																			BgL_a1z00_3472
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																			BgL_a2z00_3473
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																				obj_t
																																																					BgL_zc3z04anonymousza32950ze3z87_13932;
																																																				BgL_zc3z04anonymousza32950ze3z87_13932
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32950ze3z87_13932,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_3472);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32950ze3z87_13932,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_3473);
																																																				PROCEDURE_SET
																																																					(BgL_zc3z04anonymousza32950ze3z87_13932,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3z04anonymousza32950ze3z87_13932;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																			if ((BgL_valz00_3275 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					obj_t
																																																						BgL_a1z00_3482;
																																																					obj_t
																																																						BgL_a2z00_3483;
																																																					BgL_a1z00_3482
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																					BgL_a2z00_3483
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																						obj_t
																																																							BgL_zc3z04anonymousza32954ze3z87_13933;
																																																						BgL_zc3z04anonymousza32954ze3z87_13933
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3z04anonymousza32954ze3ze5zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32954ze3z87_13933,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_3482);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32954ze3z87_13933,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_3483);
																																																						PROCEDURE_SET
																																																							(BgL_zc3z04anonymousza32954ze3z87_13933,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3z04anonymousza32954ze3z87_13933;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																					if ((BgL_valz00_3275 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							obj_t
																																																								BgL_a1z00_3492;
																																																							obj_t
																																																								BgL_a2z00_3493;
																																																							BgL_a1z00_3492
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																							BgL_a2z00_3493
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1028 */
																																																								obj_t
																																																									BgL_zc3z04anonymousza32958ze3z87_13934;
																																																								BgL_zc3z04anonymousza32958ze3z87_13934
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32958ze3z87_13934,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_3492);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32958ze3z87_13934,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_3493);
																																																								PROCEDURE_SET
																																																									(BgL_zc3z04anonymousza32958ze3z87_13934,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3z04anonymousza32958ze3z87_13934;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1028 */
																																																							if ((BgL_valz00_3275 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									obj_t
																																																										BgL_a1z00_3502;
																																																									obj_t
																																																										BgL_a2z00_3503;
																																																									BgL_a1z00_3502
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																									BgL_a2z00_3503
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1028 */
																																																										obj_t
																																																											BgL_zc3z04anonymousza32962ze3z87_13935;
																																																										BgL_zc3z04anonymousza32962ze3z87_13935
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3z04anonymousza32962ze3ze5zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32962ze3z87_13935,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_3502);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32962ze3z87_13935,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_3503);
																																																										PROCEDURE_SET
																																																											(BgL_zc3z04anonymousza32962ze3z87_13935,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3z04anonymousza32962ze3z87_13935;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1028 */
																																																									if ((BgL_valz00_3275 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											obj_t
																																																												BgL_a1z00_3512;
																																																											obj_t
																																																												BgL_a2z00_3513;
																																																											BgL_a1z00_3512
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																											BgL_a2z00_3513
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1028 */
																																																												obj_t
																																																													BgL_zc3z04anonymousza32966ze3z87_13936;
																																																												BgL_zc3z04anonymousza32966ze3z87_13936
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32966ze3z87_13936,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_3512);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32966ze3z87_13936,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_3513);
																																																												PROCEDURE_SET
																																																													(BgL_zc3z04anonymousza32966ze3z87_13936,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3z04anonymousza32966ze3z87_13936;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1028 */
																																																											if ((BgL_valz00_3275 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													obj_t
																																																														BgL_a1z00_3522;
																																																													obj_t
																																																														BgL_a2z00_3523;
																																																													BgL_a1z00_3522
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																													BgL_a2z00_3523
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1028 */
																																																														obj_t
																																																															BgL_zc3z04anonymousza32970ze3z87_13937;
																																																														BgL_zc3z04anonymousza32970ze3z87_13937
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32970ze3z87_13937,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3522);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32970ze3z87_13937,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3523);
																																																														PROCEDURE_SET
																																																															(BgL_zc3z04anonymousza32970ze3z87_13937,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3z04anonymousza32970ze3z87_13937;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1028 */
																																																													if ((BgL_valz00_3275 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															obj_t
																																																																BgL_a1z00_3532;
																																																															obj_t
																																																																BgL_a2z00_3533;
																																																															BgL_a1z00_3532
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																															BgL_a2z00_3533
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1028 */
																																																																obj_t
																																																																	BgL_zc3z04anonymousza32974ze3z87_13938;
																																																																BgL_zc3z04anonymousza32974ze3z87_13938
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32974ze3z87_13938,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3532);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32974ze3z87_13938,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3533);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3z04anonymousza32974ze3z87_13938,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3z04anonymousza32974ze3z87_13938;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1028 */
																																																															if ((BgL_valz00_3275 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	obj_t
																																																																		BgL_a1z00_3542;
																																																																	obj_t
																																																																		BgL_a2z00_3543;
																																																																	BgL_a1z00_3542
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																																	BgL_a2z00_3543
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1028 */
																																																																		obj_t
																																																																			BgL_zc3z04anonymousza32978ze3z87_13939;
																																																																		BgL_zc3z04anonymousza32978ze3z87_13939
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32978ze3z87_13939,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3542);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32978ze3z87_13939,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3543);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3z04anonymousza32978ze3z87_13939,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3z04anonymousza32978ze3z87_13939;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1028 */
																																																																	if ((BgL_valz00_3275 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			obj_t
																																																																				BgL_a1z00_3552;
																																																																			obj_t
																																																																				BgL_a2z00_3553;
																																																																			BgL_a1z00_3552
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																																			BgL_a2z00_3553
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1028 */
																																																																				obj_t
																																																																					BgL_zc3z04anonymousza32982ze3z87_13940;
																																																																				BgL_zc3z04anonymousza32982ze3z87_13940
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32982ze3z87_13940,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3552);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3z04anonymousza32982ze3z87_13940,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3553);
																																																																				return
																																																																					BgL_zc3z04anonymousza32982ze3z87_13940;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1028 */
																																																																			if ((BgL_valz00_3275 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					obj_t
																																																																						BgL_a1z00_3560;
																																																																					obj_t
																																																																						BgL_a2z00_3561;
																																																																					BgL_a1z00_3560
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_3279), BgL_stkz00_196);
																																																																					BgL_a2z00_3561
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_3280), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1028 */
																																																																						obj_t
																																																																							BgL_zc3z04anonymousza32984ze3z87_13941;
																																																																						BgL_zc3z04anonymousza32984ze3z87_13941
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32984ze3z87_13941,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3560);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3z04anonymousza32984ze3z87_13941,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3561);
																																																																						return
																																																																							BgL_zc3z04anonymousza32984ze3z87_13941;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1028 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 1026 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 1021 */
						return BFALSE;
					}
			}
		}

	}



/* &<@anonymous:2874> */
	obj_t BGl_z62zc3z04anonymousza32874ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13945, obj_t BgL_sz00_13949)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13946;
				obj_t BgL_a2z00_13947;
				obj_t BgL_locz00_13948;

				BgL_a1z00_13946 = PROCEDURE_REF(BgL_envz00_13945, (int) (((long) 0)));
				BgL_a2z00_13947 = PROCEDURE_REF(BgL_envz00_13945, (int) (((long) 1)));
				BgL_locz00_13948 = PROCEDURE_REF(BgL_envz00_13945, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16624;

					BgL_bpz00_16624 = VECTOR_REF(((obj_t) BgL_sz00_13949), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16625;
						obj_t BgL_a2z00_16626;

						BgL_a1z00_16625 =
							PROCEDURE_ENTRY(BgL_a1z00_13946) (BgL_a1z00_13946, BgL_sz00_13949,
							BEOA);
						BgL_a2z00_16626 =
							PROCEDURE_ENTRY(BgL_a2z00_13947) (BgL_a2z00_13947, BgL_sz00_13949,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16625))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4698z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16625,
									BgL_locz00_13948);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16626))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4698z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16626,
									BgL_locz00_13948);
							}
						return
							BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_16625,
							BgL_a2z00_16626);
					}
				}
			}
		}

	}



/* &<@anonymous:2878> */
	obj_t BGl_z62zc3z04anonymousza32878ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13950, obj_t BgL_sz00_13954)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13951;
				obj_t BgL_a2z00_13952;
				obj_t BgL_locz00_13953;

				BgL_a1z00_13951 = PROCEDURE_REF(BgL_envz00_13950, (int) (((long) 0)));
				BgL_a2z00_13952 = PROCEDURE_REF(BgL_envz00_13950, (int) (((long) 1)));
				BgL_locz00_13953 = PROCEDURE_REF(BgL_envz00_13950, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16627;

					BgL_bpz00_16627 = VECTOR_REF(((obj_t) BgL_sz00_13954), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16628;
						obj_t BgL_a2z00_16629;

						BgL_a1z00_16628 =
							PROCEDURE_ENTRY(BgL_a1z00_13951) (BgL_a1z00_13951, BgL_sz00_13954,
							BEOA);
						BgL_a2z00_16629 =
							PROCEDURE_ENTRY(BgL_a2z00_13952) (BgL_a2z00_13952, BgL_sz00_13954,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16628))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4702z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16628,
									BgL_locz00_13953);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16629))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4702z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16629,
									BgL_locz00_13953);
							}
						return
							BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_16628,
							BgL_a2z00_16629);
					}
				}
			}
		}

	}



/* &<@anonymous:2882> */
	obj_t BGl_z62zc3z04anonymousza32882ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13955, obj_t BgL_sz00_13959)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13956;
				obj_t BgL_a2z00_13957;
				obj_t BgL_locz00_13958;

				BgL_a1z00_13956 = PROCEDURE_REF(BgL_envz00_13955, (int) (((long) 0)));
				BgL_a2z00_13957 = PROCEDURE_REF(BgL_envz00_13955, (int) (((long) 1)));
				BgL_locz00_13958 = PROCEDURE_REF(BgL_envz00_13955, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16630;

					BgL_bpz00_16630 = VECTOR_REF(((obj_t) BgL_sz00_13959), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16631;
						obj_t BgL_a2z00_16632;

						BgL_a1z00_16631 =
							PROCEDURE_ENTRY(BgL_a1z00_13956) (BgL_a1z00_13956, BgL_sz00_13959,
							BEOA);
						BgL_a2z00_16632 =
							PROCEDURE_ENTRY(BgL_a2z00_13957) (BgL_a2z00_13957, BgL_sz00_13959,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16631))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4704z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16631,
									BgL_locz00_13958);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16632))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4704z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16632,
									BgL_locz00_13958);
							}
						return
							BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_16631,
							BgL_a2z00_16632);
					}
				}
			}
		}

	}



/* &<@anonymous:2886> */
	obj_t BGl_z62zc3z04anonymousza32886ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13960, obj_t BgL_sz00_13964)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13961;
				obj_t BgL_a2z00_13962;
				obj_t BgL_locz00_13963;

				BgL_a1z00_13961 = PROCEDURE_REF(BgL_envz00_13960, (int) (((long) 0)));
				BgL_a2z00_13962 = PROCEDURE_REF(BgL_envz00_13960, (int) (((long) 1)));
				BgL_locz00_13963 = PROCEDURE_REF(BgL_envz00_13960, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16633;

					BgL_bpz00_16633 = VECTOR_REF(((obj_t) BgL_sz00_13964), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16634;
						obj_t BgL_a2z00_16635;

						BgL_a1z00_16634 =
							PROCEDURE_ENTRY(BgL_a1z00_13961) (BgL_a1z00_13961, BgL_sz00_13964,
							BEOA);
						BgL_a2z00_16635 =
							PROCEDURE_ENTRY(BgL_a2z00_13962) (BgL_a2z00_13962, BgL_sz00_13964,
							BEOA);
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16634))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4706z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16634,
									BgL_locz00_13963);
							}
						if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16635))
							{	/* Eval/evaluate_comp.scm 1028 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1028 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4706z00zz__evaluate_compz00,
									BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16635,
									BgL_locz00_13963);
							}
						return
							BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_16634,
							BgL_a2z00_16635);
					}
				}
			}
		}

	}



/* &<@anonymous:2890> */
	obj_t BGl_z62zc3z04anonymousza32890ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13965, obj_t BgL_sz00_13969)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13966;
				obj_t BgL_a2z00_13967;
				obj_t BgL_locz00_13968;

				BgL_a1z00_13966 = PROCEDURE_REF(BgL_envz00_13965, (int) (((long) 0)));
				BgL_a2z00_13967 = PROCEDURE_REF(BgL_envz00_13965, (int) (((long) 1)));
				BgL_locz00_13968 = PROCEDURE_REF(BgL_envz00_13965, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25707;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16636;

						BgL_bpz00_16636 = VECTOR_REF(((obj_t) BgL_sz00_13969), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16637;
							obj_t BgL_a2z00_16638;

							BgL_a1z00_16637 =
								PROCEDURE_ENTRY(BgL_a1z00_13966) (BgL_a1z00_13966,
								BgL_sz00_13969, BEOA);
							BgL_a2z00_16638 =
								PROCEDURE_ENTRY(BgL_a2z00_13967) (BgL_a2z00_13967,
								BgL_sz00_13969, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16637))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4708z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16637,
										BgL_locz00_13968);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16638))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4708z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16638,
										BgL_locz00_13968);
								}
							BgL_tmpz00_25707 =
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_16637,
								BgL_a2z00_16638);
						}
					}
					return BBOOL(BgL_tmpz00_25707);
				}
			}
		}

	}



/* &<@anonymous:2894> */
	obj_t BGl_z62zc3z04anonymousza32894ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13970, obj_t BgL_sz00_13974)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13971;
				obj_t BgL_a2z00_13972;
				obj_t BgL_locz00_13973;

				BgL_a1z00_13971 = PROCEDURE_REF(BgL_envz00_13970, (int) (((long) 0)));
				BgL_a2z00_13972 = PROCEDURE_REF(BgL_envz00_13970, (int) (((long) 1)));
				BgL_locz00_13973 = PROCEDURE_REF(BgL_envz00_13970, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25732;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16639;

						BgL_bpz00_16639 = VECTOR_REF(((obj_t) BgL_sz00_13974), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16640;
							obj_t BgL_a2z00_16641;

							BgL_a1z00_16640 =
								PROCEDURE_ENTRY(BgL_a1z00_13971) (BgL_a1z00_13971,
								BgL_sz00_13974, BEOA);
							BgL_a2z00_16641 =
								PROCEDURE_ENTRY(BgL_a2z00_13972) (BgL_a2z00_13972,
								BgL_sz00_13974, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16640))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4710z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16640,
										BgL_locz00_13973);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16641))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4710z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16641,
										BgL_locz00_13973);
								}
							BgL_tmpz00_25732 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_16640,
								BgL_a2z00_16641);
						}
					}
					return BBOOL(BgL_tmpz00_25732);
				}
			}
		}

	}



/* &<@anonymous:2898> */
	obj_t BGl_z62zc3z04anonymousza32898ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13975, obj_t BgL_sz00_13979)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13976;
				obj_t BgL_a2z00_13977;
				obj_t BgL_locz00_13978;

				BgL_a1z00_13976 = PROCEDURE_REF(BgL_envz00_13975, (int) (((long) 0)));
				BgL_a2z00_13977 = PROCEDURE_REF(BgL_envz00_13975, (int) (((long) 1)));
				BgL_locz00_13978 = PROCEDURE_REF(BgL_envz00_13975, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25757;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16642;

						BgL_bpz00_16642 = VECTOR_REF(((obj_t) BgL_sz00_13979), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16643;
							obj_t BgL_a2z00_16644;

							BgL_a1z00_16643 =
								PROCEDURE_ENTRY(BgL_a1z00_13976) (BgL_a1z00_13976,
								BgL_sz00_13979, BEOA);
							BgL_a2z00_16644 =
								PROCEDURE_ENTRY(BgL_a2z00_13977) (BgL_a2z00_13977,
								BgL_sz00_13979, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16643))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4712z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16643,
										BgL_locz00_13978);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16644))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4712z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16644,
										BgL_locz00_13978);
								}
							BgL_tmpz00_25757 =
								BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_16643,
								BgL_a2z00_16644);
						}
					}
					return BBOOL(BgL_tmpz00_25757);
				}
			}
		}

	}



/* &<@anonymous:2902> */
	obj_t BGl_z62zc3z04anonymousza32902ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13980, obj_t BgL_sz00_13984)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13981;
				obj_t BgL_a2z00_13982;
				obj_t BgL_locz00_13983;

				BgL_a1z00_13981 = PROCEDURE_REF(BgL_envz00_13980, (int) (((long) 0)));
				BgL_a2z00_13982 = PROCEDURE_REF(BgL_envz00_13980, (int) (((long) 1)));
				BgL_locz00_13983 = PROCEDURE_REF(BgL_envz00_13980, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25782;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16645;

						BgL_bpz00_16645 = VECTOR_REF(((obj_t) BgL_sz00_13984), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16646;
							obj_t BgL_a2z00_16647;

							BgL_a1z00_16646 =
								PROCEDURE_ENTRY(BgL_a1z00_13981) (BgL_a1z00_13981,
								BgL_sz00_13984, BEOA);
							BgL_a2z00_16647 =
								PROCEDURE_ENTRY(BgL_a2z00_13982) (BgL_a2z00_13982,
								BgL_sz00_13984, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16646))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4714z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16646,
										BgL_locz00_13983);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16647))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4714z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16647,
										BgL_locz00_13983);
								}
							BgL_tmpz00_25782 =
								BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_16646,
								BgL_a2z00_16647);
						}
					}
					return BBOOL(BgL_tmpz00_25782);
				}
			}
		}

	}



/* &<@anonymous:2906> */
	obj_t BGl_z62zc3z04anonymousza32906ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13985, obj_t BgL_sz00_13989)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13986;
				obj_t BgL_a2z00_13987;
				obj_t BgL_locz00_13988;

				BgL_a1z00_13986 = PROCEDURE_REF(BgL_envz00_13985, (int) (((long) 0)));
				BgL_a2z00_13987 = PROCEDURE_REF(BgL_envz00_13985, (int) (((long) 1)));
				BgL_locz00_13988 = PROCEDURE_REF(BgL_envz00_13985, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25807;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16648;

						BgL_bpz00_16648 = VECTOR_REF(((obj_t) BgL_sz00_13989), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16649;
							obj_t BgL_a2z00_16650;

							BgL_a1z00_16649 =
								PROCEDURE_ENTRY(BgL_a1z00_13986) (BgL_a1z00_13986,
								BgL_sz00_13989, BEOA);
							BgL_a2z00_16650 =
								PROCEDURE_ENTRY(BgL_a2z00_13987) (BgL_a2z00_13987,
								BgL_sz00_13989, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_16649))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4716z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a1z00_16649,
										BgL_locz00_13988);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_16650))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4716z00zz__evaluate_compz00,
										BGl_symbol4700z00zz__evaluate_compz00, BgL_a2z00_16650,
										BgL_locz00_13988);
								}
							BgL_tmpz00_25807 =
								BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_16649,
								BgL_a2z00_16650);
						}
					}
					return BBOOL(BgL_tmpz00_25807);
				}
			}
		}

	}



/* &<@anonymous:2910> */
	obj_t BGl_z62zc3z04anonymousza32910ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13990, obj_t BgL_sz00_13994)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13991;
				obj_t BgL_a2z00_13992;
				obj_t BgL_locz00_13993;

				BgL_a1z00_13991 = PROCEDURE_REF(BgL_envz00_13990, (int) (((long) 0)));
				BgL_a2z00_13992 = PROCEDURE_REF(BgL_envz00_13990, (int) (((long) 1)));
				BgL_locz00_13993 = PROCEDURE_REF(BgL_envz00_13990, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25832;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16651;

						BgL_bpz00_16651 = VECTOR_REF(((obj_t) BgL_sz00_13994), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16652;
							obj_t BgL_a2z00_16653;

							BgL_a1z00_16652 =
								PROCEDURE_ENTRY(BgL_a1z00_13991) (BgL_a1z00_13991,
								BgL_sz00_13994, BEOA);
							BgL_a2z00_16653 =
								PROCEDURE_ENTRY(BgL_a2z00_13992) (BgL_a2z00_13992,
								BgL_sz00_13994, BEOA);
							if (INTEGERP(BgL_a1z00_16652))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4718z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16652,
										BgL_locz00_13993);
								}
							if (INTEGERP(BgL_a2z00_16653))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4718z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16653,
										BgL_locz00_13993);
								}
							BgL_tmpz00_25832 =
								((long) CINT(BgL_a1z00_16652) + (long) CINT(BgL_a2z00_16653));
					}}
					return BINT(BgL_tmpz00_25832);
				}
			}
		}

	}



/* &<@anonymous:2914> */
	obj_t BGl_z62zc3z04anonymousza32914ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_13995, obj_t BgL_sz00_13999)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_13996;
				obj_t BgL_a2z00_13997;
				obj_t BgL_locz00_13998;

				BgL_a1z00_13996 = PROCEDURE_REF(BgL_envz00_13995, (int) (((long) 0)));
				BgL_a2z00_13997 = PROCEDURE_REF(BgL_envz00_13995, (int) (((long) 1)));
				BgL_locz00_13998 = PROCEDURE_REF(BgL_envz00_13995, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25859;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16654;

						BgL_bpz00_16654 = VECTOR_REF(((obj_t) BgL_sz00_13999), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16655;
							obj_t BgL_a2z00_16656;

							BgL_a1z00_16655 =
								PROCEDURE_ENTRY(BgL_a1z00_13996) (BgL_a1z00_13996,
								BgL_sz00_13999, BEOA);
							BgL_a2z00_16656 =
								PROCEDURE_ENTRY(BgL_a2z00_13997) (BgL_a2z00_13997,
								BgL_sz00_13999, BEOA);
							if (INTEGERP(BgL_a1z00_16655))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4722z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16655,
										BgL_locz00_13998);
								}
							if (INTEGERP(BgL_a2z00_16656))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4722z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16656,
										BgL_locz00_13998);
								}
							BgL_tmpz00_25859 =
								((long) CINT(BgL_a1z00_16655) - (long) CINT(BgL_a2z00_16656));
					}}
					return BINT(BgL_tmpz00_25859);
				}
			}
		}

	}



/* &<@anonymous:2918> */
	obj_t BGl_z62zc3z04anonymousza32918ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14000, obj_t BgL_sz00_14004)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14001;
				obj_t BgL_a2z00_14002;
				obj_t BgL_locz00_14003;

				BgL_a1z00_14001 = PROCEDURE_REF(BgL_envz00_14000, (int) (((long) 0)));
				BgL_a2z00_14002 = PROCEDURE_REF(BgL_envz00_14000, (int) (((long) 1)));
				BgL_locz00_14003 = PROCEDURE_REF(BgL_envz00_14000, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25886;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16657;

						BgL_bpz00_16657 = VECTOR_REF(((obj_t) BgL_sz00_14004), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16658;
							obj_t BgL_a2z00_16659;

							BgL_a1z00_16658 =
								PROCEDURE_ENTRY(BgL_a1z00_14001) (BgL_a1z00_14001,
								BgL_sz00_14004, BEOA);
							BgL_a2z00_16659 =
								PROCEDURE_ENTRY(BgL_a2z00_14002) (BgL_a2z00_14002,
								BgL_sz00_14004, BEOA);
							if (INTEGERP(BgL_a1z00_16658))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4724z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16658,
										BgL_locz00_14003);
								}
							if (INTEGERP(BgL_a2z00_16659))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4724z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16659,
										BgL_locz00_14003);
								}
							BgL_tmpz00_25886 =
								((long) CINT(BgL_a1z00_16658) * (long) CINT(BgL_a2z00_16659));
					}}
					return BINT(BgL_tmpz00_25886);
				}
			}
		}

	}



/* &<@anonymous:2922> */
	obj_t BGl_z62zc3z04anonymousza32922ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14005, obj_t BgL_sz00_14009)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14006;
				obj_t BgL_a2z00_14007;
				obj_t BgL_locz00_14008;

				BgL_a1z00_14006 = PROCEDURE_REF(BgL_envz00_14005, (int) (((long) 0)));
				BgL_a2z00_14007 = PROCEDURE_REF(BgL_envz00_14005, (int) (((long) 1)));
				BgL_locz00_14008 = PROCEDURE_REF(BgL_envz00_14005, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					long BgL_tmpz00_25913;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16660;

						BgL_bpz00_16660 = VECTOR_REF(((obj_t) BgL_sz00_14009), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16661;
							obj_t BgL_a2z00_16662;

							BgL_a1z00_16661 =
								PROCEDURE_ENTRY(BgL_a1z00_14006) (BgL_a1z00_14006,
								BgL_sz00_14009, BEOA);
							BgL_a2z00_16662 =
								PROCEDURE_ENTRY(BgL_a2z00_14007) (BgL_a2z00_14007,
								BgL_sz00_14009, BEOA);
							if (INTEGERP(BgL_a1z00_16661))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4726z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16661,
										BgL_locz00_14008);
								}
							if (INTEGERP(BgL_a2z00_16662))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4726z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16662,
										BgL_locz00_14008);
								}
							BgL_tmpz00_25913 =
								((long) CINT(BgL_a1z00_16661) / (long) CINT(BgL_a2z00_16662));
					}}
					return BINT(BgL_tmpz00_25913);
				}
			}
		}

	}



/* &<@anonymous:2926> */
	obj_t BGl_z62zc3z04anonymousza32926ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14010, obj_t BgL_sz00_14014)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14011;
				obj_t BgL_a2z00_14012;
				obj_t BgL_locz00_14013;

				BgL_a1z00_14011 = PROCEDURE_REF(BgL_envz00_14010, (int) (((long) 0)));
				BgL_a2z00_14012 = PROCEDURE_REF(BgL_envz00_14010, (int) (((long) 1)));
				BgL_locz00_14013 = PROCEDURE_REF(BgL_envz00_14010, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25940;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16663;

						BgL_bpz00_16663 = VECTOR_REF(((obj_t) BgL_sz00_14014), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16664;
							obj_t BgL_a2z00_16665;

							BgL_a1z00_16664 =
								PROCEDURE_ENTRY(BgL_a1z00_14011) (BgL_a1z00_14011,
								BgL_sz00_14014, BEOA);
							BgL_a2z00_16665 =
								PROCEDURE_ENTRY(BgL_a2z00_14012) (BgL_a2z00_14012,
								BgL_sz00_14014, BEOA);
							if (INTEGERP(BgL_a1z00_16664))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4728z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16664,
										BgL_locz00_14013);
								}
							if (INTEGERP(BgL_a2z00_16665))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4728z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16665,
										BgL_locz00_14013);
								}
							BgL_tmpz00_25940 =
								((long) CINT(BgL_a1z00_16664) < (long) CINT(BgL_a2z00_16665));
					}}
					return BBOOL(BgL_tmpz00_25940);
				}
			}
		}

	}



/* &<@anonymous:2930> */
	obj_t BGl_z62zc3z04anonymousza32930ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14015, obj_t BgL_sz00_14019)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14016;
				obj_t BgL_a2z00_14017;
				obj_t BgL_locz00_14018;

				BgL_a1z00_14016 = PROCEDURE_REF(BgL_envz00_14015, (int) (((long) 0)));
				BgL_a2z00_14017 = PROCEDURE_REF(BgL_envz00_14015, (int) (((long) 1)));
				BgL_locz00_14018 = PROCEDURE_REF(BgL_envz00_14015, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25967;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16666;

						BgL_bpz00_16666 = VECTOR_REF(((obj_t) BgL_sz00_14019), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16667;
							obj_t BgL_a2z00_16668;

							BgL_a1z00_16667 =
								PROCEDURE_ENTRY(BgL_a1z00_14016) (BgL_a1z00_14016,
								BgL_sz00_14019, BEOA);
							BgL_a2z00_16668 =
								PROCEDURE_ENTRY(BgL_a2z00_14017) (BgL_a2z00_14017,
								BgL_sz00_14019, BEOA);
							if (INTEGERP(BgL_a1z00_16667))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4730z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16667,
										BgL_locz00_14018);
								}
							if (INTEGERP(BgL_a2z00_16668))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4730z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16668,
										BgL_locz00_14018);
								}
							BgL_tmpz00_25967 =
								((long) CINT(BgL_a1z00_16667) > (long) CINT(BgL_a2z00_16668));
					}}
					return BBOOL(BgL_tmpz00_25967);
				}
			}
		}

	}



/* &<@anonymous:2934> */
	obj_t BGl_z62zc3z04anonymousza32934ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14020, obj_t BgL_sz00_14024)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14021;
				obj_t BgL_a2z00_14022;
				obj_t BgL_locz00_14023;

				BgL_a1z00_14021 = PROCEDURE_REF(BgL_envz00_14020, (int) (((long) 0)));
				BgL_a2z00_14022 = PROCEDURE_REF(BgL_envz00_14020, (int) (((long) 1)));
				BgL_locz00_14023 = PROCEDURE_REF(BgL_envz00_14020, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_25994;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16669;

						BgL_bpz00_16669 = VECTOR_REF(((obj_t) BgL_sz00_14024), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16670;
							obj_t BgL_a2z00_16671;

							BgL_a1z00_16670 =
								PROCEDURE_ENTRY(BgL_a1z00_14021) (BgL_a1z00_14021,
								BgL_sz00_14024, BEOA);
							BgL_a2z00_16671 =
								PROCEDURE_ENTRY(BgL_a2z00_14022) (BgL_a2z00_14022,
								BgL_sz00_14024, BEOA);
							if (INTEGERP(BgL_a1z00_16670))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4732z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16670,
										BgL_locz00_14023);
								}
							if (INTEGERP(BgL_a2z00_16671))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4732z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16671,
										BgL_locz00_14023);
								}
							BgL_tmpz00_25994 =
								((long) CINT(BgL_a1z00_16670) <= (long) CINT(BgL_a2z00_16671));
					}}
					return BBOOL(BgL_tmpz00_25994);
				}
			}
		}

	}



/* &<@anonymous:2938> */
	obj_t BGl_z62zc3z04anonymousza32938ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14025, obj_t BgL_sz00_14029)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14026;
				obj_t BgL_a2z00_14027;
				obj_t BgL_locz00_14028;

				BgL_a1z00_14026 = PROCEDURE_REF(BgL_envz00_14025, (int) (((long) 0)));
				BgL_a2z00_14027 = PROCEDURE_REF(BgL_envz00_14025, (int) (((long) 1)));
				BgL_locz00_14028 = PROCEDURE_REF(BgL_envz00_14025, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26021;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16672;

						BgL_bpz00_16672 = VECTOR_REF(((obj_t) BgL_sz00_14029), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16673;
							obj_t BgL_a2z00_16674;

							BgL_a1z00_16673 =
								PROCEDURE_ENTRY(BgL_a1z00_14026) (BgL_a1z00_14026,
								BgL_sz00_14029, BEOA);
							BgL_a2z00_16674 =
								PROCEDURE_ENTRY(BgL_a2z00_14027) (BgL_a2z00_14027,
								BgL_sz00_14029, BEOA);
							if (INTEGERP(BgL_a1z00_16673))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4734z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16673,
										BgL_locz00_14028);
								}
							if (INTEGERP(BgL_a2z00_16674))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4734z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16674,
										BgL_locz00_14028);
								}
							BgL_tmpz00_26021 =
								((long) CINT(BgL_a1z00_16673) >= (long) CINT(BgL_a2z00_16674));
					}}
					return BBOOL(BgL_tmpz00_26021);
				}
			}
		}

	}



/* &<@anonymous:2942> */
	obj_t BGl_z62zc3z04anonymousza32942ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14030, obj_t BgL_sz00_14034)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14031;
				obj_t BgL_a2z00_14032;
				obj_t BgL_locz00_14033;

				BgL_a1z00_14031 = PROCEDURE_REF(BgL_envz00_14030, (int) (((long) 0)));
				BgL_a2z00_14032 = PROCEDURE_REF(BgL_envz00_14030, (int) (((long) 1)));
				BgL_locz00_14033 = PROCEDURE_REF(BgL_envz00_14030, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26048;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16675;

						BgL_bpz00_16675 = VECTOR_REF(((obj_t) BgL_sz00_14034), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16676;
							obj_t BgL_a2z00_16677;

							BgL_a1z00_16676 =
								PROCEDURE_ENTRY(BgL_a1z00_14031) (BgL_a1z00_14031,
								BgL_sz00_14034, BEOA);
							BgL_a2z00_16677 =
								PROCEDURE_ENTRY(BgL_a2z00_14032) (BgL_a2z00_14032,
								BgL_sz00_14034, BEOA);
							if (INTEGERP(BgL_a1z00_16676))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4736z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a1z00_16676,
										BgL_locz00_14033);
								}
							if (INTEGERP(BgL_a2z00_16677))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4736z00zz__evaluate_compz00,
										BGl_symbol4720z00zz__evaluate_compz00, BgL_a2z00_16677,
										BgL_locz00_14033);
								}
							BgL_tmpz00_26048 =
								((long) CINT(BgL_a1z00_16676) == (long) CINT(BgL_a2z00_16677));
					}}
					return BBOOL(BgL_tmpz00_26048);
				}
			}
		}

	}



/* &<@anonymous:2946> */
	obj_t BGl_z62zc3z04anonymousza32946ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14035, obj_t BgL_sz00_14039)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14036;
				obj_t BgL_a2z00_14037;
				obj_t BgL_locz00_14038;

				BgL_a1z00_14036 = PROCEDURE_REF(BgL_envz00_14035, (int) (((long) 0)));
				BgL_a2z00_14037 = PROCEDURE_REF(BgL_envz00_14035, (int) (((long) 1)));
				BgL_locz00_14038 = PROCEDURE_REF(BgL_envz00_14035, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26075;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16678;

						BgL_bpz00_16678 = VECTOR_REF(((obj_t) BgL_sz00_14039), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16679;
							obj_t BgL_a2z00_16680;

							BgL_a1z00_16679 =
								PROCEDURE_ENTRY(BgL_a1z00_14036) (BgL_a1z00_14036,
								BgL_sz00_14039, BEOA);
							BgL_a2z00_16680 =
								PROCEDURE_ENTRY(BgL_a2z00_14037) (BgL_a2z00_14037,
								BgL_sz00_14039, BEOA);
							if (REALP(BgL_a1z00_16679))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4738z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16679,
										BgL_locz00_14038);
								}
							if (REALP(BgL_a2z00_16680))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4738z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16680,
										BgL_locz00_14038);
								}
							BgL_tmpz00_26075 =
								(REAL_TO_DOUBLE(BgL_a1z00_16679) +
								REAL_TO_DOUBLE(BgL_a2z00_16680));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26075);
				}
			}
		}

	}



/* &<@anonymous:2950> */
	obj_t BGl_z62zc3z04anonymousza32950ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14040, obj_t BgL_sz00_14044)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14041;
				obj_t BgL_a2z00_14042;
				obj_t BgL_locz00_14043;

				BgL_a1z00_14041 = PROCEDURE_REF(BgL_envz00_14040, (int) (((long) 0)));
				BgL_a2z00_14042 = PROCEDURE_REF(BgL_envz00_14040, (int) (((long) 1)));
				BgL_locz00_14043 = PROCEDURE_REF(BgL_envz00_14040, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26102;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16681;

						BgL_bpz00_16681 = VECTOR_REF(((obj_t) BgL_sz00_14044), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16682;
							obj_t BgL_a2z00_16683;

							BgL_a1z00_16682 =
								PROCEDURE_ENTRY(BgL_a1z00_14041) (BgL_a1z00_14041,
								BgL_sz00_14044, BEOA);
							BgL_a2z00_16683 =
								PROCEDURE_ENTRY(BgL_a2z00_14042) (BgL_a2z00_14042,
								BgL_sz00_14044, BEOA);
							if (REALP(BgL_a1z00_16682))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4742z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16682,
										BgL_locz00_14043);
								}
							if (REALP(BgL_a2z00_16683))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4742z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16683,
										BgL_locz00_14043);
								}
							BgL_tmpz00_26102 =
								(REAL_TO_DOUBLE(BgL_a1z00_16682) -
								REAL_TO_DOUBLE(BgL_a2z00_16683));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26102);
				}
			}
		}

	}



/* &<@anonymous:2954> */
	obj_t BGl_z62zc3z04anonymousza32954ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14045, obj_t BgL_sz00_14049)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14046;
				obj_t BgL_a2z00_14047;
				obj_t BgL_locz00_14048;

				BgL_a1z00_14046 = PROCEDURE_REF(BgL_envz00_14045, (int) (((long) 0)));
				BgL_a2z00_14047 = PROCEDURE_REF(BgL_envz00_14045, (int) (((long) 1)));
				BgL_locz00_14048 = PROCEDURE_REF(BgL_envz00_14045, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26129;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16684;

						BgL_bpz00_16684 = VECTOR_REF(((obj_t) BgL_sz00_14049), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16685;
							obj_t BgL_a2z00_16686;

							BgL_a1z00_16685 =
								PROCEDURE_ENTRY(BgL_a1z00_14046) (BgL_a1z00_14046,
								BgL_sz00_14049, BEOA);
							BgL_a2z00_16686 =
								PROCEDURE_ENTRY(BgL_a2z00_14047) (BgL_a2z00_14047,
								BgL_sz00_14049, BEOA);
							if (REALP(BgL_a1z00_16685))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4744z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16685,
										BgL_locz00_14048);
								}
							if (REALP(BgL_a2z00_16686))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4744z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16686,
										BgL_locz00_14048);
								}
							BgL_tmpz00_26129 =
								(REAL_TO_DOUBLE(BgL_a1z00_16685) *
								REAL_TO_DOUBLE(BgL_a2z00_16686));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26129);
				}
			}
		}

	}



/* &<@anonymous:2958> */
	obj_t BGl_z62zc3z04anonymousza32958ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14050, obj_t BgL_sz00_14054)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14051;
				obj_t BgL_a2z00_14052;
				obj_t BgL_locz00_14053;

				BgL_a1z00_14051 = PROCEDURE_REF(BgL_envz00_14050, (int) (((long) 0)));
				BgL_a2z00_14052 = PROCEDURE_REF(BgL_envz00_14050, (int) (((long) 1)));
				BgL_locz00_14053 = PROCEDURE_REF(BgL_envz00_14050, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					double BgL_tmpz00_26156;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16687;

						BgL_bpz00_16687 = VECTOR_REF(((obj_t) BgL_sz00_14054), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16688;
							obj_t BgL_a2z00_16689;

							BgL_a1z00_16688 =
								PROCEDURE_ENTRY(BgL_a1z00_14051) (BgL_a1z00_14051,
								BgL_sz00_14054, BEOA);
							BgL_a2z00_16689 =
								PROCEDURE_ENTRY(BgL_a2z00_14052) (BgL_a2z00_14052,
								BgL_sz00_14054, BEOA);
							if (REALP(BgL_a1z00_16688))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4746z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16688,
										BgL_locz00_14053);
								}
							if (REALP(BgL_a2z00_16689))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4746z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16689,
										BgL_locz00_14053);
								}
							BgL_tmpz00_26156 =
								(REAL_TO_DOUBLE(BgL_a1z00_16688) /
								REAL_TO_DOUBLE(BgL_a2z00_16689));
						}
					}
					return DOUBLE_TO_REAL(BgL_tmpz00_26156);
				}
			}
		}

	}



/* &<@anonymous:2962> */
	obj_t BGl_z62zc3z04anonymousza32962ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14055, obj_t BgL_sz00_14059)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14056;
				obj_t BgL_a2z00_14057;
				obj_t BgL_locz00_14058;

				BgL_a1z00_14056 = PROCEDURE_REF(BgL_envz00_14055, (int) (((long) 0)));
				BgL_a2z00_14057 = PROCEDURE_REF(BgL_envz00_14055, (int) (((long) 1)));
				BgL_locz00_14058 = PROCEDURE_REF(BgL_envz00_14055, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26183;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16690;

						BgL_bpz00_16690 = VECTOR_REF(((obj_t) BgL_sz00_14059), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16691;
							obj_t BgL_a2z00_16692;

							BgL_a1z00_16691 =
								PROCEDURE_ENTRY(BgL_a1z00_14056) (BgL_a1z00_14056,
								BgL_sz00_14059, BEOA);
							BgL_a2z00_16692 =
								PROCEDURE_ENTRY(BgL_a2z00_14057) (BgL_a2z00_14057,
								BgL_sz00_14059, BEOA);
							if (REALP(BgL_a1z00_16691))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4748z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16691,
										BgL_locz00_14058);
								}
							if (REALP(BgL_a2z00_16692))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4748z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16692,
										BgL_locz00_14058);
								}
							BgL_tmpz00_26183 =
								(REAL_TO_DOUBLE(BgL_a1z00_16691) <
								REAL_TO_DOUBLE(BgL_a2z00_16692));
						}
					}
					return BBOOL(BgL_tmpz00_26183);
				}
			}
		}

	}



/* &<@anonymous:2966> */
	obj_t BGl_z62zc3z04anonymousza32966ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14060, obj_t BgL_sz00_14064)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14061;
				obj_t BgL_a2z00_14062;
				obj_t BgL_locz00_14063;

				BgL_a1z00_14061 = PROCEDURE_REF(BgL_envz00_14060, (int) (((long) 0)));
				BgL_a2z00_14062 = PROCEDURE_REF(BgL_envz00_14060, (int) (((long) 1)));
				BgL_locz00_14063 = PROCEDURE_REF(BgL_envz00_14060, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26210;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16693;

						BgL_bpz00_16693 = VECTOR_REF(((obj_t) BgL_sz00_14064), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16694;
							obj_t BgL_a2z00_16695;

							BgL_a1z00_16694 =
								PROCEDURE_ENTRY(BgL_a1z00_14061) (BgL_a1z00_14061,
								BgL_sz00_14064, BEOA);
							BgL_a2z00_16695 =
								PROCEDURE_ENTRY(BgL_a2z00_14062) (BgL_a2z00_14062,
								BgL_sz00_14064, BEOA);
							if (REALP(BgL_a1z00_16694))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4750z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16694,
										BgL_locz00_14063);
								}
							if (REALP(BgL_a2z00_16695))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4750z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16695,
										BgL_locz00_14063);
								}
							BgL_tmpz00_26210 =
								(REAL_TO_DOUBLE(BgL_a1z00_16694) >
								REAL_TO_DOUBLE(BgL_a2z00_16695));
						}
					}
					return BBOOL(BgL_tmpz00_26210);
				}
			}
		}

	}



/* &<@anonymous:2970> */
	obj_t BGl_z62zc3z04anonymousza32970ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14065, obj_t BgL_sz00_14069)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14066;
				obj_t BgL_a2z00_14067;
				obj_t BgL_locz00_14068;

				BgL_a1z00_14066 = PROCEDURE_REF(BgL_envz00_14065, (int) (((long) 0)));
				BgL_a2z00_14067 = PROCEDURE_REF(BgL_envz00_14065, (int) (((long) 1)));
				BgL_locz00_14068 = PROCEDURE_REF(BgL_envz00_14065, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26237;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16696;

						BgL_bpz00_16696 = VECTOR_REF(((obj_t) BgL_sz00_14069), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16697;
							obj_t BgL_a2z00_16698;

							BgL_a1z00_16697 =
								PROCEDURE_ENTRY(BgL_a1z00_14066) (BgL_a1z00_14066,
								BgL_sz00_14069, BEOA);
							BgL_a2z00_16698 =
								PROCEDURE_ENTRY(BgL_a2z00_14067) (BgL_a2z00_14067,
								BgL_sz00_14069, BEOA);
							if (REALP(BgL_a1z00_16697))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4752z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16697,
										BgL_locz00_14068);
								}
							if (REALP(BgL_a2z00_16698))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4752z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16698,
										BgL_locz00_14068);
								}
							BgL_tmpz00_26237 =
								(REAL_TO_DOUBLE(BgL_a1z00_16697) <=
								REAL_TO_DOUBLE(BgL_a2z00_16698));
						}
					}
					return BBOOL(BgL_tmpz00_26237);
				}
			}
		}

	}



/* &<@anonymous:2974> */
	obj_t BGl_z62zc3z04anonymousza32974ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14070, obj_t BgL_sz00_14074)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14071;
				obj_t BgL_a2z00_14072;
				obj_t BgL_locz00_14073;

				BgL_a1z00_14071 = PROCEDURE_REF(BgL_envz00_14070, (int) (((long) 0)));
				BgL_a2z00_14072 = PROCEDURE_REF(BgL_envz00_14070, (int) (((long) 1)));
				BgL_locz00_14073 = PROCEDURE_REF(BgL_envz00_14070, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26264;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16699;

						BgL_bpz00_16699 = VECTOR_REF(((obj_t) BgL_sz00_14074), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16700;
							obj_t BgL_a2z00_16701;

							BgL_a1z00_16700 =
								PROCEDURE_ENTRY(BgL_a1z00_14071) (BgL_a1z00_14071,
								BgL_sz00_14074, BEOA);
							BgL_a2z00_16701 =
								PROCEDURE_ENTRY(BgL_a2z00_14072) (BgL_a2z00_14072,
								BgL_sz00_14074, BEOA);
							if (REALP(BgL_a1z00_16700))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4754z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16700,
										BgL_locz00_14073);
								}
							if (REALP(BgL_a2z00_16701))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4754z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16701,
										BgL_locz00_14073);
								}
							BgL_tmpz00_26264 =
								(REAL_TO_DOUBLE(BgL_a1z00_16700) >=
								REAL_TO_DOUBLE(BgL_a2z00_16701));
						}
					}
					return BBOOL(BgL_tmpz00_26264);
				}
			}
		}

	}



/* &<@anonymous:2978> */
	obj_t BGl_z62zc3z04anonymousza32978ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14075, obj_t BgL_sz00_14079)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14076;
				obj_t BgL_a2z00_14077;
				obj_t BgL_locz00_14078;

				BgL_a1z00_14076 = PROCEDURE_REF(BgL_envz00_14075, (int) (((long) 0)));
				BgL_a2z00_14077 = PROCEDURE_REF(BgL_envz00_14075, (int) (((long) 1)));
				BgL_locz00_14078 = PROCEDURE_REF(BgL_envz00_14075, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26291;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16702;

						BgL_bpz00_16702 = VECTOR_REF(((obj_t) BgL_sz00_14079), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16703;
							obj_t BgL_a2z00_16704;

							BgL_a1z00_16703 =
								PROCEDURE_ENTRY(BgL_a1z00_14076) (BgL_a1z00_14076,
								BgL_sz00_14079, BEOA);
							BgL_a2z00_16704 =
								PROCEDURE_ENTRY(BgL_a2z00_14077) (BgL_a2z00_14077,
								BgL_sz00_14079, BEOA);
							if (REALP(BgL_a1z00_16703))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4756z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a1z00_16703,
										BgL_locz00_14078);
								}
							if (REALP(BgL_a2z00_16704))
								{	/* Eval/evaluate_comp.scm 1028 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1028 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4756z00zz__evaluate_compz00,
										BGl_symbol4740z00zz__evaluate_compz00, BgL_a2z00_16704,
										BgL_locz00_14078);
								}
							BgL_tmpz00_26291 =
								(REAL_TO_DOUBLE(BgL_a1z00_16703) ==
								REAL_TO_DOUBLE(BgL_a2z00_16704));
						}
					}
					return BBOOL(BgL_tmpz00_26291);
				}
			}
		}

	}



/* &<@anonymous:2982> */
	obj_t BGl_z62zc3z04anonymousza32982ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14080, obj_t BgL_sz00_14083)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14081;
				obj_t BgL_a2z00_14082;

				BgL_a1z00_14081 = PROCEDURE_REF(BgL_envz00_14080, (int) (((long) 0)));
				BgL_a2z00_14082 = PROCEDURE_REF(BgL_envz00_14080, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1028 */
					bool_t BgL_tmpz00_26316;

					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_bpz00_16705;

						BgL_bpz00_16705 = VECTOR_REF(((obj_t) BgL_sz00_14083), ((long) 0));
						{	/* Eval/evaluate_comp.scm 1028 */
							obj_t BgL_a1z00_16706;
							obj_t BgL_a2z00_16707;

							BgL_a1z00_16706 =
								PROCEDURE_ENTRY(BgL_a1z00_14081) (BgL_a1z00_14081,
								BgL_sz00_14083, BEOA);
							BgL_a2z00_16707 =
								PROCEDURE_ENTRY(BgL_a2z00_14082) (BgL_a2z00_14082,
								BgL_sz00_14083, BEOA);
							BgL_tmpz00_26316 = (BgL_a1z00_16706 == BgL_a2z00_16707);
					}}
					return BBOOL(BgL_tmpz00_26316);
				}
			}
		}

	}



/* &<@anonymous:2984> */
	obj_t BGl_z62zc3z04anonymousza32984ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14084, obj_t BgL_sz00_14087)
	{
		{	/* Eval/evaluate_comp.scm 1028 */
			{	/* Eval/evaluate_comp.scm 1028 */
				obj_t BgL_a1z00_14085;
				obj_t BgL_a2z00_14086;

				BgL_a1z00_14085 = PROCEDURE_REF(BgL_envz00_14084, (int) (((long) 0)));
				BgL_a2z00_14086 = PROCEDURE_REF(BgL_envz00_14084, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1028 */
					obj_t BgL_bpz00_16708;

					BgL_bpz00_16708 = VECTOR_REF(((obj_t) BgL_sz00_14087), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1028 */
						obj_t BgL_a1z00_16709;
						obj_t BgL_a2z00_16710;

						BgL_a1z00_16709 =
							PROCEDURE_ENTRY(BgL_a1z00_14085) (BgL_a1z00_14085, BgL_sz00_14087,
							BEOA);
						BgL_a2z00_16710 =
							PROCEDURE_ENTRY(BgL_a2z00_14086) (BgL_a2z00_14086, BgL_sz00_14087,
							BEOA);
						return MAKE_YOUNG_PAIR(BgL_a1z00_16709, BgL_a2z00_16710);
					}
				}
			}
		}

	}



/* &<@anonymous:2987> */
	obj_t BGl_z62zc3z04anonymousza32987ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14088, obj_t BgL_sz00_14091)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14089;
				obj_t BgL_locz00_14090;

				BgL_a1z00_14089 = PROCEDURE_REF(BgL_envz00_14088, (int) (((long) 0)));
				BgL_locz00_14090 = PROCEDURE_REF(BgL_envz00_14088, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16711;

					BgL_bpz00_16711 = VECTOR_REF(((obj_t) BgL_sz00_14091), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16712;

						BgL_a1z00_16712 =
							PROCEDURE_ENTRY(BgL_a1z00_14089) (BgL_a1z00_14089, BgL_sz00_14091,
							BEOA);
						if (PAIRP(BgL_a1z00_16712))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4758z00zz__evaluate_compz00,
									BGl_symbol4760z00zz__evaluate_compz00, BgL_a1z00_16712,
									BgL_locz00_14090);
							}
						return CAR(((obj_t) BgL_a1z00_16712));
					}
				}
			}
		}

	}



/* &<@anonymous:2990> */
	obj_t BGl_z62zc3z04anonymousza32990ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14092, obj_t BgL_sz00_14095)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14093;
				obj_t BgL_locz00_14094;

				BgL_a1z00_14093 = PROCEDURE_REF(BgL_envz00_14092, (int) (((long) 0)));
				BgL_locz00_14094 = PROCEDURE_REF(BgL_envz00_14092, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16713;

					BgL_bpz00_16713 = VECTOR_REF(((obj_t) BgL_sz00_14095), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16714;

						BgL_a1z00_16714 =
							PROCEDURE_ENTRY(BgL_a1z00_14093) (BgL_a1z00_14093, BgL_sz00_14095,
							BEOA);
						if (PAIRP(BgL_a1z00_16714))
							{	/* Eval/evaluate_comp.scm 1025 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 1025 */
								BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_symbol4762z00zz__evaluate_compz00,
									BGl_symbol4760z00zz__evaluate_compz00, BgL_a1z00_16714,
									BgL_locz00_14094);
							}
						return CDR(((obj_t) BgL_a1z00_16714));
					}
				}
			}
		}

	}



/* &<@anonymous:2993> */
	obj_t BGl_z62zc3z04anonymousza32993ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14096, obj_t BgL_sz00_14099)
	{
		{	/* Eval/evaluate_comp.scm 1025 */
			{	/* Eval/evaluate_comp.scm 1025 */
				obj_t BgL_a1z00_14097;
				obj_t BgL_locz00_14098;

				BgL_a1z00_14097 = PROCEDURE_REF(BgL_envz00_14096, (int) (((long) 0)));
				BgL_locz00_14098 = PROCEDURE_REF(BgL_envz00_14096, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1025 */
					obj_t BgL_bpz00_16715;

					BgL_bpz00_16715 = VECTOR_REF(((obj_t) BgL_sz00_14099), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1025 */
						obj_t BgL_a1z00_16716;

						BgL_a1z00_16716 =
							PROCEDURE_ENTRY(BgL_a1z00_14097) (BgL_a1z00_14097, BgL_sz00_14099,
							BEOA);
						{	/* Eval/evaluate_comp.scm 1025 */
							bool_t BgL_test5463z00_26384;

							if (PAIRP(BgL_a1z00_16716))
								{	/* Eval/evaluate_comp.scm 1034 */
									obj_t BgL_tmpz00_26387;

									BgL_tmpz00_26387 = CDR(BgL_a1z00_16716);
									BgL_test5463z00_26384 = PAIRP(BgL_tmpz00_26387);
								}
							else
								{	/* Eval/evaluate_comp.scm 1034 */
									BgL_test5463z00_26384 = ((bool_t) 0);
								}
							if (BgL_test5463z00_26384)
								{	/* Eval/evaluate_comp.scm 1025 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1025 */
									obj_t BgL_arg3005z00_16717;

									if (PAIRP(BgL_a1z00_16716))
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg3005z00_16717 = CDR(BgL_a1z00_16716);
										}
									else
										{	/* Eval/evaluate_comp.scm 1037 */
											BgL_arg3005z00_16717 = BgL_a1z00_16716;
										}
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol4764z00zz__evaluate_compz00,
										BGl_symbol4760z00zz__evaluate_compz00, BgL_arg3005z00_16717,
										BgL_locz00_14098);
								}
						}
						{	/* Eval/evaluate_comp.scm 1025 */
							obj_t BgL_pairz00_16718;

							BgL_pairz00_16718 = CDR(((obj_t) BgL_a1z00_16716));
							return CAR(BgL_pairz00_16718);
						}
					}
				}
			}
		}

	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203,
		obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206,
		obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
	{
		{	/* Eval/evaluate_comp.scm 1070 */
			if ((BgL_arityz00_206 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1072 */
					long BgL_g1245z00_3596;

					BgL_g1245z00_3596 = (((long) -1) - BgL_arityz00_206);
					{
						long BgL_rz00_3598;
						long BgL_spz00_3599;
						obj_t BgL_lz00_3600;

						BgL_rz00_3598 = BgL_g1245z00_3596;
						BgL_spz00_3599 = BgL_spz00_205;
						BgL_lz00_3600 = BgL_valsz00_207;
					BgL_zc3z04anonymousza33010ze3z87_3601:
						if ((BgL_rz00_3598 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1074 */
								return
									VECTOR_SET(
									((obj_t) BgL_sz00_203), BgL_spz00_3599, BgL_lz00_3600);
							}
						else
							{	/* Eval/evaluate_comp.scm 1074 */
								if (PAIRP(BgL_lz00_3600))
									{	/* Eval/evaluate_comp.scm 1076 */
										{	/* Eval/evaluate_comp.scm 1079 */
											obj_t BgL_arg3013z00_3604;

											BgL_arg3013z00_3604 = CAR(BgL_lz00_3600);
											VECTOR_SET(
												((obj_t) BgL_sz00_203), BgL_spz00_3599,
												BgL_arg3013z00_3604);
										}
										{
											obj_t BgL_lz00_26413;
											long BgL_spz00_26411;
											long BgL_rz00_26409;

											BgL_rz00_26409 = (BgL_rz00_3598 - ((long) 1));
											BgL_spz00_26411 = (BgL_spz00_3599 + ((long) 1));
											BgL_lz00_26413 = CDR(BgL_lz00_3600);
											BgL_lz00_3600 = BgL_lz00_26413;
											BgL_spz00_3599 = BgL_spz00_26411;
											BgL_rz00_3598 = BgL_rz00_26409;
											goto BgL_zc3z04anonymousza33010ze3z87_3601;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1077 */
										long BgL_arg3019z00_3608;

										BgL_arg3019z00_3608 = bgl_list_length(BgL_valsz00_207);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
											BgL_wherez00_204, (int) (BgL_arityz00_206),
											(int) (BgL_arg3019z00_3608));
				}}}}
			else
				{
					long BgL_rz00_3611;
					long BgL_spz00_3612;
					obj_t BgL_lz00_3613;

					BgL_rz00_3611 = BgL_arityz00_206;
					BgL_spz00_3612 = BgL_spz00_205;
					BgL_lz00_3613 = BgL_valsz00_207;
				BgL_zc3z04anonymousza33020ze3z87_3614:
					if ((BgL_rz00_3611 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1083 */
							if (NULLP(BgL_lz00_3613))
								{	/* Eval/evaluate_comp.scm 1084 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1085 */
									long BgL_arg3023z00_3617;

									BgL_arg3023z00_3617 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg3023z00_3617));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1083 */
							if (PAIRP(BgL_lz00_3613))
								{	/* Eval/evaluate_comp.scm 1086 */
									{	/* Eval/evaluate_comp.scm 1089 */
										obj_t BgL_arg3025z00_3619;

										BgL_arg3025z00_3619 = CAR(BgL_lz00_3613);
										VECTOR_SET(
											((obj_t) BgL_sz00_203), BgL_spz00_3612,
											BgL_arg3025z00_3619);
									}
									{
										obj_t BgL_lz00_26436;
										long BgL_spz00_26434;
										long BgL_rz00_26432;

										BgL_rz00_26432 = (BgL_rz00_3611 - ((long) 1));
										BgL_spz00_26434 = (BgL_spz00_3612 + ((long) 1));
										BgL_lz00_26436 = CDR(BgL_lz00_3613);
										BgL_lz00_3613 = BgL_lz00_26436;
										BgL_spz00_3612 = BgL_spz00_26434;
										BgL_rz00_3611 = BgL_rz00_26432;
										goto BgL_zc3z04anonymousza33020ze3z87_3614;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1087 */
									long BgL_arg3031z00_3623;

									BgL_arg3031z00_3623 = bgl_list_length(BgL_valsz00_207);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208,
										BgL_wherez00_204, (int) (BgL_arityz00_206),
										(int) (BgL_arg3031z00_3623));
		}}}}

	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
	{
		{	/* Eval/evaluate_comp.scm 1184 */
			{
				long BgL_iz00_3627;

				BgL_iz00_3627 = ((long) 0);
			BgL_zc3z04anonymousza33032ze3z87_3628:
				{	/* Eval/evaluate_comp.scm 1187 */
					long BgL_spz00_3629;

					{	/* Eval/evaluate_comp.scm 1187 */
						obj_t BgL_arg3037z00_3634;

						BgL_arg3037z00_3634 =
							VECTOR_REF(((obj_t) BgL_ibza2za2_212), BgL_iz00_3627);
						BgL_spz00_3629 =
							((long) CINT(BgL_bpz00_213) + (long) CINT(BgL_arg3037z00_3634));
					}
					{	/* Eval/evaluate_comp.scm 1188 */
						obj_t BgL_arg3033z00_3630;

						{	/* Eval/evaluate_comp.scm 1188 */
							obj_t BgL_arg3035z00_3631;

							BgL_arg3035z00_3631 =
								VECTOR_REF(((obj_t) BgL_sz00_211), BgL_spz00_3629);
							{	/* Eval/evaluate_comp.scm 202 */
								obj_t BgL_newz00_9621;

								BgL_newz00_9621 =
									create_struct(BGl_symbol4688z00zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 202 */
									int BgL_tmpz00_26451;

									BgL_tmpz00_26451 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_9621, BgL_tmpz00_26451,
										BgL_arg3035z00_3631);
								}
								BgL_arg3033z00_3630 = BgL_newz00_9621;
						}}
						VECTOR_SET(
							((obj_t) BgL_sz00_211), BgL_spz00_3629, BgL_arg3033z00_3630);
					}
					{	/* Eval/evaluate_comp.scm 1189 */
						long BgL_niz00_3632;

						BgL_niz00_3632 = (BgL_iz00_3627 + ((long) 1));
						if ((BgL_niz00_3632 < VECTOR_LENGTH(((obj_t) BgL_ibza2za2_212))))
							{
								long BgL_iz00_26461;

								BgL_iz00_26461 = BgL_niz00_3632;
								BgL_iz00_3627 = BgL_iz00_26461;
								goto BgL_zc3z04anonymousza33032ze3z87_3628;
							}
						else
							{	/* Eval/evaluate_comp.scm 1190 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}

	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
	{
		{	/* Eval/evaluate_comp.scm 1192 */
			{	/* Eval/evaluate_comp.scm 1193 */
				obj_t BgL_rz00_3637;

				BgL_rz00_3637 =
					make_vector(VECTOR_LENGTH(((obj_t) BgL_iza2za2_216)), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 1193 */

					{
						long BgL_iz00_3639;

						BgL_iz00_3639 = ((long) 0);
					BgL_zc3z04anonymousza33038ze3z87_3640:
						if ((BgL_iz00_3639 >= VECTOR_LENGTH(((obj_t) BgL_iza2za2_216))))
							{	/* Eval/evaluate_comp.scm 1195 */
								return BgL_rz00_3637;
							}
						else
							{	/* Eval/evaluate_comp.scm 1195 */
								{	/* Eval/evaluate_comp.scm 1198 */
									obj_t BgL_arg3040z00_3642;

									{	/* Eval/evaluate_comp.scm 1198 */
										long BgL_arg3041z00_3643;

										{	/* Eval/evaluate_comp.scm 1198 */
											obj_t BgL_arg3043z00_3644;

											BgL_arg3043z00_3644 =
												VECTOR_REF(((obj_t) BgL_iza2za2_216), BgL_iz00_3639);
											BgL_arg3041z00_3643 =
												(
												(long) CINT(BgL_bpz00_215) +
												(long) CINT(BgL_arg3043z00_3644));
										}
										BgL_arg3040z00_3642 =
											VECTOR_REF(((obj_t) BgL_sz00_214), BgL_arg3041z00_3643);
									}
									VECTOR_SET(BgL_rz00_3637, BgL_iz00_3639, BgL_arg3040z00_3642);
								}
								{
									long BgL_iz00_26477;

									BgL_iz00_26477 = (BgL_iz00_3639 + ((long) 1));
									BgL_iz00_3639 = BgL_iz00_26477;
									goto BgL_zc3z04anonymousza33038ze3z87_3640;
								}
							}
					}
				}
			}
		}

	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217,
		obj_t BgL_valza2za2_218, long BgL_spz00_219)
	{
		{	/* Eval/evaluate_comp.scm 1201 */
			{	/* Eval/evaluate_comp.scm 1202 */
				long BgL_stopz00_3648;

				BgL_stopz00_3648 =
					(BgL_spz00_219 + VECTOR_LENGTH(((obj_t) BgL_valza2za2_218)));
				{
					long BgL_iz00_9669;
					long BgL_spz00_9670;

					BgL_iz00_9669 = ((long) 0);
					BgL_spz00_9670 = BgL_spz00_219;
				BgL_recz00_9668:
					if ((BgL_spz00_9670 < BgL_stopz00_3648))
						{	/* Eval/evaluate_comp.scm 1204 */
							{	/* Eval/evaluate_comp.scm 1205 */
								obj_t BgL_arg3059z00_9676;

								BgL_arg3059z00_9676 =
									VECTOR_REF(((obj_t) BgL_valza2za2_218), BgL_iz00_9669);
								VECTOR_SET(
									((obj_t) BgL_sz00_217), BgL_spz00_9670, BgL_arg3059z00_9676);
							}
							{
								long BgL_spz00_26490;
								long BgL_iz00_26488;

								BgL_iz00_26488 = (BgL_iz00_9669 + ((long) 1));
								BgL_spz00_26490 = (BgL_spz00_9670 + ((long) 1));
								BgL_spz00_9670 = BgL_spz00_26490;
								BgL_iz00_9669 = BgL_iz00_26488;
								goto BgL_recz00_9668;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1204 */
							return ((bool_t) 0);
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc4766z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string4767z00zz__evaluate_compz00);
		}

	}



/* &comp1399 */
	obj_t BGl_z62comp1399z62zz__evaluate_compz00(obj_t BgL_envz00_14185,
		obj_t BgL_ez00_14186, obj_t BgL_stkz00_14187)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			return
				BGl_errorz00zz__errorz00(BGl_string4678z00zz__evaluate_compz00,
				BGl_string4768z00zz__evaluate_compz00,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_14186)));
		}

	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				obj_t BgL_method1400z00_3664;

				{	/* Eval/evaluate_comp.scm 276 */
					obj_t BgL_res4539z00_9717;

					{	/* Eval/evaluate_comp.scm 276 */
						long BgL_objzd2classzd2numz00_9688;

						BgL_objzd2classzd2numz00_9688 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_35));
						{	/* Eval/evaluate_comp.scm 276 */
							obj_t BgL_arg4409z00_9689;

							BgL_arg4409z00_9689 =
								PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
								(int) (((long) 1)));
							{	/* Eval/evaluate_comp.scm 276 */
								int BgL_offsetz00_9692;

								BgL_offsetz00_9692 = (int) (BgL_objzd2classzd2numz00_9688);
								{	/* Eval/evaluate_comp.scm 276 */
									long BgL_offsetz00_9693;

									BgL_offsetz00_9693 =
										((long) (BgL_offsetz00_9692) - OBJECT_TYPE);
									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_modz00_9694;

										BgL_modz00_9694 =
											(BgL_offsetz00_9693 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_comp.scm 276 */
											long BgL_restz00_9696;

											BgL_restz00_9696 =
												(BgL_offsetz00_9693 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_comp.scm 276 */

												{	/* Eval/evaluate_comp.scm 276 */
													obj_t BgL_bucketz00_9698;

													BgL_bucketz00_9698 =
														VECTOR_REF(
														((obj_t) BgL_arg4409z00_9689), BgL_modz00_9694);
													BgL_res4539z00_9717 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_9698), BgL_restz00_9696);
					}}}}}}}}
					BgL_method1400z00_3664 = BgL_res4539z00_9717;
				}
				return
					PROCEDURE_ENTRY(BgL_method1400z00_3664) (BgL_method1400z00_3664,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}

	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_14188,
		obj_t BgL_ez00_14189, obj_t BgL_stkz00_14190)
	{
		{	/* Eval/evaluate_comp.scm 276 */
			{	/* Eval/evaluate_comp.scm 276 */
				BgL_ev_exprz00_bglt BgL_auxz00_26527;

				{	/* Eval/evaluate_comp.scm 276 */
					bool_t BgL_test5475z00_26528;

					{	/* Eval/evaluate_comp.scm 276 */
						obj_t BgL_classz00_16720;

						BgL_classz00_16720 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_14189))
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_objectz00_bglt BgL_arg4407z00_16722;
								long BgL_arg4408z00_16723;

								BgL_arg4407z00_16722 = (BgL_objectz00_bglt) (BgL_ez00_14189);
								BgL_arg4408z00_16723 = BGL_CLASS_DEPTH(BgL_classz00_16720);
								{	/* Eval/evaluate_comp.scm 276 */
									bool_t BgL_arg4402z00_16727;
									bool_t BgL_arg4403z00_16728;

									{	/* Eval/evaluate_comp.scm 276 */
										long BgL_idxz00_16732;

										BgL_idxz00_16732 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg4407z00_16722);
										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_arg4399z00_16733;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4400z00_16734;

												BgL_arg4400z00_16734 =
													(BgL_idxz00_16732 + BgL_arg4408z00_16723);
												BgL_arg4399z00_16733 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg4400z00_16734);
											}
											BgL_arg4402z00_16727 =
												(BgL_arg4399z00_16733 == BgL_classz00_16720);
									}}
									{	/* Eval/evaluate_comp.scm 276 */
										bool_t BgL_res4547z00_16739;

										{	/* Eval/evaluate_comp.scm 276 */
											obj_t BgL_oclassz00_16743;

											{	/* Eval/evaluate_comp.scm 276 */
												long BgL_arg4412z00_16745;

												{	/* Eval/evaluate_comp.scm 276 */
													long BgL_arg4413z00_16746;

													BgL_arg4413z00_16746 =
														BGL_OBJECT_CLASS_NUM(BgL_arg4407z00_16722);
													BgL_arg4412z00_16745 =
														(BgL_arg4413z00_16746 - OBJECT_TYPE);
												}
												BgL_oclassz00_16743 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg4412z00_16745);
											}
											{	/* Eval/evaluate_comp.scm 276 */
												bool_t BgL__ortest_1296z00_16752;

												BgL__ortest_1296z00_16752 =
													(BgL_classz00_16720 == BgL_oclassz00_16743);
												if (BgL__ortest_1296z00_16752)
													{	/* Eval/evaluate_comp.scm 276 */
														BgL_res4547z00_16739 = BgL__ortest_1296z00_16752;
													}
												else
													{	/* Eval/evaluate_comp.scm 276 */
														long BgL_odepthz00_16753;

														BgL_odepthz00_16753 =
															BGL_CLASS_DEPTH(BgL_oclassz00_16743);
														if ((BgL_arg4408z00_16723 < BgL_odepthz00_16753))
															{	/* Eval/evaluate_comp.scm 276 */
																obj_t BgL_arg4401z00_16757;

																BgL_arg4401z00_16757 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_16743,
																	BgL_arg4408z00_16723);
																BgL_res4547z00_16739 =
																	(BgL_arg4401z00_16757 == BgL_classz00_16720);
															}
														else
															{	/* Eval/evaluate_comp.scm 276 */
																BgL_res4547z00_16739 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg4403z00_16728 = BgL_res4547z00_16739;
									}
									BgL_test5475z00_26528 =
										BGL_ISA_C_BACKEND(BgL_arg4402z00_16727,
										BgL_arg4403z00_16728);
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 276 */
								BgL_test5475z00_26528 = ((bool_t) 0);
							}
					}
					if (BgL_test5475z00_26528)
						{	/* Eval/evaluate_comp.scm 276 */
							BgL_auxz00_26527 = ((BgL_ev_exprz00_bglt) BgL_ez00_14189);
						}
					else
						{
							obj_t BgL_auxz00_26549;

							BgL_auxz00_26549 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string4683z00zz__evaluate_compz00, BINT(((long) 7022)),
								BGl_string4769z00zz__evaluate_compz00,
								BGl_string4685z00zz__evaluate_compz00, BgL_ez00_14189);
							FAILURE(BgL_auxz00_26549, BFALSE, BFALSE);
				}}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_26527, BgL_stkz00_14190);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc4770z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc4772z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc4773z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc4774z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc4775z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc4776z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc4777z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc4778z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc4779z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc4780z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc4781z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc4782z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc4783z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc4784z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc4785z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc4786z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc4787z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc4788z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc4789z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc4790z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc4791z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc4792z00zz__evaluate_compz00,
				BGl_string4771z00zz__evaluate_compz00);
		}

	}



/* &comp-ev_abs1449 */
	obj_t BGl_z62compzd2ev_abs1449zb0zz__evaluate_compz00(obj_t BgL_envz00_14383,
		obj_t BgL_ez00_14384, obj_t BgL_stkz00_14385)
	{
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1174 */
				obj_t BgL_ifreesz00_16759;
				obj_t BgL_iboxesz00_16760;
				long BgL_siza7eza7_16761;
				long BgL_siza7ezd2framez75_16762;
				obj_t BgL_nstkz00_16763;

				{	/* Eval/evaluate_comp.scm 1174 */
					obj_t BgL_arg4105z00_16764;

					{	/* Eval/evaluate_comp.scm 1174 */
						obj_t BgL_l1376z00_16765;

						BgL_l1376z00_16765 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_freez00);
						if (NULLP(BgL_l1376z00_16765))
							{	/* Eval/evaluate_comp.scm 1174 */
								BgL_arg4105z00_16764 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1174 */
								obj_t BgL_head1378z00_16766;

								BgL_head1378z00_16766 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1376z00_16768;
									obj_t BgL_tail1379z00_16769;

									BgL_l1376z00_16768 = BgL_l1376z00_16765;
									BgL_tail1379z00_16769 = BgL_head1378z00_16766;
								BgL_zc3z04anonymousza34107ze3z87_16767:
									if (NULLP(BgL_l1376z00_16768))
										{	/* Eval/evaluate_comp.scm 1174 */
											BgL_arg4105z00_16764 = CDR(BgL_head1378z00_16766);
										}
									else
										{	/* Eval/evaluate_comp.scm 1174 */
											obj_t BgL_newtail1380z00_16770;

											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4110z00_16771;

												{	/* Eval/evaluate_comp.scm 1174 */
													obj_t BgL_vz00_16772;

													BgL_vz00_16772 = CAR(((obj_t) BgL_l1376z00_16768));
													BgL_arg4110z00_16771 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16772,
														BgL_stkz00_14385);
												}
												BgL_newtail1380z00_16770 =
													MAKE_YOUNG_PAIR(BgL_arg4110z00_16771, BNIL);
											}
											SET_CDR(BgL_tail1379z00_16769, BgL_newtail1380z00_16770);
											{	/* Eval/evaluate_comp.scm 1174 */
												obj_t BgL_arg4109z00_16773;

												BgL_arg4109z00_16773 =
													CDR(((obj_t) BgL_l1376z00_16768));
												{
													obj_t BgL_tail1379z00_26592;
													obj_t BgL_l1376z00_26591;

													BgL_l1376z00_26591 = BgL_arg4109z00_16773;
													BgL_tail1379z00_26592 = BgL_newtail1380z00_16770;
													BgL_tail1379z00_16769 = BgL_tail1379z00_26592;
													BgL_l1376z00_16768 = BgL_l1376z00_26591;
													goto BgL_zc3z04anonymousza34107ze3z87_16767;
												}
											}
										}
								}
							}
					}
					BgL_ifreesz00_16759 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4105z00_16764);
				}
				{	/* Eval/evaluate_comp.scm 1175 */
					obj_t BgL_arg4111z00_16774;

					{	/* Eval/evaluate_comp.scm 1175 */
						obj_t BgL_l1381z00_16775;

						BgL_l1381z00_16775 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_boxesz00);
						if (NULLP(BgL_l1381z00_16775))
							{	/* Eval/evaluate_comp.scm 1175 */
								BgL_arg4111z00_16774 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 1175 */
								obj_t BgL_head1383z00_16776;

								BgL_head1383z00_16776 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1381z00_16778;
									obj_t BgL_tail1384z00_16779;

									BgL_l1381z00_16778 = BgL_l1381z00_16775;
									BgL_tail1384z00_16779 = BgL_head1383z00_16776;
								BgL_zc3z04anonymousza34113ze3z87_16777:
									if (NULLP(BgL_l1381z00_16778))
										{	/* Eval/evaluate_comp.scm 1175 */
											BgL_arg4111z00_16774 = CDR(BgL_head1383z00_16776);
										}
									else
										{	/* Eval/evaluate_comp.scm 1175 */
											obj_t BgL_newtail1385z00_16780;

											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4116z00_16781;

												{	/* Eval/evaluate_comp.scm 1175 */
													obj_t BgL_vz00_16782;

													BgL_vz00_16782 = CAR(((obj_t) BgL_l1381z00_16778));
													BgL_arg4116z00_16781 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_16782,
														(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_ez00_14384)))->
															BgL_varsz00));
												}
												BgL_newtail1385z00_16780 =
													MAKE_YOUNG_PAIR(BgL_arg4116z00_16781, BNIL);
											}
											SET_CDR(BgL_tail1384z00_16779, BgL_newtail1385z00_16780);
											{	/* Eval/evaluate_comp.scm 1175 */
												obj_t BgL_arg4115z00_16783;

												BgL_arg4115z00_16783 =
													CDR(((obj_t) BgL_l1381z00_16778));
												{
													obj_t BgL_tail1384z00_26612;
													obj_t BgL_l1381z00_26611;

													BgL_l1381z00_26611 = BgL_arg4115z00_16783;
													BgL_tail1384z00_26612 = BgL_newtail1385z00_16780;
													BgL_tail1384z00_16779 = BgL_tail1384z00_26612;
													BgL_l1381z00_16778 = BgL_l1381z00_26611;
													goto BgL_zc3z04anonymousza34113ze3z87_16777;
												}
											}
										}
								}
							}
					}
					BgL_iboxesz00_16760 =
						BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4111z00_16774);
				}
				BgL_siza7eza7_16761 =
					bgl_list_length(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_varsz00));
				BgL_siza7ezd2framez75_16762 =
					(
					(long) (
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_siza7eza7)) +
					bgl_list_length(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_freez00)));
				BgL_nstkz00_16763 =
					BGl_appendzd221011zd2zz__evaluate_compz00(
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_varsz00),
					(((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_freez00));
				{	/* Eval/evaluate_comp.scm 1179 */
					obj_t BgL_bodyz00_16784;

					BgL_bodyz00_16784 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_bodyz00),
						BgL_nstkz00_16763);
					{

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_aux1257z00_16790;

							BgL_aux1257z00_16790 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_14384)))->BgL_arityz00);
							if (INTEGERP(BgL_aux1257z00_16790))
								{	/* Eval/evaluate_comp.scm 1181 */
									switch ((long) CINT(BgL_aux1257z00_16790))
										{
										case ((long) 0):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33551ze3z87_16791;

															BgL_zc3z04anonymousza33551ze3z87_16791 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33551ze3z87_16791,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33551ze3z87_16791,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33551ze3z87_16791,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33551ze3z87_16791;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33557ze3z87_16792;

															BgL_zc3z04anonymousza33557ze3z87_16792 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33557ze3z87_16792,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33557ze3z87_16792,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33557ze3z87_16792,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33557ze3z87_16792,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33557ze3z87_16792;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33566ze3z87_16793;

															BgL_zc3z04anonymousza33566ze3z87_16793 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16793,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16793,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16793,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16793,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33566ze3z87_16793,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33566ze3z87_16793;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33573ze3z87_16794;

															BgL_zc3z04anonymousza33573ze3z87_16794 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33573ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33573ze3z87_16794,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33573ze3z87_16794;
														}
												}
											break;
										case ((long) -1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33587ze3z87_16795;

															BgL_zc3z04anonymousza33587ze3z87_16795 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33587ze3z87_16795,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33587ze3z87_16795,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33587ze3z87_16795,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33587ze3z87_16795;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33595ze3z87_16796;

															BgL_zc3z04anonymousza33595ze3z87_16796 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16796,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16796,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16796,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33595ze3z87_16796,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33595ze3z87_16796;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33605ze3z87_16797;

															BgL_zc3z04anonymousza33605ze3z87_16797 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16797,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16797,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16797,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16797,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33605ze3z87_16797,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33605ze3z87_16797;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33613ze3z87_16798;

															BgL_zc3z04anonymousza33613ze3z87_16798 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33613ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33613ze3z87_16798,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33613ze3z87_16798;
														}
												}
											break;
										case ((long) 1):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33630ze3z87_16799;

															BgL_zc3z04anonymousza33630ze3z87_16799 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33630ze3z87_16799,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33630ze3z87_16799,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33630ze3z87_16799,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33630ze3z87_16799;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33637ze3z87_16800;

															BgL_zc3z04anonymousza33637ze3z87_16800 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33637ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33637ze3z87_16800,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33637ze3z87_16800,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33637ze3z87_16800,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33637ze3z87_16800,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33637ze3z87_16800;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33648ze3z87_16801;

															BgL_zc3z04anonymousza33648ze3z87_16801 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33648ze3z87_16801,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33648ze3z87_16801,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33648ze3z87_16801,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33648ze3z87_16801,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33648ze3z87_16801,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33648ze3z87_16801;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33656ze3z87_16802;

															BgL_zc3z04anonymousza33656ze3z87_16802 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33656ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33656ze3z87_16802,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33656ze3z87_16802;
														}
												}
											break;
										case ((long) -2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33672ze3z87_16803;

															BgL_zc3z04anonymousza33672ze3z87_16803 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16803,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16803,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33672ze3z87_16803,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33672ze3z87_16803;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33681ze3z87_16804;

															BgL_zc3z04anonymousza33681ze3z87_16804 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16804,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16804,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16804,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33681ze3z87_16804,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33681ze3z87_16804;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33693ze3z87_16805;

															BgL_zc3z04anonymousza33693ze3z87_16805 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33693ze3z87_16805,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33693ze3z87_16805,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33693ze3z87_16805,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33693ze3z87_16805,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33693ze3z87_16805,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33693ze3z87_16805;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33703ze3z87_16806;

															BgL_zc3z04anonymousza33703ze3z87_16806 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33703ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33703ze3z87_16806,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33703ze3z87_16806;
														}
												}
											break;
										case ((long) 2):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33720ze3z87_16807;

															BgL_zc3z04anonymousza33720ze3z87_16807 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33720ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33720ze3z87_16807,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33720ze3z87_16807,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33720ze3z87_16807,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33720ze3z87_16807;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33729ze3z87_16808;

															BgL_zc3z04anonymousza33729ze3z87_16808 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33729ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33729ze3z87_16808,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33729ze3z87_16808,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33729ze3z87_16808,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33729ze3z87_16808,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33729ze3z87_16808;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33741ze3z87_16809;

															BgL_zc3z04anonymousza33741ze3z87_16809 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33741ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33741ze3z87_16809,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33741ze3z87_16809,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33741ze3z87_16809,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33741ze3z87_16809,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33741ze3z87_16809,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33741ze3z87_16809;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33750ze3z87_16810;

															BgL_zc3z04anonymousza33750ze3z87_16810 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33750ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33750ze3z87_16810,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33750ze3z87_16810;
														}
												}
											break;
										case ((long) -3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33765ze3z87_16811;

															BgL_zc3z04anonymousza33765ze3z87_16811 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33765ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33765ze3z87_16811,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33765ze3z87_16811,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33765ze3z87_16811,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33765ze3z87_16811;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33774ze3z87_16812;

															BgL_zc3z04anonymousza33774ze3z87_16812 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16812,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16812,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16812,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33774ze3z87_16812,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33774ze3z87_16812;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33786ze3z87_16813;

															BgL_zc3z04anonymousza33786ze3z87_16813 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33786ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33786ze3z87_16813,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33786ze3z87_16813,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33786ze3z87_16813,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33786ze3z87_16813,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33786ze3z87_16813,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33786ze3z87_16813;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33796ze3z87_16814;

															BgL_zc3z04anonymousza33796ze3z87_16814 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33796ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33796ze3z87_16814,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33796ze3z87_16814;
														}
												}
											break;
										case ((long) 3):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33812ze3z87_16815;

															BgL_zc3z04anonymousza33812ze3z87_16815 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33812ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33812ze3z87_16815,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33812ze3z87_16815,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33812ze3z87_16815,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33812ze3z87_16815;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33821ze3z87_16816;

															BgL_zc3z04anonymousza33821ze3z87_16816 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16816,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16816,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16816,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33821ze3z87_16816,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33821ze3z87_16816;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33833ze3z87_16817;

															BgL_zc3z04anonymousza33833ze3z87_16817 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33833ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33833ze3z87_16817,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33833ze3z87_16817,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33833ze3z87_16817,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33833ze3z87_16817,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33833ze3z87_16817,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33833ze3z87_16817;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33843ze3z87_16818;

															BgL_zc3z04anonymousza33843ze3z87_16818 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33843ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33843ze3z87_16818,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33843ze3z87_16818;
														}
												}
											break;
										case ((long) -4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33859ze3z87_16819;

															BgL_zc3z04anonymousza33859ze3z87_16819 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33859ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33859ze3z87_16819,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33859ze3z87_16819,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33859ze3z87_16819,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33859ze3z87_16819;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33869ze3z87_16820;

															BgL_zc3z04anonymousza33869ze3z87_16820 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33869ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33869ze3z87_16820,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33869ze3z87_16820,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33869ze3z87_16820,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33869ze3z87_16820,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33869ze3z87_16820;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33882ze3z87_16821;

															BgL_zc3z04anonymousza33882ze3z87_16821 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33882ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33882ze3z87_16821,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33882ze3z87_16821,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33882ze3z87_16821,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33882ze3z87_16821,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33882ze3z87_16821,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33882ze3z87_16821;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33893ze3z87_16822;

															BgL_zc3z04anonymousza33893ze3z87_16822 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33893ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33893ze3z87_16822,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33893ze3z87_16822;
														}
												}
											break;
										case ((long) 4):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33910ze3z87_16823;

															BgL_zc3z04anonymousza33910ze3z87_16823 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33910ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33910ze3z87_16823,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33910ze3z87_16823,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33910ze3z87_16823,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33910ze3z87_16823;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33920ze3z87_16824;

															BgL_zc3z04anonymousza33920ze3z87_16824 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33920ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33920ze3z87_16824,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33920ze3z87_16824,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33920ze3z87_16824,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33920ze3z87_16824,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33920ze3z87_16824;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33933ze3z87_16825;

															BgL_zc3z04anonymousza33933ze3z87_16825 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33933ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33933ze3z87_16825,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33933ze3z87_16825,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33933ze3z87_16825,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33933ze3z87_16825,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33933ze3z87_16825,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33933ze3z87_16825;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33944ze3z87_16826;

															BgL_zc3z04anonymousza33944ze3z87_16826 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33944ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33944ze3z87_16826,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33944ze3z87_16826;
														}
												}
											break;
										case ((long) -5):

											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33961ze3z87_16827;

															BgL_zc3z04anonymousza33961ze3z87_16827 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33961ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33961ze3z87_16827,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33961ze3z87_16827,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33961ze3z87_16827,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33961ze3z87_16827;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33972ze3z87_16828;

															BgL_zc3z04anonymousza33972ze3z87_16828 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33972ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33972ze3z87_16828,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33972ze3z87_16828,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33972ze3z87_16828,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33972ze3z87_16828,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33972ze3z87_16828;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33986ze3z87_16829;

															BgL_zc3z04anonymousza33986ze3z87_16829 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33986ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33986ze3z87_16829,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33986ze3z87_16829,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33986ze3z87_16829,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33986ze3z87_16829,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33986ze3z87_16829,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33986ze3z87_16829;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza33998ze3z87_16830;

															BgL_zc3z04anonymousza33998ze3z87_16830 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza33998ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza33998ze3z87_16830,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza33998ze3z87_16830;
														}
												}
											break;
										default:
										BgL_case_else1256z00_16785:
											if ((VECTOR_LENGTH(BgL_ifreesz00_16759) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34016ze3z87_16786;

															BgL_zc3z04anonymousza34016ze3z87_16786 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34016ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 3)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34016ze3z87_16786,
																(int) (((long) 0)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34016ze3z87_16786,
																(int) (((long) 1)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34016ze3z87_16786,
																(int) (((long) 2)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza34016ze3z87_16786;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34036ze3z87_16787;

															BgL_zc3z04anonymousza34036ze3z87_16787 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34036ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 4)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34036ze3z87_16787,
																(int) (((long) 0)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34036ze3z87_16787,
																(int) (((long) 1)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34036ze3z87_16787,
																(int) (((long) 2)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34036ze3z87_16787,
																(int) (((long) 3)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza34036ze3z87_16787;
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													if (
														(VECTOR_LENGTH(BgL_iboxesz00_16760) == ((long) 0)))
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34059ze3z87_16788;

															BgL_zc3z04anonymousza34059ze3z87_16788 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34059ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 5)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34059ze3z87_16788,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34059ze3z87_16788,
																(int) (((long) 1)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34059ze3z87_16788,
																(int) (((long) 2)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34059ze3z87_16788,
																(int) (((long) 3)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34059ze3z87_16788,
																(int) (((long) 4)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza34059ze3z87_16788;
														}
													else
														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_zc3z04anonymousza34080ze3z87_16789;

															BgL_zc3z04anonymousza34080ze3z87_16789 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza34080ze3ze5zz__evaluate_compz00,
																(int) (((long) 1)), (int) (((long) 6)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 0)), BgL_ifreesz00_16759);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 1)), BgL_iboxesz00_16760);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 2)), BINT(BgL_siza7eza7_16761));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 3)),
																((obj_t) ((BgL_ev_absz00_bglt)
																		BgL_ez00_14384)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 4)), BgL_bodyz00_16784);
															PROCEDURE_SET
																(BgL_zc3z04anonymousza34080ze3z87_16789,
																(int) (((long) 5)),
																BINT(BgL_siza7ezd2framez75_16762));
															return BgL_zc3z04anonymousza34080ze3z87_16789;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 1181 */
									goto BgL_case_else1256z00_16785;
								}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3961> */
	obj_t BGl_z62zc3z04anonymousza33961ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14386, obj_t BgL_sz00_14390)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14387;
				obj_t BgL_bodyz00_14388;
				long BgL_siza7ezd2framez75_14389;

				BgL_i1255z00_14387 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14386, (int) (((long) 0))));
				BgL_bodyz00_14388 = PROCEDURE_REF(BgL_envz00_14386, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14389 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14386, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16831;

					BgL_bpz00_16831 = VECTOR_REF(((obj_t) BgL_sz00_14390), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16832;

							BgL_runz00_16832 =
								MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16832,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14387));
							PROCEDURE_SET(BgL_runz00_16832,
								(int) (((long) 1)), BgL_bodyz00_14388);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16833;

								BgL_mainz00_16833 =
									MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16833,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14387));
								PROCEDURE_SET(BgL_mainz00_16833,
									(int) (((long) 1)), BgL_bodyz00_14388);
								PROCEDURE_SET(BgL_mainz00_16833,
									(int) (((long) 2)), BgL_runz00_16832);
								PROCEDURE_SET(BgL_mainz00_16833,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14389));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16834;

									BgL_objz00_16834 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16832, BgL_objz00_16834);
									BgL_objz00_16834;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3962z00_16835;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3963z00_16836;

										BgL_arg3963z00_16836 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14387))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16837;

											BgL_newz00_16837 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27454;

												BgL_tmpz00_27454 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16837, BgL_tmpz00_27454,
													BgL_arg3963z00_16836);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27459;
												int BgL_tmpz00_27457;

												BgL_auxz00_27459 = BINT(BgL_siza7ezd2framez75_14389);
												BgL_tmpz00_27457 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16837, BgL_tmpz00_27457,
													BgL_auxz00_27459);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27462;

												BgL_tmpz00_27462 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16837, BgL_tmpz00_27462,
													BgL_runz00_16832);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27467;
												int BgL_tmpz00_27465;

												BgL_auxz00_27467 = BINT(((long) -5));
												BgL_tmpz00_27465 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16837, BgL_tmpz00_27465,
													BgL_auxz00_27467);
											}
											BgL_arg3962z00_16835 = BgL_newz00_16837;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16833, BgL_arg3962z00_16835);
									BgL_arg3962z00_16835;
								}
								return BgL_mainz00_16833;
							}
						}
					}
				}
			}
		}

	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_14391,
		obj_t BgL_az00_14396, obj_t BgL_bz00_14397, obj_t BgL_cz00_14398,
		obj_t BgL_dz00_14399, obj_t BgL_lastz00_14400)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14394;
				long BgL_siza7ezd2framez75_14395;

				BgL_runz00_14394 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14391, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14395 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14391, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16838;

					BgL_sz00_16838 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16839;

						BgL_bpz00_16839 = VECTOR_REF(((obj_t) BgL_sz00_16838), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16839) + BgL_siza7ezd2framez75_14395) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16838))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3966z00_16840;

									BgL_arg3966z00_16840 =
										((long) CINT(BgL_bpz00_16839) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16838), BgL_arg3966z00_16840,
										BgL_az00_14396);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3967z00_16841;

									BgL_arg3967z00_16841 =
										((long) CINT(BgL_bpz00_16839) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16838), BgL_arg3967z00_16841,
										BgL_bz00_14397);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3968z00_16842;

									BgL_arg3968z00_16842 =
										((long) CINT(BgL_bpz00_16839) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16838), BgL_arg3968z00_16842,
										BgL_cz00_14398);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3969z00_16843;

									BgL_arg3969z00_16843 =
										((long) CINT(BgL_bpz00_16839) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16838), BgL_arg3969z00_16843,
										BgL_dz00_14399);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3970z00_16844;

									BgL_arg3970z00_16844 =
										((long) CINT(BgL_bpz00_16839) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16838), BgL_arg3970z00_16844,
										BgL_lastz00_14400);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16845;

									BgL_ez00_16845 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_16846;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_16847;

											BgL_arg4423z00_16847 = BGL_EXITD_PROTECT(BgL_ez00_16845);
											BgL_arg4422z00_16846 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16839, BgL_arg4423z00_16847);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16845, BgL_arg4422z00_16846);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16848;

										BgL_accz00_16848 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14394, BgL_sz00_16838, BgL_bpz00_16839);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5518z00_27511;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_16849;

												BgL_arg4421z00_16849 =
													BGL_EXITD_PROTECT(BgL_ez00_16845);
												BgL_test5518z00_27511 = PAIRP(BgL_arg4421z00_16849);
											}
											if (BgL_test5518z00_27511)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_16850;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_16851;

														BgL_arg4420z00_16851 =
															BGL_EXITD_PROTECT(BgL_ez00_16845);
														BgL_arg4419z00_16850 =
															CDR(((obj_t) BgL_arg4420z00_16851));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16845,
														BgL_arg4419z00_16850);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16838), ((long) 0), BgL_bpz00_16839);
										return BgL_accz00_16848;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16852;

								BgL_nsz00_16852 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16852, ((long) 1), BgL_sz00_16838);
								VECTOR_SET(BgL_nsz00_16852, ((long) 2), BgL_az00_14396);
								VECTOR_SET(BgL_nsz00_16852, ((long) 3), BgL_bz00_14397);
								VECTOR_SET(BgL_nsz00_16852, ((long) 4), BgL_cz00_14398);
								VECTOR_SET(BgL_nsz00_16852, ((long) 5), BgL_dz00_14399);
								VECTOR_SET(BgL_nsz00_16852, ((long) 6), BgL_lastz00_14400);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16853;

									BgL_z12denvz12_16853 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16853, BgL_nsz00_16852);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16854;

										BgL_ez00_16854 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_16855;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_16856;

												BgL_arg4423z00_16856 =
													BGL_EXITD_PROTECT(BgL_ez00_16854);
												BgL_arg4422z00_16855 =
													MAKE_YOUNG_PAIR(BgL_sz00_16838, BgL_arg4423z00_16856);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16854,
												BgL_arg4422z00_16855);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16857;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16858;

												BgL_savedzd2bpzd2_16858 =
													VECTOR_REF(BgL_nsz00_16852, ((long) 0));
												VECTOR_SET(BgL_nsz00_16852, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16860;

													BgL_fz00_16860 = BgL_runz00_14394;
												BgL_recz00_16859:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16861;

														BgL_rz00_16861 =
															PROCEDURE_ENTRY(BgL_fz00_16860) (BgL_fz00_16860,
															BgL_nsz00_16852, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5519z00_27540;

															if (PROCEDUREP(BgL_rz00_16861))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_16862;

																	BgL_arg1747z00_16862 =
																		PROCEDURE_ATTR(BgL_rz00_16861);
																	if (STRUCTP(BgL_arg1747z00_16862))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5519z00_27540 =
																				(STRUCT_KEY(BgL_arg1747z00_16862) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5519z00_27540 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5519z00_27540 = ((bool_t) 0);
																}
															if (BgL_test5519z00_27540)
																{
																	obj_t BgL_fz00_27548;

																	BgL_fz00_27548 = BgL_rz00_16861;
																	BgL_fz00_16860 = BgL_fz00_27548;
																	goto BgL_recz00_16859;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16852, ((long) 0),
																		BgL_savedzd2bpzd2_16858);
																	BgL_____rz00_16857 = BgL_rz00_16861;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5522z00_27550;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_16863;

													BgL_arg4421z00_16863 =
														BGL_EXITD_PROTECT(BgL_ez00_16854);
													BgL_test5522z00_27550 = PAIRP(BgL_arg4421z00_16863);
												}
												if (BgL_test5522z00_27550)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_16864;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_16865;

															BgL_arg4420z00_16865 =
																BGL_EXITD_PROTECT(BgL_ez00_16854);
															BgL_arg4419z00_16864 =
																CDR(((obj_t) BgL_arg4420z00_16865));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16854,
															BgL_arg4419z00_16864);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16853, BgL_sz00_16838);
											return BgL_____rz00_16857;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_14401,
		obj_t BgL_sz00_14404)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14402;
				obj_t BgL_bodyz00_14403;

				BgL_i1255z00_14402 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14401, (int) (((long) 0))));
				BgL_bodyz00_14403 = PROCEDURE_REF(BgL_envz00_14401, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16866;

					BgL_bpz00_16866 = VECTOR_REF(((obj_t) BgL_sz00_14404), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16867;
						obj_t BgL_wherez00_16868;
						obj_t BgL_locz00_16869;

						BgL_z12denvz12_16867 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16868 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14402))->
							BgL_wherez00);
						BgL_locz00_16869 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14402))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16867, BgL_wherez00_16868,
								BgL_locz00_16869);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16870;

								BgL_za2za2resza2za2z00_16870 =
									PROCEDURE_ENTRY(BgL_bodyz00_14403) (BgL_bodyz00_14403,
									BgL_sz00_14404, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16867);
								return BgL_za2za2resza2za2z00_16870;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3972> */
	obj_t BGl_z62zc3z04anonymousza33972ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14405, obj_t BgL_sz00_14410)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14406;
				BgL_ev_absz00_bglt BgL_i1255z00_14407;
				obj_t BgL_bodyz00_14408;
				long BgL_siza7ezd2framez75_14409;

				BgL_iboxesz00_14406 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 0))));
				BgL_i1255z00_14407 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 1))));
				BgL_bodyz00_14408 = PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14409 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14405, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16871;

					BgL_bpz00_16871 = VECTOR_REF(((obj_t) BgL_sz00_14410), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16872;

							BgL_runz00_16872 =
								MAKE_FX_PROCEDURE(BGl_z62run4581z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_16872,
								(int) (((long) 0)), BgL_iboxesz00_14406);
							PROCEDURE_SET(BgL_runz00_16872,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14407));
							PROCEDURE_SET(BgL_runz00_16872,
								(int) (((long) 2)), BgL_bodyz00_14408);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16873;

								BgL_mainz00_16873 =
									MAKE_VA_PROCEDURE(BGl_z62main4580z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_16873,
									(int) (((long) 0)), BgL_iboxesz00_14406);
								PROCEDURE_SET(BgL_mainz00_16873,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14407));
								PROCEDURE_SET(BgL_mainz00_16873,
									(int) (((long) 2)), BgL_bodyz00_14408);
								PROCEDURE_SET(BgL_mainz00_16873,
									(int) (((long) 3)), BgL_runz00_16872);
								PROCEDURE_SET(BgL_mainz00_16873,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14409));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16874;

									BgL_objz00_16874 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16872, BgL_objz00_16874);
									BgL_objz00_16874;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3973z00_16875;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3974z00_16876;

										BgL_arg3974z00_16876 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14407))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16877;

											BgL_newz00_16877 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27616;

												BgL_tmpz00_27616 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16877, BgL_tmpz00_27616,
													BgL_arg3974z00_16876);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27621;
												int BgL_tmpz00_27619;

												BgL_auxz00_27621 = BINT(BgL_siza7ezd2framez75_14409);
												BgL_tmpz00_27619 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16877, BgL_tmpz00_27619,
													BgL_auxz00_27621);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27624;

												BgL_tmpz00_27624 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16877, BgL_tmpz00_27624,
													BgL_runz00_16872);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27629;
												int BgL_tmpz00_27627;

												BgL_auxz00_27629 = BINT(((long) -5));
												BgL_tmpz00_27627 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16877, BgL_tmpz00_27627,
													BgL_auxz00_27629);
											}
											BgL_arg3973z00_16875 = BgL_newz00_16877;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16873, BgL_arg3973z00_16875);
									BgL_arg3973z00_16875;
								}
								return BgL_mainz00_16873;
							}
						}
					}
				}
			}
		}

	}



/* &main4580 */
	obj_t BGl_z62main4580z62zz__evaluate_compz00(obj_t BgL_envz00_14411,
		obj_t BgL_az00_14417, obj_t BgL_bz00_14418, obj_t BgL_cz00_14419,
		obj_t BgL_dz00_14420, obj_t BgL_lastz00_14421)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14415;
				long BgL_siza7ezd2framez75_14416;

				BgL_runz00_14415 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14416 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14411, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16878;

					BgL_sz00_16878 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16879;

						BgL_bpz00_16879 = VECTOR_REF(((obj_t) BgL_sz00_16878), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16879) + BgL_siza7ezd2framez75_14416) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16878))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3977z00_16880;

									BgL_arg3977z00_16880 =
										((long) CINT(BgL_bpz00_16879) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16878), BgL_arg3977z00_16880,
										BgL_az00_14417);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3978z00_16881;

									BgL_arg3978z00_16881 =
										((long) CINT(BgL_bpz00_16879) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16878), BgL_arg3978z00_16881,
										BgL_bz00_14418);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3979z00_16882;

									BgL_arg3979z00_16882 =
										((long) CINT(BgL_bpz00_16879) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16878), BgL_arg3979z00_16882,
										BgL_cz00_14419);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3980z00_16883;

									BgL_arg3980z00_16883 =
										((long) CINT(BgL_bpz00_16879) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16878), BgL_arg3980z00_16883,
										BgL_dz00_14420);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3981z00_16884;

									BgL_arg3981z00_16884 =
										((long) CINT(BgL_bpz00_16879) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16878), BgL_arg3981z00_16884,
										BgL_lastz00_14421);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16885;

									BgL_ez00_16885 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_16886;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_16887;

											BgL_arg4423z00_16887 = BGL_EXITD_PROTECT(BgL_ez00_16885);
											BgL_arg4422z00_16886 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16879, BgL_arg4423z00_16887);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16885, BgL_arg4422z00_16886);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16888;

										BgL_accz00_16888 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14415, BgL_sz00_16878, BgL_bpz00_16879);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5524z00_27673;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_16889;

												BgL_arg4421z00_16889 =
													BGL_EXITD_PROTECT(BgL_ez00_16885);
												BgL_test5524z00_27673 = PAIRP(BgL_arg4421z00_16889);
											}
											if (BgL_test5524z00_27673)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_16890;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_16891;

														BgL_arg4420z00_16891 =
															BGL_EXITD_PROTECT(BgL_ez00_16885);
														BgL_arg4419z00_16890 =
															CDR(((obj_t) BgL_arg4420z00_16891));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16885,
														BgL_arg4419z00_16890);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16878), ((long) 0), BgL_bpz00_16879);
										return BgL_accz00_16888;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16892;

								BgL_nsz00_16892 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16892, ((long) 1), BgL_sz00_16878);
								VECTOR_SET(BgL_nsz00_16892, ((long) 2), BgL_az00_14417);
								VECTOR_SET(BgL_nsz00_16892, ((long) 3), BgL_bz00_14418);
								VECTOR_SET(BgL_nsz00_16892, ((long) 4), BgL_cz00_14419);
								VECTOR_SET(BgL_nsz00_16892, ((long) 5), BgL_dz00_14420);
								VECTOR_SET(BgL_nsz00_16892, ((long) 6), BgL_lastz00_14421);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16893;

									BgL_z12denvz12_16893 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16893, BgL_nsz00_16892);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16894;

										BgL_ez00_16894 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_16895;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_16896;

												BgL_arg4423z00_16896 =
													BGL_EXITD_PROTECT(BgL_ez00_16894);
												BgL_arg4422z00_16895 =
													MAKE_YOUNG_PAIR(BgL_sz00_16878, BgL_arg4423z00_16896);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16894,
												BgL_arg4422z00_16895);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16897;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16898;

												BgL_savedzd2bpzd2_16898 =
													VECTOR_REF(BgL_nsz00_16892, ((long) 0));
												VECTOR_SET(BgL_nsz00_16892, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16900;

													BgL_fz00_16900 = BgL_runz00_14415;
												BgL_recz00_16899:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16901;

														BgL_rz00_16901 =
															PROCEDURE_ENTRY(BgL_fz00_16900) (BgL_fz00_16900,
															BgL_nsz00_16892, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5525z00_27702;

															if (PROCEDUREP(BgL_rz00_16901))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_16902;

																	BgL_arg1747z00_16902 =
																		PROCEDURE_ATTR(BgL_rz00_16901);
																	if (STRUCTP(BgL_arg1747z00_16902))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5525z00_27702 =
																				(STRUCT_KEY(BgL_arg1747z00_16902) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5525z00_27702 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5525z00_27702 = ((bool_t) 0);
																}
															if (BgL_test5525z00_27702)
																{
																	obj_t BgL_fz00_27710;

																	BgL_fz00_27710 = BgL_rz00_16901;
																	BgL_fz00_16900 = BgL_fz00_27710;
																	goto BgL_recz00_16899;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16892, ((long) 0),
																		BgL_savedzd2bpzd2_16898);
																	BgL_____rz00_16897 = BgL_rz00_16901;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5528z00_27712;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_16903;

													BgL_arg4421z00_16903 =
														BGL_EXITD_PROTECT(BgL_ez00_16894);
													BgL_test5528z00_27712 = PAIRP(BgL_arg4421z00_16903);
												}
												if (BgL_test5528z00_27712)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_16904;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_16905;

															BgL_arg4420z00_16905 =
																BGL_EXITD_PROTECT(BgL_ez00_16894);
															BgL_arg4419z00_16904 =
																CDR(((obj_t) BgL_arg4420z00_16905));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16894,
															BgL_arg4419z00_16904);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16893, BgL_sz00_16878);
											return BgL_____rz00_16897;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4581 */
	obj_t BGl_z62run4581z62zz__evaluate_compz00(obj_t BgL_envz00_14422,
		obj_t BgL_sz00_14426)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14423;
				BgL_ev_absz00_bglt BgL_i1255z00_14424;
				obj_t BgL_bodyz00_14425;

				BgL_iboxesz00_14423 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 0))));
				BgL_i1255z00_14424 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 1))));
				BgL_bodyz00_14425 = PROCEDURE_REF(BgL_envz00_14422, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16906;

					BgL_bpz00_16906 = VECTOR_REF(((obj_t) BgL_sz00_14426), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14426,
						BgL_iboxesz00_14423, BgL_bpz00_16906);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_16907;
						obj_t BgL_wherez00_16908;
						obj_t BgL_locz00_16909;

						BgL_z12denvz12_16907 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16908 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14424))->
							BgL_wherez00);
						BgL_locz00_16909 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14424))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16907, BgL_wherez00_16908,
								BgL_locz00_16909);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_16910;

								BgL_za2za2resza2za2z00_16910 =
									PROCEDURE_ENTRY(BgL_bodyz00_14425) (BgL_bodyz00_14425,
									BgL_sz00_14426, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16907);
								return BgL_za2za2resza2za2z00_16910;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3986> */
	obj_t BGl_z62zc3z04anonymousza33986ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14427, obj_t BgL_sz00_14433)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14428;
				long BgL_siza7eza7_14429;
				BgL_ev_absz00_bglt BgL_i1255z00_14430;
				obj_t BgL_bodyz00_14431;
				long BgL_siza7ezd2framez75_14432;

				BgL_ifreesz00_14428 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 0))));
				BgL_siza7eza7_14429 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 1))));
				BgL_i1255z00_14430 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 2))));
				BgL_bodyz00_14431 = PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14432 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14427, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16911;

					BgL_bpz00_16911 = VECTOR_REF(((obj_t) BgL_sz00_14433), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16912;

						BgL_valza2za2_16912 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14433,
							BgL_bpz00_16911, BgL_ifreesz00_14428);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16913;

							BgL_runz00_16913 =
								MAKE_FX_PROCEDURE(BGl_z62run4583z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_16913,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14429));
							PROCEDURE_SET(BgL_runz00_16913,
								(int) (((long) 1)), BgL_valza2za2_16912);
							PROCEDURE_SET(BgL_runz00_16913,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14430));
							PROCEDURE_SET(BgL_runz00_16913,
								(int) (((long) 3)), BgL_bodyz00_14431);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16914;

								BgL_mainz00_16914 =
									MAKE_VA_PROCEDURE(BGl_z62main4582z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14429));
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 1)), BgL_valza2za2_16912);
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14430));
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 3)), BgL_bodyz00_14431);
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 4)), BgL_runz00_16913);
								PROCEDURE_SET(BgL_mainz00_16914,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14432));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16915;

									BgL_objz00_16915 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16913, BgL_objz00_16915);
									BgL_objz00_16915;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3987z00_16916;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3988z00_16917;

										BgL_arg3988z00_16917 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14430))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16918;

											BgL_newz00_16918 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27792;

												BgL_tmpz00_27792 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16918, BgL_tmpz00_27792,
													BgL_arg3988z00_16917);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27797;
												int BgL_tmpz00_27795;

												BgL_auxz00_27797 = BINT(BgL_siza7ezd2framez75_14432);
												BgL_tmpz00_27795 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16918, BgL_tmpz00_27795,
													BgL_auxz00_27797);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27800;

												BgL_tmpz00_27800 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16918, BgL_tmpz00_27800,
													BgL_runz00_16913);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27805;
												int BgL_tmpz00_27803;

												BgL_auxz00_27805 = BINT(((long) -5));
												BgL_tmpz00_27803 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16918, BgL_tmpz00_27803,
													BgL_auxz00_27805);
											}
											BgL_arg3987z00_16916 = BgL_newz00_16918;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16914, BgL_arg3987z00_16916);
									BgL_arg3987z00_16916;
								}
								return BgL_mainz00_16914;
							}
						}
					}
				}
			}
		}

	}



/* &main4582 */
	obj_t BGl_z62main4582z62zz__evaluate_compz00(obj_t BgL_envz00_14434,
		obj_t BgL_az00_14441, obj_t BgL_bz00_14442, obj_t BgL_cz00_14443,
		obj_t BgL_dz00_14444, obj_t BgL_lastz00_14445)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14439;
				long BgL_siza7ezd2framez75_14440;

				BgL_runz00_14439 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14440 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14434, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16919;

					BgL_sz00_16919 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16920;

						BgL_bpz00_16920 = VECTOR_REF(((obj_t) BgL_sz00_16919), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16920) + BgL_siza7ezd2framez75_14440) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16919))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3991z00_16921;

									BgL_arg3991z00_16921 =
										((long) CINT(BgL_bpz00_16920) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16919), BgL_arg3991z00_16921,
										BgL_az00_14441);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3992z00_16922;

									BgL_arg3992z00_16922 =
										((long) CINT(BgL_bpz00_16920) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16919), BgL_arg3992z00_16922,
										BgL_bz00_14442);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3993z00_16923;

									BgL_arg3993z00_16923 =
										((long) CINT(BgL_bpz00_16920) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16919), BgL_arg3993z00_16923,
										BgL_cz00_14443);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3994z00_16924;

									BgL_arg3994z00_16924 =
										((long) CINT(BgL_bpz00_16920) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16919), BgL_arg3994z00_16924,
										BgL_dz00_14444);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3995z00_16925;

									BgL_arg3995z00_16925 =
										((long) CINT(BgL_bpz00_16920) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16919), BgL_arg3995z00_16925,
										BgL_lastz00_14445);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16926;

									BgL_ez00_16926 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_16927;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_16928;

											BgL_arg4423z00_16928 = BGL_EXITD_PROTECT(BgL_ez00_16926);
											BgL_arg4422z00_16927 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16920, BgL_arg4423z00_16928);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16926, BgL_arg4422z00_16927);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16929;

										BgL_accz00_16929 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14439, BgL_sz00_16919, BgL_bpz00_16920);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5530z00_27849;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_16930;

												BgL_arg4421z00_16930 =
													BGL_EXITD_PROTECT(BgL_ez00_16926);
												BgL_test5530z00_27849 = PAIRP(BgL_arg4421z00_16930);
											}
											if (BgL_test5530z00_27849)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_16931;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_16932;

														BgL_arg4420z00_16932 =
															BGL_EXITD_PROTECT(BgL_ez00_16926);
														BgL_arg4419z00_16931 =
															CDR(((obj_t) BgL_arg4420z00_16932));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16926,
														BgL_arg4419z00_16931);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16919), ((long) 0), BgL_bpz00_16920);
										return BgL_accz00_16929;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16933;

								BgL_nsz00_16933 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16933, ((long) 1), BgL_sz00_16919);
								VECTOR_SET(BgL_nsz00_16933, ((long) 2), BgL_az00_14441);
								VECTOR_SET(BgL_nsz00_16933, ((long) 3), BgL_bz00_14442);
								VECTOR_SET(BgL_nsz00_16933, ((long) 4), BgL_cz00_14443);
								VECTOR_SET(BgL_nsz00_16933, ((long) 5), BgL_dz00_14444);
								VECTOR_SET(BgL_nsz00_16933, ((long) 6), BgL_lastz00_14445);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16934;

									BgL_z12denvz12_16934 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16934, BgL_nsz00_16933);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16935;

										BgL_ez00_16935 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_16936;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_16937;

												BgL_arg4423z00_16937 =
													BGL_EXITD_PROTECT(BgL_ez00_16935);
												BgL_arg4422z00_16936 =
													MAKE_YOUNG_PAIR(BgL_sz00_16919, BgL_arg4423z00_16937);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16935,
												BgL_arg4422z00_16936);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16938;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16939;

												BgL_savedzd2bpzd2_16939 =
													VECTOR_REF(BgL_nsz00_16933, ((long) 0));
												VECTOR_SET(BgL_nsz00_16933, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16941;

													BgL_fz00_16941 = BgL_runz00_14439;
												BgL_recz00_16940:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16942;

														BgL_rz00_16942 =
															PROCEDURE_ENTRY(BgL_fz00_16941) (BgL_fz00_16941,
															BgL_nsz00_16933, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5531z00_27878;

															if (PROCEDUREP(BgL_rz00_16942))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_16943;

																	BgL_arg1747z00_16943 =
																		PROCEDURE_ATTR(BgL_rz00_16942);
																	if (STRUCTP(BgL_arg1747z00_16943))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5531z00_27878 =
																				(STRUCT_KEY(BgL_arg1747z00_16943) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5531z00_27878 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5531z00_27878 = ((bool_t) 0);
																}
															if (BgL_test5531z00_27878)
																{
																	obj_t BgL_fz00_27886;

																	BgL_fz00_27886 = BgL_rz00_16942;
																	BgL_fz00_16941 = BgL_fz00_27886;
																	goto BgL_recz00_16940;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16933, ((long) 0),
																		BgL_savedzd2bpzd2_16939);
																	BgL_____rz00_16938 = BgL_rz00_16942;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5534z00_27888;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_16944;

													BgL_arg4421z00_16944 =
														BGL_EXITD_PROTECT(BgL_ez00_16935);
													BgL_test5534z00_27888 = PAIRP(BgL_arg4421z00_16944);
												}
												if (BgL_test5534z00_27888)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_16945;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_16946;

															BgL_arg4420z00_16946 =
																BGL_EXITD_PROTECT(BgL_ez00_16935);
															BgL_arg4419z00_16945 =
																CDR(((obj_t) BgL_arg4420z00_16946));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16935,
															BgL_arg4419z00_16945);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16934, BgL_sz00_16919);
											return BgL_____rz00_16938;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4583 */
	obj_t BGl_z62run4583z62zz__evaluate_compz00(obj_t BgL_envz00_14446,
		obj_t BgL_sz00_14451)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14447;
				obj_t BgL_valza2za2_14448;
				BgL_ev_absz00_bglt BgL_i1255z00_14449;
				obj_t BgL_bodyz00_14450;

				BgL_siza7eza7_14447 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 0))));
				BgL_valza2za2_14448 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 1))));
				BgL_i1255z00_14449 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 2))));
				BgL_bodyz00_14450 = PROCEDURE_REF(BgL_envz00_14446, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16947;

					BgL_bpz00_16947 = VECTOR_REF(((obj_t) BgL_sz00_14451), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14451,
						BgL_valza2za2_14448,
						((long) CINT(BgL_bpz00_16947) + BgL_siza7eza7_14447));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16948;
						obj_t BgL_wherez00_16949;
						obj_t BgL_locz00_16950;

						BgL_z12denvz12_16948 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16949 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14449))->
							BgL_wherez00);
						BgL_locz00_16950 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14449))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16948, BgL_wherez00_16949,
								BgL_locz00_16950);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16951;

								BgL_za2za2resza2za2z00_16951 =
									PROCEDURE_ENTRY(BgL_bodyz00_14450) (BgL_bodyz00_14450,
									BgL_sz00_14451, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16948);
								return BgL_za2za2resza2za2z00_16951;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3998> */
	obj_t BGl_z62zc3z04anonymousza33998ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14452, obj_t BgL_sz00_14459)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14453;
				obj_t BgL_iboxesz00_14454;
				long BgL_siza7eza7_14455;
				BgL_ev_absz00_bglt BgL_i1255z00_14456;
				obj_t BgL_bodyz00_14457;
				long BgL_siza7ezd2framez75_14458;

				BgL_ifreesz00_14453 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 0))));
				BgL_iboxesz00_14454 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 1))));
				BgL_siza7eza7_14455 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 2))));
				BgL_i1255z00_14456 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 3))));
				BgL_bodyz00_14457 = PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14458 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14452, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16952;

					BgL_bpz00_16952 = VECTOR_REF(((obj_t) BgL_sz00_14459), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_16953;

						BgL_valza2za2_16953 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14459,
							BgL_bpz00_16952, BgL_ifreesz00_14453);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16954;

							BgL_runz00_16954 =
								MAKE_FX_PROCEDURE(BGl_z62run4585z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 0)), BgL_iboxesz00_14454);
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14455));
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 2)), BgL_valza2za2_16953);
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14456));
							PROCEDURE_SET(BgL_runz00_16954,
								(int) (((long) 4)), BgL_bodyz00_14457);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16955;

								BgL_mainz00_16955 =
									MAKE_VA_PROCEDURE(BGl_z62main4584z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 0)), BgL_iboxesz00_14454);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14455));
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 2)), BgL_valza2za2_16953);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14456));
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 4)), BgL_bodyz00_14457);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 5)), BgL_runz00_16954);
								PROCEDURE_SET(BgL_mainz00_16955,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14458));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16956;

									BgL_objz00_16956 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16954, BgL_objz00_16956);
									BgL_objz00_16956;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3999z00_16957;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4000z00_16958;

										BgL_arg4000z00_16958 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14456))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16959;

											BgL_newz00_16959 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27980;

												BgL_tmpz00_27980 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_27980,
													BgL_arg4000z00_16958);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27985;
												int BgL_tmpz00_27983;

												BgL_auxz00_27985 = BINT(BgL_siza7ezd2framez75_14458);
												BgL_tmpz00_27983 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_27983,
													BgL_auxz00_27985);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_27988;

												BgL_tmpz00_27988 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_27988,
													BgL_runz00_16954);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_27993;
												int BgL_tmpz00_27991;

												BgL_auxz00_27993 = BINT(((long) -5));
												BgL_tmpz00_27991 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16959, BgL_tmpz00_27991,
													BgL_auxz00_27993);
											}
											BgL_arg3999z00_16957 = BgL_newz00_16959;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16955, BgL_arg3999z00_16957);
									BgL_arg3999z00_16957;
								}
								return BgL_mainz00_16955;
							}
						}
					}
				}
			}
		}

	}



/* &main4584 */
	obj_t BGl_z62main4584z62zz__evaluate_compz00(obj_t BgL_envz00_14460,
		obj_t BgL_az00_14468, obj_t BgL_bz00_14469, obj_t BgL_cz00_14470,
		obj_t BgL_dz00_14471, obj_t BgL_lastz00_14472)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14466;
				long BgL_siza7ezd2framez75_14467;

				BgL_runz00_14466 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14460, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14467 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14460, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_16960;

					BgL_sz00_16960 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_16961;

						BgL_bpz00_16961 = VECTOR_REF(((obj_t) BgL_sz00_16960), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_16961) + BgL_siza7ezd2framez75_14467) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_16960))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4003z00_16962;

									BgL_arg4003z00_16962 =
										((long) CINT(BgL_bpz00_16961) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg4003z00_16962,
										BgL_az00_14468);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4004z00_16963;

									BgL_arg4004z00_16963 =
										((long) CINT(BgL_bpz00_16961) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg4004z00_16963,
										BgL_bz00_14469);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4005z00_16964;

									BgL_arg4005z00_16964 =
										((long) CINT(BgL_bpz00_16961) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg4005z00_16964,
										BgL_cz00_14470);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4006z00_16965;

									BgL_arg4006z00_16965 =
										((long) CINT(BgL_bpz00_16961) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg4006z00_16965,
										BgL_dz00_14471);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4007z00_16966;

									BgL_arg4007z00_16966 =
										((long) CINT(BgL_bpz00_16961) + ((long) 4));
									VECTOR_SET(
										((obj_t) BgL_sz00_16960), BgL_arg4007z00_16966,
										BgL_lastz00_14472);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_16967;

									BgL_ez00_16967 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_16968;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_16969;

											BgL_arg4423z00_16969 = BGL_EXITD_PROTECT(BgL_ez00_16967);
											BgL_arg4422z00_16968 =
												MAKE_YOUNG_PAIR(BgL_bpz00_16961, BgL_arg4423z00_16969);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_16967, BgL_arg4422z00_16968);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_16970;

										BgL_accz00_16970 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14466, BgL_sz00_16960, BgL_bpz00_16961);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5536z00_28037;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_16971;

												BgL_arg4421z00_16971 =
													BGL_EXITD_PROTECT(BgL_ez00_16967);
												BgL_test5536z00_28037 = PAIRP(BgL_arg4421z00_16971);
											}
											if (BgL_test5536z00_28037)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_16972;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_16973;

														BgL_arg4420z00_16973 =
															BGL_EXITD_PROTECT(BgL_ez00_16967);
														BgL_arg4419z00_16972 =
															CDR(((obj_t) BgL_arg4420z00_16973));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_16967,
														BgL_arg4419z00_16972);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_16960), ((long) 0), BgL_bpz00_16961);
										return BgL_accz00_16970;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_16974;

								BgL_nsz00_16974 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_16974, ((long) 1), BgL_sz00_16960);
								VECTOR_SET(BgL_nsz00_16974, ((long) 2), BgL_az00_14468);
								VECTOR_SET(BgL_nsz00_16974, ((long) 3), BgL_bz00_14469);
								VECTOR_SET(BgL_nsz00_16974, ((long) 4), BgL_cz00_14470);
								VECTOR_SET(BgL_nsz00_16974, ((long) 5), BgL_dz00_14471);
								VECTOR_SET(BgL_nsz00_16974, ((long) 6), BgL_lastz00_14472);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_16975;

									BgL_z12denvz12_16975 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16975, BgL_nsz00_16974);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_16976;

										BgL_ez00_16976 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_16977;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_16978;

												BgL_arg4423z00_16978 =
													BGL_EXITD_PROTECT(BgL_ez00_16976);
												BgL_arg4422z00_16977 =
													MAKE_YOUNG_PAIR(BgL_sz00_16960, BgL_arg4423z00_16978);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_16976,
												BgL_arg4422z00_16977);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_16979;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_16980;

												BgL_savedzd2bpzd2_16980 =
													VECTOR_REF(BgL_nsz00_16974, ((long) 0));
												VECTOR_SET(BgL_nsz00_16974, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_16982;

													BgL_fz00_16982 = BgL_runz00_14466;
												BgL_recz00_16981:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_16983;

														BgL_rz00_16983 =
															PROCEDURE_ENTRY(BgL_fz00_16982) (BgL_fz00_16982,
															BgL_nsz00_16974, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5537z00_28066;

															if (PROCEDUREP(BgL_rz00_16983))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_16984;

																	BgL_arg1747z00_16984 =
																		PROCEDURE_ATTR(BgL_rz00_16983);
																	if (STRUCTP(BgL_arg1747z00_16984))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5537z00_28066 =
																				(STRUCT_KEY(BgL_arg1747z00_16984) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5537z00_28066 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5537z00_28066 = ((bool_t) 0);
																}
															if (BgL_test5537z00_28066)
																{
																	obj_t BgL_fz00_28074;

																	BgL_fz00_28074 = BgL_rz00_16983;
																	BgL_fz00_16982 = BgL_fz00_28074;
																	goto BgL_recz00_16981;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_16974, ((long) 0),
																		BgL_savedzd2bpzd2_16980);
																	BgL_____rz00_16979 = BgL_rz00_16983;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5540z00_28076;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_16985;

													BgL_arg4421z00_16985 =
														BGL_EXITD_PROTECT(BgL_ez00_16976);
													BgL_test5540z00_28076 = PAIRP(BgL_arg4421z00_16985);
												}
												if (BgL_test5540z00_28076)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_16986;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_16987;

															BgL_arg4420z00_16987 =
																BGL_EXITD_PROTECT(BgL_ez00_16976);
															BgL_arg4419z00_16986 =
																CDR(((obj_t) BgL_arg4420z00_16987));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_16976,
															BgL_arg4419z00_16986);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_16975, BgL_sz00_16960);
											return BgL_____rz00_16979;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4585 */
	obj_t BGl_z62run4585z62zz__evaluate_compz00(obj_t BgL_envz00_14473,
		obj_t BgL_sz00_14479)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14474;
				long BgL_siza7eza7_14475;
				obj_t BgL_valza2za2_14476;
				BgL_ev_absz00_bglt BgL_i1255z00_14477;
				obj_t BgL_bodyz00_14478;

				BgL_iboxesz00_14474 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14473, (int) (((long) 0))));
				BgL_siza7eza7_14475 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14473, (int) (((long) 1))));
				BgL_valza2za2_14476 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14473, (int) (((long) 2))));
				BgL_i1255z00_14477 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14473, (int) (((long) 3))));
				BgL_bodyz00_14478 = PROCEDURE_REF(BgL_envz00_14473, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16988;

					BgL_bpz00_16988 = VECTOR_REF(((obj_t) BgL_sz00_14479), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14479,
						BgL_iboxesz00_14474, BgL_bpz00_16988);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14479,
						BgL_valza2za2_14476,
						((long) CINT(BgL_bpz00_16988) + BgL_siza7eza7_14475));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_16989;
						obj_t BgL_wherez00_16990;
						obj_t BgL_locz00_16991;

						BgL_z12denvz12_16989 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_16990 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14477))->
							BgL_wherez00);
						BgL_locz00_16991 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14477))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_16989, BgL_wherez00_16990,
								BgL_locz00_16991);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_16992;

								BgL_za2za2resza2za2z00_16992 =
									PROCEDURE_ENTRY(BgL_bodyz00_14478) (BgL_bodyz00_14478,
									BgL_sz00_14479, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_16989);
								return BgL_za2za2resza2za2z00_16992;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3910> */
	obj_t BGl_z62zc3z04anonymousza33910ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14480, obj_t BgL_sz00_14484)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14481;
				obj_t BgL_bodyz00_14482;
				long BgL_siza7ezd2framez75_14483;

				BgL_i1255z00_14481 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14480, (int) (((long) 0))));
				BgL_bodyz00_14482 = PROCEDURE_REF(BgL_envz00_14480, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14483 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14480, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_16993;

					BgL_bpz00_16993 = VECTOR_REF(((obj_t) BgL_sz00_14484), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_16994;

							BgL_runz00_16994 =
								MAKE_FX_PROCEDURE(BGl_z62run4587z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_16994,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14481));
							PROCEDURE_SET(BgL_runz00_16994,
								(int) (((long) 1)), BgL_bodyz00_14482);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_16995;

								BgL_mainz00_16995 =
									MAKE_FX_PROCEDURE(BGl_z62main4586z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_16995,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14481));
								PROCEDURE_SET(BgL_mainz00_16995,
									(int) (((long) 1)), BgL_bodyz00_14482);
								PROCEDURE_SET(BgL_mainz00_16995,
									(int) (((long) 2)), BgL_runz00_16994);
								PROCEDURE_SET(BgL_mainz00_16995,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14483));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_16996;

									BgL_objz00_16996 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_16994, BgL_objz00_16996);
									BgL_objz00_16996;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3911z00_16997;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3912z00_16998;

										BgL_arg3912z00_16998 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14481))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_16999;

											BgL_newz00_16999 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28148;

												BgL_tmpz00_28148 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_16999, BgL_tmpz00_28148,
													BgL_arg3912z00_16998);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28153;
												int BgL_tmpz00_28151;

												BgL_auxz00_28153 = BINT(BgL_siza7ezd2framez75_14483);
												BgL_tmpz00_28151 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_16999, BgL_tmpz00_28151,
													BgL_auxz00_28153);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28156;

												BgL_tmpz00_28156 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_16999, BgL_tmpz00_28156,
													BgL_runz00_16994);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28161;
												int BgL_tmpz00_28159;

												BgL_auxz00_28161 = BINT(((long) 4));
												BgL_tmpz00_28159 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_16999, BgL_tmpz00_28159,
													BgL_auxz00_28161);
											}
											BgL_arg3911z00_16997 = BgL_newz00_16999;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_16995, BgL_arg3911z00_16997);
									BgL_arg3911z00_16997;
								}
								return BgL_mainz00_16995;
							}
						}
					}
				}
			}
		}

	}



/* &main4586 */
	obj_t BGl_z62main4586z62zz__evaluate_compz00(obj_t BgL_envz00_14485,
		obj_t BgL_az00_14490, obj_t BgL_bz00_14491, obj_t BgL_cz00_14492,
		obj_t BgL_dz00_14493)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14488;
				long BgL_siza7ezd2framez75_14489;

				BgL_runz00_14488 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14485, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14489 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14485, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17000;

					BgL_sz00_17000 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17001;

						BgL_bpz00_17001 = VECTOR_REF(((obj_t) BgL_sz00_17000), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17001) + BgL_siza7ezd2framez75_14489) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17000))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3915z00_17002;

									BgL_arg3915z00_17002 =
										((long) CINT(BgL_bpz00_17001) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17000), BgL_arg3915z00_17002,
										BgL_az00_14490);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3916z00_17003;

									BgL_arg3916z00_17003 =
										((long) CINT(BgL_bpz00_17001) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17000), BgL_arg3916z00_17003,
										BgL_bz00_14491);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3917z00_17004;

									BgL_arg3917z00_17004 =
										((long) CINT(BgL_bpz00_17001) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17000), BgL_arg3917z00_17004,
										BgL_cz00_14492);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3918z00_17005;

									BgL_arg3918z00_17005 =
										((long) CINT(BgL_bpz00_17001) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17000), BgL_arg3918z00_17005,
										BgL_dz00_14493);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17006;

									BgL_ez00_17006 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17007;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17008;

											BgL_arg4423z00_17008 = BGL_EXITD_PROTECT(BgL_ez00_17006);
											BgL_arg4422z00_17007 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17001, BgL_arg4423z00_17008);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17006, BgL_arg4422z00_17007);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17009;

										BgL_accz00_17009 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14488, BgL_sz00_17000, BgL_bpz00_17001);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5542z00_28201;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17010;

												BgL_arg4421z00_17010 =
													BGL_EXITD_PROTECT(BgL_ez00_17006);
												BgL_test5542z00_28201 = PAIRP(BgL_arg4421z00_17010);
											}
											if (BgL_test5542z00_28201)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17011;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17012;

														BgL_arg4420z00_17012 =
															BGL_EXITD_PROTECT(BgL_ez00_17006);
														BgL_arg4419z00_17011 =
															CDR(((obj_t) BgL_arg4420z00_17012));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17006,
														BgL_arg4419z00_17011);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17000), ((long) 0), BgL_bpz00_17001);
										return BgL_accz00_17009;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17013;

								BgL_nsz00_17013 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17013, ((long) 1), BgL_sz00_17000);
								VECTOR_SET(BgL_nsz00_17013, ((long) 2), BgL_az00_14490);
								VECTOR_SET(BgL_nsz00_17013, ((long) 3), BgL_bz00_14491);
								VECTOR_SET(BgL_nsz00_17013, ((long) 4), BgL_cz00_14492);
								VECTOR_SET(BgL_nsz00_17013, ((long) 5), BgL_dz00_14493);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17014;

									BgL_z12denvz12_17014 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_nsz00_17013);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17015;

										BgL_ez00_17015 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17016;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17017;

												BgL_arg4423z00_17017 =
													BGL_EXITD_PROTECT(BgL_ez00_17015);
												BgL_arg4422z00_17016 =
													MAKE_YOUNG_PAIR(BgL_sz00_17000, BgL_arg4423z00_17017);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17015,
												BgL_arg4422z00_17016);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17018;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17019;

												BgL_savedzd2bpzd2_17019 =
													VECTOR_REF(BgL_nsz00_17013, ((long) 0));
												VECTOR_SET(BgL_nsz00_17013, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17021;

													BgL_fz00_17021 = BgL_runz00_14488;
												BgL_recz00_17020:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17022;

														BgL_rz00_17022 =
															PROCEDURE_ENTRY(BgL_fz00_17021) (BgL_fz00_17021,
															BgL_nsz00_17013, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5543z00_28229;

															if (PROCEDUREP(BgL_rz00_17022))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17023;

																	BgL_arg1747z00_17023 =
																		PROCEDURE_ATTR(BgL_rz00_17022);
																	if (STRUCTP(BgL_arg1747z00_17023))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5543z00_28229 =
																				(STRUCT_KEY(BgL_arg1747z00_17023) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5543z00_28229 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5543z00_28229 = ((bool_t) 0);
																}
															if (BgL_test5543z00_28229)
																{
																	obj_t BgL_fz00_28237;

																	BgL_fz00_28237 = BgL_rz00_17022;
																	BgL_fz00_17021 = BgL_fz00_28237;
																	goto BgL_recz00_17020;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17013, ((long) 0),
																		BgL_savedzd2bpzd2_17019);
																	BgL_____rz00_17018 = BgL_rz00_17022;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5546z00_28239;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17024;

													BgL_arg4421z00_17024 =
														BGL_EXITD_PROTECT(BgL_ez00_17015);
													BgL_test5546z00_28239 = PAIRP(BgL_arg4421z00_17024);
												}
												if (BgL_test5546z00_28239)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17025;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17026;

															BgL_arg4420z00_17026 =
																BGL_EXITD_PROTECT(BgL_ez00_17015);
															BgL_arg4419z00_17025 =
																CDR(((obj_t) BgL_arg4420z00_17026));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17015,
															BgL_arg4419z00_17025);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17014, BgL_sz00_17000);
											return BgL_____rz00_17018;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4587 */
	obj_t BGl_z62run4587z62zz__evaluate_compz00(obj_t BgL_envz00_14494,
		obj_t BgL_sz00_14497)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14495;
				obj_t BgL_bodyz00_14496;

				BgL_i1255z00_14495 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14494, (int) (((long) 0))));
				BgL_bodyz00_14496 = PROCEDURE_REF(BgL_envz00_14494, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17027;

					BgL_bpz00_17027 = VECTOR_REF(((obj_t) BgL_sz00_14497), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17028;
						obj_t BgL_wherez00_17029;
						obj_t BgL_locz00_17030;

						BgL_z12denvz12_17028 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17029 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14495))->
							BgL_wherez00);
						BgL_locz00_17030 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14495))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17028, BgL_wherez00_17029,
								BgL_locz00_17030);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17031;

								BgL_za2za2resza2za2z00_17031 =
									PROCEDURE_ENTRY(BgL_bodyz00_14496) (BgL_bodyz00_14496,
									BgL_sz00_14497, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17028);
								return BgL_za2za2resza2za2z00_17031;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3920> */
	obj_t BGl_z62zc3z04anonymousza33920ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14498, obj_t BgL_sz00_14503)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14499;
				BgL_ev_absz00_bglt BgL_i1255z00_14500;
				obj_t BgL_bodyz00_14501;
				long BgL_siza7ezd2framez75_14502;

				BgL_iboxesz00_14499 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14498, (int) (((long) 0))));
				BgL_i1255z00_14500 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14498, (int) (((long) 1))));
				BgL_bodyz00_14501 = PROCEDURE_REF(BgL_envz00_14498, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14502 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14498, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17032;

					BgL_bpz00_17032 = VECTOR_REF(((obj_t) BgL_sz00_14503), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17033;

							BgL_runz00_17033 =
								MAKE_FX_PROCEDURE(BGl_z62run4589z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17033,
								(int) (((long) 0)), BgL_iboxesz00_14499);
							PROCEDURE_SET(BgL_runz00_17033,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14500));
							PROCEDURE_SET(BgL_runz00_17033,
								(int) (((long) 2)), BgL_bodyz00_14501);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17034;

								BgL_mainz00_17034 =
									MAKE_FX_PROCEDURE(BGl_z62main4588z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17034,
									(int) (((long) 0)), BgL_iboxesz00_14499);
								PROCEDURE_SET(BgL_mainz00_17034,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14500));
								PROCEDURE_SET(BgL_mainz00_17034,
									(int) (((long) 2)), BgL_bodyz00_14501);
								PROCEDURE_SET(BgL_mainz00_17034,
									(int) (((long) 3)), BgL_runz00_17033);
								PROCEDURE_SET(BgL_mainz00_17034,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14502));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17035;

									BgL_objz00_17035 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17033, BgL_objz00_17035);
									BgL_objz00_17035;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3921z00_17036;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3922z00_17037;

										BgL_arg3922z00_17037 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14500))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17038;

											BgL_newz00_17038 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28305;

												BgL_tmpz00_28305 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17038, BgL_tmpz00_28305,
													BgL_arg3922z00_17037);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28310;
												int BgL_tmpz00_28308;

												BgL_auxz00_28310 = BINT(BgL_siza7ezd2framez75_14502);
												BgL_tmpz00_28308 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17038, BgL_tmpz00_28308,
													BgL_auxz00_28310);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28313;

												BgL_tmpz00_28313 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17038, BgL_tmpz00_28313,
													BgL_runz00_17033);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28318;
												int BgL_tmpz00_28316;

												BgL_auxz00_28318 = BINT(((long) 4));
												BgL_tmpz00_28316 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17038, BgL_tmpz00_28316,
													BgL_auxz00_28318);
											}
											BgL_arg3921z00_17036 = BgL_newz00_17038;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17034, BgL_arg3921z00_17036);
									BgL_arg3921z00_17036;
								}
								return BgL_mainz00_17034;
							}
						}
					}
				}
			}
		}

	}



/* &main4588 */
	obj_t BGl_z62main4588z62zz__evaluate_compz00(obj_t BgL_envz00_14504,
		obj_t BgL_az00_14510, obj_t BgL_bz00_14511, obj_t BgL_cz00_14512,
		obj_t BgL_dz00_14513)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14508;
				long BgL_siza7ezd2framez75_14509;

				BgL_runz00_14508 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14504, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14509 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14504, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17039;

					BgL_sz00_17039 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17040;

						BgL_bpz00_17040 = VECTOR_REF(((obj_t) BgL_sz00_17039), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17040) + BgL_siza7ezd2framez75_14509) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17039))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3925z00_17041;

									BgL_arg3925z00_17041 =
										((long) CINT(BgL_bpz00_17040) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17039), BgL_arg3925z00_17041,
										BgL_az00_14510);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3926z00_17042;

									BgL_arg3926z00_17042 =
										((long) CINT(BgL_bpz00_17040) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17039), BgL_arg3926z00_17042,
										BgL_bz00_14511);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3927z00_17043;

									BgL_arg3927z00_17043 =
										((long) CINT(BgL_bpz00_17040) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17039), BgL_arg3927z00_17043,
										BgL_cz00_14512);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3928z00_17044;

									BgL_arg3928z00_17044 =
										((long) CINT(BgL_bpz00_17040) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17039), BgL_arg3928z00_17044,
										BgL_dz00_14513);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17045;

									BgL_ez00_17045 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17046;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17047;

											BgL_arg4423z00_17047 = BGL_EXITD_PROTECT(BgL_ez00_17045);
											BgL_arg4422z00_17046 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17040, BgL_arg4423z00_17047);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17045, BgL_arg4422z00_17046);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17048;

										BgL_accz00_17048 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14508, BgL_sz00_17039, BgL_bpz00_17040);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5548z00_28358;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17049;

												BgL_arg4421z00_17049 =
													BGL_EXITD_PROTECT(BgL_ez00_17045);
												BgL_test5548z00_28358 = PAIRP(BgL_arg4421z00_17049);
											}
											if (BgL_test5548z00_28358)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17050;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17051;

														BgL_arg4420z00_17051 =
															BGL_EXITD_PROTECT(BgL_ez00_17045);
														BgL_arg4419z00_17050 =
															CDR(((obj_t) BgL_arg4420z00_17051));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17045,
														BgL_arg4419z00_17050);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17039), ((long) 0), BgL_bpz00_17040);
										return BgL_accz00_17048;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17052;

								BgL_nsz00_17052 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17052, ((long) 1), BgL_sz00_17039);
								VECTOR_SET(BgL_nsz00_17052, ((long) 2), BgL_az00_14510);
								VECTOR_SET(BgL_nsz00_17052, ((long) 3), BgL_bz00_14511);
								VECTOR_SET(BgL_nsz00_17052, ((long) 4), BgL_cz00_14512);
								VECTOR_SET(BgL_nsz00_17052, ((long) 5), BgL_dz00_14513);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17053;

									BgL_z12denvz12_17053 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17053, BgL_nsz00_17052);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17054;

										BgL_ez00_17054 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17055;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17056;

												BgL_arg4423z00_17056 =
													BGL_EXITD_PROTECT(BgL_ez00_17054);
												BgL_arg4422z00_17055 =
													MAKE_YOUNG_PAIR(BgL_sz00_17039, BgL_arg4423z00_17056);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17054,
												BgL_arg4422z00_17055);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17057;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17058;

												BgL_savedzd2bpzd2_17058 =
													VECTOR_REF(BgL_nsz00_17052, ((long) 0));
												VECTOR_SET(BgL_nsz00_17052, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17060;

													BgL_fz00_17060 = BgL_runz00_14508;
												BgL_recz00_17059:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17061;

														BgL_rz00_17061 =
															PROCEDURE_ENTRY(BgL_fz00_17060) (BgL_fz00_17060,
															BgL_nsz00_17052, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5549z00_28386;

															if (PROCEDUREP(BgL_rz00_17061))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17062;

																	BgL_arg1747z00_17062 =
																		PROCEDURE_ATTR(BgL_rz00_17061);
																	if (STRUCTP(BgL_arg1747z00_17062))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5549z00_28386 =
																				(STRUCT_KEY(BgL_arg1747z00_17062) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5549z00_28386 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5549z00_28386 = ((bool_t) 0);
																}
															if (BgL_test5549z00_28386)
																{
																	obj_t BgL_fz00_28394;

																	BgL_fz00_28394 = BgL_rz00_17061;
																	BgL_fz00_17060 = BgL_fz00_28394;
																	goto BgL_recz00_17059;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17052, ((long) 0),
																		BgL_savedzd2bpzd2_17058);
																	BgL_____rz00_17057 = BgL_rz00_17061;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5552z00_28396;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17063;

													BgL_arg4421z00_17063 =
														BGL_EXITD_PROTECT(BgL_ez00_17054);
													BgL_test5552z00_28396 = PAIRP(BgL_arg4421z00_17063);
												}
												if (BgL_test5552z00_28396)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17064;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17065;

															BgL_arg4420z00_17065 =
																BGL_EXITD_PROTECT(BgL_ez00_17054);
															BgL_arg4419z00_17064 =
																CDR(((obj_t) BgL_arg4420z00_17065));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17054,
															BgL_arg4419z00_17064);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17053, BgL_sz00_17039);
											return BgL_____rz00_17057;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4589 */
	obj_t BGl_z62run4589z62zz__evaluate_compz00(obj_t BgL_envz00_14514,
		obj_t BgL_sz00_14518)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14515;
				BgL_ev_absz00_bglt BgL_i1255z00_14516;
				obj_t BgL_bodyz00_14517;

				BgL_iboxesz00_14515 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14514, (int) (((long) 0))));
				BgL_i1255z00_14516 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14514, (int) (((long) 1))));
				BgL_bodyz00_14517 = PROCEDURE_REF(BgL_envz00_14514, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17066;

					BgL_bpz00_17066 = VECTOR_REF(((obj_t) BgL_sz00_14518), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14518,
						BgL_iboxesz00_14515, BgL_bpz00_17066);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17067;
						obj_t BgL_wherez00_17068;
						obj_t BgL_locz00_17069;

						BgL_z12denvz12_17067 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17068 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14516))->
							BgL_wherez00);
						BgL_locz00_17069 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14516))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17067, BgL_wherez00_17068,
								BgL_locz00_17069);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17070;

								BgL_za2za2resza2za2z00_17070 =
									PROCEDURE_ENTRY(BgL_bodyz00_14517) (BgL_bodyz00_14517,
									BgL_sz00_14518, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17067);
								return BgL_za2za2resza2za2z00_17070;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3933> */
	obj_t BGl_z62zc3z04anonymousza33933ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14519, obj_t BgL_sz00_14525)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14520;
				long BgL_siza7eza7_14521;
				BgL_ev_absz00_bglt BgL_i1255z00_14522;
				obj_t BgL_bodyz00_14523;
				long BgL_siza7ezd2framez75_14524;

				BgL_ifreesz00_14520 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14519, (int) (((long) 0))));
				BgL_siza7eza7_14521 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14519, (int) (((long) 1))));
				BgL_i1255z00_14522 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14519, (int) (((long) 2))));
				BgL_bodyz00_14523 = PROCEDURE_REF(BgL_envz00_14519, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14524 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14519, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17071;

					BgL_bpz00_17071 = VECTOR_REF(((obj_t) BgL_sz00_14525), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17072;

						BgL_valza2za2_17072 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14525,
							BgL_bpz00_17071, BgL_ifreesz00_14520);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17073;

							BgL_runz00_17073 =
								MAKE_FX_PROCEDURE(BGl_z62run4591z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17073,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14521));
							PROCEDURE_SET(BgL_runz00_17073,
								(int) (((long) 1)), BgL_valza2za2_17072);
							PROCEDURE_SET(BgL_runz00_17073,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14522));
							PROCEDURE_SET(BgL_runz00_17073,
								(int) (((long) 3)), BgL_bodyz00_14523);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17074;

								BgL_mainz00_17074 =
									MAKE_FX_PROCEDURE(BGl_z62main4590z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14521));
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 1)), BgL_valza2za2_17072);
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14522));
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 3)), BgL_bodyz00_14523);
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 4)), BgL_runz00_17073);
								PROCEDURE_SET(BgL_mainz00_17074,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14524));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17075;

									BgL_objz00_17075 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17073, BgL_objz00_17075);
									BgL_objz00_17075;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3934z00_17076;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3935z00_17077;

										BgL_arg3935z00_17077 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14522))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17078;

											BgL_newz00_17078 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28476;

												BgL_tmpz00_28476 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17078, BgL_tmpz00_28476,
													BgL_arg3935z00_17077);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28481;
												int BgL_tmpz00_28479;

												BgL_auxz00_28481 = BINT(BgL_siza7ezd2framez75_14524);
												BgL_tmpz00_28479 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17078, BgL_tmpz00_28479,
													BgL_auxz00_28481);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28484;

												BgL_tmpz00_28484 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17078, BgL_tmpz00_28484,
													BgL_runz00_17073);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28489;
												int BgL_tmpz00_28487;

												BgL_auxz00_28489 = BINT(((long) 4));
												BgL_tmpz00_28487 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17078, BgL_tmpz00_28487,
													BgL_auxz00_28489);
											}
											BgL_arg3934z00_17076 = BgL_newz00_17078;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17074, BgL_arg3934z00_17076);
									BgL_arg3934z00_17076;
								}
								return BgL_mainz00_17074;
							}
						}
					}
				}
			}
		}

	}



/* &main4590 */
	obj_t BGl_z62main4590z62zz__evaluate_compz00(obj_t BgL_envz00_14526,
		obj_t BgL_az00_14533, obj_t BgL_bz00_14534, obj_t BgL_cz00_14535,
		obj_t BgL_dz00_14536)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14531;
				long BgL_siza7ezd2framez75_14532;

				BgL_runz00_14531 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14526, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14532 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14526, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17079;

					BgL_sz00_17079 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17080;

						BgL_bpz00_17080 = VECTOR_REF(((obj_t) BgL_sz00_17079), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17080) + BgL_siza7ezd2framez75_14532) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17079))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3938z00_17081;

									BgL_arg3938z00_17081 =
										((long) CINT(BgL_bpz00_17080) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17079), BgL_arg3938z00_17081,
										BgL_az00_14533);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3939z00_17082;

									BgL_arg3939z00_17082 =
										((long) CINT(BgL_bpz00_17080) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17079), BgL_arg3939z00_17082,
										BgL_bz00_14534);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3940z00_17083;

									BgL_arg3940z00_17083 =
										((long) CINT(BgL_bpz00_17080) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17079), BgL_arg3940z00_17083,
										BgL_cz00_14535);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3941z00_17084;

									BgL_arg3941z00_17084 =
										((long) CINT(BgL_bpz00_17080) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17079), BgL_arg3941z00_17084,
										BgL_dz00_14536);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17085;

									BgL_ez00_17085 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17086;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17087;

											BgL_arg4423z00_17087 = BGL_EXITD_PROTECT(BgL_ez00_17085);
											BgL_arg4422z00_17086 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17080, BgL_arg4423z00_17087);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17085, BgL_arg4422z00_17086);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17088;

										BgL_accz00_17088 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14531, BgL_sz00_17079, BgL_bpz00_17080);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5554z00_28529;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17089;

												BgL_arg4421z00_17089 =
													BGL_EXITD_PROTECT(BgL_ez00_17085);
												BgL_test5554z00_28529 = PAIRP(BgL_arg4421z00_17089);
											}
											if (BgL_test5554z00_28529)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17090;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17091;

														BgL_arg4420z00_17091 =
															BGL_EXITD_PROTECT(BgL_ez00_17085);
														BgL_arg4419z00_17090 =
															CDR(((obj_t) BgL_arg4420z00_17091));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17085,
														BgL_arg4419z00_17090);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17079), ((long) 0), BgL_bpz00_17080);
										return BgL_accz00_17088;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17092;

								BgL_nsz00_17092 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17092, ((long) 1), BgL_sz00_17079);
								VECTOR_SET(BgL_nsz00_17092, ((long) 2), BgL_az00_14533);
								VECTOR_SET(BgL_nsz00_17092, ((long) 3), BgL_bz00_14534);
								VECTOR_SET(BgL_nsz00_17092, ((long) 4), BgL_cz00_14535);
								VECTOR_SET(BgL_nsz00_17092, ((long) 5), BgL_dz00_14536);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17093;

									BgL_z12denvz12_17093 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17093, BgL_nsz00_17092);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17094;

										BgL_ez00_17094 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17095;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17096;

												BgL_arg4423z00_17096 =
													BGL_EXITD_PROTECT(BgL_ez00_17094);
												BgL_arg4422z00_17095 =
													MAKE_YOUNG_PAIR(BgL_sz00_17079, BgL_arg4423z00_17096);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17094,
												BgL_arg4422z00_17095);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17097;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17098;

												BgL_savedzd2bpzd2_17098 =
													VECTOR_REF(BgL_nsz00_17092, ((long) 0));
												VECTOR_SET(BgL_nsz00_17092, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17100;

													BgL_fz00_17100 = BgL_runz00_14531;
												BgL_recz00_17099:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17101;

														BgL_rz00_17101 =
															PROCEDURE_ENTRY(BgL_fz00_17100) (BgL_fz00_17100,
															BgL_nsz00_17092, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5555z00_28557;

															if (PROCEDUREP(BgL_rz00_17101))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17102;

																	BgL_arg1747z00_17102 =
																		PROCEDURE_ATTR(BgL_rz00_17101);
																	if (STRUCTP(BgL_arg1747z00_17102))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5555z00_28557 =
																				(STRUCT_KEY(BgL_arg1747z00_17102) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5555z00_28557 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5555z00_28557 = ((bool_t) 0);
																}
															if (BgL_test5555z00_28557)
																{
																	obj_t BgL_fz00_28565;

																	BgL_fz00_28565 = BgL_rz00_17101;
																	BgL_fz00_17100 = BgL_fz00_28565;
																	goto BgL_recz00_17099;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17092, ((long) 0),
																		BgL_savedzd2bpzd2_17098);
																	BgL_____rz00_17097 = BgL_rz00_17101;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5558z00_28567;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17103;

													BgL_arg4421z00_17103 =
														BGL_EXITD_PROTECT(BgL_ez00_17094);
													BgL_test5558z00_28567 = PAIRP(BgL_arg4421z00_17103);
												}
												if (BgL_test5558z00_28567)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17104;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17105;

															BgL_arg4420z00_17105 =
																BGL_EXITD_PROTECT(BgL_ez00_17094);
															BgL_arg4419z00_17104 =
																CDR(((obj_t) BgL_arg4420z00_17105));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17094,
															BgL_arg4419z00_17104);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17093, BgL_sz00_17079);
											return BgL_____rz00_17097;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4591 */
	obj_t BGl_z62run4591z62zz__evaluate_compz00(obj_t BgL_envz00_14537,
		obj_t BgL_sz00_14542)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14538;
				obj_t BgL_valza2za2_14539;
				BgL_ev_absz00_bglt BgL_i1255z00_14540;
				obj_t BgL_bodyz00_14541;

				BgL_siza7eza7_14538 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14537, (int) (((long) 0))));
				BgL_valza2za2_14539 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14537, (int) (((long) 1))));
				BgL_i1255z00_14540 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14537, (int) (((long) 2))));
				BgL_bodyz00_14541 = PROCEDURE_REF(BgL_envz00_14537, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17106;

					BgL_bpz00_17106 = VECTOR_REF(((obj_t) BgL_sz00_14542), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14542,
						BgL_valza2za2_14539,
						((long) CINT(BgL_bpz00_17106) + BgL_siza7eza7_14538));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17107;
						obj_t BgL_wherez00_17108;
						obj_t BgL_locz00_17109;

						BgL_z12denvz12_17107 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17108 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14540))->
							BgL_wherez00);
						BgL_locz00_17109 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14540))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17107, BgL_wherez00_17108,
								BgL_locz00_17109);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17110;

								BgL_za2za2resza2za2z00_17110 =
									PROCEDURE_ENTRY(BgL_bodyz00_14541) (BgL_bodyz00_14541,
									BgL_sz00_14542, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17107);
								return BgL_za2za2resza2za2z00_17110;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3944> */
	obj_t BGl_z62zc3z04anonymousza33944ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14543, obj_t BgL_sz00_14550)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14544;
				obj_t BgL_iboxesz00_14545;
				long BgL_siza7eza7_14546;
				BgL_ev_absz00_bglt BgL_i1255z00_14547;
				obj_t BgL_bodyz00_14548;
				long BgL_siza7ezd2framez75_14549;

				BgL_ifreesz00_14544 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 0))));
				BgL_iboxesz00_14545 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 1))));
				BgL_siza7eza7_14546 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 2))));
				BgL_i1255z00_14547 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 3))));
				BgL_bodyz00_14548 = PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14549 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14543, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17111;

					BgL_bpz00_17111 = VECTOR_REF(((obj_t) BgL_sz00_14550), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17112;

						BgL_valza2za2_17112 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14550,
							BgL_bpz00_17111, BgL_ifreesz00_14544);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17113;

							BgL_runz00_17113 =
								MAKE_FX_PROCEDURE(BGl_z62run4593z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17113,
								(int) (((long) 0)), BgL_iboxesz00_14545);
							PROCEDURE_SET(BgL_runz00_17113,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14546));
							PROCEDURE_SET(BgL_runz00_17113,
								(int) (((long) 2)), BgL_valza2za2_17112);
							PROCEDURE_SET(BgL_runz00_17113,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14547));
							PROCEDURE_SET(BgL_runz00_17113,
								(int) (((long) 4)), BgL_bodyz00_14548);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17114;

								BgL_mainz00_17114 =
									MAKE_FX_PROCEDURE(BGl_z62main4592z62zz__evaluate_compz00,
									(int) (((long) 4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 0)), BgL_iboxesz00_14545);
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14546));
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 2)), BgL_valza2za2_17112);
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14547));
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 4)), BgL_bodyz00_14548);
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 5)), BgL_runz00_17113);
								PROCEDURE_SET(BgL_mainz00_17114,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14549));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17115;

									BgL_objz00_17115 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17113, BgL_objz00_17115);
									BgL_objz00_17115;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3945z00_17116;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3946z00_17117;

										BgL_arg3946z00_17117 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14547))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17118;

											BgL_newz00_17118 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28659;

												BgL_tmpz00_28659 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17118, BgL_tmpz00_28659,
													BgL_arg3946z00_17117);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28664;
												int BgL_tmpz00_28662;

												BgL_auxz00_28664 = BINT(BgL_siza7ezd2framez75_14549);
												BgL_tmpz00_28662 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17118, BgL_tmpz00_28662,
													BgL_auxz00_28664);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28667;

												BgL_tmpz00_28667 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17118, BgL_tmpz00_28667,
													BgL_runz00_17113);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28672;
												int BgL_tmpz00_28670;

												BgL_auxz00_28672 = BINT(((long) 4));
												BgL_tmpz00_28670 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17118, BgL_tmpz00_28670,
													BgL_auxz00_28672);
											}
											BgL_arg3945z00_17116 = BgL_newz00_17118;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17114, BgL_arg3945z00_17116);
									BgL_arg3945z00_17116;
								}
								return BgL_mainz00_17114;
							}
						}
					}
				}
			}
		}

	}



/* &main4592 */
	obj_t BGl_z62main4592z62zz__evaluate_compz00(obj_t BgL_envz00_14551,
		obj_t BgL_az00_14559, obj_t BgL_bz00_14560, obj_t BgL_cz00_14561,
		obj_t BgL_dz00_14562)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14557;
				long BgL_siza7ezd2framez75_14558;

				BgL_runz00_14557 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14551, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14558 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14551, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17119;

					BgL_sz00_17119 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17120;

						BgL_bpz00_17120 = VECTOR_REF(((obj_t) BgL_sz00_17119), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17120) + BgL_siza7ezd2framez75_14558) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17119))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3949z00_17121;

									BgL_arg3949z00_17121 =
										((long) CINT(BgL_bpz00_17120) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17119), BgL_arg3949z00_17121,
										BgL_az00_14559);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3950z00_17122;

									BgL_arg3950z00_17122 =
										((long) CINT(BgL_bpz00_17120) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17119), BgL_arg3950z00_17122,
										BgL_bz00_14560);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3951z00_17123;

									BgL_arg3951z00_17123 =
										((long) CINT(BgL_bpz00_17120) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17119), BgL_arg3951z00_17123,
										BgL_cz00_14561);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3952z00_17124;

									BgL_arg3952z00_17124 =
										((long) CINT(BgL_bpz00_17120) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17119), BgL_arg3952z00_17124,
										BgL_dz00_14562);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17125;

									BgL_ez00_17125 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17126;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17127;

											BgL_arg4423z00_17127 = BGL_EXITD_PROTECT(BgL_ez00_17125);
											BgL_arg4422z00_17126 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17120, BgL_arg4423z00_17127);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17125, BgL_arg4422z00_17126);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17128;

										BgL_accz00_17128 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14557, BgL_sz00_17119, BgL_bpz00_17120);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5560z00_28712;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17129;

												BgL_arg4421z00_17129 =
													BGL_EXITD_PROTECT(BgL_ez00_17125);
												BgL_test5560z00_28712 = PAIRP(BgL_arg4421z00_17129);
											}
											if (BgL_test5560z00_28712)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17130;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17131;

														BgL_arg4420z00_17131 =
															BGL_EXITD_PROTECT(BgL_ez00_17125);
														BgL_arg4419z00_17130 =
															CDR(((obj_t) BgL_arg4420z00_17131));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17125,
														BgL_arg4419z00_17130);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17119), ((long) 0), BgL_bpz00_17120);
										return BgL_accz00_17128;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17132;

								BgL_nsz00_17132 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17132, ((long) 1), BgL_sz00_17119);
								VECTOR_SET(BgL_nsz00_17132, ((long) 2), BgL_az00_14559);
								VECTOR_SET(BgL_nsz00_17132, ((long) 3), BgL_bz00_14560);
								VECTOR_SET(BgL_nsz00_17132, ((long) 4), BgL_cz00_14561);
								VECTOR_SET(BgL_nsz00_17132, ((long) 5), BgL_dz00_14562);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17133;

									BgL_z12denvz12_17133 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17133, BgL_nsz00_17132);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17134;

										BgL_ez00_17134 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17135;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17136;

												BgL_arg4423z00_17136 =
													BGL_EXITD_PROTECT(BgL_ez00_17134);
												BgL_arg4422z00_17135 =
													MAKE_YOUNG_PAIR(BgL_sz00_17119, BgL_arg4423z00_17136);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17134,
												BgL_arg4422z00_17135);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17137;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17138;

												BgL_savedzd2bpzd2_17138 =
													VECTOR_REF(BgL_nsz00_17132, ((long) 0));
												VECTOR_SET(BgL_nsz00_17132, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17140;

													BgL_fz00_17140 = BgL_runz00_14557;
												BgL_recz00_17139:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17141;

														BgL_rz00_17141 =
															PROCEDURE_ENTRY(BgL_fz00_17140) (BgL_fz00_17140,
															BgL_nsz00_17132, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5561z00_28740;

															if (PROCEDUREP(BgL_rz00_17141))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17142;

																	BgL_arg1747z00_17142 =
																		PROCEDURE_ATTR(BgL_rz00_17141);
																	if (STRUCTP(BgL_arg1747z00_17142))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5561z00_28740 =
																				(STRUCT_KEY(BgL_arg1747z00_17142) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5561z00_28740 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5561z00_28740 = ((bool_t) 0);
																}
															if (BgL_test5561z00_28740)
																{
																	obj_t BgL_fz00_28748;

																	BgL_fz00_28748 = BgL_rz00_17141;
																	BgL_fz00_17140 = BgL_fz00_28748;
																	goto BgL_recz00_17139;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17132, ((long) 0),
																		BgL_savedzd2bpzd2_17138);
																	BgL_____rz00_17137 = BgL_rz00_17141;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5564z00_28750;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17143;

													BgL_arg4421z00_17143 =
														BGL_EXITD_PROTECT(BgL_ez00_17134);
													BgL_test5564z00_28750 = PAIRP(BgL_arg4421z00_17143);
												}
												if (BgL_test5564z00_28750)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17144;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17145;

															BgL_arg4420z00_17145 =
																BGL_EXITD_PROTECT(BgL_ez00_17134);
															BgL_arg4419z00_17144 =
																CDR(((obj_t) BgL_arg4420z00_17145));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17134,
															BgL_arg4419z00_17144);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17133, BgL_sz00_17119);
											return BgL_____rz00_17137;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4593 */
	obj_t BGl_z62run4593z62zz__evaluate_compz00(obj_t BgL_envz00_14563,
		obj_t BgL_sz00_14569)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14564;
				long BgL_siza7eza7_14565;
				obj_t BgL_valza2za2_14566;
				BgL_ev_absz00_bglt BgL_i1255z00_14567;
				obj_t BgL_bodyz00_14568;

				BgL_iboxesz00_14564 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14563, (int) (((long) 0))));
				BgL_siza7eza7_14565 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14563, (int) (((long) 1))));
				BgL_valza2za2_14566 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14563, (int) (((long) 2))));
				BgL_i1255z00_14567 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14563, (int) (((long) 3))));
				BgL_bodyz00_14568 = PROCEDURE_REF(BgL_envz00_14563, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17146;

					BgL_bpz00_17146 = VECTOR_REF(((obj_t) BgL_sz00_14569), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14569,
						BgL_iboxesz00_14564, BgL_bpz00_17146);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14569,
						BgL_valza2za2_14566,
						((long) CINT(BgL_bpz00_17146) + BgL_siza7eza7_14565));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17147;
						obj_t BgL_wherez00_17148;
						obj_t BgL_locz00_17149;

						BgL_z12denvz12_17147 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17148 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14567))->
							BgL_wherez00);
						BgL_locz00_17149 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14567))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17147, BgL_wherez00_17148,
								BgL_locz00_17149);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17150;

								BgL_za2za2resza2za2z00_17150 =
									PROCEDURE_ENTRY(BgL_bodyz00_14568) (BgL_bodyz00_14568,
									BgL_sz00_14569, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17147);
								return BgL_za2za2resza2za2z00_17150;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3859> */
	obj_t BGl_z62zc3z04anonymousza33859ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14570, obj_t BgL_sz00_14574)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14571;
				obj_t BgL_bodyz00_14572;
				long BgL_siza7ezd2framez75_14573;

				BgL_i1255z00_14571 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14570, (int) (((long) 0))));
				BgL_bodyz00_14572 = PROCEDURE_REF(BgL_envz00_14570, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14573 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14570, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17151;

					BgL_bpz00_17151 = VECTOR_REF(((obj_t) BgL_sz00_14574), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17152;

							BgL_runz00_17152 =
								MAKE_FX_PROCEDURE(BGl_z62run4595z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17152,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14571));
							PROCEDURE_SET(BgL_runz00_17152,
								(int) (((long) 1)), BgL_bodyz00_14572);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17153;

								BgL_mainz00_17153 =
									MAKE_VA_PROCEDURE(BGl_z62main4594z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17153,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14571));
								PROCEDURE_SET(BgL_mainz00_17153,
									(int) (((long) 1)), BgL_bodyz00_14572);
								PROCEDURE_SET(BgL_mainz00_17153,
									(int) (((long) 2)), BgL_runz00_17152);
								PROCEDURE_SET(BgL_mainz00_17153,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14573));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17154;

									BgL_objz00_17154 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17152, BgL_objz00_17154);
									BgL_objz00_17154;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3860z00_17155;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3861z00_17156;

										BgL_arg3861z00_17156 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14571))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17157;

											BgL_newz00_17157 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28822;

												BgL_tmpz00_28822 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17157, BgL_tmpz00_28822,
													BgL_arg3861z00_17156);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28827;
												int BgL_tmpz00_28825;

												BgL_auxz00_28827 = BINT(BgL_siza7ezd2framez75_14573);
												BgL_tmpz00_28825 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17157, BgL_tmpz00_28825,
													BgL_auxz00_28827);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28830;

												BgL_tmpz00_28830 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17157, BgL_tmpz00_28830,
													BgL_runz00_17152);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28835;
												int BgL_tmpz00_28833;

												BgL_auxz00_28835 = BINT(((long) -4));
												BgL_tmpz00_28833 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17157, BgL_tmpz00_28833,
													BgL_auxz00_28835);
											}
											BgL_arg3860z00_17155 = BgL_newz00_17157;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17153, BgL_arg3860z00_17155);
									BgL_arg3860z00_17155;
								}
								return BgL_mainz00_17153;
							}
						}
					}
				}
			}
		}

	}



/* &main4594 */
	obj_t BGl_z62main4594z62zz__evaluate_compz00(obj_t BgL_envz00_14575,
		obj_t BgL_bz00_14580, obj_t BgL_cz00_14581, obj_t BgL_dz00_14582,
		obj_t BgL_lastz00_14583)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14578;
				long BgL_siza7ezd2framez75_14579;

				BgL_runz00_14578 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14575, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14579 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14575, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17158;

					BgL_sz00_17158 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17159;

						BgL_bpz00_17159 = VECTOR_REF(((obj_t) BgL_sz00_17158), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17159) + BgL_siza7ezd2framez75_14579) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17158))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3864z00_17160;

									BgL_arg3864z00_17160 =
										((long) CINT(BgL_bpz00_17159) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17158), BgL_arg3864z00_17160,
										BgL_bz00_14580);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3865z00_17161;

									BgL_arg3865z00_17161 =
										((long) CINT(BgL_bpz00_17159) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17158), BgL_arg3865z00_17161,
										BgL_cz00_14581);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3866z00_17162;

									BgL_arg3866z00_17162 =
										((long) CINT(BgL_bpz00_17159) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17158), BgL_arg3866z00_17162,
										BgL_dz00_14582);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3867z00_17163;

									BgL_arg3867z00_17163 =
										((long) CINT(BgL_bpz00_17159) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17158), BgL_arg3867z00_17163,
										BgL_lastz00_14583);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17164;

									BgL_ez00_17164 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17165;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17166;

											BgL_arg4423z00_17166 = BGL_EXITD_PROTECT(BgL_ez00_17164);
											BgL_arg4422z00_17165 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17159, BgL_arg4423z00_17166);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17164, BgL_arg4422z00_17165);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17167;

										BgL_accz00_17167 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14578, BgL_sz00_17158, BgL_bpz00_17159);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5566z00_28875;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17168;

												BgL_arg4421z00_17168 =
													BGL_EXITD_PROTECT(BgL_ez00_17164);
												BgL_test5566z00_28875 = PAIRP(BgL_arg4421z00_17168);
											}
											if (BgL_test5566z00_28875)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17169;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17170;

														BgL_arg4420z00_17170 =
															BGL_EXITD_PROTECT(BgL_ez00_17164);
														BgL_arg4419z00_17169 =
															CDR(((obj_t) BgL_arg4420z00_17170));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17164,
														BgL_arg4419z00_17169);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17158), ((long) 0), BgL_bpz00_17159);
										return BgL_accz00_17167;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17171;

								BgL_nsz00_17171 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17171, ((long) 1), BgL_sz00_17158);
								VECTOR_SET(BgL_nsz00_17171, ((long) 2), BgL_bz00_14580);
								VECTOR_SET(BgL_nsz00_17171, ((long) 3), BgL_cz00_14581);
								VECTOR_SET(BgL_nsz00_17171, ((long) 4), BgL_dz00_14582);
								VECTOR_SET(BgL_nsz00_17171, ((long) 5), BgL_lastz00_14583);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17172;

									BgL_z12denvz12_17172 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17172, BgL_nsz00_17171);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17173;

										BgL_ez00_17173 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17174;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17175;

												BgL_arg4423z00_17175 =
													BGL_EXITD_PROTECT(BgL_ez00_17173);
												BgL_arg4422z00_17174 =
													MAKE_YOUNG_PAIR(BgL_sz00_17158, BgL_arg4423z00_17175);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17173,
												BgL_arg4422z00_17174);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17176;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17177;

												BgL_savedzd2bpzd2_17177 =
													VECTOR_REF(BgL_nsz00_17171, ((long) 0));
												VECTOR_SET(BgL_nsz00_17171, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17179;

													BgL_fz00_17179 = BgL_runz00_14578;
												BgL_recz00_17178:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17180;

														BgL_rz00_17180 =
															PROCEDURE_ENTRY(BgL_fz00_17179) (BgL_fz00_17179,
															BgL_nsz00_17171, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5567z00_28903;

															if (PROCEDUREP(BgL_rz00_17180))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17181;

																	BgL_arg1747z00_17181 =
																		PROCEDURE_ATTR(BgL_rz00_17180);
																	if (STRUCTP(BgL_arg1747z00_17181))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5567z00_28903 =
																				(STRUCT_KEY(BgL_arg1747z00_17181) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5567z00_28903 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5567z00_28903 = ((bool_t) 0);
																}
															if (BgL_test5567z00_28903)
																{
																	obj_t BgL_fz00_28911;

																	BgL_fz00_28911 = BgL_rz00_17180;
																	BgL_fz00_17179 = BgL_fz00_28911;
																	goto BgL_recz00_17178;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17171, ((long) 0),
																		BgL_savedzd2bpzd2_17177);
																	BgL_____rz00_17176 = BgL_rz00_17180;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5570z00_28913;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17182;

													BgL_arg4421z00_17182 =
														BGL_EXITD_PROTECT(BgL_ez00_17173);
													BgL_test5570z00_28913 = PAIRP(BgL_arg4421z00_17182);
												}
												if (BgL_test5570z00_28913)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17183;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17184;

															BgL_arg4420z00_17184 =
																BGL_EXITD_PROTECT(BgL_ez00_17173);
															BgL_arg4419z00_17183 =
																CDR(((obj_t) BgL_arg4420z00_17184));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17173,
															BgL_arg4419z00_17183);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17172, BgL_sz00_17158);
											return BgL_____rz00_17176;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4595 */
	obj_t BGl_z62run4595z62zz__evaluate_compz00(obj_t BgL_envz00_14584,
		obj_t BgL_sz00_14587)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14585;
				obj_t BgL_bodyz00_14586;

				BgL_i1255z00_14585 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14584, (int) (((long) 0))));
				BgL_bodyz00_14586 = PROCEDURE_REF(BgL_envz00_14584, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17185;

					BgL_bpz00_17185 = VECTOR_REF(((obj_t) BgL_sz00_14587), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17186;
						obj_t BgL_wherez00_17187;
						obj_t BgL_locz00_17188;

						BgL_z12denvz12_17186 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17187 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14585))->
							BgL_wherez00);
						BgL_locz00_17188 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14585))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17186, BgL_wherez00_17187,
								BgL_locz00_17188);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17189;

								BgL_za2za2resza2za2z00_17189 =
									PROCEDURE_ENTRY(BgL_bodyz00_14586) (BgL_bodyz00_14586,
									BgL_sz00_14587, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17186);
								return BgL_za2za2resza2za2z00_17189;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3869> */
	obj_t BGl_z62zc3z04anonymousza33869ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14588, obj_t BgL_sz00_14593)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14589;
				BgL_ev_absz00_bglt BgL_i1255z00_14590;
				obj_t BgL_bodyz00_14591;
				long BgL_siza7ezd2framez75_14592;

				BgL_iboxesz00_14589 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 0))));
				BgL_i1255z00_14590 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 1))));
				BgL_bodyz00_14591 = PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14592 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14588, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17190;

					BgL_bpz00_17190 = VECTOR_REF(((obj_t) BgL_sz00_14593), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17191;

							BgL_runz00_17191 =
								MAKE_FX_PROCEDURE(BGl_z62run4597z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17191,
								(int) (((long) 0)), BgL_iboxesz00_14589);
							PROCEDURE_SET(BgL_runz00_17191,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14590));
							PROCEDURE_SET(BgL_runz00_17191,
								(int) (((long) 2)), BgL_bodyz00_14591);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17192;

								BgL_mainz00_17192 =
									MAKE_VA_PROCEDURE(BGl_z62main4596z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17192,
									(int) (((long) 0)), BgL_iboxesz00_14589);
								PROCEDURE_SET(BgL_mainz00_17192,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14590));
								PROCEDURE_SET(BgL_mainz00_17192,
									(int) (((long) 2)), BgL_bodyz00_14591);
								PROCEDURE_SET(BgL_mainz00_17192,
									(int) (((long) 3)), BgL_runz00_17191);
								PROCEDURE_SET(BgL_mainz00_17192,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14592));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17193;

									BgL_objz00_17193 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17191, BgL_objz00_17193);
									BgL_objz00_17193;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3870z00_17194;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3871z00_17195;

										BgL_arg3871z00_17195 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14590))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17196;

											BgL_newz00_17196 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28979;

												BgL_tmpz00_28979 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17196, BgL_tmpz00_28979,
													BgL_arg3871z00_17195);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28984;
												int BgL_tmpz00_28982;

												BgL_auxz00_28984 = BINT(BgL_siza7ezd2framez75_14592);
												BgL_tmpz00_28982 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17196, BgL_tmpz00_28982,
													BgL_auxz00_28984);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_28987;

												BgL_tmpz00_28987 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17196, BgL_tmpz00_28987,
													BgL_runz00_17191);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_28992;
												int BgL_tmpz00_28990;

												BgL_auxz00_28992 = BINT(((long) -4));
												BgL_tmpz00_28990 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17196, BgL_tmpz00_28990,
													BgL_auxz00_28992);
											}
											BgL_arg3870z00_17194 = BgL_newz00_17196;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17192, BgL_arg3870z00_17194);
									BgL_arg3870z00_17194;
								}
								return BgL_mainz00_17192;
							}
						}
					}
				}
			}
		}

	}



/* &main4596 */
	obj_t BGl_z62main4596z62zz__evaluate_compz00(obj_t BgL_envz00_14594,
		obj_t BgL_bz00_14600, obj_t BgL_cz00_14601, obj_t BgL_dz00_14602,
		obj_t BgL_lastz00_14603)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14598;
				long BgL_siza7ezd2framez75_14599;

				BgL_runz00_14598 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14594, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14599 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14594, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17197;

					BgL_sz00_17197 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17198;

						BgL_bpz00_17198 = VECTOR_REF(((obj_t) BgL_sz00_17197), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17198) + BgL_siza7ezd2framez75_14599) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17197))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3874z00_17199;

									BgL_arg3874z00_17199 =
										((long) CINT(BgL_bpz00_17198) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17197), BgL_arg3874z00_17199,
										BgL_bz00_14600);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3875z00_17200;

									BgL_arg3875z00_17200 =
										((long) CINT(BgL_bpz00_17198) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17197), BgL_arg3875z00_17200,
										BgL_cz00_14601);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3876z00_17201;

									BgL_arg3876z00_17201 =
										((long) CINT(BgL_bpz00_17198) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17197), BgL_arg3876z00_17201,
										BgL_dz00_14602);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3877z00_17202;

									BgL_arg3877z00_17202 =
										((long) CINT(BgL_bpz00_17198) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17197), BgL_arg3877z00_17202,
										BgL_lastz00_14603);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17203;

									BgL_ez00_17203 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17204;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17205;

											BgL_arg4423z00_17205 = BGL_EXITD_PROTECT(BgL_ez00_17203);
											BgL_arg4422z00_17204 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17198, BgL_arg4423z00_17205);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17203, BgL_arg4422z00_17204);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17206;

										BgL_accz00_17206 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14598, BgL_sz00_17197, BgL_bpz00_17198);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5572z00_29032;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17207;

												BgL_arg4421z00_17207 =
													BGL_EXITD_PROTECT(BgL_ez00_17203);
												BgL_test5572z00_29032 = PAIRP(BgL_arg4421z00_17207);
											}
											if (BgL_test5572z00_29032)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17208;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17209;

														BgL_arg4420z00_17209 =
															BGL_EXITD_PROTECT(BgL_ez00_17203);
														BgL_arg4419z00_17208 =
															CDR(((obj_t) BgL_arg4420z00_17209));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17203,
														BgL_arg4419z00_17208);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17197), ((long) 0), BgL_bpz00_17198);
										return BgL_accz00_17206;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17210;

								BgL_nsz00_17210 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17210, ((long) 1), BgL_sz00_17197);
								VECTOR_SET(BgL_nsz00_17210, ((long) 2), BgL_bz00_14600);
								VECTOR_SET(BgL_nsz00_17210, ((long) 3), BgL_cz00_14601);
								VECTOR_SET(BgL_nsz00_17210, ((long) 4), BgL_dz00_14602);
								VECTOR_SET(BgL_nsz00_17210, ((long) 5), BgL_lastz00_14603);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17211;

									BgL_z12denvz12_17211 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17211, BgL_nsz00_17210);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17212;

										BgL_ez00_17212 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17213;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17214;

												BgL_arg4423z00_17214 =
													BGL_EXITD_PROTECT(BgL_ez00_17212);
												BgL_arg4422z00_17213 =
													MAKE_YOUNG_PAIR(BgL_sz00_17197, BgL_arg4423z00_17214);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17212,
												BgL_arg4422z00_17213);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17215;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17216;

												BgL_savedzd2bpzd2_17216 =
													VECTOR_REF(BgL_nsz00_17210, ((long) 0));
												VECTOR_SET(BgL_nsz00_17210, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17218;

													BgL_fz00_17218 = BgL_runz00_14598;
												BgL_recz00_17217:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17219;

														BgL_rz00_17219 =
															PROCEDURE_ENTRY(BgL_fz00_17218) (BgL_fz00_17218,
															BgL_nsz00_17210, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5573z00_29060;

															if (PROCEDUREP(BgL_rz00_17219))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17220;

																	BgL_arg1747z00_17220 =
																		PROCEDURE_ATTR(BgL_rz00_17219);
																	if (STRUCTP(BgL_arg1747z00_17220))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5573z00_29060 =
																				(STRUCT_KEY(BgL_arg1747z00_17220) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5573z00_29060 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5573z00_29060 = ((bool_t) 0);
																}
															if (BgL_test5573z00_29060)
																{
																	obj_t BgL_fz00_29068;

																	BgL_fz00_29068 = BgL_rz00_17219;
																	BgL_fz00_17218 = BgL_fz00_29068;
																	goto BgL_recz00_17217;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17210, ((long) 0),
																		BgL_savedzd2bpzd2_17216);
																	BgL_____rz00_17215 = BgL_rz00_17219;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5576z00_29070;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17221;

													BgL_arg4421z00_17221 =
														BGL_EXITD_PROTECT(BgL_ez00_17212);
													BgL_test5576z00_29070 = PAIRP(BgL_arg4421z00_17221);
												}
												if (BgL_test5576z00_29070)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17222;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17223;

															BgL_arg4420z00_17223 =
																BGL_EXITD_PROTECT(BgL_ez00_17212);
															BgL_arg4419z00_17222 =
																CDR(((obj_t) BgL_arg4420z00_17223));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17212,
															BgL_arg4419z00_17222);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17211, BgL_sz00_17197);
											return BgL_____rz00_17215;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4597 */
	obj_t BGl_z62run4597z62zz__evaluate_compz00(obj_t BgL_envz00_14604,
		obj_t BgL_sz00_14608)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14605;
				BgL_ev_absz00_bglt BgL_i1255z00_14606;
				obj_t BgL_bodyz00_14607;

				BgL_iboxesz00_14605 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 0))));
				BgL_i1255z00_14606 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 1))));
				BgL_bodyz00_14607 = PROCEDURE_REF(BgL_envz00_14604, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17224;

					BgL_bpz00_17224 = VECTOR_REF(((obj_t) BgL_sz00_14608), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14608,
						BgL_iboxesz00_14605, BgL_bpz00_17224);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17225;
						obj_t BgL_wherez00_17226;
						obj_t BgL_locz00_17227;

						BgL_z12denvz12_17225 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17226 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14606))->
							BgL_wherez00);
						BgL_locz00_17227 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14606))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17225, BgL_wherez00_17226,
								BgL_locz00_17227);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17228;

								BgL_za2za2resza2za2z00_17228 =
									PROCEDURE_ENTRY(BgL_bodyz00_14607) (BgL_bodyz00_14607,
									BgL_sz00_14608, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17225);
								return BgL_za2za2resza2za2z00_17228;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3882> */
	obj_t BGl_z62zc3z04anonymousza33882ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14609, obj_t BgL_sz00_14615)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14610;
				long BgL_siza7eza7_14611;
				BgL_ev_absz00_bglt BgL_i1255z00_14612;
				obj_t BgL_bodyz00_14613;
				long BgL_siza7ezd2framez75_14614;

				BgL_ifreesz00_14610 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 0))));
				BgL_siza7eza7_14611 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 1))));
				BgL_i1255z00_14612 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 2))));
				BgL_bodyz00_14613 = PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14614 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14609, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17229;

					BgL_bpz00_17229 = VECTOR_REF(((obj_t) BgL_sz00_14615), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17230;

						BgL_valza2za2_17230 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14615,
							BgL_bpz00_17229, BgL_ifreesz00_14610);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17231;

							BgL_runz00_17231 =
								MAKE_FX_PROCEDURE(BGl_z62run4599z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17231,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14611));
							PROCEDURE_SET(BgL_runz00_17231,
								(int) (((long) 1)), BgL_valza2za2_17230);
							PROCEDURE_SET(BgL_runz00_17231,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14612));
							PROCEDURE_SET(BgL_runz00_17231,
								(int) (((long) 3)), BgL_bodyz00_14613);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17232;

								BgL_mainz00_17232 =
									MAKE_VA_PROCEDURE(BGl_z62main4598z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14611));
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 1)), BgL_valza2za2_17230);
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14612));
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 3)), BgL_bodyz00_14613);
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 4)), BgL_runz00_17231);
								PROCEDURE_SET(BgL_mainz00_17232,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14614));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17233;

									BgL_objz00_17233 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17231, BgL_objz00_17233);
									BgL_objz00_17233;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3883z00_17234;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3884z00_17235;

										BgL_arg3884z00_17235 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14612))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17236;

											BgL_newz00_17236 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29150;

												BgL_tmpz00_29150 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17236, BgL_tmpz00_29150,
													BgL_arg3884z00_17235);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29155;
												int BgL_tmpz00_29153;

												BgL_auxz00_29155 = BINT(BgL_siza7ezd2framez75_14614);
												BgL_tmpz00_29153 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17236, BgL_tmpz00_29153,
													BgL_auxz00_29155);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29158;

												BgL_tmpz00_29158 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17236, BgL_tmpz00_29158,
													BgL_runz00_17231);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29163;
												int BgL_tmpz00_29161;

												BgL_auxz00_29163 = BINT(((long) -4));
												BgL_tmpz00_29161 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17236, BgL_tmpz00_29161,
													BgL_auxz00_29163);
											}
											BgL_arg3883z00_17234 = BgL_newz00_17236;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17232, BgL_arg3883z00_17234);
									BgL_arg3883z00_17234;
								}
								return BgL_mainz00_17232;
							}
						}
					}
				}
			}
		}

	}



/* &main4598 */
	obj_t BGl_z62main4598z62zz__evaluate_compz00(obj_t BgL_envz00_14616,
		obj_t BgL_bz00_14623, obj_t BgL_cz00_14624, obj_t BgL_dz00_14625,
		obj_t BgL_lastz00_14626)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14621;
				long BgL_siza7ezd2framez75_14622;

				BgL_runz00_14621 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14616, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14622 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14616, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17237;

					BgL_sz00_17237 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17238;

						BgL_bpz00_17238 = VECTOR_REF(((obj_t) BgL_sz00_17237), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17238) + BgL_siza7ezd2framez75_14622) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17237))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3887z00_17239;

									BgL_arg3887z00_17239 =
										((long) CINT(BgL_bpz00_17238) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17237), BgL_arg3887z00_17239,
										BgL_bz00_14623);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3888z00_17240;

									BgL_arg3888z00_17240 =
										((long) CINT(BgL_bpz00_17238) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17237), BgL_arg3888z00_17240,
										BgL_cz00_14624);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3889z00_17241;

									BgL_arg3889z00_17241 =
										((long) CINT(BgL_bpz00_17238) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17237), BgL_arg3889z00_17241,
										BgL_dz00_14625);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3890z00_17242;

									BgL_arg3890z00_17242 =
										((long) CINT(BgL_bpz00_17238) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17237), BgL_arg3890z00_17242,
										BgL_lastz00_14626);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17243;

									BgL_ez00_17243 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17244;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17245;

											BgL_arg4423z00_17245 = BGL_EXITD_PROTECT(BgL_ez00_17243);
											BgL_arg4422z00_17244 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17238, BgL_arg4423z00_17245);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17243, BgL_arg4422z00_17244);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17246;

										BgL_accz00_17246 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14621, BgL_sz00_17237, BgL_bpz00_17238);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5578z00_29203;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17247;

												BgL_arg4421z00_17247 =
													BGL_EXITD_PROTECT(BgL_ez00_17243);
												BgL_test5578z00_29203 = PAIRP(BgL_arg4421z00_17247);
											}
											if (BgL_test5578z00_29203)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17248;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17249;

														BgL_arg4420z00_17249 =
															BGL_EXITD_PROTECT(BgL_ez00_17243);
														BgL_arg4419z00_17248 =
															CDR(((obj_t) BgL_arg4420z00_17249));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17243,
														BgL_arg4419z00_17248);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17237), ((long) 0), BgL_bpz00_17238);
										return BgL_accz00_17246;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17250;

								BgL_nsz00_17250 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17250, ((long) 1), BgL_sz00_17237);
								VECTOR_SET(BgL_nsz00_17250, ((long) 2), BgL_bz00_14623);
								VECTOR_SET(BgL_nsz00_17250, ((long) 3), BgL_cz00_14624);
								VECTOR_SET(BgL_nsz00_17250, ((long) 4), BgL_dz00_14625);
								VECTOR_SET(BgL_nsz00_17250, ((long) 5), BgL_lastz00_14626);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17251;

									BgL_z12denvz12_17251 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17251, BgL_nsz00_17250);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17252;

										BgL_ez00_17252 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17253;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17254;

												BgL_arg4423z00_17254 =
													BGL_EXITD_PROTECT(BgL_ez00_17252);
												BgL_arg4422z00_17253 =
													MAKE_YOUNG_PAIR(BgL_sz00_17237, BgL_arg4423z00_17254);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17252,
												BgL_arg4422z00_17253);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17255;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17256;

												BgL_savedzd2bpzd2_17256 =
													VECTOR_REF(BgL_nsz00_17250, ((long) 0));
												VECTOR_SET(BgL_nsz00_17250, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17258;

													BgL_fz00_17258 = BgL_runz00_14621;
												BgL_recz00_17257:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17259;

														BgL_rz00_17259 =
															PROCEDURE_ENTRY(BgL_fz00_17258) (BgL_fz00_17258,
															BgL_nsz00_17250, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5579z00_29231;

															if (PROCEDUREP(BgL_rz00_17259))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17260;

																	BgL_arg1747z00_17260 =
																		PROCEDURE_ATTR(BgL_rz00_17259);
																	if (STRUCTP(BgL_arg1747z00_17260))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5579z00_29231 =
																				(STRUCT_KEY(BgL_arg1747z00_17260) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5579z00_29231 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5579z00_29231 = ((bool_t) 0);
																}
															if (BgL_test5579z00_29231)
																{
																	obj_t BgL_fz00_29239;

																	BgL_fz00_29239 = BgL_rz00_17259;
																	BgL_fz00_17258 = BgL_fz00_29239;
																	goto BgL_recz00_17257;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17250, ((long) 0),
																		BgL_savedzd2bpzd2_17256);
																	BgL_____rz00_17255 = BgL_rz00_17259;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5582z00_29241;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17261;

													BgL_arg4421z00_17261 =
														BGL_EXITD_PROTECT(BgL_ez00_17252);
													BgL_test5582z00_29241 = PAIRP(BgL_arg4421z00_17261);
												}
												if (BgL_test5582z00_29241)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17262;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17263;

															BgL_arg4420z00_17263 =
																BGL_EXITD_PROTECT(BgL_ez00_17252);
															BgL_arg4419z00_17262 =
																CDR(((obj_t) BgL_arg4420z00_17263));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17252,
															BgL_arg4419z00_17262);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17251, BgL_sz00_17237);
											return BgL_____rz00_17255;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4599 */
	obj_t BGl_z62run4599z62zz__evaluate_compz00(obj_t BgL_envz00_14627,
		obj_t BgL_sz00_14632)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14628;
				obj_t BgL_valza2za2_14629;
				BgL_ev_absz00_bglt BgL_i1255z00_14630;
				obj_t BgL_bodyz00_14631;

				BgL_siza7eza7_14628 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14627, (int) (((long) 0))));
				BgL_valza2za2_14629 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14627, (int) (((long) 1))));
				BgL_i1255z00_14630 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14627, (int) (((long) 2))));
				BgL_bodyz00_14631 = PROCEDURE_REF(BgL_envz00_14627, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17264;

					BgL_bpz00_17264 = VECTOR_REF(((obj_t) BgL_sz00_14632), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14632,
						BgL_valza2za2_14629,
						((long) CINT(BgL_bpz00_17264) + BgL_siza7eza7_14628));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17265;
						obj_t BgL_wherez00_17266;
						obj_t BgL_locz00_17267;

						BgL_z12denvz12_17265 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17266 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14630))->
							BgL_wherez00);
						BgL_locz00_17267 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14630))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17265, BgL_wherez00_17266,
								BgL_locz00_17267);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17268;

								BgL_za2za2resza2za2z00_17268 =
									PROCEDURE_ENTRY(BgL_bodyz00_14631) (BgL_bodyz00_14631,
									BgL_sz00_14632, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17265);
								return BgL_za2za2resza2za2z00_17268;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3893> */
	obj_t BGl_z62zc3z04anonymousza33893ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14633, obj_t BgL_sz00_14640)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14634;
				obj_t BgL_iboxesz00_14635;
				long BgL_siza7eza7_14636;
				BgL_ev_absz00_bglt BgL_i1255z00_14637;
				obj_t BgL_bodyz00_14638;
				long BgL_siza7ezd2framez75_14639;

				BgL_ifreesz00_14634 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 0))));
				BgL_iboxesz00_14635 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 1))));
				BgL_siza7eza7_14636 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 2))));
				BgL_i1255z00_14637 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 3))));
				BgL_bodyz00_14638 = PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14639 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14633, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17269;

					BgL_bpz00_17269 = VECTOR_REF(((obj_t) BgL_sz00_14640), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17270;

						BgL_valza2za2_17270 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14640,
							BgL_bpz00_17269, BgL_ifreesz00_14634);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17271;

							BgL_runz00_17271 =
								MAKE_FX_PROCEDURE(BGl_z62run4601z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17271,
								(int) (((long) 0)), BgL_iboxesz00_14635);
							PROCEDURE_SET(BgL_runz00_17271,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14636));
							PROCEDURE_SET(BgL_runz00_17271,
								(int) (((long) 2)), BgL_valza2za2_17270);
							PROCEDURE_SET(BgL_runz00_17271,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14637));
							PROCEDURE_SET(BgL_runz00_17271,
								(int) (((long) 4)), BgL_bodyz00_14638);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17272;

								BgL_mainz00_17272 =
									MAKE_VA_PROCEDURE(BGl_z62main4600z62zz__evaluate_compz00,
									(int) (((long) -4)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 0)), BgL_iboxesz00_14635);
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14636));
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 2)), BgL_valza2za2_17270);
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14637));
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 4)), BgL_bodyz00_14638);
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 5)), BgL_runz00_17271);
								PROCEDURE_SET(BgL_mainz00_17272,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14639));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17273;

									BgL_objz00_17273 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17271, BgL_objz00_17273);
									BgL_objz00_17273;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3894z00_17274;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3895z00_17275;

										BgL_arg3895z00_17275 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14637))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17276;

											BgL_newz00_17276 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29333;

												BgL_tmpz00_29333 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17276, BgL_tmpz00_29333,
													BgL_arg3895z00_17275);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29338;
												int BgL_tmpz00_29336;

												BgL_auxz00_29338 = BINT(BgL_siza7ezd2framez75_14639);
												BgL_tmpz00_29336 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17276, BgL_tmpz00_29336,
													BgL_auxz00_29338);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29341;

												BgL_tmpz00_29341 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17276, BgL_tmpz00_29341,
													BgL_runz00_17271);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29346;
												int BgL_tmpz00_29344;

												BgL_auxz00_29346 = BINT(((long) -4));
												BgL_tmpz00_29344 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17276, BgL_tmpz00_29344,
													BgL_auxz00_29346);
											}
											BgL_arg3894z00_17274 = BgL_newz00_17276;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17272, BgL_arg3894z00_17274);
									BgL_arg3894z00_17274;
								}
								return BgL_mainz00_17272;
							}
						}
					}
				}
			}
		}

	}



/* &main4600 */
	obj_t BGl_z62main4600z62zz__evaluate_compz00(obj_t BgL_envz00_14641,
		obj_t BgL_bz00_14649, obj_t BgL_cz00_14650, obj_t BgL_dz00_14651,
		obj_t BgL_lastz00_14652)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14647;
				long BgL_siza7ezd2framez75_14648;

				BgL_runz00_14647 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14641, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14648 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14641, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17277;

					BgL_sz00_17277 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17278;

						BgL_bpz00_17278 = VECTOR_REF(((obj_t) BgL_sz00_17277), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17278) + BgL_siza7ezd2framez75_14648) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17277))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3898z00_17279;

									BgL_arg3898z00_17279 =
										((long) CINT(BgL_bpz00_17278) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17277), BgL_arg3898z00_17279,
										BgL_bz00_14649);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3899z00_17280;

									BgL_arg3899z00_17280 =
										((long) CINT(BgL_bpz00_17278) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17277), BgL_arg3899z00_17280,
										BgL_cz00_14650);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3900z00_17281;

									BgL_arg3900z00_17281 =
										((long) CINT(BgL_bpz00_17278) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17277), BgL_arg3900z00_17281,
										BgL_dz00_14651);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3901z00_17282;

									BgL_arg3901z00_17282 =
										((long) CINT(BgL_bpz00_17278) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_17277), BgL_arg3901z00_17282,
										BgL_lastz00_14652);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17283;

									BgL_ez00_17283 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17284;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17285;

											BgL_arg4423z00_17285 = BGL_EXITD_PROTECT(BgL_ez00_17283);
											BgL_arg4422z00_17284 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17278, BgL_arg4423z00_17285);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17283, BgL_arg4422z00_17284);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17286;

										BgL_accz00_17286 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14647, BgL_sz00_17277, BgL_bpz00_17278);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5584z00_29386;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17287;

												BgL_arg4421z00_17287 =
													BGL_EXITD_PROTECT(BgL_ez00_17283);
												BgL_test5584z00_29386 = PAIRP(BgL_arg4421z00_17287);
											}
											if (BgL_test5584z00_29386)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17288;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17289;

														BgL_arg4420z00_17289 =
															BGL_EXITD_PROTECT(BgL_ez00_17283);
														BgL_arg4419z00_17288 =
															CDR(((obj_t) BgL_arg4420z00_17289));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17283,
														BgL_arg4419z00_17288);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17277), ((long) 0), BgL_bpz00_17278);
										return BgL_accz00_17286;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17290;

								BgL_nsz00_17290 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17290, ((long) 1), BgL_sz00_17277);
								VECTOR_SET(BgL_nsz00_17290, ((long) 2), BgL_bz00_14649);
								VECTOR_SET(BgL_nsz00_17290, ((long) 3), BgL_cz00_14650);
								VECTOR_SET(BgL_nsz00_17290, ((long) 4), BgL_dz00_14651);
								VECTOR_SET(BgL_nsz00_17290, ((long) 5), BgL_lastz00_14652);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17291;

									BgL_z12denvz12_17291 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17291, BgL_nsz00_17290);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17292;

										BgL_ez00_17292 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17293;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17294;

												BgL_arg4423z00_17294 =
													BGL_EXITD_PROTECT(BgL_ez00_17292);
												BgL_arg4422z00_17293 =
													MAKE_YOUNG_PAIR(BgL_sz00_17277, BgL_arg4423z00_17294);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17292,
												BgL_arg4422z00_17293);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17295;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17296;

												BgL_savedzd2bpzd2_17296 =
													VECTOR_REF(BgL_nsz00_17290, ((long) 0));
												VECTOR_SET(BgL_nsz00_17290, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17298;

													BgL_fz00_17298 = BgL_runz00_14647;
												BgL_recz00_17297:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17299;

														BgL_rz00_17299 =
															PROCEDURE_ENTRY(BgL_fz00_17298) (BgL_fz00_17298,
															BgL_nsz00_17290, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5585z00_29414;

															if (PROCEDUREP(BgL_rz00_17299))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17300;

																	BgL_arg1747z00_17300 =
																		PROCEDURE_ATTR(BgL_rz00_17299);
																	if (STRUCTP(BgL_arg1747z00_17300))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5585z00_29414 =
																				(STRUCT_KEY(BgL_arg1747z00_17300) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5585z00_29414 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5585z00_29414 = ((bool_t) 0);
																}
															if (BgL_test5585z00_29414)
																{
																	obj_t BgL_fz00_29422;

																	BgL_fz00_29422 = BgL_rz00_17299;
																	BgL_fz00_17298 = BgL_fz00_29422;
																	goto BgL_recz00_17297;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17290, ((long) 0),
																		BgL_savedzd2bpzd2_17296);
																	BgL_____rz00_17295 = BgL_rz00_17299;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5588z00_29424;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17301;

													BgL_arg4421z00_17301 =
														BGL_EXITD_PROTECT(BgL_ez00_17292);
													BgL_test5588z00_29424 = PAIRP(BgL_arg4421z00_17301);
												}
												if (BgL_test5588z00_29424)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17302;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17303;

															BgL_arg4420z00_17303 =
																BGL_EXITD_PROTECT(BgL_ez00_17292);
															BgL_arg4419z00_17302 =
																CDR(((obj_t) BgL_arg4420z00_17303));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17292,
															BgL_arg4419z00_17302);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17291, BgL_sz00_17277);
											return BgL_____rz00_17295;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4601 */
	obj_t BGl_z62run4601z62zz__evaluate_compz00(obj_t BgL_envz00_14653,
		obj_t BgL_sz00_14659)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14654;
				long BgL_siza7eza7_14655;
				obj_t BgL_valza2za2_14656;
				BgL_ev_absz00_bglt BgL_i1255z00_14657;
				obj_t BgL_bodyz00_14658;

				BgL_iboxesz00_14654 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14653, (int) (((long) 0))));
				BgL_siza7eza7_14655 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14653, (int) (((long) 1))));
				BgL_valza2za2_14656 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14653, (int) (((long) 2))));
				BgL_i1255z00_14657 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14653, (int) (((long) 3))));
				BgL_bodyz00_14658 = PROCEDURE_REF(BgL_envz00_14653, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17304;

					BgL_bpz00_17304 = VECTOR_REF(((obj_t) BgL_sz00_14659), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14659,
						BgL_iboxesz00_14654, BgL_bpz00_17304);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14659,
						BgL_valza2za2_14656,
						((long) CINT(BgL_bpz00_17304) + BgL_siza7eza7_14655));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17305;
						obj_t BgL_wherez00_17306;
						obj_t BgL_locz00_17307;

						BgL_z12denvz12_17305 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17306 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14657))->
							BgL_wherez00);
						BgL_locz00_17307 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14657))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17305, BgL_wherez00_17306,
								BgL_locz00_17307);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17308;

								BgL_za2za2resza2za2z00_17308 =
									PROCEDURE_ENTRY(BgL_bodyz00_14658) (BgL_bodyz00_14658,
									BgL_sz00_14659, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17305);
								return BgL_za2za2resza2za2z00_17308;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3812> */
	obj_t BGl_z62zc3z04anonymousza33812ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14660, obj_t BgL_sz00_14664)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14661;
				obj_t BgL_bodyz00_14662;
				long BgL_siza7ezd2framez75_14663;

				BgL_i1255z00_14661 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 0))));
				BgL_bodyz00_14662 = PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14663 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14660, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17309;

					BgL_bpz00_17309 = VECTOR_REF(((obj_t) BgL_sz00_14664), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17310;

							BgL_runz00_17310 =
								MAKE_FX_PROCEDURE(BGl_z62run4603z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17310,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14661));
							PROCEDURE_SET(BgL_runz00_17310,
								(int) (((long) 1)), BgL_bodyz00_14662);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17311;

								BgL_mainz00_17311 =
									MAKE_FX_PROCEDURE(BGl_z62main4602z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17311,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14661));
								PROCEDURE_SET(BgL_mainz00_17311,
									(int) (((long) 1)), BgL_bodyz00_14662);
								PROCEDURE_SET(BgL_mainz00_17311,
									(int) (((long) 2)), BgL_runz00_17310);
								PROCEDURE_SET(BgL_mainz00_17311,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14663));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17312;

									BgL_objz00_17312 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17310, BgL_objz00_17312);
									BgL_objz00_17312;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3813z00_17313;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3814z00_17314;

										BgL_arg3814z00_17314 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14661))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17315;

											BgL_newz00_17315 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29496;

												BgL_tmpz00_29496 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17315, BgL_tmpz00_29496,
													BgL_arg3814z00_17314);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29501;
												int BgL_tmpz00_29499;

												BgL_auxz00_29501 = BINT(BgL_siza7ezd2framez75_14663);
												BgL_tmpz00_29499 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17315, BgL_tmpz00_29499,
													BgL_auxz00_29501);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29504;

												BgL_tmpz00_29504 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17315, BgL_tmpz00_29504,
													BgL_runz00_17310);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29509;
												int BgL_tmpz00_29507;

												BgL_auxz00_29509 = BINT(((long) 3));
												BgL_tmpz00_29507 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17315, BgL_tmpz00_29507,
													BgL_auxz00_29509);
											}
											BgL_arg3813z00_17313 = BgL_newz00_17315;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17311, BgL_arg3813z00_17313);
									BgL_arg3813z00_17313;
								}
								return BgL_mainz00_17311;
							}
						}
					}
				}
			}
		}

	}



/* &main4602 */
	obj_t BGl_z62main4602z62zz__evaluate_compz00(obj_t BgL_envz00_14665,
		obj_t BgL_bz00_14670, obj_t BgL_cz00_14671, obj_t BgL_dz00_14672)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14668;
				long BgL_siza7ezd2framez75_14669;

				BgL_runz00_14668 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14665, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14669 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14665, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17316;

					BgL_sz00_17316 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17317;

						BgL_bpz00_17317 = VECTOR_REF(((obj_t) BgL_sz00_17316), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17317) + BgL_siza7ezd2framez75_14669) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17316))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3817z00_17318;

									BgL_arg3817z00_17318 =
										((long) CINT(BgL_bpz00_17317) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17316), BgL_arg3817z00_17318,
										BgL_bz00_14670);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3818z00_17319;

									BgL_arg3818z00_17319 =
										((long) CINT(BgL_bpz00_17317) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17316), BgL_arg3818z00_17319,
										BgL_cz00_14671);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3819z00_17320;

									BgL_arg3819z00_17320 =
										((long) CINT(BgL_bpz00_17317) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17316), BgL_arg3819z00_17320,
										BgL_dz00_14672);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17321;

									BgL_ez00_17321 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17322;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17323;

											BgL_arg4423z00_17323 = BGL_EXITD_PROTECT(BgL_ez00_17321);
											BgL_arg4422z00_17322 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17317, BgL_arg4423z00_17323);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17321, BgL_arg4422z00_17322);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17324;

										BgL_accz00_17324 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14668, BgL_sz00_17316, BgL_bpz00_17317);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5590z00_29545;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17325;

												BgL_arg4421z00_17325 =
													BGL_EXITD_PROTECT(BgL_ez00_17321);
												BgL_test5590z00_29545 = PAIRP(BgL_arg4421z00_17325);
											}
											if (BgL_test5590z00_29545)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17326;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17327;

														BgL_arg4420z00_17327 =
															BGL_EXITD_PROTECT(BgL_ez00_17321);
														BgL_arg4419z00_17326 =
															CDR(((obj_t) BgL_arg4420z00_17327));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17321,
														BgL_arg4419z00_17326);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17316), ((long) 0), BgL_bpz00_17317);
										return BgL_accz00_17324;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17328;

								BgL_nsz00_17328 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17328, ((long) 1), BgL_sz00_17316);
								VECTOR_SET(BgL_nsz00_17328, ((long) 2), BgL_bz00_14670);
								VECTOR_SET(BgL_nsz00_17328, ((long) 3), BgL_cz00_14671);
								VECTOR_SET(BgL_nsz00_17328, ((long) 4), BgL_dz00_14672);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17329;

									BgL_z12denvz12_17329 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17329, BgL_nsz00_17328);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17330;

										BgL_ez00_17330 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17331;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17332;

												BgL_arg4423z00_17332 =
													BGL_EXITD_PROTECT(BgL_ez00_17330);
												BgL_arg4422z00_17331 =
													MAKE_YOUNG_PAIR(BgL_sz00_17316, BgL_arg4423z00_17332);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17330,
												BgL_arg4422z00_17331);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17333;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17334;

												BgL_savedzd2bpzd2_17334 =
													VECTOR_REF(BgL_nsz00_17328, ((long) 0));
												VECTOR_SET(BgL_nsz00_17328, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17336;

													BgL_fz00_17336 = BgL_runz00_14668;
												BgL_recz00_17335:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17337;

														BgL_rz00_17337 =
															PROCEDURE_ENTRY(BgL_fz00_17336) (BgL_fz00_17336,
															BgL_nsz00_17328, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5591z00_29572;

															if (PROCEDUREP(BgL_rz00_17337))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17338;

																	BgL_arg1747z00_17338 =
																		PROCEDURE_ATTR(BgL_rz00_17337);
																	if (STRUCTP(BgL_arg1747z00_17338))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5591z00_29572 =
																				(STRUCT_KEY(BgL_arg1747z00_17338) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5591z00_29572 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5591z00_29572 = ((bool_t) 0);
																}
															if (BgL_test5591z00_29572)
																{
																	obj_t BgL_fz00_29580;

																	BgL_fz00_29580 = BgL_rz00_17337;
																	BgL_fz00_17336 = BgL_fz00_29580;
																	goto BgL_recz00_17335;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17328, ((long) 0),
																		BgL_savedzd2bpzd2_17334);
																	BgL_____rz00_17333 = BgL_rz00_17337;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5594z00_29582;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17339;

													BgL_arg4421z00_17339 =
														BGL_EXITD_PROTECT(BgL_ez00_17330);
													BgL_test5594z00_29582 = PAIRP(BgL_arg4421z00_17339);
												}
												if (BgL_test5594z00_29582)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17340;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17341;

															BgL_arg4420z00_17341 =
																BGL_EXITD_PROTECT(BgL_ez00_17330);
															BgL_arg4419z00_17340 =
																CDR(((obj_t) BgL_arg4420z00_17341));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17330,
															BgL_arg4419z00_17340);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17329, BgL_sz00_17316);
											return BgL_____rz00_17333;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4603 */
	obj_t BGl_z62run4603z62zz__evaluate_compz00(obj_t BgL_envz00_14673,
		obj_t BgL_sz00_14676)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14674;
				obj_t BgL_bodyz00_14675;

				BgL_i1255z00_14674 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14673, (int) (((long) 0))));
				BgL_bodyz00_14675 = PROCEDURE_REF(BgL_envz00_14673, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17342;

					BgL_bpz00_17342 = VECTOR_REF(((obj_t) BgL_sz00_14676), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17343;
						obj_t BgL_wherez00_17344;
						obj_t BgL_locz00_17345;

						BgL_z12denvz12_17343 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17344 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14674))->
							BgL_wherez00);
						BgL_locz00_17345 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14674))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17343, BgL_wherez00_17344,
								BgL_locz00_17345);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17346;

								BgL_za2za2resza2za2z00_17346 =
									PROCEDURE_ENTRY(BgL_bodyz00_14675) (BgL_bodyz00_14675,
									BgL_sz00_14676, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17343);
								return BgL_za2za2resza2za2z00_17346;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3821> */
	obj_t BGl_z62zc3z04anonymousza33821ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14677, obj_t BgL_sz00_14682)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14678;
				BgL_ev_absz00_bglt BgL_i1255z00_14679;
				obj_t BgL_bodyz00_14680;
				long BgL_siza7ezd2framez75_14681;

				BgL_iboxesz00_14678 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14677, (int) (((long) 0))));
				BgL_i1255z00_14679 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14677, (int) (((long) 1))));
				BgL_bodyz00_14680 = PROCEDURE_REF(BgL_envz00_14677, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14681 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14677, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17347;

					BgL_bpz00_17347 = VECTOR_REF(((obj_t) BgL_sz00_14682), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17348;

							BgL_runz00_17348 =
								MAKE_FX_PROCEDURE(BGl_z62run4605z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17348,
								(int) (((long) 0)), BgL_iboxesz00_14678);
							PROCEDURE_SET(BgL_runz00_17348,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14679));
							PROCEDURE_SET(BgL_runz00_17348,
								(int) (((long) 2)), BgL_bodyz00_14680);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17349;

								BgL_mainz00_17349 =
									MAKE_FX_PROCEDURE(BGl_z62main4604z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17349,
									(int) (((long) 0)), BgL_iboxesz00_14678);
								PROCEDURE_SET(BgL_mainz00_17349,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14679));
								PROCEDURE_SET(BgL_mainz00_17349,
									(int) (((long) 2)), BgL_bodyz00_14680);
								PROCEDURE_SET(BgL_mainz00_17349,
									(int) (((long) 3)), BgL_runz00_17348);
								PROCEDURE_SET(BgL_mainz00_17349,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14681));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17350;

									BgL_objz00_17350 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17348, BgL_objz00_17350);
									BgL_objz00_17350;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3822z00_17351;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3823z00_17352;

										BgL_arg3823z00_17352 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14679))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17353;

											BgL_newz00_17353 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29648;

												BgL_tmpz00_29648 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17353, BgL_tmpz00_29648,
													BgL_arg3823z00_17352);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29653;
												int BgL_tmpz00_29651;

												BgL_auxz00_29653 = BINT(BgL_siza7ezd2framez75_14681);
												BgL_tmpz00_29651 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17353, BgL_tmpz00_29651,
													BgL_auxz00_29653);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29656;

												BgL_tmpz00_29656 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17353, BgL_tmpz00_29656,
													BgL_runz00_17348);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29661;
												int BgL_tmpz00_29659;

												BgL_auxz00_29661 = BINT(((long) 3));
												BgL_tmpz00_29659 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17353, BgL_tmpz00_29659,
													BgL_auxz00_29661);
											}
											BgL_arg3822z00_17351 = BgL_newz00_17353;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17349, BgL_arg3822z00_17351);
									BgL_arg3822z00_17351;
								}
								return BgL_mainz00_17349;
							}
						}
					}
				}
			}
		}

	}



/* &main4604 */
	obj_t BGl_z62main4604z62zz__evaluate_compz00(obj_t BgL_envz00_14683,
		obj_t BgL_bz00_14689, obj_t BgL_cz00_14690, obj_t BgL_dz00_14691)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14687;
				long BgL_siza7ezd2framez75_14688;

				BgL_runz00_14687 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14683, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14688 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14683, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17354;

					BgL_sz00_17354 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17355;

						BgL_bpz00_17355 = VECTOR_REF(((obj_t) BgL_sz00_17354), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17355) + BgL_siza7ezd2framez75_14688) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17354))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3826z00_17356;

									BgL_arg3826z00_17356 =
										((long) CINT(BgL_bpz00_17355) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17354), BgL_arg3826z00_17356,
										BgL_bz00_14689);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3827z00_17357;

									BgL_arg3827z00_17357 =
										((long) CINT(BgL_bpz00_17355) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17354), BgL_arg3827z00_17357,
										BgL_cz00_14690);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3828z00_17358;

									BgL_arg3828z00_17358 =
										((long) CINT(BgL_bpz00_17355) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17354), BgL_arg3828z00_17358,
										BgL_dz00_14691);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17359;

									BgL_ez00_17359 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17360;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17361;

											BgL_arg4423z00_17361 = BGL_EXITD_PROTECT(BgL_ez00_17359);
											BgL_arg4422z00_17360 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17355, BgL_arg4423z00_17361);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17359, BgL_arg4422z00_17360);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17362;

										BgL_accz00_17362 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14687, BgL_sz00_17354, BgL_bpz00_17355);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5596z00_29697;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17363;

												BgL_arg4421z00_17363 =
													BGL_EXITD_PROTECT(BgL_ez00_17359);
												BgL_test5596z00_29697 = PAIRP(BgL_arg4421z00_17363);
											}
											if (BgL_test5596z00_29697)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17364;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17365;

														BgL_arg4420z00_17365 =
															BGL_EXITD_PROTECT(BgL_ez00_17359);
														BgL_arg4419z00_17364 =
															CDR(((obj_t) BgL_arg4420z00_17365));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17359,
														BgL_arg4419z00_17364);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17354), ((long) 0), BgL_bpz00_17355);
										return BgL_accz00_17362;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17366;

								BgL_nsz00_17366 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17366, ((long) 1), BgL_sz00_17354);
								VECTOR_SET(BgL_nsz00_17366, ((long) 2), BgL_bz00_14689);
								VECTOR_SET(BgL_nsz00_17366, ((long) 3), BgL_cz00_14690);
								VECTOR_SET(BgL_nsz00_17366, ((long) 4), BgL_dz00_14691);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17367;

									BgL_z12denvz12_17367 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17367, BgL_nsz00_17366);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17368;

										BgL_ez00_17368 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17369;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17370;

												BgL_arg4423z00_17370 =
													BGL_EXITD_PROTECT(BgL_ez00_17368);
												BgL_arg4422z00_17369 =
													MAKE_YOUNG_PAIR(BgL_sz00_17354, BgL_arg4423z00_17370);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17368,
												BgL_arg4422z00_17369);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17371;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17372;

												BgL_savedzd2bpzd2_17372 =
													VECTOR_REF(BgL_nsz00_17366, ((long) 0));
												VECTOR_SET(BgL_nsz00_17366, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17374;

													BgL_fz00_17374 = BgL_runz00_14687;
												BgL_recz00_17373:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17375;

														BgL_rz00_17375 =
															PROCEDURE_ENTRY(BgL_fz00_17374) (BgL_fz00_17374,
															BgL_nsz00_17366, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5597z00_29724;

															if (PROCEDUREP(BgL_rz00_17375))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17376;

																	BgL_arg1747z00_17376 =
																		PROCEDURE_ATTR(BgL_rz00_17375);
																	if (STRUCTP(BgL_arg1747z00_17376))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5597z00_29724 =
																				(STRUCT_KEY(BgL_arg1747z00_17376) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5597z00_29724 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5597z00_29724 = ((bool_t) 0);
																}
															if (BgL_test5597z00_29724)
																{
																	obj_t BgL_fz00_29732;

																	BgL_fz00_29732 = BgL_rz00_17375;
																	BgL_fz00_17374 = BgL_fz00_29732;
																	goto BgL_recz00_17373;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17366, ((long) 0),
																		BgL_savedzd2bpzd2_17372);
																	BgL_____rz00_17371 = BgL_rz00_17375;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5600z00_29734;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17377;

													BgL_arg4421z00_17377 =
														BGL_EXITD_PROTECT(BgL_ez00_17368);
													BgL_test5600z00_29734 = PAIRP(BgL_arg4421z00_17377);
												}
												if (BgL_test5600z00_29734)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17378;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17379;

															BgL_arg4420z00_17379 =
																BGL_EXITD_PROTECT(BgL_ez00_17368);
															BgL_arg4419z00_17378 =
																CDR(((obj_t) BgL_arg4420z00_17379));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17368,
															BgL_arg4419z00_17378);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17367, BgL_sz00_17354);
											return BgL_____rz00_17371;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4605 */
	obj_t BGl_z62run4605z62zz__evaluate_compz00(obj_t BgL_envz00_14692,
		obj_t BgL_sz00_14696)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14693;
				BgL_ev_absz00_bglt BgL_i1255z00_14694;
				obj_t BgL_bodyz00_14695;

				BgL_iboxesz00_14693 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14692, (int) (((long) 0))));
				BgL_i1255z00_14694 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14692, (int) (((long) 1))));
				BgL_bodyz00_14695 = PROCEDURE_REF(BgL_envz00_14692, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17380;

					BgL_bpz00_17380 = VECTOR_REF(((obj_t) BgL_sz00_14696), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14696,
						BgL_iboxesz00_14693, BgL_bpz00_17380);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17381;
						obj_t BgL_wherez00_17382;
						obj_t BgL_locz00_17383;

						BgL_z12denvz12_17381 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17382 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14694))->
							BgL_wherez00);
						BgL_locz00_17383 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14694))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17381, BgL_wherez00_17382,
								BgL_locz00_17383);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17384;

								BgL_za2za2resza2za2z00_17384 =
									PROCEDURE_ENTRY(BgL_bodyz00_14695) (BgL_bodyz00_14695,
									BgL_sz00_14696, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17381);
								return BgL_za2za2resza2za2z00_17384;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3833> */
	obj_t BGl_z62zc3z04anonymousza33833ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14697, obj_t BgL_sz00_14703)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14698;
				long BgL_siza7eza7_14699;
				BgL_ev_absz00_bglt BgL_i1255z00_14700;
				obj_t BgL_bodyz00_14701;
				long BgL_siza7ezd2framez75_14702;

				BgL_ifreesz00_14698 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 0))));
				BgL_siza7eza7_14699 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 1))));
				BgL_i1255z00_14700 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 2))));
				BgL_bodyz00_14701 = PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14702 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14697, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17385;

					BgL_bpz00_17385 = VECTOR_REF(((obj_t) BgL_sz00_14703), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17386;

						BgL_valza2za2_17386 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14703,
							BgL_bpz00_17385, BgL_ifreesz00_14698);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17387;

							BgL_runz00_17387 =
								MAKE_FX_PROCEDURE(BGl_z62run4607z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17387,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14699));
							PROCEDURE_SET(BgL_runz00_17387,
								(int) (((long) 1)), BgL_valza2za2_17386);
							PROCEDURE_SET(BgL_runz00_17387,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14700));
							PROCEDURE_SET(BgL_runz00_17387,
								(int) (((long) 3)), BgL_bodyz00_14701);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17388;

								BgL_mainz00_17388 =
									MAKE_FX_PROCEDURE(BGl_z62main4606z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14699));
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 1)), BgL_valza2za2_17386);
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14700));
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 3)), BgL_bodyz00_14701);
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 4)), BgL_runz00_17387);
								PROCEDURE_SET(BgL_mainz00_17388,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14702));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17389;

									BgL_objz00_17389 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17387, BgL_objz00_17389);
									BgL_objz00_17389;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3834z00_17390;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3835z00_17391;

										BgL_arg3835z00_17391 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14700))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17392;

											BgL_newz00_17392 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29814;

												BgL_tmpz00_29814 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17392, BgL_tmpz00_29814,
													BgL_arg3835z00_17391);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29819;
												int BgL_tmpz00_29817;

												BgL_auxz00_29819 = BINT(BgL_siza7ezd2framez75_14702);
												BgL_tmpz00_29817 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17392, BgL_tmpz00_29817,
													BgL_auxz00_29819);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29822;

												BgL_tmpz00_29822 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17392, BgL_tmpz00_29822,
													BgL_runz00_17387);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29827;
												int BgL_tmpz00_29825;

												BgL_auxz00_29827 = BINT(((long) 3));
												BgL_tmpz00_29825 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17392, BgL_tmpz00_29825,
													BgL_auxz00_29827);
											}
											BgL_arg3834z00_17390 = BgL_newz00_17392;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17388, BgL_arg3834z00_17390);
									BgL_arg3834z00_17390;
								}
								return BgL_mainz00_17388;
							}
						}
					}
				}
			}
		}

	}



/* &main4606 */
	obj_t BGl_z62main4606z62zz__evaluate_compz00(obj_t BgL_envz00_14704,
		obj_t BgL_bz00_14711, obj_t BgL_cz00_14712, obj_t BgL_dz00_14713)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14709;
				long BgL_siza7ezd2framez75_14710;

				BgL_runz00_14709 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14710 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14704, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17393;

					BgL_sz00_17393 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17394;

						BgL_bpz00_17394 = VECTOR_REF(((obj_t) BgL_sz00_17393), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17394) + BgL_siza7ezd2framez75_14710) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17393))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3838z00_17395;

									BgL_arg3838z00_17395 =
										((long) CINT(BgL_bpz00_17394) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17393), BgL_arg3838z00_17395,
										BgL_bz00_14711);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3839z00_17396;

									BgL_arg3839z00_17396 =
										((long) CINT(BgL_bpz00_17394) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17393), BgL_arg3839z00_17396,
										BgL_cz00_14712);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3840z00_17397;

									BgL_arg3840z00_17397 =
										((long) CINT(BgL_bpz00_17394) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17393), BgL_arg3840z00_17397,
										BgL_dz00_14713);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17398;

									BgL_ez00_17398 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17399;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17400;

											BgL_arg4423z00_17400 = BGL_EXITD_PROTECT(BgL_ez00_17398);
											BgL_arg4422z00_17399 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17394, BgL_arg4423z00_17400);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17398, BgL_arg4422z00_17399);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17401;

										BgL_accz00_17401 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14709, BgL_sz00_17393, BgL_bpz00_17394);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5602z00_29863;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17402;

												BgL_arg4421z00_17402 =
													BGL_EXITD_PROTECT(BgL_ez00_17398);
												BgL_test5602z00_29863 = PAIRP(BgL_arg4421z00_17402);
											}
											if (BgL_test5602z00_29863)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17403;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17404;

														BgL_arg4420z00_17404 =
															BGL_EXITD_PROTECT(BgL_ez00_17398);
														BgL_arg4419z00_17403 =
															CDR(((obj_t) BgL_arg4420z00_17404));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17398,
														BgL_arg4419z00_17403);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17393), ((long) 0), BgL_bpz00_17394);
										return BgL_accz00_17401;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17405;

								BgL_nsz00_17405 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17405, ((long) 1), BgL_sz00_17393);
								VECTOR_SET(BgL_nsz00_17405, ((long) 2), BgL_bz00_14711);
								VECTOR_SET(BgL_nsz00_17405, ((long) 3), BgL_cz00_14712);
								VECTOR_SET(BgL_nsz00_17405, ((long) 4), BgL_dz00_14713);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17406;

									BgL_z12denvz12_17406 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17406, BgL_nsz00_17405);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17407;

										BgL_ez00_17407 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17408;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17409;

												BgL_arg4423z00_17409 =
													BGL_EXITD_PROTECT(BgL_ez00_17407);
												BgL_arg4422z00_17408 =
													MAKE_YOUNG_PAIR(BgL_sz00_17393, BgL_arg4423z00_17409);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17407,
												BgL_arg4422z00_17408);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17410;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17411;

												BgL_savedzd2bpzd2_17411 =
													VECTOR_REF(BgL_nsz00_17405, ((long) 0));
												VECTOR_SET(BgL_nsz00_17405, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17413;

													BgL_fz00_17413 = BgL_runz00_14709;
												BgL_recz00_17412:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17414;

														BgL_rz00_17414 =
															PROCEDURE_ENTRY(BgL_fz00_17413) (BgL_fz00_17413,
															BgL_nsz00_17405, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5603z00_29890;

															if (PROCEDUREP(BgL_rz00_17414))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17415;

																	BgL_arg1747z00_17415 =
																		PROCEDURE_ATTR(BgL_rz00_17414);
																	if (STRUCTP(BgL_arg1747z00_17415))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5603z00_29890 =
																				(STRUCT_KEY(BgL_arg1747z00_17415) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5603z00_29890 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5603z00_29890 = ((bool_t) 0);
																}
															if (BgL_test5603z00_29890)
																{
																	obj_t BgL_fz00_29898;

																	BgL_fz00_29898 = BgL_rz00_17414;
																	BgL_fz00_17413 = BgL_fz00_29898;
																	goto BgL_recz00_17412;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17405, ((long) 0),
																		BgL_savedzd2bpzd2_17411);
																	BgL_____rz00_17410 = BgL_rz00_17414;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5606z00_29900;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17416;

													BgL_arg4421z00_17416 =
														BGL_EXITD_PROTECT(BgL_ez00_17407);
													BgL_test5606z00_29900 = PAIRP(BgL_arg4421z00_17416);
												}
												if (BgL_test5606z00_29900)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17417;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17418;

															BgL_arg4420z00_17418 =
																BGL_EXITD_PROTECT(BgL_ez00_17407);
															BgL_arg4419z00_17417 =
																CDR(((obj_t) BgL_arg4420z00_17418));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17407,
															BgL_arg4419z00_17417);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17406, BgL_sz00_17393);
											return BgL_____rz00_17410;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4607 */
	obj_t BGl_z62run4607z62zz__evaluate_compz00(obj_t BgL_envz00_14714,
		obj_t BgL_sz00_14719)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14715;
				obj_t BgL_valza2za2_14716;
				BgL_ev_absz00_bglt BgL_i1255z00_14717;
				obj_t BgL_bodyz00_14718;

				BgL_siza7eza7_14715 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14714, (int) (((long) 0))));
				BgL_valza2za2_14716 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14714, (int) (((long) 1))));
				BgL_i1255z00_14717 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14714, (int) (((long) 2))));
				BgL_bodyz00_14718 = PROCEDURE_REF(BgL_envz00_14714, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17419;

					BgL_bpz00_17419 = VECTOR_REF(((obj_t) BgL_sz00_14719), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14719,
						BgL_valza2za2_14716,
						((long) CINT(BgL_bpz00_17419) + BgL_siza7eza7_14715));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17420;
						obj_t BgL_wherez00_17421;
						obj_t BgL_locz00_17422;

						BgL_z12denvz12_17420 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17421 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14717))->
							BgL_wherez00);
						BgL_locz00_17422 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14717))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17420, BgL_wherez00_17421,
								BgL_locz00_17422);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17423;

								BgL_za2za2resza2za2z00_17423 =
									PROCEDURE_ENTRY(BgL_bodyz00_14718) (BgL_bodyz00_14718,
									BgL_sz00_14719, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17420);
								return BgL_za2za2resza2za2z00_17423;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3843> */
	obj_t BGl_z62zc3z04anonymousza33843ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14720, obj_t BgL_sz00_14727)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14721;
				obj_t BgL_iboxesz00_14722;
				long BgL_siza7eza7_14723;
				BgL_ev_absz00_bglt BgL_i1255z00_14724;
				obj_t BgL_bodyz00_14725;
				long BgL_siza7ezd2framez75_14726;

				BgL_ifreesz00_14721 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 0))));
				BgL_iboxesz00_14722 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 1))));
				BgL_siza7eza7_14723 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 2))));
				BgL_i1255z00_14724 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 3))));
				BgL_bodyz00_14725 = PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14720, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17424;

					BgL_bpz00_17424 = VECTOR_REF(((obj_t) BgL_sz00_14727), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17425;

						BgL_valza2za2_17425 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14727,
							BgL_bpz00_17424, BgL_ifreesz00_14721);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17426;

							BgL_runz00_17426 =
								MAKE_FX_PROCEDURE(BGl_z62run4609z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17426,
								(int) (((long) 0)), BgL_iboxesz00_14722);
							PROCEDURE_SET(BgL_runz00_17426,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14723));
							PROCEDURE_SET(BgL_runz00_17426,
								(int) (((long) 2)), BgL_valza2za2_17425);
							PROCEDURE_SET(BgL_runz00_17426,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14724));
							PROCEDURE_SET(BgL_runz00_17426,
								(int) (((long) 4)), BgL_bodyz00_14725);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17427;

								BgL_mainz00_17427 =
									MAKE_FX_PROCEDURE(BGl_z62main4608z62zz__evaluate_compz00,
									(int) (((long) 3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 0)), BgL_iboxesz00_14722);
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14723));
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 2)), BgL_valza2za2_17425);
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14724));
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 4)), BgL_bodyz00_14725);
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 5)), BgL_runz00_17426);
								PROCEDURE_SET(BgL_mainz00_17427,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14726));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17428;

									BgL_objz00_17428 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17426, BgL_objz00_17428);
									BgL_objz00_17428;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3844z00_17429;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3845z00_17430;

										BgL_arg3845z00_17430 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14724))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17431;

											BgL_newz00_17431 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_29992;

												BgL_tmpz00_29992 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17431, BgL_tmpz00_29992,
													BgL_arg3845z00_17430);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_29997;
												int BgL_tmpz00_29995;

												BgL_auxz00_29997 = BINT(BgL_siza7ezd2framez75_14726);
												BgL_tmpz00_29995 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17431, BgL_tmpz00_29995,
													BgL_auxz00_29997);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30000;

												BgL_tmpz00_30000 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17431, BgL_tmpz00_30000,
													BgL_runz00_17426);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30005;
												int BgL_tmpz00_30003;

												BgL_auxz00_30005 = BINT(((long) 3));
												BgL_tmpz00_30003 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17431, BgL_tmpz00_30003,
													BgL_auxz00_30005);
											}
											BgL_arg3844z00_17429 = BgL_newz00_17431;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17427, BgL_arg3844z00_17429);
									BgL_arg3844z00_17429;
								}
								return BgL_mainz00_17427;
							}
						}
					}
				}
			}
		}

	}



/* &main4608 */
	obj_t BGl_z62main4608z62zz__evaluate_compz00(obj_t BgL_envz00_14728,
		obj_t BgL_bz00_14736, obj_t BgL_cz00_14737, obj_t BgL_dz00_14738)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14734;
				long BgL_siza7ezd2framez75_14735;

				BgL_runz00_14734 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14735 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14728, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17432;

					BgL_sz00_17432 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17433;

						BgL_bpz00_17433 = VECTOR_REF(((obj_t) BgL_sz00_17432), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17433) + BgL_siza7ezd2framez75_14735) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17432))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3848z00_17434;

									BgL_arg3848z00_17434 =
										((long) CINT(BgL_bpz00_17433) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17432), BgL_arg3848z00_17434,
										BgL_bz00_14736);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3849z00_17435;

									BgL_arg3849z00_17435 =
										((long) CINT(BgL_bpz00_17433) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17432), BgL_arg3849z00_17435,
										BgL_cz00_14737);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3850z00_17436;

									BgL_arg3850z00_17436 =
										((long) CINT(BgL_bpz00_17433) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17432), BgL_arg3850z00_17436,
										BgL_dz00_14738);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17437;

									BgL_ez00_17437 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17438;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17439;

											BgL_arg4423z00_17439 = BGL_EXITD_PROTECT(BgL_ez00_17437);
											BgL_arg4422z00_17438 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17433, BgL_arg4423z00_17439);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17437, BgL_arg4422z00_17438);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17440;

										BgL_accz00_17440 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14734, BgL_sz00_17432, BgL_bpz00_17433);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5609z00_30041;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17441;

												BgL_arg4421z00_17441 =
													BGL_EXITD_PROTECT(BgL_ez00_17437);
												BgL_test5609z00_30041 = PAIRP(BgL_arg4421z00_17441);
											}
											if (BgL_test5609z00_30041)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17442;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17443;

														BgL_arg4420z00_17443 =
															BGL_EXITD_PROTECT(BgL_ez00_17437);
														BgL_arg4419z00_17442 =
															CDR(((obj_t) BgL_arg4420z00_17443));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17437,
														BgL_arg4419z00_17442);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17432), ((long) 0), BgL_bpz00_17433);
										return BgL_accz00_17440;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17444;

								BgL_nsz00_17444 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17444, ((long) 1), BgL_sz00_17432);
								VECTOR_SET(BgL_nsz00_17444, ((long) 2), BgL_bz00_14736);
								VECTOR_SET(BgL_nsz00_17444, ((long) 3), BgL_cz00_14737);
								VECTOR_SET(BgL_nsz00_17444, ((long) 4), BgL_dz00_14738);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17445;

									BgL_z12denvz12_17445 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17445, BgL_nsz00_17444);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17446;

										BgL_ez00_17446 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17447;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17448;

												BgL_arg4423z00_17448 =
													BGL_EXITD_PROTECT(BgL_ez00_17446);
												BgL_arg4422z00_17447 =
													MAKE_YOUNG_PAIR(BgL_sz00_17432, BgL_arg4423z00_17448);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17446,
												BgL_arg4422z00_17447);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17449;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17450;

												BgL_savedzd2bpzd2_17450 =
													VECTOR_REF(BgL_nsz00_17444, ((long) 0));
												VECTOR_SET(BgL_nsz00_17444, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17452;

													BgL_fz00_17452 = BgL_runz00_14734;
												BgL_recz00_17451:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17453;

														BgL_rz00_17453 =
															PROCEDURE_ENTRY(BgL_fz00_17452) (BgL_fz00_17452,
															BgL_nsz00_17444, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5610z00_30068;

															if (PROCEDUREP(BgL_rz00_17453))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17454;

																	BgL_arg1747z00_17454 =
																		PROCEDURE_ATTR(BgL_rz00_17453);
																	if (STRUCTP(BgL_arg1747z00_17454))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5610z00_30068 =
																				(STRUCT_KEY(BgL_arg1747z00_17454) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5610z00_30068 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5610z00_30068 = ((bool_t) 0);
																}
															if (BgL_test5610z00_30068)
																{
																	obj_t BgL_fz00_30076;

																	BgL_fz00_30076 = BgL_rz00_17453;
																	BgL_fz00_17452 = BgL_fz00_30076;
																	goto BgL_recz00_17451;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17444, ((long) 0),
																		BgL_savedzd2bpzd2_17450);
																	BgL_____rz00_17449 = BgL_rz00_17453;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5613z00_30078;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17455;

													BgL_arg4421z00_17455 =
														BGL_EXITD_PROTECT(BgL_ez00_17446);
													BgL_test5613z00_30078 = PAIRP(BgL_arg4421z00_17455);
												}
												if (BgL_test5613z00_30078)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17456;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17457;

															BgL_arg4420z00_17457 =
																BGL_EXITD_PROTECT(BgL_ez00_17446);
															BgL_arg4419z00_17456 =
																CDR(((obj_t) BgL_arg4420z00_17457));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17446,
															BgL_arg4419z00_17456);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17445, BgL_sz00_17432);
											return BgL_____rz00_17449;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4609 */
	obj_t BGl_z62run4609z62zz__evaluate_compz00(obj_t BgL_envz00_14739,
		obj_t BgL_sz00_14745)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14740;
				long BgL_siza7eza7_14741;
				obj_t BgL_valza2za2_14742;
				BgL_ev_absz00_bglt BgL_i1255z00_14743;
				obj_t BgL_bodyz00_14744;

				BgL_iboxesz00_14740 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 0))));
				BgL_siza7eza7_14741 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 1))));
				BgL_valza2za2_14742 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 2))));
				BgL_i1255z00_14743 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 3))));
				BgL_bodyz00_14744 = PROCEDURE_REF(BgL_envz00_14739, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17458;

					BgL_bpz00_17458 = VECTOR_REF(((obj_t) BgL_sz00_14745), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14745,
						BgL_iboxesz00_14740, BgL_bpz00_17458);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14745,
						BgL_valza2za2_14742,
						((long) CINT(BgL_bpz00_17458) + BgL_siza7eza7_14741));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17459;
						obj_t BgL_wherez00_17460;
						obj_t BgL_locz00_17461;

						BgL_z12denvz12_17459 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17460 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14743))->
							BgL_wherez00);
						BgL_locz00_17461 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14743))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17459, BgL_wherez00_17460,
								BgL_locz00_17461);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17462;

								BgL_za2za2resza2za2z00_17462 =
									PROCEDURE_ENTRY(BgL_bodyz00_14744) (BgL_bodyz00_14744,
									BgL_sz00_14745, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17459);
								return BgL_za2za2resza2za2z00_17462;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3765> */
	obj_t BGl_z62zc3z04anonymousza33765ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14746, obj_t BgL_sz00_14750)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14747;
				obj_t BgL_bodyz00_14748;
				long BgL_siza7ezd2framez75_14749;

				BgL_i1255z00_14747 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 0))));
				BgL_bodyz00_14748 = PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14749 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14746, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17463;

					BgL_bpz00_17463 = VECTOR_REF(((obj_t) BgL_sz00_14750), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17464;

							BgL_runz00_17464 =
								MAKE_FX_PROCEDURE(BGl_z62run4611z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17464,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14747));
							PROCEDURE_SET(BgL_runz00_17464,
								(int) (((long) 1)), BgL_bodyz00_14748);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17465;

								BgL_mainz00_17465 =
									MAKE_VA_PROCEDURE(BGl_z62main4610z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17465,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14747));
								PROCEDURE_SET(BgL_mainz00_17465,
									(int) (((long) 1)), BgL_bodyz00_14748);
								PROCEDURE_SET(BgL_mainz00_17465,
									(int) (((long) 2)), BgL_runz00_17464);
								PROCEDURE_SET(BgL_mainz00_17465,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14749));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17466;

									BgL_objz00_17466 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17464, BgL_objz00_17466);
									BgL_objz00_17466;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3766z00_17467;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3767z00_17468;

										BgL_arg3767z00_17468 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14747))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17469;

											BgL_newz00_17469 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30150;

												BgL_tmpz00_30150 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17469, BgL_tmpz00_30150,
													BgL_arg3767z00_17468);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30155;
												int BgL_tmpz00_30153;

												BgL_auxz00_30155 = BINT(BgL_siza7ezd2framez75_14749);
												BgL_tmpz00_30153 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17469, BgL_tmpz00_30153,
													BgL_auxz00_30155);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30158;

												BgL_tmpz00_30158 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17469, BgL_tmpz00_30158,
													BgL_runz00_17464);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30163;
												int BgL_tmpz00_30161;

												BgL_auxz00_30163 = BINT(((long) -3));
												BgL_tmpz00_30161 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17469, BgL_tmpz00_30161,
													BgL_auxz00_30163);
											}
											BgL_arg3766z00_17467 = BgL_newz00_17469;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17465, BgL_arg3766z00_17467);
									BgL_arg3766z00_17467;
								}
								return BgL_mainz00_17465;
							}
						}
					}
				}
			}
		}

	}



/* &main4610 */
	obj_t BGl_z62main4610z62zz__evaluate_compz00(obj_t BgL_envz00_14751,
		obj_t BgL_cz00_14756, obj_t BgL_dz00_14757, obj_t BgL_lastz00_14758)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14754;
				long BgL_siza7ezd2framez75_14755;

				BgL_runz00_14754 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14755 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14751, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17470;

					BgL_sz00_17470 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17471;

						BgL_bpz00_17471 = VECTOR_REF(((obj_t) BgL_sz00_17470), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17471) + BgL_siza7ezd2framez75_14755) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17470))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3770z00_17472;

									BgL_arg3770z00_17472 =
										((long) CINT(BgL_bpz00_17471) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17470), BgL_arg3770z00_17472,
										BgL_cz00_14756);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3771z00_17473;

									BgL_arg3771z00_17473 =
										((long) CINT(BgL_bpz00_17471) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17470), BgL_arg3771z00_17473,
										BgL_dz00_14757);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3772z00_17474;

									BgL_arg3772z00_17474 =
										((long) CINT(BgL_bpz00_17471) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17470), BgL_arg3772z00_17474,
										BgL_lastz00_14758);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17475;

									BgL_ez00_17475 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17476;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17477;

											BgL_arg4423z00_17477 = BGL_EXITD_PROTECT(BgL_ez00_17475);
											BgL_arg4422z00_17476 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17471, BgL_arg4423z00_17477);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17475, BgL_arg4422z00_17476);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17478;

										BgL_accz00_17478 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14754, BgL_sz00_17470, BgL_bpz00_17471);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5615z00_30199;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17479;

												BgL_arg4421z00_17479 =
													BGL_EXITD_PROTECT(BgL_ez00_17475);
												BgL_test5615z00_30199 = PAIRP(BgL_arg4421z00_17479);
											}
											if (BgL_test5615z00_30199)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17480;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17481;

														BgL_arg4420z00_17481 =
															BGL_EXITD_PROTECT(BgL_ez00_17475);
														BgL_arg4419z00_17480 =
															CDR(((obj_t) BgL_arg4420z00_17481));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17475,
														BgL_arg4419z00_17480);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17470), ((long) 0), BgL_bpz00_17471);
										return BgL_accz00_17478;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17482;

								BgL_nsz00_17482 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17482, ((long) 1), BgL_sz00_17470);
								VECTOR_SET(BgL_nsz00_17482, ((long) 2), BgL_cz00_14756);
								VECTOR_SET(BgL_nsz00_17482, ((long) 3), BgL_dz00_14757);
								VECTOR_SET(BgL_nsz00_17482, ((long) 4), BgL_lastz00_14758);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17483;

									BgL_z12denvz12_17483 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17483, BgL_nsz00_17482);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17484;

										BgL_ez00_17484 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17485;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17486;

												BgL_arg4423z00_17486 =
													BGL_EXITD_PROTECT(BgL_ez00_17484);
												BgL_arg4422z00_17485 =
													MAKE_YOUNG_PAIR(BgL_sz00_17470, BgL_arg4423z00_17486);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17484,
												BgL_arg4422z00_17485);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17487;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17488;

												BgL_savedzd2bpzd2_17488 =
													VECTOR_REF(BgL_nsz00_17482, ((long) 0));
												VECTOR_SET(BgL_nsz00_17482, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17490;

													BgL_fz00_17490 = BgL_runz00_14754;
												BgL_recz00_17489:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17491;

														BgL_rz00_17491 =
															PROCEDURE_ENTRY(BgL_fz00_17490) (BgL_fz00_17490,
															BgL_nsz00_17482, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5616z00_30226;

															if (PROCEDUREP(BgL_rz00_17491))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17492;

																	BgL_arg1747z00_17492 =
																		PROCEDURE_ATTR(BgL_rz00_17491);
																	if (STRUCTP(BgL_arg1747z00_17492))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5616z00_30226 =
																				(STRUCT_KEY(BgL_arg1747z00_17492) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5616z00_30226 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5616z00_30226 = ((bool_t) 0);
																}
															if (BgL_test5616z00_30226)
																{
																	obj_t BgL_fz00_30234;

																	BgL_fz00_30234 = BgL_rz00_17491;
																	BgL_fz00_17490 = BgL_fz00_30234;
																	goto BgL_recz00_17489;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17482, ((long) 0),
																		BgL_savedzd2bpzd2_17488);
																	BgL_____rz00_17487 = BgL_rz00_17491;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5619z00_30236;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17493;

													BgL_arg4421z00_17493 =
														BGL_EXITD_PROTECT(BgL_ez00_17484);
													BgL_test5619z00_30236 = PAIRP(BgL_arg4421z00_17493);
												}
												if (BgL_test5619z00_30236)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17494;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17495;

															BgL_arg4420z00_17495 =
																BGL_EXITD_PROTECT(BgL_ez00_17484);
															BgL_arg4419z00_17494 =
																CDR(((obj_t) BgL_arg4420z00_17495));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17484,
															BgL_arg4419z00_17494);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17483, BgL_sz00_17470);
											return BgL_____rz00_17487;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4611 */
	obj_t BGl_z62run4611z62zz__evaluate_compz00(obj_t BgL_envz00_14759,
		obj_t BgL_sz00_14762)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14760;
				obj_t BgL_bodyz00_14761;

				BgL_i1255z00_14760 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14759, (int) (((long) 0))));
				BgL_bodyz00_14761 = PROCEDURE_REF(BgL_envz00_14759, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17496;

					BgL_bpz00_17496 = VECTOR_REF(((obj_t) BgL_sz00_14762), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17497;
						obj_t BgL_wherez00_17498;
						obj_t BgL_locz00_17499;

						BgL_z12denvz12_17497 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17498 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14760))->
							BgL_wherez00);
						BgL_locz00_17499 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14760))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17497, BgL_wherez00_17498,
								BgL_locz00_17499);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17500;

								BgL_za2za2resza2za2z00_17500 =
									PROCEDURE_ENTRY(BgL_bodyz00_14761) (BgL_bodyz00_14761,
									BgL_sz00_14762, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17497);
								return BgL_za2za2resza2za2z00_17500;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3774> */
	obj_t BGl_z62zc3z04anonymousza33774ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14763, obj_t BgL_sz00_14768)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14764;
				BgL_ev_absz00_bglt BgL_i1255z00_14765;
				obj_t BgL_bodyz00_14766;
				long BgL_siza7ezd2framez75_14767;

				BgL_iboxesz00_14764 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14763, (int) (((long) 0))));
				BgL_i1255z00_14765 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14763, (int) (((long) 1))));
				BgL_bodyz00_14766 = PROCEDURE_REF(BgL_envz00_14763, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14767 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14763, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17501;

					BgL_bpz00_17501 = VECTOR_REF(((obj_t) BgL_sz00_14768), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17502;

							BgL_runz00_17502 =
								MAKE_FX_PROCEDURE(BGl_z62run4613z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17502,
								(int) (((long) 0)), BgL_iboxesz00_14764);
							PROCEDURE_SET(BgL_runz00_17502,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14765));
							PROCEDURE_SET(BgL_runz00_17502,
								(int) (((long) 2)), BgL_bodyz00_14766);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17503;

								BgL_mainz00_17503 =
									MAKE_VA_PROCEDURE(BGl_z62main4612z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17503,
									(int) (((long) 0)), BgL_iboxesz00_14764);
								PROCEDURE_SET(BgL_mainz00_17503,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14765));
								PROCEDURE_SET(BgL_mainz00_17503,
									(int) (((long) 2)), BgL_bodyz00_14766);
								PROCEDURE_SET(BgL_mainz00_17503,
									(int) (((long) 3)), BgL_runz00_17502);
								PROCEDURE_SET(BgL_mainz00_17503,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14767));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17504;

									BgL_objz00_17504 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17502, BgL_objz00_17504);
									BgL_objz00_17504;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3775z00_17505;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3776z00_17506;

										BgL_arg3776z00_17506 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14765))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17507;

											BgL_newz00_17507 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30302;

												BgL_tmpz00_30302 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17507, BgL_tmpz00_30302,
													BgL_arg3776z00_17506);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30307;
												int BgL_tmpz00_30305;

												BgL_auxz00_30307 = BINT(BgL_siza7ezd2framez75_14767);
												BgL_tmpz00_30305 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17507, BgL_tmpz00_30305,
													BgL_auxz00_30307);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30310;

												BgL_tmpz00_30310 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17507, BgL_tmpz00_30310,
													BgL_runz00_17502);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30315;
												int BgL_tmpz00_30313;

												BgL_auxz00_30315 = BINT(((long) -3));
												BgL_tmpz00_30313 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17507, BgL_tmpz00_30313,
													BgL_auxz00_30315);
											}
											BgL_arg3775z00_17505 = BgL_newz00_17507;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17503, BgL_arg3775z00_17505);
									BgL_arg3775z00_17505;
								}
								return BgL_mainz00_17503;
							}
						}
					}
				}
			}
		}

	}



/* &main4612 */
	obj_t BGl_z62main4612z62zz__evaluate_compz00(obj_t BgL_envz00_14769,
		obj_t BgL_cz00_14775, obj_t BgL_dz00_14776, obj_t BgL_lastz00_14777)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14773;
				long BgL_siza7ezd2framez75_14774;

				BgL_runz00_14773 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14769, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14774 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14769, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17508;

					BgL_sz00_17508 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17509;

						BgL_bpz00_17509 = VECTOR_REF(((obj_t) BgL_sz00_17508), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17509) + BgL_siza7ezd2framez75_14774) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17508))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3779z00_17510;

									BgL_arg3779z00_17510 =
										((long) CINT(BgL_bpz00_17509) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17508), BgL_arg3779z00_17510,
										BgL_cz00_14775);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3780z00_17511;

									BgL_arg3780z00_17511 =
										((long) CINT(BgL_bpz00_17509) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17508), BgL_arg3780z00_17511,
										BgL_dz00_14776);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3781z00_17512;

									BgL_arg3781z00_17512 =
										((long) CINT(BgL_bpz00_17509) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17508), BgL_arg3781z00_17512,
										BgL_lastz00_14777);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17513;

									BgL_ez00_17513 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17514;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17515;

											BgL_arg4423z00_17515 = BGL_EXITD_PROTECT(BgL_ez00_17513);
											BgL_arg4422z00_17514 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17509, BgL_arg4423z00_17515);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17513, BgL_arg4422z00_17514);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17516;

										BgL_accz00_17516 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14773, BgL_sz00_17508, BgL_bpz00_17509);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5621z00_30351;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17517;

												BgL_arg4421z00_17517 =
													BGL_EXITD_PROTECT(BgL_ez00_17513);
												BgL_test5621z00_30351 = PAIRP(BgL_arg4421z00_17517);
											}
											if (BgL_test5621z00_30351)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17518;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17519;

														BgL_arg4420z00_17519 =
															BGL_EXITD_PROTECT(BgL_ez00_17513);
														BgL_arg4419z00_17518 =
															CDR(((obj_t) BgL_arg4420z00_17519));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17513,
														BgL_arg4419z00_17518);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17508), ((long) 0), BgL_bpz00_17509);
										return BgL_accz00_17516;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17520;

								BgL_nsz00_17520 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17520, ((long) 1), BgL_sz00_17508);
								VECTOR_SET(BgL_nsz00_17520, ((long) 2), BgL_cz00_14775);
								VECTOR_SET(BgL_nsz00_17520, ((long) 3), BgL_dz00_14776);
								VECTOR_SET(BgL_nsz00_17520, ((long) 4), BgL_lastz00_14777);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17521;

									BgL_z12denvz12_17521 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17521, BgL_nsz00_17520);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17522;

										BgL_ez00_17522 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17523;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17524;

												BgL_arg4423z00_17524 =
													BGL_EXITD_PROTECT(BgL_ez00_17522);
												BgL_arg4422z00_17523 =
													MAKE_YOUNG_PAIR(BgL_sz00_17508, BgL_arg4423z00_17524);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17522,
												BgL_arg4422z00_17523);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17525;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17526;

												BgL_savedzd2bpzd2_17526 =
													VECTOR_REF(BgL_nsz00_17520, ((long) 0));
												VECTOR_SET(BgL_nsz00_17520, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17528;

													BgL_fz00_17528 = BgL_runz00_14773;
												BgL_recz00_17527:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17529;

														BgL_rz00_17529 =
															PROCEDURE_ENTRY(BgL_fz00_17528) (BgL_fz00_17528,
															BgL_nsz00_17520, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5622z00_30378;

															if (PROCEDUREP(BgL_rz00_17529))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17530;

																	BgL_arg1747z00_17530 =
																		PROCEDURE_ATTR(BgL_rz00_17529);
																	if (STRUCTP(BgL_arg1747z00_17530))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5622z00_30378 =
																				(STRUCT_KEY(BgL_arg1747z00_17530) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5622z00_30378 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5622z00_30378 = ((bool_t) 0);
																}
															if (BgL_test5622z00_30378)
																{
																	obj_t BgL_fz00_30386;

																	BgL_fz00_30386 = BgL_rz00_17529;
																	BgL_fz00_17528 = BgL_fz00_30386;
																	goto BgL_recz00_17527;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17520, ((long) 0),
																		BgL_savedzd2bpzd2_17526);
																	BgL_____rz00_17525 = BgL_rz00_17529;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5625z00_30388;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17531;

													BgL_arg4421z00_17531 =
														BGL_EXITD_PROTECT(BgL_ez00_17522);
													BgL_test5625z00_30388 = PAIRP(BgL_arg4421z00_17531);
												}
												if (BgL_test5625z00_30388)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17532;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17533;

															BgL_arg4420z00_17533 =
																BGL_EXITD_PROTECT(BgL_ez00_17522);
															BgL_arg4419z00_17532 =
																CDR(((obj_t) BgL_arg4420z00_17533));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17522,
															BgL_arg4419z00_17532);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17521, BgL_sz00_17508);
											return BgL_____rz00_17525;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4613 */
	obj_t BGl_z62run4613z62zz__evaluate_compz00(obj_t BgL_envz00_14778,
		obj_t BgL_sz00_14782)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14779;
				BgL_ev_absz00_bglt BgL_i1255z00_14780;
				obj_t BgL_bodyz00_14781;

				BgL_iboxesz00_14779 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14778, (int) (((long) 0))));
				BgL_i1255z00_14780 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14778, (int) (((long) 1))));
				BgL_bodyz00_14781 = PROCEDURE_REF(BgL_envz00_14778, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17534;

					BgL_bpz00_17534 = VECTOR_REF(((obj_t) BgL_sz00_14782), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14782,
						BgL_iboxesz00_14779, BgL_bpz00_17534);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17535;
						obj_t BgL_wherez00_17536;
						obj_t BgL_locz00_17537;

						BgL_z12denvz12_17535 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17536 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14780))->
							BgL_wherez00);
						BgL_locz00_17537 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14780))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17535, BgL_wherez00_17536,
								BgL_locz00_17537);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17538;

								BgL_za2za2resza2za2z00_17538 =
									PROCEDURE_ENTRY(BgL_bodyz00_14781) (BgL_bodyz00_14781,
									BgL_sz00_14782, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17535);
								return BgL_za2za2resza2za2z00_17538;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3786> */
	obj_t BGl_z62zc3z04anonymousza33786ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14783, obj_t BgL_sz00_14789)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14784;
				long BgL_siza7eza7_14785;
				BgL_ev_absz00_bglt BgL_i1255z00_14786;
				obj_t BgL_bodyz00_14787;
				long BgL_siza7ezd2framez75_14788;

				BgL_ifreesz00_14784 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 0))));
				BgL_siza7eza7_14785 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 1))));
				BgL_i1255z00_14786 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 2))));
				BgL_bodyz00_14787 = PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14788 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14783, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17539;

					BgL_bpz00_17539 = VECTOR_REF(((obj_t) BgL_sz00_14789), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17540;

						BgL_valza2za2_17540 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14789,
							BgL_bpz00_17539, BgL_ifreesz00_14784);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17541;

							BgL_runz00_17541 =
								MAKE_FX_PROCEDURE(BGl_z62run4615z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17541,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14785));
							PROCEDURE_SET(BgL_runz00_17541,
								(int) (((long) 1)), BgL_valza2za2_17540);
							PROCEDURE_SET(BgL_runz00_17541,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14786));
							PROCEDURE_SET(BgL_runz00_17541,
								(int) (((long) 3)), BgL_bodyz00_14787);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17542;

								BgL_mainz00_17542 =
									MAKE_VA_PROCEDURE(BGl_z62main4614z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14785));
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 1)), BgL_valza2za2_17540);
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14786));
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 3)), BgL_bodyz00_14787);
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 4)), BgL_runz00_17541);
								PROCEDURE_SET(BgL_mainz00_17542,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14788));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17543;

									BgL_objz00_17543 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17541, BgL_objz00_17543);
									BgL_objz00_17543;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3787z00_17544;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3788z00_17545;

										BgL_arg3788z00_17545 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14786))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17546;

											BgL_newz00_17546 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30468;

												BgL_tmpz00_30468 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17546, BgL_tmpz00_30468,
													BgL_arg3788z00_17545);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30473;
												int BgL_tmpz00_30471;

												BgL_auxz00_30473 = BINT(BgL_siza7ezd2framez75_14788);
												BgL_tmpz00_30471 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17546, BgL_tmpz00_30471,
													BgL_auxz00_30473);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30476;

												BgL_tmpz00_30476 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17546, BgL_tmpz00_30476,
													BgL_runz00_17541);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30481;
												int BgL_tmpz00_30479;

												BgL_auxz00_30481 = BINT(((long) -3));
												BgL_tmpz00_30479 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17546, BgL_tmpz00_30479,
													BgL_auxz00_30481);
											}
											BgL_arg3787z00_17544 = BgL_newz00_17546;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17542, BgL_arg3787z00_17544);
									BgL_arg3787z00_17544;
								}
								return BgL_mainz00_17542;
							}
						}
					}
				}
			}
		}

	}



/* &main4614 */
	obj_t BGl_z62main4614z62zz__evaluate_compz00(obj_t BgL_envz00_14790,
		obj_t BgL_cz00_14797, obj_t BgL_dz00_14798, obj_t BgL_lastz00_14799)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14795;
				long BgL_siza7ezd2framez75_14796;

				BgL_runz00_14795 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14796 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14790, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17547;

					BgL_sz00_17547 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17548;

						BgL_bpz00_17548 = VECTOR_REF(((obj_t) BgL_sz00_17547), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17548) + BgL_siza7ezd2framez75_14796) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17547))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3791z00_17549;

									BgL_arg3791z00_17549 =
										((long) CINT(BgL_bpz00_17548) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17547), BgL_arg3791z00_17549,
										BgL_cz00_14797);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3792z00_17550;

									BgL_arg3792z00_17550 =
										((long) CINT(BgL_bpz00_17548) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17547), BgL_arg3792z00_17550,
										BgL_dz00_14798);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3793z00_17551;

									BgL_arg3793z00_17551 =
										((long) CINT(BgL_bpz00_17548) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17547), BgL_arg3793z00_17551,
										BgL_lastz00_14799);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17552;

									BgL_ez00_17552 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17553;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17554;

											BgL_arg4423z00_17554 = BGL_EXITD_PROTECT(BgL_ez00_17552);
											BgL_arg4422z00_17553 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17548, BgL_arg4423z00_17554);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17552, BgL_arg4422z00_17553);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17555;

										BgL_accz00_17555 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14795, BgL_sz00_17547, BgL_bpz00_17548);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5627z00_30517;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17556;

												BgL_arg4421z00_17556 =
													BGL_EXITD_PROTECT(BgL_ez00_17552);
												BgL_test5627z00_30517 = PAIRP(BgL_arg4421z00_17556);
											}
											if (BgL_test5627z00_30517)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17557;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17558;

														BgL_arg4420z00_17558 =
															BGL_EXITD_PROTECT(BgL_ez00_17552);
														BgL_arg4419z00_17557 =
															CDR(((obj_t) BgL_arg4420z00_17558));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17552,
														BgL_arg4419z00_17557);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17547), ((long) 0), BgL_bpz00_17548);
										return BgL_accz00_17555;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17559;

								BgL_nsz00_17559 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17559, ((long) 1), BgL_sz00_17547);
								VECTOR_SET(BgL_nsz00_17559, ((long) 2), BgL_cz00_14797);
								VECTOR_SET(BgL_nsz00_17559, ((long) 3), BgL_dz00_14798);
								VECTOR_SET(BgL_nsz00_17559, ((long) 4), BgL_lastz00_14799);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17560;

									BgL_z12denvz12_17560 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17560, BgL_nsz00_17559);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17561;

										BgL_ez00_17561 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17562;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17563;

												BgL_arg4423z00_17563 =
													BGL_EXITD_PROTECT(BgL_ez00_17561);
												BgL_arg4422z00_17562 =
													MAKE_YOUNG_PAIR(BgL_sz00_17547, BgL_arg4423z00_17563);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17561,
												BgL_arg4422z00_17562);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17564;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17565;

												BgL_savedzd2bpzd2_17565 =
													VECTOR_REF(BgL_nsz00_17559, ((long) 0));
												VECTOR_SET(BgL_nsz00_17559, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17567;

													BgL_fz00_17567 = BgL_runz00_14795;
												BgL_recz00_17566:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17568;

														BgL_rz00_17568 =
															PROCEDURE_ENTRY(BgL_fz00_17567) (BgL_fz00_17567,
															BgL_nsz00_17559, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5628z00_30544;

															if (PROCEDUREP(BgL_rz00_17568))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17569;

																	BgL_arg1747z00_17569 =
																		PROCEDURE_ATTR(BgL_rz00_17568);
																	if (STRUCTP(BgL_arg1747z00_17569))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5628z00_30544 =
																				(STRUCT_KEY(BgL_arg1747z00_17569) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5628z00_30544 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5628z00_30544 = ((bool_t) 0);
																}
															if (BgL_test5628z00_30544)
																{
																	obj_t BgL_fz00_30552;

																	BgL_fz00_30552 = BgL_rz00_17568;
																	BgL_fz00_17567 = BgL_fz00_30552;
																	goto BgL_recz00_17566;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17559, ((long) 0),
																		BgL_savedzd2bpzd2_17565);
																	BgL_____rz00_17564 = BgL_rz00_17568;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5631z00_30554;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17570;

													BgL_arg4421z00_17570 =
														BGL_EXITD_PROTECT(BgL_ez00_17561);
													BgL_test5631z00_30554 = PAIRP(BgL_arg4421z00_17570);
												}
												if (BgL_test5631z00_30554)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17571;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17572;

															BgL_arg4420z00_17572 =
																BGL_EXITD_PROTECT(BgL_ez00_17561);
															BgL_arg4419z00_17571 =
																CDR(((obj_t) BgL_arg4420z00_17572));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17561,
															BgL_arg4419z00_17571);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17560, BgL_sz00_17547);
											return BgL_____rz00_17564;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4615 */
	obj_t BGl_z62run4615z62zz__evaluate_compz00(obj_t BgL_envz00_14800,
		obj_t BgL_sz00_14805)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14801;
				obj_t BgL_valza2za2_14802;
				BgL_ev_absz00_bglt BgL_i1255z00_14803;
				obj_t BgL_bodyz00_14804;

				BgL_siza7eza7_14801 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14800, (int) (((long) 0))));
				BgL_valza2za2_14802 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14800, (int) (((long) 1))));
				BgL_i1255z00_14803 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14800, (int) (((long) 2))));
				BgL_bodyz00_14804 = PROCEDURE_REF(BgL_envz00_14800, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17573;

					BgL_bpz00_17573 = VECTOR_REF(((obj_t) BgL_sz00_14805), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14805,
						BgL_valza2za2_14802,
						((long) CINT(BgL_bpz00_17573) + BgL_siza7eza7_14801));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17574;
						obj_t BgL_wherez00_17575;
						obj_t BgL_locz00_17576;

						BgL_z12denvz12_17574 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17575 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14803))->
							BgL_wherez00);
						BgL_locz00_17576 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14803))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17574, BgL_wherez00_17575,
								BgL_locz00_17576);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17577;

								BgL_za2za2resza2za2z00_17577 =
									PROCEDURE_ENTRY(BgL_bodyz00_14804) (BgL_bodyz00_14804,
									BgL_sz00_14805, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17574);
								return BgL_za2za2resza2za2z00_17577;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3796> */
	obj_t BGl_z62zc3z04anonymousza33796ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14806, obj_t BgL_sz00_14813)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14807;
				obj_t BgL_iboxesz00_14808;
				long BgL_siza7eza7_14809;
				BgL_ev_absz00_bglt BgL_i1255z00_14810;
				obj_t BgL_bodyz00_14811;
				long BgL_siza7ezd2framez75_14812;

				BgL_ifreesz00_14807 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 0))));
				BgL_iboxesz00_14808 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 1))));
				BgL_siza7eza7_14809 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 2))));
				BgL_i1255z00_14810 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 3))));
				BgL_bodyz00_14811 = PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14812 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14806, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17578;

					BgL_bpz00_17578 = VECTOR_REF(((obj_t) BgL_sz00_14813), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17579;

						BgL_valza2za2_17579 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14813,
							BgL_bpz00_17578, BgL_ifreesz00_14807);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17580;

							BgL_runz00_17580 =
								MAKE_FX_PROCEDURE(BGl_z62run4617z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 0)), BgL_iboxesz00_14808);
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14809));
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 2)), BgL_valza2za2_17579);
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14810));
							PROCEDURE_SET(BgL_runz00_17580,
								(int) (((long) 4)), BgL_bodyz00_14811);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17581;

								BgL_mainz00_17581 =
									MAKE_VA_PROCEDURE(BGl_z62main4616z62zz__evaluate_compz00,
									(int) (((long) -3)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 0)), BgL_iboxesz00_14808);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14809));
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 2)), BgL_valza2za2_17579);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14810));
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 4)), BgL_bodyz00_14811);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 5)), BgL_runz00_17580);
								PROCEDURE_SET(BgL_mainz00_17581,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14812));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17582;

									BgL_objz00_17582 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17580, BgL_objz00_17582);
									BgL_objz00_17582;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3797z00_17583;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3798z00_17584;

										BgL_arg3798z00_17584 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14810))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17585;

											BgL_newz00_17585 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30646;

												BgL_tmpz00_30646 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_30646,
													BgL_arg3798z00_17584);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30651;
												int BgL_tmpz00_30649;

												BgL_auxz00_30651 = BINT(BgL_siza7ezd2framez75_14812);
												BgL_tmpz00_30649 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_30649,
													BgL_auxz00_30651);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30654;

												BgL_tmpz00_30654 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_30654,
													BgL_runz00_17580);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30659;
												int BgL_tmpz00_30657;

												BgL_auxz00_30659 = BINT(((long) -3));
												BgL_tmpz00_30657 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17585, BgL_tmpz00_30657,
													BgL_auxz00_30659);
											}
											BgL_arg3797z00_17583 = BgL_newz00_17585;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17581, BgL_arg3797z00_17583);
									BgL_arg3797z00_17583;
								}
								return BgL_mainz00_17581;
							}
						}
					}
				}
			}
		}

	}



/* &main4616 */
	obj_t BGl_z62main4616z62zz__evaluate_compz00(obj_t BgL_envz00_14814,
		obj_t BgL_cz00_14822, obj_t BgL_dz00_14823, obj_t BgL_lastz00_14824)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14820;
				long BgL_siza7ezd2framez75_14821;

				BgL_runz00_14820 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14814, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14821 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14814, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17586;

					BgL_sz00_17586 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17587;

						BgL_bpz00_17587 = VECTOR_REF(((obj_t) BgL_sz00_17586), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17587) + BgL_siza7ezd2framez75_14821) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17586))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3801z00_17588;

									BgL_arg3801z00_17588 =
										((long) CINT(BgL_bpz00_17587) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17586), BgL_arg3801z00_17588,
										BgL_cz00_14822);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3802z00_17589;

									BgL_arg3802z00_17589 =
										((long) CINT(BgL_bpz00_17587) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17586), BgL_arg3802z00_17589,
										BgL_dz00_14823);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3803z00_17590;

									BgL_arg3803z00_17590 =
										((long) CINT(BgL_bpz00_17587) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_17586), BgL_arg3803z00_17590,
										BgL_lastz00_14824);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17591;

									BgL_ez00_17591 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17592;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17593;

											BgL_arg4423z00_17593 = BGL_EXITD_PROTECT(BgL_ez00_17591);
											BgL_arg4422z00_17592 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17587, BgL_arg4423z00_17593);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17591, BgL_arg4422z00_17592);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17594;

										BgL_accz00_17594 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14820, BgL_sz00_17586, BgL_bpz00_17587);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5633z00_30695;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17595;

												BgL_arg4421z00_17595 =
													BGL_EXITD_PROTECT(BgL_ez00_17591);
												BgL_test5633z00_30695 = PAIRP(BgL_arg4421z00_17595);
											}
											if (BgL_test5633z00_30695)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17596;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17597;

														BgL_arg4420z00_17597 =
															BGL_EXITD_PROTECT(BgL_ez00_17591);
														BgL_arg4419z00_17596 =
															CDR(((obj_t) BgL_arg4420z00_17597));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17591,
														BgL_arg4419z00_17596);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17586), ((long) 0), BgL_bpz00_17587);
										return BgL_accz00_17594;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17598;

								BgL_nsz00_17598 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17598, ((long) 1), BgL_sz00_17586);
								VECTOR_SET(BgL_nsz00_17598, ((long) 2), BgL_cz00_14822);
								VECTOR_SET(BgL_nsz00_17598, ((long) 3), BgL_dz00_14823);
								VECTOR_SET(BgL_nsz00_17598, ((long) 4), BgL_lastz00_14824);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17599;

									BgL_z12denvz12_17599 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17599, BgL_nsz00_17598);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17600;

										BgL_ez00_17600 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17601;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17602;

												BgL_arg4423z00_17602 =
													BGL_EXITD_PROTECT(BgL_ez00_17600);
												BgL_arg4422z00_17601 =
													MAKE_YOUNG_PAIR(BgL_sz00_17586, BgL_arg4423z00_17602);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17600,
												BgL_arg4422z00_17601);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17603;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17604;

												BgL_savedzd2bpzd2_17604 =
													VECTOR_REF(BgL_nsz00_17598, ((long) 0));
												VECTOR_SET(BgL_nsz00_17598, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17606;

													BgL_fz00_17606 = BgL_runz00_14820;
												BgL_recz00_17605:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17607;

														BgL_rz00_17607 =
															PROCEDURE_ENTRY(BgL_fz00_17606) (BgL_fz00_17606,
															BgL_nsz00_17598, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5634z00_30722;

															if (PROCEDUREP(BgL_rz00_17607))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17608;

																	BgL_arg1747z00_17608 =
																		PROCEDURE_ATTR(BgL_rz00_17607);
																	if (STRUCTP(BgL_arg1747z00_17608))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5634z00_30722 =
																				(STRUCT_KEY(BgL_arg1747z00_17608) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5634z00_30722 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5634z00_30722 = ((bool_t) 0);
																}
															if (BgL_test5634z00_30722)
																{
																	obj_t BgL_fz00_30730;

																	BgL_fz00_30730 = BgL_rz00_17607;
																	BgL_fz00_17606 = BgL_fz00_30730;
																	goto BgL_recz00_17605;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17598, ((long) 0),
																		BgL_savedzd2bpzd2_17604);
																	BgL_____rz00_17603 = BgL_rz00_17607;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5637z00_30732;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17609;

													BgL_arg4421z00_17609 =
														BGL_EXITD_PROTECT(BgL_ez00_17600);
													BgL_test5637z00_30732 = PAIRP(BgL_arg4421z00_17609);
												}
												if (BgL_test5637z00_30732)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17610;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17611;

															BgL_arg4420z00_17611 =
																BGL_EXITD_PROTECT(BgL_ez00_17600);
															BgL_arg4419z00_17610 =
																CDR(((obj_t) BgL_arg4420z00_17611));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17600,
															BgL_arg4419z00_17610);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17599, BgL_sz00_17586);
											return BgL_____rz00_17603;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4617 */
	obj_t BGl_z62run4617z62zz__evaluate_compz00(obj_t BgL_envz00_14825,
		obj_t BgL_sz00_14831)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14826;
				long BgL_siza7eza7_14827;
				obj_t BgL_valza2za2_14828;
				BgL_ev_absz00_bglt BgL_i1255z00_14829;
				obj_t BgL_bodyz00_14830;

				BgL_iboxesz00_14826 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 0))));
				BgL_siza7eza7_14827 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 1))));
				BgL_valza2za2_14828 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 2))));
				BgL_i1255z00_14829 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 3))));
				BgL_bodyz00_14830 = PROCEDURE_REF(BgL_envz00_14825, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17612;

					BgL_bpz00_17612 = VECTOR_REF(((obj_t) BgL_sz00_14831), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14831,
						BgL_iboxesz00_14826, BgL_bpz00_17612);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14831,
						BgL_valza2za2_14828,
						((long) CINT(BgL_bpz00_17612) + BgL_siza7eza7_14827));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17613;
						obj_t BgL_wherez00_17614;
						obj_t BgL_locz00_17615;

						BgL_z12denvz12_17613 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17614 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14829))->
							BgL_wherez00);
						BgL_locz00_17615 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14829))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17613, BgL_wherez00_17614,
								BgL_locz00_17615);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17616;

								BgL_za2za2resza2za2z00_17616 =
									PROCEDURE_ENTRY(BgL_bodyz00_14830) (BgL_bodyz00_14830,
									BgL_sz00_14831, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17613);
								return BgL_za2za2resza2za2z00_17616;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3720> */
	obj_t BGl_z62zc3z04anonymousza33720ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14832, obj_t BgL_sz00_14836)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14833;
				obj_t BgL_bodyz00_14834;
				long BgL_siza7ezd2framez75_14835;

				BgL_i1255z00_14833 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 0))));
				BgL_bodyz00_14834 = PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14835 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14832, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17617;

					BgL_bpz00_17617 = VECTOR_REF(((obj_t) BgL_sz00_14836), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17618;

							BgL_runz00_17618 =
								MAKE_FX_PROCEDURE(BGl_z62run4619z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17618,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14833));
							PROCEDURE_SET(BgL_runz00_17618,
								(int) (((long) 1)), BgL_bodyz00_14834);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17619;

								BgL_mainz00_17619 =
									MAKE_FX_PROCEDURE(BGl_z62main4618z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17619,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14833));
								PROCEDURE_SET(BgL_mainz00_17619,
									(int) (((long) 1)), BgL_bodyz00_14834);
								PROCEDURE_SET(BgL_mainz00_17619,
									(int) (((long) 2)), BgL_runz00_17618);
								PROCEDURE_SET(BgL_mainz00_17619,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14835));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17620;

									BgL_objz00_17620 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17618, BgL_objz00_17620);
									BgL_objz00_17620;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3721z00_17621;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3722z00_17622;

										BgL_arg3722z00_17622 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14833))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17623;

											BgL_newz00_17623 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30804;

												BgL_tmpz00_30804 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17623, BgL_tmpz00_30804,
													BgL_arg3722z00_17622);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30809;
												int BgL_tmpz00_30807;

												BgL_auxz00_30809 = BINT(BgL_siza7ezd2framez75_14835);
												BgL_tmpz00_30807 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17623, BgL_tmpz00_30807,
													BgL_auxz00_30809);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30812;

												BgL_tmpz00_30812 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17623, BgL_tmpz00_30812,
													BgL_runz00_17618);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30817;
												int BgL_tmpz00_30815;

												BgL_auxz00_30817 = BINT(((long) 2));
												BgL_tmpz00_30815 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17623, BgL_tmpz00_30815,
													BgL_auxz00_30817);
											}
											BgL_arg3721z00_17621 = BgL_newz00_17623;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17619, BgL_arg3721z00_17621);
									BgL_arg3721z00_17621;
								}
								return BgL_mainz00_17619;
							}
						}
					}
				}
			}
		}

	}



/* &main4618 */
	obj_t BGl_z62main4618z62zz__evaluate_compz00(obj_t BgL_envz00_14837,
		obj_t BgL_cz00_14842, obj_t BgL_dz00_14843)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14840;
				long BgL_siza7ezd2framez75_14841;

				BgL_runz00_14840 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14837, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14841 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14837, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17624;

					BgL_sz00_17624 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17625;

						BgL_bpz00_17625 = VECTOR_REF(((obj_t) BgL_sz00_17624), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17625) + BgL_siza7ezd2framez75_14841) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17624))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3725z00_17626;

									BgL_arg3725z00_17626 =
										((long) CINT(BgL_bpz00_17625) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17624), BgL_arg3725z00_17626,
										BgL_cz00_14842);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3727z00_17627;

									BgL_arg3727z00_17627 =
										((long) CINT(BgL_bpz00_17625) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17624), BgL_arg3727z00_17627,
										BgL_dz00_14843);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17628;

									BgL_ez00_17628 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17629;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17630;

											BgL_arg4423z00_17630 = BGL_EXITD_PROTECT(BgL_ez00_17628);
											BgL_arg4422z00_17629 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17625, BgL_arg4423z00_17630);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17628, BgL_arg4422z00_17629);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17631;

										BgL_accz00_17631 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14840, BgL_sz00_17624, BgL_bpz00_17625);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5639z00_30849;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17632;

												BgL_arg4421z00_17632 =
													BGL_EXITD_PROTECT(BgL_ez00_17628);
												BgL_test5639z00_30849 = PAIRP(BgL_arg4421z00_17632);
											}
											if (BgL_test5639z00_30849)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17633;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17634;

														BgL_arg4420z00_17634 =
															BGL_EXITD_PROTECT(BgL_ez00_17628);
														BgL_arg4419z00_17633 =
															CDR(((obj_t) BgL_arg4420z00_17634));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17628,
														BgL_arg4419z00_17633);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17624), ((long) 0), BgL_bpz00_17625);
										return BgL_accz00_17631;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17635;

								BgL_nsz00_17635 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17635, ((long) 1), BgL_sz00_17624);
								VECTOR_SET(BgL_nsz00_17635, ((long) 2), BgL_cz00_14842);
								VECTOR_SET(BgL_nsz00_17635, ((long) 3), BgL_dz00_14843);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17636;

									BgL_z12denvz12_17636 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17636, BgL_nsz00_17635);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17637;

										BgL_ez00_17637 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17638;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17639;

												BgL_arg4423z00_17639 =
													BGL_EXITD_PROTECT(BgL_ez00_17637);
												BgL_arg4422z00_17638 =
													MAKE_YOUNG_PAIR(BgL_sz00_17624, BgL_arg4423z00_17639);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17637,
												BgL_arg4422z00_17638);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17640;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17641;

												BgL_savedzd2bpzd2_17641 =
													VECTOR_REF(BgL_nsz00_17635, ((long) 0));
												VECTOR_SET(BgL_nsz00_17635, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17643;

													BgL_fz00_17643 = BgL_runz00_14840;
												BgL_recz00_17642:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17644;

														BgL_rz00_17644 =
															PROCEDURE_ENTRY(BgL_fz00_17643) (BgL_fz00_17643,
															BgL_nsz00_17635, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5640z00_30875;

															if (PROCEDUREP(BgL_rz00_17644))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17645;

																	BgL_arg1747z00_17645 =
																		PROCEDURE_ATTR(BgL_rz00_17644);
																	if (STRUCTP(BgL_arg1747z00_17645))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5640z00_30875 =
																				(STRUCT_KEY(BgL_arg1747z00_17645) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5640z00_30875 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5640z00_30875 = ((bool_t) 0);
																}
															if (BgL_test5640z00_30875)
																{
																	obj_t BgL_fz00_30883;

																	BgL_fz00_30883 = BgL_rz00_17644;
																	BgL_fz00_17643 = BgL_fz00_30883;
																	goto BgL_recz00_17642;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17635, ((long) 0),
																		BgL_savedzd2bpzd2_17641);
																	BgL_____rz00_17640 = BgL_rz00_17644;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5643z00_30885;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17646;

													BgL_arg4421z00_17646 =
														BGL_EXITD_PROTECT(BgL_ez00_17637);
													BgL_test5643z00_30885 = PAIRP(BgL_arg4421z00_17646);
												}
												if (BgL_test5643z00_30885)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17647;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17648;

															BgL_arg4420z00_17648 =
																BGL_EXITD_PROTECT(BgL_ez00_17637);
															BgL_arg4419z00_17647 =
																CDR(((obj_t) BgL_arg4420z00_17648));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17637,
															BgL_arg4419z00_17647);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17636, BgL_sz00_17624);
											return BgL_____rz00_17640;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4619 */
	obj_t BGl_z62run4619z62zz__evaluate_compz00(obj_t BgL_envz00_14844,
		obj_t BgL_sz00_14847)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14845;
				obj_t BgL_bodyz00_14846;

				BgL_i1255z00_14845 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 0))));
				BgL_bodyz00_14846 = PROCEDURE_REF(BgL_envz00_14844, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17649;

					BgL_bpz00_17649 = VECTOR_REF(((obj_t) BgL_sz00_14847), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17650;
						obj_t BgL_wherez00_17651;
						obj_t BgL_locz00_17652;

						BgL_z12denvz12_17650 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17651 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14845))->
							BgL_wherez00);
						BgL_locz00_17652 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14845))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17650, BgL_wherez00_17651,
								BgL_locz00_17652);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17653;

								BgL_za2za2resza2za2z00_17653 =
									PROCEDURE_ENTRY(BgL_bodyz00_14846) (BgL_bodyz00_14846,
									BgL_sz00_14847, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17650);
								return BgL_za2za2resza2za2z00_17653;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3729> */
	obj_t BGl_z62zc3z04anonymousza33729ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14848, obj_t BgL_sz00_14853)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14849;
				BgL_ev_absz00_bglt BgL_i1255z00_14850;
				obj_t BgL_bodyz00_14851;
				long BgL_siza7ezd2framez75_14852;

				BgL_iboxesz00_14849 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 0))));
				BgL_i1255z00_14850 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 1))));
				BgL_bodyz00_14851 = PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14852 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14848, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17654;

					BgL_bpz00_17654 = VECTOR_REF(((obj_t) BgL_sz00_14853), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17655;

							BgL_runz00_17655 =
								MAKE_FX_PROCEDURE(BGl_z62run4621z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17655,
								(int) (((long) 0)), BgL_iboxesz00_14849);
							PROCEDURE_SET(BgL_runz00_17655,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14850));
							PROCEDURE_SET(BgL_runz00_17655,
								(int) (((long) 2)), BgL_bodyz00_14851);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17656;

								BgL_mainz00_17656 =
									MAKE_FX_PROCEDURE(BGl_z62main4620z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17656,
									(int) (((long) 0)), BgL_iboxesz00_14849);
								PROCEDURE_SET(BgL_mainz00_17656,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14850));
								PROCEDURE_SET(BgL_mainz00_17656,
									(int) (((long) 2)), BgL_bodyz00_14851);
								PROCEDURE_SET(BgL_mainz00_17656,
									(int) (((long) 3)), BgL_runz00_17655);
								PROCEDURE_SET(BgL_mainz00_17656,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14852));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17657;

									BgL_objz00_17657 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17655, BgL_objz00_17657);
									BgL_objz00_17657;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3731z00_17658;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3732z00_17659;

										BgL_arg3732z00_17659 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14850))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17660;

											BgL_newz00_17660 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30951;

												BgL_tmpz00_30951 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_30951,
													BgL_arg3732z00_17659);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30956;
												int BgL_tmpz00_30954;

												BgL_auxz00_30956 = BINT(BgL_siza7ezd2framez75_14852);
												BgL_tmpz00_30954 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_30954,
													BgL_auxz00_30956);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_30959;

												BgL_tmpz00_30959 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_30959,
													BgL_runz00_17655);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_30964;
												int BgL_tmpz00_30962;

												BgL_auxz00_30964 = BINT(((long) 2));
												BgL_tmpz00_30962 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17660, BgL_tmpz00_30962,
													BgL_auxz00_30964);
											}
											BgL_arg3731z00_17658 = BgL_newz00_17660;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17656, BgL_arg3731z00_17658);
									BgL_arg3731z00_17658;
								}
								return BgL_mainz00_17656;
							}
						}
					}
				}
			}
		}

	}



/* &main4620 */
	obj_t BGl_z62main4620z62zz__evaluate_compz00(obj_t BgL_envz00_14854,
		obj_t BgL_cz00_14860, obj_t BgL_dz00_14861)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14858;
				long BgL_siza7ezd2framez75_14859;

				BgL_runz00_14858 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14859 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14854, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17661;

					BgL_sz00_17661 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17662;

						BgL_bpz00_17662 = VECTOR_REF(((obj_t) BgL_sz00_17661), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17662) + BgL_siza7ezd2framez75_14859) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17661))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3735z00_17663;

									BgL_arg3735z00_17663 =
										((long) CINT(BgL_bpz00_17662) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17661), BgL_arg3735z00_17663,
										BgL_cz00_14860);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3736z00_17664;

									BgL_arg3736z00_17664 =
										((long) CINT(BgL_bpz00_17662) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17661), BgL_arg3736z00_17664,
										BgL_dz00_14861);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17665;

									BgL_ez00_17665 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17666;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17667;

											BgL_arg4423z00_17667 = BGL_EXITD_PROTECT(BgL_ez00_17665);
											BgL_arg4422z00_17666 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17662, BgL_arg4423z00_17667);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17665, BgL_arg4422z00_17666);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17668;

										BgL_accz00_17668 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14858, BgL_sz00_17661, BgL_bpz00_17662);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5645z00_30996;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17669;

												BgL_arg4421z00_17669 =
													BGL_EXITD_PROTECT(BgL_ez00_17665);
												BgL_test5645z00_30996 = PAIRP(BgL_arg4421z00_17669);
											}
											if (BgL_test5645z00_30996)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17670;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17671;

														BgL_arg4420z00_17671 =
															BGL_EXITD_PROTECT(BgL_ez00_17665);
														BgL_arg4419z00_17670 =
															CDR(((obj_t) BgL_arg4420z00_17671));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17665,
														BgL_arg4419z00_17670);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17661), ((long) 0), BgL_bpz00_17662);
										return BgL_accz00_17668;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17672;

								BgL_nsz00_17672 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17672, ((long) 1), BgL_sz00_17661);
								VECTOR_SET(BgL_nsz00_17672, ((long) 2), BgL_cz00_14860);
								VECTOR_SET(BgL_nsz00_17672, ((long) 3), BgL_dz00_14861);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17673;

									BgL_z12denvz12_17673 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17673, BgL_nsz00_17672);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17674;

										BgL_ez00_17674 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17675;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17676;

												BgL_arg4423z00_17676 =
													BGL_EXITD_PROTECT(BgL_ez00_17674);
												BgL_arg4422z00_17675 =
													MAKE_YOUNG_PAIR(BgL_sz00_17661, BgL_arg4423z00_17676);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17674,
												BgL_arg4422z00_17675);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17677;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17678;

												BgL_savedzd2bpzd2_17678 =
													VECTOR_REF(BgL_nsz00_17672, ((long) 0));
												VECTOR_SET(BgL_nsz00_17672, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17680;

													BgL_fz00_17680 = BgL_runz00_14858;
												BgL_recz00_17679:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17681;

														BgL_rz00_17681 =
															PROCEDURE_ENTRY(BgL_fz00_17680) (BgL_fz00_17680,
															BgL_nsz00_17672, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5646z00_31022;

															if (PROCEDUREP(BgL_rz00_17681))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17682;

																	BgL_arg1747z00_17682 =
																		PROCEDURE_ATTR(BgL_rz00_17681);
																	if (STRUCTP(BgL_arg1747z00_17682))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5646z00_31022 =
																				(STRUCT_KEY(BgL_arg1747z00_17682) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5646z00_31022 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5646z00_31022 = ((bool_t) 0);
																}
															if (BgL_test5646z00_31022)
																{
																	obj_t BgL_fz00_31030;

																	BgL_fz00_31030 = BgL_rz00_17681;
																	BgL_fz00_17680 = BgL_fz00_31030;
																	goto BgL_recz00_17679;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17672, ((long) 0),
																		BgL_savedzd2bpzd2_17678);
																	BgL_____rz00_17677 = BgL_rz00_17681;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5649z00_31032;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17683;

													BgL_arg4421z00_17683 =
														BGL_EXITD_PROTECT(BgL_ez00_17674);
													BgL_test5649z00_31032 = PAIRP(BgL_arg4421z00_17683);
												}
												if (BgL_test5649z00_31032)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17684;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17685;

															BgL_arg4420z00_17685 =
																BGL_EXITD_PROTECT(BgL_ez00_17674);
															BgL_arg4419z00_17684 =
																CDR(((obj_t) BgL_arg4420z00_17685));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17674,
															BgL_arg4419z00_17684);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17673, BgL_sz00_17661);
											return BgL_____rz00_17677;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4621 */
	obj_t BGl_z62run4621z62zz__evaluate_compz00(obj_t BgL_envz00_14862,
		obj_t BgL_sz00_14866)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14863;
				BgL_ev_absz00_bglt BgL_i1255z00_14864;
				obj_t BgL_bodyz00_14865;

				BgL_iboxesz00_14863 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 0))));
				BgL_i1255z00_14864 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 1))));
				BgL_bodyz00_14865 = PROCEDURE_REF(BgL_envz00_14862, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17686;

					BgL_bpz00_17686 = VECTOR_REF(((obj_t) BgL_sz00_14866), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14866,
						BgL_iboxesz00_14863, BgL_bpz00_17686);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17687;
						obj_t BgL_wherez00_17688;
						obj_t BgL_locz00_17689;

						BgL_z12denvz12_17687 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17688 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14864))->
							BgL_wherez00);
						BgL_locz00_17689 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14864))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17687, BgL_wherez00_17688,
								BgL_locz00_17689);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17690;

								BgL_za2za2resza2za2z00_17690 =
									PROCEDURE_ENTRY(BgL_bodyz00_14865) (BgL_bodyz00_14865,
									BgL_sz00_14866, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17687);
								return BgL_za2za2resza2za2z00_17690;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3741> */
	obj_t BGl_z62zc3z04anonymousza33741ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14867, obj_t BgL_sz00_14873)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14868;
				long BgL_siza7eza7_14869;
				BgL_ev_absz00_bglt BgL_i1255z00_14870;
				obj_t BgL_bodyz00_14871;
				long BgL_siza7ezd2framez75_14872;

				BgL_ifreesz00_14868 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 0))));
				BgL_siza7eza7_14869 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 1))));
				BgL_i1255z00_14870 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 2))));
				BgL_bodyz00_14871 = PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14872 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14867, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17691;

					BgL_bpz00_17691 = VECTOR_REF(((obj_t) BgL_sz00_14873), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17692;

						BgL_valza2za2_17692 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14873,
							BgL_bpz00_17691, BgL_ifreesz00_14868);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17693;

							BgL_runz00_17693 =
								MAKE_FX_PROCEDURE(BGl_z62run4623z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17693,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14869));
							PROCEDURE_SET(BgL_runz00_17693,
								(int) (((long) 1)), BgL_valza2za2_17692);
							PROCEDURE_SET(BgL_runz00_17693,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14870));
							PROCEDURE_SET(BgL_runz00_17693,
								(int) (((long) 3)), BgL_bodyz00_14871);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17694;

								BgL_mainz00_17694 =
									MAKE_FX_PROCEDURE(BGl_z62main4622z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14869));
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 1)), BgL_valza2za2_17692);
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14870));
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 3)), BgL_bodyz00_14871);
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 4)), BgL_runz00_17693);
								PROCEDURE_SET(BgL_mainz00_17694,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14872));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17695;

									BgL_objz00_17695 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17693, BgL_objz00_17695);
									BgL_objz00_17695;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3742z00_17696;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3743z00_17697;

										BgL_arg3743z00_17697 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14870))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17698;

											BgL_newz00_17698 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31112;

												BgL_tmpz00_31112 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17698, BgL_tmpz00_31112,
													BgL_arg3743z00_17697);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31117;
												int BgL_tmpz00_31115;

												BgL_auxz00_31117 = BINT(BgL_siza7ezd2framez75_14872);
												BgL_tmpz00_31115 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17698, BgL_tmpz00_31115,
													BgL_auxz00_31117);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31120;

												BgL_tmpz00_31120 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17698, BgL_tmpz00_31120,
													BgL_runz00_17693);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31125;
												int BgL_tmpz00_31123;

												BgL_auxz00_31125 = BINT(((long) 2));
												BgL_tmpz00_31123 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17698, BgL_tmpz00_31123,
													BgL_auxz00_31125);
											}
											BgL_arg3742z00_17696 = BgL_newz00_17698;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17694, BgL_arg3742z00_17696);
									BgL_arg3742z00_17696;
								}
								return BgL_mainz00_17694;
							}
						}
					}
				}
			}
		}

	}



/* &main4622 */
	obj_t BGl_z62main4622z62zz__evaluate_compz00(obj_t BgL_envz00_14874,
		obj_t BgL_cz00_14881, obj_t BgL_dz00_14882)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14879;
				long BgL_siza7ezd2framez75_14880;

				BgL_runz00_14879 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14880 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14874, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17699;

					BgL_sz00_17699 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17700;

						BgL_bpz00_17700 = VECTOR_REF(((obj_t) BgL_sz00_17699), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17700) + BgL_siza7ezd2framez75_14880) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17699))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3746z00_17701;

									BgL_arg3746z00_17701 =
										((long) CINT(BgL_bpz00_17700) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17699), BgL_arg3746z00_17701,
										BgL_cz00_14881);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3747z00_17702;

									BgL_arg3747z00_17702 =
										((long) CINT(BgL_bpz00_17700) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17699), BgL_arg3747z00_17702,
										BgL_dz00_14882);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17703;

									BgL_ez00_17703 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17704;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17705;

											BgL_arg4423z00_17705 = BGL_EXITD_PROTECT(BgL_ez00_17703);
											BgL_arg4422z00_17704 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17700, BgL_arg4423z00_17705);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17703, BgL_arg4422z00_17704);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17706;

										BgL_accz00_17706 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14879, BgL_sz00_17699, BgL_bpz00_17700);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5651z00_31157;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17707;

												BgL_arg4421z00_17707 =
													BGL_EXITD_PROTECT(BgL_ez00_17703);
												BgL_test5651z00_31157 = PAIRP(BgL_arg4421z00_17707);
											}
											if (BgL_test5651z00_31157)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17708;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17709;

														BgL_arg4420z00_17709 =
															BGL_EXITD_PROTECT(BgL_ez00_17703);
														BgL_arg4419z00_17708 =
															CDR(((obj_t) BgL_arg4420z00_17709));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17703,
														BgL_arg4419z00_17708);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17699), ((long) 0), BgL_bpz00_17700);
										return BgL_accz00_17706;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17710;

								BgL_nsz00_17710 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17710, ((long) 1), BgL_sz00_17699);
								VECTOR_SET(BgL_nsz00_17710, ((long) 2), BgL_cz00_14881);
								VECTOR_SET(BgL_nsz00_17710, ((long) 3), BgL_dz00_14882);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17711;

									BgL_z12denvz12_17711 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17711, BgL_nsz00_17710);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17712;

										BgL_ez00_17712 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17713;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17714;

												BgL_arg4423z00_17714 =
													BGL_EXITD_PROTECT(BgL_ez00_17712);
												BgL_arg4422z00_17713 =
													MAKE_YOUNG_PAIR(BgL_sz00_17699, BgL_arg4423z00_17714);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17712,
												BgL_arg4422z00_17713);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17715;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17716;

												BgL_savedzd2bpzd2_17716 =
													VECTOR_REF(BgL_nsz00_17710, ((long) 0));
												VECTOR_SET(BgL_nsz00_17710, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17718;

													BgL_fz00_17718 = BgL_runz00_14879;
												BgL_recz00_17717:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17719;

														BgL_rz00_17719 =
															PROCEDURE_ENTRY(BgL_fz00_17718) (BgL_fz00_17718,
															BgL_nsz00_17710, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5652z00_31183;

															if (PROCEDUREP(BgL_rz00_17719))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17720;

																	BgL_arg1747z00_17720 =
																		PROCEDURE_ATTR(BgL_rz00_17719);
																	if (STRUCTP(BgL_arg1747z00_17720))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5652z00_31183 =
																				(STRUCT_KEY(BgL_arg1747z00_17720) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5652z00_31183 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5652z00_31183 = ((bool_t) 0);
																}
															if (BgL_test5652z00_31183)
																{
																	obj_t BgL_fz00_31191;

																	BgL_fz00_31191 = BgL_rz00_17719;
																	BgL_fz00_17718 = BgL_fz00_31191;
																	goto BgL_recz00_17717;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17710, ((long) 0),
																		BgL_savedzd2bpzd2_17716);
																	BgL_____rz00_17715 = BgL_rz00_17719;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5655z00_31193;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17721;

													BgL_arg4421z00_17721 =
														BGL_EXITD_PROTECT(BgL_ez00_17712);
													BgL_test5655z00_31193 = PAIRP(BgL_arg4421z00_17721);
												}
												if (BgL_test5655z00_31193)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17722;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17723;

															BgL_arg4420z00_17723 =
																BGL_EXITD_PROTECT(BgL_ez00_17712);
															BgL_arg4419z00_17722 =
																CDR(((obj_t) BgL_arg4420z00_17723));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17712,
															BgL_arg4419z00_17722);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17711, BgL_sz00_17699);
											return BgL_____rz00_17715;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4623 */
	obj_t BGl_z62run4623z62zz__evaluate_compz00(obj_t BgL_envz00_14883,
		obj_t BgL_sz00_14888)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14884;
				obj_t BgL_valza2za2_14885;
				BgL_ev_absz00_bglt BgL_i1255z00_14886;
				obj_t BgL_bodyz00_14887;

				BgL_siza7eza7_14884 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14883, (int) (((long) 0))));
				BgL_valza2za2_14885 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14883, (int) (((long) 1))));
				BgL_i1255z00_14886 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14883, (int) (((long) 2))));
				BgL_bodyz00_14887 = PROCEDURE_REF(BgL_envz00_14883, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17724;

					BgL_bpz00_17724 = VECTOR_REF(((obj_t) BgL_sz00_14888), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14888,
						BgL_valza2za2_14885,
						((long) CINT(BgL_bpz00_17724) + BgL_siza7eza7_14884));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17725;
						obj_t BgL_wherez00_17726;
						obj_t BgL_locz00_17727;

						BgL_z12denvz12_17725 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17726 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14886))->
							BgL_wherez00);
						BgL_locz00_17727 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14886))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17725, BgL_wherez00_17726,
								BgL_locz00_17727);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17728;

								BgL_za2za2resza2za2z00_17728 =
									PROCEDURE_ENTRY(BgL_bodyz00_14887) (BgL_bodyz00_14887,
									BgL_sz00_14888, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17725);
								return BgL_za2za2resza2za2z00_17728;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3750> */
	obj_t BGl_z62zc3z04anonymousza33750ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14889, obj_t BgL_sz00_14896)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14890;
				obj_t BgL_iboxesz00_14891;
				long BgL_siza7eza7_14892;
				BgL_ev_absz00_bglt BgL_i1255z00_14893;
				obj_t BgL_bodyz00_14894;
				long BgL_siza7ezd2framez75_14895;

				BgL_ifreesz00_14890 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 0))));
				BgL_iboxesz00_14891 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 1))));
				BgL_siza7eza7_14892 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 2))));
				BgL_i1255z00_14893 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 3))));
				BgL_bodyz00_14894 = PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14895 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14889, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17729;

					BgL_bpz00_17729 = VECTOR_REF(((obj_t) BgL_sz00_14896), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17730;

						BgL_valza2za2_17730 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14896,
							BgL_bpz00_17729, BgL_ifreesz00_14890);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17731;

							BgL_runz00_17731 =
								MAKE_FX_PROCEDURE(BGl_z62run4625z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17731,
								(int) (((long) 0)), BgL_iboxesz00_14891);
							PROCEDURE_SET(BgL_runz00_17731,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14892));
							PROCEDURE_SET(BgL_runz00_17731,
								(int) (((long) 2)), BgL_valza2za2_17730);
							PROCEDURE_SET(BgL_runz00_17731,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14893));
							PROCEDURE_SET(BgL_runz00_17731,
								(int) (((long) 4)), BgL_bodyz00_14894);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17732;

								BgL_mainz00_17732 =
									MAKE_FX_PROCEDURE(BGl_z62main4624z62zz__evaluate_compz00,
									(int) (((long) 2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 0)), BgL_iboxesz00_14891);
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14892));
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 2)), BgL_valza2za2_17730);
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14893));
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 4)), BgL_bodyz00_14894);
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 5)), BgL_runz00_17731);
								PROCEDURE_SET(BgL_mainz00_17732,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14895));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17733;

									BgL_objz00_17733 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17731, BgL_objz00_17733);
									BgL_objz00_17733;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3751z00_17734;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3752z00_17735;

										BgL_arg3752z00_17735 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14893))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17736;

											BgL_newz00_17736 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31285;

												BgL_tmpz00_31285 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17736, BgL_tmpz00_31285,
													BgL_arg3752z00_17735);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31290;
												int BgL_tmpz00_31288;

												BgL_auxz00_31290 = BINT(BgL_siza7ezd2framez75_14895);
												BgL_tmpz00_31288 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17736, BgL_tmpz00_31288,
													BgL_auxz00_31290);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31293;

												BgL_tmpz00_31293 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17736, BgL_tmpz00_31293,
													BgL_runz00_17731);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31298;
												int BgL_tmpz00_31296;

												BgL_auxz00_31298 = BINT(((long) 2));
												BgL_tmpz00_31296 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17736, BgL_tmpz00_31296,
													BgL_auxz00_31298);
											}
											BgL_arg3751z00_17734 = BgL_newz00_17736;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17732, BgL_arg3751z00_17734);
									BgL_arg3751z00_17734;
								}
								return BgL_mainz00_17732;
							}
						}
					}
				}
			}
		}

	}



/* &main4624 */
	obj_t BGl_z62main4624z62zz__evaluate_compz00(obj_t BgL_envz00_14897,
		obj_t BgL_cz00_14905, obj_t BgL_dz00_14906)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14903;
				long BgL_siza7ezd2framez75_14904;

				BgL_runz00_14903 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14904 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14897, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17737;

					BgL_sz00_17737 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17738;

						BgL_bpz00_17738 = VECTOR_REF(((obj_t) BgL_sz00_17737), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17738) + BgL_siza7ezd2framez75_14904) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17737))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3755z00_17739;

									BgL_arg3755z00_17739 =
										((long) CINT(BgL_bpz00_17738) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17737), BgL_arg3755z00_17739,
										BgL_cz00_14905);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3756z00_17740;

									BgL_arg3756z00_17740 =
										((long) CINT(BgL_bpz00_17738) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17737), BgL_arg3756z00_17740,
										BgL_dz00_14906);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17741;

									BgL_ez00_17741 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17742;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17743;

											BgL_arg4423z00_17743 = BGL_EXITD_PROTECT(BgL_ez00_17741);
											BgL_arg4422z00_17742 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17738, BgL_arg4423z00_17743);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17741, BgL_arg4422z00_17742);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17744;

										BgL_accz00_17744 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14903, BgL_sz00_17737, BgL_bpz00_17738);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5657z00_31330;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17745;

												BgL_arg4421z00_17745 =
													BGL_EXITD_PROTECT(BgL_ez00_17741);
												BgL_test5657z00_31330 = PAIRP(BgL_arg4421z00_17745);
											}
											if (BgL_test5657z00_31330)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17746;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17747;

														BgL_arg4420z00_17747 =
															BGL_EXITD_PROTECT(BgL_ez00_17741);
														BgL_arg4419z00_17746 =
															CDR(((obj_t) BgL_arg4420z00_17747));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17741,
														BgL_arg4419z00_17746);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17737), ((long) 0), BgL_bpz00_17738);
										return BgL_accz00_17744;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17748;

								BgL_nsz00_17748 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17748, ((long) 1), BgL_sz00_17737);
								VECTOR_SET(BgL_nsz00_17748, ((long) 2), BgL_cz00_14905);
								VECTOR_SET(BgL_nsz00_17748, ((long) 3), BgL_dz00_14906);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17749;

									BgL_z12denvz12_17749 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17749, BgL_nsz00_17748);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17750;

										BgL_ez00_17750 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17751;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17752;

												BgL_arg4423z00_17752 =
													BGL_EXITD_PROTECT(BgL_ez00_17750);
												BgL_arg4422z00_17751 =
													MAKE_YOUNG_PAIR(BgL_sz00_17737, BgL_arg4423z00_17752);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17750,
												BgL_arg4422z00_17751);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17753;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17754;

												BgL_savedzd2bpzd2_17754 =
													VECTOR_REF(BgL_nsz00_17748, ((long) 0));
												VECTOR_SET(BgL_nsz00_17748, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17756;

													BgL_fz00_17756 = BgL_runz00_14903;
												BgL_recz00_17755:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17757;

														BgL_rz00_17757 =
															PROCEDURE_ENTRY(BgL_fz00_17756) (BgL_fz00_17756,
															BgL_nsz00_17748, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5658z00_31356;

															if (PROCEDUREP(BgL_rz00_17757))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17758;

																	BgL_arg1747z00_17758 =
																		PROCEDURE_ATTR(BgL_rz00_17757);
																	if (STRUCTP(BgL_arg1747z00_17758))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5658z00_31356 =
																				(STRUCT_KEY(BgL_arg1747z00_17758) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5658z00_31356 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5658z00_31356 = ((bool_t) 0);
																}
															if (BgL_test5658z00_31356)
																{
																	obj_t BgL_fz00_31364;

																	BgL_fz00_31364 = BgL_rz00_17757;
																	BgL_fz00_17756 = BgL_fz00_31364;
																	goto BgL_recz00_17755;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17748, ((long) 0),
																		BgL_savedzd2bpzd2_17754);
																	BgL_____rz00_17753 = BgL_rz00_17757;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5661z00_31366;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17759;

													BgL_arg4421z00_17759 =
														BGL_EXITD_PROTECT(BgL_ez00_17750);
													BgL_test5661z00_31366 = PAIRP(BgL_arg4421z00_17759);
												}
												if (BgL_test5661z00_31366)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17760;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17761;

															BgL_arg4420z00_17761 =
																BGL_EXITD_PROTECT(BgL_ez00_17750);
															BgL_arg4419z00_17760 =
																CDR(((obj_t) BgL_arg4420z00_17761));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17750,
															BgL_arg4419z00_17760);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17749, BgL_sz00_17737);
											return BgL_____rz00_17753;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4625 */
	obj_t BGl_z62run4625z62zz__evaluate_compz00(obj_t BgL_envz00_14907,
		obj_t BgL_sz00_14913)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14908;
				long BgL_siza7eza7_14909;
				obj_t BgL_valza2za2_14910;
				BgL_ev_absz00_bglt BgL_i1255z00_14911;
				obj_t BgL_bodyz00_14912;

				BgL_iboxesz00_14908 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14907, (int) (((long) 0))));
				BgL_siza7eza7_14909 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14907, (int) (((long) 1))));
				BgL_valza2za2_14910 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14907, (int) (((long) 2))));
				BgL_i1255z00_14911 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14907, (int) (((long) 3))));
				BgL_bodyz00_14912 = PROCEDURE_REF(BgL_envz00_14907, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17762;

					BgL_bpz00_17762 = VECTOR_REF(((obj_t) BgL_sz00_14913), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14913,
						BgL_iboxesz00_14908, BgL_bpz00_17762);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14913,
						BgL_valza2za2_14910,
						((long) CINT(BgL_bpz00_17762) + BgL_siza7eza7_14909));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17763;
						obj_t BgL_wherez00_17764;
						obj_t BgL_locz00_17765;

						BgL_z12denvz12_17763 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17764 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14911))->
							BgL_wherez00);
						BgL_locz00_17765 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14911))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17763, BgL_wherez00_17764,
								BgL_locz00_17765);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17766;

								BgL_za2za2resza2za2z00_17766 =
									PROCEDURE_ENTRY(BgL_bodyz00_14912) (BgL_bodyz00_14912,
									BgL_sz00_14913, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17763);
								return BgL_za2za2resza2za2z00_17766;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3672> */
	obj_t BGl_z62zc3z04anonymousza33672ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14914, obj_t BgL_sz00_14918)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14915;
				obj_t BgL_bodyz00_14916;
				long BgL_siza7ezd2framez75_14917;

				BgL_i1255z00_14915 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 0))));
				BgL_bodyz00_14916 = PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14917 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14914, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17767;

					BgL_bpz00_17767 = VECTOR_REF(((obj_t) BgL_sz00_14918), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17768;

							BgL_runz00_17768 =
								MAKE_FX_PROCEDURE(BGl_z62run4627z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17768,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14915));
							PROCEDURE_SET(BgL_runz00_17768,
								(int) (((long) 1)), BgL_bodyz00_14916);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17769;

								BgL_mainz00_17769 =
									MAKE_VA_PROCEDURE(BGl_z62main4626z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17769,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14915));
								PROCEDURE_SET(BgL_mainz00_17769,
									(int) (((long) 1)), BgL_bodyz00_14916);
								PROCEDURE_SET(BgL_mainz00_17769,
									(int) (((long) 2)), BgL_runz00_17768);
								PROCEDURE_SET(BgL_mainz00_17769,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14917));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17770;

									BgL_objz00_17770 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17768, BgL_objz00_17770);
									BgL_objz00_17770;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3673z00_17771;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3674z00_17772;

										BgL_arg3674z00_17772 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14915))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17773;

											BgL_newz00_17773 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31438;

												BgL_tmpz00_31438 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_31438,
													BgL_arg3674z00_17772);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31443;
												int BgL_tmpz00_31441;

												BgL_auxz00_31443 = BINT(BgL_siza7ezd2framez75_14917);
												BgL_tmpz00_31441 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_31441,
													BgL_auxz00_31443);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31446;

												BgL_tmpz00_31446 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_31446,
													BgL_runz00_17768);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31451;
												int BgL_tmpz00_31449;

												BgL_auxz00_31451 = BINT(((long) -2));
												BgL_tmpz00_31449 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17773, BgL_tmpz00_31449,
													BgL_auxz00_31451);
											}
											BgL_arg3673z00_17771 = BgL_newz00_17773;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17769, BgL_arg3673z00_17771);
									BgL_arg3673z00_17771;
								}
								return BgL_mainz00_17769;
							}
						}
					}
				}
			}
		}

	}



/* &main4626 */
	obj_t BGl_z62main4626z62zz__evaluate_compz00(obj_t BgL_envz00_14919,
		obj_t BgL_dz00_14924, obj_t BgL_lastz00_14925)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14922;
				long BgL_siza7ezd2framez75_14923;

				BgL_runz00_14922 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14919, (int) (((long) 2))));
				BgL_siza7ezd2framez75_14923 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14919, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17774;

					BgL_sz00_17774 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17775;

						BgL_bpz00_17775 = VECTOR_REF(((obj_t) BgL_sz00_17774), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17775) + BgL_siza7ezd2framez75_14923) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17774))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3678z00_17776;

									BgL_arg3678z00_17776 =
										((long) CINT(BgL_bpz00_17775) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3678z00_17776,
										BgL_dz00_14924);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3679z00_17777;

									BgL_arg3679z00_17777 =
										((long) CINT(BgL_bpz00_17775) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17774), BgL_arg3679z00_17777,
										BgL_lastz00_14925);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17778;

									BgL_ez00_17778 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17779;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17780;

											BgL_arg4423z00_17780 = BGL_EXITD_PROTECT(BgL_ez00_17778);
											BgL_arg4422z00_17779 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17775, BgL_arg4423z00_17780);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17778, BgL_arg4422z00_17779);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17781;

										BgL_accz00_17781 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14922, BgL_sz00_17774, BgL_bpz00_17775);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5663z00_31483;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17782;

												BgL_arg4421z00_17782 =
													BGL_EXITD_PROTECT(BgL_ez00_17778);
												BgL_test5663z00_31483 = PAIRP(BgL_arg4421z00_17782);
											}
											if (BgL_test5663z00_31483)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17783;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17784;

														BgL_arg4420z00_17784 =
															BGL_EXITD_PROTECT(BgL_ez00_17778);
														BgL_arg4419z00_17783 =
															CDR(((obj_t) BgL_arg4420z00_17784));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17778,
														BgL_arg4419z00_17783);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17774), ((long) 0), BgL_bpz00_17775);
										return BgL_accz00_17781;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17785;

								BgL_nsz00_17785 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17785, ((long) 1), BgL_sz00_17774);
								VECTOR_SET(BgL_nsz00_17785, ((long) 2), BgL_dz00_14924);
								VECTOR_SET(BgL_nsz00_17785, ((long) 3), BgL_lastz00_14925);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17786;

									BgL_z12denvz12_17786 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17786, BgL_nsz00_17785);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17787;

										BgL_ez00_17787 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17788;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17789;

												BgL_arg4423z00_17789 =
													BGL_EXITD_PROTECT(BgL_ez00_17787);
												BgL_arg4422z00_17788 =
													MAKE_YOUNG_PAIR(BgL_sz00_17774, BgL_arg4423z00_17789);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17787,
												BgL_arg4422z00_17788);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17790;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17791;

												BgL_savedzd2bpzd2_17791 =
													VECTOR_REF(BgL_nsz00_17785, ((long) 0));
												VECTOR_SET(BgL_nsz00_17785, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17793;

													BgL_fz00_17793 = BgL_runz00_14922;
												BgL_recz00_17792:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17794;

														BgL_rz00_17794 =
															PROCEDURE_ENTRY(BgL_fz00_17793) (BgL_fz00_17793,
															BgL_nsz00_17785, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5664z00_31509;

															if (PROCEDUREP(BgL_rz00_17794))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17795;

																	BgL_arg1747z00_17795 =
																		PROCEDURE_ATTR(BgL_rz00_17794);
																	if (STRUCTP(BgL_arg1747z00_17795))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5664z00_31509 =
																				(STRUCT_KEY(BgL_arg1747z00_17795) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5664z00_31509 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5664z00_31509 = ((bool_t) 0);
																}
															if (BgL_test5664z00_31509)
																{
																	obj_t BgL_fz00_31517;

																	BgL_fz00_31517 = BgL_rz00_17794;
																	BgL_fz00_17793 = BgL_fz00_31517;
																	goto BgL_recz00_17792;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17785, ((long) 0),
																		BgL_savedzd2bpzd2_17791);
																	BgL_____rz00_17790 = BgL_rz00_17794;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5667z00_31519;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17796;

													BgL_arg4421z00_17796 =
														BGL_EXITD_PROTECT(BgL_ez00_17787);
													BgL_test5667z00_31519 = PAIRP(BgL_arg4421z00_17796);
												}
												if (BgL_test5667z00_31519)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17797;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17798;

															BgL_arg4420z00_17798 =
																BGL_EXITD_PROTECT(BgL_ez00_17787);
															BgL_arg4419z00_17797 =
																CDR(((obj_t) BgL_arg4420z00_17798));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17787,
															BgL_arg4419z00_17797);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17786, BgL_sz00_17774);
											return BgL_____rz00_17790;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4627 */
	obj_t BGl_z62run4627z62zz__evaluate_compz00(obj_t BgL_envz00_14926,
		obj_t BgL_sz00_14929)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14927;
				obj_t BgL_bodyz00_14928;

				BgL_i1255z00_14927 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 0))));
				BgL_bodyz00_14928 = PROCEDURE_REF(BgL_envz00_14926, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17799;

					BgL_bpz00_17799 = VECTOR_REF(((obj_t) BgL_sz00_14929), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17800;
						obj_t BgL_wherez00_17801;
						obj_t BgL_locz00_17802;

						BgL_z12denvz12_17800 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17801 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14927))->
							BgL_wherez00);
						BgL_locz00_17802 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14927))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17800, BgL_wherez00_17801,
								BgL_locz00_17802);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17803;

								BgL_za2za2resza2za2z00_17803 =
									PROCEDURE_ENTRY(BgL_bodyz00_14928) (BgL_bodyz00_14928,
									BgL_sz00_14929, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17800);
								return BgL_za2za2resza2za2z00_17803;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3681> */
	obj_t BGl_z62zc3z04anonymousza33681ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14930, obj_t BgL_sz00_14935)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14931;
				BgL_ev_absz00_bglt BgL_i1255z00_14932;
				obj_t BgL_bodyz00_14933;
				long BgL_siza7ezd2framez75_14934;

				BgL_iboxesz00_14931 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 0))));
				BgL_i1255z00_14932 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 1))));
				BgL_bodyz00_14933 = PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 2)));
				BgL_siza7ezd2framez75_14934 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14930, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17804;

					BgL_bpz00_17804 = VECTOR_REF(((obj_t) BgL_sz00_14935), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17805;

							BgL_runz00_17805 =
								MAKE_FX_PROCEDURE(BGl_z62run4629z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17805,
								(int) (((long) 0)), BgL_iboxesz00_14931);
							PROCEDURE_SET(BgL_runz00_17805,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_14932));
							PROCEDURE_SET(BgL_runz00_17805,
								(int) (((long) 2)), BgL_bodyz00_14933);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17806;

								BgL_mainz00_17806 =
									MAKE_VA_PROCEDURE(BGl_z62main4628z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17806,
									(int) (((long) 0)), BgL_iboxesz00_14931);
								PROCEDURE_SET(BgL_mainz00_17806,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_14932));
								PROCEDURE_SET(BgL_mainz00_17806,
									(int) (((long) 2)), BgL_bodyz00_14933);
								PROCEDURE_SET(BgL_mainz00_17806,
									(int) (((long) 3)), BgL_runz00_17805);
								PROCEDURE_SET(BgL_mainz00_17806,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_14934));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17807;

									BgL_objz00_17807 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17805, BgL_objz00_17807);
									BgL_objz00_17807;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3682z00_17808;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3683z00_17809;

										BgL_arg3683z00_17809 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14932))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17810;

											BgL_newz00_17810 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31585;

												BgL_tmpz00_31585 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17810, BgL_tmpz00_31585,
													BgL_arg3683z00_17809);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31590;
												int BgL_tmpz00_31588;

												BgL_auxz00_31590 = BINT(BgL_siza7ezd2framez75_14934);
												BgL_tmpz00_31588 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17810, BgL_tmpz00_31588,
													BgL_auxz00_31590);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31593;

												BgL_tmpz00_31593 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17810, BgL_tmpz00_31593,
													BgL_runz00_17805);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31598;
												int BgL_tmpz00_31596;

												BgL_auxz00_31598 = BINT(((long) -2));
												BgL_tmpz00_31596 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17810, BgL_tmpz00_31596,
													BgL_auxz00_31598);
											}
											BgL_arg3682z00_17808 = BgL_newz00_17810;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17806, BgL_arg3682z00_17808);
									BgL_arg3682z00_17808;
								}
								return BgL_mainz00_17806;
							}
						}
					}
				}
			}
		}

	}



/* &main4628 */
	obj_t BGl_z62main4628z62zz__evaluate_compz00(obj_t BgL_envz00_14936,
		obj_t BgL_dz00_14942, obj_t BgL_lastz00_14943)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14940;
				long BgL_siza7ezd2framez75_14941;

				BgL_runz00_14940 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 3))));
				BgL_siza7ezd2framez75_14941 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14936, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17811;

					BgL_sz00_17811 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17812;

						BgL_bpz00_17812 = VECTOR_REF(((obj_t) BgL_sz00_17811), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17812) + BgL_siza7ezd2framez75_14941) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17811))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3686z00_17813;

									BgL_arg3686z00_17813 =
										((long) CINT(BgL_bpz00_17812) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17811), BgL_arg3686z00_17813,
										BgL_dz00_14942);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3688z00_17814;

									BgL_arg3688z00_17814 =
										((long) CINT(BgL_bpz00_17812) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17811), BgL_arg3688z00_17814,
										BgL_lastz00_14943);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17815;

									BgL_ez00_17815 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17816;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17817;

											BgL_arg4423z00_17817 = BGL_EXITD_PROTECT(BgL_ez00_17815);
											BgL_arg4422z00_17816 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17812, BgL_arg4423z00_17817);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17815, BgL_arg4422z00_17816);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17818;

										BgL_accz00_17818 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14940, BgL_sz00_17811, BgL_bpz00_17812);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5669z00_31630;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17819;

												BgL_arg4421z00_17819 =
													BGL_EXITD_PROTECT(BgL_ez00_17815);
												BgL_test5669z00_31630 = PAIRP(BgL_arg4421z00_17819);
											}
											if (BgL_test5669z00_31630)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17820;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17821;

														BgL_arg4420z00_17821 =
															BGL_EXITD_PROTECT(BgL_ez00_17815);
														BgL_arg4419z00_17820 =
															CDR(((obj_t) BgL_arg4420z00_17821));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17815,
														BgL_arg4419z00_17820);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17811), ((long) 0), BgL_bpz00_17812);
										return BgL_accz00_17818;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17822;

								BgL_nsz00_17822 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17822, ((long) 1), BgL_sz00_17811);
								VECTOR_SET(BgL_nsz00_17822, ((long) 2), BgL_dz00_14942);
								VECTOR_SET(BgL_nsz00_17822, ((long) 3), BgL_lastz00_14943);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17823;

									BgL_z12denvz12_17823 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17823, BgL_nsz00_17822);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17824;

										BgL_ez00_17824 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17825;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17826;

												BgL_arg4423z00_17826 =
													BGL_EXITD_PROTECT(BgL_ez00_17824);
												BgL_arg4422z00_17825 =
													MAKE_YOUNG_PAIR(BgL_sz00_17811, BgL_arg4423z00_17826);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17824,
												BgL_arg4422z00_17825);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17827;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17828;

												BgL_savedzd2bpzd2_17828 =
													VECTOR_REF(BgL_nsz00_17822, ((long) 0));
												VECTOR_SET(BgL_nsz00_17822, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17830;

													BgL_fz00_17830 = BgL_runz00_14940;
												BgL_recz00_17829:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17831;

														BgL_rz00_17831 =
															PROCEDURE_ENTRY(BgL_fz00_17830) (BgL_fz00_17830,
															BgL_nsz00_17822, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5670z00_31656;

															if (PROCEDUREP(BgL_rz00_17831))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17832;

																	BgL_arg1747z00_17832 =
																		PROCEDURE_ATTR(BgL_rz00_17831);
																	if (STRUCTP(BgL_arg1747z00_17832))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5670z00_31656 =
																				(STRUCT_KEY(BgL_arg1747z00_17832) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5670z00_31656 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5670z00_31656 = ((bool_t) 0);
																}
															if (BgL_test5670z00_31656)
																{
																	obj_t BgL_fz00_31664;

																	BgL_fz00_31664 = BgL_rz00_17831;
																	BgL_fz00_17830 = BgL_fz00_31664;
																	goto BgL_recz00_17829;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17822, ((long) 0),
																		BgL_savedzd2bpzd2_17828);
																	BgL_____rz00_17827 = BgL_rz00_17831;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5673z00_31666;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17833;

													BgL_arg4421z00_17833 =
														BGL_EXITD_PROTECT(BgL_ez00_17824);
													BgL_test5673z00_31666 = PAIRP(BgL_arg4421z00_17833);
												}
												if (BgL_test5673z00_31666)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17834;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17835;

															BgL_arg4420z00_17835 =
																BGL_EXITD_PROTECT(BgL_ez00_17824);
															BgL_arg4419z00_17834 =
																CDR(((obj_t) BgL_arg4420z00_17835));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17824,
															BgL_arg4419z00_17834);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17823, BgL_sz00_17811);
											return BgL_____rz00_17827;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4629 */
	obj_t BGl_z62run4629z62zz__evaluate_compz00(obj_t BgL_envz00_14944,
		obj_t BgL_sz00_14948)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14945;
				BgL_ev_absz00_bglt BgL_i1255z00_14946;
				obj_t BgL_bodyz00_14947;

				BgL_iboxesz00_14945 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 0))));
				BgL_i1255z00_14946 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 1))));
				BgL_bodyz00_14947 = PROCEDURE_REF(BgL_envz00_14944, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17836;

					BgL_bpz00_17836 = VECTOR_REF(((obj_t) BgL_sz00_14948), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14948,
						BgL_iboxesz00_14945, BgL_bpz00_17836);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17837;
						obj_t BgL_wherez00_17838;
						obj_t BgL_locz00_17839;

						BgL_z12denvz12_17837 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17838 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14946))->
							BgL_wherez00);
						BgL_locz00_17839 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14946))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17837, BgL_wherez00_17838,
								BgL_locz00_17839);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17840;

								BgL_za2za2resza2za2z00_17840 =
									PROCEDURE_ENTRY(BgL_bodyz00_14947) (BgL_bodyz00_14947,
									BgL_sz00_14948, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17837);
								return BgL_za2za2resza2za2z00_17840;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3693> */
	obj_t BGl_z62zc3z04anonymousza33693ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14949, obj_t BgL_sz00_14955)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14950;
				long BgL_siza7eza7_14951;
				BgL_ev_absz00_bglt BgL_i1255z00_14952;
				obj_t BgL_bodyz00_14953;
				long BgL_siza7ezd2framez75_14954;

				BgL_ifreesz00_14950 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 0))));
				BgL_siza7eza7_14951 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 1))));
				BgL_i1255z00_14952 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 2))));
				BgL_bodyz00_14953 = PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 3)));
				BgL_siza7ezd2framez75_14954 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14949, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17841;

					BgL_bpz00_17841 = VECTOR_REF(((obj_t) BgL_sz00_14955), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17842;

						BgL_valza2za2_17842 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14955,
							BgL_bpz00_17841, BgL_ifreesz00_14950);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17843;

							BgL_runz00_17843 =
								MAKE_FX_PROCEDURE(BGl_z62run4631z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17843,
								(int) (((long) 0)), BINT(BgL_siza7eza7_14951));
							PROCEDURE_SET(BgL_runz00_17843,
								(int) (((long) 1)), BgL_valza2za2_17842);
							PROCEDURE_SET(BgL_runz00_17843,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_14952));
							PROCEDURE_SET(BgL_runz00_17843,
								(int) (((long) 3)), BgL_bodyz00_14953);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17844;

								BgL_mainz00_17844 =
									MAKE_VA_PROCEDURE(BGl_z62main4630z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 0)), BINT(BgL_siza7eza7_14951));
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 1)), BgL_valza2za2_17842);
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_14952));
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 3)), BgL_bodyz00_14953);
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 4)), BgL_runz00_17843);
								PROCEDURE_SET(BgL_mainz00_17844,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_14954));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17845;

									BgL_objz00_17845 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17843, BgL_objz00_17845);
									BgL_objz00_17845;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3694z00_17846;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3696z00_17847;

										BgL_arg3696z00_17847 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14952))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17848;

											BgL_newz00_17848 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31746;

												BgL_tmpz00_31746 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17848, BgL_tmpz00_31746,
													BgL_arg3696z00_17847);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31751;
												int BgL_tmpz00_31749;

												BgL_auxz00_31751 = BINT(BgL_siza7ezd2framez75_14954);
												BgL_tmpz00_31749 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17848, BgL_tmpz00_31749,
													BgL_auxz00_31751);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31754;

												BgL_tmpz00_31754 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17848, BgL_tmpz00_31754,
													BgL_runz00_17843);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31759;
												int BgL_tmpz00_31757;

												BgL_auxz00_31759 = BINT(((long) -2));
												BgL_tmpz00_31757 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17848, BgL_tmpz00_31757,
													BgL_auxz00_31759);
											}
											BgL_arg3694z00_17846 = BgL_newz00_17848;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17844, BgL_arg3694z00_17846);
									BgL_arg3694z00_17846;
								}
								return BgL_mainz00_17844;
							}
						}
					}
				}
			}
		}

	}



/* &main4630 */
	obj_t BGl_z62main4630z62zz__evaluate_compz00(obj_t BgL_envz00_14956,
		obj_t BgL_dz00_14963, obj_t BgL_lastz00_14964)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14961;
				long BgL_siza7ezd2framez75_14962;

				BgL_runz00_14961 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14956, (int) (((long) 4))));
				BgL_siza7ezd2framez75_14962 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14956, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17849;

					BgL_sz00_17849 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17850;

						BgL_bpz00_17850 = VECTOR_REF(((obj_t) BgL_sz00_17849), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17850) + BgL_siza7ezd2framez75_14962) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17849))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3699z00_17851;

									BgL_arg3699z00_17851 =
										((long) CINT(BgL_bpz00_17850) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17849), BgL_arg3699z00_17851,
										BgL_dz00_14963);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3700z00_17852;

									BgL_arg3700z00_17852 =
										((long) CINT(BgL_bpz00_17850) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17849), BgL_arg3700z00_17852,
										BgL_lastz00_14964);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17853;

									BgL_ez00_17853 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17854;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17855;

											BgL_arg4423z00_17855 = BGL_EXITD_PROTECT(BgL_ez00_17853);
											BgL_arg4422z00_17854 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17850, BgL_arg4423z00_17855);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17853, BgL_arg4422z00_17854);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17856;

										BgL_accz00_17856 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14961, BgL_sz00_17849, BgL_bpz00_17850);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5675z00_31791;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17857;

												BgL_arg4421z00_17857 =
													BGL_EXITD_PROTECT(BgL_ez00_17853);
												BgL_test5675z00_31791 = PAIRP(BgL_arg4421z00_17857);
											}
											if (BgL_test5675z00_31791)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17858;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17859;

														BgL_arg4420z00_17859 =
															BGL_EXITD_PROTECT(BgL_ez00_17853);
														BgL_arg4419z00_17858 =
															CDR(((obj_t) BgL_arg4420z00_17859));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17853,
														BgL_arg4419z00_17858);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17849), ((long) 0), BgL_bpz00_17850);
										return BgL_accz00_17856;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17860;

								BgL_nsz00_17860 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17860, ((long) 1), BgL_sz00_17849);
								VECTOR_SET(BgL_nsz00_17860, ((long) 2), BgL_dz00_14963);
								VECTOR_SET(BgL_nsz00_17860, ((long) 3), BgL_lastz00_14964);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17861;

									BgL_z12denvz12_17861 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17861, BgL_nsz00_17860);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17862;

										BgL_ez00_17862 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17863;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17864;

												BgL_arg4423z00_17864 =
													BGL_EXITD_PROTECT(BgL_ez00_17862);
												BgL_arg4422z00_17863 =
													MAKE_YOUNG_PAIR(BgL_sz00_17849, BgL_arg4423z00_17864);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17862,
												BgL_arg4422z00_17863);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17865;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17866;

												BgL_savedzd2bpzd2_17866 =
													VECTOR_REF(BgL_nsz00_17860, ((long) 0));
												VECTOR_SET(BgL_nsz00_17860, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17868;

													BgL_fz00_17868 = BgL_runz00_14961;
												BgL_recz00_17867:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17869;

														BgL_rz00_17869 =
															PROCEDURE_ENTRY(BgL_fz00_17868) (BgL_fz00_17868,
															BgL_nsz00_17860, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5676z00_31817;

															if (PROCEDUREP(BgL_rz00_17869))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17870;

																	BgL_arg1747z00_17870 =
																		PROCEDURE_ATTR(BgL_rz00_17869);
																	if (STRUCTP(BgL_arg1747z00_17870))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5676z00_31817 =
																				(STRUCT_KEY(BgL_arg1747z00_17870) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5676z00_31817 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5676z00_31817 = ((bool_t) 0);
																}
															if (BgL_test5676z00_31817)
																{
																	obj_t BgL_fz00_31825;

																	BgL_fz00_31825 = BgL_rz00_17869;
																	BgL_fz00_17868 = BgL_fz00_31825;
																	goto BgL_recz00_17867;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17860, ((long) 0),
																		BgL_savedzd2bpzd2_17866);
																	BgL_____rz00_17865 = BgL_rz00_17869;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5679z00_31827;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17871;

													BgL_arg4421z00_17871 =
														BGL_EXITD_PROTECT(BgL_ez00_17862);
													BgL_test5679z00_31827 = PAIRP(BgL_arg4421z00_17871);
												}
												if (BgL_test5679z00_31827)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17872;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17873;

															BgL_arg4420z00_17873 =
																BGL_EXITD_PROTECT(BgL_ez00_17862);
															BgL_arg4419z00_17872 =
																CDR(((obj_t) BgL_arg4420z00_17873));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17862,
															BgL_arg4419z00_17872);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17861, BgL_sz00_17849);
											return BgL_____rz00_17865;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4631 */
	obj_t BGl_z62run4631z62zz__evaluate_compz00(obj_t BgL_envz00_14965,
		obj_t BgL_sz00_14970)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_14966;
				obj_t BgL_valza2za2_14967;
				BgL_ev_absz00_bglt BgL_i1255z00_14968;
				obj_t BgL_bodyz00_14969;

				BgL_siza7eza7_14966 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 0))));
				BgL_valza2za2_14967 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 1))));
				BgL_i1255z00_14968 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 2))));
				BgL_bodyz00_14969 = PROCEDURE_REF(BgL_envz00_14965, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17874;

					BgL_bpz00_17874 = VECTOR_REF(((obj_t) BgL_sz00_14970), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14970,
						BgL_valza2za2_14967,
						((long) CINT(BgL_bpz00_17874) + BgL_siza7eza7_14966));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17875;
						obj_t BgL_wherez00_17876;
						obj_t BgL_locz00_17877;

						BgL_z12denvz12_17875 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17876 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14968))->
							BgL_wherez00);
						BgL_locz00_17877 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14968))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17875, BgL_wherez00_17876,
								BgL_locz00_17877);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17878;

								BgL_za2za2resza2za2z00_17878 =
									PROCEDURE_ENTRY(BgL_bodyz00_14969) (BgL_bodyz00_14969,
									BgL_sz00_14970, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17875);
								return BgL_za2za2resza2za2z00_17878;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3703> */
	obj_t BGl_z62zc3z04anonymousza33703ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14971, obj_t BgL_sz00_14978)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_14972;
				obj_t BgL_iboxesz00_14973;
				long BgL_siza7eza7_14974;
				BgL_ev_absz00_bglt BgL_i1255z00_14975;
				obj_t BgL_bodyz00_14976;
				long BgL_siza7ezd2framez75_14977;

				BgL_ifreesz00_14972 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 0))));
				BgL_iboxesz00_14973 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 1))));
				BgL_siza7eza7_14974 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 2))));
				BgL_i1255z00_14975 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 3))));
				BgL_bodyz00_14976 = PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 4)));
				BgL_siza7ezd2framez75_14977 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14971, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17879;

					BgL_bpz00_17879 = VECTOR_REF(((obj_t) BgL_sz00_14978), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17880;

						BgL_valza2za2_17880 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_14978,
							BgL_bpz00_17879, BgL_ifreesz00_14972);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17881;

							BgL_runz00_17881 =
								MAKE_FX_PROCEDURE(BGl_z62run4633z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 0)), BgL_iboxesz00_14973);
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 1)), BINT(BgL_siza7eza7_14974));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 2)), BgL_valza2za2_17880);
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_14975));
							PROCEDURE_SET(BgL_runz00_17881,
								(int) (((long) 4)), BgL_bodyz00_14976);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17882;

								BgL_mainz00_17882 =
									MAKE_VA_PROCEDURE(BGl_z62main4632z62zz__evaluate_compz00,
									(int) (((long) -2)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 0)), BgL_iboxesz00_14973);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 1)), BINT(BgL_siza7eza7_14974));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 2)), BgL_valza2za2_17880);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_14975));
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 4)), BgL_bodyz00_14976);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 5)), BgL_runz00_17881);
								PROCEDURE_SET(BgL_mainz00_17882,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_14977));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17883;

									BgL_objz00_17883 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17881, BgL_objz00_17883);
									BgL_objz00_17883;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3705z00_17884;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3706z00_17885;

										BgL_arg3706z00_17885 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14975))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17886;

											BgL_newz00_17886 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31919;

												BgL_tmpz00_31919 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17886, BgL_tmpz00_31919,
													BgL_arg3706z00_17885);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31924;
												int BgL_tmpz00_31922;

												BgL_auxz00_31924 = BINT(BgL_siza7ezd2framez75_14977);
												BgL_tmpz00_31922 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17886, BgL_tmpz00_31922,
													BgL_auxz00_31924);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_31927;

												BgL_tmpz00_31927 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17886, BgL_tmpz00_31927,
													BgL_runz00_17881);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_31932;
												int BgL_tmpz00_31930;

												BgL_auxz00_31932 = BINT(((long) -2));
												BgL_tmpz00_31930 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17886, BgL_tmpz00_31930,
													BgL_auxz00_31932);
											}
											BgL_arg3705z00_17884 = BgL_newz00_17886;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17882, BgL_arg3705z00_17884);
									BgL_arg3705z00_17884;
								}
								return BgL_mainz00_17882;
							}
						}
					}
				}
			}
		}

	}



/* &main4632 */
	obj_t BGl_z62main4632z62zz__evaluate_compz00(obj_t BgL_envz00_14979,
		obj_t BgL_dz00_14987, obj_t BgL_lastz00_14988)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_14985;
				long BgL_siza7ezd2framez75_14986;

				BgL_runz00_14985 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14979, (int) (((long) 5))));
				BgL_siza7ezd2framez75_14986 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14979, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17887;

					BgL_sz00_17887 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17888;

						BgL_bpz00_17888 = VECTOR_REF(((obj_t) BgL_sz00_17887), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17888) + BgL_siza7ezd2framez75_14986) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17887))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3709z00_17889;

									BgL_arg3709z00_17889 =
										((long) CINT(BgL_bpz00_17888) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17887), BgL_arg3709z00_17889,
										BgL_dz00_14987);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3710z00_17890;

									BgL_arg3710z00_17890 =
										((long) CINT(BgL_bpz00_17888) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_17887), BgL_arg3710z00_17890,
										BgL_lastz00_14988);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17891;

									BgL_ez00_17891 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17892;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17893;

											BgL_arg4423z00_17893 = BGL_EXITD_PROTECT(BgL_ez00_17891);
											BgL_arg4422z00_17892 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17888, BgL_arg4423z00_17893);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17891, BgL_arg4422z00_17892);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17894;

										BgL_accz00_17894 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_14985, BgL_sz00_17887, BgL_bpz00_17888);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5681z00_31964;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17895;

												BgL_arg4421z00_17895 =
													BGL_EXITD_PROTECT(BgL_ez00_17891);
												BgL_test5681z00_31964 = PAIRP(BgL_arg4421z00_17895);
											}
											if (BgL_test5681z00_31964)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17896;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17897;

														BgL_arg4420z00_17897 =
															BGL_EXITD_PROTECT(BgL_ez00_17891);
														BgL_arg4419z00_17896 =
															CDR(((obj_t) BgL_arg4420z00_17897));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17891,
														BgL_arg4419z00_17896);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17887), ((long) 0), BgL_bpz00_17888);
										return BgL_accz00_17894;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17898;

								BgL_nsz00_17898 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17898, ((long) 1), BgL_sz00_17887);
								VECTOR_SET(BgL_nsz00_17898, ((long) 2), BgL_dz00_14987);
								VECTOR_SET(BgL_nsz00_17898, ((long) 3), BgL_lastz00_14988);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17899;

									BgL_z12denvz12_17899 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17899, BgL_nsz00_17898);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17900;

										BgL_ez00_17900 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17901;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17902;

												BgL_arg4423z00_17902 =
													BGL_EXITD_PROTECT(BgL_ez00_17900);
												BgL_arg4422z00_17901 =
													MAKE_YOUNG_PAIR(BgL_sz00_17887, BgL_arg4423z00_17902);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17900,
												BgL_arg4422z00_17901);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17903;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17904;

												BgL_savedzd2bpzd2_17904 =
													VECTOR_REF(BgL_nsz00_17898, ((long) 0));
												VECTOR_SET(BgL_nsz00_17898, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17906;

													BgL_fz00_17906 = BgL_runz00_14985;
												BgL_recz00_17905:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17907;

														BgL_rz00_17907 =
															PROCEDURE_ENTRY(BgL_fz00_17906) (BgL_fz00_17906,
															BgL_nsz00_17898, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5682z00_31990;

															if (PROCEDUREP(BgL_rz00_17907))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17908;

																	BgL_arg1747z00_17908 =
																		PROCEDURE_ATTR(BgL_rz00_17907);
																	if (STRUCTP(BgL_arg1747z00_17908))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5682z00_31990 =
																				(STRUCT_KEY(BgL_arg1747z00_17908) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5682z00_31990 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5682z00_31990 = ((bool_t) 0);
																}
															if (BgL_test5682z00_31990)
																{
																	obj_t BgL_fz00_31998;

																	BgL_fz00_31998 = BgL_rz00_17907;
																	BgL_fz00_17906 = BgL_fz00_31998;
																	goto BgL_recz00_17905;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17898, ((long) 0),
																		BgL_savedzd2bpzd2_17904);
																	BgL_____rz00_17903 = BgL_rz00_17907;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5685z00_32000;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17909;

													BgL_arg4421z00_17909 =
														BGL_EXITD_PROTECT(BgL_ez00_17900);
													BgL_test5685z00_32000 = PAIRP(BgL_arg4421z00_17909);
												}
												if (BgL_test5685z00_32000)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17910;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17911;

															BgL_arg4420z00_17911 =
																BGL_EXITD_PROTECT(BgL_ez00_17900);
															BgL_arg4419z00_17910 =
																CDR(((obj_t) BgL_arg4420z00_17911));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17900,
															BgL_arg4419z00_17910);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17899, BgL_sz00_17887);
											return BgL_____rz00_17903;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4633 */
	obj_t BGl_z62run4633z62zz__evaluate_compz00(obj_t BgL_envz00_14989,
		obj_t BgL_sz00_14995)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_14990;
				long BgL_siza7eza7_14991;
				obj_t BgL_valza2za2_14992;
				BgL_ev_absz00_bglt BgL_i1255z00_14993;
				obj_t BgL_bodyz00_14994;

				BgL_iboxesz00_14990 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 0))));
				BgL_siza7eza7_14991 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 1))));
				BgL_valza2za2_14992 =
					((obj_t) PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 2))));
				BgL_i1255z00_14993 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 3))));
				BgL_bodyz00_14994 = PROCEDURE_REF(BgL_envz00_14989, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17912;

					BgL_bpz00_17912 = VECTOR_REF(((obj_t) BgL_sz00_14995), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_14995,
						BgL_iboxesz00_14990, BgL_bpz00_17912);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_14995,
						BgL_valza2za2_14992,
						((long) CINT(BgL_bpz00_17912) + BgL_siza7eza7_14991));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_17913;
						obj_t BgL_wherez00_17914;
						obj_t BgL_locz00_17915;

						BgL_z12denvz12_17913 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17914 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14993))->
							BgL_wherez00);
						BgL_locz00_17915 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14993))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17913, BgL_wherez00_17914,
								BgL_locz00_17915);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_17916;

								BgL_za2za2resza2za2z00_17916 =
									PROCEDURE_ENTRY(BgL_bodyz00_14994) (BgL_bodyz00_14994,
									BgL_sz00_14995, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17913);
								return BgL_za2za2resza2za2z00_17916;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3630> */
	obj_t BGl_z62zc3z04anonymousza33630ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_14996, obj_t BgL_sz00_15000)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_14997;
				obj_t BgL_bodyz00_14998;
				long BgL_siza7ezd2framez75_14999;

				BgL_i1255z00_14997 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_14996, (int) (((long) 0))));
				BgL_bodyz00_14998 = PROCEDURE_REF(BgL_envz00_14996, (int) (((long) 1)));
				BgL_siza7ezd2framez75_14999 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_14996, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17917;

					BgL_bpz00_17917 = VECTOR_REF(((obj_t) BgL_sz00_15000), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17918;

							BgL_runz00_17918 =
								MAKE_FX_PROCEDURE(BGl_z62run4635z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_17918,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_14997));
							PROCEDURE_SET(BgL_runz00_17918,
								(int) (((long) 1)), BgL_bodyz00_14998);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17919;

								BgL_mainz00_17919 =
									MAKE_FX_PROCEDURE(BGl_z62main4634z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_17919,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_14997));
								PROCEDURE_SET(BgL_mainz00_17919,
									(int) (((long) 1)), BgL_bodyz00_14998);
								PROCEDURE_SET(BgL_mainz00_17919,
									(int) (((long) 2)), BgL_runz00_17918);
								PROCEDURE_SET(BgL_mainz00_17919,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_14999));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17920;

									BgL_objz00_17920 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17918, BgL_objz00_17920);
									BgL_objz00_17920;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3631z00_17921;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3632z00_17922;

										BgL_arg3632z00_17922 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_14997))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17923;

											BgL_newz00_17923 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32072;

												BgL_tmpz00_32072 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17923, BgL_tmpz00_32072,
													BgL_arg3632z00_17922);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32077;
												int BgL_tmpz00_32075;

												BgL_auxz00_32077 = BINT(BgL_siza7ezd2framez75_14999);
												BgL_tmpz00_32075 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17923, BgL_tmpz00_32075,
													BgL_auxz00_32077);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32080;

												BgL_tmpz00_32080 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17923, BgL_tmpz00_32080,
													BgL_runz00_17918);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32085;
												int BgL_tmpz00_32083;

												BgL_auxz00_32085 = BINT(((long) 1));
												BgL_tmpz00_32083 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17923, BgL_tmpz00_32083,
													BgL_auxz00_32085);
											}
											BgL_arg3631z00_17921 = BgL_newz00_17923;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17919, BgL_arg3631z00_17921);
									BgL_arg3631z00_17921;
								}
								return BgL_mainz00_17919;
							}
						}
					}
				}
			}
		}

	}



/* &main4634 */
	obj_t BGl_z62main4634z62zz__evaluate_compz00(obj_t BgL_envz00_15001,
		obj_t BgL_dz00_15006)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15004;
				long BgL_siza7ezd2framez75_15005;

				BgL_runz00_15004 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15005 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15001, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17924;

					BgL_sz00_17924 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17925;

						BgL_bpz00_17925 = VECTOR_REF(((obj_t) BgL_sz00_17924), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17925) + BgL_siza7ezd2framez75_15005) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17924))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3635z00_17926;

									BgL_arg3635z00_17926 =
										((long) CINT(BgL_bpz00_17925) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17924), BgL_arg3635z00_17926,
										BgL_dz00_15006);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17927;

									BgL_ez00_17927 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17928;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17929;

											BgL_arg4423z00_17929 = BGL_EXITD_PROTECT(BgL_ez00_17927);
											BgL_arg4422z00_17928 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17925, BgL_arg4423z00_17929);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17927, BgL_arg4422z00_17928);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17930;

										BgL_accz00_17930 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15004, BgL_sz00_17924, BgL_bpz00_17925);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5687z00_32113;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17931;

												BgL_arg4421z00_17931 =
													BGL_EXITD_PROTECT(BgL_ez00_17927);
												BgL_test5687z00_32113 = PAIRP(BgL_arg4421z00_17931);
											}
											if (BgL_test5687z00_32113)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17932;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17933;

														BgL_arg4420z00_17933 =
															BGL_EXITD_PROTECT(BgL_ez00_17927);
														BgL_arg4419z00_17932 =
															CDR(((obj_t) BgL_arg4420z00_17933));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17927,
														BgL_arg4419z00_17932);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17924), ((long) 0), BgL_bpz00_17925);
										return BgL_accz00_17930;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17934;

								BgL_nsz00_17934 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17934, ((long) 1), BgL_sz00_17924);
								VECTOR_SET(BgL_nsz00_17934, ((long) 2), BgL_dz00_15006);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17935;

									BgL_z12denvz12_17935 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17935, BgL_nsz00_17934);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17936;

										BgL_ez00_17936 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17937;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17938;

												BgL_arg4423z00_17938 =
													BGL_EXITD_PROTECT(BgL_ez00_17936);
												BgL_arg4422z00_17937 =
													MAKE_YOUNG_PAIR(BgL_sz00_17924, BgL_arg4423z00_17938);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17936,
												BgL_arg4422z00_17937);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17939;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17940;

												BgL_savedzd2bpzd2_17940 =
													VECTOR_REF(BgL_nsz00_17934, ((long) 0));
												VECTOR_SET(BgL_nsz00_17934, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17942;

													BgL_fz00_17942 = BgL_runz00_15004;
												BgL_recz00_17941:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17943;

														BgL_rz00_17943 =
															PROCEDURE_ENTRY(BgL_fz00_17942) (BgL_fz00_17942,
															BgL_nsz00_17934, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5688z00_32138;

															if (PROCEDUREP(BgL_rz00_17943))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17944;

																	BgL_arg1747z00_17944 =
																		PROCEDURE_ATTR(BgL_rz00_17943);
																	if (STRUCTP(BgL_arg1747z00_17944))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5688z00_32138 =
																				(STRUCT_KEY(BgL_arg1747z00_17944) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5688z00_32138 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5688z00_32138 = ((bool_t) 0);
																}
															if (BgL_test5688z00_32138)
																{
																	obj_t BgL_fz00_32146;

																	BgL_fz00_32146 = BgL_rz00_17943;
																	BgL_fz00_17942 = BgL_fz00_32146;
																	goto BgL_recz00_17941;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17934, ((long) 0),
																		BgL_savedzd2bpzd2_17940);
																	BgL_____rz00_17939 = BgL_rz00_17943;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5691z00_32148;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17945;

													BgL_arg4421z00_17945 =
														BGL_EXITD_PROTECT(BgL_ez00_17936);
													BgL_test5691z00_32148 = PAIRP(BgL_arg4421z00_17945);
												}
												if (BgL_test5691z00_32148)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17946;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17947;

															BgL_arg4420z00_17947 =
																BGL_EXITD_PROTECT(BgL_ez00_17936);
															BgL_arg4419z00_17946 =
																CDR(((obj_t) BgL_arg4420z00_17947));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17936,
															BgL_arg4419z00_17946);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17935, BgL_sz00_17924);
											return BgL_____rz00_17939;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4635 */
	obj_t BGl_z62run4635z62zz__evaluate_compz00(obj_t BgL_envz00_15007,
		obj_t BgL_sz00_15010)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15008;
				obj_t BgL_bodyz00_15009;

				BgL_i1255z00_15008 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15007, (int) (((long) 0))));
				BgL_bodyz00_15009 = PROCEDURE_REF(BgL_envz00_15007, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17948;

					BgL_bpz00_17948 = VECTOR_REF(((obj_t) BgL_sz00_15010), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17949;
						obj_t BgL_wherez00_17950;
						obj_t BgL_locz00_17951;

						BgL_z12denvz12_17949 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17950 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15008))->
							BgL_wherez00);
						BgL_locz00_17951 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15008))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17949, BgL_wherez00_17950,
								BgL_locz00_17951);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17952;

								BgL_za2za2resza2za2z00_17952 =
									PROCEDURE_ENTRY(BgL_bodyz00_15009) (BgL_bodyz00_15009,
									BgL_sz00_15010, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17949);
								return BgL_za2za2resza2za2z00_17952;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3637> */
	obj_t BGl_z62zc3z04anonymousza33637ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15011, obj_t BgL_sz00_15016)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15012;
				BgL_ev_absz00_bglt BgL_i1255z00_15013;
				obj_t BgL_bodyz00_15014;
				long BgL_siza7ezd2framez75_15015;

				BgL_iboxesz00_15012 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15011, (int) (((long) 0))));
				BgL_i1255z00_15013 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15011, (int) (((long) 1))));
				BgL_bodyz00_15014 = PROCEDURE_REF(BgL_envz00_15011, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15015 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15011, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17953;

					BgL_bpz00_17953 = VECTOR_REF(((obj_t) BgL_sz00_15016), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17954;

							BgL_runz00_17954 =
								MAKE_FX_PROCEDURE(BGl_z62run4637z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_17954,
								(int) (((long) 0)), BgL_iboxesz00_15012);
							PROCEDURE_SET(BgL_runz00_17954,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15013));
							PROCEDURE_SET(BgL_runz00_17954,
								(int) (((long) 2)), BgL_bodyz00_15014);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17955;

								BgL_mainz00_17955 =
									MAKE_FX_PROCEDURE(BGl_z62main4636z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_17955,
									(int) (((long) 0)), BgL_iboxesz00_15012);
								PROCEDURE_SET(BgL_mainz00_17955,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15013));
								PROCEDURE_SET(BgL_mainz00_17955,
									(int) (((long) 2)), BgL_bodyz00_15014);
								PROCEDURE_SET(BgL_mainz00_17955,
									(int) (((long) 3)), BgL_runz00_17954);
								PROCEDURE_SET(BgL_mainz00_17955,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15015));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17956;

									BgL_objz00_17956 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17954, BgL_objz00_17956);
									BgL_objz00_17956;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3638z00_17957;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3639z00_17958;

										BgL_arg3639z00_17958 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15013))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17959;

											BgL_newz00_17959 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32214;

												BgL_tmpz00_32214 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17959, BgL_tmpz00_32214,
													BgL_arg3639z00_17958);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32219;
												int BgL_tmpz00_32217;

												BgL_auxz00_32219 = BINT(BgL_siza7ezd2framez75_15015);
												BgL_tmpz00_32217 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17959, BgL_tmpz00_32217,
													BgL_auxz00_32219);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32222;

												BgL_tmpz00_32222 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17959, BgL_tmpz00_32222,
													BgL_runz00_17954);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32227;
												int BgL_tmpz00_32225;

												BgL_auxz00_32227 = BINT(((long) 1));
												BgL_tmpz00_32225 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17959, BgL_tmpz00_32225,
													BgL_auxz00_32227);
											}
											BgL_arg3638z00_17957 = BgL_newz00_17959;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17955, BgL_arg3638z00_17957);
									BgL_arg3638z00_17957;
								}
								return BgL_mainz00_17955;
							}
						}
					}
				}
			}
		}

	}



/* &main4636 */
	obj_t BGl_z62main4636z62zz__evaluate_compz00(obj_t BgL_envz00_15017,
		obj_t BgL_dz00_15023)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15021;
				long BgL_siza7ezd2framez75_15022;

				BgL_runz00_15021 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15022 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15017, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17960;

					BgL_sz00_17960 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17961;

						BgL_bpz00_17961 = VECTOR_REF(((obj_t) BgL_sz00_17960), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17961) + BgL_siza7ezd2framez75_15022) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17960))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3642z00_17962;

									BgL_arg3642z00_17962 =
										((long) CINT(BgL_bpz00_17961) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17960), BgL_arg3642z00_17962,
										BgL_dz00_15023);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_17963;

									BgL_ez00_17963 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_17964;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_17965;

											BgL_arg4423z00_17965 = BGL_EXITD_PROTECT(BgL_ez00_17963);
											BgL_arg4422z00_17964 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17961, BgL_arg4423z00_17965);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_17963, BgL_arg4422z00_17964);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_17966;

										BgL_accz00_17966 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15021, BgL_sz00_17960, BgL_bpz00_17961);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5693z00_32255;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_17967;

												BgL_arg4421z00_17967 =
													BGL_EXITD_PROTECT(BgL_ez00_17963);
												BgL_test5693z00_32255 = PAIRP(BgL_arg4421z00_17967);
											}
											if (BgL_test5693z00_32255)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_17968;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_17969;

														BgL_arg4420z00_17969 =
															BGL_EXITD_PROTECT(BgL_ez00_17963);
														BgL_arg4419z00_17968 =
															CDR(((obj_t) BgL_arg4420z00_17969));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_17963,
														BgL_arg4419z00_17968);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17960), ((long) 0), BgL_bpz00_17961);
										return BgL_accz00_17966;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_17970;

								BgL_nsz00_17970 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_17970, ((long) 1), BgL_sz00_17960);
								VECTOR_SET(BgL_nsz00_17970, ((long) 2), BgL_dz00_15023);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_17971;

									BgL_z12denvz12_17971 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17971, BgL_nsz00_17970);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_17972;

										BgL_ez00_17972 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_17973;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_17974;

												BgL_arg4423z00_17974 =
													BGL_EXITD_PROTECT(BgL_ez00_17972);
												BgL_arg4422z00_17973 =
													MAKE_YOUNG_PAIR(BgL_sz00_17960, BgL_arg4423z00_17974);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_17972,
												BgL_arg4422z00_17973);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_17975;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_17976;

												BgL_savedzd2bpzd2_17976 =
													VECTOR_REF(BgL_nsz00_17970, ((long) 0));
												VECTOR_SET(BgL_nsz00_17970, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_17978;

													BgL_fz00_17978 = BgL_runz00_15021;
												BgL_recz00_17977:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_17979;

														BgL_rz00_17979 =
															PROCEDURE_ENTRY(BgL_fz00_17978) (BgL_fz00_17978,
															BgL_nsz00_17970, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5694z00_32280;

															if (PROCEDUREP(BgL_rz00_17979))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_17980;

																	BgL_arg1747z00_17980 =
																		PROCEDURE_ATTR(BgL_rz00_17979);
																	if (STRUCTP(BgL_arg1747z00_17980))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5694z00_32280 =
																				(STRUCT_KEY(BgL_arg1747z00_17980) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5694z00_32280 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5694z00_32280 = ((bool_t) 0);
																}
															if (BgL_test5694z00_32280)
																{
																	obj_t BgL_fz00_32288;

																	BgL_fz00_32288 = BgL_rz00_17979;
																	BgL_fz00_17978 = BgL_fz00_32288;
																	goto BgL_recz00_17977;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_17970, ((long) 0),
																		BgL_savedzd2bpzd2_17976);
																	BgL_____rz00_17975 = BgL_rz00_17979;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5697z00_32290;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_17981;

													BgL_arg4421z00_17981 =
														BGL_EXITD_PROTECT(BgL_ez00_17972);
													BgL_test5697z00_32290 = PAIRP(BgL_arg4421z00_17981);
												}
												if (BgL_test5697z00_32290)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_17982;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_17983;

															BgL_arg4420z00_17983 =
																BGL_EXITD_PROTECT(BgL_ez00_17972);
															BgL_arg4419z00_17982 =
																CDR(((obj_t) BgL_arg4420z00_17983));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_17972,
															BgL_arg4419z00_17982);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_17971, BgL_sz00_17960);
											return BgL_____rz00_17975;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4637 */
	obj_t BGl_z62run4637z62zz__evaluate_compz00(obj_t BgL_envz00_15024,
		obj_t BgL_sz00_15028)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15025;
				BgL_ev_absz00_bglt BgL_i1255z00_15026;
				obj_t BgL_bodyz00_15027;

				BgL_iboxesz00_15025 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15024, (int) (((long) 0))));
				BgL_i1255z00_15026 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15024, (int) (((long) 1))));
				BgL_bodyz00_15027 = PROCEDURE_REF(BgL_envz00_15024, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17984;

					BgL_bpz00_17984 = VECTOR_REF(((obj_t) BgL_sz00_15028), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15028,
						BgL_iboxesz00_15025, BgL_bpz00_17984);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_17985;
						obj_t BgL_wherez00_17986;
						obj_t BgL_locz00_17987;

						BgL_z12denvz12_17985 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_17986 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15026))->
							BgL_wherez00);
						BgL_locz00_17987 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15026))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_17985, BgL_wherez00_17986,
								BgL_locz00_17987);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_17988;

								BgL_za2za2resza2za2z00_17988 =
									PROCEDURE_ENTRY(BgL_bodyz00_15027) (BgL_bodyz00_15027,
									BgL_sz00_15028, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_17985);
								return BgL_za2za2resza2za2z00_17988;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3648> */
	obj_t BGl_z62zc3z04anonymousza33648ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15029, obj_t BgL_sz00_15035)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15030;
				long BgL_siza7eza7_15031;
				BgL_ev_absz00_bglt BgL_i1255z00_15032;
				obj_t BgL_bodyz00_15033;
				long BgL_siza7ezd2framez75_15034;

				BgL_ifreesz00_15030 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15029, (int) (((long) 0))));
				BgL_siza7eza7_15031 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15029, (int) (((long) 1))));
				BgL_i1255z00_15032 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15029, (int) (((long) 2))));
				BgL_bodyz00_15033 = PROCEDURE_REF(BgL_envz00_15029, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15034 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15029, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_17989;

					BgL_bpz00_17989 = VECTOR_REF(((obj_t) BgL_sz00_15035), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_17990;

						BgL_valza2za2_17990 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15035,
							BgL_bpz00_17989, BgL_ifreesz00_15030);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_17991;

							BgL_runz00_17991 =
								MAKE_FX_PROCEDURE(BGl_z62run4639z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_17991,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15031));
							PROCEDURE_SET(BgL_runz00_17991,
								(int) (((long) 1)), BgL_valza2za2_17990);
							PROCEDURE_SET(BgL_runz00_17991,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15032));
							PROCEDURE_SET(BgL_runz00_17991,
								(int) (((long) 3)), BgL_bodyz00_15033);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_17992;

								BgL_mainz00_17992 =
									MAKE_FX_PROCEDURE(BGl_z62main4638z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15031));
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 1)), BgL_valza2za2_17990);
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15032));
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 3)), BgL_bodyz00_15033);
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 4)), BgL_runz00_17991);
								PROCEDURE_SET(BgL_mainz00_17992,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15034));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_17993;

									BgL_objz00_17993 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_17991, BgL_objz00_17993);
									BgL_objz00_17993;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3649z00_17994;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3650z00_17995;

										BgL_arg3650z00_17995 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15032))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_17996;

											BgL_newz00_17996 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32370;

												BgL_tmpz00_32370 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_17996, BgL_tmpz00_32370,
													BgL_arg3650z00_17995);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32375;
												int BgL_tmpz00_32373;

												BgL_auxz00_32375 = BINT(BgL_siza7ezd2framez75_15034);
												BgL_tmpz00_32373 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_17996, BgL_tmpz00_32373,
													BgL_auxz00_32375);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32378;

												BgL_tmpz00_32378 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_17996, BgL_tmpz00_32378,
													BgL_runz00_17991);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32383;
												int BgL_tmpz00_32381;

												BgL_auxz00_32383 = BINT(((long) 1));
												BgL_tmpz00_32381 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_17996, BgL_tmpz00_32381,
													BgL_auxz00_32383);
											}
											BgL_arg3649z00_17994 = BgL_newz00_17996;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_17992, BgL_arg3649z00_17994);
									BgL_arg3649z00_17994;
								}
								return BgL_mainz00_17992;
							}
						}
					}
				}
			}
		}

	}



/* &main4638 */
	obj_t BGl_z62main4638z62zz__evaluate_compz00(obj_t BgL_envz00_15036,
		obj_t BgL_dz00_15043)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15041;
				long BgL_siza7ezd2framez75_15042;

				BgL_runz00_15041 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15042 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15036, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_17997;

					BgL_sz00_17997 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_17998;

						BgL_bpz00_17998 = VECTOR_REF(((obj_t) BgL_sz00_17997), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_17998) + BgL_siza7ezd2framez75_15042) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_17997))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3653z00_17999;

									BgL_arg3653z00_17999 =
										((long) CINT(BgL_bpz00_17998) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_17997), BgL_arg3653z00_17999,
										BgL_dz00_15043);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18000;

									BgL_ez00_18000 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18001;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18002;

											BgL_arg4423z00_18002 = BGL_EXITD_PROTECT(BgL_ez00_18000);
											BgL_arg4422z00_18001 =
												MAKE_YOUNG_PAIR(BgL_bpz00_17998, BgL_arg4423z00_18002);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18000, BgL_arg4422z00_18001);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18003;

										BgL_accz00_18003 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15041, BgL_sz00_17997, BgL_bpz00_17998);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5699z00_32411;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18004;

												BgL_arg4421z00_18004 =
													BGL_EXITD_PROTECT(BgL_ez00_18000);
												BgL_test5699z00_32411 = PAIRP(BgL_arg4421z00_18004);
											}
											if (BgL_test5699z00_32411)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18005;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18006;

														BgL_arg4420z00_18006 =
															BGL_EXITD_PROTECT(BgL_ez00_18000);
														BgL_arg4419z00_18005 =
															CDR(((obj_t) BgL_arg4420z00_18006));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18000,
														BgL_arg4419z00_18005);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_17997), ((long) 0), BgL_bpz00_17998);
										return BgL_accz00_18003;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18007;

								BgL_nsz00_18007 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18007, ((long) 1), BgL_sz00_17997);
								VECTOR_SET(BgL_nsz00_18007, ((long) 2), BgL_dz00_15043);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18008;

									BgL_z12denvz12_18008 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18008, BgL_nsz00_18007);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18009;

										BgL_ez00_18009 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18010;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18011;

												BgL_arg4423z00_18011 =
													BGL_EXITD_PROTECT(BgL_ez00_18009);
												BgL_arg4422z00_18010 =
													MAKE_YOUNG_PAIR(BgL_sz00_17997, BgL_arg4423z00_18011);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18009,
												BgL_arg4422z00_18010);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18012;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18013;

												BgL_savedzd2bpzd2_18013 =
													VECTOR_REF(BgL_nsz00_18007, ((long) 0));
												VECTOR_SET(BgL_nsz00_18007, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18015;

													BgL_fz00_18015 = BgL_runz00_15041;
												BgL_recz00_18014:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18016;

														BgL_rz00_18016 =
															PROCEDURE_ENTRY(BgL_fz00_18015) (BgL_fz00_18015,
															BgL_nsz00_18007, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5700z00_32436;

															if (PROCEDUREP(BgL_rz00_18016))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18017;

																	BgL_arg1747z00_18017 =
																		PROCEDURE_ATTR(BgL_rz00_18016);
																	if (STRUCTP(BgL_arg1747z00_18017))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5700z00_32436 =
																				(STRUCT_KEY(BgL_arg1747z00_18017) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5700z00_32436 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5700z00_32436 = ((bool_t) 0);
																}
															if (BgL_test5700z00_32436)
																{
																	obj_t BgL_fz00_32444;

																	BgL_fz00_32444 = BgL_rz00_18016;
																	BgL_fz00_18015 = BgL_fz00_32444;
																	goto BgL_recz00_18014;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18007, ((long) 0),
																		BgL_savedzd2bpzd2_18013);
																	BgL_____rz00_18012 = BgL_rz00_18016;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5703z00_32446;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18018;

													BgL_arg4421z00_18018 =
														BGL_EXITD_PROTECT(BgL_ez00_18009);
													BgL_test5703z00_32446 = PAIRP(BgL_arg4421z00_18018);
												}
												if (BgL_test5703z00_32446)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18019;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18020;

															BgL_arg4420z00_18020 =
																BGL_EXITD_PROTECT(BgL_ez00_18009);
															BgL_arg4419z00_18019 =
																CDR(((obj_t) BgL_arg4420z00_18020));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18009,
															BgL_arg4419z00_18019);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18008, BgL_sz00_17997);
											return BgL_____rz00_18012;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4639 */
	obj_t BGl_z62run4639z62zz__evaluate_compz00(obj_t BgL_envz00_15044,
		obj_t BgL_sz00_15049)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15045;
				obj_t BgL_valza2za2_15046;
				BgL_ev_absz00_bglt BgL_i1255z00_15047;
				obj_t BgL_bodyz00_15048;

				BgL_siza7eza7_15045 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 0))));
				BgL_valza2za2_15046 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 1))));
				BgL_i1255z00_15047 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 2))));
				BgL_bodyz00_15048 = PROCEDURE_REF(BgL_envz00_15044, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18021;

					BgL_bpz00_18021 = VECTOR_REF(((obj_t) BgL_sz00_15049), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15049,
						BgL_valza2za2_15046,
						((long) CINT(BgL_bpz00_18021) + BgL_siza7eza7_15045));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18022;
						obj_t BgL_wherez00_18023;
						obj_t BgL_locz00_18024;

						BgL_z12denvz12_18022 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18023 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15047))->
							BgL_wherez00);
						BgL_locz00_18024 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15047))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18022, BgL_wherez00_18023,
								BgL_locz00_18024);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18025;

								BgL_za2za2resza2za2z00_18025 =
									PROCEDURE_ENTRY(BgL_bodyz00_15048) (BgL_bodyz00_15048,
									BgL_sz00_15049, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18022);
								return BgL_za2za2resza2za2z00_18025;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3656> */
	obj_t BGl_z62zc3z04anonymousza33656ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15050, obj_t BgL_sz00_15057)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15051;
				obj_t BgL_iboxesz00_15052;
				long BgL_siza7eza7_15053;
				BgL_ev_absz00_bglt BgL_i1255z00_15054;
				obj_t BgL_bodyz00_15055;
				long BgL_siza7ezd2framez75_15056;

				BgL_ifreesz00_15051 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 0))));
				BgL_iboxesz00_15052 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 1))));
				BgL_siza7eza7_15053 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 2))));
				BgL_i1255z00_15054 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 3))));
				BgL_bodyz00_15055 = PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15056 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15050, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18026;

					BgL_bpz00_18026 = VECTOR_REF(((obj_t) BgL_sz00_15057), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18027;

						BgL_valza2za2_18027 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15057,
							BgL_bpz00_18026, BgL_ifreesz00_15051);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18028;

							BgL_runz00_18028 =
								MAKE_FX_PROCEDURE(BGl_z62run4641z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18028,
								(int) (((long) 0)), BgL_iboxesz00_15052);
							PROCEDURE_SET(BgL_runz00_18028,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15053));
							PROCEDURE_SET(BgL_runz00_18028,
								(int) (((long) 2)), BgL_valza2za2_18027);
							PROCEDURE_SET(BgL_runz00_18028,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15054));
							PROCEDURE_SET(BgL_runz00_18028,
								(int) (((long) 4)), BgL_bodyz00_15055);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18029;

								BgL_mainz00_18029 =
									MAKE_FX_PROCEDURE(BGl_z62main4640z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 0)), BgL_iboxesz00_15052);
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15053));
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 2)), BgL_valza2za2_18027);
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15054));
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 4)), BgL_bodyz00_15055);
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 5)), BgL_runz00_18028);
								PROCEDURE_SET(BgL_mainz00_18029,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15056));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18030;

									BgL_objz00_18030 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18028, BgL_objz00_18030);
									BgL_objz00_18030;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3657z00_18031;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3658z00_18032;

										BgL_arg3658z00_18032 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15054))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18033;

											BgL_newz00_18033 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32538;

												BgL_tmpz00_32538 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18033, BgL_tmpz00_32538,
													BgL_arg3658z00_18032);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32543;
												int BgL_tmpz00_32541;

												BgL_auxz00_32543 = BINT(BgL_siza7ezd2framez75_15056);
												BgL_tmpz00_32541 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18033, BgL_tmpz00_32541,
													BgL_auxz00_32543);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32546;

												BgL_tmpz00_32546 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18033, BgL_tmpz00_32546,
													BgL_runz00_18028);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32551;
												int BgL_tmpz00_32549;

												BgL_auxz00_32551 = BINT(((long) 1));
												BgL_tmpz00_32549 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18033, BgL_tmpz00_32549,
													BgL_auxz00_32551);
											}
											BgL_arg3657z00_18031 = BgL_newz00_18033;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18029, BgL_arg3657z00_18031);
									BgL_arg3657z00_18031;
								}
								return BgL_mainz00_18029;
							}
						}
					}
				}
			}
		}

	}



/* &main4640 */
	obj_t BGl_z62main4640z62zz__evaluate_compz00(obj_t BgL_envz00_15058,
		obj_t BgL_dz00_15066)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15064;
				long BgL_siza7ezd2framez75_15065;

				BgL_runz00_15064 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15065 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15058, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18034;

					BgL_sz00_18034 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18035;

						BgL_bpz00_18035 = VECTOR_REF(((obj_t) BgL_sz00_18034), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18035) + BgL_siza7ezd2framez75_15065) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18034))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3661z00_18036;

									BgL_arg3661z00_18036 =
										((long) CINT(BgL_bpz00_18035) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18034), BgL_arg3661z00_18036,
										BgL_dz00_15066);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18037;

									BgL_ez00_18037 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18038;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18039;

											BgL_arg4423z00_18039 = BGL_EXITD_PROTECT(BgL_ez00_18037);
											BgL_arg4422z00_18038 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18035, BgL_arg4423z00_18039);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18037, BgL_arg4422z00_18038);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18040;

										BgL_accz00_18040 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15064, BgL_sz00_18034, BgL_bpz00_18035);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5705z00_32579;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18041;

												BgL_arg4421z00_18041 =
													BGL_EXITD_PROTECT(BgL_ez00_18037);
												BgL_test5705z00_32579 = PAIRP(BgL_arg4421z00_18041);
											}
											if (BgL_test5705z00_32579)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18042;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18043;

														BgL_arg4420z00_18043 =
															BGL_EXITD_PROTECT(BgL_ez00_18037);
														BgL_arg4419z00_18042 =
															CDR(((obj_t) BgL_arg4420z00_18043));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18037,
														BgL_arg4419z00_18042);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18034), ((long) 0), BgL_bpz00_18035);
										return BgL_accz00_18040;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18044;

								BgL_nsz00_18044 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18044, ((long) 1), BgL_sz00_18034);
								VECTOR_SET(BgL_nsz00_18044, ((long) 2), BgL_dz00_15066);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18045;

									BgL_z12denvz12_18045 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18045, BgL_nsz00_18044);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18046;

										BgL_ez00_18046 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18047;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18048;

												BgL_arg4423z00_18048 =
													BGL_EXITD_PROTECT(BgL_ez00_18046);
												BgL_arg4422z00_18047 =
													MAKE_YOUNG_PAIR(BgL_sz00_18034, BgL_arg4423z00_18048);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18046,
												BgL_arg4422z00_18047);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18049;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18050;

												BgL_savedzd2bpzd2_18050 =
													VECTOR_REF(BgL_nsz00_18044, ((long) 0));
												VECTOR_SET(BgL_nsz00_18044, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18052;

													BgL_fz00_18052 = BgL_runz00_15064;
												BgL_recz00_18051:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18053;

														BgL_rz00_18053 =
															PROCEDURE_ENTRY(BgL_fz00_18052) (BgL_fz00_18052,
															BgL_nsz00_18044, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5706z00_32604;

															if (PROCEDUREP(BgL_rz00_18053))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18054;

																	BgL_arg1747z00_18054 =
																		PROCEDURE_ATTR(BgL_rz00_18053);
																	if (STRUCTP(BgL_arg1747z00_18054))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5706z00_32604 =
																				(STRUCT_KEY(BgL_arg1747z00_18054) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5706z00_32604 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5706z00_32604 = ((bool_t) 0);
																}
															if (BgL_test5706z00_32604)
																{
																	obj_t BgL_fz00_32612;

																	BgL_fz00_32612 = BgL_rz00_18053;
																	BgL_fz00_18052 = BgL_fz00_32612;
																	goto BgL_recz00_18051;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18044, ((long) 0),
																		BgL_savedzd2bpzd2_18050);
																	BgL_____rz00_18049 = BgL_rz00_18053;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5709z00_32614;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18055;

													BgL_arg4421z00_18055 =
														BGL_EXITD_PROTECT(BgL_ez00_18046);
													BgL_test5709z00_32614 = PAIRP(BgL_arg4421z00_18055);
												}
												if (BgL_test5709z00_32614)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18056;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18057;

															BgL_arg4420z00_18057 =
																BGL_EXITD_PROTECT(BgL_ez00_18046);
															BgL_arg4419z00_18056 =
																CDR(((obj_t) BgL_arg4420z00_18057));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18046,
															BgL_arg4419z00_18056);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18045, BgL_sz00_18034);
											return BgL_____rz00_18049;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4641 */
	obj_t BGl_z62run4641z62zz__evaluate_compz00(obj_t BgL_envz00_15067,
		obj_t BgL_sz00_15073)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15068;
				long BgL_siza7eza7_15069;
				obj_t BgL_valza2za2_15070;
				BgL_ev_absz00_bglt BgL_i1255z00_15071;
				obj_t BgL_bodyz00_15072;

				BgL_iboxesz00_15068 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 0))));
				BgL_siza7eza7_15069 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 1))));
				BgL_valza2za2_15070 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 2))));
				BgL_i1255z00_15071 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 3))));
				BgL_bodyz00_15072 = PROCEDURE_REF(BgL_envz00_15067, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18058;

					BgL_bpz00_18058 = VECTOR_REF(((obj_t) BgL_sz00_15073), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15073,
						BgL_iboxesz00_15068, BgL_bpz00_18058);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15073,
						BgL_valza2za2_15070,
						((long) CINT(BgL_bpz00_18058) + BgL_siza7eza7_15069));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18059;
						obj_t BgL_wherez00_18060;
						obj_t BgL_locz00_18061;

						BgL_z12denvz12_18059 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18060 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15071))->
							BgL_wherez00);
						BgL_locz00_18061 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15071))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18059, BgL_wherez00_18060,
								BgL_locz00_18061);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18062;

								BgL_za2za2resza2za2z00_18062 =
									PROCEDURE_ENTRY(BgL_bodyz00_15072) (BgL_bodyz00_15072,
									BgL_sz00_15073, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18059);
								return BgL_za2za2resza2za2z00_18062;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3587> */
	obj_t BGl_z62zc3z04anonymousza33587ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15074, obj_t BgL_sz00_15078)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15075;
				obj_t BgL_bodyz00_15076;
				long BgL_siza7ezd2framez75_15077;

				BgL_i1255z00_15075 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 0))));
				BgL_bodyz00_15076 = PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15077 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15074, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18063;

					BgL_bpz00_18063 = VECTOR_REF(((obj_t) BgL_sz00_15078), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18064;

							BgL_runz00_18064 =
								MAKE_FX_PROCEDURE(BGl_z62run4643z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18064,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15075));
							PROCEDURE_SET(BgL_runz00_18064,
								(int) (((long) 1)), BgL_bodyz00_15076);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18065;

								BgL_mainz00_18065 =
									MAKE_VA_PROCEDURE(BGl_z62main4642z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18065,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_15075));
								PROCEDURE_SET(BgL_mainz00_18065,
									(int) (((long) 1)), BgL_bodyz00_15076);
								PROCEDURE_SET(BgL_mainz00_18065,
									(int) (((long) 2)), BgL_runz00_18064);
								PROCEDURE_SET(BgL_mainz00_18065,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15077));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18066;

									BgL_objz00_18066 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18064, BgL_objz00_18066);
									BgL_objz00_18066;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3588z00_18067;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3590z00_18068;

										BgL_arg3590z00_18068 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15075))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18069;

											BgL_newz00_18069 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32686;

												BgL_tmpz00_32686 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18069, BgL_tmpz00_32686,
													BgL_arg3590z00_18068);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32691;
												int BgL_tmpz00_32689;

												BgL_auxz00_32691 = BINT(BgL_siza7ezd2framez75_15077);
												BgL_tmpz00_32689 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18069, BgL_tmpz00_32689,
													BgL_auxz00_32691);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32694;

												BgL_tmpz00_32694 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18069, BgL_tmpz00_32694,
													BgL_runz00_18064);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32699;
												int BgL_tmpz00_32697;

												BgL_auxz00_32699 = BINT(((long) -1));
												BgL_tmpz00_32697 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18069, BgL_tmpz00_32697,
													BgL_auxz00_32699);
											}
											BgL_arg3588z00_18067 = BgL_newz00_18069;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18065, BgL_arg3588z00_18067);
									BgL_arg3588z00_18067;
								}
								return BgL_mainz00_18065;
							}
						}
					}
				}
			}
		}

	}



/* &main4642 */
	obj_t BGl_z62main4642z62zz__evaluate_compz00(obj_t BgL_envz00_15079,
		obj_t BgL_lastz00_15084)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15082;
				long BgL_siza7ezd2framez75_15083;

				BgL_runz00_15082 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15079, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15083 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15079, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18070;

					BgL_sz00_18070 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18071;

						BgL_bpz00_18071 = VECTOR_REF(((obj_t) BgL_sz00_18070), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18071) + BgL_siza7ezd2framez75_15083) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18070))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3593z00_18072;

									BgL_arg3593z00_18072 =
										((long) CINT(BgL_bpz00_18071) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18070), BgL_arg3593z00_18072,
										BgL_lastz00_15084);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18073;

									BgL_ez00_18073 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18074;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18075;

											BgL_arg4423z00_18075 = BGL_EXITD_PROTECT(BgL_ez00_18073);
											BgL_arg4422z00_18074 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18071, BgL_arg4423z00_18075);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18073, BgL_arg4422z00_18074);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18076;

										BgL_accz00_18076 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15082, BgL_sz00_18070, BgL_bpz00_18071);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5711z00_32727;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18077;

												BgL_arg4421z00_18077 =
													BGL_EXITD_PROTECT(BgL_ez00_18073);
												BgL_test5711z00_32727 = PAIRP(BgL_arg4421z00_18077);
											}
											if (BgL_test5711z00_32727)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18078;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18079;

														BgL_arg4420z00_18079 =
															BGL_EXITD_PROTECT(BgL_ez00_18073);
														BgL_arg4419z00_18078 =
															CDR(((obj_t) BgL_arg4420z00_18079));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18073,
														BgL_arg4419z00_18078);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18070), ((long) 0), BgL_bpz00_18071);
										return BgL_accz00_18076;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18080;

								BgL_nsz00_18080 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18080, ((long) 1), BgL_sz00_18070);
								VECTOR_SET(BgL_nsz00_18080, ((long) 2), BgL_lastz00_15084);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18081;

									BgL_z12denvz12_18081 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18081, BgL_nsz00_18080);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18082;

										BgL_ez00_18082 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18083;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18084;

												BgL_arg4423z00_18084 =
													BGL_EXITD_PROTECT(BgL_ez00_18082);
												BgL_arg4422z00_18083 =
													MAKE_YOUNG_PAIR(BgL_sz00_18070, BgL_arg4423z00_18084);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18082,
												BgL_arg4422z00_18083);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18085;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18086;

												BgL_savedzd2bpzd2_18086 =
													VECTOR_REF(BgL_nsz00_18080, ((long) 0));
												VECTOR_SET(BgL_nsz00_18080, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18088;

													BgL_fz00_18088 = BgL_runz00_15082;
												BgL_recz00_18087:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18089;

														BgL_rz00_18089 =
															PROCEDURE_ENTRY(BgL_fz00_18088) (BgL_fz00_18088,
															BgL_nsz00_18080, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5712z00_32752;

															if (PROCEDUREP(BgL_rz00_18089))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18090;

																	BgL_arg1747z00_18090 =
																		PROCEDURE_ATTR(BgL_rz00_18089);
																	if (STRUCTP(BgL_arg1747z00_18090))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5712z00_32752 =
																				(STRUCT_KEY(BgL_arg1747z00_18090) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5712z00_32752 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5712z00_32752 = ((bool_t) 0);
																}
															if (BgL_test5712z00_32752)
																{
																	obj_t BgL_fz00_32760;

																	BgL_fz00_32760 = BgL_rz00_18089;
																	BgL_fz00_18088 = BgL_fz00_32760;
																	goto BgL_recz00_18087;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18080, ((long) 0),
																		BgL_savedzd2bpzd2_18086);
																	BgL_____rz00_18085 = BgL_rz00_18089;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5715z00_32762;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18091;

													BgL_arg4421z00_18091 =
														BGL_EXITD_PROTECT(BgL_ez00_18082);
													BgL_test5715z00_32762 = PAIRP(BgL_arg4421z00_18091);
												}
												if (BgL_test5715z00_32762)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18092;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18093;

															BgL_arg4420z00_18093 =
																BGL_EXITD_PROTECT(BgL_ez00_18082);
															BgL_arg4419z00_18092 =
																CDR(((obj_t) BgL_arg4420z00_18093));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18082,
															BgL_arg4419z00_18092);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18081, BgL_sz00_18070);
											return BgL_____rz00_18085;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4643 */
	obj_t BGl_z62run4643z62zz__evaluate_compz00(obj_t BgL_envz00_15085,
		obj_t BgL_sz00_15088)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15086;
				obj_t BgL_bodyz00_15087;

				BgL_i1255z00_15086 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 0))));
				BgL_bodyz00_15087 = PROCEDURE_REF(BgL_envz00_15085, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18094;

					BgL_bpz00_18094 = VECTOR_REF(((obj_t) BgL_sz00_15088), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18095;
						obj_t BgL_wherez00_18096;
						obj_t BgL_locz00_18097;

						BgL_z12denvz12_18095 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18096 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15086))->
							BgL_wherez00);
						BgL_locz00_18097 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15086))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18095, BgL_wherez00_18096,
								BgL_locz00_18097);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18098;

								BgL_za2za2resza2za2z00_18098 =
									PROCEDURE_ENTRY(BgL_bodyz00_15087) (BgL_bodyz00_15087,
									BgL_sz00_15088, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18095);
								return BgL_za2za2resza2za2z00_18098;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3595> */
	obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15089, obj_t BgL_sz00_15094)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15090;
				BgL_ev_absz00_bglt BgL_i1255z00_15091;
				obj_t BgL_bodyz00_15092;
				long BgL_siza7ezd2framez75_15093;

				BgL_iboxesz00_15090 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15089, (int) (((long) 0))));
				BgL_i1255z00_15091 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15089, (int) (((long) 1))));
				BgL_bodyz00_15092 = PROCEDURE_REF(BgL_envz00_15089, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15093 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15089, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18099;

					BgL_bpz00_18099 = VECTOR_REF(((obj_t) BgL_sz00_15094), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18100;

							BgL_runz00_18100 =
								MAKE_FX_PROCEDURE(BGl_z62run4645z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18100,
								(int) (((long) 0)), BgL_iboxesz00_15090);
							PROCEDURE_SET(BgL_runz00_18100,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15091));
							PROCEDURE_SET(BgL_runz00_18100,
								(int) (((long) 2)), BgL_bodyz00_15092);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18101;

								BgL_mainz00_18101 =
									MAKE_VA_PROCEDURE(BGl_z62main4644z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18101,
									(int) (((long) 0)), BgL_iboxesz00_15090);
								PROCEDURE_SET(BgL_mainz00_18101,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15091));
								PROCEDURE_SET(BgL_mainz00_18101,
									(int) (((long) 2)), BgL_bodyz00_15092);
								PROCEDURE_SET(BgL_mainz00_18101,
									(int) (((long) 3)), BgL_runz00_18100);
								PROCEDURE_SET(BgL_mainz00_18101,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15093));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18102;

									BgL_objz00_18102 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18100, BgL_objz00_18102);
									BgL_objz00_18102;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3596z00_18103;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3597z00_18104;

										BgL_arg3597z00_18104 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15091))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18105;

											BgL_newz00_18105 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32828;

												BgL_tmpz00_32828 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18105, BgL_tmpz00_32828,
													BgL_arg3597z00_18104);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32833;
												int BgL_tmpz00_32831;

												BgL_auxz00_32833 = BINT(BgL_siza7ezd2framez75_15093);
												BgL_tmpz00_32831 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18105, BgL_tmpz00_32831,
													BgL_auxz00_32833);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32836;

												BgL_tmpz00_32836 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18105, BgL_tmpz00_32836,
													BgL_runz00_18100);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32841;
												int BgL_tmpz00_32839;

												BgL_auxz00_32841 = BINT(((long) -1));
												BgL_tmpz00_32839 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18105, BgL_tmpz00_32839,
													BgL_auxz00_32841);
											}
											BgL_arg3596z00_18103 = BgL_newz00_18105;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18101, BgL_arg3596z00_18103);
									BgL_arg3596z00_18103;
								}
								return BgL_mainz00_18101;
							}
						}
					}
				}
			}
		}

	}



/* &main4644 */
	obj_t BGl_z62main4644z62zz__evaluate_compz00(obj_t BgL_envz00_15095,
		obj_t BgL_lastz00_15101)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15099;
				long BgL_siza7ezd2framez75_15100;

				BgL_runz00_15099 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15095, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15100 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15095, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18106;

					BgL_sz00_18106 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18107;

						BgL_bpz00_18107 = VECTOR_REF(((obj_t) BgL_sz00_18106), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18107) + BgL_siza7ezd2framez75_15100) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18106))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3600z00_18108;

									BgL_arg3600z00_18108 =
										((long) CINT(BgL_bpz00_18107) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18106), BgL_arg3600z00_18108,
										BgL_lastz00_15101);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18109;

									BgL_ez00_18109 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18110;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18111;

											BgL_arg4423z00_18111 = BGL_EXITD_PROTECT(BgL_ez00_18109);
											BgL_arg4422z00_18110 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18107, BgL_arg4423z00_18111);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18109, BgL_arg4422z00_18110);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18112;

										BgL_accz00_18112 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15099, BgL_sz00_18106, BgL_bpz00_18107);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5717z00_32869;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18113;

												BgL_arg4421z00_18113 =
													BGL_EXITD_PROTECT(BgL_ez00_18109);
												BgL_test5717z00_32869 = PAIRP(BgL_arg4421z00_18113);
											}
											if (BgL_test5717z00_32869)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18114;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18115;

														BgL_arg4420z00_18115 =
															BGL_EXITD_PROTECT(BgL_ez00_18109);
														BgL_arg4419z00_18114 =
															CDR(((obj_t) BgL_arg4420z00_18115));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18109,
														BgL_arg4419z00_18114);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18106), ((long) 0), BgL_bpz00_18107);
										return BgL_accz00_18112;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18116;

								BgL_nsz00_18116 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18116, ((long) 1), BgL_sz00_18106);
								VECTOR_SET(BgL_nsz00_18116, ((long) 2), BgL_lastz00_15101);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18117;

									BgL_z12denvz12_18117 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18117, BgL_nsz00_18116);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18118;

										BgL_ez00_18118 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18119;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18120;

												BgL_arg4423z00_18120 =
													BGL_EXITD_PROTECT(BgL_ez00_18118);
												BgL_arg4422z00_18119 =
													MAKE_YOUNG_PAIR(BgL_sz00_18106, BgL_arg4423z00_18120);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18118,
												BgL_arg4422z00_18119);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18121;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18122;

												BgL_savedzd2bpzd2_18122 =
													VECTOR_REF(BgL_nsz00_18116, ((long) 0));
												VECTOR_SET(BgL_nsz00_18116, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18124;

													BgL_fz00_18124 = BgL_runz00_15099;
												BgL_recz00_18123:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18125;

														BgL_rz00_18125 =
															PROCEDURE_ENTRY(BgL_fz00_18124) (BgL_fz00_18124,
															BgL_nsz00_18116, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5718z00_32894;

															if (PROCEDUREP(BgL_rz00_18125))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18126;

																	BgL_arg1747z00_18126 =
																		PROCEDURE_ATTR(BgL_rz00_18125);
																	if (STRUCTP(BgL_arg1747z00_18126))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5718z00_32894 =
																				(STRUCT_KEY(BgL_arg1747z00_18126) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5718z00_32894 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5718z00_32894 = ((bool_t) 0);
																}
															if (BgL_test5718z00_32894)
																{
																	obj_t BgL_fz00_32902;

																	BgL_fz00_32902 = BgL_rz00_18125;
																	BgL_fz00_18124 = BgL_fz00_32902;
																	goto BgL_recz00_18123;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18116, ((long) 0),
																		BgL_savedzd2bpzd2_18122);
																	BgL_____rz00_18121 = BgL_rz00_18125;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5721z00_32904;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18127;

													BgL_arg4421z00_18127 =
														BGL_EXITD_PROTECT(BgL_ez00_18118);
													BgL_test5721z00_32904 = PAIRP(BgL_arg4421z00_18127);
												}
												if (BgL_test5721z00_32904)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18128;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18129;

															BgL_arg4420z00_18129 =
																BGL_EXITD_PROTECT(BgL_ez00_18118);
															BgL_arg4419z00_18128 =
																CDR(((obj_t) BgL_arg4420z00_18129));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18118,
															BgL_arg4419z00_18128);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18117, BgL_sz00_18106);
											return BgL_____rz00_18121;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4645 */
	obj_t BGl_z62run4645z62zz__evaluate_compz00(obj_t BgL_envz00_15102,
		obj_t BgL_sz00_15106)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15103;
				BgL_ev_absz00_bglt BgL_i1255z00_15104;
				obj_t BgL_bodyz00_15105;

				BgL_iboxesz00_15103 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15102, (int) (((long) 0))));
				BgL_i1255z00_15104 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15102, (int) (((long) 1))));
				BgL_bodyz00_15105 = PROCEDURE_REF(BgL_envz00_15102, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18130;

					BgL_bpz00_18130 = VECTOR_REF(((obj_t) BgL_sz00_15106), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15106,
						BgL_iboxesz00_15103, BgL_bpz00_18130);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18131;
						obj_t BgL_wherez00_18132;
						obj_t BgL_locz00_18133;

						BgL_z12denvz12_18131 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18132 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15104))->
							BgL_wherez00);
						BgL_locz00_18133 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15104))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18131, BgL_wherez00_18132,
								BgL_locz00_18133);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18134;

								BgL_za2za2resza2za2z00_18134 =
									PROCEDURE_ENTRY(BgL_bodyz00_15105) (BgL_bodyz00_15105,
									BgL_sz00_15106, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18131);
								return BgL_za2za2resza2za2z00_18134;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3605> */
	obj_t BGl_z62zc3z04anonymousza33605ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15107, obj_t BgL_sz00_15113)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15108;
				long BgL_siza7eza7_15109;
				BgL_ev_absz00_bglt BgL_i1255z00_15110;
				obj_t BgL_bodyz00_15111;
				long BgL_siza7ezd2framez75_15112;

				BgL_ifreesz00_15108 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 0))));
				BgL_siza7eza7_15109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 1))));
				BgL_i1255z00_15110 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 2))));
				BgL_bodyz00_15111 = PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15112 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15107, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18135;

					BgL_bpz00_18135 = VECTOR_REF(((obj_t) BgL_sz00_15113), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18136;

						BgL_valza2za2_18136 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15113,
							BgL_bpz00_18135, BgL_ifreesz00_15108);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18137;

							BgL_runz00_18137 =
								MAKE_FX_PROCEDURE(BGl_z62run4647z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18137,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15109));
							PROCEDURE_SET(BgL_runz00_18137,
								(int) (((long) 1)), BgL_valza2za2_18136);
							PROCEDURE_SET(BgL_runz00_18137,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15110));
							PROCEDURE_SET(BgL_runz00_18137,
								(int) (((long) 3)), BgL_bodyz00_15111);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18138;

								BgL_mainz00_18138 =
									MAKE_VA_PROCEDURE(BGl_z62main4646z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15109));
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 1)), BgL_valza2za2_18136);
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15110));
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 3)), BgL_bodyz00_15111);
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 4)), BgL_runz00_18137);
								PROCEDURE_SET(BgL_mainz00_18138,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15112));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18139;

									BgL_objz00_18139 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18137, BgL_objz00_18139);
									BgL_objz00_18139;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3606z00_18140;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3607z00_18141;

										BgL_arg3607z00_18141 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15110))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18142;

											BgL_newz00_18142 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32984;

												BgL_tmpz00_32984 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18142, BgL_tmpz00_32984,
													BgL_arg3607z00_18141);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32989;
												int BgL_tmpz00_32987;

												BgL_auxz00_32989 = BINT(BgL_siza7ezd2framez75_15112);
												BgL_tmpz00_32987 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18142, BgL_tmpz00_32987,
													BgL_auxz00_32989);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_32992;

												BgL_tmpz00_32992 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18142, BgL_tmpz00_32992,
													BgL_runz00_18137);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_32997;
												int BgL_tmpz00_32995;

												BgL_auxz00_32997 = BINT(((long) -1));
												BgL_tmpz00_32995 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18142, BgL_tmpz00_32995,
													BgL_auxz00_32997);
											}
											BgL_arg3606z00_18140 = BgL_newz00_18142;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18138, BgL_arg3606z00_18140);
									BgL_arg3606z00_18140;
								}
								return BgL_mainz00_18138;
							}
						}
					}
				}
			}
		}

	}



/* &main4646 */
	obj_t BGl_z62main4646z62zz__evaluate_compz00(obj_t BgL_envz00_15114,
		obj_t BgL_lastz00_15121)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15119;
				long BgL_siza7ezd2framez75_15120;

				BgL_runz00_15119 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15114, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15120 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15114, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18143;

					BgL_sz00_18143 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18144;

						BgL_bpz00_18144 = VECTOR_REF(((obj_t) BgL_sz00_18143), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18144) + BgL_siza7ezd2framez75_15120) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18143))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3610z00_18145;

									BgL_arg3610z00_18145 =
										((long) CINT(BgL_bpz00_18144) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18143), BgL_arg3610z00_18145,
										BgL_lastz00_15121);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18146;

									BgL_ez00_18146 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18147;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18148;

											BgL_arg4423z00_18148 = BGL_EXITD_PROTECT(BgL_ez00_18146);
											BgL_arg4422z00_18147 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18144, BgL_arg4423z00_18148);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18146, BgL_arg4422z00_18147);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18149;

										BgL_accz00_18149 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15119, BgL_sz00_18143, BgL_bpz00_18144);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5723z00_33025;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18150;

												BgL_arg4421z00_18150 =
													BGL_EXITD_PROTECT(BgL_ez00_18146);
												BgL_test5723z00_33025 = PAIRP(BgL_arg4421z00_18150);
											}
											if (BgL_test5723z00_33025)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18151;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18152;

														BgL_arg4420z00_18152 =
															BGL_EXITD_PROTECT(BgL_ez00_18146);
														BgL_arg4419z00_18151 =
															CDR(((obj_t) BgL_arg4420z00_18152));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18146,
														BgL_arg4419z00_18151);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18143), ((long) 0), BgL_bpz00_18144);
										return BgL_accz00_18149;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18153;

								BgL_nsz00_18153 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18153, ((long) 1), BgL_sz00_18143);
								VECTOR_SET(BgL_nsz00_18153, ((long) 2), BgL_lastz00_15121);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18154;

									BgL_z12denvz12_18154 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18154, BgL_nsz00_18153);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18155;

										BgL_ez00_18155 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18156;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18157;

												BgL_arg4423z00_18157 =
													BGL_EXITD_PROTECT(BgL_ez00_18155);
												BgL_arg4422z00_18156 =
													MAKE_YOUNG_PAIR(BgL_sz00_18143, BgL_arg4423z00_18157);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18155,
												BgL_arg4422z00_18156);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18158;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18159;

												BgL_savedzd2bpzd2_18159 =
													VECTOR_REF(BgL_nsz00_18153, ((long) 0));
												VECTOR_SET(BgL_nsz00_18153, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18161;

													BgL_fz00_18161 = BgL_runz00_15119;
												BgL_recz00_18160:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18162;

														BgL_rz00_18162 =
															PROCEDURE_ENTRY(BgL_fz00_18161) (BgL_fz00_18161,
															BgL_nsz00_18153, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5724z00_33050;

															if (PROCEDUREP(BgL_rz00_18162))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18163;

																	BgL_arg1747z00_18163 =
																		PROCEDURE_ATTR(BgL_rz00_18162);
																	if (STRUCTP(BgL_arg1747z00_18163))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5724z00_33050 =
																				(STRUCT_KEY(BgL_arg1747z00_18163) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5724z00_33050 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5724z00_33050 = ((bool_t) 0);
																}
															if (BgL_test5724z00_33050)
																{
																	obj_t BgL_fz00_33058;

																	BgL_fz00_33058 = BgL_rz00_18162;
																	BgL_fz00_18161 = BgL_fz00_33058;
																	goto BgL_recz00_18160;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18153, ((long) 0),
																		BgL_savedzd2bpzd2_18159);
																	BgL_____rz00_18158 = BgL_rz00_18162;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5727z00_33060;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18164;

													BgL_arg4421z00_18164 =
														BGL_EXITD_PROTECT(BgL_ez00_18155);
													BgL_test5727z00_33060 = PAIRP(BgL_arg4421z00_18164);
												}
												if (BgL_test5727z00_33060)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18165;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18166;

															BgL_arg4420z00_18166 =
																BGL_EXITD_PROTECT(BgL_ez00_18155);
															BgL_arg4419z00_18165 =
																CDR(((obj_t) BgL_arg4420z00_18166));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18155,
															BgL_arg4419z00_18165);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18154, BgL_sz00_18143);
											return BgL_____rz00_18158;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4647 */
	obj_t BGl_z62run4647z62zz__evaluate_compz00(obj_t BgL_envz00_15122,
		obj_t BgL_sz00_15127)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15123;
				obj_t BgL_valza2za2_15124;
				BgL_ev_absz00_bglt BgL_i1255z00_15125;
				obj_t BgL_bodyz00_15126;

				BgL_siza7eza7_15123 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 0))));
				BgL_valza2za2_15124 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 1))));
				BgL_i1255z00_15125 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 2))));
				BgL_bodyz00_15126 = PROCEDURE_REF(BgL_envz00_15122, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18167;

					BgL_bpz00_18167 = VECTOR_REF(((obj_t) BgL_sz00_15127), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15127,
						BgL_valza2za2_15124,
						((long) CINT(BgL_bpz00_18167) + BgL_siza7eza7_15123));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18168;
						obj_t BgL_wherez00_18169;
						obj_t BgL_locz00_18170;

						BgL_z12denvz12_18168 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18169 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15125))->
							BgL_wherez00);
						BgL_locz00_18170 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15125))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18168, BgL_wherez00_18169,
								BgL_locz00_18170);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18171;

								BgL_za2za2resza2za2z00_18171 =
									PROCEDURE_ENTRY(BgL_bodyz00_15126) (BgL_bodyz00_15126,
									BgL_sz00_15127, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18168);
								return BgL_za2za2resza2za2z00_18171;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3613> */
	obj_t BGl_z62zc3z04anonymousza33613ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15128, obj_t BgL_sz00_15135)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15129;
				obj_t BgL_iboxesz00_15130;
				long BgL_siza7eza7_15131;
				BgL_ev_absz00_bglt BgL_i1255z00_15132;
				obj_t BgL_bodyz00_15133;
				long BgL_siza7ezd2framez75_15134;

				BgL_ifreesz00_15129 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 0))));
				BgL_iboxesz00_15130 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 1))));
				BgL_siza7eza7_15131 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 2))));
				BgL_i1255z00_15132 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 3))));
				BgL_bodyz00_15133 = PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15134 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15128, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18172;

					BgL_bpz00_18172 = VECTOR_REF(((obj_t) BgL_sz00_15135), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18173;

						BgL_valza2za2_18173 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15135,
							BgL_bpz00_18172, BgL_ifreesz00_15129);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18174;

							BgL_runz00_18174 =
								MAKE_FX_PROCEDURE(BGl_z62run4649z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18174,
								(int) (((long) 0)), BgL_iboxesz00_15130);
							PROCEDURE_SET(BgL_runz00_18174,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15131));
							PROCEDURE_SET(BgL_runz00_18174,
								(int) (((long) 2)), BgL_valza2za2_18173);
							PROCEDURE_SET(BgL_runz00_18174,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15132));
							PROCEDURE_SET(BgL_runz00_18174,
								(int) (((long) 4)), BgL_bodyz00_15133);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18175;

								BgL_mainz00_18175 =
									MAKE_VA_PROCEDURE(BGl_z62main4648z62zz__evaluate_compz00,
									(int) (((long) -1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 0)), BgL_iboxesz00_15130);
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15131));
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 2)), BgL_valza2za2_18173);
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15132));
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 4)), BgL_bodyz00_15133);
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 5)), BgL_runz00_18174);
								PROCEDURE_SET(BgL_mainz00_18175,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15134));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18176;

									BgL_objz00_18176 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18174, BgL_objz00_18176);
									BgL_objz00_18176;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3615z00_18177;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3616z00_18178;

										BgL_arg3616z00_18178 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15132))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18179;

											BgL_newz00_18179 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33152;

												BgL_tmpz00_33152 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18179, BgL_tmpz00_33152,
													BgL_arg3616z00_18178);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33157;
												int BgL_tmpz00_33155;

												BgL_auxz00_33157 = BINT(BgL_siza7ezd2framez75_15134);
												BgL_tmpz00_33155 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18179, BgL_tmpz00_33155,
													BgL_auxz00_33157);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33160;

												BgL_tmpz00_33160 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18179, BgL_tmpz00_33160,
													BgL_runz00_18174);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33165;
												int BgL_tmpz00_33163;

												BgL_auxz00_33165 = BINT(((long) -1));
												BgL_tmpz00_33163 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18179, BgL_tmpz00_33163,
													BgL_auxz00_33165);
											}
											BgL_arg3615z00_18177 = BgL_newz00_18179;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18175, BgL_arg3615z00_18177);
									BgL_arg3615z00_18177;
								}
								return BgL_mainz00_18175;
							}
						}
					}
				}
			}
		}

	}



/* &main4648 */
	obj_t BGl_z62main4648z62zz__evaluate_compz00(obj_t BgL_envz00_15136,
		obj_t BgL_lastz00_15144)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15142;
				long BgL_siza7ezd2framez75_15143;

				BgL_runz00_15142 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15143 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15136, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18180;

					BgL_sz00_18180 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18181;

						BgL_bpz00_18181 = VECTOR_REF(((obj_t) BgL_sz00_18180), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18181) + BgL_siza7ezd2framez75_15143) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18180))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg3619z00_18182;

									BgL_arg3619z00_18182 =
										((long) CINT(BgL_bpz00_18181) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18180), BgL_arg3619z00_18182,
										BgL_lastz00_15144);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18183;

									BgL_ez00_18183 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18184;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18185;

											BgL_arg4423z00_18185 = BGL_EXITD_PROTECT(BgL_ez00_18183);
											BgL_arg4422z00_18184 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18181, BgL_arg4423z00_18185);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18183, BgL_arg4422z00_18184);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18186;

										BgL_accz00_18186 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15142, BgL_sz00_18180, BgL_bpz00_18181);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5729z00_33193;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18187;

												BgL_arg4421z00_18187 =
													BGL_EXITD_PROTECT(BgL_ez00_18183);
												BgL_test5729z00_33193 = PAIRP(BgL_arg4421z00_18187);
											}
											if (BgL_test5729z00_33193)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18188;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18189;

														BgL_arg4420z00_18189 =
															BGL_EXITD_PROTECT(BgL_ez00_18183);
														BgL_arg4419z00_18188 =
															CDR(((obj_t) BgL_arg4420z00_18189));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18183,
														BgL_arg4419z00_18188);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18180), ((long) 0), BgL_bpz00_18181);
										return BgL_accz00_18186;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18190;

								BgL_nsz00_18190 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18190, ((long) 1), BgL_sz00_18180);
								VECTOR_SET(BgL_nsz00_18190, ((long) 2), BgL_lastz00_15144);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18191;

									BgL_z12denvz12_18191 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18191, BgL_nsz00_18190);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18192;

										BgL_ez00_18192 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18193;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18194;

												BgL_arg4423z00_18194 =
													BGL_EXITD_PROTECT(BgL_ez00_18192);
												BgL_arg4422z00_18193 =
													MAKE_YOUNG_PAIR(BgL_sz00_18180, BgL_arg4423z00_18194);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18192,
												BgL_arg4422z00_18193);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18195;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18196;

												BgL_savedzd2bpzd2_18196 =
													VECTOR_REF(BgL_nsz00_18190, ((long) 0));
												VECTOR_SET(BgL_nsz00_18190, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18198;

													BgL_fz00_18198 = BgL_runz00_15142;
												BgL_recz00_18197:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18199;

														BgL_rz00_18199 =
															PROCEDURE_ENTRY(BgL_fz00_18198) (BgL_fz00_18198,
															BgL_nsz00_18190, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5730z00_33218;

															if (PROCEDUREP(BgL_rz00_18199))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18200;

																	BgL_arg1747z00_18200 =
																		PROCEDURE_ATTR(BgL_rz00_18199);
																	if (STRUCTP(BgL_arg1747z00_18200))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5730z00_33218 =
																				(STRUCT_KEY(BgL_arg1747z00_18200) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5730z00_33218 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5730z00_33218 = ((bool_t) 0);
																}
															if (BgL_test5730z00_33218)
																{
																	obj_t BgL_fz00_33226;

																	BgL_fz00_33226 = BgL_rz00_18199;
																	BgL_fz00_18198 = BgL_fz00_33226;
																	goto BgL_recz00_18197;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18190, ((long) 0),
																		BgL_savedzd2bpzd2_18196);
																	BgL_____rz00_18195 = BgL_rz00_18199;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5733z00_33228;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18201;

													BgL_arg4421z00_18201 =
														BGL_EXITD_PROTECT(BgL_ez00_18192);
													BgL_test5733z00_33228 = PAIRP(BgL_arg4421z00_18201);
												}
												if (BgL_test5733z00_33228)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18202;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18203;

															BgL_arg4420z00_18203 =
																BGL_EXITD_PROTECT(BgL_ez00_18192);
															BgL_arg4419z00_18202 =
																CDR(((obj_t) BgL_arg4420z00_18203));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18192,
															BgL_arg4419z00_18202);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18191, BgL_sz00_18180);
											return BgL_____rz00_18195;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4649 */
	obj_t BGl_z62run4649z62zz__evaluate_compz00(obj_t BgL_envz00_15145,
		obj_t BgL_sz00_15151)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15146;
				long BgL_siza7eza7_15147;
				obj_t BgL_valza2za2_15148;
				BgL_ev_absz00_bglt BgL_i1255z00_15149;
				obj_t BgL_bodyz00_15150;

				BgL_iboxesz00_15146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15145, (int) (((long) 0))));
				BgL_siza7eza7_15147 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15145, (int) (((long) 1))));
				BgL_valza2za2_15148 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15145, (int) (((long) 2))));
				BgL_i1255z00_15149 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15145, (int) (((long) 3))));
				BgL_bodyz00_15150 = PROCEDURE_REF(BgL_envz00_15145, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18204;

					BgL_bpz00_18204 = VECTOR_REF(((obj_t) BgL_sz00_15151), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15151,
						BgL_iboxesz00_15146, BgL_bpz00_18204);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15151,
						BgL_valza2za2_15148,
						((long) CINT(BgL_bpz00_18204) + BgL_siza7eza7_15147));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18205;
						obj_t BgL_wherez00_18206;
						obj_t BgL_locz00_18207;

						BgL_z12denvz12_18205 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18206 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15149))->
							BgL_wherez00);
						BgL_locz00_18207 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15149))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18205, BgL_wherez00_18206,
								BgL_locz00_18207);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18208;

								BgL_za2za2resza2za2z00_18208 =
									PROCEDURE_ENTRY(BgL_bodyz00_15150) (BgL_bodyz00_15150,
									BgL_sz00_15151, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18205);
								return BgL_za2za2resza2za2z00_18208;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3551> */
	obj_t BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15152, obj_t BgL_sz00_15156)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15153;
				obj_t BgL_bodyz00_15154;
				long BgL_siza7ezd2framez75_15155;

				BgL_i1255z00_15153 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15152, (int) (((long) 0))));
				BgL_bodyz00_15154 = PROCEDURE_REF(BgL_envz00_15152, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15155 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15152, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18209;

					BgL_bpz00_18209 = VECTOR_REF(((obj_t) BgL_sz00_15156), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18210;

							BgL_runz00_18210 =
								MAKE_FX_PROCEDURE(BGl_z62run4651z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18210,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15153));
							PROCEDURE_SET(BgL_runz00_18210,
								(int) (((long) 1)), BgL_bodyz00_15154);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18211;

								BgL_mainz00_18211 =
									MAKE_FX_PROCEDURE(BGl_z62main4650z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18211,
									(int) (((long) 0)), ((obj_t) BgL_i1255z00_15153));
								PROCEDURE_SET(BgL_mainz00_18211,
									(int) (((long) 1)), BgL_bodyz00_15154);
								PROCEDURE_SET(BgL_mainz00_18211,
									(int) (((long) 2)), BgL_runz00_18210);
								PROCEDURE_SET(BgL_mainz00_18211,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15155));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18212;

									BgL_objz00_18212 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18210, BgL_objz00_18212);
									BgL_objz00_18212;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3552z00_18213;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3553z00_18214;

										BgL_arg3553z00_18214 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15153))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18215;

											BgL_newz00_18215 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33300;

												BgL_tmpz00_33300 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18215, BgL_tmpz00_33300,
													BgL_arg3553z00_18214);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33305;
												int BgL_tmpz00_33303;

												BgL_auxz00_33305 = BINT(BgL_siza7ezd2framez75_15155);
												BgL_tmpz00_33303 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18215, BgL_tmpz00_33303,
													BgL_auxz00_33305);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33308;

												BgL_tmpz00_33308 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18215, BgL_tmpz00_33308,
													BgL_runz00_18210);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33313;
												int BgL_tmpz00_33311;

												BgL_auxz00_33313 = BINT(((long) 0));
												BgL_tmpz00_33311 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18215, BgL_tmpz00_33311,
													BgL_auxz00_33313);
											}
											BgL_arg3552z00_18213 = BgL_newz00_18215;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18211, BgL_arg3552z00_18213);
									BgL_arg3552z00_18213;
								}
								return BgL_mainz00_18211;
							}
						}
					}
				}
			}
		}

	}



/* &main4650 */
	obj_t BGl_z62main4650z62zz__evaluate_compz00(obj_t BgL_envz00_15157)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15160;
				long BgL_siza7ezd2framez75_15161;

				BgL_runz00_15160 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15157, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15157, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18216;

					BgL_sz00_18216 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18217;

						BgL_bpz00_18217 = VECTOR_REF(((obj_t) BgL_sz00_18216), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18217) + BgL_siza7ezd2framez75_15161) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18216))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18218;

								BgL_ez00_18218 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4422z00_18219;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4423z00_18220;

										BgL_arg4423z00_18220 = BGL_EXITD_PROTECT(BgL_ez00_18218);
										BgL_arg4422z00_18219 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18217, BgL_arg4423z00_18220);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18218, BgL_arg4422z00_18219);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18221;

									BgL_accz00_18221 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15160, BgL_sz00_18216, BgL_bpz00_18217);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5735z00_33337;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4421z00_18222;

											BgL_arg4421z00_18222 = BGL_EXITD_PROTECT(BgL_ez00_18218);
											BgL_test5735z00_33337 = PAIRP(BgL_arg4421z00_18222);
										}
										if (BgL_test5735z00_33337)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4419z00_18223;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4420z00_18224;

													BgL_arg4420z00_18224 =
														BGL_EXITD_PROTECT(BgL_ez00_18218);
													BgL_arg4419z00_18223 =
														CDR(((obj_t) BgL_arg4420z00_18224));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18218,
													BgL_arg4419z00_18223);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18216), ((long) 0), BgL_bpz00_18217);
									return BgL_accz00_18221;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18225;

								BgL_nsz00_18225 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18225, ((long) 1), BgL_sz00_18216);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18226;

									BgL_z12denvz12_18226 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18226, BgL_nsz00_18225);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18227;

										BgL_ez00_18227 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18228;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18229;

												BgL_arg4423z00_18229 =
													BGL_EXITD_PROTECT(BgL_ez00_18227);
												BgL_arg4422z00_18228 =
													MAKE_YOUNG_PAIR(BgL_sz00_18216, BgL_arg4423z00_18229);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18227,
												BgL_arg4422z00_18228);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18230;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18231;

												BgL_savedzd2bpzd2_18231 =
													VECTOR_REF(BgL_nsz00_18225, ((long) 0));
												VECTOR_SET(BgL_nsz00_18225, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18233;

													BgL_fz00_18233 = BgL_runz00_15160;
												BgL_recz00_18232:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18234;

														BgL_rz00_18234 =
															PROCEDURE_ENTRY(BgL_fz00_18233) (BgL_fz00_18233,
															BgL_nsz00_18225, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5736z00_33361;

															if (PROCEDUREP(BgL_rz00_18234))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18235;

																	BgL_arg1747z00_18235 =
																		PROCEDURE_ATTR(BgL_rz00_18234);
																	if (STRUCTP(BgL_arg1747z00_18235))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5736z00_33361 =
																				(STRUCT_KEY(BgL_arg1747z00_18235) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5736z00_33361 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5736z00_33361 = ((bool_t) 0);
																}
															if (BgL_test5736z00_33361)
																{
																	obj_t BgL_fz00_33369;

																	BgL_fz00_33369 = BgL_rz00_18234;
																	BgL_fz00_18233 = BgL_fz00_33369;
																	goto BgL_recz00_18232;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18225, ((long) 0),
																		BgL_savedzd2bpzd2_18231);
																	BgL_____rz00_18230 = BgL_rz00_18234;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5739z00_33371;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18236;

													BgL_arg4421z00_18236 =
														BGL_EXITD_PROTECT(BgL_ez00_18227);
													BgL_test5739z00_33371 = PAIRP(BgL_arg4421z00_18236);
												}
												if (BgL_test5739z00_33371)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18237;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18238;

															BgL_arg4420z00_18238 =
																BGL_EXITD_PROTECT(BgL_ez00_18227);
															BgL_arg4419z00_18237 =
																CDR(((obj_t) BgL_arg4420z00_18238));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18227,
															BgL_arg4419z00_18237);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18226, BgL_sz00_18216);
											return BgL_____rz00_18230;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4651 */
	obj_t BGl_z62run4651z62zz__evaluate_compz00(obj_t BgL_envz00_15162,
		obj_t BgL_sz00_15165)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15163;
				obj_t BgL_bodyz00_15164;

				BgL_i1255z00_15163 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 0))));
				BgL_bodyz00_15164 = PROCEDURE_REF(BgL_envz00_15162, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18239;

					BgL_bpz00_18239 = VECTOR_REF(((obj_t) BgL_sz00_15165), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18240;
						obj_t BgL_wherez00_18241;
						obj_t BgL_locz00_18242;

						BgL_z12denvz12_18240 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18241 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15163))->
							BgL_wherez00);
						BgL_locz00_18242 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15163))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18240, BgL_wherez00_18241,
								BgL_locz00_18242);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18243;

								BgL_za2za2resza2za2z00_18243 =
									PROCEDURE_ENTRY(BgL_bodyz00_15164) (BgL_bodyz00_15164,
									BgL_sz00_15165, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18240);
								return BgL_za2za2resza2za2z00_18243;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3557> */
	obj_t BGl_z62zc3z04anonymousza33557ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15166, obj_t BgL_sz00_15171)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15167;
				BgL_ev_absz00_bglt BgL_i1255z00_15168;
				obj_t BgL_bodyz00_15169;
				long BgL_siza7ezd2framez75_15170;

				BgL_iboxesz00_15167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 0))));
				BgL_i1255z00_15168 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 1))));
				BgL_bodyz00_15169 = PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15170 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15166, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18244;

					BgL_bpz00_18244 = VECTOR_REF(((obj_t) BgL_sz00_15171), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18245;

							BgL_runz00_18245 =
								MAKE_FX_PROCEDURE(BGl_z62run4653z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18245,
								(int) (((long) 0)), BgL_iboxesz00_15167);
							PROCEDURE_SET(BgL_runz00_18245,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15168));
							PROCEDURE_SET(BgL_runz00_18245,
								(int) (((long) 2)), BgL_bodyz00_15169);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18246;

								BgL_mainz00_18246 =
									MAKE_FX_PROCEDURE(BGl_z62main4652z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18246,
									(int) (((long) 0)), BgL_iboxesz00_15167);
								PROCEDURE_SET(BgL_mainz00_18246,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15168));
								PROCEDURE_SET(BgL_mainz00_18246,
									(int) (((long) 2)), BgL_bodyz00_15169);
								PROCEDURE_SET(BgL_mainz00_18246,
									(int) (((long) 3)), BgL_runz00_18245);
								PROCEDURE_SET(BgL_mainz00_18246,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15170));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18247;

									BgL_objz00_18247 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18245, BgL_objz00_18247);
									BgL_objz00_18247;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3558z00_18248;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3559z00_18249;

										BgL_arg3559z00_18249 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15168))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18250;

											BgL_newz00_18250 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33437;

												BgL_tmpz00_33437 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18250, BgL_tmpz00_33437,
													BgL_arg3559z00_18249);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33442;
												int BgL_tmpz00_33440;

												BgL_auxz00_33442 = BINT(BgL_siza7ezd2framez75_15170);
												BgL_tmpz00_33440 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18250, BgL_tmpz00_33440,
													BgL_auxz00_33442);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33445;

												BgL_tmpz00_33445 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18250, BgL_tmpz00_33445,
													BgL_runz00_18245);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33450;
												int BgL_tmpz00_33448;

												BgL_auxz00_33450 = BINT(((long) 0));
												BgL_tmpz00_33448 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18250, BgL_tmpz00_33448,
													BgL_auxz00_33450);
											}
											BgL_arg3558z00_18248 = BgL_newz00_18250;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18246, BgL_arg3558z00_18248);
									BgL_arg3558z00_18248;
								}
								return BgL_mainz00_18246;
							}
						}
					}
				}
			}
		}

	}



/* &main4652 */
	obj_t BGl_z62main4652z62zz__evaluate_compz00(obj_t BgL_envz00_15172)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15176;
				long BgL_siza7ezd2framez75_15177;

				BgL_runz00_15176 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15172, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15177 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15172, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18251;

					BgL_sz00_18251 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18252;

						BgL_bpz00_18252 = VECTOR_REF(((obj_t) BgL_sz00_18251), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18252) + BgL_siza7ezd2framez75_15177) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18251))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18253;

								BgL_ez00_18253 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4422z00_18254;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4423z00_18255;

										BgL_arg4423z00_18255 = BGL_EXITD_PROTECT(BgL_ez00_18253);
										BgL_arg4422z00_18254 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18252, BgL_arg4423z00_18255);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18253, BgL_arg4422z00_18254);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18256;

									BgL_accz00_18256 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15176, BgL_sz00_18251, BgL_bpz00_18252);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5741z00_33474;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4421z00_18257;

											BgL_arg4421z00_18257 = BGL_EXITD_PROTECT(BgL_ez00_18253);
											BgL_test5741z00_33474 = PAIRP(BgL_arg4421z00_18257);
										}
										if (BgL_test5741z00_33474)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4419z00_18258;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4420z00_18259;

													BgL_arg4420z00_18259 =
														BGL_EXITD_PROTECT(BgL_ez00_18253);
													BgL_arg4419z00_18258 =
														CDR(((obj_t) BgL_arg4420z00_18259));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18253,
													BgL_arg4419z00_18258);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18251), ((long) 0), BgL_bpz00_18252);
									return BgL_accz00_18256;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18260;

								BgL_nsz00_18260 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18260, ((long) 1), BgL_sz00_18251);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18261;

									BgL_z12denvz12_18261 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18261, BgL_nsz00_18260);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18262;

										BgL_ez00_18262 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18263;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18264;

												BgL_arg4423z00_18264 =
													BGL_EXITD_PROTECT(BgL_ez00_18262);
												BgL_arg4422z00_18263 =
													MAKE_YOUNG_PAIR(BgL_sz00_18251, BgL_arg4423z00_18264);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18262,
												BgL_arg4422z00_18263);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18265;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18266;

												BgL_savedzd2bpzd2_18266 =
													VECTOR_REF(BgL_nsz00_18260, ((long) 0));
												VECTOR_SET(BgL_nsz00_18260, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18268;

													BgL_fz00_18268 = BgL_runz00_15176;
												BgL_recz00_18267:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18269;

														BgL_rz00_18269 =
															PROCEDURE_ENTRY(BgL_fz00_18268) (BgL_fz00_18268,
															BgL_nsz00_18260, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5742z00_33498;

															if (PROCEDUREP(BgL_rz00_18269))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18270;

																	BgL_arg1747z00_18270 =
																		PROCEDURE_ATTR(BgL_rz00_18269);
																	if (STRUCTP(BgL_arg1747z00_18270))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5742z00_33498 =
																				(STRUCT_KEY(BgL_arg1747z00_18270) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5742z00_33498 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5742z00_33498 = ((bool_t) 0);
																}
															if (BgL_test5742z00_33498)
																{
																	obj_t BgL_fz00_33506;

																	BgL_fz00_33506 = BgL_rz00_18269;
																	BgL_fz00_18268 = BgL_fz00_33506;
																	goto BgL_recz00_18267;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18260, ((long) 0),
																		BgL_savedzd2bpzd2_18266);
																	BgL_____rz00_18265 = BgL_rz00_18269;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5745z00_33508;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18271;

													BgL_arg4421z00_18271 =
														BGL_EXITD_PROTECT(BgL_ez00_18262);
													BgL_test5745z00_33508 = PAIRP(BgL_arg4421z00_18271);
												}
												if (BgL_test5745z00_33508)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18272;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18273;

															BgL_arg4420z00_18273 =
																BGL_EXITD_PROTECT(BgL_ez00_18262);
															BgL_arg4419z00_18272 =
																CDR(((obj_t) BgL_arg4420z00_18273));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18262,
															BgL_arg4419z00_18272);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18261, BgL_sz00_18251);
											return BgL_____rz00_18265;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4653 */
	obj_t BGl_z62run4653z62zz__evaluate_compz00(obj_t BgL_envz00_15178,
		obj_t BgL_sz00_15182)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15179;
				BgL_ev_absz00_bglt BgL_i1255z00_15180;
				obj_t BgL_bodyz00_15181;

				BgL_iboxesz00_15179 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15178, (int) (((long) 0))));
				BgL_i1255z00_15180 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15178, (int) (((long) 1))));
				BgL_bodyz00_15181 = PROCEDURE_REF(BgL_envz00_15178, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18274;

					BgL_bpz00_18274 = VECTOR_REF(((obj_t) BgL_sz00_15182), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15182,
						BgL_iboxesz00_15179, BgL_bpz00_18274);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18275;
						obj_t BgL_wherez00_18276;
						obj_t BgL_locz00_18277;

						BgL_z12denvz12_18275 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18276 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15180))->
							BgL_wherez00);
						BgL_locz00_18277 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15180))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18275, BgL_wherez00_18276,
								BgL_locz00_18277);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18278;

								BgL_za2za2resza2za2z00_18278 =
									PROCEDURE_ENTRY(BgL_bodyz00_15181) (BgL_bodyz00_15181,
									BgL_sz00_15182, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18275);
								return BgL_za2za2resza2za2z00_18278;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3566> */
	obj_t BGl_z62zc3z04anonymousza33566ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15183, obj_t BgL_sz00_15189)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15184;
				long BgL_siza7eza7_15185;
				BgL_ev_absz00_bglt BgL_i1255z00_15186;
				obj_t BgL_bodyz00_15187;
				long BgL_siza7ezd2framez75_15188;

				BgL_ifreesz00_15184 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 0))));
				BgL_siza7eza7_15185 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 1))));
				BgL_i1255z00_15186 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 2))));
				BgL_bodyz00_15187 = PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15188 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15183, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18279;

					BgL_bpz00_18279 = VECTOR_REF(((obj_t) BgL_sz00_15189), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18280;

						BgL_valza2za2_18280 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15189,
							BgL_bpz00_18279, BgL_ifreesz00_15184);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18281;

							BgL_runz00_18281 =
								MAKE_FX_PROCEDURE(BGl_z62run4655z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18281,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15185));
							PROCEDURE_SET(BgL_runz00_18281,
								(int) (((long) 1)), BgL_valza2za2_18280);
							PROCEDURE_SET(BgL_runz00_18281,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15186));
							PROCEDURE_SET(BgL_runz00_18281,
								(int) (((long) 3)), BgL_bodyz00_15187);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18282;

								BgL_mainz00_18282 =
									MAKE_FX_PROCEDURE(BGl_z62main4654z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15185));
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 1)), BgL_valza2za2_18280);
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15186));
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 3)), BgL_bodyz00_15187);
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 4)), BgL_runz00_18281);
								PROCEDURE_SET(BgL_mainz00_18282,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15188));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18283;

									BgL_objz00_18283 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18281, BgL_objz00_18283);
									BgL_objz00_18283;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3567z00_18284;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3568z00_18285;

										BgL_arg3568z00_18285 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15186))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18286;

											BgL_newz00_18286 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33588;

												BgL_tmpz00_33588 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18286, BgL_tmpz00_33588,
													BgL_arg3568z00_18285);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33593;
												int BgL_tmpz00_33591;

												BgL_auxz00_33593 = BINT(BgL_siza7ezd2framez75_15188);
												BgL_tmpz00_33591 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18286, BgL_tmpz00_33591,
													BgL_auxz00_33593);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33596;

												BgL_tmpz00_33596 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18286, BgL_tmpz00_33596,
													BgL_runz00_18281);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33601;
												int BgL_tmpz00_33599;

												BgL_auxz00_33601 = BINT(((long) 0));
												BgL_tmpz00_33599 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18286, BgL_tmpz00_33599,
													BgL_auxz00_33601);
											}
											BgL_arg3567z00_18284 = BgL_newz00_18286;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18282, BgL_arg3567z00_18284);
									BgL_arg3567z00_18284;
								}
								return BgL_mainz00_18282;
							}
						}
					}
				}
			}
		}

	}



/* &main4654 */
	obj_t BGl_z62main4654z62zz__evaluate_compz00(obj_t BgL_envz00_15190)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15195;
				long BgL_siza7ezd2framez75_15196;

				BgL_runz00_15195 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15190, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15196 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15190, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18287;

					BgL_sz00_18287 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18288;

						BgL_bpz00_18288 = VECTOR_REF(((obj_t) BgL_sz00_18287), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18288) + BgL_siza7ezd2framez75_15196) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18287))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18289;

								BgL_ez00_18289 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4422z00_18290;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4423z00_18291;

										BgL_arg4423z00_18291 = BGL_EXITD_PROTECT(BgL_ez00_18289);
										BgL_arg4422z00_18290 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18288, BgL_arg4423z00_18291);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18289, BgL_arg4422z00_18290);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18292;

									BgL_accz00_18292 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15195, BgL_sz00_18287, BgL_bpz00_18288);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5747z00_33625;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4421z00_18293;

											BgL_arg4421z00_18293 = BGL_EXITD_PROTECT(BgL_ez00_18289);
											BgL_test5747z00_33625 = PAIRP(BgL_arg4421z00_18293);
										}
										if (BgL_test5747z00_33625)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4419z00_18294;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4420z00_18295;

													BgL_arg4420z00_18295 =
														BGL_EXITD_PROTECT(BgL_ez00_18289);
													BgL_arg4419z00_18294 =
														CDR(((obj_t) BgL_arg4420z00_18295));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18289,
													BgL_arg4419z00_18294);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18287), ((long) 0), BgL_bpz00_18288);
									return BgL_accz00_18292;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18296;

								BgL_nsz00_18296 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18296, ((long) 1), BgL_sz00_18287);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18297;

									BgL_z12denvz12_18297 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18297, BgL_nsz00_18296);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18298;

										BgL_ez00_18298 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18299;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18300;

												BgL_arg4423z00_18300 =
													BGL_EXITD_PROTECT(BgL_ez00_18298);
												BgL_arg4422z00_18299 =
													MAKE_YOUNG_PAIR(BgL_sz00_18287, BgL_arg4423z00_18300);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18298,
												BgL_arg4422z00_18299);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18301;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18302;

												BgL_savedzd2bpzd2_18302 =
													VECTOR_REF(BgL_nsz00_18296, ((long) 0));
												VECTOR_SET(BgL_nsz00_18296, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18304;

													BgL_fz00_18304 = BgL_runz00_15195;
												BgL_recz00_18303:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18305;

														BgL_rz00_18305 =
															PROCEDURE_ENTRY(BgL_fz00_18304) (BgL_fz00_18304,
															BgL_nsz00_18296, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5748z00_33649;

															if (PROCEDUREP(BgL_rz00_18305))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18306;

																	BgL_arg1747z00_18306 =
																		PROCEDURE_ATTR(BgL_rz00_18305);
																	if (STRUCTP(BgL_arg1747z00_18306))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5748z00_33649 =
																				(STRUCT_KEY(BgL_arg1747z00_18306) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5748z00_33649 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5748z00_33649 = ((bool_t) 0);
																}
															if (BgL_test5748z00_33649)
																{
																	obj_t BgL_fz00_33657;

																	BgL_fz00_33657 = BgL_rz00_18305;
																	BgL_fz00_18304 = BgL_fz00_33657;
																	goto BgL_recz00_18303;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18296, ((long) 0),
																		BgL_savedzd2bpzd2_18302);
																	BgL_____rz00_18301 = BgL_rz00_18305;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5751z00_33659;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18307;

													BgL_arg4421z00_18307 =
														BGL_EXITD_PROTECT(BgL_ez00_18298);
													BgL_test5751z00_33659 = PAIRP(BgL_arg4421z00_18307);
												}
												if (BgL_test5751z00_33659)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18308;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18309;

															BgL_arg4420z00_18309 =
																BGL_EXITD_PROTECT(BgL_ez00_18298);
															BgL_arg4419z00_18308 =
																CDR(((obj_t) BgL_arg4420z00_18309));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18298,
															BgL_arg4419z00_18308);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18297, BgL_sz00_18287);
											return BgL_____rz00_18301;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4655 */
	obj_t BGl_z62run4655z62zz__evaluate_compz00(obj_t BgL_envz00_15197,
		obj_t BgL_sz00_15202)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15198;
				obj_t BgL_valza2za2_15199;
				BgL_ev_absz00_bglt BgL_i1255z00_15200;
				obj_t BgL_bodyz00_15201;

				BgL_siza7eza7_15198 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 0))));
				BgL_valza2za2_15199 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 1))));
				BgL_i1255z00_15200 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 2))));
				BgL_bodyz00_15201 = PROCEDURE_REF(BgL_envz00_15197, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18310;

					BgL_bpz00_18310 = VECTOR_REF(((obj_t) BgL_sz00_15202), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15202,
						BgL_valza2za2_15199,
						((long) CINT(BgL_bpz00_18310) + BgL_siza7eza7_15198));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18311;
						obj_t BgL_wherez00_18312;
						obj_t BgL_locz00_18313;

						BgL_z12denvz12_18311 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18312 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15200))->
							BgL_wherez00);
						BgL_locz00_18313 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15200))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18311, BgL_wherez00_18312,
								BgL_locz00_18313);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18314;

								BgL_za2za2resza2za2z00_18314 =
									PROCEDURE_ENTRY(BgL_bodyz00_15201) (BgL_bodyz00_15201,
									BgL_sz00_15202, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18311);
								return BgL_za2za2resza2za2z00_18314;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3573> */
	obj_t BGl_z62zc3z04anonymousza33573ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15203, obj_t BgL_sz00_15210)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15204;
				obj_t BgL_iboxesz00_15205;
				long BgL_siza7eza7_15206;
				BgL_ev_absz00_bglt BgL_i1255z00_15207;
				obj_t BgL_bodyz00_15208;
				long BgL_siza7ezd2framez75_15209;

				BgL_ifreesz00_15204 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 0))));
				BgL_iboxesz00_15205 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 1))));
				BgL_siza7eza7_15206 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 2))));
				BgL_i1255z00_15207 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 3))));
				BgL_bodyz00_15208 = PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15209 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15203, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18315;

					BgL_bpz00_18315 = VECTOR_REF(((obj_t) BgL_sz00_15210), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18316;

						BgL_valza2za2_18316 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15210,
							BgL_bpz00_18315, BgL_ifreesz00_15204);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18317;

							BgL_runz00_18317 =
								MAKE_FX_PROCEDURE(BGl_z62run4657z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18317,
								(int) (((long) 0)), BgL_iboxesz00_15205);
							PROCEDURE_SET(BgL_runz00_18317,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15206));
							PROCEDURE_SET(BgL_runz00_18317,
								(int) (((long) 2)), BgL_valza2za2_18316);
							PROCEDURE_SET(BgL_runz00_18317,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15207));
							PROCEDURE_SET(BgL_runz00_18317,
								(int) (((long) 4)), BgL_bodyz00_15208);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18318;

								BgL_mainz00_18318 =
									MAKE_FX_PROCEDURE(BGl_z62main4656z62zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 0)), BgL_iboxesz00_15205);
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15206));
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 2)), BgL_valza2za2_18316);
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15207));
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 4)), BgL_bodyz00_15208);
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 5)), BgL_runz00_18317);
								PROCEDURE_SET(BgL_mainz00_18318,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15209));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18319;

									BgL_objz00_18319 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18317, BgL_objz00_18319);
									BgL_objz00_18319;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg3575z00_18320;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg3576z00_18321;

										BgL_arg3576z00_18321 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15207))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18322;

											BgL_newz00_18322 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33751;

												BgL_tmpz00_33751 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18322, BgL_tmpz00_33751,
													BgL_arg3576z00_18321);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33756;
												int BgL_tmpz00_33754;

												BgL_auxz00_33756 = BINT(BgL_siza7ezd2framez75_15209);
												BgL_tmpz00_33754 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18322, BgL_tmpz00_33754,
													BgL_auxz00_33756);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33759;

												BgL_tmpz00_33759 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18322, BgL_tmpz00_33759,
													BgL_runz00_18317);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33764;
												int BgL_tmpz00_33762;

												BgL_auxz00_33764 = BINT(((long) 0));
												BgL_tmpz00_33762 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18322, BgL_tmpz00_33762,
													BgL_auxz00_33764);
											}
											BgL_arg3575z00_18320 = BgL_newz00_18322;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18318, BgL_arg3575z00_18320);
									BgL_arg3575z00_18320;
								}
								return BgL_mainz00_18318;
							}
						}
					}
				}
			}
		}

	}



/* &main4656 */
	obj_t BGl_z62main4656z62zz__evaluate_compz00(obj_t BgL_envz00_15211)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_runz00_15217;
				long BgL_siza7ezd2framez75_15218;

				BgL_runz00_15217 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15211, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15218 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15211, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18323;

					BgL_sz00_18323 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18324;

						BgL_bpz00_18324 = VECTOR_REF(((obj_t) BgL_sz00_18323), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18324) + BgL_siza7ezd2framez75_15218) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18323))))
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_ez00_18325;

								BgL_ez00_18325 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4422z00_18326;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4423z00_18327;

										BgL_arg4423z00_18327 = BGL_EXITD_PROTECT(BgL_ez00_18325);
										BgL_arg4422z00_18326 =
											MAKE_YOUNG_PAIR(BgL_bpz00_18324, BgL_arg4423z00_18327);
									}
									BGL_EXITD_PROTECT_SET(BgL_ez00_18325, BgL_arg4422z00_18326);
									BUNSPEC;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_accz00_18328;

									BgL_accz00_18328 =
										BGl_catchzd2trampolinezd2zz__evaluate_compz00
										(BgL_runz00_15217, BgL_sz00_18323, BgL_bpz00_18324);
									{	/* Eval/evaluate_comp.scm 1181 */
										bool_t BgL_test5753z00_33788;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4421z00_18329;

											BgL_arg4421z00_18329 = BGL_EXITD_PROTECT(BgL_ez00_18325);
											BgL_test5753z00_33788 = PAIRP(BgL_arg4421z00_18329);
										}
										if (BgL_test5753z00_33788)
											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4419z00_18330;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4420z00_18331;

													BgL_arg4420z00_18331 =
														BGL_EXITD_PROTECT(BgL_ez00_18325);
													BgL_arg4419z00_18330 =
														CDR(((obj_t) BgL_arg4420z00_18331));
												}
												BGL_EXITD_PROTECT_SET(BgL_ez00_18325,
													BgL_arg4419z00_18330);
												BUNSPEC;
											}
										else
											{	/* Eval/evaluate_comp.scm 1181 */
												BFALSE;
											}
									}
									VECTOR_SET(
										((obj_t) BgL_sz00_18323), ((long) 0), BgL_bpz00_18324);
									return BgL_accz00_18328;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18332;

								BgL_nsz00_18332 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18332, ((long) 1), BgL_sz00_18323);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18333;

									BgL_z12denvz12_18333 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18333, BgL_nsz00_18332);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18334;

										BgL_ez00_18334 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18335;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18336;

												BgL_arg4423z00_18336 =
													BGL_EXITD_PROTECT(BgL_ez00_18334);
												BgL_arg4422z00_18335 =
													MAKE_YOUNG_PAIR(BgL_sz00_18323, BgL_arg4423z00_18336);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18334,
												BgL_arg4422z00_18335);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18337;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18338;

												BgL_savedzd2bpzd2_18338 =
													VECTOR_REF(BgL_nsz00_18332, ((long) 0));
												VECTOR_SET(BgL_nsz00_18332, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18340;

													BgL_fz00_18340 = BgL_runz00_15217;
												BgL_recz00_18339:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18341;

														BgL_rz00_18341 =
															PROCEDURE_ENTRY(BgL_fz00_18340) (BgL_fz00_18340,
															BgL_nsz00_18332, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5754z00_33812;

															if (PROCEDUREP(BgL_rz00_18341))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18342;

																	BgL_arg1747z00_18342 =
																		PROCEDURE_ATTR(BgL_rz00_18341);
																	if (STRUCTP(BgL_arg1747z00_18342))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5754z00_33812 =
																				(STRUCT_KEY(BgL_arg1747z00_18342) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5754z00_33812 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5754z00_33812 = ((bool_t) 0);
																}
															if (BgL_test5754z00_33812)
																{
																	obj_t BgL_fz00_33820;

																	BgL_fz00_33820 = BgL_rz00_18341;
																	BgL_fz00_18340 = BgL_fz00_33820;
																	goto BgL_recz00_18339;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18332, ((long) 0),
																		BgL_savedzd2bpzd2_18338);
																	BgL_____rz00_18337 = BgL_rz00_18341;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5757z00_33822;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18343;

													BgL_arg4421z00_18343 =
														BGL_EXITD_PROTECT(BgL_ez00_18334);
													BgL_test5757z00_33822 = PAIRP(BgL_arg4421z00_18343);
												}
												if (BgL_test5757z00_33822)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18344;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18345;

															BgL_arg4420z00_18345 =
																BGL_EXITD_PROTECT(BgL_ez00_18334);
															BgL_arg4419z00_18344 =
																CDR(((obj_t) BgL_arg4420z00_18345));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18334,
															BgL_arg4419z00_18344);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18333, BgL_sz00_18323);
											return BgL_____rz00_18337;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4657 */
	obj_t BGl_z62run4657z62zz__evaluate_compz00(obj_t BgL_envz00_15219,
		obj_t BgL_sz00_15225)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15220;
				long BgL_siza7eza7_15221;
				obj_t BgL_valza2za2_15222;
				BgL_ev_absz00_bglt BgL_i1255z00_15223;
				obj_t BgL_bodyz00_15224;

				BgL_iboxesz00_15220 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15219, (int) (((long) 0))));
				BgL_siza7eza7_15221 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15219, (int) (((long) 1))));
				BgL_valza2za2_15222 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15219, (int) (((long) 2))));
				BgL_i1255z00_15223 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15219, (int) (((long) 3))));
				BgL_bodyz00_15224 = PROCEDURE_REF(BgL_envz00_15219, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18346;

					BgL_bpz00_18346 = VECTOR_REF(((obj_t) BgL_sz00_15225), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15225,
						BgL_iboxesz00_15220, BgL_bpz00_18346);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15225,
						BgL_valza2za2_15222,
						((long) CINT(BgL_bpz00_18346) + BgL_siza7eza7_15221));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18347;
						obj_t BgL_wherez00_18348;
						obj_t BgL_locz00_18349;

						BgL_z12denvz12_18347 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18348 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15223))->
							BgL_wherez00);
						BgL_locz00_18349 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15223))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18347, BgL_wherez00_18348,
								BgL_locz00_18349);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18350;

								BgL_za2za2resza2za2z00_18350 =
									PROCEDURE_ENTRY(BgL_bodyz00_15224) (BgL_bodyz00_15224,
									BgL_sz00_15225, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18347);
								return BgL_za2za2resza2za2z00_18350;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4016> */
	obj_t BGl_z62zc3z04anonymousza34016ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15226, obj_t BgL_sz00_15230)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15227;
				obj_t BgL_bodyz00_15228;
				long BgL_siza7ezd2framez75_15229;

				BgL_i1255z00_15227 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 0))));
				BgL_bodyz00_15228 = PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 1)));
				BgL_siza7ezd2framez75_15229 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15226, (int) (((long) 2))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18351;

					BgL_bpz00_18351 = VECTOR_REF(((obj_t) BgL_sz00_15230), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18352;

							BgL_runz00_18352 =
								MAKE_FX_PROCEDURE(BGl_z62run4659z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_runz00_18352,
								(int) (((long) 0)), ((obj_t) BgL_i1255z00_15227));
							PROCEDURE_SET(BgL_runz00_18352,
								(int) (((long) 1)), BgL_bodyz00_15228);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18353;

								BgL_mainz00_18353 =
									MAKE_VA_PROCEDURE(BGl_z62main4658z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_mainz00_18353,
									(int) (((long) 0)), BgL_bodyz00_15228);
								PROCEDURE_SET(BgL_mainz00_18353,
									(int) (((long) 1)), ((obj_t) BgL_i1255z00_15227));
								PROCEDURE_SET(BgL_mainz00_18353,
									(int) (((long) 2)), BgL_runz00_18352);
								PROCEDURE_SET(BgL_mainz00_18353,
									(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_15229));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18354;

									BgL_objz00_18354 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18352, BgL_objz00_18354);
									BgL_objz00_18354;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4017z00_18355;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4018z00_18356;
										obj_t BgL_arg4019z00_18357;

										BgL_arg4018z00_18356 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15227))->
											BgL_arityz00);
										BgL_arg4019z00_18357 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15227))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18358;

											BgL_newz00_18358 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33895;

												BgL_tmpz00_33895 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18358, BgL_tmpz00_33895,
													BgL_arg4019z00_18357);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_33900;
												int BgL_tmpz00_33898;

												BgL_auxz00_33900 = BINT(BgL_siza7ezd2framez75_15229);
												BgL_tmpz00_33898 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18358, BgL_tmpz00_33898,
													BgL_auxz00_33900);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33903;

												BgL_tmpz00_33903 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18358, BgL_tmpz00_33903,
													BgL_runz00_18352);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_33906;

												BgL_tmpz00_33906 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18358, BgL_tmpz00_33906,
													BgL_arg4018z00_18356);
											}
											BgL_arg4017z00_18355 = BgL_newz00_18358;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18353, BgL_arg4017z00_18355);
									BgL_arg4017z00_18355;
								}
								return BgL_mainz00_18353;
							}
						}
					}
				}
			}
		}

	}



/* &main4658 */
	obj_t BGl_z62main4658z62zz__evaluate_compz00(obj_t BgL_envz00_15231,
		obj_t BgL_az00_15236, obj_t BgL_bz00_15237, obj_t BgL_cz00_15238,
		obj_t BgL_dz00_15239, obj_t BgL_restz00_15240)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15233;
				obj_t BgL_runz00_15234;
				long BgL_siza7ezd2framez75_15235;

				BgL_i1255z00_15233 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15231, (int) (((long) 1))));
				BgL_runz00_15234 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15231, (int) (((long) 2))));
				BgL_siza7ezd2framez75_15235 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15231, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18359;

					BgL_sz00_18359 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18360;

						BgL_bpz00_18360 = VECTOR_REF(((obj_t) BgL_sz00_18359), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18360) + BgL_siza7ezd2framez75_15235) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18359))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4022z00_18361;

									BgL_arg4022z00_18361 =
										((long) CINT(BgL_bpz00_18360) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18359), BgL_arg4022z00_18361,
										BgL_az00_15236);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4023z00_18362;

									BgL_arg4023z00_18362 =
										((long) CINT(BgL_bpz00_18360) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18359), BgL_arg4023z00_18362,
										BgL_bz00_15237);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4024z00_18363;

									BgL_arg4024z00_18363 =
										((long) CINT(BgL_bpz00_18360) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18359), BgL_arg4024z00_18363,
										BgL_cz00_15238);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4025z00_18364;

									BgL_arg4025z00_18364 =
										((long) CINT(BgL_bpz00_18360) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18359), BgL_arg4025z00_18364,
										BgL_dz00_15239);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4026z00_18365;
									long BgL_arg4027z00_18366;
									long BgL_arg4028z00_18367;
									obj_t BgL_arg4029z00_18368;

									BgL_arg4026z00_18365 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
										BgL_wherez00);
									BgL_arg4027z00_18366 =
										((long) CINT(BgL_bpz00_18360) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4030z00_18369;

										BgL_arg4030z00_18369 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4030z00_18369) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4028z00_18367 =
													((long) CINT(BgL_arg4030z00_18369) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4028z00_18367 =
													((long) CINT(BgL_arg4030z00_18369) - ((long) 4));
									}}
									BgL_arg4029z00_18368 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18359,
										BgL_arg4026z00_18365, BgL_arg4027z00_18366,
										BgL_arg4028z00_18367, BgL_restz00_15240,
										BgL_arg4029z00_18368);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18370;

									BgL_ez00_18370 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18371;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18372;

											BgL_arg4423z00_18372 = BGL_EXITD_PROTECT(BgL_ez00_18370);
											BgL_arg4422z00_18371 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18360, BgL_arg4423z00_18372);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18370, BgL_arg4422z00_18371);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18373;

										BgL_accz00_18373 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15234, BgL_sz00_18359, BgL_bpz00_18360);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5760z00_33962;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18374;

												BgL_arg4421z00_18374 =
													BGL_EXITD_PROTECT(BgL_ez00_18370);
												BgL_test5760z00_33962 = PAIRP(BgL_arg4421z00_18374);
											}
											if (BgL_test5760z00_33962)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18375;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18376;

														BgL_arg4420z00_18376 =
															BGL_EXITD_PROTECT(BgL_ez00_18370);
														BgL_arg4419z00_18375 =
															CDR(((obj_t) BgL_arg4420z00_18376));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18370,
														BgL_arg4419z00_18375);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18359), ((long) 0), BgL_bpz00_18360);
										return BgL_accz00_18373;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18377;

								BgL_nsz00_18377 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18377, ((long) 1), BgL_sz00_18359);
								VECTOR_SET(BgL_nsz00_18377, ((long) 2), BgL_az00_15236);
								VECTOR_SET(BgL_nsz00_18377, ((long) 3), BgL_bz00_15237);
								VECTOR_SET(BgL_nsz00_18377, ((long) 4), BgL_cz00_15238);
								VECTOR_SET(BgL_nsz00_18377, ((long) 5), BgL_dz00_15239);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4031z00_18378;
									long BgL_arg4032z00_18379;
									obj_t BgL_arg4033z00_18380;

									BgL_arg4031z00_18378 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4034z00_18381;

										BgL_arg4034z00_18381 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4034z00_18381) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4032z00_18379 =
													((long) CINT(BgL_arg4034z00_18381) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4032z00_18379 =
													((long) CINT(BgL_arg4034z00_18381) - ((long) 4));
									}}
									BgL_arg4033z00_18380 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15233))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18377,
										BgL_arg4031z00_18378, ((long) 6), BgL_arg4032z00_18379,
										BgL_restz00_15240, BgL_arg4033z00_18380);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18382;

									BgL_z12denvz12_18382 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18382, BgL_nsz00_18377);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18383;

										BgL_ez00_18383 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18384;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18385;

												BgL_arg4423z00_18385 =
													BGL_EXITD_PROTECT(BgL_ez00_18383);
												BgL_arg4422z00_18384 =
													MAKE_YOUNG_PAIR(BgL_sz00_18359, BgL_arg4423z00_18385);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18383,
												BgL_arg4422z00_18384);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18386;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18387;

												BgL_savedzd2bpzd2_18387 =
													VECTOR_REF(BgL_nsz00_18377, ((long) 0));
												VECTOR_SET(BgL_nsz00_18377, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18389;

													BgL_fz00_18389 = BgL_runz00_15234;
												BgL_recz00_18388:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18390;

														BgL_rz00_18390 =
															PROCEDURE_ENTRY(BgL_fz00_18389) (BgL_fz00_18389,
															BgL_nsz00_18377, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5762z00_34001;

															if (PROCEDUREP(BgL_rz00_18390))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18391;

																	BgL_arg1747z00_18391 =
																		PROCEDURE_ATTR(BgL_rz00_18390);
																	if (STRUCTP(BgL_arg1747z00_18391))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5762z00_34001 =
																				(STRUCT_KEY(BgL_arg1747z00_18391) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5762z00_34001 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5762z00_34001 = ((bool_t) 0);
																}
															if (BgL_test5762z00_34001)
																{
																	obj_t BgL_fz00_34009;

																	BgL_fz00_34009 = BgL_rz00_18390;
																	BgL_fz00_18389 = BgL_fz00_34009;
																	goto BgL_recz00_18388;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18377, ((long) 0),
																		BgL_savedzd2bpzd2_18387);
																	BgL_____rz00_18386 = BgL_rz00_18390;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5765z00_34011;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18392;

													BgL_arg4421z00_18392 =
														BGL_EXITD_PROTECT(BgL_ez00_18383);
													BgL_test5765z00_34011 = PAIRP(BgL_arg4421z00_18392);
												}
												if (BgL_test5765z00_34011)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18393;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18394;

															BgL_arg4420z00_18394 =
																BGL_EXITD_PROTECT(BgL_ez00_18383);
															BgL_arg4419z00_18393 =
																CDR(((obj_t) BgL_arg4420z00_18394));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18383,
															BgL_arg4419z00_18393);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18382, BgL_sz00_18359);
											return BgL_____rz00_18386;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4659 */
	obj_t BGl_z62run4659z62zz__evaluate_compz00(obj_t BgL_envz00_15241,
		obj_t BgL_sz00_15244)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15242;
				obj_t BgL_bodyz00_15243;

				BgL_i1255z00_15242 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15241, (int) (((long) 0))));
				BgL_bodyz00_15243 = PROCEDURE_REF(BgL_envz00_15241, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18395;

					BgL_bpz00_18395 = VECTOR_REF(((obj_t) BgL_sz00_15244), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18396;
						obj_t BgL_wherez00_18397;
						obj_t BgL_locz00_18398;

						BgL_z12denvz12_18396 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18397 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15242))->
							BgL_wherez00);
						BgL_locz00_18398 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15242))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18396, BgL_wherez00_18397,
								BgL_locz00_18398);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18399;

								BgL_za2za2resza2za2z00_18399 =
									PROCEDURE_ENTRY(BgL_bodyz00_15243) (BgL_bodyz00_15243,
									BgL_sz00_15244, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18396);
								return BgL_za2za2resza2za2z00_18399;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4036> */
	obj_t BGl_z62zc3z04anonymousza34036ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15245, obj_t BgL_sz00_15250)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15246;
				BgL_ev_absz00_bglt BgL_i1255z00_15247;
				obj_t BgL_bodyz00_15248;
				long BgL_siza7ezd2framez75_15249;

				BgL_iboxesz00_15246 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 0))));
				BgL_i1255z00_15247 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 1))));
				BgL_bodyz00_15248 = PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 2)));
				BgL_siza7ezd2framez75_15249 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15245, (int) (((long) 3))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18400;

					BgL_bpz00_18400 = VECTOR_REF(((obj_t) BgL_sz00_15250), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */

						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18401;

							BgL_runz00_18401 =
								MAKE_FX_PROCEDURE(BGl_z62run4661z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_runz00_18401,
								(int) (((long) 0)), BgL_iboxesz00_15246);
							PROCEDURE_SET(BgL_runz00_18401,
								(int) (((long) 1)), ((obj_t) BgL_i1255z00_15247));
							PROCEDURE_SET(BgL_runz00_18401,
								(int) (((long) 2)), BgL_bodyz00_15248);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18402;

								BgL_mainz00_18402 =
									MAKE_VA_PROCEDURE(BGl_z62main4660z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_mainz00_18402,
									(int) (((long) 0)), BgL_iboxesz00_15246);
								PROCEDURE_SET(BgL_mainz00_18402,
									(int) (((long) 1)), BgL_bodyz00_15248);
								PROCEDURE_SET(BgL_mainz00_18402,
									(int) (((long) 2)), ((obj_t) BgL_i1255z00_15247));
								PROCEDURE_SET(BgL_mainz00_18402,
									(int) (((long) 3)), BgL_runz00_18401);
								PROCEDURE_SET(BgL_mainz00_18402,
									(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_15249));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18403;

									BgL_objz00_18403 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18401, BgL_objz00_18403);
									BgL_objz00_18403;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4037z00_18404;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4038z00_18405;
										obj_t BgL_arg4039z00_18406;

										BgL_arg4038z00_18405 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15247))->
											BgL_arityz00);
										BgL_arg4039z00_18406 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15247))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18407;

											BgL_newz00_18407 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34078;

												BgL_tmpz00_34078 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18407, BgL_tmpz00_34078,
													BgL_arg4039z00_18406);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34083;
												int BgL_tmpz00_34081;

												BgL_auxz00_34083 = BINT(BgL_siza7ezd2framez75_15249);
												BgL_tmpz00_34081 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18407, BgL_tmpz00_34081,
													BgL_auxz00_34083);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34086;

												BgL_tmpz00_34086 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18407, BgL_tmpz00_34086,
													BgL_runz00_18401);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34089;

												BgL_tmpz00_34089 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18407, BgL_tmpz00_34089,
													BgL_arg4038z00_18405);
											}
											BgL_arg4037z00_18404 = BgL_newz00_18407;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18402, BgL_arg4037z00_18404);
									BgL_arg4037z00_18404;
								}
								return BgL_mainz00_18402;
							}
						}
					}
				}
			}
		}

	}



/* &main4660 */
	obj_t BGl_z62main4660z62zz__evaluate_compz00(obj_t BgL_envz00_15251,
		obj_t BgL_az00_15257, obj_t BgL_bz00_15258, obj_t BgL_cz00_15259,
		obj_t BgL_dz00_15260, obj_t BgL_restz00_15261)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15254;
				obj_t BgL_runz00_15255;
				long BgL_siza7ezd2framez75_15256;

				BgL_i1255z00_15254 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 2))));
				BgL_runz00_15255 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 3))));
				BgL_siza7ezd2framez75_15256 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15251, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18408;

					BgL_sz00_18408 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18409;

						BgL_bpz00_18409 = VECTOR_REF(((obj_t) BgL_sz00_18408), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18409) + BgL_siza7ezd2framez75_15256) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18408))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4042z00_18410;

									BgL_arg4042z00_18410 =
										((long) CINT(BgL_bpz00_18409) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18408), BgL_arg4042z00_18410,
										BgL_az00_15257);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4043z00_18411;

									BgL_arg4043z00_18411 =
										((long) CINT(BgL_bpz00_18409) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18408), BgL_arg4043z00_18411,
										BgL_bz00_15258);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4044z00_18412;

									BgL_arg4044z00_18412 =
										((long) CINT(BgL_bpz00_18409) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18408), BgL_arg4044z00_18412,
										BgL_cz00_15259);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4045z00_18413;

									BgL_arg4045z00_18413 =
										((long) CINT(BgL_bpz00_18409) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18408), BgL_arg4045z00_18413,
										BgL_dz00_15260);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4046z00_18414;
									long BgL_arg4047z00_18415;
									long BgL_arg4048z00_18416;
									obj_t BgL_arg4049z00_18417;

									BgL_arg4046z00_18414 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
										BgL_wherez00);
									BgL_arg4047z00_18415 =
										((long) CINT(BgL_bpz00_18409) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4050z00_18418;

										BgL_arg4050z00_18418 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4050z00_18418) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4048z00_18416 =
													((long) CINT(BgL_arg4050z00_18418) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4048z00_18416 =
													((long) CINT(BgL_arg4050z00_18418) - ((long) 4));
									}}
									BgL_arg4049z00_18417 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18408,
										BgL_arg4046z00_18414, BgL_arg4047z00_18415,
										BgL_arg4048z00_18416, BgL_restz00_15261,
										BgL_arg4049z00_18417);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18419;

									BgL_ez00_18419 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18420;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18421;

											BgL_arg4423z00_18421 = BGL_EXITD_PROTECT(BgL_ez00_18419);
											BgL_arg4422z00_18420 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18409, BgL_arg4423z00_18421);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18419, BgL_arg4422z00_18420);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18422;

										BgL_accz00_18422 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15255, BgL_sz00_18408, BgL_bpz00_18409);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5768z00_34145;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18423;

												BgL_arg4421z00_18423 =
													BGL_EXITD_PROTECT(BgL_ez00_18419);
												BgL_test5768z00_34145 = PAIRP(BgL_arg4421z00_18423);
											}
											if (BgL_test5768z00_34145)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18424;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18425;

														BgL_arg4420z00_18425 =
															BGL_EXITD_PROTECT(BgL_ez00_18419);
														BgL_arg4419z00_18424 =
															CDR(((obj_t) BgL_arg4420z00_18425));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18419,
														BgL_arg4419z00_18424);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18408), ((long) 0), BgL_bpz00_18409);
										return BgL_accz00_18422;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18426;

								BgL_nsz00_18426 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18426, ((long) 1), BgL_sz00_18408);
								VECTOR_SET(BgL_nsz00_18426, ((long) 2), BgL_az00_15257);
								VECTOR_SET(BgL_nsz00_18426, ((long) 3), BgL_bz00_15258);
								VECTOR_SET(BgL_nsz00_18426, ((long) 4), BgL_cz00_15259);
								VECTOR_SET(BgL_nsz00_18426, ((long) 5), BgL_dz00_15260);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4051z00_18427;
									long BgL_arg4052z00_18428;
									obj_t BgL_arg4053z00_18429;

									BgL_arg4051z00_18427 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4054z00_18430;

										BgL_arg4054z00_18430 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4054z00_18430) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4052z00_18428 =
													((long) CINT(BgL_arg4054z00_18430) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4052z00_18428 =
													((long) CINT(BgL_arg4054z00_18430) - ((long) 4));
									}}
									BgL_arg4053z00_18429 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15254))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18426,
										BgL_arg4051z00_18427, ((long) 6), BgL_arg4052z00_18428,
										BgL_restz00_15261, BgL_arg4053z00_18429);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18431;

									BgL_z12denvz12_18431 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18431, BgL_nsz00_18426);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18432;

										BgL_ez00_18432 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18433;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18434;

												BgL_arg4423z00_18434 =
													BGL_EXITD_PROTECT(BgL_ez00_18432);
												BgL_arg4422z00_18433 =
													MAKE_YOUNG_PAIR(BgL_sz00_18408, BgL_arg4423z00_18434);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18432,
												BgL_arg4422z00_18433);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18435;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18436;

												BgL_savedzd2bpzd2_18436 =
													VECTOR_REF(BgL_nsz00_18426, ((long) 0));
												VECTOR_SET(BgL_nsz00_18426, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18438;

													BgL_fz00_18438 = BgL_runz00_15255;
												BgL_recz00_18437:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18439;

														BgL_rz00_18439 =
															PROCEDURE_ENTRY(BgL_fz00_18438) (BgL_fz00_18438,
															BgL_nsz00_18426, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5770z00_34184;

															if (PROCEDUREP(BgL_rz00_18439))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18440;

																	BgL_arg1747z00_18440 =
																		PROCEDURE_ATTR(BgL_rz00_18439);
																	if (STRUCTP(BgL_arg1747z00_18440))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5770z00_34184 =
																				(STRUCT_KEY(BgL_arg1747z00_18440) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5770z00_34184 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5770z00_34184 = ((bool_t) 0);
																}
															if (BgL_test5770z00_34184)
																{
																	obj_t BgL_fz00_34192;

																	BgL_fz00_34192 = BgL_rz00_18439;
																	BgL_fz00_18438 = BgL_fz00_34192;
																	goto BgL_recz00_18437;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18426, ((long) 0),
																		BgL_savedzd2bpzd2_18436);
																	BgL_____rz00_18435 = BgL_rz00_18439;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5773z00_34194;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18441;

													BgL_arg4421z00_18441 =
														BGL_EXITD_PROTECT(BgL_ez00_18432);
													BgL_test5773z00_34194 = PAIRP(BgL_arg4421z00_18441);
												}
												if (BgL_test5773z00_34194)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18442;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18443;

															BgL_arg4420z00_18443 =
																BGL_EXITD_PROTECT(BgL_ez00_18432);
															BgL_arg4419z00_18442 =
																CDR(((obj_t) BgL_arg4420z00_18443));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18432,
															BgL_arg4419z00_18442);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18431, BgL_sz00_18408);
											return BgL_____rz00_18435;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4661 */
	obj_t BGl_z62run4661z62zz__evaluate_compz00(obj_t BgL_envz00_15262,
		obj_t BgL_sz00_15266)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15263;
				BgL_ev_absz00_bglt BgL_i1255z00_15264;
				obj_t BgL_bodyz00_15265;

				BgL_iboxesz00_15263 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 0))));
				BgL_i1255z00_15264 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 1))));
				BgL_bodyz00_15265 = PROCEDURE_REF(BgL_envz00_15262, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18444;

					BgL_bpz00_18444 = VECTOR_REF(((obj_t) BgL_sz00_15266), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15266,
						BgL_iboxesz00_15263, BgL_bpz00_18444);
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_z12denvz12_18445;
						obj_t BgL_wherez00_18446;
						obj_t BgL_locz00_18447;

						BgL_z12denvz12_18445 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18446 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15264))->
							BgL_wherez00);
						BgL_locz00_18447 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15264))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1181 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18445, BgL_wherez00_18446,
								BgL_locz00_18447);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_za2za2resza2za2z00_18448;

								BgL_za2za2resza2za2z00_18448 =
									PROCEDURE_ENTRY(BgL_bodyz00_15265) (BgL_bodyz00_15265,
									BgL_sz00_15266, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18445);
								return BgL_za2za2resza2za2z00_18448;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4059> */
	obj_t BGl_z62zc3z04anonymousza34059ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15267, obj_t BgL_sz00_15273)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15268;
				long BgL_siza7eza7_15269;
				BgL_ev_absz00_bglt BgL_i1255z00_15270;
				obj_t BgL_bodyz00_15271;
				long BgL_siza7ezd2framez75_15272;

				BgL_ifreesz00_15268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 0))));
				BgL_siza7eza7_15269 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 1))));
				BgL_i1255z00_15270 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 2))));
				BgL_bodyz00_15271 = PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 3)));
				BgL_siza7ezd2framez75_15272 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15267, (int) (((long) 4))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18449;

					BgL_bpz00_18449 = VECTOR_REF(((obj_t) BgL_sz00_15273), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18450;

						BgL_valza2za2_18450 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15273,
							BgL_bpz00_18449, BgL_ifreesz00_15268);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18451;

							BgL_runz00_18451 =
								MAKE_FX_PROCEDURE(BGl_z62run4663z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_runz00_18451,
								(int) (((long) 0)), BINT(BgL_siza7eza7_15269));
							PROCEDURE_SET(BgL_runz00_18451,
								(int) (((long) 1)), BgL_valza2za2_18450);
							PROCEDURE_SET(BgL_runz00_18451,
								(int) (((long) 2)), ((obj_t) BgL_i1255z00_15270));
							PROCEDURE_SET(BgL_runz00_18451,
								(int) (((long) 3)), BgL_bodyz00_15271);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18452;

								BgL_mainz00_18452 =
									MAKE_VA_PROCEDURE(BGl_z62main4662z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 0)), BINT(BgL_siza7eza7_15269));
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 1)), BgL_valza2za2_18450);
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 2)), BgL_bodyz00_15271);
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 3)), ((obj_t) BgL_i1255z00_15270));
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 4)), BgL_runz00_18451);
								PROCEDURE_SET(BgL_mainz00_18452,
									(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_15272));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18453;

									BgL_objz00_18453 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18451, BgL_objz00_18453);
									BgL_objz00_18453;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4060z00_18454;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4061z00_18455;
										obj_t BgL_arg4062z00_18456;

										BgL_arg4061z00_18455 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15270))->
											BgL_arityz00);
										BgL_arg4062z00_18456 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15270))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18457;

											BgL_newz00_18457 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34275;

												BgL_tmpz00_34275 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18457, BgL_tmpz00_34275,
													BgL_arg4062z00_18456);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34280;
												int BgL_tmpz00_34278;

												BgL_auxz00_34280 = BINT(BgL_siza7ezd2framez75_15272);
												BgL_tmpz00_34278 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18457, BgL_tmpz00_34278,
													BgL_auxz00_34280);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34283;

												BgL_tmpz00_34283 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18457, BgL_tmpz00_34283,
													BgL_runz00_18451);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34286;

												BgL_tmpz00_34286 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18457, BgL_tmpz00_34286,
													BgL_arg4061z00_18455);
											}
											BgL_arg4060z00_18454 = BgL_newz00_18457;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18452, BgL_arg4060z00_18454);
									BgL_arg4060z00_18454;
								}
								return BgL_mainz00_18452;
							}
						}
					}
				}
			}
		}

	}



/* &main4662 */
	obj_t BGl_z62main4662z62zz__evaluate_compz00(obj_t BgL_envz00_15274,
		obj_t BgL_az00_15281, obj_t BgL_bz00_15282, obj_t BgL_cz00_15283,
		obj_t BgL_dz00_15284, obj_t BgL_restz00_15285)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15278;
				obj_t BgL_runz00_15279;
				long BgL_siza7ezd2framez75_15280;

				BgL_i1255z00_15278 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 3))));
				BgL_runz00_15279 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 4))));
				BgL_siza7ezd2framez75_15280 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15274, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18458;

					BgL_sz00_18458 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18459;

						BgL_bpz00_18459 = VECTOR_REF(((obj_t) BgL_sz00_18458), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18459) + BgL_siza7ezd2framez75_15280) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18458))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4065z00_18460;

									BgL_arg4065z00_18460 =
										((long) CINT(BgL_bpz00_18459) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18458), BgL_arg4065z00_18460,
										BgL_az00_15281);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4066z00_18461;

									BgL_arg4066z00_18461 =
										((long) CINT(BgL_bpz00_18459) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18458), BgL_arg4066z00_18461,
										BgL_bz00_15282);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4067z00_18462;

									BgL_arg4067z00_18462 =
										((long) CINT(BgL_bpz00_18459) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18458), BgL_arg4067z00_18462,
										BgL_cz00_15283);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4068z00_18463;

									BgL_arg4068z00_18463 =
										((long) CINT(BgL_bpz00_18459) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18458), BgL_arg4068z00_18463,
										BgL_dz00_15284);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4069z00_18464;
									long BgL_arg4070z00_18465;
									long BgL_arg4071z00_18466;
									obj_t BgL_arg4072z00_18467;

									BgL_arg4069z00_18464 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
										BgL_wherez00);
									BgL_arg4070z00_18465 =
										((long) CINT(BgL_bpz00_18459) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4073z00_18468;

										BgL_arg4073z00_18468 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4073z00_18468) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4071z00_18466 =
													((long) CINT(BgL_arg4073z00_18468) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4071z00_18466 =
													((long) CINT(BgL_arg4073z00_18468) - ((long) 4));
									}}
									BgL_arg4072z00_18467 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18458,
										BgL_arg4069z00_18464, BgL_arg4070z00_18465,
										BgL_arg4071z00_18466, BgL_restz00_15285,
										BgL_arg4072z00_18467);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18469;

									BgL_ez00_18469 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18470;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18471;

											BgL_arg4423z00_18471 = BGL_EXITD_PROTECT(BgL_ez00_18469);
											BgL_arg4422z00_18470 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18459, BgL_arg4423z00_18471);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18469, BgL_arg4422z00_18470);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18472;

										BgL_accz00_18472 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15279, BgL_sz00_18458, BgL_bpz00_18459);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5776z00_34342;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18473;

												BgL_arg4421z00_18473 =
													BGL_EXITD_PROTECT(BgL_ez00_18469);
												BgL_test5776z00_34342 = PAIRP(BgL_arg4421z00_18473);
											}
											if (BgL_test5776z00_34342)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18474;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18475;

														BgL_arg4420z00_18475 =
															BGL_EXITD_PROTECT(BgL_ez00_18469);
														BgL_arg4419z00_18474 =
															CDR(((obj_t) BgL_arg4420z00_18475));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18469,
														BgL_arg4419z00_18474);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18458), ((long) 0), BgL_bpz00_18459);
										return BgL_accz00_18472;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18476;

								BgL_nsz00_18476 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18476, ((long) 1), BgL_sz00_18458);
								VECTOR_SET(BgL_nsz00_18476, ((long) 2), BgL_az00_15281);
								VECTOR_SET(BgL_nsz00_18476, ((long) 3), BgL_bz00_15282);
								VECTOR_SET(BgL_nsz00_18476, ((long) 4), BgL_cz00_15283);
								VECTOR_SET(BgL_nsz00_18476, ((long) 5), BgL_dz00_15284);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4074z00_18477;
									long BgL_arg4075z00_18478;
									obj_t BgL_arg4076z00_18479;

									BgL_arg4074z00_18477 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4077z00_18480;

										BgL_arg4077z00_18480 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4077z00_18480) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4075z00_18478 =
													((long) CINT(BgL_arg4077z00_18480) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4075z00_18478 =
													((long) CINT(BgL_arg4077z00_18480) - ((long) 4));
									}}
									BgL_arg4076z00_18479 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15278))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18476,
										BgL_arg4074z00_18477, ((long) 6), BgL_arg4075z00_18478,
										BgL_restz00_15285, BgL_arg4076z00_18479);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18481;

									BgL_z12denvz12_18481 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18481, BgL_nsz00_18476);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18482;

										BgL_ez00_18482 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18483;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18484;

												BgL_arg4423z00_18484 =
													BGL_EXITD_PROTECT(BgL_ez00_18482);
												BgL_arg4422z00_18483 =
													MAKE_YOUNG_PAIR(BgL_sz00_18458, BgL_arg4423z00_18484);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18482,
												BgL_arg4422z00_18483);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18485;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18486;

												BgL_savedzd2bpzd2_18486 =
													VECTOR_REF(BgL_nsz00_18476, ((long) 0));
												VECTOR_SET(BgL_nsz00_18476, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18488;

													BgL_fz00_18488 = BgL_runz00_15279;
												BgL_recz00_18487:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18489;

														BgL_rz00_18489 =
															PROCEDURE_ENTRY(BgL_fz00_18488) (BgL_fz00_18488,
															BgL_nsz00_18476, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5778z00_34381;

															if (PROCEDUREP(BgL_rz00_18489))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18490;

																	BgL_arg1747z00_18490 =
																		PROCEDURE_ATTR(BgL_rz00_18489);
																	if (STRUCTP(BgL_arg1747z00_18490))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5778z00_34381 =
																				(STRUCT_KEY(BgL_arg1747z00_18490) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5778z00_34381 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5778z00_34381 = ((bool_t) 0);
																}
															if (BgL_test5778z00_34381)
																{
																	obj_t BgL_fz00_34389;

																	BgL_fz00_34389 = BgL_rz00_18489;
																	BgL_fz00_18488 = BgL_fz00_34389;
																	goto BgL_recz00_18487;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18476, ((long) 0),
																		BgL_savedzd2bpzd2_18486);
																	BgL_____rz00_18485 = BgL_rz00_18489;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5781z00_34391;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18491;

													BgL_arg4421z00_18491 =
														BGL_EXITD_PROTECT(BgL_ez00_18482);
													BgL_test5781z00_34391 = PAIRP(BgL_arg4421z00_18491);
												}
												if (BgL_test5781z00_34391)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18492;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18493;

															BgL_arg4420z00_18493 =
																BGL_EXITD_PROTECT(BgL_ez00_18482);
															BgL_arg4419z00_18492 =
																CDR(((obj_t) BgL_arg4420z00_18493));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18482,
															BgL_arg4419z00_18492);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18481, BgL_sz00_18458);
											return BgL_____rz00_18485;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4663 */
	obj_t BGl_z62run4663z62zz__evaluate_compz00(obj_t BgL_envz00_15286,
		obj_t BgL_sz00_15291)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				long BgL_siza7eza7_15287;
				obj_t BgL_valza2za2_15288;
				BgL_ev_absz00_bglt BgL_i1255z00_15289;
				obj_t BgL_bodyz00_15290;

				BgL_siza7eza7_15287 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 0))));
				BgL_valza2za2_15288 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 1))));
				BgL_i1255z00_15289 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 2))));
				BgL_bodyz00_15290 = PROCEDURE_REF(BgL_envz00_15286, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18494;

					BgL_bpz00_18494 = VECTOR_REF(((obj_t) BgL_sz00_15291), ((long) 0));
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15291,
						BgL_valza2za2_15288,
						((long) CINT(BgL_bpz00_18494) + BgL_siza7eza7_15287));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18495;
						obj_t BgL_wherez00_18496;
						obj_t BgL_locz00_18497;

						BgL_z12denvz12_18495 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18496 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15289))->
							BgL_wherez00);
						BgL_locz00_18497 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15289))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18495, BgL_wherez00_18496,
								BgL_locz00_18497);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18498;

								BgL_za2za2resza2za2z00_18498 =
									PROCEDURE_ENTRY(BgL_bodyz00_15290) (BgL_bodyz00_15290,
									BgL_sz00_15291, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18495);
								return BgL_za2za2resza2za2z00_18498;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:4080> */
	obj_t BGl_z62zc3z04anonymousza34080ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15292, obj_t BgL_sz00_15299)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_ifreesz00_15293;
				obj_t BgL_iboxesz00_15294;
				long BgL_siza7eza7_15295;
				BgL_ev_absz00_bglt BgL_i1255z00_15296;
				obj_t BgL_bodyz00_15297;
				long BgL_siza7ezd2framez75_15298;

				BgL_ifreesz00_15293 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 0))));
				BgL_iboxesz00_15294 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 1))));
				BgL_siza7eza7_15295 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 2))));
				BgL_i1255z00_15296 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 3))));
				BgL_bodyz00_15297 = PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 4)));
				BgL_siza7ezd2framez75_15298 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15292, (int) (((long) 5))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18499;

					BgL_bpz00_18499 = VECTOR_REF(((obj_t) BgL_sz00_15299), ((long) 0));
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_valza2za2_18500;

						BgL_valza2za2_18500 =
							BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_15299,
							BgL_bpz00_18499, BgL_ifreesz00_15293);
						{	/* Eval/evaluate_comp.scm 1181 */
							obj_t BgL_runz00_18501;

							BgL_runz00_18501 =
								MAKE_FX_PROCEDURE(BGl_z62run4665z62zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_runz00_18501,
								(int) (((long) 0)), BgL_iboxesz00_15294);
							PROCEDURE_SET(BgL_runz00_18501,
								(int) (((long) 1)), BINT(BgL_siza7eza7_15295));
							PROCEDURE_SET(BgL_runz00_18501,
								(int) (((long) 2)), BgL_valza2za2_18500);
							PROCEDURE_SET(BgL_runz00_18501,
								(int) (((long) 3)), ((obj_t) BgL_i1255z00_15296));
							PROCEDURE_SET(BgL_runz00_18501,
								(int) (((long) 4)), BgL_bodyz00_15297);
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_mainz00_18502;

								BgL_mainz00_18502 =
									MAKE_VA_PROCEDURE(BGl_z62main4664z62zz__evaluate_compz00,
									(int) (((long) -5)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 0)), BgL_iboxesz00_15294);
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 1)), BINT(BgL_siza7eza7_15295));
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 2)), BgL_valza2za2_18500);
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 3)), BgL_bodyz00_15297);
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 4)), ((obj_t) BgL_i1255z00_15296));
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 5)), BgL_runz00_18501);
								PROCEDURE_SET(BgL_mainz00_18502,
									(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_15298));
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_objz00_18503;

									BgL_objz00_18503 =
										BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
									PROCEDURE_ATTR_SET(BgL_runz00_18501, BgL_objz00_18503);
									BgL_objz00_18503;
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4081z00_18504;

									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4082z00_18505;
										obj_t BgL_arg4083z00_18506;

										BgL_arg4082z00_18505 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15296))->
											BgL_arityz00);
										BgL_arg4083z00_18506 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15296))->
											BgL_wherez00);
										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_newz00_18507;

											BgL_newz00_18507 =
												create_struct(BGl_symbol4695z00zz__evaluate_compz00,
												(int) (((long) 4)));
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34484;

												BgL_tmpz00_34484 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_18507, BgL_tmpz00_34484,
													BgL_arg4083z00_18506);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												obj_t BgL_auxz00_34489;
												int BgL_tmpz00_34487;

												BgL_auxz00_34489 = BINT(BgL_siza7ezd2framez75_15298);
												BgL_tmpz00_34487 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_18507, BgL_tmpz00_34487,
													BgL_auxz00_34489);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34492;

												BgL_tmpz00_34492 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_18507, BgL_tmpz00_34492,
													BgL_runz00_18501);
											}
											{	/* Eval/evaluate_comp.scm 683 */
												int BgL_tmpz00_34495;

												BgL_tmpz00_34495 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18507, BgL_tmpz00_34495,
													BgL_arg4082z00_18505);
											}
											BgL_arg4081z00_18504 = BgL_newz00_18507;
									}}
									PROCEDURE_ATTR_SET(BgL_mainz00_18502, BgL_arg4081z00_18504);
									BgL_arg4081z00_18504;
								}
								return BgL_mainz00_18502;
							}
						}
					}
				}
			}
		}

	}



/* &main4664 */
	obj_t BGl_z62main4664z62zz__evaluate_compz00(obj_t BgL_envz00_15300,
		obj_t BgL_az00_15308, obj_t BgL_bz00_15309, obj_t BgL_cz00_15310,
		obj_t BgL_dz00_15311, obj_t BgL_restz00_15312)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				BgL_ev_absz00_bglt BgL_i1255z00_15305;
				obj_t BgL_runz00_15306;
				long BgL_siza7ezd2framez75_15307;

				BgL_i1255z00_15305 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 4))));
				BgL_runz00_15306 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 5))));
				BgL_siza7ezd2framez75_15307 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15300, (int) (((long) 6))));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_sz00_18508;

					BgL_sz00_18508 = BGl_findzd2statezd2zz__evaluate_compz00();
					{	/* Eval/evaluate_comp.scm 1181 */
						obj_t BgL_bpz00_18509;

						BgL_bpz00_18509 = VECTOR_REF(((obj_t) BgL_sz00_18508), ((long) 0));
						if (
							(((long) CINT(BgL_bpz00_18509) + BgL_siza7ezd2framez75_15307) <
								VECTOR_LENGTH(((obj_t) BgL_sz00_18508))))
							{	/* Eval/evaluate_comp.scm 1181 */
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4086z00_18510;

									BgL_arg4086z00_18510 =
										((long) CINT(BgL_bpz00_18509) + ((long) 0));
									VECTOR_SET(
										((obj_t) BgL_sz00_18508), BgL_arg4086z00_18510,
										BgL_az00_15308);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4087z00_18511;

									BgL_arg4087z00_18511 =
										((long) CINT(BgL_bpz00_18509) + ((long) 1));
									VECTOR_SET(
										((obj_t) BgL_sz00_18508), BgL_arg4087z00_18511,
										BgL_bz00_15309);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4088z00_18512;

									BgL_arg4088z00_18512 =
										((long) CINT(BgL_bpz00_18509) + ((long) 2));
									VECTOR_SET(
										((obj_t) BgL_sz00_18508), BgL_arg4088z00_18512,
										BgL_cz00_15310);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									long BgL_arg4089z00_18513;

									BgL_arg4089z00_18513 =
										((long) CINT(BgL_bpz00_18509) + ((long) 3));
									VECTOR_SET(
										((obj_t) BgL_sz00_18508), BgL_arg4089z00_18513,
										BgL_dz00_15311);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4090z00_18514;
									long BgL_arg4091z00_18515;
									long BgL_arg4092z00_18516;
									obj_t BgL_arg4093z00_18517;

									BgL_arg4090z00_18514 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
										BgL_wherez00);
									BgL_arg4091z00_18515 =
										((long) CINT(BgL_bpz00_18509) + ((long) 4));
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4094z00_18518;

										BgL_arg4094z00_18518 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4094z00_18518) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4092z00_18516 =
													((long) CINT(BgL_arg4094z00_18518) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4092z00_18516 =
													((long) CINT(BgL_arg4094z00_18518) - ((long) 4));
									}}
									BgL_arg4093z00_18517 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_18508,
										BgL_arg4090z00_18514, BgL_arg4091z00_18515,
										BgL_arg4092z00_18516, BgL_restz00_15312,
										BgL_arg4093z00_18517);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_ez00_18519;

									BgL_ez00_18519 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4422z00_18520;

										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4423z00_18521;

											BgL_arg4423z00_18521 = BGL_EXITD_PROTECT(BgL_ez00_18519);
											BgL_arg4422z00_18520 =
												MAKE_YOUNG_PAIR(BgL_bpz00_18509, BgL_arg4423z00_18521);
										}
										BGL_EXITD_PROTECT_SET(BgL_ez00_18519, BgL_arg4422z00_18520);
										BUNSPEC;
									}
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_accz00_18522;

										BgL_accz00_18522 =
											BGl_catchzd2trampolinezd2zz__evaluate_compz00
											(BgL_runz00_15306, BgL_sz00_18508, BgL_bpz00_18509);
										{	/* Eval/evaluate_comp.scm 1181 */
											bool_t BgL_test5784z00_34551;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4421z00_18523;

												BgL_arg4421z00_18523 =
													BGL_EXITD_PROTECT(BgL_ez00_18519);
												BgL_test5784z00_34551 = PAIRP(BgL_arg4421z00_18523);
											}
											if (BgL_test5784z00_34551)
												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4419z00_18524;

													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4420z00_18525;

														BgL_arg4420z00_18525 =
															BGL_EXITD_PROTECT(BgL_ez00_18519);
														BgL_arg4419z00_18524 =
															CDR(((obj_t) BgL_arg4420z00_18525));
													}
													BGL_EXITD_PROTECT_SET(BgL_ez00_18519,
														BgL_arg4419z00_18524);
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 1181 */
													BFALSE;
												}
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_18508), ((long) 0), BgL_bpz00_18509);
										return BgL_accz00_18522;
									}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 1181 */
								obj_t BgL_nsz00_18526;

								BgL_nsz00_18526 = BGl_makezd2statezd2zz__evaluate_compz00();
								VECTOR_SET(BgL_nsz00_18526, ((long) 1), BgL_sz00_18508);
								VECTOR_SET(BgL_nsz00_18526, ((long) 2), BgL_az00_15308);
								VECTOR_SET(BgL_nsz00_18526, ((long) 3), BgL_bz00_15309);
								VECTOR_SET(BgL_nsz00_18526, ((long) 4), BgL_cz00_15310);
								VECTOR_SET(BgL_nsz00_18526, ((long) 5), BgL_dz00_15311);
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_arg4095z00_18527;
									long BgL_arg4096z00_18528;
									obj_t BgL_arg4097z00_18529;

									BgL_arg4095z00_18527 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
										BgL_wherez00);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_arg4098z00_18530;

										BgL_arg4098z00_18530 =
											(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
											BgL_arityz00);
										if (((long) CINT(BgL_arg4098z00_18530) < ((long) 0)))
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4096z00_18528 =
													((long) CINT(BgL_arg4098z00_18530) + ((long) 4));
											}
										else
											{	/* Eval/evaluate_comp.scm 1066 */
												BgL_arg4096z00_18528 =
													((long) CINT(BgL_arg4098z00_18530) - ((long) 4));
									}}
									BgL_arg4097z00_18529 =
										(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15305))->
										BgL_locz00);
									BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_18526,
										BgL_arg4095z00_18527, ((long) 6), BgL_arg4096z00_18528,
										BgL_restz00_15312, BgL_arg4097z00_18529);
								}
								{	/* Eval/evaluate_comp.scm 1181 */
									obj_t BgL_z12denvz12_18531;

									BgL_z12denvz12_18531 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18531, BgL_nsz00_18526);
									{	/* Eval/evaluate_comp.scm 1181 */
										obj_t BgL_ez00_18532;

										BgL_ez00_18532 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_arg4422z00_18533;

											{	/* Eval/evaluate_comp.scm 1181 */
												obj_t BgL_arg4423z00_18534;

												BgL_arg4423z00_18534 =
													BGL_EXITD_PROTECT(BgL_ez00_18532);
												BgL_arg4422z00_18533 =
													MAKE_YOUNG_PAIR(BgL_sz00_18508, BgL_arg4423z00_18534);
											}
											BGL_EXITD_PROTECT_SET(BgL_ez00_18532,
												BgL_arg4422z00_18533);
											BUNSPEC;
										}
										{	/* Eval/evaluate_comp.scm 1181 */
											obj_t BgL_____rz00_18535;

											{	/* Eval/evaluate_comp.scm 670 */
												obj_t BgL_savedzd2bpzd2_18536;

												BgL_savedzd2bpzd2_18536 =
													VECTOR_REF(BgL_nsz00_18526, ((long) 0));
												VECTOR_SET(BgL_nsz00_18526, ((long) 0),
													BINT(((long) 2)));
												{
													obj_t BgL_fz00_18538;

													BgL_fz00_18538 = BgL_runz00_15306;
												BgL_recz00_18537:
													{	/* Eval/evaluate_comp.scm 673 */
														obj_t BgL_rz00_18539;

														BgL_rz00_18539 =
															PROCEDURE_ENTRY(BgL_fz00_18538) (BgL_fz00_18538,
															BgL_nsz00_18526, BEOA);
														{	/* Eval/evaluate_comp.scm 674 */
															bool_t BgL_test5786z00_34590;

															if (PROCEDUREP(BgL_rz00_18539))
																{	/* Eval/evaluate_comp.scm 674 */
																	obj_t BgL_arg1747z00_18540;

																	BgL_arg1747z00_18540 =
																		PROCEDURE_ATTR(BgL_rz00_18539);
																	if (STRUCTP(BgL_arg1747z00_18540))
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5786z00_34590 =
																				(STRUCT_KEY(BgL_arg1747z00_18540) ==
																				BGl_symbol4674z00zz__evaluate_compz00);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 654 */
																			BgL_test5786z00_34590 = ((bool_t) 0);
																		}
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	BgL_test5786z00_34590 = ((bool_t) 0);
																}
															if (BgL_test5786z00_34590)
																{
																	obj_t BgL_fz00_34598;

																	BgL_fz00_34598 = BgL_rz00_18539;
																	BgL_fz00_18538 = BgL_fz00_34598;
																	goto BgL_recz00_18537;
																}
															else
																{	/* Eval/evaluate_comp.scm 674 */
																	VECTOR_SET(BgL_nsz00_18526, ((long) 0),
																		BgL_savedzd2bpzd2_18536);
																	BgL_____rz00_18535 = BgL_rz00_18539;
											}}}}}
											{	/* Eval/evaluate_comp.scm 1181 */
												bool_t BgL_test5789z00_34600;

												{	/* Eval/evaluate_comp.scm 1181 */
													obj_t BgL_arg4421z00_18541;

													BgL_arg4421z00_18541 =
														BGL_EXITD_PROTECT(BgL_ez00_18532);
													BgL_test5789z00_34600 = PAIRP(BgL_arg4421z00_18541);
												}
												if (BgL_test5789z00_34600)
													{	/* Eval/evaluate_comp.scm 1181 */
														obj_t BgL_arg4419z00_18542;

														{	/* Eval/evaluate_comp.scm 1181 */
															obj_t BgL_arg4420z00_18543;

															BgL_arg4420z00_18543 =
																BGL_EXITD_PROTECT(BgL_ez00_18532);
															BgL_arg4419z00_18542 =
																CDR(((obj_t) BgL_arg4420z00_18543));
														}
														BGL_EXITD_PROTECT_SET(BgL_ez00_18532,
															BgL_arg4419z00_18542);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 1181 */
														BFALSE;
													}
											}
											BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18531, BgL_sz00_18508);
											return BgL_____rz00_18535;
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &run4665 */
	obj_t BGl_z62run4665z62zz__evaluate_compz00(obj_t BgL_envz00_15313,
		obj_t BgL_sz00_15319)
	{
		{	/* Eval/evaluate_comp.scm 1181 */
			{	/* Eval/evaluate_comp.scm 1181 */
				obj_t BgL_iboxesz00_15314;
				long BgL_siza7eza7_15315;
				obj_t BgL_valza2za2_15316;
				BgL_ev_absz00_bglt BgL_i1255z00_15317;
				obj_t BgL_bodyz00_15318;

				BgL_iboxesz00_15314 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 0))));
				BgL_siza7eza7_15315 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 1))));
				BgL_valza2za2_15316 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 2))));
				BgL_i1255z00_15317 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 3))));
				BgL_bodyz00_15318 = PROCEDURE_REF(BgL_envz00_15313, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 1181 */
					obj_t BgL_bpz00_18544;

					BgL_bpz00_18544 = VECTOR_REF(((obj_t) BgL_sz00_15319), ((long) 0));
					BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_15319,
						BgL_iboxesz00_15314, BgL_bpz00_18544);
					BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_15319,
						BgL_valza2za2_15316,
						((long) CINT(BgL_bpz00_18544) + BgL_siza7eza7_15315));
					{	/* Eval/evaluate_comp.scm 1102 */
						obj_t BgL_z12denvz12_18545;
						obj_t BgL_wherez00_18546;
						obj_t BgL_locz00_18547;

						BgL_z12denvz12_18545 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_wherez00_18546 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15317))->
							BgL_wherez00);
						BgL_locz00_18547 =
							(((BgL_ev_absz00_bglt) COBJECT(BgL_i1255z00_15317))->BgL_locz00);
						{	/* Eval/evaluate_comp.scm 1102 */

							BGL_ENV_PUSH_TRACE(BgL_z12denvz12_18545, BgL_wherez00_18546,
								BgL_locz00_18547);
							{	/* Eval/evaluate_comp.scm 1102 */
								obj_t BgL_za2za2resza2za2z00_18548;

								BgL_za2za2resza2za2z00_18548 =
									PROCEDURE_ENTRY(BgL_bodyz00_15318) (BgL_bodyz00_15318,
									BgL_sz00_15319, BEOA);
								BGL_ENV_POP_TRACE(BgL_z12denvz12_18545);
								return BgL_za2za2resza2za2z00_18548;
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_app1447 */
	obj_t BGl_z62compzd2ev_app1447zb0zz__evaluate_compz00(obj_t BgL_envz00_15320,
		obj_t BgL_ez00_15321, obj_t BgL_stkz00_15322)
	{
		{	/* Eval/evaluate_comp.scm 1051 */
			{	/* Eval/evaluate_comp.scm 1053 */
				obj_t BgL__ortest_1241z00_18550;

				BgL__ortest_1241z00_18550 =
					BGl_arithzd2expressionzd2zz__evaluate_compz00(
					((BgL_ev_appz00_bglt) BgL_ez00_15321), BgL_stkz00_15322);
				if (CBOOL(BgL__ortest_1241z00_18550))
					{	/* Eval/evaluate_comp.scm 1053 */
						return BgL__ortest_1241z00_18550;
					}
				else
					{	/* Eval/evaluate_comp.scm 1054 */
						obj_t BgL__ortest_1242z00_18551;

						BgL__ortest_1242z00_18551 =
							BGl_inlinezd2callzd2zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15321)))->BgL_locz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15321)))->BgL_funz00),
							(((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_15321)))->BgL_argsz00),
							BgL_stkz00_15322);
						if (CBOOL(BgL__ortest_1242z00_18551))
							{	/* Eval/evaluate_comp.scm 1054 */
								return BgL__ortest_1242z00_18551;
							}
						else
							{	/* Eval/evaluate_comp.scm 1054 */
								if (
									(bgl_list_length(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
												BgL_argsz00)) > ((long) 4)))
									{	/* Eval/evaluate_comp.scm 1055 */
										return
											BGl_compzd2oldzd2callz00zz__evaluate_compz00(
											((BgL_ev_appz00_bglt) BgL_ez00_15321), BgL_stkz00_15322);
									}
								else
									{	/* Eval/evaluate_comp.scm 1057 */
										obj_t BgL_fz00_18552;
										long BgL_siza7eza7_18553;
										obj_t BgL_symbzd2funzd2_18554;

										BgL_fz00_18552 =
											BGl_compz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
												BgL_funz00), BgL_stkz00_15322);
										BgL_siza7eza7_18553 = bgl_list_length(BgL_stkz00_15322);
										BgL_symbzd2funzd2_18554 =
											BGl_uncompilez00zz__evaluate_uncompz00(
											(((BgL_ev_appz00_bglt) COBJECT(
														((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
												BgL_funz00));
										if (NULLP((((BgL_ev_appz00_bglt)
														COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
													BgL_argsz00)))
											{	/* Eval/evaluate_comp.scm 1058 */
												return
													BGl_compzd2call0zd2zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
														BgL_locz00),
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15321)))->BgL_funz00),
													BgL_symbzd2funzd2_18554, BgL_fz00_18552,
													(((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
																	BgL_ez00_15321)))->BgL_tailzf3zf3),
													BgL_stkz00_15322, BgL_siza7eza7_18553);
											}
										else
											{	/* Eval/evaluate_comp.scm 1060 */
												obj_t BgL_a1z00_18555;
												obj_t BgL_argsz00_18556;

												{	/* Eval/evaluate_comp.scm 1060 */
													obj_t BgL_arg3532z00_18557;

													BgL_arg3532z00_18557 =
														CAR(
														(((BgL_ev_appz00_bglt) COBJECT(
																	((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
															BgL_argsz00));
													BgL_a1z00_18555 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3532z00_18557),
														BgL_stkz00_15322);
												}
												BgL_argsz00_18556 =
													CDR(
													(((BgL_ev_appz00_bglt) COBJECT(
																((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
														BgL_argsz00));
												if (NULLP(BgL_argsz00_18556))
													{	/* Eval/evaluate_comp.scm 1060 */
														return
															BGl_compzd2call1zd2zz__evaluate_compz00(
															(((BgL_ev_appz00_bglt) COBJECT(
																		((BgL_ev_appz00_bglt) BgL_ez00_15321)))->
																BgL_locz00),
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15321)))->BgL_funz00),
															BgL_symbzd2funzd2_18554, BgL_fz00_18552,
															(((BgL_ev_appz00_bglt)
																	COBJECT(((BgL_ev_appz00_bglt)
																			BgL_ez00_15321)))->BgL_tailzf3zf3),
															BgL_stkz00_15322, BgL_siza7eza7_18553,
															BgL_a1z00_18555);
													}
												else
													{	/* Eval/evaluate_comp.scm 1060 */
														obj_t BgL_a2z00_18558;
														obj_t BgL_argsz00_18559;

														{	/* Eval/evaluate_comp.scm 1060 */
															obj_t BgL_arg3531z00_18560;

															BgL_arg3531z00_18560 =
																CAR(((obj_t) BgL_argsz00_18556));
															BgL_a2z00_18558 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_arg3531z00_18560),
																BgL_stkz00_15322);
														}
														BgL_argsz00_18559 =
															CDR(((obj_t) BgL_argsz00_18556));
														if (NULLP(BgL_argsz00_18559))
															{	/* Eval/evaluate_comp.scm 1060 */
																return
																	BGl_compzd2call2zd2zz__evaluate_compz00(
																	(((BgL_ev_appz00_bglt) COBJECT(
																				((BgL_ev_appz00_bglt)
																					BgL_ez00_15321)))->BgL_locz00),
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15321)))->BgL_funz00),
																	BgL_symbzd2funzd2_18554, BgL_fz00_18552,
																	(((BgL_ev_appz00_bglt)
																			COBJECT(((BgL_ev_appz00_bglt)
																					BgL_ez00_15321)))->BgL_tailzf3zf3),
																	BgL_stkz00_15322, BgL_siza7eza7_18553,
																	BgL_a1z00_18555, BgL_a2z00_18558);
															}
														else
															{	/* Eval/evaluate_comp.scm 1060 */
																obj_t BgL_a3z00_18561;
																obj_t BgL_argsz00_18562;

																{	/* Eval/evaluate_comp.scm 1060 */
																	obj_t BgL_arg3530z00_18563;

																	BgL_arg3530z00_18563 =
																		CAR(((obj_t) BgL_argsz00_18559));
																	BgL_a3z00_18561 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt)
																			BgL_arg3530z00_18563), BgL_stkz00_15322);
																}
																BgL_argsz00_18562 =
																	CDR(((obj_t) BgL_argsz00_18559));
																if (NULLP(BgL_argsz00_18562))
																	{	/* Eval/evaluate_comp.scm 1060 */
																		return
																			BGl_compzd2call3zd2zz__evaluate_compz00(
																			(((BgL_ev_appz00_bglt) COBJECT(
																						((BgL_ev_appz00_bglt)
																							BgL_ez00_15321)))->BgL_locz00),
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15321)))->BgL_funz00),
																			BgL_symbzd2funzd2_18554, BgL_fz00_18552,
																			(((BgL_ev_appz00_bglt)
																					COBJECT(((BgL_ev_appz00_bglt)
																							BgL_ez00_15321)))->
																				BgL_tailzf3zf3), BgL_stkz00_15322,
																			BgL_siza7eza7_18553, BgL_a1z00_18555,
																			BgL_a2z00_18558, BgL_a3z00_18561);
																	}
																else
																	{	/* Eval/evaluate_comp.scm 1060 */
																		obj_t BgL_a4z00_18564;
																		obj_t BgL_argsz00_18565;

																		{	/* Eval/evaluate_comp.scm 1060 */
																			obj_t BgL_arg3528z00_18566;

																			BgL_arg3528z00_18566 =
																				CAR(((obj_t) BgL_argsz00_18562));
																			BgL_a4z00_18564 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt)
																					BgL_arg3528z00_18566),
																				BgL_stkz00_15322);
																		}
																		BgL_argsz00_18565 =
																			CDR(((obj_t) BgL_argsz00_18562));
																		if (NULLP(BgL_argsz00_18565))
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_compzd2call4zd2zz__evaluate_compz00
																					((((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15321)))->
																						BgL_locz00),
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15321)))->
																						BgL_funz00),
																					BgL_symbzd2funzd2_18554,
																					BgL_fz00_18552,
																					(((BgL_ev_appz00_bglt)
																							COBJECT(((BgL_ev_appz00_bglt)
																									BgL_ez00_15321)))->
																						BgL_tailzf3zf3), BgL_stkz00_15322,
																					BgL_siza7eza7_18553, BgL_a1z00_18555,
																					BgL_a2z00_18558, BgL_a3z00_18561,
																					BgL_a4z00_18564);
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 1060 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string4678z00zz__evaluate_compz00,
																					BGl_string4793z00zz__evaluate_compz00,
																					BGl_string4794z00zz__evaluate_compz00);
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &comp-ev_goto1445 */
	obj_t BGl_z62compzd2ev_goto1445zb0zz__evaluate_compz00(obj_t BgL_envz00_15323,
		obj_t BgL_ez00_15324, obj_t BgL_stkz00_15325)
	{
		{	/* Eval/evaluate_comp.scm 604 */
			{	/* Eval/evaluate_comp.scm 607 */
				obj_t BgL_slotz00_18570;
				long BgL_siza7eza7_18571;
				obj_t BgL_lstkz00_18572;

				BgL_slotz00_18570 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					((obj_t)
						(((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_labelz00)),
					(((BgL_ev_labelsz00_bglt) COBJECT(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->
									BgL_labelsz00)))->BgL_envz00));
				BgL_siza7eza7_18571 = bgl_list_length(BgL_stkz00_15325);
				BgL_lstkz00_18572 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_labelsz00)))->
					BgL_stkz00);
				{	/* Eval/evaluate_comp.scm 609 */
					long BgL_llstkz00_18573;
					obj_t BgL_substkz00_18574;
					obj_t BgL_boxesz00_18575;

					BgL_llstkz00_18573 = bgl_list_length(BgL_lstkz00_18572);
					BgL_substkz00_18574 =
						BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_18572,
						BgL_stkz00_15325);
					{	/* Eval/evaluate_comp.scm 609 */
						obj_t BgL_pairz00_18576;

						BgL_pairz00_18576 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_labelz00)),
							(((BgL_ev_labelsz00_bglt) COBJECT(
										(((BgL_ev_gotoz00_bglt) COBJECT(
													((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->
											BgL_labelsz00)))->BgL_boxesz00));
						BgL_boxesz00_18575 = CDR(BgL_pairz00_18576);
					}
					if (BGl_needzd2shiftzd2zz__evaluate_compz00(
							(((BgL_ev_gotoz00_bglt) COBJECT(
										((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_argsz00),
							BgL_substkz00_18574))
						{	/* Eval/evaluate_comp.scm 612 */
							obj_t BgL_argsz00_18577;
							long BgL_nbargsz00_18578;

							BgL_argsz00_18577 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_argsz00),
								BgL_stkz00_15325);
							BgL_nbargsz00_18578 =
								bgl_list_length((((BgL_ev_gotoz00_bglt)
										COBJECT(((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->
									BgL_argsz00));
							{	/* Eval/evaluate_comp.scm 613 */
								obj_t BgL_zc3z04anonymousza33477ze3z87_18579;

								BgL_zc3z04anonymousza33477ze3z87_18579 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18571));
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 1)), BINT(BgL_llstkz00_18573));
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 2)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15324)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 3)), BgL_argsz00_18577);
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 4)), BgL_boxesz00_18575);
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 5)), BINT(BgL_nbargsz00_18578));
								PROCEDURE_SET(BgL_zc3z04anonymousza33477ze3z87_18579,
									(int) (((long) 6)), BgL_slotz00_18570);
								return BgL_zc3z04anonymousza33477ze3z87_18579;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 618 */
							obj_t BgL_argsz00_18580;

							{	/* Eval/evaluate_comp.scm 618 */
								obj_t BgL_lz00_18581;
								long BgL_nz00_18582;

								BgL_lz00_18581 =
									(((BgL_ev_gotoz00_bglt) COBJECT(
											((BgL_ev_gotoz00_bglt) BgL_ez00_15324)))->BgL_argsz00);
								BgL_nz00_18582 = (BgL_siza7eza7_18571 - BgL_llstkz00_18573);
								BgL_argsz00_18580 =
									BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_15325,
									BgL_lz00_18581, BgL_nz00_18582);
							}
							{	/* Eval/evaluate_comp.scm 619 */
								obj_t BgL_zc3z04anonymousza33484ze3z87_18583;

								BgL_zc3z04anonymousza33484ze3z87_18583 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33484ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33484ze3z87_18583,
									(int) (((long) 0)), BINT(BgL_llstkz00_18573));
								PROCEDURE_SET(BgL_zc3z04anonymousza33484ze3z87_18583,
									(int) (((long) 1)),
									((obj_t) ((BgL_ev_gotoz00_bglt) BgL_ez00_15324)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33484ze3z87_18583,
									(int) (((long) 2)), BgL_argsz00_18580);
								PROCEDURE_SET(BgL_zc3z04anonymousza33484ze3z87_18583,
									(int) (((long) 3)), BgL_boxesz00_18575);
								PROCEDURE_SET(BgL_zc3z04anonymousza33484ze3z87_18583,
									(int) (((long) 4)), BgL_slotz00_18570);
								return BgL_zc3z04anonymousza33484ze3z87_18583;
							}
						}
				}
			}
		}

	}



/* &<@anonymous:3477> */
	obj_t BGl_z62zc3z04anonymousza33477ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15326, obj_t BgL_sz00_15334)
	{
		{	/* Eval/evaluate_comp.scm 613 */
			{	/* Eval/evaluate_comp.scm 613 */
				long BgL_siza7eza7_15327;
				long BgL_llstkz00_15328;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15329;
				obj_t BgL_argsz00_15330;
				obj_t BgL_boxesz00_15331;
				long BgL_nbargsz00_15332;
				obj_t BgL_slotz00_15333;

				BgL_siza7eza7_15327 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 0))));
				BgL_llstkz00_15328 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 1))));
				BgL_i1153z00_15329 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 2))));
				BgL_argsz00_15330 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 3))));
				BgL_boxesz00_15331 =
					PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 4)));
				BgL_nbargsz00_15332 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 5))));
				BgL_slotz00_15333 = PROCEDURE_REF(BgL_envz00_15326, (int) (((long) 6)));
				{	/* Eval/evaluate_comp.scm 613 */
					obj_t BgL_bpz00_18584;

					BgL_bpz00_18584 = VECTOR_REF(((obj_t) BgL_sz00_15334), ((long) 0));
					{	/* Eval/evaluate_comp.scm 614 */
						long BgL_spz00_18585;
						long BgL_lspz00_18586;

						BgL_spz00_18585 =
							((long) CINT(BgL_bpz00_18584) + BgL_siza7eza7_15327);
						BgL_lspz00_18586 =
							((long) CINT(BgL_bpz00_18584) + BgL_llstkz00_15328);
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_15334, BgL_argsz00_15330, BgL_boxesz00_15331,
							BgL_spz00_18585,
							(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15329))->
								BgL_locz00));
						{	/* Eval/evaluate_comp.scm 616 */
							long BgL_arg3480z00_18587;

							BgL_arg3480z00_18587 = (BgL_spz00_18585 + BgL_nbargsz00_15332);
							BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_15334,
								BgL_lspz00_18586, BgL_sz00_15334, BINT(BgL_spz00_18585),
								BINT(BgL_arg3480z00_18587));
						}
						return CDR(((obj_t) BgL_slotz00_15333));
					}
				}
			}
		}

	}



/* &<@anonymous:3484> */
	obj_t BGl_z62zc3z04anonymousza33484ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15335, obj_t BgL_sz00_15341)
	{
		{	/* Eval/evaluate_comp.scm 619 */
			{	/* Eval/evaluate_comp.scm 619 */
				long BgL_llstkz00_15336;
				BgL_ev_gotoz00_bglt BgL_i1153z00_15337;
				obj_t BgL_argsz00_15338;
				obj_t BgL_boxesz00_15339;
				obj_t BgL_slotz00_15340;

				BgL_llstkz00_15336 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15335, (int) (((long) 0))));
				BgL_i1153z00_15337 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_15335, (int) (((long) 1))));
				BgL_argsz00_15338 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15335, (int) (((long) 2))));
				BgL_boxesz00_15339 =
					PROCEDURE_REF(BgL_envz00_15335, (int) (((long) 3)));
				BgL_slotz00_15340 = PROCEDURE_REF(BgL_envz00_15335, (int) (((long) 4)));
				{	/* Eval/evaluate_comp.scm 619 */
					obj_t BgL_bpz00_18588;

					BgL_bpz00_18588 = VECTOR_REF(((obj_t) BgL_sz00_15341), ((long) 0));
					BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
						(BgL_sz00_15341, BgL_argsz00_15338, BgL_boxesz00_15339,
						((long) CINT(BgL_bpz00_18588) + BgL_llstkz00_15336),
						(((BgL_ev_gotoz00_bglt) COBJECT(BgL_i1153z00_15337))->BgL_locz00));
					return CDR(((obj_t) BgL_slotz00_15340));
				}
			}
		}

	}



/* &comp-ev_labels1442 */
	obj_t BGl_z62compzd2ev_labels1442zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15342, obj_t BgL_ez00_15343, obj_t BgL_stkz00_15344)
	{
		{	/* Eval/evaluate_comp.scm 572 */
			((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_15343)))->BgL_stkz00) =
				((obj_t) BgL_stkz00_15344), BUNSPEC);
			{	/* Eval/evaluate_comp.scm 579 */
				obj_t BgL_envz00_18590;

				{	/* Eval/evaluate_comp.scm 579 */
					obj_t BgL_l1342z00_18591;

					BgL_l1342z00_18591 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15343)))->BgL_varsz00);
					if (NULLP(BgL_l1342z00_18591))
						{	/* Eval/evaluate_comp.scm 579 */
							BgL_envz00_18590 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 579 */
							obj_t BgL_head1344z00_18592;

							BgL_head1344z00_18592 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1342z00_18594;
								obj_t BgL_tail1345z00_18595;

								BgL_l1342z00_18594 = BgL_l1342z00_18591;
								BgL_tail1345z00_18595 = BgL_head1344z00_18592;
							BgL_zc3z04anonymousza33465ze3z87_18593:
								if (NULLP(BgL_l1342z00_18594))
									{	/* Eval/evaluate_comp.scm 579 */
										BgL_envz00_18590 = CDR(BgL_head1344z00_18592);
									}
								else
									{	/* Eval/evaluate_comp.scm 579 */
										obj_t BgL_newtail1346z00_18596;

										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3469z00_18597;

											{	/* Eval/evaluate_comp.scm 579 */
												obj_t BgL_vz00_18598;

												BgL_vz00_18598 = CAR(((obj_t) BgL_l1342z00_18594));
												BgL_arg3469z00_18597 =
													MAKE_YOUNG_PAIR(BgL_vz00_18598,
													BGl_symbol4795z00zz__evaluate_compz00);
											}
											BgL_newtail1346z00_18596 =
												MAKE_YOUNG_PAIR(BgL_arg3469z00_18597, BNIL);
										}
										SET_CDR(BgL_tail1345z00_18595, BgL_newtail1346z00_18596);
										{	/* Eval/evaluate_comp.scm 579 */
											obj_t BgL_arg3468z00_18599;

											BgL_arg3468z00_18599 = CDR(((obj_t) BgL_l1342z00_18594));
											{
												obj_t BgL_tail1345z00_34883;
												obj_t BgL_l1342z00_34882;

												BgL_l1342z00_34882 = BgL_arg3468z00_18599;
												BgL_tail1345z00_34883 = BgL_newtail1346z00_18596;
												BgL_tail1345z00_18595 = BgL_tail1345z00_34883;
												BgL_l1342z00_18594 = BgL_l1342z00_34882;
												goto BgL_zc3z04anonymousza33465ze3z87_18593;
											}
										}
									}
							}
						}
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15343)))->BgL_envz00) =
					((obj_t) BgL_envz00_18590), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 582 */
					obj_t BgL_g1350z00_18600;

					BgL_g1350z00_18600 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15343)))->BgL_valsz00);
					{
						obj_t BgL_ll1347z00_18602;
						obj_t BgL_ll1348z00_18603;

						BgL_ll1347z00_18602 = BgL_envz00_18590;
						BgL_ll1348z00_18603 = BgL_g1350z00_18600;
					BgL_zc3z04anonymousza33454ze3z87_18601:
						if (NULLP(BgL_ll1347z00_18602))
							{	/* Eval/evaluate_comp.scm 582 */
								((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_comp.scm 582 */
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_slotz00_18604;
									obj_t BgL_valz00_18605;

									BgL_slotz00_18604 = CAR(((obj_t) BgL_ll1347z00_18602));
									BgL_valz00_18605 = CAR(((obj_t) BgL_ll1348z00_18603));
									{	/* Eval/evaluate_comp.scm 585 */
										obj_t BgL_arg3456z00_18606;

										{	/* Eval/evaluate_comp.scm 585 */
											obj_t BgL_arg3458z00_18607;

											{	/* Eval/evaluate_comp.scm 585 */
												obj_t BgL_arg3459z00_18608;
												obj_t BgL_arg3460z00_18609;

												BgL_arg3459z00_18608 = CDR(((obj_t) BgL_valz00_18605));
												{	/* Eval/evaluate_comp.scm 585 */
													obj_t BgL_arg3461z00_18610;

													BgL_arg3461z00_18610 =
														CAR(((obj_t) BgL_valz00_18605));
													BgL_arg3460z00_18609 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_15344, BgL_arg3461z00_18610);
												}
												BgL_arg3458z00_18607 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_arg3459z00_18608),
													BgL_arg3460z00_18609);
											}
											{	/* Eval/evaluate_comp.scm 574 */
												obj_t BgL_objz00_18611;

												BgL_objz00_18611 =
													BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
												{	/* Eval/evaluate_comp.scm 574 */
													obj_t BgL_tmpz00_34901;

													BgL_tmpz00_34901 = ((obj_t) BgL_arg3458z00_18607);
													PROCEDURE_ATTR_SET(BgL_tmpz00_34901,
														BgL_objz00_18611);
												}
												BgL_objz00_18611;
											}
											BgL_arg3456z00_18606 = BgL_arg3458z00_18607;
										}
										{	/* Eval/evaluate_comp.scm 584 */
											obj_t BgL_tmpz00_34904;

											BgL_tmpz00_34904 = ((obj_t) BgL_slotz00_18604);
											SET_CDR(BgL_tmpz00_34904, BgL_arg3456z00_18606);
										}
									}
								}
								{	/* Eval/evaluate_comp.scm 582 */
									obj_t BgL_arg3462z00_18612;
									obj_t BgL_arg3463z00_18613;

									BgL_arg3462z00_18612 = CDR(((obj_t) BgL_ll1347z00_18602));
									BgL_arg3463z00_18613 = CDR(((obj_t) BgL_ll1348z00_18603));
									{
										obj_t BgL_ll1348z00_34912;
										obj_t BgL_ll1347z00_34911;

										BgL_ll1347z00_34911 = BgL_arg3462z00_18612;
										BgL_ll1348z00_34912 = BgL_arg3463z00_18613;
										BgL_ll1348z00_18603 = BgL_ll1348z00_34912;
										BgL_ll1347z00_18602 = BgL_ll1347z00_34911;
										goto BgL_zc3z04anonymousza33454ze3z87_18601;
									}
								}
							}
					}
				}
			}
			{	/* Eval/evaluate_comp.scm 589 */
				obj_t BgL_bodyz00_18614;

				BgL_bodyz00_18614 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_15343)))->BgL_bodyz00),
					BgL_stkz00_15344);
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_zc3z04anonymousza33470ze3z87_18615;

					BgL_zc3z04anonymousza33470ze3z87_18615 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33470ze3z87_18615,
						(int) (((long) 0)), BgL_bodyz00_18614);
					return BgL_zc3z04anonymousza33470ze3z87_18615;
				}
			}
		}

	}



/* &<@anonymous:3470> */
	obj_t BGl_z62zc3z04anonymousza33470ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15345, obj_t BgL_sz00_15347)
	{
		{	/* Eval/evaluate_comp.scm 590 */
			{	/* Eval/evaluate_comp.scm 590 */
				obj_t BgL_bodyz00_15346;

				BgL_bodyz00_15346 = PROCEDURE_REF(BgL_envz00_15345, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 590 */
					obj_t BgL_bpz00_18616;

					BgL_bpz00_18616 = VECTOR_REF(((obj_t) BgL_sz00_15347), ((long) 0));
					{
						obj_t BgL_fz00_18618;

						BgL_fz00_18618 = BgL_bodyz00_15346;
					BgL_recz00_18617:
						{	/* Eval/evaluate_comp.scm 597 */
							obj_t BgL_rz00_18619;

							BgL_rz00_18619 =
								PROCEDURE_ENTRY(BgL_fz00_18618) (BgL_fz00_18618, BgL_sz00_15347,
								BEOA);
							{	/* Eval/evaluate_comp.scm 599 */
								bool_t BgL_test5802z00_34929;

								if (PROCEDUREP(BgL_rz00_18619))
									{	/* Eval/evaluate_comp.scm 599 */
										obj_t BgL_arg1699z00_18620;

										BgL_arg1699z00_18620 = PROCEDURE_ATTR(BgL_rz00_18619);
										if (STRUCTP(BgL_arg1699z00_18620))
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5802z00_34929 =
													(STRUCT_KEY(BgL_arg1699z00_18620) ==
													BGl_symbol4672z00zz__evaluate_compz00);
											}
										else
											{	/* Eval/evaluate_comp.scm 569 */
												BgL_test5802z00_34929 = ((bool_t) 0);
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										BgL_test5802z00_34929 = ((bool_t) 0);
									}
								if (BgL_test5802z00_34929)
									{
										obj_t BgL_fz00_34937;

										BgL_fz00_34937 = BgL_rz00_18619;
										BgL_fz00_18618 = BgL_fz00_34937;
										goto BgL_recz00_18617;
									}
								else
									{	/* Eval/evaluate_comp.scm 599 */
										return BgL_rz00_18619;
									}
							}
						}
					}
				}
			}
		}

	}



/* &comp-ev_synchronize1440 */
	obj_t BGl_z62compzd2ev_synchroniza7e1440z17zz__evaluate_compz00(obj_t
		BgL_envz00_15348, obj_t BgL_ez00_15349, obj_t BgL_stkz00_15350)
	{
		{	/* Eval/evaluate_comp.scm 552 */
			{	/* Eval/evaluate_comp.scm 554 */
				obj_t BgL_mutexz00_18622;
				obj_t BgL_prelockz00_18623;
				obj_t BgL_bodyz00_18624;

				BgL_mutexz00_18622 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15349)))->
						BgL_mutexz00), BgL_stkz00_15350);
				BgL_prelockz00_18623 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15349)))->
						BgL_prelockz00), BgL_stkz00_15350);
				BgL_bodyz00_18624 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
							COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15349)))->
						BgL_bodyz00), BgL_stkz00_15350);
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_zc3z04anonymousza33446ze3z87_18625;

					BgL_zc3z04anonymousza33446ze3z87_18625 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 4)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_18625,
						(int) (((long) 0)), BgL_mutexz00_18622);
					PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_18625,
						(int) (((long) 1)),
						((obj_t) ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_15349)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_18625,
						(int) (((long) 2)), BgL_prelockz00_18623);
					PROCEDURE_SET(BgL_zc3z04anonymousza33446ze3z87_18625,
						(int) (((long) 3)), BgL_bodyz00_18624);
					return BgL_zc3z04anonymousza33446ze3z87_18625;
				}
			}
		}

	}



/* &<@anonymous:3446> */
	obj_t BGl_z62zc3z04anonymousza33446ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15351, obj_t BgL_sz00_15356)
	{
		{	/* Eval/evaluate_comp.scm 557 */
			{	/* Eval/evaluate_comp.scm 557 */
				obj_t BgL_mutexz00_15352;
				BgL_ev_synchroniza7eza7_bglt BgL_i1150z00_15353;
				obj_t BgL_prelockz00_15354;
				obj_t BgL_bodyz00_15355;

				BgL_mutexz00_15352 =
					PROCEDURE_REF(BgL_envz00_15351, (int) (((long) 0)));
				BgL_i1150z00_15353 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_15351, (int) (((long) 1))));
				BgL_prelockz00_15354 =
					PROCEDURE_REF(BgL_envz00_15351, (int) (((long) 2)));
				BgL_bodyz00_15355 = PROCEDURE_REF(BgL_envz00_15351, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 557 */
					obj_t BgL_bpz00_18626;

					BgL_bpz00_18626 = VECTOR_REF(((obj_t) BgL_sz00_15356), ((long) 0));
					{	/* Eval/evaluate_comp.scm 558 */
						obj_t BgL_mz00_18627;

						BgL_mz00_18627 =
							PROCEDURE_ENTRY(BgL_mutexz00_15352) (BgL_mutexz00_15352,
							BgL_sz00_15356, BEOA);
						if (BGL_MUTEXP(BgL_mz00_18627))
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_pz00_18628;

								BgL_pz00_18628 =
									PROCEDURE_ENTRY(BgL_prelockz00_15354) (BgL_prelockz00_15354,
									BgL_sz00_15356, BEOA);
								{	/* Eval/evaluate_comp.scm 562 */
									obj_t BgL_za2za2resza2za2z00_18629;

									if (PAIRP(BgL_pz00_18628))
										{	/* Eval/evaluate_comp.scm 563 */
											obj_t BgL_top5808z00_34984;

											BgL_top5808z00_34984 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_18627, BgL_pz00_18628);
											BGL_EXITD_PUSH_PROTECT(BgL_top5808z00_34984,
												BgL_mz00_18627);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 563 */
												obj_t BgL_tmp5807z00_34983;

												BgL_tmp5807z00_34983 =
													PROCEDURE_ENTRY(BgL_bodyz00_15355) (BgL_bodyz00_15355,
													BgL_sz00_15356, BEOA);
												BGL_EXITD_POP_PROTECT(BgL_top5808z00_34984);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18627);
												BgL_za2za2resza2za2z00_18629 = BgL_tmp5807z00_34983;
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 564 */
											obj_t BgL_top5810z00_34995;

											BgL_top5810z00_34995 = BGL_EXITD_TOP_AS_OBJ();
											BGL_MUTEX_LOCK(BgL_mz00_18627);
											BGL_EXITD_PUSH_PROTECT(BgL_top5810z00_34995,
												BgL_mz00_18627);
											BUNSPEC;
											{	/* Eval/evaluate_comp.scm 564 */
												obj_t BgL_tmp5809z00_34994;

												BgL_tmp5809z00_34994 =
													PROCEDURE_ENTRY(BgL_bodyz00_15355) (BgL_bodyz00_15355,
													BgL_sz00_15356, BEOA);
												BGL_EXITD_POP_PROTECT(BgL_top5810z00_34995);
												BUNSPEC;
												BGL_MUTEX_UNLOCK(BgL_mz00_18627);
												BgL_za2za2resza2za2z00_18629 = BgL_tmp5809z00_34994;
											}
										}
									VECTOR_SET(
										((obj_t) BgL_sz00_15356), ((long) 0), BgL_bpz00_18626);
									return BgL_za2za2resza2za2z00_18629;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 559 */
								return
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
									(BGl_string4797z00zz__evaluate_compz00,
									BGl_string4798z00zz__evaluate_compz00, BgL_mz00_18627,
									(((BgL_ev_synchroniza7eza7_bglt)
											COBJECT(BgL_i1150z00_15353))->BgL_locz00));
							}
					}
				}
			}
		}

	}



/* &comp-ev_with-handler1438 */
	obj_t BGl_z62compzd2ev_withzd2handler1438z62zz__evaluate_compz00(obj_t
		BgL_envz00_15357, obj_t BgL_ez00_15358, obj_t BgL_stkz00_15359)
	{
		{	/* Eval/evaluate_comp.scm 543 */
			{	/* Eval/evaluate_comp.scm 545 */
				obj_t BgL_handlerz00_18631;
				obj_t BgL_bodyz00_18632;

				BgL_handlerz00_18631 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15358)))->
						BgL_handlerz00), BgL_stkz00_15359);
				BgL_bodyz00_18632 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
							COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_15358)))->
						BgL_bodyz00), BgL_stkz00_15359);
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_zc3z04anonymousza33438ze3z87_18633;

					BgL_zc3z04anonymousza33438ze3z87_18633 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33438ze3z87_18633,
						(int) (((long) 0)), BgL_handlerz00_18631);
					PROCEDURE_SET(BgL_zc3z04anonymousza33438ze3z87_18633,
						(int) (((long) 1)), BgL_bodyz00_18632);
					return BgL_zc3z04anonymousza33438ze3z87_18633;
				}
			}
		}

	}



/* &<@anonymous:3438> */
	obj_t BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15360, obj_t BgL_sz00_15363)
	{
		{	/* Eval/evaluate_comp.scm 546 */
			{	/* Eval/evaluate_comp.scm 546 */
				obj_t BgL_handlerz00_15361;
				obj_t BgL_bodyz00_15362;

				BgL_handlerz00_15361 =
					PROCEDURE_REF(BgL_envz00_15360, (int) (((long) 0)));
				BgL_bodyz00_15362 = PROCEDURE_REF(BgL_envz00_15360, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 546 */
					obj_t BgL_bpz00_18634;

					BgL_bpz00_18634 = VECTOR_REF(((obj_t) BgL_sz00_15363), ((long) 0));
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_hz00_18635;

						BgL_hz00_18635 =
							PROCEDURE_ENTRY(BgL_handlerz00_15361) (BgL_handlerz00_15361,
							BgL_sz00_15363, BEOA);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_za2za2resza2za2z00_18636;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_env1141z00_18637;

								BgL_env1141z00_18637 = BGL_CURRENT_DYNAMIC_ENV();
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_cell1136z00_18638;

									BgL_cell1136z00_18638 = MAKE_STACK_CELL(BUNSPEC);
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_val1140z00_18639;

										BgL_val1140z00_18639 =
											BGl_zc3z04exitza33441ze3ze70z60zz__evaluate_compz00
											(BgL_sz00_15363, BgL_bodyz00_15362, BgL_cell1136z00_18638,
											BgL_env1141z00_18637);
										if ((BgL_val1140z00_18639 == BgL_cell1136z00_18638))
											{	/* Eval/evaluate_comp.scm 549 */
												{	/* Eval/evaluate_comp.scm 549 */
													int BgL_tmpz00_35037;

													BgL_tmpz00_35037 = (int) (((long) 0));
													BGL_SIGSETMASK(BgL_tmpz00_35037);
												}
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_arg3440z00_18640;

													BgL_arg3440z00_18640 =
														CELL_REF(((obj_t) BgL_val1140z00_18639));
													BgL_za2za2resza2za2z00_18636 =
														PROCEDURE_ENTRY(BgL_hz00_18635) (BgL_hz00_18635,
														BgL_arg3440z00_18640, BEOA);
											}}
										else
											{	/* Eval/evaluate_comp.scm 549 */
												BgL_za2za2resza2za2z00_18636 = BgL_val1140z00_18639;
											}
									}
								}
							}
							VECTOR_SET(((obj_t) BgL_sz00_15363), ((long) 0), BgL_bpz00_18634);
							return BgL_za2za2resza2za2z00_18636;
						}
					}
				}
			}
		}

	}



/* <@exit:3441>~0 */
	obj_t BGl_zc3z04exitza33441ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_sz00_15542, obj_t BgL_bodyz00_15541, obj_t BgL_cell1136z00_15540,
		obj_t BgL_env1141z00_15539)
	{
		{	/* Eval/evaluate_comp.scm 549 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1145z00_4283;

			if (SET_EXIT(BgL_an_exit1145z00_4283))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1145z00_4283 = (void *) jmpbuf;
					PUSH_ENV_EXIT(BgL_env1141z00_15539, BgL_an_exit1145z00_4283,
						((long) 1));
					{	/* Eval/evaluate_comp.scm 549 */
						obj_t BgL_escape1137z00_4284;

						BgL_escape1137z00_4284 =
							BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15539);
						{	/* Eval/evaluate_comp.scm 549 */
							obj_t BgL_res1148z00_4285;

							{	/* Eval/evaluate_comp.scm 549 */
								obj_t BgL_ohs1133z00_4286;

								BgL_ohs1133z00_4286 =
									BGL_ENV_ERROR_HANDLER_GET(BgL_env1141z00_15539);
								{	/* Eval/evaluate_comp.scm 549 */
									obj_t BgL_hds1134z00_4287;

									BgL_hds1134z00_4287 =
										MAKE_STACK_PAIR(BgL_escape1137z00_4284,
										BgL_cell1136z00_15540);
									BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15539,
										BgL_hds1134z00_4287);
									BUNSPEC;
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_exitd1142z00_4288;

										BgL_exitd1142z00_4288 =
											BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1141z00_15539);
										{	/* Eval/evaluate_comp.scm 549 */
											obj_t BgL_tmp1144z00_4289;

											{	/* Eval/evaluate_comp.scm 549 */
												obj_t BgL_arg3442z00_4291;

												BgL_arg3442z00_4291 =
													BGL_EXITD_PROTECT(BgL_exitd1142z00_4288);
												BgL_tmp1144z00_4289 =
													MAKE_YOUNG_PAIR(BgL_ohs1133z00_4286,
													BgL_arg3442z00_4291);
											}
											{	/* Eval/evaluate_comp.scm 549 */

												BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4288,
													BgL_tmp1144z00_4289);
												BUNSPEC;
												{	/* Eval/evaluate_comp.scm 549 */
													obj_t BgL_tmp1143z00_4290;

													BgL_tmp1143z00_4290 =
														PROCEDURE_ENTRY(BgL_bodyz00_15541)
														(BgL_bodyz00_15541, BgL_sz00_15542, BEOA);
													{	/* Eval/evaluate_comp.scm 549 */
														bool_t BgL_test5812z00_35063;

														{	/* Eval/evaluate_comp.scm 549 */
															obj_t BgL_arg4421z00_10396;

															BgL_arg4421z00_10396 =
																BGL_EXITD_PROTECT(BgL_exitd1142z00_4288);
															BgL_test5812z00_35063 =
																PAIRP(BgL_arg4421z00_10396);
														}
														if (BgL_test5812z00_35063)
															{	/* Eval/evaluate_comp.scm 549 */
																obj_t BgL_arg4419z00_10397;

																{	/* Eval/evaluate_comp.scm 549 */
																	obj_t BgL_arg4420z00_10398;

																	BgL_arg4420z00_10398 =
																		BGL_EXITD_PROTECT(BgL_exitd1142z00_4288);
																	BgL_arg4419z00_10397 =
																		CDR(((obj_t) BgL_arg4420z00_10398));
																}
																BGL_EXITD_PROTECT_SET(BgL_exitd1142z00_4288,
																	BgL_arg4419z00_10397);
																BUNSPEC;
															}
														else
															{	/* Eval/evaluate_comp.scm 549 */
																BFALSE;
															}
													}
													BGL_ENV_ERROR_HANDLER_SET(BgL_env1141z00_15539,
														BgL_ohs1133z00_4286);
													BUNSPEC;
													BgL_res1148z00_4285 = BgL_tmp1143z00_4290;
												}
											}
										}
									}
								}
							}
							POP_ENV_EXIT(BgL_env1141z00_15539);
							return BgL_res1148z00_4285;
						}
					}
				}
		}

	}



/* &comp-ev_unwind-prote1436 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1436z62zz__evaluate_compz00(obj_t
		BgL_envz00_15364, obj_t BgL_ez00_15365, obj_t BgL_stkz00_15366)
	{
		{	/* Eval/evaluate_comp.scm 534 */
			{	/* Eval/evaluate_comp.scm 536 */
				obj_t BgL_ez00_18642;
				obj_t BgL_bodyz00_18643;

				BgL_ez00_18642 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15365)))->BgL_ez00),
					BgL_stkz00_15366);
				BgL_bodyz00_18643 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
							COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_15365)))->
						BgL_bodyz00), BgL_stkz00_15366);
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_zc3z04anonymousza33434ze3z87_18644;

					BgL_zc3z04anonymousza33434ze3z87_18644 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_18644,
						(int) (((long) 0)), BgL_bodyz00_18643);
					PROCEDURE_SET(BgL_zc3z04anonymousza33434ze3z87_18644,
						(int) (((long) 1)), BgL_ez00_18642);
					return BgL_zc3z04anonymousza33434ze3z87_18644;
				}
			}
		}

	}



/* &<@anonymous:3434> */
	obj_t BGl_z62zc3z04anonymousza33434ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15367, obj_t BgL_sz00_15370)
	{
		{	/* Eval/evaluate_comp.scm 537 */
			{	/* Eval/evaluate_comp.scm 537 */
				obj_t BgL_bodyz00_15368;
				obj_t BgL_ez00_15369;

				BgL_bodyz00_15368 = PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 0)));
				BgL_ez00_15369 = PROCEDURE_REF(BgL_envz00_15367, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 537 */
					obj_t BgL_bpz00_18645;

					BgL_bpz00_18645 = VECTOR_REF(((obj_t) BgL_sz00_15370), ((long) 0));
					{	/* Eval/evaluate_comp.scm 539 */
						obj_t BgL_exitd1128z00_18646;

						BgL_exitd1128z00_18646 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Eval/evaluate_comp.scm 540 */
							obj_t BgL_zc3z04anonymousza33435ze3z87_18647;

							BgL_zc3z04anonymousza33435ze3z87_18647 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33435ze3ze5zz__evaluate_compz00,
								(int) (((long) 0)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33435ze3z87_18647,
								(int) (((long) 0)), BgL_sz00_15370);
							PROCEDURE_SET(BgL_zc3z04anonymousza33435ze3z87_18647,
								(int) (((long) 1)), BgL_bpz00_18645);
							PROCEDURE_SET(BgL_zc3z04anonymousza33435ze3z87_18647,
								(int) (((long) 2)), BgL_bodyz00_15368);
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_arg4422z00_18648;

								{	/* Eval/evaluate_comp.scm 539 */
									obj_t BgL_arg4423z00_18649;

									BgL_arg4423z00_18649 =
										BGL_EXITD_PROTECT(BgL_exitd1128z00_18646);
									BgL_arg4422z00_18648 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33435ze3z87_18647,
										BgL_arg4423z00_18649);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18646,
									BgL_arg4422z00_18648);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 539 */
								obj_t BgL_tmp1130z00_18650;

								BgL_tmp1130z00_18650 =
									PROCEDURE_ENTRY(BgL_ez00_15369) (BgL_ez00_15369,
									BgL_sz00_15370, BEOA);
								{	/* Eval/evaluate_comp.scm 539 */
									bool_t BgL_test5813z00_35108;

									{	/* Eval/evaluate_comp.scm 539 */
										obj_t BgL_arg4421z00_18651;

										BgL_arg4421z00_18651 =
											BGL_EXITD_PROTECT(BgL_exitd1128z00_18646);
										BgL_test5813z00_35108 = PAIRP(BgL_arg4421z00_18651);
									}
									if (BgL_test5813z00_35108)
										{	/* Eval/evaluate_comp.scm 539 */
											obj_t BgL_arg4419z00_18652;

											{	/* Eval/evaluate_comp.scm 539 */
												obj_t BgL_arg4420z00_18653;

												BgL_arg4420z00_18653 =
													BGL_EXITD_PROTECT(BgL_exitd1128z00_18646);
												BgL_arg4419z00_18652 =
													CDR(((obj_t) BgL_arg4420z00_18653));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1128z00_18646,
												BgL_arg4419z00_18652);
											BUNSPEC;
										}
									else
										{	/* Eval/evaluate_comp.scm 539 */
											BFALSE;
										}
								}
								VECTOR_SET(
									((obj_t) BgL_sz00_15370), ((long) 0), BgL_bpz00_18645);
								PROCEDURE_ENTRY(BgL_bodyz00_15368) (BgL_bodyz00_15368,
									BgL_sz00_15370, BEOA);
								return BgL_tmp1130z00_18650;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3435> */
	obj_t BGl_z62zc3z04anonymousza33435ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15371)
	{
		{	/* Eval/evaluate_comp.scm 539 */
			{	/* Eval/evaluate_comp.scm 540 */
				obj_t BgL_sz00_15372;
				obj_t BgL_savedzd2bpzd2_15373;
				obj_t BgL_bodyz00_15374;

				BgL_sz00_15372 = PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 0)));
				BgL_savedzd2bpzd2_15373 =
					PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 1)));
				BgL_bodyz00_15374 = PROCEDURE_REF(BgL_envz00_15371, (int) (((long) 2)));
				VECTOR_SET(
					((obj_t) BgL_sz00_15372), ((long) 0), BgL_savedzd2bpzd2_15373);
				return
					PROCEDURE_ENTRY(BgL_bodyz00_15374) (BgL_bodyz00_15374, BgL_sz00_15372,
					BEOA);
			}
		}

	}



/* &comp-ev_bind-exit1434 */
	obj_t BGl_z62compzd2ev_bindzd2exit1434z62zz__evaluate_compz00(obj_t
		BgL_envz00_15375, obj_t BgL_ez00_15376, obj_t BgL_stkz00_15377)
	{
		{	/* Eval/evaluate_comp.scm 523 */
			{	/* Eval/evaluate_comp.scm 525 */
				long BgL_siza7eza7_18655;
				obj_t BgL_nstkz00_18656;

				BgL_siza7eza7_18655 = bgl_list_length(BgL_stkz00_15377);
				{	/* Eval/evaluate_comp.scm 525 */
					obj_t BgL_arg3431z00_18657;

					{	/* Eval/evaluate_comp.scm 525 */
						BgL_ev_varz00_bglt BgL_arg3433z00_18658;

						BgL_arg3433z00_18658 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15376)))->BgL_varz00);
						BgL_arg3431z00_18657 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_arg3433z00_18658), BNIL);
					}
					BgL_nstkz00_18656 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15377,
						BgL_arg3431z00_18657);
				}
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_bodyz00_18659;
					obj_t BgL_effzf3zf3_18660;

					BgL_bodyz00_18659 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15376)))->BgL_bodyz00),
						BgL_nstkz00_18656);
					BgL_effzf3zf3_18660 =
						(((BgL_ev_varz00_bglt) COBJECT((((BgL_ev_bindzd2exitzd2_bglt)
										COBJECT(((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_15376)))->
									BgL_varz00)))->BgL_effz00);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3z04anonymousza33426ze3z87_18661;

						BgL_zc3z04anonymousza33426ze3z87_18661 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33426ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33426ze3z87_18661,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18655));
						PROCEDURE_SET(BgL_zc3z04anonymousza33426ze3z87_18661,
							(int) (((long) 1)), BgL_effzf3zf3_18660);
						PROCEDURE_SET(BgL_zc3z04anonymousza33426ze3z87_18661,
							(int) (((long) 2)), BgL_bodyz00_18659);
						return BgL_zc3z04anonymousza33426ze3z87_18661;
					}
				}
			}
		}

	}



/* &<@anonymous:3426> */
	obj_t BGl_z62zc3z04anonymousza33426ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15378, obj_t BgL_sz00_15382)
	{
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				long BgL_siza7eza7_15379;
				obj_t BgL_effzf3zf3_15380;
				obj_t BgL_bodyz00_15381;

				BgL_siza7eza7_15379 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15378, (int) (((long) 0))));
				BgL_effzf3zf3_15380 =
					PROCEDURE_REF(BgL_envz00_15378, (int) (((long) 1)));
				BgL_bodyz00_15381 = PROCEDURE_REF(BgL_envz00_15378, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 527 */
					obj_t BgL_bpz00_18662;

					BgL_bpz00_18662 = VECTOR_REF(((obj_t) BgL_sz00_15382), ((long) 0));
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_za2za2resza2za2z00_18663;

						BgL_za2za2resza2za2z00_18663 =
							BGl_zc3z04exitza33427ze3ze70z60zz__evaluate_compz00
							(BgL_bodyz00_15381, BgL_sz00_15382, BgL_effzf3zf3_15380,
							BgL_siza7eza7_15379, BgL_bpz00_18662);
						VECTOR_SET(((obj_t) BgL_sz00_15382), ((long) 0), BgL_bpz00_18662);
						return BgL_za2za2resza2za2z00_18663;
					}
				}
			}
		}

	}



/* <@exit:3427>~0 */
	obj_t BGl_zc3z04exitza33427ze3ze70z60zz__evaluate_compz00(obj_t
		BgL_bodyz00_15538, obj_t BgL_sz00_15537, obj_t BgL_effzf3zf3_15536,
		long BgL_siza7eza7_15535, obj_t BgL_bpz00_15534)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1121z00_4231;

			if (SET_EXIT(BgL_an_exit1121z00_4231))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1121z00_4231 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 529 */
						obj_t BgL_env1125z00_4232;

						BgL_env1125z00_4232 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1125z00_4232, BgL_an_exit1121z00_4231,
							((long) 1));
						{	/* Eval/evaluate_comp.scm 529 */
							obj_t BgL_an_exitd1122z00_4233;

							BgL_an_exitd1122z00_4233 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1125z00_4232);
							{	/* Eval/evaluate_comp.scm 529 */
								obj_t BgL_exitz00_14337;

								BgL_exitz00_14337 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_14337,
									(int) (((long) 0)), BgL_an_exitd1122z00_4233);
								{	/* Eval/evaluate_comp.scm 529 */
									obj_t BgL_res1124z00_4236;

									{	/* Eval/evaluate_comp.scm 530 */
										long BgL_arg3428z00_4237;
										obj_t BgL_arg3429z00_4238;

										BgL_arg3428z00_4237 =
											((long) CINT(BgL_bpz00_15534) + BgL_siza7eza7_15535);
										if (CBOOL(BgL_effzf3zf3_15536))
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_10379;

												BgL_newz00_10379 =
													create_struct(BGl_symbol4688z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35183;

													BgL_tmpz00_35183 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10379, BgL_tmpz00_35183,
														BgL_exitz00_14337);
												}
												BgL_arg3429z00_4238 = BgL_newz00_10379;
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_arg3429z00_4238 = BgL_exitz00_14337;
											}
										VECTOR_SET(
											((obj_t) BgL_sz00_15537), BgL_arg3428z00_4237,
											BgL_arg3429z00_4238);
									}
									BgL_res1124z00_4236 =
										PROCEDURE_ENTRY(BgL_bodyz00_15538) (BgL_bodyz00_15538,
										BgL_sz00_15537, BEOA);
									POP_ENV_EXIT(BgL_env1125z00_4232);
									return BgL_res1124z00_4236;
								}
							}
						}
					}
				}
		}

	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_15383,
		obj_t BgL_val1123z00_15385)
	{
		{	/* Eval/evaluate_comp.scm 529 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_15383,
					(int) (((long) 0))), BFALSE, BgL_val1123z00_15385, BFALSE, BFALSE);
		}

	}



/* &comp-ev_letrec1432 */
	obj_t BGl_z62compzd2ev_letrec1432zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15386, obj_t BgL_ez00_15387, obj_t BgL_stkz00_15388)
	{
		{	/* Eval/evaluate_comp.scm 494 */
			{	/* Eval/evaluate_comp.scm 496 */
				long BgL_siza7eza7_18665;
				obj_t BgL_nstkz00_18666;

				BgL_siza7eza7_18665 = bgl_list_length(BgL_stkz00_15388);
				{	/* Eval/evaluate_comp.scm 496 */
					obj_t BgL_arg3425z00_18667;

					BgL_arg3425z00_18667 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_15387))))->BgL_varsz00);
					BgL_nstkz00_18666 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15388,
						BgL_arg3425z00_18667);
				}
				{	/* Eval/evaluate_comp.scm 497 */
					obj_t BgL_cvalsz00_18668;
					obj_t BgL_bodyz00_18669;

					{	/* Eval/evaluate_comp.scm 497 */
						obj_t BgL_l1328z00_18670;

						BgL_l1328z00_18670 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15387))))->BgL_valsz00);
						if (NULLP(BgL_l1328z00_18670))
							{	/* Eval/evaluate_comp.scm 497 */
								BgL_cvalsz00_18668 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 497 */
								obj_t BgL_head1330z00_18671;

								BgL_head1330z00_18671 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1328z00_18673;
									obj_t BgL_tail1331z00_18674;

									BgL_l1328z00_18673 = BgL_l1328z00_18670;
									BgL_tail1331z00_18674 = BgL_head1330z00_18671;
								BgL_zc3z04anonymousza33418ze3z87_18672:
									if (NULLP(BgL_l1328z00_18673))
										{	/* Eval/evaluate_comp.scm 497 */
											BgL_cvalsz00_18668 = CDR(BgL_head1330z00_18671);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											obj_t BgL_newtail1332z00_18675;

											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3423z00_18676;

												{	/* Eval/evaluate_comp.scm 497 */
													obj_t BgL_vz00_18677;

													BgL_vz00_18677 = CAR(((obj_t) BgL_l1328z00_18673));
													BgL_arg3423z00_18676 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18677),
														BgL_nstkz00_18666);
												}
												BgL_newtail1332z00_18675 =
													MAKE_YOUNG_PAIR(BgL_arg3423z00_18676, BNIL);
											}
											SET_CDR(BgL_tail1331z00_18674, BgL_newtail1332z00_18675);
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_arg3420z00_18678;

												BgL_arg3420z00_18678 =
													CDR(((obj_t) BgL_l1328z00_18673));
												{
													obj_t BgL_tail1331z00_35219;
													obj_t BgL_l1328z00_35218;

													BgL_l1328z00_35218 = BgL_arg3420z00_18678;
													BgL_tail1331z00_35219 = BgL_newtail1332z00_18675;
													BgL_tail1331z00_18674 = BgL_tail1331z00_35219;
													BgL_l1328z00_18673 = BgL_l1328z00_35218;
													goto BgL_zc3z04anonymousza33418ze3z87_18672;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 498 */
						BgL_ev_exprz00_bglt BgL_arg3424z00_18679;

						BgL_arg3424z00_18679 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_15387))))->BgL_bodyz00);
						BgL_bodyz00_18669 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3424z00_18679,
							BgL_nstkz00_18666);
					}
					{	/* Eval/evaluate_comp.scm 499 */
						bool_t BgL_test5817z00_35224;

						{
							obj_t BgL_l1333z00_18681;

							BgL_l1333z00_18681 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_15387))))->BgL_valsz00);
						BgL_zc3z04anonymousza33415ze3z87_18680:
							if (NULLP(BgL_l1333z00_18681))
								{	/* Eval/evaluate_comp.scm 499 */
									BgL_test5817z00_35224 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 499 */
									bool_t BgL_test5819z00_35227;

									{	/* Eval/evaluate_comp.scm 499 */
										obj_t BgL_vz00_18682;

										BgL_vz00_18682 = CAR(((obj_t) BgL_l1333z00_18681));
										{	/* Eval/evaluate_comp.scm 499 */
											obj_t BgL_classz00_18683;

											BgL_classz00_18683 = BGl_ev_absz00zz__evaluate_typesz00;
											if (BGL_OBJECTP(BgL_vz00_18682))
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_objectz00_bglt BgL_arg4405z00_18684;

													BgL_arg4405z00_18684 =
														(BgL_objectz00_bglt) (BgL_vz00_18682);
													{	/* Eval/evaluate_comp.scm 499 */
														bool_t BgL_arg4402z00_18685;
														bool_t BgL_arg4403z00_18686;

														{	/* Eval/evaluate_comp.scm 499 */
															long BgL_idxz00_18687;

															BgL_idxz00_18687 =
																BGL_OBJECT_INHERITANCE_NUM
																(BgL_arg4405z00_18684);
															BgL_arg4402z00_18685 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_18687 + ((long) 2))) ==
																BgL_classz00_18683);
														}
														{	/* Eval/evaluate_comp.scm 499 */
															bool_t BgL_res4544z00_18690;

															{	/* Eval/evaluate_comp.scm 499 */
																obj_t BgL_oclassz00_18691;

																{	/* Eval/evaluate_comp.scm 499 */
																	long BgL_arg4412z00_18692;

																	{	/* Eval/evaluate_comp.scm 499 */
																		long BgL_arg4413z00_18693;

																		BgL_arg4413z00_18693 =
																			BGL_OBJECT_CLASS_NUM
																			(BgL_arg4405z00_18684);
																		BgL_arg4412z00_18692 =
																			(BgL_arg4413z00_18693 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_18691 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg4412z00_18692);
																}
																{	/* Eval/evaluate_comp.scm 499 */
																	bool_t BgL__ortest_1296z00_18694;

																	BgL__ortest_1296z00_18694 =
																		(BgL_classz00_18683 == BgL_oclassz00_18691);
																	if (BgL__ortest_1296z00_18694)
																		{	/* Eval/evaluate_comp.scm 499 */
																			BgL_res4544z00_18690 =
																				BgL__ortest_1296z00_18694;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 499 */
																			long BgL_odepthz00_18695;

																			BgL_odepthz00_18695 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_18691);
																			if ((((long) 2) < BgL_odepthz00_18695))
																				{	/* Eval/evaluate_comp.scm 499 */
																					obj_t BgL_arg4401z00_18696;

																					BgL_arg4401z00_18696 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_18691, ((long) 2));
																					BgL_res4544z00_18690 =
																						(BgL_arg4401z00_18696 ==
																						BgL_classz00_18683);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 499 */
																					BgL_res4544z00_18690 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_arg4403z00_18686 = BgL_res4544z00_18690;
														}
														BgL_test5819z00_35227 =
															BGL_ISA_C_BACKEND(BgL_arg4402z00_18685,
															BgL_arg4403z00_18686);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 499 */
													BgL_test5819z00_35227 = ((bool_t) 0);
												}
										}
									}
									if (BgL_test5819z00_35227)
										{
											obj_t BgL_l1333z00_35248;

											BgL_l1333z00_35248 = CDR(((obj_t) BgL_l1333z00_18681));
											BgL_l1333z00_18681 = BgL_l1333z00_35248;
											goto BgL_zc3z04anonymousza33415ze3z87_18680;
										}
									else
										{	/* Eval/evaluate_comp.scm 499 */
											BgL_test5817z00_35224 = ((bool_t) 0);
										}
								}
						}
						if (BgL_test5817z00_35224)
							{	/* Eval/evaluate_comp.scm 500 */
								obj_t BgL_zc3z04anonymousza33368ze3z87_18697;

								BgL_zc3z04anonymousza33368ze3z87_18697 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33368ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33368ze3z87_18697,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18665));
								PROCEDURE_SET(BgL_zc3z04anonymousza33368ze3z87_18697,
									(int) (((long) 1)), BgL_cvalsz00_18668);
								PROCEDURE_SET(BgL_zc3z04anonymousza33368ze3z87_18697,
									(int) (((long) 2)), BgL_bodyz00_18669);
								return BgL_zc3z04anonymousza33368ze3z87_18697;
							}
						else
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_zc3z04anonymousza33397ze3z87_18698;

								BgL_zc3z04anonymousza33397ze3z87_18698 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33397ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33397ze3z87_18698,
									(int) (((long) 0)), BINT(BgL_siza7eza7_18665));
								PROCEDURE_SET(BgL_zc3z04anonymousza33397ze3z87_18698,
									(int) (((long) 1)), BgL_cvalsz00_18668);
								PROCEDURE_SET(BgL_zc3z04anonymousza33397ze3z87_18698,
									(int) (((long) 2)), BgL_bodyz00_18669);
								return BgL_zc3z04anonymousza33397ze3z87_18698;
							}
					}
				}
			}
		}

	}



/* &<@anonymous:3368> */
	obj_t BGl_z62zc3z04anonymousza33368ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15389, obj_t BgL_sz00_15393)
	{
		{	/* Eval/evaluate_comp.scm 500 */
			{	/* Eval/evaluate_comp.scm 500 */
				long BgL_siza7eza7_15390;
				obj_t BgL_cvalsz00_15391;
				obj_t BgL_bodyz00_15392;

				BgL_siza7eza7_15390 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 0))));
				BgL_cvalsz00_15391 =
					PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 1)));
				BgL_bodyz00_15392 = PROCEDURE_REF(BgL_envz00_15389, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 500 */
					obj_t BgL_bpz00_18699;

					BgL_bpz00_18699 = VECTOR_REF(((obj_t) BgL_sz00_15393), ((long) 0));
					{	/* Eval/evaluate_comp.scm 501 */
						long BgL_g1115z00_18700;

						BgL_g1115z00_18700 =
							((long) CINT(BgL_bpz00_18699) + BgL_siza7eza7_15390);
						{
							obj_t BgL_lz00_18702;
							long BgL_iz00_18703;

							BgL_lz00_18702 = BgL_cvalsz00_15391;
							BgL_iz00_18703 = BgL_g1115z00_18700;
						BgL_recz00_18701:
							if (NULLP(BgL_lz00_18702))
								{	/* Eval/evaluate_comp.scm 502 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 502 */
									{	/* Eval/evaluate_comp.scm 503 */
										obj_t BgL_arg3384z00_18704;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18705;

											BgL_newz00_18705 =
												create_struct(BGl_symbol4688z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35289;

												BgL_tmpz00_35289 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18705, BgL_tmpz00_35289, BUNSPEC);
											}
											BgL_arg3384z00_18704 = BgL_newz00_18705;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15393), BgL_iz00_18703,
											BgL_arg3384z00_18704);
									}
									{	/* Eval/evaluate_comp.scm 504 */
										obj_t BgL_arg3385z00_18706;
										long BgL_arg3387z00_18707;

										BgL_arg3385z00_18706 = CDR(((obj_t) BgL_lz00_18702));
										BgL_arg3387z00_18707 = (BgL_iz00_18703 + ((long) 1));
										{
											long BgL_iz00_35298;
											obj_t BgL_lz00_35297;

											BgL_lz00_35297 = BgL_arg3385z00_18706;
											BgL_iz00_35298 = BgL_arg3387z00_18707;
											BgL_iz00_18703 = BgL_iz00_35298;
											BgL_lz00_18702 = BgL_lz00_35297;
											goto BgL_recz00_18701;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 505 */
						long BgL_g1116z00_18708;

						BgL_g1116z00_18708 =
							((long) CINT(BgL_bpz00_18699) + BgL_siza7eza7_15390);
						{
							obj_t BgL_lz00_18710;
							long BgL_iz00_18711;

							BgL_lz00_18710 = BgL_cvalsz00_15391;
							BgL_iz00_18711 = BgL_g1116z00_18708;
						BgL_recz00_18709:
							if (NULLP(BgL_lz00_18710))
								{	/* Eval/evaluate_comp.scm 506 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 506 */
									{	/* Eval/evaluate_comp.scm 507 */
										obj_t BgL_arg3390z00_18712;
										obj_t BgL_arg3393z00_18713;

										BgL_arg3390z00_18712 =
											VECTOR_REF(((obj_t) BgL_sz00_15393), BgL_iz00_18711);
										{	/* Eval/evaluate_comp.scm 507 */
											obj_t BgL_fun3394z00_18714;

											BgL_fun3394z00_18714 = CAR(((obj_t) BgL_lz00_18710));
											BgL_arg3393z00_18713 =
												PROCEDURE_ENTRY(BgL_fun3394z00_18714)
												(BgL_fun3394z00_18714, BgL_sz00_15393, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 202 */
											int BgL_auxz00_35313;
											obj_t BgL_tmpz00_35311;

											BgL_auxz00_35313 = (int) (((long) 0));
											BgL_tmpz00_35311 = ((obj_t) BgL_arg3390z00_18712);
											STRUCT_SET(BgL_tmpz00_35311, BgL_auxz00_35313,
												BgL_arg3393z00_18713);
									}}
									{	/* Eval/evaluate_comp.scm 508 */
										obj_t BgL_arg3395z00_18715;
										long BgL_arg3396z00_18716;

										BgL_arg3395z00_18715 = CDR(((obj_t) BgL_lz00_18710));
										BgL_arg3396z00_18716 = (BgL_iz00_18711 + ((long) 1));
										{
											long BgL_iz00_35320;
											obj_t BgL_lz00_35319;

											BgL_lz00_35319 = BgL_arg3395z00_18715;
											BgL_iz00_35320 = BgL_arg3396z00_18716;
											BgL_iz00_18711 = BgL_iz00_35320;
											BgL_lz00_18710 = BgL_lz00_35319;
											goto BgL_recz00_18709;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15392) (BgL_bodyz00_15392,
						BgL_sz00_15393, BEOA);
				}
			}
		}

	}



/* &<@anonymous:3397> */
	obj_t BGl_z62zc3z04anonymousza33397ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15394, obj_t BgL_sz00_15398)
	{
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				long BgL_siza7eza7_15395;
				obj_t BgL_cvalsz00_15396;
				obj_t BgL_bodyz00_15397;

				BgL_siza7eza7_15395 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15394, (int) (((long) 0))));
				BgL_cvalsz00_15396 =
					PROCEDURE_REF(BgL_envz00_15394, (int) (((long) 1)));
				BgL_bodyz00_15397 = PROCEDURE_REF(BgL_envz00_15394, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 510 */
					obj_t BgL_bpz00_18717;

					BgL_bpz00_18717 = VECTOR_REF(((obj_t) BgL_sz00_15398), ((long) 0));
					{	/* Eval/evaluate_comp.scm 511 */
						long BgL_g1117z00_18718;

						BgL_g1117z00_18718 =
							((long) CINT(BgL_bpz00_18717) + BgL_siza7eza7_15395);
						{
							obj_t BgL_lz00_18720;
							long BgL_iz00_18721;

							BgL_lz00_18720 = BgL_cvalsz00_15396;
							BgL_iz00_18721 = BgL_g1117z00_18718;
						BgL_recz00_18719:
							if (NULLP(BgL_lz00_18720))
								{	/* Eval/evaluate_comp.scm 512 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 512 */
									{	/* Eval/evaluate_comp.scm 513 */
										obj_t BgL_arg3400z00_18722;

										{	/* Eval/evaluate_comp.scm 202 */
											obj_t BgL_newz00_18723;

											BgL_newz00_18723 =
												create_struct(BGl_symbol4688z00zz__evaluate_compz00,
												(int) (((long) 1)));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_tmpz00_35340;

												BgL_tmpz00_35340 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_18723, BgL_tmpz00_35340, BUNSPEC);
											}
											BgL_arg3400z00_18722 = BgL_newz00_18723;
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15398), BgL_iz00_18721,
											BgL_arg3400z00_18722);
									}
									{	/* Eval/evaluate_comp.scm 514 */
										obj_t BgL_arg3401z00_18724;
										long BgL_arg3402z00_18725;

										BgL_arg3401z00_18724 = CDR(((obj_t) BgL_lz00_18720));
										BgL_arg3402z00_18725 = (BgL_iz00_18721 + ((long) 1));
										{
											long BgL_iz00_35349;
											obj_t BgL_lz00_35348;

											BgL_lz00_35348 = BgL_arg3401z00_18724;
											BgL_iz00_35349 = BgL_arg3402z00_18725;
											BgL_iz00_18721 = BgL_iz00_35349;
											BgL_lz00_18720 = BgL_lz00_35348;
											goto BgL_recz00_18719;
										}
									}
								}
						}
					}
					{	/* Eval/evaluate_comp.scm 515 */
						obj_t BgL_rvalsz00_18726;

						if (NULLP(BgL_cvalsz00_15396))
							{	/* Eval/evaluate_comp.scm 515 */
								BgL_rvalsz00_18726 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 515 */
								obj_t BgL_head1339z00_18727;

								BgL_head1339z00_18727 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1337z00_18729;
									obj_t BgL_tail1340z00_18730;

									BgL_l1337z00_18729 = BgL_cvalsz00_15396;
									BgL_tail1340z00_18730 = BgL_head1339z00_18727;
								BgL_zc3z04anonymousza33411ze3z87_18728:
									if (NULLP(BgL_l1337z00_18729))
										{	/* Eval/evaluate_comp.scm 515 */
											BgL_rvalsz00_18726 = CDR(BgL_head1339z00_18727);
										}
									else
										{	/* Eval/evaluate_comp.scm 515 */
											obj_t BgL_newtail1341z00_18731;

											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3414z00_18732;

												{	/* Eval/evaluate_comp.scm 515 */
													obj_t BgL_vz00_18733;

													BgL_vz00_18733 = CAR(((obj_t) BgL_l1337z00_18729));
													BgL_arg3414z00_18732 =
														PROCEDURE_ENTRY(BgL_vz00_18733) (BgL_vz00_18733,
														BgL_sz00_15398, BEOA);
												}
												BgL_newtail1341z00_18731 =
													MAKE_YOUNG_PAIR(BgL_arg3414z00_18732, BNIL);
											}
											SET_CDR(BgL_tail1340z00_18730, BgL_newtail1341z00_18731);
											{	/* Eval/evaluate_comp.scm 515 */
												obj_t BgL_arg3413z00_18734;

												BgL_arg3413z00_18734 =
													CDR(((obj_t) BgL_l1337z00_18729));
												{
													obj_t BgL_tail1340z00_35367;
													obj_t BgL_l1337z00_35366;

													BgL_l1337z00_35366 = BgL_arg3413z00_18734;
													BgL_tail1340z00_35367 = BgL_newtail1341z00_18731;
													BgL_tail1340z00_18730 = BgL_tail1340z00_35367;
													BgL_l1337z00_18729 = BgL_l1337z00_35366;
													goto BgL_zc3z04anonymousza33411ze3z87_18728;
												}
											}
										}
								}
							}
						{	/* Eval/evaluate_comp.scm 516 */
							long BgL_g1118z00_18735;

							BgL_g1118z00_18735 =
								((long) CINT(BgL_bpz00_18717) + BgL_siza7eza7_15395);
							{
								obj_t BgL_lz00_18737;
								long BgL_iz00_18738;

								BgL_lz00_18737 = BgL_rvalsz00_18726;
								BgL_iz00_18738 = BgL_g1118z00_18735;
							BgL_recz00_18736:
								if (NULLP(BgL_lz00_18737))
									{	/* Eval/evaluate_comp.scm 517 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 517 */
										{	/* Eval/evaluate_comp.scm 518 */
											obj_t BgL_arg3406z00_18739;
											obj_t BgL_arg3407z00_18740;

											BgL_arg3406z00_18739 =
												VECTOR_REF(((obj_t) BgL_sz00_15398), BgL_iz00_18738);
											BgL_arg3407z00_18740 = CAR(((obj_t) BgL_lz00_18737));
											{	/* Eval/evaluate_comp.scm 202 */
												int BgL_auxz00_35378;
												obj_t BgL_tmpz00_35376;

												BgL_auxz00_35378 = (int) (((long) 0));
												BgL_tmpz00_35376 = ((obj_t) BgL_arg3406z00_18739);
												STRUCT_SET(BgL_tmpz00_35376, BgL_auxz00_35378,
													BgL_arg3407z00_18740);
										}}
										{	/* Eval/evaluate_comp.scm 519 */
											obj_t BgL_arg3408z00_18741;
											long BgL_arg3409z00_18742;

											BgL_arg3408z00_18741 = CDR(((obj_t) BgL_lz00_18737));
											BgL_arg3409z00_18742 = (BgL_iz00_18738 + ((long) 1));
											{
												long BgL_iz00_35385;
												obj_t BgL_lz00_35384;

												BgL_lz00_35384 = BgL_arg3408z00_18741;
												BgL_iz00_35385 = BgL_arg3409z00_18742;
												BgL_iz00_18738 = BgL_iz00_35385;
												BgL_lz00_18737 = BgL_lz00_35384;
												goto BgL_recz00_18736;
											}
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_15397) (BgL_bodyz00_15397,
							BgL_sz00_15398, BEOA);
					}
				}
			}
		}

	}



/* &comp-ev_let*1430 */
	obj_t BGl_z62compzd2ev_letza21430z12zz__evaluate_compz00(obj_t
		BgL_envz00_15399, obj_t BgL_ez00_15400, obj_t BgL_stkz00_15401)
	{
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 483 */
				long BgL_siza7eza7_18744;
				obj_t BgL_nstkz00_18745;

				BgL_siza7eza7_18744 = bgl_list_length(BgL_stkz00_15401);
				{	/* Eval/evaluate_comp.scm 483 */
					obj_t BgL_arg3363z00_18746;

					BgL_arg3363z00_18746 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_15400))))->BgL_varsz00);
					BgL_nstkz00_18745 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15401,
						BgL_arg3363z00_18746);
				}
				{	/* Eval/evaluate_comp.scm 484 */
					obj_t BgL_valsz00_18747;
					obj_t BgL_bodyz00_18748;

					{	/* Eval/evaluate_comp.scm 484 */
						obj_t BgL_l1323z00_18749;

						BgL_l1323z00_18749 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15400))))->BgL_valsz00);
						if (NULLP(BgL_l1323z00_18749))
							{	/* Eval/evaluate_comp.scm 484 */
								BgL_valsz00_18747 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 484 */
								obj_t BgL_head1325z00_18750;

								BgL_head1325z00_18750 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1323z00_18752;
									obj_t BgL_tail1326z00_18753;

									BgL_l1323z00_18752 = BgL_l1323z00_18749;
									BgL_tail1326z00_18753 = BgL_head1325z00_18750;
								BgL_zc3z04anonymousza33358ze3z87_18751:
									if (NULLP(BgL_l1323z00_18752))
										{	/* Eval/evaluate_comp.scm 484 */
											BgL_valsz00_18747 = CDR(BgL_head1325z00_18750);
										}
									else
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_newtail1327z00_18754;

											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3361z00_18755;

												{	/* Eval/evaluate_comp.scm 484 */
													obj_t BgL_vz00_18756;

													BgL_vz00_18756 = CAR(((obj_t) BgL_l1323z00_18752));
													BgL_arg3361z00_18755 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_vz00_18756),
														BgL_nstkz00_18745);
												}
												BgL_newtail1327z00_18754 =
													MAKE_YOUNG_PAIR(BgL_arg3361z00_18755, BNIL);
											}
											SET_CDR(BgL_tail1326z00_18753, BgL_newtail1327z00_18754);
											{	/* Eval/evaluate_comp.scm 484 */
												obj_t BgL_arg3360z00_18757;

												BgL_arg3360z00_18757 =
													CDR(((obj_t) BgL_l1323z00_18752));
												{
													obj_t BgL_tail1326z00_35413;
													obj_t BgL_l1323z00_35412;

													BgL_l1323z00_35412 = BgL_arg3360z00_18757;
													BgL_tail1326z00_35413 = BgL_newtail1327z00_18754;
													BgL_tail1326z00_18753 = BgL_tail1326z00_35413;
													BgL_l1323z00_18752 = BgL_l1323z00_35412;
													goto BgL_zc3z04anonymousza33358ze3z87_18751;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 485 */
						BgL_ev_exprz00_bglt BgL_arg3362z00_18758;

						BgL_arg3362z00_18758 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_15400))))->BgL_bodyz00);
						BgL_bodyz00_18748 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3362z00_18758,
							BgL_nstkz00_18745);
					}
					{	/* Eval/evaluate_comp.scm 486 */
						obj_t BgL_zc3z04anonymousza33347ze3z87_18759;

						BgL_zc3z04anonymousza33347ze3z87_18759 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18759,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18744));
						PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18759,
							(int) (((long) 1)),
							((obj_t) ((BgL_ev_letza2za2_bglt) BgL_ez00_15400)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18759,
							(int) (((long) 2)), BgL_valsz00_18747);
						PROCEDURE_SET(BgL_zc3z04anonymousza33347ze3z87_18759,
							(int) (((long) 3)), BgL_bodyz00_18748);
						return BgL_zc3z04anonymousza33347ze3z87_18759;
					}
				}
			}
		}

	}



/* &<@anonymous:3347> */
	obj_t BGl_z62zc3z04anonymousza33347ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15402, obj_t BgL_sz00_15407)
	{
		{	/* Eval/evaluate_comp.scm 486 */
			{	/* Eval/evaluate_comp.scm 486 */
				long BgL_siza7eza7_15403;
				BgL_ev_letza2za2_bglt BgL_i1112z00_15404;
				obj_t BgL_valsz00_15405;
				obj_t BgL_bodyz00_15406;

				BgL_siza7eza7_15403 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15402, (int) (((long) 0))));
				BgL_i1112z00_15404 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_15402, (int) (((long) 1))));
				BgL_valsz00_15405 = PROCEDURE_REF(BgL_envz00_15402, (int) (((long) 2)));
				BgL_bodyz00_15406 = PROCEDURE_REF(BgL_envz00_15402, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 486 */
					obj_t BgL_bpz00_18760;

					BgL_bpz00_18760 = VECTOR_REF(((obj_t) BgL_sz00_15407), ((long) 0));
					{	/* Eval/evaluate_comp.scm 487 */
						long BgL_g1113z00_18761;

						BgL_g1113z00_18761 =
							((long) CINT(BgL_bpz00_18760) + BgL_siza7eza7_15403);
						{
							obj_t BgL_lz00_18763;
							long BgL_iz00_18764;
							obj_t BgL_bza2za2_18765;

							BgL_lz00_18763 = BgL_valsz00_15405;
							BgL_iz00_18764 = BgL_g1113z00_18761;
							BgL_bza2za2_18765 =
								(((BgL_ev_letza2za2_bglt) COBJECT(BgL_i1112z00_15404))->
								BgL_boxesz00);
						BgL_recz00_18762:
							if (NULLP(BgL_lz00_18763))
								{	/* Eval/evaluate_comp.scm 488 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 488 */
									{	/* Eval/evaluate_comp.scm 489 */
										obj_t BgL_valz00_18766;

										{	/* Eval/evaluate_comp.scm 489 */
											obj_t BgL_fun3353z00_18767;

											BgL_fun3353z00_18767 = CAR(((obj_t) BgL_lz00_18763));
											BgL_valz00_18766 =
												PROCEDURE_ENTRY(BgL_fun3353z00_18767)
												(BgL_fun3353z00_18767, BgL_sz00_15407, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 490 */
											obj_t BgL_arg3351z00_18768;

											if (CBOOL(CAR(((obj_t) BgL_bza2za2_18765))))
												{	/* Eval/evaluate_comp.scm 202 */
													obj_t BgL_newz00_18769;

													BgL_newz00_18769 =
														create_struct(BGl_symbol4688z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 202 */
														int BgL_tmpz00_35460;

														BgL_tmpz00_35460 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_18769, BgL_tmpz00_35460,
															BgL_valz00_18766);
													}
													BgL_arg3351z00_18768 = BgL_newz00_18769;
												}
											else
												{	/* Eval/evaluate_comp.scm 490 */
													BgL_arg3351z00_18768 = BgL_valz00_18766;
												}
											VECTOR_SET(
												((obj_t) BgL_sz00_15407), BgL_iz00_18764,
												BgL_arg3351z00_18768);
										}
									}
									{	/* Eval/evaluate_comp.scm 491 */
										obj_t BgL_arg3354z00_18770;
										long BgL_arg3355z00_18771;
										obj_t BgL_arg3356z00_18772;

										BgL_arg3354z00_18770 = CDR(((obj_t) BgL_lz00_18763));
										BgL_arg3355z00_18771 = (BgL_iz00_18764 + ((long) 1));
										BgL_arg3356z00_18772 = CDR(((obj_t) BgL_bza2za2_18765));
										{
											obj_t BgL_bza2za2_35472;
											long BgL_iz00_35471;
											obj_t BgL_lz00_35470;

											BgL_lz00_35470 = BgL_arg3354z00_18770;
											BgL_iz00_35471 = BgL_arg3355z00_18771;
											BgL_bza2za2_35472 = BgL_arg3356z00_18772;
											BgL_bza2za2_18765 = BgL_bza2za2_35472;
											BgL_iz00_18764 = BgL_iz00_35471;
											BgL_lz00_18763 = BgL_lz00_35470;
											goto BgL_recz00_18762;
										}
									}
								}
						}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15406) (BgL_bodyz00_15406,
						BgL_sz00_15407, BEOA);
				}
			}
		}

	}



/* &comp-ev_let1427 */
	obj_t BGl_z62compzd2ev_let1427zb0zz__evaluate_compz00(obj_t BgL_envz00_15408,
		obj_t BgL_ez00_15409, obj_t BgL_stkz00_15410)
	{
		{	/* Eval/evaluate_comp.scm 462 */
			{	/* Eval/evaluate_comp.scm 464 */
				long BgL_siza7eza7_18774;
				obj_t BgL_nstkz00_18775;

				BgL_siza7eza7_18774 = bgl_list_length(BgL_stkz00_15410);
				{	/* Eval/evaluate_comp.scm 464 */
					obj_t BgL_arg3346z00_18776;

					BgL_arg3346z00_18776 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_15409))))->BgL_varsz00);
					BgL_nstkz00_18775 =
						BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_15410,
						BgL_arg3346z00_18776);
				}
				{	/* Eval/evaluate_comp.scm 465 */
					obj_t BgL_valsz00_18777;
					obj_t BgL_iboxesz00_18778;
					obj_t BgL_bodyz00_18779;

					{	/* Eval/evaluate_comp.scm 466 */
						obj_t BgL_arg3339z00_18780;

						BgL_arg3339z00_18780 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15409))))->BgL_valsz00);
						BgL_valsz00_18777 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00
							(BgL_arg3339z00_18780, BgL_stkz00_15410);
					}
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_l1318z00_18781;

						BgL_l1318z00_18781 =
							(((BgL_ev_letz00_bglt) COBJECT(
									((BgL_ev_letz00_bglt) BgL_ez00_15409)))->BgL_boxesz00);
						if (NULLP(BgL_l1318z00_18781))
							{	/* Eval/evaluate_comp.scm 467 */
								BgL_iboxesz00_18778 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 467 */
								obj_t BgL_head1320z00_18782;

								BgL_head1320z00_18782 = MAKE_YOUNG_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1318z00_18784;
									obj_t BgL_tail1321z00_18785;

									BgL_l1318z00_18784 = BgL_l1318z00_18781;
									BgL_tail1321z00_18785 = BgL_head1320z00_18782;
								BgL_zc3z04anonymousza33341ze3z87_18783:
									if (NULLP(BgL_l1318z00_18784))
										{	/* Eval/evaluate_comp.scm 467 */
											BgL_iboxesz00_18778 = CDR(BgL_head1320z00_18782);
										}
									else
										{	/* Eval/evaluate_comp.scm 467 */
											obj_t BgL_newtail1322z00_18786;

											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3344z00_18787;

												{	/* Eval/evaluate_comp.scm 467 */
													obj_t BgL_vz00_18788;

													BgL_vz00_18788 = CAR(((obj_t) BgL_l1318z00_18784));
													BgL_arg3344z00_18787 =
														BGl__indexz00zz__evaluate_compz00(BgL_vz00_18788,
														BgL_nstkz00_18775);
												}
												BgL_newtail1322z00_18786 =
													MAKE_YOUNG_PAIR(BgL_arg3344z00_18787, BNIL);
											}
											SET_CDR(BgL_tail1321z00_18785, BgL_newtail1322z00_18786);
											{	/* Eval/evaluate_comp.scm 467 */
												obj_t BgL_arg3343z00_18789;

												BgL_arg3343z00_18789 =
													CDR(((obj_t) BgL_l1318z00_18784));
												{
													obj_t BgL_tail1321z00_35503;
													obj_t BgL_l1318z00_35502;

													BgL_l1318z00_35502 = BgL_arg3343z00_18789;
													BgL_tail1321z00_35503 = BgL_newtail1322z00_18786;
													BgL_tail1321z00_18785 = BgL_tail1321z00_35503;
													BgL_l1318z00_18784 = BgL_l1318z00_35502;
													goto BgL_zc3z04anonymousza33341ze3z87_18783;
												}
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 468 */
						BgL_ev_exprz00_bglt BgL_arg3345z00_18790;

						BgL_arg3345z00_18790 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_15409))))->BgL_bodyz00);
						BgL_bodyz00_18779 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3345z00_18790,
							BgL_nstkz00_18775);
					}
					{	/* Eval/evaluate_comp.scm 469 */
						obj_t BgL_zc3z04anonymousza33325ze3z87_18791;

						BgL_zc3z04anonymousza33325ze3z87_18791 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33325ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33325ze3z87_18791,
							(int) (((long) 0)), BINT(BgL_siza7eza7_18774));
						PROCEDURE_SET(BgL_zc3z04anonymousza33325ze3z87_18791,
							(int) (((long) 1)), BgL_valsz00_18777);
						PROCEDURE_SET(BgL_zc3z04anonymousza33325ze3z87_18791,
							(int) (((long) 2)), BgL_iboxesz00_18778);
						PROCEDURE_SET(BgL_zc3z04anonymousza33325ze3z87_18791,
							(int) (((long) 3)), BgL_bodyz00_18779);
						return BgL_zc3z04anonymousza33325ze3z87_18791;
					}
				}
			}
		}

	}



/* &<@anonymous:3325> */
	obj_t BGl_z62zc3z04anonymousza33325ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15411, obj_t BgL_sz00_15416)
	{
		{	/* Eval/evaluate_comp.scm 469 */
			{	/* Eval/evaluate_comp.scm 469 */
				long BgL_siza7eza7_15412;
				obj_t BgL_valsz00_15413;
				obj_t BgL_iboxesz00_15414;
				obj_t BgL_bodyz00_15415;

				BgL_siza7eza7_15412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15411, (int) (((long) 0))));
				BgL_valsz00_15413 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15411, (int) (((long) 1))));
				BgL_iboxesz00_15414 =
					PROCEDURE_REF(BgL_envz00_15411, (int) (((long) 2)));
				BgL_bodyz00_15415 = PROCEDURE_REF(BgL_envz00_15411, (int) (((long) 3)));
				{	/* Eval/evaluate_comp.scm 469 */
					obj_t BgL_bpz00_18792;

					BgL_bpz00_18792 = VECTOR_REF(((obj_t) BgL_sz00_15416), ((long) 0));
					{	/* Eval/evaluate_comp.scm 470 */
						long BgL_g1111z00_18793;

						BgL_g1111z00_18793 =
							((long) CINT(BgL_bpz00_18792) + BgL_siza7eza7_15412);
						{
							obj_t BgL_lz00_18795;
							long BgL_iz00_18796;

							BgL_lz00_18795 = BgL_valsz00_15413;
							BgL_iz00_18796 = BgL_g1111z00_18793;
						BgL_recz00_18794:
							if (NULLP(BgL_lz00_18795))
								{	/* Eval/evaluate_comp.scm 471 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 471 */
									{	/* Eval/evaluate_comp.scm 472 */
										obj_t BgL_arg3328z00_18797;

										{	/* Eval/evaluate_comp.scm 472 */
											obj_t BgL_fun3329z00_18798;

											BgL_fun3329z00_18798 = CAR(((obj_t) BgL_lz00_18795));
											BgL_arg3328z00_18797 =
												PROCEDURE_ENTRY(BgL_fun3329z00_18798)
												(BgL_fun3329z00_18798, BgL_sz00_15416, BEOA);
										}
										VECTOR_SET(
											((obj_t) BgL_sz00_15416), BgL_iz00_18796,
											BgL_arg3328z00_18797);
									}
									{	/* Eval/evaluate_comp.scm 473 */
										obj_t BgL_arg3330z00_18799;
										long BgL_arg3331z00_18800;

										BgL_arg3330z00_18799 = CDR(((obj_t) BgL_lz00_18795));
										BgL_arg3331z00_18800 = (BgL_iz00_18796 + ((long) 1));
										{
											long BgL_iz00_35548;
											obj_t BgL_lz00_35547;

											BgL_lz00_35547 = BgL_arg3330z00_18799;
											BgL_iz00_35548 = BgL_arg3331z00_18800;
											BgL_iz00_18796 = BgL_iz00_35548;
											BgL_lz00_18795 = BgL_lz00_35547;
											goto BgL_recz00_18794;
										}
									}
								}
						}
					}
					{
						obj_t BgL_lz00_18802;

						BgL_lz00_18802 = BgL_iboxesz00_15414;
					BgL_recz00_18801:
						if (NULLP(BgL_lz00_18802))
							{	/* Eval/evaluate_comp.scm 475 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_comp.scm 475 */
								{	/* Eval/evaluate_comp.scm 476 */
									long BgL_iz00_18803;

									BgL_iz00_18803 =
										(
										(long) CINT(BgL_bpz00_18792) +
										(long) CINT(CAR(((obj_t) BgL_lz00_18802))));
									{	/* Eval/evaluate_comp.scm 477 */
										obj_t BgL_arg3334z00_18804;

										{	/* Eval/evaluate_comp.scm 477 */
											obj_t BgL_arg3335z00_18805;

											BgL_arg3335z00_18805 =
												VECTOR_REF(((obj_t) BgL_sz00_15416), BgL_iz00_18803);
											{	/* Eval/evaluate_comp.scm 202 */
												obj_t BgL_newz00_18806;

												BgL_newz00_18806 =
													create_struct(BGl_symbol4688z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 202 */
													int BgL_tmpz00_35560;

													BgL_tmpz00_35560 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_18806, BgL_tmpz00_35560,
														BgL_arg3335z00_18805);
												}
												BgL_arg3334z00_18804 = BgL_newz00_18806;
										}}
										VECTOR_SET(
											((obj_t) BgL_sz00_15416), BgL_iz00_18803,
											BgL_arg3334z00_18804);
								}}
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_arg3337z00_18807;

									BgL_arg3337z00_18807 = CDR(((obj_t) BgL_lz00_18802));
									{
										obj_t BgL_lz00_35567;

										BgL_lz00_35567 = BgL_arg3337z00_18807;
										BgL_lz00_18802 = BgL_lz00_35567;
										goto BgL_recz00_18801;
									}
								}
							}
					}
					return
						PROCEDURE_ENTRY(BgL_bodyz00_15415) (BgL_bodyz00_15415,
						BgL_sz00_15416, BEOA);
				}
			}
		}

	}



/* &comp-ev_prog21425 */
	obj_t BGl_z62compzd2ev_prog21425zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15417, obj_t BgL_ez00_15418, obj_t BgL_stkz00_15419)
	{
		{	/* Eval/evaluate_comp.scm 456 */
			{	/* Eval/evaluate_comp.scm 458 */
				obj_t BgL_e1z00_18809;
				obj_t BgL_e2z00_18810;

				BgL_e1z00_18809 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_15418)))->BgL_e1z00),
					BgL_stkz00_15419);
				BgL_e2z00_18810 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
							COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_15418)))->BgL_e2z00),
					BgL_stkz00_15419);
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_zc3z04anonymousza33322ze3z87_18811;

					BgL_zc3z04anonymousza33322ze3z87_18811 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33322ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33322ze3z87_18811,
						(int) (((long) 0)), BgL_e1z00_18809);
					PROCEDURE_SET(BgL_zc3z04anonymousza33322ze3z87_18811,
						(int) (((long) 1)), BgL_e2z00_18810);
					return BgL_zc3z04anonymousza33322ze3z87_18811;
				}
			}
		}

	}



/* &<@anonymous:3322> */
	obj_t BGl_z62zc3z04anonymousza33322ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15420, obj_t BgL_sz00_15423)
	{
		{	/* Eval/evaluate_comp.scm 459 */
			{	/* Eval/evaluate_comp.scm 459 */
				obj_t BgL_e1z00_15421;
				obj_t BgL_e2z00_15422;

				BgL_e1z00_15421 = PROCEDURE_REF(BgL_envz00_15420, (int) (((long) 0)));
				BgL_e2z00_15422 = PROCEDURE_REF(BgL_envz00_15420, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 459 */
					obj_t BgL_bpz00_18812;

					BgL_bpz00_18812 = VECTOR_REF(((obj_t) BgL_sz00_15423), ((long) 0));
					PROCEDURE_ENTRY(BgL_e1z00_15421) (BgL_e1z00_15421, BgL_sz00_15423,
						BEOA);
					return PROCEDURE_ENTRY(BgL_e2z00_15422) (BgL_e2z00_15422,
						BgL_sz00_15423, BEOA);
				}
			}
		}

	}



/* &comp-ev_and1423 */
	obj_t BGl_z62compzd2ev_and1423zb0zz__evaluate_compz00(obj_t BgL_envz00_15424,
		obj_t BgL_ez00_15425, obj_t BgL_stkz00_15426)
	{
		{	/* Eval/evaluate_comp.scm 446 */
			{	/* Eval/evaluate_comp.scm 448 */
				obj_t BgL_argsz00_18814;

				{	/* Eval/evaluate_comp.scm 448 */
					obj_t BgL_l1313z00_18815;

					BgL_l1313z00_18815 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_ez00_15425))))->BgL_argsz00);
					if (NULLP(BgL_l1313z00_18815))
						{	/* Eval/evaluate_comp.scm 448 */
							BgL_argsz00_18814 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_head1315z00_18816;

							BgL_head1315z00_18816 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1313z00_18818;
								obj_t BgL_tail1316z00_18819;

								BgL_l1313z00_18818 = BgL_l1313z00_18815;
								BgL_tail1316z00_18819 = BgL_head1315z00_18816;
							BgL_zc3z04anonymousza33318ze3z87_18817:
								if (NULLP(BgL_l1313z00_18818))
									{	/* Eval/evaluate_comp.scm 448 */
										BgL_argsz00_18814 = CDR(BgL_head1315z00_18816);
									}
								else
									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_newtail1317z00_18820;

										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3321z00_18821;

											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_ez00_18822;

												BgL_ez00_18822 = CAR(((obj_t) BgL_l1313z00_18818));
												BgL_arg3321z00_18821 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18822),
													BgL_stkz00_15426);
											}
											BgL_newtail1317z00_18820 =
												MAKE_YOUNG_PAIR(BgL_arg3321z00_18821, BNIL);
										}
										SET_CDR(BgL_tail1316z00_18819, BgL_newtail1317z00_18820);
										{	/* Eval/evaluate_comp.scm 448 */
											obj_t BgL_arg3320z00_18823;

											BgL_arg3320z00_18823 = CDR(((obj_t) BgL_l1313z00_18818));
											{
												obj_t BgL_tail1316z00_35617;
												obj_t BgL_l1313z00_35616;

												BgL_l1313z00_35616 = BgL_arg3320z00_18823;
												BgL_tail1316z00_35617 = BgL_newtail1317z00_18820;
												BgL_tail1316z00_18819 = BgL_tail1316z00_35617;
												BgL_l1313z00_18818 = BgL_l1313z00_35616;
												goto BgL_zc3z04anonymousza33318ze3z87_18817;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_zc3z04anonymousza33312ze3z87_18824;

					BgL_zc3z04anonymousza33312ze3z87_18824 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33312ze3z87_18824,
						(int) (((long) 0)), BgL_argsz00_18814);
					return BgL_zc3z04anonymousza33312ze3z87_18824;
				}
			}
		}

	}



/* &<@anonymous:3312> */
	obj_t BGl_z62zc3z04anonymousza33312ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15427, obj_t BgL_sz00_15429)
	{
		{	/* Eval/evaluate_comp.scm 449 */
			{	/* Eval/evaluate_comp.scm 449 */
				obj_t BgL_argsz00_15428;

				BgL_argsz00_15428 = PROCEDURE_REF(BgL_envz00_15427, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 449 */
					obj_t BgL_bpz00_18825;

					BgL_bpz00_18825 = VECTOR_REF(((obj_t) BgL_sz00_15429), ((long) 0));
					{
						obj_t BgL_lz00_18827;
						obj_t BgL_rz00_18828;

						BgL_lz00_18827 = BgL_argsz00_15428;
						BgL_rz00_18828 = BTRUE;
					BgL_recz00_18826:
						if (NULLP(BgL_lz00_18827))
							{	/* Eval/evaluate_comp.scm 451 */
								return BgL_rz00_18828;
							}
						else
							{	/* Eval/evaluate_comp.scm 453 */
								obj_t BgL_vz00_18829;

								{	/* Eval/evaluate_comp.scm 453 */
									obj_t BgL_fun3316z00_18830;

									BgL_fun3316z00_18830 = CAR(((obj_t) BgL_lz00_18827));
									BgL_vz00_18829 =
										PROCEDURE_ENTRY(BgL_fun3316z00_18830) (BgL_fun3316z00_18830,
										BgL_sz00_15429, BEOA);
								}
								if (CBOOL(BgL_vz00_18829))
									{	/* Eval/evaluate_comp.scm 454 */
										obj_t BgL_arg3315z00_18831;

										BgL_arg3315z00_18831 = CDR(((obj_t) BgL_lz00_18827));
										{
											obj_t BgL_rz00_35640;
											obj_t BgL_lz00_35639;

											BgL_lz00_35639 = BgL_arg3315z00_18831;
											BgL_rz00_35640 = BgL_vz00_18829;
											BgL_rz00_18828 = BgL_rz00_35640;
											BgL_lz00_18827 = BgL_lz00_35639;
											goto BgL_recz00_18826;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 454 */
										return BFALSE;
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_or1421 */
	obj_t BGl_z62compzd2ev_or1421zb0zz__evaluate_compz00(obj_t BgL_envz00_15430,
		obj_t BgL_ez00_15431, obj_t BgL_stkz00_15432)
	{
		{	/* Eval/evaluate_comp.scm 437 */
			{	/* Eval/evaluate_comp.scm 439 */
				obj_t BgL_argsz00_18833;

				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_l1308z00_18834;

					BgL_l1308z00_18834 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_ez00_15431))))->BgL_argsz00);
					if (NULLP(BgL_l1308z00_18834))
						{	/* Eval/evaluate_comp.scm 439 */
							BgL_argsz00_18833 = BNIL;
						}
					else
						{	/* Eval/evaluate_comp.scm 439 */
							obj_t BgL_head1310z00_18835;

							BgL_head1310z00_18835 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1308z00_18837;
								obj_t BgL_tail1311z00_18838;

								BgL_l1308z00_18837 = BgL_l1308z00_18834;
								BgL_tail1311z00_18838 = BgL_head1310z00_18835;
							BgL_zc3z04anonymousza33306ze3z87_18836:
								if (NULLP(BgL_l1308z00_18837))
									{	/* Eval/evaluate_comp.scm 439 */
										BgL_argsz00_18833 = CDR(BgL_head1310z00_18835);
									}
								else
									{	/* Eval/evaluate_comp.scm 439 */
										obj_t BgL_newtail1312z00_18839;

										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3311z00_18840;

											{	/* Eval/evaluate_comp.scm 439 */
												obj_t BgL_ez00_18841;

												BgL_ez00_18841 = CAR(((obj_t) BgL_l1308z00_18837));
												BgL_arg3311z00_18840 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_ez00_18841),
													BgL_stkz00_15432);
											}
											BgL_newtail1312z00_18839 =
												MAKE_YOUNG_PAIR(BgL_arg3311z00_18840, BNIL);
										}
										SET_CDR(BgL_tail1311z00_18838, BgL_newtail1312z00_18839);
										{	/* Eval/evaluate_comp.scm 439 */
											obj_t BgL_arg3308z00_18842;

											BgL_arg3308z00_18842 = CDR(((obj_t) BgL_l1308z00_18837));
											{
												obj_t BgL_tail1311z00_35659;
												obj_t BgL_l1308z00_35658;

												BgL_l1308z00_35658 = BgL_arg3308z00_18842;
												BgL_tail1311z00_35659 = BgL_newtail1312z00_18839;
												BgL_tail1311z00_18838 = BgL_tail1311z00_35659;
												BgL_l1308z00_18837 = BgL_l1308z00_35658;
												goto BgL_zc3z04anonymousza33306ze3z87_18836;
											}
										}
									}
							}
						}
				}
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_zc3z04anonymousza33300ze3z87_18843;

					BgL_zc3z04anonymousza33300ze3z87_18843 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33300ze3z87_18843,
						(int) (((long) 0)), BgL_argsz00_18833);
					return BgL_zc3z04anonymousza33300ze3z87_18843;
				}
			}
		}

	}



/* &<@anonymous:3300> */
	obj_t BGl_z62zc3z04anonymousza33300ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15433, obj_t BgL_sz00_15435)
	{
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_argsz00_15434;

				BgL_argsz00_15434 = PROCEDURE_REF(BgL_envz00_15433, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 440 */
					obj_t BgL_bpz00_18844;

					BgL_bpz00_18844 = VECTOR_REF(((obj_t) BgL_sz00_15435), ((long) 0));
					{
						obj_t BgL_lz00_18846;

						BgL_lz00_18846 = BgL_argsz00_15434;
					BgL_recz00_18845:
						if (NULLP(BgL_lz00_18846))
							{	/* Eval/evaluate_comp.scm 442 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 444 */
								obj_t BgL__ortest_1106z00_18847;

								{	/* Eval/evaluate_comp.scm 444 */
									obj_t BgL_fun3304z00_18848;

									BgL_fun3304z00_18848 = CAR(((obj_t) BgL_lz00_18846));
									BgL__ortest_1106z00_18847 =
										PROCEDURE_ENTRY(BgL_fun3304z00_18848) (BgL_fun3304z00_18848,
										BgL_sz00_15435, BEOA);
								}
								if (CBOOL(BgL__ortest_1106z00_18847))
									{	/* Eval/evaluate_comp.scm 444 */
										return BgL__ortest_1106z00_18847;
									}
								else
									{	/* Eval/evaluate_comp.scm 444 */
										obj_t BgL_arg3303z00_18849;

										BgL_arg3303z00_18849 = CDR(((obj_t) BgL_lz00_18846));
										{
											obj_t BgL_lz00_35681;

											BgL_lz00_35681 = BgL_arg3303z00_18849;
											BgL_lz00_18846 = BgL_lz00_35681;
											goto BgL_recz00_18845;
										}
									}
							}
					}
				}
			}
		}

	}



/* &comp-ev_if1419 */
	obj_t BGl_z62compzd2ev_if1419zb0zz__evaluate_compz00(obj_t BgL_envz00_15436,
		obj_t BgL_ez00_15437, obj_t BgL_stkz00_15438)
	{
		{	/* Eval/evaluate_comp.scm 431 */
			{	/* Eval/evaluate_comp.scm 433 */
				obj_t BgL_pz00_18851;
				obj_t BgL_tz00_18852;
				obj_t BgL_ez00_18853;

				BgL_pz00_18851 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_15437)))->BgL_pz00),
					BgL_stkz00_15438);
				BgL_tz00_18852 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15437)))->BgL_tz00),
					BgL_stkz00_15438);
				BgL_ez00_18853 =
					BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
							COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_15437)))->BgL_ez00),
					BgL_stkz00_15438);
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_zc3z04anonymousza33275ze3z87_18854;

					BgL_zc3z04anonymousza33275ze3z87_18854 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33275ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 3)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33275ze3z87_18854,
						(int) (((long) 0)), BgL_ez00_18853);
					PROCEDURE_SET(BgL_zc3z04anonymousza33275ze3z87_18854,
						(int) (((long) 1)), BgL_tz00_18852);
					PROCEDURE_SET(BgL_zc3z04anonymousza33275ze3z87_18854,
						(int) (((long) 2)), BgL_pz00_18851);
					return BgL_zc3z04anonymousza33275ze3z87_18854;
				}
			}
		}

	}



/* &<@anonymous:3275> */
	obj_t BGl_z62zc3z04anonymousza33275ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15439, obj_t BgL_sz00_15443)
	{
		{	/* Eval/evaluate_comp.scm 434 */
			{	/* Eval/evaluate_comp.scm 434 */
				obj_t BgL_ez00_15440;
				obj_t BgL_tz00_15441;
				obj_t BgL_pz00_15442;

				BgL_ez00_15440 = PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 0)));
				BgL_tz00_15441 = PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 1)));
				BgL_pz00_15442 = PROCEDURE_REF(BgL_envz00_15439, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 434 */
					obj_t BgL_bpz00_18855;

					BgL_bpz00_18855 = VECTOR_REF(((obj_t) BgL_sz00_15443), ((long) 0));
					if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_15442) (BgL_pz00_15442,
								BgL_sz00_15443, BEOA)))
						{	/* Eval/evaluate_comp.scm 435 */
							return
								PROCEDURE_ENTRY(BgL_tz00_15441) (BgL_tz00_15441, BgL_sz00_15443,
								BEOA);
						}
					else
						{	/* Eval/evaluate_comp.scm 435 */
							return
								PROCEDURE_ENTRY(BgL_ez00_15440) (BgL_ez00_15440, BgL_sz00_15443,
								BEOA);
						}
				}
			}
		}

	}



/* &comp-ev_litt1417 */
	obj_t BGl_z62compzd2ev_litt1417zb0zz__evaluate_compz00(obj_t BgL_envz00_15444,
		obj_t BgL_ez00_15445, obj_t BgL_stkz00_15446)
	{
		{	/* Eval/evaluate_comp.scm 426 */
			{	/* Eval/evaluate_comp.scm 428 */
				obj_t BgL_zc3z04anonymousza33274ze3z87_18857;

				BgL_zc3z04anonymousza33274ze3z87_18857 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3z04anonymousza33274ze3ze5zz__evaluate_compz00,
					(int) (((long) 1)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3z04anonymousza33274ze3z87_18857,
					(int) (((long) 0)), ((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_15445)));
				return BgL_zc3z04anonymousza33274ze3z87_18857;
			}
		}

	}



/* &<@anonymous:3274> */
	obj_t BGl_z62zc3z04anonymousza33274ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15447, obj_t BgL_sz00_15449)
	{
		{	/* Eval/evaluate_comp.scm 428 */
			{	/* Eval/evaluate_comp.scm 428 */
				BgL_ev_littz00_bglt BgL_i1103z00_15448;

				BgL_i1103z00_15448 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_15447, (int) (((long) 0))));
				{	/* Eval/evaluate_comp.scm 428 */
					obj_t BgL_bpz00_18858;

					BgL_bpz00_18858 = VECTOR_REF(((obj_t) BgL_sz00_15449), ((long) 0));
					return
						(((BgL_ev_littz00_bglt) COBJECT(BgL_i1103z00_15448))->BgL_valuez00);
				}
			}
		}

	}



/* &comp-ev_defglobal1415 */
	obj_t BGl_z62compzd2ev_defglobal1415zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15450, obj_t BgL_ez00_15451, obj_t BgL_stkz00_15452)
	{
		{	/* Eval/evaluate_comp.scm 395 */
			{	/* Eval/evaluate_comp.scm 397 */
				obj_t BgL_ez00_18860;

				{	/* Eval/evaluate_comp.scm 397 */
					BgL_ev_exprz00_bglt BgL_arg3273z00_18861;

					BgL_arg3273z00_18861 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_ez00_15451))))->BgL_ez00);
					BgL_ez00_18860 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3273z00_18861,
						BgL_stkz00_15452);
				}
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_zc3z04anonymousza33231ze3z87_18862;

					BgL_zc3z04anonymousza33231ze3z87_18862 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_18862,
						(int) (((long) 0)),
						((obj_t) ((BgL_ev_defglobalz00_bglt) BgL_ez00_15451)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33231ze3z87_18862,
						(int) (((long) 1)), BgL_ez00_18860);
					return BgL_zc3z04anonymousza33231ze3z87_18862;
				}
			}
		}

	}



/* &<@anonymous:3231> */
	obj_t BGl_z62zc3z04anonymousza33231ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15453, obj_t BgL_sz00_15456)
	{
		{	/* Eval/evaluate_comp.scm 398 */
			{	/* Eval/evaluate_comp.scm 398 */
				BgL_ev_defglobalz00_bglt BgL_i1100z00_15454;
				obj_t BgL_ez00_15455;

				BgL_i1100z00_15454 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15453, (int) (((long) 0))));
				BgL_ez00_15455 = PROCEDURE_REF(BgL_envz00_15453, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 398 */
					obj_t BgL_bpz00_18863;

					BgL_bpz00_18863 = VECTOR_REF(((obj_t) BgL_sz00_15456), ((long) 0));
					{	/* Eval/evaluate_comp.scm 399 */
						obj_t BgL_gz00_18864;

						{	/* Eval/evaluate_comp.scm 399 */
							obj_t BgL_arg3271z00_18865;
							obj_t BgL_arg3272z00_18866;

							BgL_arg3271z00_18865 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(
										((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15454)))->
								BgL_modz00);
							BgL_arg3272z00_18866 =
								(((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
											BgL_i1100z00_15454)))->BgL_namez00);
							BgL_gz00_18864 =
								BGl_evmodulezd2findzd2globalz00zz__evmodulez00
								(BgL_arg3271z00_18865, BgL_arg3272z00_18866);
						}
						if (CBOOL(BgL_gz00_18864))
							{	/* Eval/evaluate_comp.scm 401 */
								{

									{	/* Eval/evaluate_comp.scm 403 */
										int BgL_aux1102z00_18870;

										{	/* Eval/evaluate_comp.scm 403 */
											int BgL_res4543z00_18871;

											BgL_res4543z00_18871 =
												CINT(VECTOR_REF(((obj_t) BgL_gz00_18864), ((long) 0)));
											BgL_aux1102z00_18870 = BgL_res4543z00_18871;
										}
										switch ((long) (BgL_aux1102z00_18870))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 405 */
													obj_t BgL_arg3234z00_18872;
													obj_t BgL_arg3246z00_18873;

													BgL_arg3234z00_18872 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_locz00);
													BgL_arg3246z00_18873 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3234z00_18872,
														BGl_string4799z00zz__evaluate_compz00,
														BGl_string4800z00zz__evaluate_compz00,
														BgL_arg3246z00_18873);
												} break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 407 */
													obj_t BgL_arg3247z00_18874;
													obj_t BgL_arg3248z00_18875;

													BgL_arg3247z00_18874 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_locz00);
													BgL_arg3248z00_18875 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_namez00);
													{	/* Eval/evaluate_comp.scm 407 */
														obj_t BgL_list3249z00_18876;

														{	/* Eval/evaluate_comp.scm 407 */
															obj_t BgL_arg3251z00_18877;

															{	/* Eval/evaluate_comp.scm 407 */
																obj_t BgL_arg3252z00_18878;

																BgL_arg3252z00_18878 =
																	MAKE_YOUNG_PAIR(BgL_arg3248z00_18875, BNIL);
																BgL_arg3251z00_18877 =
																	MAKE_YOUNG_PAIR
																	(BGl_string4801z00zz__evaluate_compz00,
																	BgL_arg3252z00_18878);
															}
															BgL_list3249z00_18876 =
																MAKE_YOUNG_PAIR
																(BGl_string4678z00zz__evaluate_compz00,
																BgL_arg3251z00_18877);
														}
														BGl_evwarningz00zz__everrorz00(BgL_arg3247z00_18874,
															BgL_list3249z00_18876);
												}}
												{	/* Eval/evaluate_comp.scm 409 */
													obj_t BgL_arg3253z00_18879;
													obj_t BgL_arg3256z00_18880;

													BgL_arg3253z00_18879 =
														VECTOR_REF(((obj_t) BgL_gz00_18864), ((long) 2));
													BgL_arg3256z00_18880 =
														PROCEDURE_ENTRY(BgL_ez00_15455) (BgL_ez00_15455,
														BgL_sz00_15456, BEOA);
													__EVMEANING_ADDRESS_SET(BgL_arg3253z00_18879,
														BgL_arg3256z00_18880);
												} break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 411 */
													obj_t BgL_arg3257z00_18881;

													BgL_arg3257z00_18881 =
														PROCEDURE_ENTRY(BgL_ez00_15455) (BgL_ez00_15455,
														BgL_sz00_15456, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18864), ((long) 2),
														BgL_arg3257z00_18881);
												} break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 413 */
													obj_t BgL_arg3258z00_18882;

													BgL_arg3258z00_18882 =
														PROCEDURE_ENTRY(BgL_ez00_15455) (BgL_ez00_15455,
														BgL_sz00_15456, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18864), ((long) 2),
														BgL_arg3258z00_18882);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18864), ((long) 0),
													BINT(((long) 2)));
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 416 */
													obj_t BgL_arg3259z00_18883;

													BgL_arg3259z00_18883 =
														PROCEDURE_ENTRY(BgL_ez00_15455) (BgL_ez00_15455,
														BgL_sz00_15456, BEOA);
													VECTOR_SET(((obj_t) BgL_gz00_18864), ((long) 2),
														BgL_arg3259z00_18883);
												}
												VECTOR_SET(
													((obj_t) BgL_gz00_18864), ((long) 0),
													BINT(((long) 5)));
												break;
											default:
												{	/* Eval/evaluate_comp.scm 419 */
													obj_t BgL_arg3260z00_18868;
													obj_t BgL_arg3261z00_18869;

													BgL_arg3260z00_18868 =
														(((BgL_ev_setglobalz00_bglt) COBJECT(
																((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_locz00);
													BgL_arg3261z00_18869 =
														(((BgL_ev_setglobalz00_bglt)
															COBJECT(((BgL_ev_setglobalz00_bglt)
																	BgL_i1100z00_15454)))->BgL_namez00);
													BGl_everrorz00zz__everrorz00(BgL_arg3260z00_18868,
														BGl_string4799z00zz__evaluate_compz00,
														BGl_string4800z00zz__evaluate_compz00,
														BgL_arg3261z00_18869);
												}
											}
									}
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15454)))->
									BgL_namez00);
							}
						else
							{	/* Eval/evaluate_comp.scm 421 */
								obj_t BgL_gz00_18884;

								{	/* Eval/evaluate_comp.scm 421 */
									obj_t BgL_arg3267z00_18885;
									obj_t BgL_arg3269z00_18886;
									obj_t BgL_arg3270z00_18887;

									BgL_arg3267z00_18885 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15454)))->
										BgL_namez00);
									BgL_arg3269z00_18886 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15454)))->BgL_modz00);
									BgL_arg3270z00_18887 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15454)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 421 */
										obj_t BgL_v1386z00_18888;

										BgL_v1386z00_18888 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1386z00_18888, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1386z00_18888, ((long) 1),
											BgL_arg3267z00_18885);
										VECTOR_SET(BgL_v1386z00_18888, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1386z00_18888, ((long) 3),
											BgL_arg3269z00_18886);
										VECTOR_SET(BgL_v1386z00_18888, ((long) 4),
											BgL_arg3270z00_18887);
										BgL_gz00_18884 = BgL_v1386z00_18888;
								}}
								{	/* Eval/evaluate_comp.scm 422 */
									obj_t BgL_arg3262z00_18889;

									BgL_arg3262z00_18889 =
										PROCEDURE_ENTRY(BgL_ez00_15455) (BgL_ez00_15455,
										BgL_sz00_15456, BEOA);
									VECTOR_SET(BgL_gz00_18884, ((long) 2), BgL_arg3262z00_18889);
								}
								{	/* Eval/evaluate_comp.scm 423 */
									obj_t BgL_arg3263z00_18890;
									obj_t BgL_arg3264z00_18891;
									obj_t BgL_arg3265z00_18892;

									BgL_arg3263z00_18890 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15454)))->
										BgL_modz00);
									BgL_arg3264z00_18891 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15454)))->BgL_namez00);
									BgL_arg3265z00_18892 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt)
													BgL_i1100z00_15454)))->BgL_locz00);
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
										(BgL_arg3263z00_18890, BgL_arg3264z00_18891, BgL_gz00_18884,
										BgL_arg3265z00_18892);
								}
								return
									(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_i1100z00_15454)))->
									BgL_namez00);
							}
					}
				}
			}
		}

	}



/* &comp-ev_setglobal1413 */
	obj_t BGl_z62compzd2ev_setglobal1413zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15457, obj_t BgL_ez00_15458, obj_t BgL_stkz00_15459)
	{
		{	/* Eval/evaluate_comp.scm 372 */
			{	/* Eval/evaluate_comp.scm 374 */
				obj_t BgL_gz00_18894;
				obj_t BgL_ez00_18895;

				BgL_gz00_18894 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->BgL_modz00),
					(((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->BgL_namez00));
				{	/* Eval/evaluate_comp.scm 374 */
					BgL_ev_exprz00_bglt BgL_arg3230z00_18896;

					BgL_arg3230z00_18896 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setglobalz00_bglt) BgL_ez00_15458))))->BgL_ez00);
					BgL_ez00_18895 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3230z00_18896,
						BgL_stkz00_15459);
				}
				if (CBOOL(BgL_gz00_18894))
					{

						{	/* Eval/evaluate_comp.scm 376 */
							int BgL_aux1099z00_18899;

							{	/* Eval/evaluate_comp.scm 376 */
								int BgL_res4542z00_18900;

								BgL_res4542z00_18900 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18894), ((long) 0)));
								BgL_aux1099z00_18899 = BgL_res4542z00_18900;
							}
							switch ((long) (BgL_aux1099z00_18899))
								{
								case ((long) 1):

									{	/* Eval/evaluate_comp.scm 378 */
										obj_t BgL_zc3z04anonymousza33195ze3z87_18901;

										BgL_zc3z04anonymousza33195ze3z87_18901 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33195ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza33195ze3z87_18901,
											(int) (((long) 0)), BgL_gz00_18894);
										PROCEDURE_SET(BgL_zc3z04anonymousza33195ze3z87_18901,
											(int) (((long) 1)), BgL_ez00_18895);
										return BgL_zc3z04anonymousza33195ze3z87_18901;
									}
									break;
								case ((long) 0):
								case ((long) 4):
								case ((long) 5):

									return
										BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(
													((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
											BgL_locz00), BGl_string4799z00zz__evaluate_compz00,
										BGl_string4800z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt)
												COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
											BgL_namez00));
									break;
								default:
									{	/* Eval/evaluate_comp.scm 383 */
										obj_t BgL_zc3z04anonymousza33200ze3z87_18898;

										BgL_zc3z04anonymousza33200ze3z87_18898 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza33200ze3ze5zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3z04anonymousza33200ze3z87_18898,
											(int) (((long) 0)), BgL_ez00_18895);
										PROCEDURE_SET(BgL_zc3z04anonymousza33200ze3z87_18898,
											(int) (((long) 1)), BgL_gz00_18894);
										return BgL_zc3z04anonymousza33200ze3z87_18898;
									}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 384 */
						obj_t BgL_slotz00_18902;

						BgL_slotz00_18902 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_setglobalz00_bglt) COBJECT(
											((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 386 */
								obj_t BgL_gz00_18903;

								{	/* Eval/evaluate_comp.scm 386 */
									obj_t BgL_arg3216z00_18904;
									obj_t BgL_arg3217z00_18905;
									obj_t BgL_arg3219z00_18906;

									BgL_arg3216z00_18904 =
										(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_namez00);
									BgL_arg3217z00_18905 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_modz00);
									BgL_arg3219z00_18906 =
										(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_locz00);
									{	/* Eval/evaluate_comp.scm 386 */
										obj_t BgL_v1386z00_18907;

										BgL_v1386z00_18907 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1386z00_18907, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1386z00_18907, ((long) 1),
											BgL_arg3216z00_18904);
										VECTOR_SET(BgL_v1386z00_18907, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1386z00_18907, ((long) 3),
											BgL_arg3217z00_18905);
										VECTOR_SET(BgL_v1386z00_18907, ((long) 4),
											BgL_arg3219z00_18906);
										BgL_gz00_18903 = BgL_v1386z00_18907;
								}}
								VECTOR_SET(BgL_gz00_18903, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(
												((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_namez00), BgL_gz00_18903,
									(((BgL_ev_setglobalz00_bglt)
											COBJECT(((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)))->
										BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 385 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 389 */
							obj_t BgL_zc3z04anonymousza33221ze3z87_18908;

							BgL_zc3z04anonymousza33221ze3z87_18908 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_18908,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_setglobalz00_bglt) BgL_ez00_15458)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_18908,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18902));
							PROCEDURE_SET(BgL_zc3z04anonymousza33221ze3z87_18908,
								(int) (((long) 2)), BgL_ez00_18895);
							return BgL_zc3z04anonymousza33221ze3z87_18908;
						}
					}
			}
		}

	}



/* &<@anonymous:3195> */
	obj_t BGl_z62zc3z04anonymousza33195ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15462, obj_t BgL_sz00_15465)
	{
		{	/* Eval/evaluate_comp.scm 378 */
			{	/* Eval/evaluate_comp.scm 378 */
				obj_t BgL_gz00_15463;
				obj_t BgL_ez00_15464;

				BgL_gz00_15463 = PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 0)));
				BgL_ez00_15464 = PROCEDURE_REF(BgL_envz00_15462, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_bpz00_18909;

					BgL_bpz00_18909 = VECTOR_REF(((obj_t) BgL_sz00_15465), ((long) 0));
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_arg3196z00_18910;
						obj_t BgL_arg3197z00_18911;

						BgL_arg3196z00_18910 =
							VECTOR_REF(((obj_t) BgL_gz00_15463), ((long) 2));
						BgL_arg3197z00_18911 =
							PROCEDURE_ENTRY(BgL_ez00_15464) (BgL_ez00_15464, BgL_sz00_15465,
							BEOA);
						return __EVMEANING_ADDRESS_SET(BgL_arg3196z00_18910,
							BgL_arg3197z00_18911);
					}
				}
			}
		}

	}



/* &<@anonymous:3200> */
	obj_t BGl_z62zc3z04anonymousza33200ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15466, obj_t BgL_sz00_15469)
	{
		{	/* Eval/evaluate_comp.scm 383 */
			{	/* Eval/evaluate_comp.scm 383 */
				obj_t BgL_ez00_15467;
				obj_t BgL_gz00_15468;

				BgL_ez00_15467 = PROCEDURE_REF(BgL_envz00_15466, (int) (((long) 0)));
				BgL_gz00_15468 = PROCEDURE_REF(BgL_envz00_15466, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 383 */
					obj_t BgL_bpz00_18912;

					BgL_bpz00_18912 = VECTOR_REF(((obj_t) BgL_sz00_15469), ((long) 0));
					{	/* Eval/evaluate_comp.scm 383 */
						obj_t BgL_arg3201z00_18913;

						BgL_arg3201z00_18913 =
							PROCEDURE_ENTRY(BgL_ez00_15467) (BgL_ez00_15467, BgL_sz00_15469,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_gz00_15468), ((long) 2),
							BgL_arg3201z00_18913);
		}}}}

	}



/* &<@anonymous:3221> */
	obj_t BGl_z62zc3z04anonymousza33221ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15470, obj_t BgL_sz00_15474)
	{
		{	/* Eval/evaluate_comp.scm 389 */
			{	/* Eval/evaluate_comp.scm 389 */
				BgL_ev_setglobalz00_bglt BgL_i1097z00_15471;
				obj_t BgL_slotz00_15472;
				obj_t BgL_ez00_15473;

				BgL_i1097z00_15471 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15470, (int) (((long) 0))));
				BgL_slotz00_15472 = PROCEDURE_REF(BgL_envz00_15470, (int) (((long) 1)));
				BgL_ez00_15473 = PROCEDURE_REF(BgL_envz00_15470, (int) (((long) 2)));
				{	/* Eval/evaluate_comp.scm 389 */
					obj_t BgL_bpz00_18914;

					BgL_bpz00_18914 = VECTOR_REF(((obj_t) BgL_sz00_15474), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15472)))
						{	/* Eval/evaluate_comp.scm 390 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 390 */
							{	/* Eval/evaluate_comp.scm 391 */
								obj_t BgL_auxz00_18915;

								BgL_auxz00_18915 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15471))->
										BgL_modz00),
									(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15471))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15472, BgL_auxz00_18915);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15472)))
								{	/* Eval/evaluate_comp.scm 392 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 392 */
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15471))->
											BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
										BGl_string4802z00zz__evaluate_compz00,
										(((BgL_ev_setglobalz00_bglt) COBJECT(BgL_i1097z00_15471))->
											BgL_namez00));
								}
						}
					{	/* Eval/evaluate_comp.scm 393 */
						obj_t BgL_arg3226z00_18916;

						BgL_arg3226z00_18916 =
							PROCEDURE_ENTRY(BgL_ez00_15473) (BgL_ez00_15473, BgL_sz00_15474,
							BEOA);
						{	/* Eval/evaluate_comp.scm 393 */
							obj_t BgL_evalzd2globalzd2_18917;

							BgL_evalzd2globalzd2_18917 = CELL_REF(BgL_slotz00_15472);
							return
								VECTOR_SET(BgL_evalzd2globalzd2_18917, ((long) 2),
								BgL_arg3226z00_18916);
		}}}}}

	}



/* &comp-ev_global1410 */
	obj_t BGl_z62compzd2ev_global1410zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15476, obj_t BgL_varz00_15477, obj_t BgL_stkz00_15478)
	{
		{	/* Eval/evaluate_comp.scm 339 */
			{	/* Eval/evaluate_comp.scm 341 */
				obj_t BgL_gz00_18919;

				BgL_gz00_18919 =
					BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15477)))->BgL_modz00),
					(((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_varz00_15477)))->BgL_namez00));
				if (CBOOL(BgL_gz00_18919))
					{	/* Eval/evaluate_comp.scm 343 */
						bool_t BgL_test5852z00_35974;

						{	/* Eval/evaluate_comp.scm 343 */
							int BgL_arg3134z00_18920;

							{	/* Eval/evaluate_comp.scm 343 */
								int BgL_res4540z00_18921;

								BgL_res4540z00_18921 =
									CINT(VECTOR_REF(((obj_t) BgL_gz00_18919), ((long) 0)));
								BgL_arg3134z00_18920 = BgL_res4540z00_18921;
							}
							BgL_test5852z00_35974 =
								(BINT(BgL_arg3134z00_18920) == BINT(((long) 1)));
						}
						if (BgL_test5852z00_35974)
							{	/* Eval/evaluate_comp.scm 344 */
								obj_t BgL_zc3z04anonymousza33131ze3z87_18922;

								BgL_zc3z04anonymousza33131ze3z87_18922 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33131ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33131ze3z87_18922,
									(int) (((long) 0)), BgL_gz00_18919);
								return BgL_zc3z04anonymousza33131ze3z87_18922;
							}
						else
							{	/* Eval/evaluate_comp.scm 346 */
								obj_t BgL_zc3z04anonymousza33133ze3z87_18923;

								BgL_zc3z04anonymousza33133ze3z87_18923 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza33133ze3ze5zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza33133ze3z87_18923,
									(int) (((long) 0)), BgL_gz00_18919);
								return BgL_zc3z04anonymousza33133ze3z87_18923;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 348 */
						obj_t BgL_slotz00_18924;

						BgL_slotz00_18924 = MAKE_CELL(BFALSE);
						if (BGl_evmodulezf3zf3zz__evmodulez00(
								(((BgL_ev_globalz00_bglt) COBJECT(
											((BgL_ev_globalz00_bglt) BgL_varz00_15477)))->
									BgL_modz00)))
							{	/* Eval/evaluate_comp.scm 350 */
								obj_t BgL_gz00_18925;

								{	/* Eval/evaluate_comp.scm 350 */
									obj_t BgL_arg3146z00_18926;
									obj_t BgL_arg3147z00_18927;
									obj_t BgL_arg3150z00_18928;

									BgL_arg3146z00_18926 =
										(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15477)))->
										BgL_namez00);
									BgL_arg3147z00_18927 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15477)))->BgL_modz00);
									BgL_arg3150z00_18928 =
										(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15477)))->BgL_locz00);
									{	/* Eval/evaluate_comp.scm 350 */
										obj_t BgL_v1386z00_18929;

										BgL_v1386z00_18929 = create_vector(((long) 5));
										VECTOR_SET(BgL_v1386z00_18929, ((long) 0),
											BINT(((long) 2)));
										VECTOR_SET(BgL_v1386z00_18929, ((long) 1),
											BgL_arg3146z00_18926);
										VECTOR_SET(BgL_v1386z00_18929, ((long) 2), BUNSPEC);
										VECTOR_SET(BgL_v1386z00_18929, ((long) 3),
											BgL_arg3147z00_18927);
										VECTOR_SET(BgL_v1386z00_18929, ((long) 4),
											BgL_arg3150z00_18928);
										BgL_gz00_18925 = BgL_v1386z00_18929;
								}}
								VECTOR_SET(BgL_gz00_18925, ((long) 0), BINT(((long) 3)));
								BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(
												((BgL_ev_globalz00_bglt) BgL_varz00_15477)))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15477)))->BgL_namez00), BgL_gz00_18925,
									(((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
													BgL_varz00_15477)))->BgL_locz00));
							}
						else
							{	/* Eval/evaluate_comp.scm 349 */
								BFALSE;
							}
						{	/* Eval/evaluate_comp.scm 353 */
							obj_t BgL_zc3z04anonymousza33153ze3z87_18930;

							BgL_zc3z04anonymousza33153ze3z87_18930 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33153ze3z87_18930,
								(int) (((long) 0)),
								((obj_t) ((BgL_ev_globalz00_bglt) BgL_varz00_15477)));
							PROCEDURE_SET(BgL_zc3z04anonymousza33153ze3z87_18930,
								(int) (((long) 1)), ((obj_t) BgL_slotz00_18924));
							return BgL_zc3z04anonymousza33153ze3z87_18930;
						}
					}
			}
		}

	}



/* &<@anonymous:3131> */
	obj_t BGl_z62zc3z04anonymousza33131ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15481, obj_t BgL_sz00_15483)
	{
		{	/* Eval/evaluate_comp.scm 344 */
			{	/* Eval/evaluate_comp.scm 344 */
				obj_t BgL_gz00_15482;

				BgL_gz00_15482 = PROCEDURE_REF(BgL_envz00_15481, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 344 */
					obj_t BgL_bpz00_18931;

					BgL_bpz00_18931 = VECTOR_REF(((obj_t) BgL_sz00_15483), ((long) 0));
					{	/* Eval/evaluate_comp.scm 345 */
						obj_t BgL_arg3132z00_18932;

						BgL_arg3132z00_18932 =
							VECTOR_REF(((obj_t) BgL_gz00_15482), ((long) 2));
						return __EVMEANING_ADDRESS_REF(BgL_arg3132z00_18932);
					}
				}
			}
		}

	}



/* &<@anonymous:3133> */
	obj_t BGl_z62zc3z04anonymousza33133ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15484, obj_t BgL_sz00_15486)
	{
		{	/* Eval/evaluate_comp.scm 346 */
			{	/* Eval/evaluate_comp.scm 346 */
				obj_t BgL_gz00_15485;

				BgL_gz00_15485 = PROCEDURE_REF(BgL_envz00_15484, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 346 */
					obj_t BgL_bpz00_18933;

					BgL_bpz00_18933 = VECTOR_REF(((obj_t) BgL_sz00_15486), ((long) 0));
					return VECTOR_REF(((obj_t) BgL_gz00_15485), ((long) 2));
		}}}

	}



/* &<@anonymous:3153> */
	obj_t BGl_z62zc3z04anonymousza33153ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15487, obj_t BgL_sz00_15490)
	{
		{	/* Eval/evaluate_comp.scm 353 */
			{	/* Eval/evaluate_comp.scm 353 */
				BgL_ev_globalz00_bglt BgL_i1096z00_15488;
				obj_t BgL_slotz00_15489;

				BgL_i1096z00_15488 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_15487, (int) (((long) 0))));
				BgL_slotz00_15489 = PROCEDURE_REF(BgL_envz00_15487, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 353 */
					obj_t BgL_bpz00_18934;

					BgL_bpz00_18934 = VECTOR_REF(((obj_t) BgL_sz00_15490), ((long) 0));
					if (CBOOL(CELL_REF(BgL_slotz00_15489)))
						{	/* Eval/evaluate_comp.scm 354 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_comp.scm 354 */
							{	/* Eval/evaluate_comp.scm 355 */
								obj_t BgL_auxz00_18935;

								BgL_auxz00_18935 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
										BgL_modz00),
									(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
										BgL_namez00));
								CELL_SET(BgL_slotz00_15489, BgL_auxz00_18935);
							}
							if (CBOOL(CELL_REF(BgL_slotz00_15489)))
								{	/* Eval/evaluate_comp.scm 356 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 357 */
									obj_t BgL_idz00_18936;

									if (BGl_evmodulezf3zf3zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
												BgL_modz00)))
										{	/* Eval/evaluate_comp.scm 358 */
											obj_t BgL_arg3161z00_18937;

											{	/* Eval/evaluate_comp.scm 358 */
												obj_t BgL_arg3162z00_18938;
												obj_t BgL_arg3163z00_18939;

												BgL_arg3162z00_18938 =
													(((BgL_ev_globalz00_bglt)
														COBJECT(BgL_i1096z00_15488))->BgL_namez00);
												BgL_arg3163z00_18939 =
													MAKE_YOUNG_PAIR(BGl_evmodulezd2namezd2zz__evmodulez00(
														(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15488))->BgL_modz00)),
													BNIL);
												BgL_arg3161z00_18937 =
													MAKE_YOUNG_PAIR(BgL_arg3162z00_18938,
													BgL_arg3163z00_18939);
											}
											BgL_idz00_18936 =
												MAKE_YOUNG_PAIR(BGl_symbol4803z00zz__evaluate_compz00,
												BgL_arg3161z00_18937);
										}
									else
										{	/* Eval/evaluate_comp.scm 357 */
											BgL_idz00_18936 =
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
												BgL_namez00);
										}
									BGl_everrorz00zz__everrorz00(
										(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
											BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
										BGl_string4802z00zz__evaluate_compz00, BgL_idz00_18936);
								}
						}
					{	/* Eval/evaluate_comp.scm 361 */
						obj_t BgL_vz00_18940;

						{	/* Eval/evaluate_comp.scm 361 */
							obj_t BgL_evalzd2globalzd2_18941;

							BgL_evalzd2globalzd2_18941 = CELL_REF(BgL_slotz00_15489);
							BgL_vz00_18940 =
								VECTOR_REF(BgL_evalzd2globalzd2_18941, ((long) 2));
						}
						if ((BgL_vz00_18940 == BUNSPEC))
							{	/* Eval/evaluate_comp.scm 363 */
								int BgL_tz00_18942;

								{	/* Eval/evaluate_comp.scm 363 */
									int BgL_res4541z00_18943;

									{	/* Eval/evaluate_comp.scm 363 */
										obj_t BgL_evalzd2globalzd2_18944;

										BgL_evalzd2globalzd2_18944 = CELL_REF(BgL_slotz00_15489);
										BgL_res4541z00_18943 =
											CINT(VECTOR_REF(BgL_evalzd2globalzd2_18944, ((long) 0)));
									}
									BgL_tz00_18942 = BgL_res4541z00_18943;
								}
								{	/* Eval/evaluate_comp.scm 364 */
									bool_t BgL_test5858z00_36071;

									if (((long) (BgL_tz00_18942) == ((long) 3)))
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5858z00_36071 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											BgL_test5858z00_36071 =
												((long) (BgL_tz00_18942) == ((long) 4));
										}
									if (BgL_test5858z00_36071)
										{	/* Eval/evaluate_comp.scm 365 */
											obj_t BgL_idz00_18945;

											if (BGl_evmodulezf3zf3zz__evmodulez00(
													(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15488))->BgL_modz00)))
												{	/* Eval/evaluate_comp.scm 366 */
													obj_t BgL_arg3184z00_18946;

													{	/* Eval/evaluate_comp.scm 366 */
														obj_t BgL_arg3185z00_18947;
														obj_t BgL_arg3186z00_18948;

														BgL_arg3185z00_18947 =
															(((BgL_ev_globalz00_bglt)
																COBJECT(BgL_i1096z00_15488))->BgL_namez00);
														BgL_arg3186z00_18948 =
															MAKE_YOUNG_PAIR
															(BGl_evmodulezd2namezd2zz__evmodulez00(((
																		(BgL_ev_globalz00_bglt)
																		COBJECT(BgL_i1096z00_15488))->BgL_modz00)),
															BNIL);
														BgL_arg3184z00_18946 =
															MAKE_YOUNG_PAIR(BgL_arg3185z00_18947,
															BgL_arg3186z00_18948);
													}
													BgL_idz00_18945 =
														MAKE_YOUNG_PAIR
														(BGl_symbol4803z00zz__evaluate_compz00,
														BgL_arg3184z00_18946);
												}
											else
												{	/* Eval/evaluate_comp.scm 365 */
													BgL_idz00_18945 =
														(((BgL_ev_globalz00_bglt)
															COBJECT(BgL_i1096z00_15488))->BgL_namez00);
												}
											return
												BGl_everrorz00zz__everrorz00(
												(((BgL_ev_globalz00_bglt) COBJECT(BgL_i1096z00_15488))->
													BgL_locz00), BGl_string4678z00zz__evaluate_compz00,
												BGl_string4805z00zz__evaluate_compz00, BgL_idz00_18945);
										}
									else
										{	/* Eval/evaluate_comp.scm 364 */
											return BgL_vz00_18940;
										}
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 362 */
								return BgL_vz00_18940;
							}
					}
				}
			}
		}

	}



/* &comp-ev_setlocal1408 */
	obj_t BGl_z62compzd2ev_setlocal1408zb0zz__evaluate_compz00(obj_t
		BgL_envz00_15492, obj_t BgL_ez00_15493, obj_t BgL_stkz00_15494)
	{
		{	/* Eval/evaluate_comp.scm 321 */
			{	/* Eval/evaluate_comp.scm 323 */
				obj_t BgL_iz00_18950;
				obj_t BgL_ez00_18951;

				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_varz00_bglt BgL_arg3127z00_18952;

					BgL_arg3127z00_18952 =
						(((BgL_ev_setlocalz00_bglt) COBJECT(
								((BgL_ev_setlocalz00_bglt) BgL_ez00_15493)))->BgL_vz00);
					BgL_iz00_18950 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_arg3127z00_18952), BgL_stkz00_15494);
				}
				{	/* Eval/evaluate_comp.scm 323 */
					BgL_ev_exprz00_bglt BgL_arg3128z00_18953;

					BgL_arg3128z00_18953 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_setlocalz00_bglt) BgL_ez00_15493))))->BgL_ez00);
					BgL_ez00_18951 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3128z00_18953,
						BgL_stkz00_15494);
				}
				if (CBOOL(
						(((BgL_ev_varz00_bglt) COBJECT(
									(((BgL_ev_setlocalz00_bglt) COBJECT(
												((BgL_ev_setlocalz00_bglt) BgL_ez00_15493)))->
										BgL_vz00)))->BgL_effz00)))
					{	/* Eval/evaluate_comp.scm 326 */
						obj_t BgL_zc3z04anonymousza33119ze3z87_18954;

						BgL_zc3z04anonymousza33119ze3z87_18954 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_18954,
							(int) (((long) 0)), BgL_iz00_18950);
						PROCEDURE_SET(BgL_zc3z04anonymousza33119ze3z87_18954,
							(int) (((long) 1)), BgL_ez00_18951);
						return BgL_zc3z04anonymousza33119ze3z87_18954;
					}
				else
					{	/* Eval/evaluate_comp.scm 328 */
						obj_t BgL_zc3z04anonymousza33124ze3z87_18955;

						BgL_zc3z04anonymousza33124ze3z87_18955 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_18955,
							(int) (((long) 0)), BgL_iz00_18950);
						PROCEDURE_SET(BgL_zc3z04anonymousza33124ze3z87_18955,
							(int) (((long) 1)), BgL_ez00_18951);
						return BgL_zc3z04anonymousza33124ze3z87_18955;
					}
			}
		}

	}



/* &<@anonymous:3119> */
	obj_t BGl_z62zc3z04anonymousza33119ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15495, obj_t BgL_sz00_15498)
	{
		{	/* Eval/evaluate_comp.scm 326 */
			{	/* Eval/evaluate_comp.scm 326 */
				obj_t BgL_iz00_15496;
				obj_t BgL_ez00_15497;

				BgL_iz00_15496 = PROCEDURE_REF(BgL_envz00_15495, (int) (((long) 0)));
				BgL_ez00_15497 = PROCEDURE_REF(BgL_envz00_15495, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 326 */
					obj_t BgL_bpz00_18956;

					BgL_bpz00_18956 = VECTOR_REF(((obj_t) BgL_sz00_15498), ((long) 0));
					{	/* Eval/evaluate_comp.scm 327 */
						obj_t BgL_arg3120z00_18957;
						obj_t BgL_arg3121z00_18958;

						{	/* Eval/evaluate_comp.scm 327 */
							long BgL_arg3123z00_18959;

							BgL_arg3123z00_18959 =
								((long) CINT(BgL_bpz00_18956) + (long) CINT(BgL_iz00_15496));
							BgL_arg3120z00_18957 =
								VECTOR_REF(((obj_t) BgL_sz00_15498), BgL_arg3123z00_18959);
						}
						BgL_arg3121z00_18958 =
							PROCEDURE_ENTRY(BgL_ez00_15497) (BgL_ez00_15497, BgL_sz00_15498,
							BEOA);
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_xz00_18960;

							{	/* Eval/evaluate_comp.scm 202 */
								int BgL_auxz00_36133;
								obj_t BgL_tmpz00_36131;

								BgL_auxz00_36133 = (int) (((long) 0));
								BgL_tmpz00_36131 = ((obj_t) BgL_arg3120z00_18957);
								BgL_xz00_18960 =
									STRUCT_SET(BgL_tmpz00_36131, BgL_auxz00_36133,
									BgL_arg3121z00_18958);
							}
							return BUNSPEC;
						}
					}
				}
			}
		}

	}



/* &<@anonymous:3124> */
	obj_t BGl_z62zc3z04anonymousza33124ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15499, obj_t BgL_sz00_15502)
	{
		{	/* Eval/evaluate_comp.scm 328 */
			{	/* Eval/evaluate_comp.scm 328 */
				obj_t BgL_iz00_15500;
				obj_t BgL_ez00_15501;

				BgL_iz00_15500 = PROCEDURE_REF(BgL_envz00_15499, (int) (((long) 0)));
				BgL_ez00_15501 = PROCEDURE_REF(BgL_envz00_15499, (int) (((long) 1)));
				{	/* Eval/evaluate_comp.scm 328 */
					obj_t BgL_bpz00_18961;

					BgL_bpz00_18961 = VECTOR_REF(((obj_t) BgL_sz00_15502), ((long) 0));
					{	/* Eval/evaluate_comp.scm 329 */
						long BgL_arg3125z00_18962;
						obj_t BgL_arg3126z00_18963;

						BgL_arg3125z00_18962 =
							((long) CINT(BgL_bpz00_18961) + (long) CINT(BgL_iz00_15500));
						BgL_arg3126z00_18963 =
							PROCEDURE_ENTRY(BgL_ez00_15501) (BgL_ez00_15501, BgL_sz00_15502,
							BEOA);
						return VECTOR_SET(((obj_t) BgL_sz00_15502), BgL_arg3125z00_18962,
							BgL_arg3126z00_18963);
					}
				}
			}
		}

	}



/* &comp-ev_var1404 */
	obj_t BGl_z62compzd2ev_var1404zb0zz__evaluate_compz00(obj_t BgL_envz00_15503,
		obj_t BgL_varz00_15504, obj_t BgL_stkz00_15505)
	{
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 317 */
				obj_t BgL_iz00_18965;

				BgL_iz00_18965 =
					BGl__indexz00zz__evaluate_compz00(
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_15504)), BgL_stkz00_15505);
				{

					if (INTEGERP(BgL_iz00_18965))
						{	/* Eval/evaluate_comp.scm 319 */
							switch ((long) CINT(BgL_iz00_18965))
								{
								case ((long) 0):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15504)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4806z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4807z00zz__evaluate_compz00;
										}
									break;
								case ((long) 1):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15504)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4808z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4809z00zz__evaluate_compz00;
										}
									break;
								case ((long) 2):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15504)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4810z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4811z00zz__evaluate_compz00;
										}
									break;
								case ((long) 3):

									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15504)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4812z00zz__evaluate_compz00;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											return BGl_proc4813z00zz__evaluate_compz00;
										}
									break;
								default:
								BgL_case_else1091z00_18966:
									if (CBOOL(
											(((BgL_ev_varz00_bglt) COBJECT(
														((BgL_ev_varz00_bglt) BgL_varz00_15504)))->
												BgL_effz00)))
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33107ze3z87_18967;

											BgL_zc3z04anonymousza33107ze3z87_18967 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33107ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza33107ze3z87_18967,
												(int) (((long) 0)), BgL_iz00_18965);
											return BgL_zc3z04anonymousza33107ze3z87_18967;
										}
									else
										{	/* Eval/evaluate_comp.scm 319 */
											obj_t BgL_zc3z04anonymousza33116ze3z87_18968;

											BgL_zc3z04anonymousza33116ze3z87_18968 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza33116ze3ze5zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza33116ze3z87_18968,
												(int) (((long) 0)), BgL_iz00_18965);
											return BgL_zc3z04anonymousza33116ze3z87_18968;
										}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 319 */
							goto BgL_case_else1091z00_18966;
						}
				}
			}
		}

	}



/* &<@anonymous:3098> */
	obj_t BGl_z62zc3z04anonymousza33098ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15506, obj_t BgL_sz00_15507)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18969;

				BgL_bpz00_18969 = VECTOR_REF(((obj_t) BgL_sz00_15507), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3099z00_18970;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3103z00_18971;

						BgL_arg3103z00_18971 = ((long) CINT(BgL_bpz00_18969) + ((long) 3));
						BgL_arg3099z00_18970 =
							VECTOR_REF(((obj_t) BgL_sz00_15507), BgL_arg3103z00_18971);
					}
					return STRUCT_REF(((obj_t) BgL_arg3099z00_18970), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:3104> */
	obj_t BGl_z62zc3z04anonymousza33104ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15508, obj_t BgL_sz00_15509)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18972;

				BgL_bpz00_18972 = VECTOR_REF(((obj_t) BgL_sz00_15509), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3105z00_18973;

					BgL_arg3105z00_18973 = ((long) CINT(BgL_bpz00_18972) + ((long) 3));
					return VECTOR_REF(((obj_t) BgL_sz00_15509), BgL_arg3105z00_18973);
				}
			}
		}

	}



/* &<@anonymous:3091> */
	obj_t BGl_z62zc3z04anonymousza33091ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15510, obj_t BgL_sz00_15511)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18974;

				BgL_bpz00_18974 = VECTOR_REF(((obj_t) BgL_sz00_15511), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3092z00_18975;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3094z00_18976;

						BgL_arg3094z00_18976 = ((long) CINT(BgL_bpz00_18974) + ((long) 2));
						BgL_arg3092z00_18975 =
							VECTOR_REF(((obj_t) BgL_sz00_15511), BgL_arg3094z00_18976);
					}
					return STRUCT_REF(((obj_t) BgL_arg3092z00_18975), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:3095> */
	obj_t BGl_z62zc3z04anonymousza33095ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15512, obj_t BgL_sz00_15513)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18977;

				BgL_bpz00_18977 = VECTOR_REF(((obj_t) BgL_sz00_15513), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3096z00_18978;

					BgL_arg3096z00_18978 = ((long) CINT(BgL_bpz00_18977) + ((long) 2));
					return VECTOR_REF(((obj_t) BgL_sz00_15513), BgL_arg3096z00_18978);
				}
			}
		}

	}



/* &<@anonymous:3084> */
	obj_t BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15514, obj_t BgL_sz00_15515)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18979;

				BgL_bpz00_18979 = VECTOR_REF(((obj_t) BgL_sz00_15515), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3085z00_18980;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3086z00_18981;

						BgL_arg3086z00_18981 = ((long) CINT(BgL_bpz00_18979) + ((long) 1));
						BgL_arg3085z00_18980 =
							VECTOR_REF(((obj_t) BgL_sz00_15515), BgL_arg3086z00_18981);
					}
					return STRUCT_REF(((obj_t) BgL_arg3085z00_18980), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:3087> */
	obj_t BGl_z62zc3z04anonymousza33087ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15516, obj_t BgL_sz00_15517)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18982;

				BgL_bpz00_18982 = VECTOR_REF(((obj_t) BgL_sz00_15517), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3089z00_18983;

					BgL_arg3089z00_18983 = ((long) CINT(BgL_bpz00_18982) + ((long) 1));
					return VECTOR_REF(((obj_t) BgL_sz00_15517), BgL_arg3089z00_18983);
				}
			}
		}

	}



/* &<@anonymous:3078> */
	obj_t BGl_z62zc3z04anonymousza33078ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15518, obj_t BgL_sz00_15519)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18984;

				BgL_bpz00_18984 = VECTOR_REF(((obj_t) BgL_sz00_15519), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_arg3079z00_18985;

					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3080z00_18986;

						BgL_arg3080z00_18986 = ((long) CINT(BgL_bpz00_18984) + ((long) 0));
						BgL_arg3079z00_18985 =
							VECTOR_REF(((obj_t) BgL_sz00_15519), BgL_arg3080z00_18986);
					}
					return STRUCT_REF(((obj_t) BgL_arg3079z00_18985), (int) (((long) 0)));
		}}}

	}



/* &<@anonymous:3081> */
	obj_t BGl_z62zc3z04anonymousza33081ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15520, obj_t BgL_sz00_15521)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_bpz00_18987;

				BgL_bpz00_18987 = VECTOR_REF(((obj_t) BgL_sz00_15521), ((long) 0));
				{	/* Eval/evaluate_comp.scm 319 */
					long BgL_arg3082z00_18988;

					BgL_arg3082z00_18988 = ((long) CINT(BgL_bpz00_18987) + ((long) 0));
					return VECTOR_REF(((obj_t) BgL_sz00_15521), BgL_arg3082z00_18988);
				}
			}
		}

	}



/* &<@anonymous:3107> */
	obj_t BGl_z62zc3z04anonymousza33107ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15522, obj_t BgL_sz00_15524)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15523;

				BgL_iz00_15523 = PROCEDURE_REF(BgL_envz00_15522, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18989;

					BgL_bpz00_18989 = VECTOR_REF(((obj_t) BgL_sz00_15524), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						obj_t BgL_arg3114z00_18990;

						{	/* Eval/evaluate_comp.scm 319 */
							long BgL_arg3115z00_18991;

							BgL_arg3115z00_18991 =
								((long) CINT(BgL_bpz00_18989) + (long) CINT(BgL_iz00_15523));
							BgL_arg3114z00_18990 =
								VECTOR_REF(((obj_t) BgL_sz00_15524), BgL_arg3115z00_18991);
						}
						return
							STRUCT_REF(((obj_t) BgL_arg3114z00_18990), (int) (((long) 0)));
		}}}}

	}



/* &<@anonymous:3116> */
	obj_t BGl_z62zc3z04anonymousza33116ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15525, obj_t BgL_sz00_15527)
	{
		{	/* Eval/evaluate_comp.scm 319 */
			{	/* Eval/evaluate_comp.scm 319 */
				obj_t BgL_iz00_15526;

				BgL_iz00_15526 = PROCEDURE_REF(BgL_envz00_15525, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 319 */
					obj_t BgL_bpz00_18992;

					BgL_bpz00_18992 = VECTOR_REF(((obj_t) BgL_sz00_15527), ((long) 0));
					{	/* Eval/evaluate_comp.scm 319 */
						long BgL_arg3117z00_18993;

						BgL_arg3117z00_18993 =
							((long) CINT(BgL_bpz00_18992) + (long) CINT(BgL_iz00_15526));
						return VECTOR_REF(((obj_t) BgL_sz00_15527), BgL_arg3117z00_18993);
					}
				}
			}
		}

	}



/* &comp-ev_trap1402 */
	obj_t BGl_z62compzd2ev_trap1402zb0zz__evaluate_compz00(obj_t BgL_envz00_15528,
		obj_t BgL_ez00_15529, obj_t BgL_stkz00_15530)
	{
		{	/* Eval/evaluate_comp.scm 289 */
			{	/* Eval/evaluate_comp.scm 291 */
				obj_t BgL_ez00_18995;

				{	/* Eval/evaluate_comp.scm 291 */
					BgL_ev_exprz00_bglt BgL_arg3075z00_18996;

					BgL_arg3075z00_18996 =
						(((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt)
									((BgL_ev_trapz00_bglt) BgL_ez00_15529))))->BgL_ez00);
					BgL_ez00_18995 =
						BGl_compz00zz__evaluate_compz00(BgL_arg3075z00_18996,
						BgL_stkz00_15530);
				}
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_zc3z04anonymousza33069ze3z87_18997;

					BgL_zc3z04anonymousza33069ze3z87_18997 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza33069ze3z87_18997,
						(int) (((long) 0)), BgL_ez00_18995);
					return BgL_zc3z04anonymousza33069ze3z87_18997;
				}
			}
		}

	}



/* &<@anonymous:3069> */
	obj_t BGl_z62zc3z04anonymousza33069ze3ze5zz__evaluate_compz00(obj_t
		BgL_envz00_15531, obj_t BgL_sz00_15533)
	{
		{	/* Eval/evaluate_comp.scm 292 */
			{	/* Eval/evaluate_comp.scm 292 */
				obj_t BgL_ez00_15532;

				BgL_ez00_15532 = PROCEDURE_REF(BgL_envz00_15531, (int) (((long) 0)));
				{	/* Eval/evaluate_comp.scm 292 */
					obj_t BgL_bpz00_18998;

					BgL_bpz00_18998 = VECTOR_REF(((obj_t) BgL_sz00_15533), ((long) 0));
					{	/* Eval/evaluate_comp.scm 293 */
						obj_t BgL_cmdz00_18999;

						BgL_cmdz00_18999 =
							PROCEDURE_ENTRY(BgL_ez00_15532) (BgL_ez00_15532, BgL_sz00_15533,
							BEOA);
						if ((BgL_cmdz00_18999 == BGl_symbol4814z00zz__evaluate_compz00))
							{	/* Eval/evaluate_comp.scm 294 */
								return BgL_bpz00_18998;
							}
						else
							{	/* Eval/evaluate_comp.scm 294 */
								if ((BgL_cmdz00_18999 == BGl_symbol4816z00zz__evaluate_compz00))
									{	/* Eval/evaluate_comp.scm 294 */
										return BGl_reset_profilez00zz__evaluate_compz00();
									}
								else
									{	/* Eval/evaluate_comp.scm 294 */
										if (
											(BgL_cmdz00_18999 ==
												BGl_symbol4818z00zz__evaluate_compz00))
											{	/* Eval/evaluate_comp.scm 294 */
												return BGl_get_profilez00zz__evaluate_compz00();
											}
										else
											{	/* Eval/evaluate_comp.scm 294 */
												if (
													(BgL_cmdz00_18999 ==
														BGl_symbol4820z00zz__evaluate_compz00))
													{	/* Eval/evaluate_comp.scm 302 */
														obj_t BgL_arg3074z00_19000;

														BgL_arg3074z00_19000 =
															BGl_findzd2statezd2zz__evaluate_compz00();
														return
															VECTOR_SET(
															((obj_t) BgL_arg3074z00_19000), ((long) 0),
															BINT(((long) 2)));
													}
												else
													{	/* Eval/evaluate_comp.scm 294 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string4678z00zz__evaluate_compz00,
															BGl_string4822z00zz__evaluate_compz00,
															BgL_cmdz00_18999);
													}
											}
									}
							}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924964),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 236632712),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					80085104), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 190905450),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string4823z00zz__evaluate_compz00));
		}

	}

#ifdef __cplusplus
}
#endif
