/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1438z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_bin1346z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_let1348z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t BGl_z62tailposzd2ev_letza21423z12zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_list1447z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotozd2ev_goto1384zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_global1440z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62hasvarzf3zd2ev_prog21449z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1308z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62searchzd2letreczd2ev_pro1334z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1321zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_global1288z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1465z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_let1421zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_withzd2h1376z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_if1400zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62searchzd2letreczd2ev_hoo1336z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62searchzd2letreczd2ev_app1350z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_letza21310zb5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1457z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotozd2ev_var1357zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62hasvarzf3zd2ev_litt1442z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1302zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_app1469z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec1312z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_binder1380zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_prog21296z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1292z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_litt1398zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1455z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1459z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_list1294z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_synchroni1461z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1318z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_synchr1378zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_var1394zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1286z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_app1432zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62searchzd2letreczd2ev_abs1352z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_hook1408zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_unwind1374zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_abs1471z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotozd2ev_list1365zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	static obj_t BGl_z62subst_gotozd2ev_app1386zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_litt1290z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_glo1326z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_lis1332z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_labels1427zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_unw1340z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_setlocal1410zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1320z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_abs1434zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_goto1430zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_binder1463z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t
		BGl_z62searchzd2letreczd2ev_lit1328z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_hook1451z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_gotozd2ev_litt1361zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_gotozd2ev_abs1388zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_gotozd2ev_prog21367zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_symbol2302z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2304z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_global1396zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62fsiza7ezd2ev_goto1316z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1453z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1467z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_prog21404zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62searchzd2letreczd2ev_wit1342z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_synchroniza7e1306zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_syn1344z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7e1283zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf31435z91zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_bindzd2e1372z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1425zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1415z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62subst_gotozd2ev_global1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_hook1298z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1300zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailpos1389z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_if1445z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t
		BGl_z62subst_gotozd2ev_labels1382zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_if1330z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_synchroni1419zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1413z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1417z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62subst_goto1353z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol2297z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2299z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_z62tailposzd2ev_list1402zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotozd2ev_if1363zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62subst_gotozd2ev_hook1369zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_var1324z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_labels1314z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1304zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62searchzd2letreczd2ev_bin1338z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2300z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2300za700za7za7_2403za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string2301z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2301za700za7za7_2404za7, "not defined for", 15);
	      DEFINE_STRING(BGl_string2303z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2303za700za7za7_2405za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string2305z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2305za700za7za7_2406za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2306z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2306za700za7za7_2407za7, "eval", 4);
	      DEFINE_STRING(BGl_string2307z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2307za700za7za7_2408za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string2308z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2308za700za7za7_2409za7, "&fsize", 6);
	      DEFINE_STRING(BGl_string2309z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2309za700za7za7_2410za7, "bint", 4);
	      DEFINE_STRING(BGl_string2310z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2310za700za7za7_2411za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2311z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2311za700za7za7_2412za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string2312z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2312za700za7za7_2413za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string2313z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2313za700za7za7_2414za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2314z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2314za700za7za7_2415za7, "&hasvar?", 8);
	      DEFINE_STRING(BGl_string2316z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2316za700za7za7_2416za7, "fsize::int", 10);
	      DEFINE_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2402za700za7za7_2417za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2418za7,
		BGl_z62fsiza7ezd2ev_var1286z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2419za7,
		BGl_z62fsiza7ezd2ev_global1288z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2420za7,
		BGl_z62fsiza7ezd2ev_litt1290z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2421za7,
		BGl_z62fsiza7ezd2ev_if1292z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2422za7,
		BGl_z62hasvarzf3zd2ev_app1469z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2423za7,
		BGl_z62hasvarzf3zd2ev_abs1471z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2424za7,
		BGl_z62fsiza7ezd2ev_list1294z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2425za7,
		BGl_z62fsiza7ezd2ev_prog21296z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2426za7,
		BGl_z62fsiza7ezd2ev_hook1298z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2427za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1300zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2428za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1302zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2429za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1304zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2430za7,
		BGl_z62fsiza7ezd2ev_synchroniza7e1306zb0zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2431za7,
		BGl_z62fsiza7ezd2ev_let1308z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2432za7,
		BGl_z62fsiza7ezd2ev_letza21310zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2433za7,
		BGl_z62fsiza7ezd2ev_letrec1312z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2434z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2435za7,
		BGl_z62fsiza7ezd2ev_labels1314z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2436za7,
		BGl_z62fsiza7ezd2ev_goto1316z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2437za7,
		BGl_z62fsiza7ezd2ev_app1318z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2438za7,
		BGl_z62fsiza7ezd2ev_abs1320z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2439z00,
		BGl_z62searchzd2letreczd2ev_var1324z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2440z00,
		BGl_z62searchzd2letreczd2ev_glo1326z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2441z00,
		BGl_z62searchzd2letreczd2ev_lit1328z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2442z00,
		BGl_z62searchzd2letreczd2ev_if1330z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2338z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2443z00,
		BGl_z62searchzd2letreczd2ev_lis1332z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2339z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2444z00,
		BGl_z62searchzd2letreczd2ev_pro1334z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72445z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2340z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2446z00,
		BGl_z62searchzd2letreczd2ev_hoo1336z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2447z00,
		BGl_z62searchzd2letreczd2ev_bin1338z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2448z00,
		BGl_z62searchzd2letreczd2ev_unw1340z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2449z00,
		BGl_z62searchzd2letreczd2ev_wit1342z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2450z00,
		BGl_z62searchzd2letreczd2ev_syn1344z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2345z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2451z00,
		BGl_z62searchzd2letreczd2ev_bin1346z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2452z00,
		BGl_z62searchzd2letreczd2ev_let1348z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2453z00,
		BGl_z62searchzd2letreczd2ev_app1350z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2454z00,
		BGl_z62searchzd2letreczd2ev_abs1352z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22455z00,
		BGl_z62subst_gotozd2ev_var1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2350z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22456z00,
		BGl_z62subst_gotozd2ev_global1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22457z00,
		BGl_z62subst_gotozd2ev_litt1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22458z00,
		BGl_z62subst_gotozd2ev_if1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22459z00,
		BGl_z62subst_gotozd2ev_list1365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22460z00,
		BGl_z62subst_gotozd2ev_prog21367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22461z00,
		BGl_z62subst_gotozd2ev_hook1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22462z00,
		BGl_z62subst_gotozd2ev_bindzd2e1372z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22463z00,
		BGl_z62subst_gotozd2ev_unwind1374zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22464z00,
		BGl_z62subst_gotozd2ev_withzd2h1376z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2283z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2283za700za7za7_2465za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22466z00,
		BGl_z62subst_gotozd2ev_synchr1378zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2284z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2284za700za7za7_2467za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2285z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2285za700za7za7_2468za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2286z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2286za700za7za7_2469za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2288z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2288za700za7za7_2470za7, "fsize1283", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22471z00,
		BGl_z62subst_gotozd2ev_binder1380zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22472z00,
		BGl_z62subst_gotozd2ev_labels1382zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22473z00,
		BGl_z62subst_gotozd2ev_goto1384zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22474z00,
		BGl_z62subst_gotozd2ev_app1386zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22475z00,
		BGl_z62subst_gotozd2ev_abs1388zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2476z00,
		BGl_z62tailposzd2ev_var1394zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2290z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2290za700za7za7_2477za7, "search-letrec1321", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2478z00,
		BGl_z62tailposzd2ev_global1396zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2479z00,
		BGl_z62tailposzd2ev_litt1398zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2292z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2292za700za7za7_2480za7, "subst_goto1353", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2481z00,
		BGl_z62tailposzd2ev_if1400zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1283za7c2482za7,
		BGl_z62fsiza7e1283zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2483z00,
		BGl_z62tailposzd2ev_list1402zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2294z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2294za700za7za7_2484za7, "tailpos1389", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2485z00,
		BGl_z62searchzd2letrec1321zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2296z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2296za700za7za7_2486za7, "hasvar?1435", 11);
	      DEFINE_STRING(BGl_string2298z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2298za700za7za7_2487za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2488z00,
		BGl_z62tailposzd2ev_prog21404zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2489z00,
		BGl_z62tailposzd2ev_hook1408zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2490z00,
		BGl_z62tailposzd2ev_setlocal1410zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1352491za7,
		BGl_z62subst_goto1353z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2492z00,
		BGl_z62tailposzd2ev_bindzd2exit1413z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2493z00,
		BGl_z62tailposzd2ev_unwindzd2pr1415z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1389za762494z00,
		BGl_z62tailpos1389z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2495z00,
		BGl_z62tailposzd2ev_withzd2hand1417z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2496z00,
		BGl_z62tailposzd2ev_synchroni1419zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f314352497z00,
		BGl_z62hasvarzf31435z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2498z00,
		BGl_z62tailposzd2ev_let1421zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2499z00,
		BGl_z62tailposzd2ev_letza21423z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2385z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2385za700za7za7_2500za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2501z00,
		BGl_z62tailposzd2ev_letrec1425zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2380z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2502z00,
		BGl_z62tailposzd2ev_labels1427zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2381z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2503z00,
		BGl_z62tailposzd2ev_goto1430zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2504z00,
		BGl_z62tailposzd2ev_app1432zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2505z00,
		BGl_z62tailposzd2ev_abs1434zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2506za7,
		BGl_z62hasvarzf3zd2ev_var1438z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2507za7,
		BGl_z62hasvarzf3zd2ev_global1440z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2508za7,
		BGl_z62hasvarzf3zd2ev_litt1442z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2388z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2509za7,
		BGl_z62hasvarzf3zd2ev_if1445z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2389z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2510za7,
		BGl_z62hasvarzf3zd2ev_list1447z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2511za7,
		BGl_z62hasvarzf3zd2ev_prog21449z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2512za7,
		BGl_z62hasvarzf3zd2ev_hook1451z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2513za7,
		BGl_z62hasvarzf3zd2ev_setlocal1453z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2393z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2514za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1455z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2515za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1457z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2516za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1459z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2517za7,
		BGl_z62hasvarzf3zd2ev_synchroni1461z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2518za7,
		BGl_z62hasvarzf3zd2ev_binder1463z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2519za7,
		BGl_z62hasvarzf3zd2ev_labels1465z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2520za7,
		BGl_z62hasvarzf3zd2ev_goto1467z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72521za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2522za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2523z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2524z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622525z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7));
		     ADD_ROOT((void *) (&BGl_symbol2302z00zz__evaluate_fsiza7eza7));
		     ADD_ROOT((void *) (&BGl_symbol2304z00zz__evaluate_fsiza7eza7));
		     ADD_ROOT((void *) (&BGl_symbol2297z00zz__evaluate_fsiza7eza7));
		     ADD_ROOT((void *) (&BGl_symbol2299z00zz__evaluate_fsiza7eza7));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_4897, char *BgL_fromz00_4898)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7();
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2297z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2296z00zz__evaluate_fsiza7eza7);
			BGl_symbol2299z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_symbol2302z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2303z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2304z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2305z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}

	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}

	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3802,
		obj_t BgL_ez00_3803)
	{
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_tmpz00_4915;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_4916;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3803,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_4916 = ((BgL_ev_exprz00_bglt) BgL_ez00_3803);
						}
					else
						{
							obj_t BgL_auxz00_4920;

							BgL_auxz00_4920 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2284z00zz__evaluate_fsiza7eza7,
								BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3803);
							FAILURE(BgL_auxz00_4920, BFALSE, BFALSE);
						}
					BgL_tmpz00_4915 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_4916);
				}
				return BINT(BgL_tmpz00_4915);
			}
		}

	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		{	/* Eval/evaluate_fsize.scm 167 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));
		}

	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3804, obj_t BgL_ez00_3805)
	{
		{	/* Eval/evaluate_fsize.scm 167 */
			{	/* Eval/evaluate_fsize.scm 169 */
				BgL_ev_exprz00_bglt BgL_auxz00_4928;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3805,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 169 */
						BgL_auxz00_4928 = ((BgL_ev_exprz00_bglt) BgL_ez00_3805);
					}
				else
					{
						obj_t BgL_auxz00_4932;

						BgL_auxz00_4932 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 5040)),
							BGl_string2286z00zz__evaluate_fsiza7eza7,
							BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3805);
						FAILURE(BgL_auxz00_4932, BFALSE, BFALSE);
					}
				return BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_auxz00_4928);
			}
		}

	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
	{
		{	/* Eval/evaluate_fsize.scm 172 */
			{
				obj_t BgL_lz00_1310;

				BgL_lz00_1310 = BgL_lz00_43;
			BgL_zc3z04anonymousza31544ze3z87_1311:
				if (NULLP(BgL_lz00_1310))
					{	/* Eval/evaluate_fsize.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 174 */
						{	/* Eval/evaluate_fsize.scm 175 */
							obj_t BgL_arg1547z00_1313;

							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_arg1548z00_1314;

								BgL_arg1548z00_1314 = CAR(((obj_t) BgL_lz00_1310));
								BgL_arg1547z00_1313 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1548z00_1314));
							}
							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_tmpz00_4943;

								BgL_tmpz00_4943 = ((obj_t) BgL_lz00_1310);
								SET_CAR(BgL_tmpz00_4943, BgL_arg1547z00_1313);
							}
						}
						{	/* Eval/evaluate_fsize.scm 176 */
							obj_t BgL_arg1549z00_1315;

							BgL_arg1549z00_1315 = CDR(((obj_t) BgL_lz00_1310));
							{
								obj_t BgL_lz00_4948;

								BgL_lz00_4948 = BgL_arg1549z00_1315;
								BgL_lz00_1310 = BgL_lz00_4948;
								goto BgL_zc3z04anonymousza31544ze3z87_1311;
							}
						}
					}
			}
		}

	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		{	/* Eval/evaluate_fsize.scm 268 */
			{	/* Eval/evaluate_fsize.scm 269 */
				BgL_ev_labelsz00_bglt BgL_rz00_1317;

				{	/* Eval/evaluate_fsize.scm 269 */
					BgL_ev_labelsz00_bglt BgL_new1094z00_1336;

					{	/* Eval/evaluate_fsize.scm 269 */
						BgL_ev_labelsz00_bglt BgL_new1093z00_1340;

						BgL_new1093z00_1340 =
							((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 269 */
							long BgL_arg1563z00_1341;

							BgL_arg1563z00_1341 =
								BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1093z00_1340),
								BgL_arg1563z00_1341);
						}
						BgL_new1094z00_1336 = BgL_new1093z00_1340;
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
							BgL_varsz00) = ((obj_t) BgL_varsz00_60), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
							BgL_valsz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
							BgL_envz00) = ((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
							BgL_stkz00) = ((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4957;

						{	/* Eval/evaluate_fsize.scm 270 */
							BgL_ev_littz00_bglt BgL_new1096z00_1337;

							{	/* Eval/evaluate_fsize.scm 270 */
								BgL_ev_littz00_bglt BgL_new1095z00_1338;

								BgL_new1095z00_1338 =
									((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 270 */
									long BgL_arg1562z00_1339;

									{	/* Eval/evaluate_fsize.scm 270 */
										obj_t BgL_classz00_2749;

										BgL_classz00_2749 = BGl_ev_littz00zz__evaluate_typesz00;
										BgL_arg1562z00_1339 = BGL_CLASS_NUM(BgL_classz00_2749);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1095z00_1338),
										BgL_arg1562z00_1339);
								}
								BgL_new1096z00_1337 = BgL_new1095z00_1338;
							}
							((((BgL_ev_littz00_bglt) COBJECT(BgL_new1096z00_1337))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_4957 = ((BgL_ev_exprz00_bglt) BgL_new1096z00_1337);
						}
						((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
								BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4957), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1094z00_1336))->
							BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
					BgL_rz00_1317 = BgL_new1094z00_1336;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_rz00_1317))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
								BgL_varsz00_60, ((obj_t) BgL_rz00_1317)))), BUNSPEC);
				{
					obj_t BgL_auxz00_4971;

					if (NULLP(BgL_valsz00_61))
						{	/* Eval/evaluate_fsize.scm 273 */
							BgL_auxz00_4971 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 273 */
							obj_t BgL_head1217z00_1321;

							BgL_head1217z00_1321 = MAKE_YOUNG_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1215z00_1323;
								obj_t BgL_tail1218z00_1324;

								BgL_l1215z00_1323 = BgL_valsz00_61;
								BgL_tail1218z00_1324 = BgL_head1217z00_1321;
							BgL_zc3z04anonymousza31551ze3z87_1325:
								if (NULLP(BgL_l1215z00_1323))
									{	/* Eval/evaluate_fsize.scm 273 */
										BgL_auxz00_4971 = CDR(BgL_head1217z00_1321);
									}
								else
									{	/* Eval/evaluate_fsize.scm 273 */
										obj_t BgL_newtail1219z00_1327;

										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1554z00_1329;

											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_valz00_1330;

												BgL_valz00_1330 = CAR(((obj_t) BgL_l1215z00_1323));
												{	/* Eval/evaluate_fsize.scm 275 */
													obj_t BgL_arg1555z00_1332;
													obj_t BgL_arg1556z00_1333;

													BgL_arg1555z00_1332 =
														(((BgL_ev_absz00_bglt) COBJECT(
																((BgL_ev_absz00_bglt) BgL_valz00_1330)))->
														BgL_varsz00);
													{	/* Eval/evaluate_fsize.scm 275 */
														BgL_ev_exprz00_bglt BgL_arg1559z00_1334;

														BgL_arg1559z00_1334 =
															(((BgL_ev_absz00_bglt) COBJECT(
																	((BgL_ev_absz00_bglt) BgL_valz00_1330)))->
															BgL_bodyz00);
														BgL_arg1556z00_1333 =
															BGl_subst_gotoz00zz__evaluate_fsiza7eza7
															(BgL_arg1559z00_1334, BgL_varsz00_60,
															((obj_t) BgL_rz00_1317));
													}
													BgL_arg1554z00_1329 =
														MAKE_YOUNG_PAIR(BgL_arg1555z00_1332,
														BgL_arg1556z00_1333);
												}
											}
											BgL_newtail1219z00_1327 =
												MAKE_YOUNG_PAIR(BgL_arg1554z00_1329, BNIL);
										}
										SET_CDR(BgL_tail1218z00_1324, BgL_newtail1219z00_1327);
										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1553z00_1328;

											BgL_arg1553z00_1328 = CDR(((obj_t) BgL_l1215z00_1323));
											{
												obj_t BgL_tail1218z00_4992;
												obj_t BgL_l1215z00_4991;

												BgL_l1215z00_4991 = BgL_arg1553z00_1328;
												BgL_tail1218z00_4992 = BgL_newtail1219z00_1327;
												BgL_tail1218z00_1324 = BgL_tail1218z00_4992;
												BgL_l1215z00_1323 = BgL_l1215z00_4991;
												goto BgL_zc3z04anonymousza31551ze3z87_1325;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) COBJECT(BgL_rz00_1317))->BgL_valsz00) =
						((obj_t) BgL_auxz00_4971), BUNSPEC);
				}
				return BgL_rz00_1317;
			}
		}

	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63,
		obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
	{
		{	/* Eval/evaluate_fsize.scm 279 */
			{
				obj_t BgL_l1223z00_1343;

				BgL_l1223z00_1343 = BgL_varsz00_63;
			BgL_zc3z04anonymousza31564ze3z87_1344:
				if (NULLP(BgL_l1223z00_1343))
					{	/* Eval/evaluate_fsize.scm 280 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 280 */
						bool_t BgL_test2533z00_4996;

						{	/* Eval/evaluate_fsize.scm 281 */
							obj_t BgL_vz00_1349;

							BgL_vz00_1349 = CAR(((obj_t) BgL_l1223z00_1343));
							{	/* Eval/evaluate_fsize.scm 281 */
								obj_t BgL__andtest_1099z00_1350;

								BgL__andtest_1099z00_1350 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65,
									((BgL_ev_varz00_bglt) BgL_vz00_1349));
								if (CBOOL(BgL__andtest_1099z00_1350))
									{
										obj_t BgL_l1220z00_1352;

										BgL_l1220z00_1352 = BgL_valsz00_64;
									BgL_zc3z04anonymousza31568ze3z87_1353:
										if (NULLP(BgL_l1220z00_1352))
											{	/* Eval/evaluate_fsize.scm 282 */
												BgL_test2533z00_4996 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 283 */
												obj_t BgL_nvz00_1355;

												{	/* Eval/evaluate_fsize.scm 283 */
													obj_t BgL_ez00_1358;

													BgL_ez00_1358 = CAR(((obj_t) BgL_l1220z00_1352));
													{	/* Eval/evaluate_fsize.scm 283 */
														bool_t BgL_test2536z00_5007;

														{	/* Eval/evaluate_fsize.scm 283 */
															obj_t BgL_classz00_2758;

															BgL_classz00_2758 =
																BGl_ev_absz00zz__evaluate_typesz00;
															if (BGL_OBJECTP(BgL_ez00_1358))
																{	/* Eval/evaluate_fsize.scm 283 */
																	BgL_objectz00_bglt BgL_arg2205z00_2760;

																	BgL_arg2205z00_2760 =
																		(BgL_objectz00_bglt) (BgL_ez00_1358);
																	{	/* Eval/evaluate_fsize.scm 283 */
																		bool_t BgL_arg2202z00_2763;
																		bool_t BgL_arg2203z00_2764;

																		{	/* Eval/evaluate_fsize.scm 283 */
																			long BgL_idxz00_2767;

																			BgL_idxz00_2767 =
																				BGL_OBJECT_INHERITANCE_NUM
																				(BgL_arg2205z00_2760);
																			BgL_arg2202z00_2763 =
																				(VECTOR_REF
																				(BGl_za2inheritancesza2z00zz__objectz00,
																					(BgL_idxz00_2767 + ((long) 2))) ==
																				BgL_classz00_2758);
																		}
																		{	/* Eval/evaluate_fsize.scm 283 */
																			bool_t BgL_res2224z00_2789;

																			{	/* Eval/evaluate_fsize.scm 283 */
																				obj_t BgL_oclassz00_2775;

																				{	/* Eval/evaluate_fsize.scm 283 */
																					long BgL_arg2212z00_2781;

																					{	/* Eval/evaluate_fsize.scm 283 */
																						long BgL_arg2213z00_2782;

																						BgL_arg2213z00_2782 =
																							BGL_OBJECT_CLASS_NUM
																							(BgL_arg2205z00_2760);
																						BgL_arg2212z00_2781 =
																							(BgL_arg2213z00_2782 -
																							OBJECT_TYPE);
																					}
																					BgL_oclassz00_2775 =
																						VECTOR_REF
																						(BGl_za2classesza2z00zz__objectz00,
																						BgL_arg2212z00_2781);
																				}
																				{	/* Eval/evaluate_fsize.scm 283 */
																					bool_t BgL__ortest_1212z00_2776;

																					BgL__ortest_1212z00_2776 =
																						(BgL_classz00_2758 ==
																						BgL_oclassz00_2775);
																					if (BgL__ortest_1212z00_2776)
																						{	/* Eval/evaluate_fsize.scm 283 */
																							BgL_res2224z00_2789 =
																								BgL__ortest_1212z00_2776;
																						}
																					else
																						{	/* Eval/evaluate_fsize.scm 283 */
																							long BgL_odepthz00_2777;

																							BgL_odepthz00_2777 =
																								BGL_CLASS_DEPTH
																								(BgL_oclassz00_2775);
																							if ((((long) 2) <
																									BgL_odepthz00_2777))
																								{	/* Eval/evaluate_fsize.scm 283 */
																									obj_t BgL_arg2201z00_2779;

																									BgL_arg2201z00_2779 =
																										BGL_CLASS_ANCESTORS_REF
																										(BgL_oclassz00_2775,
																										((long) 2));
																									BgL_res2224z00_2789 =
																										(BgL_arg2201z00_2779 ==
																										BgL_classz00_2758);
																								}
																							else
																								{	/* Eval/evaluate_fsize.scm 283 */
																									BgL_res2224z00_2789 =
																										((bool_t) 0);
																								}
																						}
																				}
																			}
																			BgL_arg2203z00_2764 = BgL_res2224z00_2789;
																		}
																		BgL_test2536z00_5007 =
																			BGL_ISA_C_BACKEND(BgL_arg2202z00_2763,
																			BgL_arg2203z00_2764);
																	}
																}
															else
																{	/* Eval/evaluate_fsize.scm 283 */
																	BgL_test2536z00_5007 = ((bool_t) 0);
																}
														}
														if (BgL_test2536z00_5007)
															{	/* Eval/evaluate_fsize.scm 283 */
																if (
																	((long) CINT(
																			(((BgL_ev_absz00_bglt) COBJECT(
																						((BgL_ev_absz00_bglt)
																							BgL_ez00_1358)))->
																				BgL_arityz00)) >= ((long) 0)))
																	{	/* Eval/evaluate_fsize.scm 286 */
																		BgL_ev_exprz00_bglt BgL_arg1572z00_1362;

																		BgL_arg1572z00_1362 =
																			(((BgL_ev_absz00_bglt) COBJECT(
																					((BgL_ev_absz00_bglt)
																						BgL_ez00_1358)))->BgL_bodyz00);
																		BgL_nvz00_1355 =
																			BGl_tailposz00zz__evaluate_fsiza7eza7
																			(BgL_arg1572z00_1362,
																			((BgL_ev_varz00_bglt) BgL_vz00_1349));
																	}
																else
																	{	/* Eval/evaluate_fsize.scm 285 */
																		BgL_nvz00_1355 = BFALSE;
																	}
															}
														else
															{	/* Eval/evaluate_fsize.scm 283 */
																BgL_nvz00_1355 = BFALSE;
															}
													}
												}
												if (CBOOL(BgL_nvz00_1355))
													{	/* Eval/evaluate_fsize.scm 282 */
														obj_t BgL_arg1570z00_1357;

														BgL_arg1570z00_1357 =
															CDR(((obj_t) BgL_l1220z00_1352));
														{
															obj_t BgL_l1220z00_5039;

															BgL_l1220z00_5039 = BgL_arg1570z00_1357;
															BgL_l1220z00_1352 = BgL_l1220z00_5039;
															goto BgL_zc3z04anonymousza31568ze3z87_1353;
														}
													}
												else
													{	/* Eval/evaluate_fsize.scm 282 */
														BgL_test2533z00_4996 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 281 */
										BgL_test2533z00_4996 = ((bool_t) 0);
									}
							}
						}
						if (BgL_test2533z00_4996)
							{	/* Eval/evaluate_fsize.scm 280 */
								obj_t BgL_arg1567z00_1348;

								BgL_arg1567z00_1348 = CDR(((obj_t) BgL_l1223z00_1343));
								{
									obj_t BgL_l1223z00_5042;

									BgL_l1223z00_5042 = BgL_arg1567z00_1348;
									BgL_l1223z00_1343 = BgL_l1223z00_5042;
									goto BgL_zc3z04anonymousza31564ze3z87_1344;
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 280 */
								return ((bool_t) 0);
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2287z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2288z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2289z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2290z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2291z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2292z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2293z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2294z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2295z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2296z00zz__evaluate_fsiza7eza7);
		}

	}



/* &hasvar?1435 */
	obj_t BGl_z62hasvarzf31435z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3811,
		obj_t BgL_ez00_3812, obj_t BgL_vz00_3813)
	{
		{	/* Eval/evaluate_fsize.scm 491 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2297z00zz__evaluate_fsiza7eza7,
				BGl_string2298z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3812)));
		}

	}



/* &tailpos1389 */
	obj_t BGl_z62tailpos1389z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3814,
		obj_t BgL_ez00_3815, obj_t BgL_vz00_3816)
	{
		{	/* Eval/evaluate_fsize.scm 403 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2299z00zz__evaluate_fsiza7eza7,
				BGl_string2301z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3815)));
		}

	}



/* &subst_goto1353 */
	obj_t BGl_z62subst_goto1353z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3817,
		obj_t BgL_ez00_3818, obj_t BgL_varsz00_3819, obj_t BgL_lblsz00_3820)
	{
		{	/* Eval/evaluate_fsize.scm 298 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2302z00zz__evaluate_fsiza7eza7,
				BGl_string2301z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3818)));
		}

	}



/* &search-letrec1321 */
	obj_t BGl_z62searchzd2letrec1321zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3821, obj_t BgL_ez00_3822)
	{
		{	/* Eval/evaluate_fsize.scm 178 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2304z00zz__evaluate_fsiza7eza7,
				BGl_string2301z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3822)));
		}

	}



/* &fsize1283 */
	obj_t BGl_z62fsiza7e1283zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3823,
		obj_t BgL_ez00_3824, obj_t BgL_nz00_3825)
	{
		{	/* Eval/evaluate_fsize.scm 68 */
			return
				BGl_errorz00zz__errorz00(BGl_string2306z00zz__evaluate_fsiza7eza7,
				BGl_string2307z00zz__evaluate_fsiza7eza7,
				((obj_t) ((BgL_ev_exprz00_bglt) BgL_ez00_3824)));
		}

	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1284z00_1399;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res2229z00_2832;

					{	/* Eval/evaluate_fsize.scm 68 */
						long BgL_objzd2classzd2numz00_2803;

						BgL_objzd2classzd2numz00_2803 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_4));
						{	/* Eval/evaluate_fsize.scm 68 */
							obj_t BgL_arg2209z00_2804;

							BgL_arg2209z00_2804 =
								PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 68 */
								int BgL_offsetz00_2807;

								BgL_offsetz00_2807 = (int) (BgL_objzd2classzd2numz00_2803);
								{	/* Eval/evaluate_fsize.scm 68 */
									long BgL_offsetz00_2808;

									BgL_offsetz00_2808 =
										((long) (BgL_offsetz00_2807) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_modz00_2809;

										BgL_modz00_2809 =
											(BgL_offsetz00_2808 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_restz00_2811;

											BgL_restz00_2811 =
												(BgL_offsetz00_2808 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_fsize.scm 68 */

												{	/* Eval/evaluate_fsize.scm 68 */
													obj_t BgL_bucketz00_2813;

													BgL_bucketz00_2813 =
														VECTOR_REF(
														((obj_t) BgL_arg2209z00_2804), BgL_modz00_2809);
													BgL_res2229z00_2832 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2813), BgL_restz00_2811);
					}}}}}}}}
					BgL_method1284z00_1399 = BgL_res2229z00_2832;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1284z00_1399) (BgL_method1284z00_1399,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}

	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3826,
		obj_t BgL_ez00_3827, obj_t BgL_nz00_3828)
	{
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_tmpz00_5096;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_5123;
					BgL_ev_exprz00_bglt BgL_auxz00_5097;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_tmpz00_5124;

						if (INTEGERP(BgL_nz00_3828))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_tmpz00_5124 = BgL_nz00_3828;
							}
						else
							{
								obj_t BgL_auxz00_5127;

								BgL_auxz00_5127 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2283z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2308z00zz__evaluate_fsiza7eza7,
									BGl_string2309z00zz__evaluate_fsiza7eza7, BgL_nz00_3828);
								FAILURE(BgL_auxz00_5127, BFALSE, BFALSE);
							}
						BgL_auxz00_5123 = CINT(BgL_tmpz00_5124);
					}
					{	/* Eval/evaluate_fsize.scm 68 */
						bool_t BgL_test2542z00_5098;

						{	/* Eval/evaluate_fsize.scm 68 */
							obj_t BgL_classz00_4228;

							BgL_classz00_4228 = BGl_ev_exprz00zz__evaluate_typesz00;
							if (BGL_OBJECTP(BgL_ez00_3827))
								{	/* Eval/evaluate_fsize.scm 68 */
									BgL_objectz00_bglt BgL_arg2207z00_4230;
									long BgL_arg2208z00_4231;

									BgL_arg2207z00_4230 = (BgL_objectz00_bglt) (BgL_ez00_3827);
									BgL_arg2208z00_4231 = BGL_CLASS_DEPTH(BgL_classz00_4228);
									{	/* Eval/evaluate_fsize.scm 68 */
										bool_t BgL_arg2202z00_4235;
										bool_t BgL_arg2203z00_4236;

										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_idxz00_4240;

											BgL_idxz00_4240 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4230);
											{	/* Eval/evaluate_fsize.scm 68 */
												obj_t BgL_arg2199z00_4241;

												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_arg2200z00_4242;

													BgL_arg2200z00_4242 =
														(BgL_idxz00_4240 + BgL_arg2208z00_4231);
													BgL_arg2199z00_4241 =
														VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														BgL_arg2200z00_4242);
												}
												BgL_arg2202z00_4235 =
													(BgL_arg2199z00_4241 == BgL_classz00_4228);
										}}
										{	/* Eval/evaluate_fsize.scm 68 */
											bool_t BgL_res2251z00_4247;

											{	/* Eval/evaluate_fsize.scm 68 */
												obj_t BgL_oclassz00_4251;

												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_arg2212z00_4253;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_arg2213z00_4254;

														BgL_arg2213z00_4254 =
															BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4230);
														BgL_arg2212z00_4253 =
															(BgL_arg2213z00_4254 - OBJECT_TYPE);
													}
													BgL_oclassz00_4251 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg2212z00_4253);
												}
												{	/* Eval/evaluate_fsize.scm 68 */
													bool_t BgL__ortest_1212z00_4260;

													BgL__ortest_1212z00_4260 =
														(BgL_classz00_4228 == BgL_oclassz00_4251);
													if (BgL__ortest_1212z00_4260)
														{	/* Eval/evaluate_fsize.scm 68 */
															BgL_res2251z00_4247 = BgL__ortest_1212z00_4260;
														}
													else
														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_odepthz00_4261;

															BgL_odepthz00_4261 =
																BGL_CLASS_DEPTH(BgL_oclassz00_4251);
															if ((BgL_arg2208z00_4231 < BgL_odepthz00_4261))
																{	/* Eval/evaluate_fsize.scm 68 */
																	obj_t BgL_arg2201z00_4265;

																	BgL_arg2201z00_4265 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4251,
																		BgL_arg2208z00_4231);
																	BgL_res2251z00_4247 =
																		(BgL_arg2201z00_4265 == BgL_classz00_4228);
																}
															else
																{	/* Eval/evaluate_fsize.scm 68 */
																	BgL_res2251z00_4247 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_arg2203z00_4236 = BgL_res2251z00_4247;
										}
										BgL_test2542z00_5098 =
											BGL_ISA_C_BACKEND(BgL_arg2202z00_4235,
											BgL_arg2203z00_4236);
									}
								}
							else
								{	/* Eval/evaluate_fsize.scm 68 */
									BgL_test2542z00_5098 = ((bool_t) 0);
								}
						}
						if (BgL_test2542z00_5098)
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_5097 = ((BgL_ev_exprz00_bglt) BgL_ez00_3827);
							}
						else
							{
								obj_t BgL_auxz00_5119;

								BgL_auxz00_5119 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2283z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2308z00zz__evaluate_fsiza7eza7,
									BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3827);
								FAILURE(BgL_auxz00_5119, BFALSE, BFALSE);
					}}
					BgL_tmpz00_5096 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_5097,
						BgL_auxz00_5123);
				}
				return BINT(BgL_tmpz00_5096);
			}
		}

	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_44)
	{
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				obj_t BgL_method1322z00_1400;

				{	/* Eval/evaluate_fsize.scm 178 */
					obj_t BgL_res2234z00_2863;

					{	/* Eval/evaluate_fsize.scm 178 */
						long BgL_objzd2classzd2numz00_2834;

						BgL_objzd2classzd2numz00_2834 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_44));
						{	/* Eval/evaluate_fsize.scm 178 */
							obj_t BgL_arg2209z00_2835;

							BgL_arg2209z00_2835 =
								PROCEDURE_REF
								(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 178 */
								int BgL_offsetz00_2838;

								BgL_offsetz00_2838 = (int) (BgL_objzd2classzd2numz00_2834);
								{	/* Eval/evaluate_fsize.scm 178 */
									long BgL_offsetz00_2839;

									BgL_offsetz00_2839 =
										((long) (BgL_offsetz00_2838) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 178 */
										long BgL_modz00_2840;

										BgL_modz00_2840 =
											(BgL_offsetz00_2839 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_fsize.scm 178 */
											long BgL_restz00_2842;

											BgL_restz00_2842 =
												(BgL_offsetz00_2839 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_fsize.scm 178 */

												{	/* Eval/evaluate_fsize.scm 178 */
													obj_t BgL_bucketz00_2844;

													BgL_bucketz00_2844 =
														VECTOR_REF(
														((obj_t) BgL_arg2209z00_2835), BgL_modz00_2840);
													BgL_res2234z00_2863 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2844), BgL_restz00_2842);
					}}}}}}}}
					BgL_method1322z00_1400 = BgL_res2234z00_2863;
				}
				return
					PROCEDURE_ENTRY(BgL_method1322z00_1400) (BgL_method1322z00_1400,
					((obj_t) BgL_ez00_44), BEOA);
			}
		}

	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3829,
		obj_t BgL_ez00_3830)
	{
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				BgL_ev_exprz00_bglt BgL_auxz00_5164;

				{	/* Eval/evaluate_fsize.scm 178 */
					bool_t BgL_test2547z00_5165;

					{	/* Eval/evaluate_fsize.scm 178 */
						obj_t BgL_classz00_4266;

						BgL_classz00_4266 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_3830))
							{	/* Eval/evaluate_fsize.scm 178 */
								BgL_objectz00_bglt BgL_arg2207z00_4268;
								long BgL_arg2208z00_4269;

								BgL_arg2207z00_4268 = (BgL_objectz00_bglt) (BgL_ez00_3830);
								BgL_arg2208z00_4269 = BGL_CLASS_DEPTH(BgL_classz00_4266);
								{	/* Eval/evaluate_fsize.scm 178 */
									bool_t BgL_arg2202z00_4273;
									bool_t BgL_arg2203z00_4274;

									{	/* Eval/evaluate_fsize.scm 178 */
										long BgL_idxz00_4278;

										BgL_idxz00_4278 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4268);
										{	/* Eval/evaluate_fsize.scm 178 */
											obj_t BgL_arg2199z00_4279;

											{	/* Eval/evaluate_fsize.scm 178 */
												long BgL_arg2200z00_4280;

												BgL_arg2200z00_4280 =
													(BgL_idxz00_4278 + BgL_arg2208z00_4269);
												BgL_arg2199z00_4279 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4280);
											}
											BgL_arg2202z00_4273 =
												(BgL_arg2199z00_4279 == BgL_classz00_4266);
									}}
									{	/* Eval/evaluate_fsize.scm 178 */
										bool_t BgL_res2251z00_4285;

										{	/* Eval/evaluate_fsize.scm 178 */
											obj_t BgL_oclassz00_4289;

											{	/* Eval/evaluate_fsize.scm 178 */
												long BgL_arg2212z00_4291;

												{	/* Eval/evaluate_fsize.scm 178 */
													long BgL_arg2213z00_4292;

													BgL_arg2213z00_4292 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4268);
													BgL_arg2212z00_4291 =
														(BgL_arg2213z00_4292 - OBJECT_TYPE);
												}
												BgL_oclassz00_4289 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4291);
											}
											{	/* Eval/evaluate_fsize.scm 178 */
												bool_t BgL__ortest_1212z00_4298;

												BgL__ortest_1212z00_4298 =
													(BgL_classz00_4266 == BgL_oclassz00_4289);
												if (BgL__ortest_1212z00_4298)
													{	/* Eval/evaluate_fsize.scm 178 */
														BgL_res2251z00_4285 = BgL__ortest_1212z00_4298;
													}
												else
													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_odepthz00_4299;

														BgL_odepthz00_4299 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4289);
														if ((BgL_arg2208z00_4269 < BgL_odepthz00_4299))
															{	/* Eval/evaluate_fsize.scm 178 */
																obj_t BgL_arg2201z00_4303;

																BgL_arg2201z00_4303 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4289,
																	BgL_arg2208z00_4269);
																BgL_res2251z00_4285 =
																	(BgL_arg2201z00_4303 == BgL_classz00_4266);
															}
														else
															{	/* Eval/evaluate_fsize.scm 178 */
																BgL_res2251z00_4285 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4274 = BgL_res2251z00_4285;
									}
									BgL_test2547z00_5165 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4273, BgL_arg2203z00_4274);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 178 */
								BgL_test2547z00_5165 = ((bool_t) 0);
							}
					}
					if (BgL_test2547z00_5165)
						{	/* Eval/evaluate_fsize.scm 178 */
							BgL_auxz00_5164 = ((BgL_ev_exprz00_bglt) BgL_ez00_3830);
						}
					else
						{
							obj_t BgL_auxz00_5186;

							BgL_auxz00_5186 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 5204)),
								BGl_string2310z00zz__evaluate_fsiza7eza7,
								BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3830);
							FAILURE(BgL_auxz00_5186, BFALSE, BFALSE);
				}}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_5164);
			}
		}

	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
	{
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				obj_t BgL_method1355z00_1401;

				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_res2239z00_2894;

					{	/* Eval/evaluate_fsize.scm 298 */
						long BgL_objzd2classzd2numz00_2865;

						BgL_objzd2classzd2numz00_2865 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_69));
						{	/* Eval/evaluate_fsize.scm 298 */
							obj_t BgL_arg2209z00_2866;

							BgL_arg2209z00_2866 =
								PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 298 */
								int BgL_offsetz00_2869;

								BgL_offsetz00_2869 = (int) (BgL_objzd2classzd2numz00_2865);
								{	/* Eval/evaluate_fsize.scm 298 */
									long BgL_offsetz00_2870;

									BgL_offsetz00_2870 =
										((long) (BgL_offsetz00_2869) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 298 */
										long BgL_modz00_2871;

										BgL_modz00_2871 =
											(BgL_offsetz00_2870 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_fsize.scm 298 */
											long BgL_restz00_2873;

											BgL_restz00_2873 =
												(BgL_offsetz00_2870 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_fsize.scm 298 */

												{	/* Eval/evaluate_fsize.scm 298 */
													obj_t BgL_bucketz00_2875;

													BgL_bucketz00_2875 =
														VECTOR_REF(
														((obj_t) BgL_arg2209z00_2866), BgL_modz00_2871);
													BgL_res2239z00_2894 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2875), BgL_restz00_2873);
					}}}}}}}}
					BgL_method1355z00_1401 = BgL_res2239z00_2894;
				}
				return
					PROCEDURE_ENTRY(BgL_method1355z00_1401) (BgL_method1355z00_1401,
					((obj_t) BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);
			}
		}

	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3831,
		obj_t BgL_ez00_3832, obj_t BgL_varsz00_3833, obj_t BgL_lblsz00_3834)
	{
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				BgL_ev_exprz00_bglt BgL_auxz00_5223;

				{	/* Eval/evaluate_fsize.scm 298 */
					bool_t BgL_test2551z00_5224;

					{	/* Eval/evaluate_fsize.scm 298 */
						obj_t BgL_classz00_4304;

						BgL_classz00_4304 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_3832))
							{	/* Eval/evaluate_fsize.scm 298 */
								BgL_objectz00_bglt BgL_arg2207z00_4306;
								long BgL_arg2208z00_4307;

								BgL_arg2207z00_4306 = (BgL_objectz00_bglt) (BgL_ez00_3832);
								BgL_arg2208z00_4307 = BGL_CLASS_DEPTH(BgL_classz00_4304);
								{	/* Eval/evaluate_fsize.scm 298 */
									bool_t BgL_arg2202z00_4311;
									bool_t BgL_arg2203z00_4312;

									{	/* Eval/evaluate_fsize.scm 298 */
										long BgL_idxz00_4316;

										BgL_idxz00_4316 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4306);
										{	/* Eval/evaluate_fsize.scm 298 */
											obj_t BgL_arg2199z00_4317;

											{	/* Eval/evaluate_fsize.scm 298 */
												long BgL_arg2200z00_4318;

												BgL_arg2200z00_4318 =
													(BgL_idxz00_4316 + BgL_arg2208z00_4307);
												BgL_arg2199z00_4317 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4318);
											}
											BgL_arg2202z00_4311 =
												(BgL_arg2199z00_4317 == BgL_classz00_4304);
									}}
									{	/* Eval/evaluate_fsize.scm 298 */
										bool_t BgL_res2251z00_4323;

										{	/* Eval/evaluate_fsize.scm 298 */
											obj_t BgL_oclassz00_4327;

											{	/* Eval/evaluate_fsize.scm 298 */
												long BgL_arg2212z00_4329;

												{	/* Eval/evaluate_fsize.scm 298 */
													long BgL_arg2213z00_4330;

													BgL_arg2213z00_4330 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4306);
													BgL_arg2212z00_4329 =
														(BgL_arg2213z00_4330 - OBJECT_TYPE);
												}
												BgL_oclassz00_4327 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4329);
											}
											{	/* Eval/evaluate_fsize.scm 298 */
												bool_t BgL__ortest_1212z00_4336;

												BgL__ortest_1212z00_4336 =
													(BgL_classz00_4304 == BgL_oclassz00_4327);
												if (BgL__ortest_1212z00_4336)
													{	/* Eval/evaluate_fsize.scm 298 */
														BgL_res2251z00_4323 = BgL__ortest_1212z00_4336;
													}
												else
													{	/* Eval/evaluate_fsize.scm 298 */
														long BgL_odepthz00_4337;

														BgL_odepthz00_4337 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4327);
														if ((BgL_arg2208z00_4307 < BgL_odepthz00_4337))
															{	/* Eval/evaluate_fsize.scm 298 */
																obj_t BgL_arg2201z00_4341;

																BgL_arg2201z00_4341 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4327,
																	BgL_arg2208z00_4307);
																BgL_res2251z00_4323 =
																	(BgL_arg2201z00_4341 == BgL_classz00_4304);
															}
														else
															{	/* Eval/evaluate_fsize.scm 298 */
																BgL_res2251z00_4323 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4312 = BgL_res2251z00_4323;
									}
									BgL_test2551z00_5224 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4311, BgL_arg2203z00_4312);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 298 */
								BgL_test2551z00_5224 = ((bool_t) 0);
							}
					}
					if (BgL_test2551z00_5224)
						{	/* Eval/evaluate_fsize.scm 298 */
							BgL_auxz00_5223 = ((BgL_ev_exprz00_bglt) BgL_ez00_3832);
						}
					else
						{
							obj_t BgL_auxz00_5245;

							BgL_auxz00_5245 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 8471)),
								BGl_string2311z00zz__evaluate_fsiza7eza7,
								BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3832);
							FAILURE(BgL_auxz00_5245, BFALSE, BFALSE);
				}}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_5223,
					BgL_varsz00_3833, BgL_lblsz00_3834);
			}
		}

	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120,
		BgL_ev_varz00_bglt BgL_vz00_121)
	{
		{	/* Eval/evaluate_fsize.scm 403 */
			{	/* Eval/evaluate_fsize.scm 403 */
				obj_t BgL_method1391z00_1402;

				{	/* Eval/evaluate_fsize.scm 403 */
					obj_t BgL_res2244z00_2925;

					{	/* Eval/evaluate_fsize.scm 403 */
						long BgL_objzd2classzd2numz00_2896;

						BgL_objzd2classzd2numz00_2896 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_120));
						{	/* Eval/evaluate_fsize.scm 403 */
							obj_t BgL_arg2209z00_2897;

							BgL_arg2209z00_2897 =
								PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 403 */
								int BgL_offsetz00_2900;

								BgL_offsetz00_2900 = (int) (BgL_objzd2classzd2numz00_2896);
								{	/* Eval/evaluate_fsize.scm 403 */
									long BgL_offsetz00_2901;

									BgL_offsetz00_2901 =
										((long) (BgL_offsetz00_2900) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 403 */
										long BgL_modz00_2902;

										BgL_modz00_2902 =
											(BgL_offsetz00_2901 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_fsize.scm 403 */
											long BgL_restz00_2904;

											BgL_restz00_2904 =
												(BgL_offsetz00_2901 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_fsize.scm 403 */

												{	/* Eval/evaluate_fsize.scm 403 */
													obj_t BgL_bucketz00_2906;

													BgL_bucketz00_2906 =
														VECTOR_REF(
														((obj_t) BgL_arg2209z00_2897), BgL_modz00_2902);
													BgL_res2244z00_2925 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2906), BgL_restz00_2904);
					}}}}}}}}
					BgL_method1391z00_1402 = BgL_res2244z00_2925;
				}
				return
					PROCEDURE_ENTRY(BgL_method1391z00_1402) (BgL_method1391z00_1402,
					((obj_t) BgL_ez00_120), ((obj_t) BgL_vz00_121), BEOA);
			}
		}

	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3835,
		obj_t BgL_ez00_3836, obj_t BgL_vz00_3837)
	{
		{	/* Eval/evaluate_fsize.scm 403 */
			{	/* Eval/evaluate_fsize.scm 403 */
				BgL_ev_varz00_bglt BgL_auxz00_5308;
				BgL_ev_exprz00_bglt BgL_auxz00_5282;

				{	/* Eval/evaluate_fsize.scm 403 */
					bool_t BgL_test2559z00_5309;

					{	/* Eval/evaluate_fsize.scm 403 */
						obj_t BgL_classz00_4380;

						BgL_classz00_4380 = BGl_ev_varz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_vz00_3837))
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_objectz00_bglt BgL_arg2207z00_4382;
								long BgL_arg2208z00_4383;

								BgL_arg2207z00_4382 = (BgL_objectz00_bglt) (BgL_vz00_3837);
								BgL_arg2208z00_4383 = BGL_CLASS_DEPTH(BgL_classz00_4380);
								{	/* Eval/evaluate_fsize.scm 403 */
									bool_t BgL_arg2202z00_4387;
									bool_t BgL_arg2203z00_4388;

									{	/* Eval/evaluate_fsize.scm 403 */
										long BgL_idxz00_4392;

										BgL_idxz00_4392 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4382);
										{	/* Eval/evaluate_fsize.scm 403 */
											obj_t BgL_arg2199z00_4393;

											{	/* Eval/evaluate_fsize.scm 403 */
												long BgL_arg2200z00_4394;

												BgL_arg2200z00_4394 =
													(BgL_idxz00_4392 + BgL_arg2208z00_4383);
												BgL_arg2199z00_4393 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4394);
											}
											BgL_arg2202z00_4387 =
												(BgL_arg2199z00_4393 == BgL_classz00_4380);
									}}
									{	/* Eval/evaluate_fsize.scm 403 */
										bool_t BgL_res2251z00_4399;

										{	/* Eval/evaluate_fsize.scm 403 */
											obj_t BgL_oclassz00_4403;

											{	/* Eval/evaluate_fsize.scm 403 */
												long BgL_arg2212z00_4405;

												{	/* Eval/evaluate_fsize.scm 403 */
													long BgL_arg2213z00_4406;

													BgL_arg2213z00_4406 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4382);
													BgL_arg2212z00_4405 =
														(BgL_arg2213z00_4406 - OBJECT_TYPE);
												}
												BgL_oclassz00_4403 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4405);
											}
											{	/* Eval/evaluate_fsize.scm 403 */
												bool_t BgL__ortest_1212z00_4412;

												BgL__ortest_1212z00_4412 =
													(BgL_classz00_4380 == BgL_oclassz00_4403);
												if (BgL__ortest_1212z00_4412)
													{	/* Eval/evaluate_fsize.scm 403 */
														BgL_res2251z00_4399 = BgL__ortest_1212z00_4412;
													}
												else
													{	/* Eval/evaluate_fsize.scm 403 */
														long BgL_odepthz00_4413;

														BgL_odepthz00_4413 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4403);
														if ((BgL_arg2208z00_4383 < BgL_odepthz00_4413))
															{	/* Eval/evaluate_fsize.scm 403 */
																obj_t BgL_arg2201z00_4417;

																BgL_arg2201z00_4417 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4403,
																	BgL_arg2208z00_4383);
																BgL_res2251z00_4399 =
																	(BgL_arg2201z00_4417 == BgL_classz00_4380);
															}
														else
															{	/* Eval/evaluate_fsize.scm 403 */
																BgL_res2251z00_4399 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4388 = BgL_res2251z00_4399;
									}
									BgL_test2559z00_5309 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4387, BgL_arg2203z00_4388);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_test2559z00_5309 = ((bool_t) 0);
							}
					}
					if (BgL_test2559z00_5309)
						{	/* Eval/evaluate_fsize.scm 403 */
							BgL_auxz00_5308 = ((BgL_ev_varz00_bglt) BgL_vz00_3837);
						}
					else
						{
							obj_t BgL_auxz00_5330;

							BgL_auxz00_5330 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 12049)),
								BGl_string2312z00zz__evaluate_fsiza7eza7,
								BGl_string2313z00zz__evaluate_fsiza7eza7, BgL_vz00_3837);
							FAILURE(BgL_auxz00_5330, BFALSE, BFALSE);
				}}
				{	/* Eval/evaluate_fsize.scm 403 */
					bool_t BgL_test2555z00_5283;

					{	/* Eval/evaluate_fsize.scm 403 */
						obj_t BgL_classz00_4342;

						BgL_classz00_4342 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_3836))
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_objectz00_bglt BgL_arg2207z00_4344;
								long BgL_arg2208z00_4345;

								BgL_arg2207z00_4344 = (BgL_objectz00_bglt) (BgL_ez00_3836);
								BgL_arg2208z00_4345 = BGL_CLASS_DEPTH(BgL_classz00_4342);
								{	/* Eval/evaluate_fsize.scm 403 */
									bool_t BgL_arg2202z00_4349;
									bool_t BgL_arg2203z00_4350;

									{	/* Eval/evaluate_fsize.scm 403 */
										long BgL_idxz00_4354;

										BgL_idxz00_4354 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4344);
										{	/* Eval/evaluate_fsize.scm 403 */
											obj_t BgL_arg2199z00_4355;

											{	/* Eval/evaluate_fsize.scm 403 */
												long BgL_arg2200z00_4356;

												BgL_arg2200z00_4356 =
													(BgL_idxz00_4354 + BgL_arg2208z00_4345);
												BgL_arg2199z00_4355 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4356);
											}
											BgL_arg2202z00_4349 =
												(BgL_arg2199z00_4355 == BgL_classz00_4342);
									}}
									{	/* Eval/evaluate_fsize.scm 403 */
										bool_t BgL_res2251z00_4361;

										{	/* Eval/evaluate_fsize.scm 403 */
											obj_t BgL_oclassz00_4365;

											{	/* Eval/evaluate_fsize.scm 403 */
												long BgL_arg2212z00_4367;

												{	/* Eval/evaluate_fsize.scm 403 */
													long BgL_arg2213z00_4368;

													BgL_arg2213z00_4368 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4344);
													BgL_arg2212z00_4367 =
														(BgL_arg2213z00_4368 - OBJECT_TYPE);
												}
												BgL_oclassz00_4365 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4367);
											}
											{	/* Eval/evaluate_fsize.scm 403 */
												bool_t BgL__ortest_1212z00_4374;

												BgL__ortest_1212z00_4374 =
													(BgL_classz00_4342 == BgL_oclassz00_4365);
												if (BgL__ortest_1212z00_4374)
													{	/* Eval/evaluate_fsize.scm 403 */
														BgL_res2251z00_4361 = BgL__ortest_1212z00_4374;
													}
												else
													{	/* Eval/evaluate_fsize.scm 403 */
														long BgL_odepthz00_4375;

														BgL_odepthz00_4375 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4365);
														if ((BgL_arg2208z00_4345 < BgL_odepthz00_4375))
															{	/* Eval/evaluate_fsize.scm 403 */
																obj_t BgL_arg2201z00_4379;

																BgL_arg2201z00_4379 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4365,
																	BgL_arg2208z00_4345);
																BgL_res2251z00_4361 =
																	(BgL_arg2201z00_4379 == BgL_classz00_4342);
															}
														else
															{	/* Eval/evaluate_fsize.scm 403 */
																BgL_res2251z00_4361 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4350 = BgL_res2251z00_4361;
									}
									BgL_test2555z00_5283 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4349, BgL_arg2203z00_4350);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 403 */
								BgL_test2555z00_5283 = ((bool_t) 0);
							}
					}
					if (BgL_test2555z00_5283)
						{	/* Eval/evaluate_fsize.scm 403 */
							BgL_auxz00_5282 = ((BgL_ev_exprz00_bglt) BgL_ez00_3836);
						}
					else
						{
							obj_t BgL_auxz00_5304;

							BgL_auxz00_5304 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 12049)),
								BGl_string2312z00zz__evaluate_fsiza7eza7,
								BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3836);
							FAILURE(BgL_auxz00_5304, BFALSE, BFALSE);
				}}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_5282,
					BgL_auxz00_5308);
			}
		}

	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
	{
		{	/* Eval/evaluate_fsize.scm 491 */
			{	/* Eval/evaluate_fsize.scm 491 */
				obj_t BgL_method1436z00_1403;

				{	/* Eval/evaluate_fsize.scm 491 */
					obj_t BgL_res2249z00_2956;

					{	/* Eval/evaluate_fsize.scm 491 */
						long BgL_objzd2classzd2numz00_2927;

						BgL_objzd2classzd2numz00_2927 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_ez00_160));
						{	/* Eval/evaluate_fsize.scm 491 */
							obj_t BgL_arg2209z00_2928;

							BgL_arg2209z00_2928 =
								PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
								(int) (((long) 1)));
							{	/* Eval/evaluate_fsize.scm 491 */
								int BgL_offsetz00_2931;

								BgL_offsetz00_2931 = (int) (BgL_objzd2classzd2numz00_2927);
								{	/* Eval/evaluate_fsize.scm 491 */
									long BgL_offsetz00_2932;

									BgL_offsetz00_2932 =
										((long) (BgL_offsetz00_2931) - OBJECT_TYPE);
									{	/* Eval/evaluate_fsize.scm 491 */
										long BgL_modz00_2933;

										BgL_modz00_2933 =
											(BgL_offsetz00_2932 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Eval/evaluate_fsize.scm 491 */
											long BgL_restz00_2935;

											BgL_restz00_2935 =
												(BgL_offsetz00_2932 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Eval/evaluate_fsize.scm 491 */

												{	/* Eval/evaluate_fsize.scm 491 */
													obj_t BgL_bucketz00_2937;

													BgL_bucketz00_2937 =
														VECTOR_REF(
														((obj_t) BgL_arg2209z00_2928), BgL_modz00_2933);
													BgL_res2249z00_2956 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2937), BgL_restz00_2935);
					}}}}}}}}
					BgL_method1436z00_1403 = BgL_res2249z00_2956;
				}
				return
					PROCEDURE_ENTRY(BgL_method1436z00_1403) (BgL_method1436z00_1403,
					((obj_t) BgL_ez00_160), ((obj_t) BgL_vz00_161), BEOA);
			}
		}

	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3838,
		obj_t BgL_ez00_3839, obj_t BgL_vz00_3840)
	{
		{	/* Eval/evaluate_fsize.scm 491 */
			{	/* Eval/evaluate_fsize.scm 491 */
				BgL_ev_varz00_bglt BgL_auxz00_5393;
				BgL_ev_exprz00_bglt BgL_auxz00_5367;

				{	/* Eval/evaluate_fsize.scm 491 */
					bool_t BgL_test2567z00_5394;

					{	/* Eval/evaluate_fsize.scm 491 */
						obj_t BgL_classz00_4456;

						BgL_classz00_4456 = BGl_ev_varz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_vz00_3840))
							{	/* Eval/evaluate_fsize.scm 491 */
								BgL_objectz00_bglt BgL_arg2207z00_4458;
								long BgL_arg2208z00_4459;

								BgL_arg2207z00_4458 = (BgL_objectz00_bglt) (BgL_vz00_3840);
								BgL_arg2208z00_4459 = BGL_CLASS_DEPTH(BgL_classz00_4456);
								{	/* Eval/evaluate_fsize.scm 491 */
									bool_t BgL_arg2202z00_4463;
									bool_t BgL_arg2203z00_4464;

									{	/* Eval/evaluate_fsize.scm 491 */
										long BgL_idxz00_4468;

										BgL_idxz00_4468 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4458);
										{	/* Eval/evaluate_fsize.scm 491 */
											obj_t BgL_arg2199z00_4469;

											{	/* Eval/evaluate_fsize.scm 491 */
												long BgL_arg2200z00_4470;

												BgL_arg2200z00_4470 =
													(BgL_idxz00_4468 + BgL_arg2208z00_4459);
												BgL_arg2199z00_4469 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4470);
											}
											BgL_arg2202z00_4463 =
												(BgL_arg2199z00_4469 == BgL_classz00_4456);
									}}
									{	/* Eval/evaluate_fsize.scm 491 */
										bool_t BgL_res2251z00_4475;

										{	/* Eval/evaluate_fsize.scm 491 */
											obj_t BgL_oclassz00_4479;

											{	/* Eval/evaluate_fsize.scm 491 */
												long BgL_arg2212z00_4481;

												{	/* Eval/evaluate_fsize.scm 491 */
													long BgL_arg2213z00_4482;

													BgL_arg2213z00_4482 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4458);
													BgL_arg2212z00_4481 =
														(BgL_arg2213z00_4482 - OBJECT_TYPE);
												}
												BgL_oclassz00_4479 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4481);
											}
											{	/* Eval/evaluate_fsize.scm 491 */
												bool_t BgL__ortest_1212z00_4488;

												BgL__ortest_1212z00_4488 =
													(BgL_classz00_4456 == BgL_oclassz00_4479);
												if (BgL__ortest_1212z00_4488)
													{	/* Eval/evaluate_fsize.scm 491 */
														BgL_res2251z00_4475 = BgL__ortest_1212z00_4488;
													}
												else
													{	/* Eval/evaluate_fsize.scm 491 */
														long BgL_odepthz00_4489;

														BgL_odepthz00_4489 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4479);
														if ((BgL_arg2208z00_4459 < BgL_odepthz00_4489))
															{	/* Eval/evaluate_fsize.scm 491 */
																obj_t BgL_arg2201z00_4493;

																BgL_arg2201z00_4493 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4479,
																	BgL_arg2208z00_4459);
																BgL_res2251z00_4475 =
																	(BgL_arg2201z00_4493 == BgL_classz00_4456);
															}
														else
															{	/* Eval/evaluate_fsize.scm 491 */
																BgL_res2251z00_4475 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4464 = BgL_res2251z00_4475;
									}
									BgL_test2567z00_5394 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4463, BgL_arg2203z00_4464);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 491 */
								BgL_test2567z00_5394 = ((bool_t) 0);
							}
					}
					if (BgL_test2567z00_5394)
						{	/* Eval/evaluate_fsize.scm 491 */
							BgL_auxz00_5393 = ((BgL_ev_varz00_bglt) BgL_vz00_3840);
						}
					else
						{
							obj_t BgL_auxz00_5415;

							BgL_auxz00_5415 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 14969)),
								BGl_string2314z00zz__evaluate_fsiza7eza7,
								BGl_string2313z00zz__evaluate_fsiza7eza7, BgL_vz00_3840);
							FAILURE(BgL_auxz00_5415, BFALSE, BFALSE);
				}}
				{	/* Eval/evaluate_fsize.scm 491 */
					bool_t BgL_test2563z00_5368;

					{	/* Eval/evaluate_fsize.scm 491 */
						obj_t BgL_classz00_4418;

						BgL_classz00_4418 = BGl_ev_exprz00zz__evaluate_typesz00;
						if (BGL_OBJECTP(BgL_ez00_3839))
							{	/* Eval/evaluate_fsize.scm 491 */
								BgL_objectz00_bglt BgL_arg2207z00_4420;
								long BgL_arg2208z00_4421;

								BgL_arg2207z00_4420 = (BgL_objectz00_bglt) (BgL_ez00_3839);
								BgL_arg2208z00_4421 = BGL_CLASS_DEPTH(BgL_classz00_4418);
								{	/* Eval/evaluate_fsize.scm 491 */
									bool_t BgL_arg2202z00_4425;
									bool_t BgL_arg2203z00_4426;

									{	/* Eval/evaluate_fsize.scm 491 */
										long BgL_idxz00_4430;

										BgL_idxz00_4430 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg2207z00_4420);
										{	/* Eval/evaluate_fsize.scm 491 */
											obj_t BgL_arg2199z00_4431;

											{	/* Eval/evaluate_fsize.scm 491 */
												long BgL_arg2200z00_4432;

												BgL_arg2200z00_4432 =
													(BgL_idxz00_4430 + BgL_arg2208z00_4421);
												BgL_arg2199z00_4431 =
													VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													BgL_arg2200z00_4432);
											}
											BgL_arg2202z00_4425 =
												(BgL_arg2199z00_4431 == BgL_classz00_4418);
									}}
									{	/* Eval/evaluate_fsize.scm 491 */
										bool_t BgL_res2251z00_4437;

										{	/* Eval/evaluate_fsize.scm 491 */
											obj_t BgL_oclassz00_4441;

											{	/* Eval/evaluate_fsize.scm 491 */
												long BgL_arg2212z00_4443;

												{	/* Eval/evaluate_fsize.scm 491 */
													long BgL_arg2213z00_4444;

													BgL_arg2213z00_4444 =
														BGL_OBJECT_CLASS_NUM(BgL_arg2207z00_4420);
													BgL_arg2212z00_4443 =
														(BgL_arg2213z00_4444 - OBJECT_TYPE);
												}
												BgL_oclassz00_4441 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg2212z00_4443);
											}
											{	/* Eval/evaluate_fsize.scm 491 */
												bool_t BgL__ortest_1212z00_4450;

												BgL__ortest_1212z00_4450 =
													(BgL_classz00_4418 == BgL_oclassz00_4441);
												if (BgL__ortest_1212z00_4450)
													{	/* Eval/evaluate_fsize.scm 491 */
														BgL_res2251z00_4437 = BgL__ortest_1212z00_4450;
													}
												else
													{	/* Eval/evaluate_fsize.scm 491 */
														long BgL_odepthz00_4451;

														BgL_odepthz00_4451 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4441);
														if ((BgL_arg2208z00_4421 < BgL_odepthz00_4451))
															{	/* Eval/evaluate_fsize.scm 491 */
																obj_t BgL_arg2201z00_4455;

																BgL_arg2201z00_4455 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4441,
																	BgL_arg2208z00_4421);
																BgL_res2251z00_4437 =
																	(BgL_arg2201z00_4455 == BgL_classz00_4418);
															}
														else
															{	/* Eval/evaluate_fsize.scm 491 */
																BgL_res2251z00_4437 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_arg2203z00_4426 = BgL_res2251z00_4437;
									}
									BgL_test2563z00_5368 =
										BGL_ISA_C_BACKEND(BgL_arg2202z00_4425, BgL_arg2203z00_4426);
								}
							}
						else
							{	/* Eval/evaluate_fsize.scm 491 */
								BgL_test2563z00_5368 = ((bool_t) 0);
							}
					}
					if (BgL_test2563z00_5368)
						{	/* Eval/evaluate_fsize.scm 491 */
							BgL_auxz00_5367 = ((BgL_ev_exprz00_bglt) BgL_ez00_3839);
						}
					else
						{
							obj_t BgL_auxz00_5389;

							BgL_auxz00_5389 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2283z00zz__evaluate_fsiza7eza7, BINT(((long) 14969)),
								BGl_string2314z00zz__evaluate_fsiza7eza7,
								BGl_string2285z00zz__evaluate_fsiza7eza7, BgL_ez00_3839);
							FAILURE(BgL_auxz00_5389, BFALSE, BFALSE);
				}}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_5367,
					BgL_auxz00_5393);
			}
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2315z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2317z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2318z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2319z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2320z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2321z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2322z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2323z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2324z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2325z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2326z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2327z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2328z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2329z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2330z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2331z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2332z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2333z00zz__evaluate_fsiza7eza7,
				BGl_string2316z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2334z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2335z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2336z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2337z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2338z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2339z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2340z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2341z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2342z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2343z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2344z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2345z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2346z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2347z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2348z00zz__evaluate_fsiza7eza7,
				BGl_string2305z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2349z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2350z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2351z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2352z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2353z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2354z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2355z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2356z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2357z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2358z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2359z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2360z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2361z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2362z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2363z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2364z00zz__evaluate_fsiza7eza7,
				BGl_string2303z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2365z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2366z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2367z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2368z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2369z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2370z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2371z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2372z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2373z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2374z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2375z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2376z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2377z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2378z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2379z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2380z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2381z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2382z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2383z00zz__evaluate_fsiza7eza7,
				BGl_string2300z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2384z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2386z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2387z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2388z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2389z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2390z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2391z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2392z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2393z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2394z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2395z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2396z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2397z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2398z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2399z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2400z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2401z00zz__evaluate_fsiza7eza7,
				BGl_string2385z00zz__evaluate_fsiza7eza7);
		}

	}



/* &hasvar?-ev_abs1471 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1471z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3926, obj_t BgL_ez00_3927, obj_t BgL_vz00_3928)
	{
		{	/* Eval/evaluate_fsize.scm 556 */
			return
				BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_ez00_3927)))->BgL_bodyz00),
				((BgL_ev_varz00_bglt) BgL_vz00_3928));
		}

	}



/* &hasvar?-ev_app1469 */
	obj_t BGl_z62hasvarzf3zd2ev_app1469z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3929, obj_t BgL_ez00_3930, obj_t BgL_vz00_3931)
	{
		{	/* Eval/evaluate_fsize.scm 552 */
			{	/* Eval/evaluate_fsize.scm 554 */
				obj_t BgL__ortest_1172z00_4498;

				BgL__ortest_1172z00_4498 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_3930)))->BgL_funz00),
					((BgL_ev_varz00_bglt) BgL_vz00_3931));
				if (CBOOL(BgL__ortest_1172z00_4498))
					{	/* Eval/evaluate_fsize.scm 554 */
						return BgL__ortest_1172z00_4498;
					}
				else
					{	/* Eval/evaluate_fsize.scm 554 */
						obj_t BgL_g1268z00_4499;

						BgL_g1268z00_4499 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_3930)))->BgL_argsz00);
						{
							obj_t BgL_l1266z00_4501;

							BgL_l1266z00_4501 = BgL_g1268z00_4499;
						BgL_zc3z04anonymousza31905ze3z87_4500:
							if (NULLP(BgL_l1266z00_4501))
								{	/* Eval/evaluate_fsize.scm 554 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 554 */
									obj_t BgL__ortest_1269z00_4502;

									{	/* Eval/evaluate_fsize.scm 554 */
										obj_t BgL_ez00_4503;

										BgL_ez00_4503 = CAR(((obj_t) BgL_l1266z00_4501));
										BgL__ortest_1269z00_4502 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_ez00_4503),
											((BgL_ev_varz00_bglt) BgL_vz00_3931));
									}
									if (CBOOL(BgL__ortest_1269z00_4502))
										{	/* Eval/evaluate_fsize.scm 554 */
											return BgL__ortest_1269z00_4502;
										}
									else
										{	/* Eval/evaluate_fsize.scm 554 */
											obj_t BgL_arg1907z00_4504;

											BgL_arg1907z00_4504 = CDR(((obj_t) BgL_l1266z00_4501));
											{
												obj_t BgL_l1266z00_5528;

												BgL_l1266z00_5528 = BgL_arg1907z00_4504;
												BgL_l1266z00_4501 = BgL_l1266z00_5528;
												goto BgL_zc3z04anonymousza31905ze3z87_4500;
											}
										}
								}
						}
					}
			}
		}

	}



/* &hasvar?-ev_goto1467 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1467z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3932, obj_t BgL_ez00_3933, obj_t BgL_vz00_3934)
	{
		{	/* Eval/evaluate_fsize.scm 548 */
			{	/* Eval/evaluate_fsize.scm 550 */
				obj_t BgL_g1264z00_4507;

				BgL_g1264z00_4507 =
					(((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_ez00_3933)))->BgL_argsz00);
				{
					obj_t BgL_l1262z00_4509;

					BgL_l1262z00_4509 = BgL_g1264z00_4507;
				BgL_zc3z04anonymousza31902ze3z87_4508:
					if (NULLP(BgL_l1262z00_4509))
						{	/* Eval/evaluate_fsize.scm 550 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_fsize.scm 550 */
							obj_t BgL__ortest_1265z00_4510;

							{	/* Eval/evaluate_fsize.scm 550 */
								obj_t BgL_ez00_4511;

								BgL_ez00_4511 = CAR(((obj_t) BgL_l1262z00_4509));
								BgL__ortest_1265z00_4510 =
									BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_ez00_4511),
									((BgL_ev_varz00_bglt) BgL_vz00_3934));
							}
							if (CBOOL(BgL__ortest_1265z00_4510))
								{	/* Eval/evaluate_fsize.scm 550 */
									return BgL__ortest_1265z00_4510;
								}
							else
								{	/* Eval/evaluate_fsize.scm 550 */
									obj_t BgL_arg1904z00_4512;

									BgL_arg1904z00_4512 = CDR(((obj_t) BgL_l1262z00_4509));
									{
										obj_t BgL_l1262z00_5542;

										BgL_l1262z00_5542 = BgL_arg1904z00_4512;
										BgL_l1262z00_4509 = BgL_l1262z00_5542;
										goto BgL_zc3z04anonymousza31902ze3z87_4508;
									}
								}
						}
				}
			}
		}

	}



/* &hasvar?-ev_labels1465 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1465z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3935, obj_t BgL_ez00_3936, obj_t BgL_vz00_3937)
	{
		{	/* Eval/evaluate_fsize.scm 543 */
			{	/* Eval/evaluate_fsize.scm 545 */
				obj_t BgL__ortest_1169z00_4515;

				{	/* Eval/evaluate_fsize.scm 545 */
					obj_t BgL_g1260z00_4516;

					BgL_g1260z00_4516 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_3936)))->BgL_valsz00);
					{
						obj_t BgL_l1258z00_4518;

						BgL_l1258z00_4518 = BgL_g1260z00_4516;
					BgL_zc3z04anonymousza31896ze3z87_4517:
						if (NULLP(BgL_l1258z00_4518))
							{	/* Eval/evaluate_fsize.scm 545 */
								BgL__ortest_1169z00_4515 = BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 545 */
								obj_t BgL__ortest_1261z00_4519;

								{	/* Eval/evaluate_fsize.scm 545 */
									obj_t BgL_ez00_4520;

									BgL_ez00_4520 = CAR(((obj_t) BgL_l1258z00_4518));
									{	/* Eval/evaluate_fsize.scm 545 */
										obj_t BgL_arg1901z00_4521;

										BgL_arg1901z00_4521 = CDR(((obj_t) BgL_ez00_4520));
										BgL__ortest_1261z00_4519 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1901z00_4521),
											((BgL_ev_varz00_bglt) BgL_vz00_3937));
									}
								}
								if (CBOOL(BgL__ortest_1261z00_4519))
									{	/* Eval/evaluate_fsize.scm 545 */
										BgL__ortest_1169z00_4515 = BgL__ortest_1261z00_4519;
									}
								else
									{	/* Eval/evaluate_fsize.scm 545 */
										obj_t BgL_arg1898z00_4522;

										BgL_arg1898z00_4522 = CDR(((obj_t) BgL_l1258z00_4518));
										{
											obj_t BgL_l1258z00_5558;

											BgL_l1258z00_5558 = BgL_arg1898z00_4522;
											BgL_l1258z00_4518 = BgL_l1258z00_5558;
											goto BgL_zc3z04anonymousza31896ze3z87_4517;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1169z00_4515))
					{	/* Eval/evaluate_fsize.scm 545 */
						return BgL__ortest_1169z00_4515;
					}
				else
					{	/* Eval/evaluate_fsize.scm 545 */
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_3936)))->BgL_bodyz00),
							((BgL_ev_varz00_bglt) BgL_vz00_3937));
					}
			}
		}

	}



/* &hasvar?-ev_binder1463 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1463z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3938, obj_t BgL_ez00_3939, obj_t BgL_vz00_3940)
	{
		{	/* Eval/evaluate_fsize.scm 538 */
			{	/* Eval/evaluate_fsize.scm 540 */
				obj_t BgL__ortest_1167z00_4525;

				{	/* Eval/evaluate_fsize.scm 540 */
					obj_t BgL_g1256z00_4526;

					BgL_g1256z00_4526 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_3939)))->BgL_valsz00);
					{
						obj_t BgL_l1254z00_4528;

						BgL_l1254z00_4528 = BgL_g1256z00_4526;
					BgL_zc3z04anonymousza31891ze3z87_4527:
						if (NULLP(BgL_l1254z00_4528))
							{	/* Eval/evaluate_fsize.scm 540 */
								BgL__ortest_1167z00_4525 = BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 540 */
								obj_t BgL__ortest_1257z00_4529;

								{	/* Eval/evaluate_fsize.scm 540 */
									obj_t BgL_ez00_4530;

									BgL_ez00_4530 = CAR(((obj_t) BgL_l1254z00_4528));
									BgL__ortest_1257z00_4529 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_ez00_4530),
										((BgL_ev_varz00_bglt) BgL_vz00_3940));
								}
								if (CBOOL(BgL__ortest_1257z00_4529))
									{	/* Eval/evaluate_fsize.scm 540 */
										BgL__ortest_1167z00_4525 = BgL__ortest_1257z00_4529;
									}
								else
									{	/* Eval/evaluate_fsize.scm 540 */
										obj_t BgL_arg1894z00_4531;

										BgL_arg1894z00_4531 = CDR(((obj_t) BgL_l1254z00_4528));
										{
											obj_t BgL_l1254z00_5578;

											BgL_l1254z00_5578 = BgL_arg1894z00_4531;
											BgL_l1254z00_4528 = BgL_l1254z00_5578;
											goto BgL_zc3z04anonymousza31891ze3z87_4527;
										}
									}
							}
					}
				}
				if (CBOOL(BgL__ortest_1167z00_4525))
					{	/* Eval/evaluate_fsize.scm 540 */
						return BgL__ortest_1167z00_4525;
					}
				else
					{	/* Eval/evaluate_fsize.scm 540 */
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt) BgL_ez00_3939)))->BgL_bodyz00),
							((BgL_ev_varz00_bglt) BgL_vz00_3940));
					}
			}
		}

	}



/* &hasvar?-ev_synchroni1461 */
	obj_t BGl_z62hasvarzf3zd2ev_synchroni1461z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3941, obj_t BgL_ez00_3942, obj_t BgL_vz00_3943)
	{
		{	/* Eval/evaluate_fsize.scm 534 */
			{	/* Eval/evaluate_fsize.scm 536 */
				obj_t BgL__ortest_1164z00_4534;

				BgL__ortest_1164z00_4534 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3942)))->BgL_mutexz00),
					((BgL_ev_varz00_bglt) BgL_vz00_3943));
				if (CBOOL(BgL__ortest_1164z00_4534))
					{	/* Eval/evaluate_fsize.scm 536 */
						return BgL__ortest_1164z00_4534;
					}
				else
					{	/* Eval/evaluate_fsize.scm 536 */
						obj_t BgL__ortest_1165z00_4535;

						BgL__ortest_1165z00_4535 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
										((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3942)))->
								BgL_prelockz00), ((BgL_ev_varz00_bglt) BgL_vz00_3943));
						if (CBOOL(BgL__ortest_1165z00_4535))
							{	/* Eval/evaluate_fsize.scm 536 */
								return BgL__ortest_1165z00_4535;
							}
						else
							{	/* Eval/evaluate_fsize.scm 536 */
								return
									BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
									(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
												((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3942)))->
										BgL_bodyz00), ((BgL_ev_varz00_bglt) BgL_vz00_3943));
							}
					}
			}
		}

	}



/* &hasvar?-ev_with-hand1459 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1459z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3944, obj_t BgL_ez00_3945, obj_t BgL_vz00_3946)
	{
		{	/* Eval/evaluate_fsize.scm 530 */
			{	/* Eval/evaluate_fsize.scm 532 */
				obj_t BgL__ortest_1162z00_4538;

				BgL__ortest_1162z00_4538 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
								((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3945)))->
						BgL_handlerz00), ((BgL_ev_varz00_bglt) BgL_vz00_3946));
				if (CBOOL(BgL__ortest_1162z00_4538))
					{	/* Eval/evaluate_fsize.scm 532 */
						return BgL__ortest_1162z00_4538;
					}
				else
					{	/* Eval/evaluate_fsize.scm 532 */
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
										((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3945)))->
								BgL_bodyz00), ((BgL_ev_varz00_bglt) BgL_vz00_3946));
					}
			}
		}

	}



/* &hasvar?-ev_unwind-pr1457 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1457z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3947, obj_t BgL_ez00_3948, obj_t BgL_vz00_3949)
	{
		{	/* Eval/evaluate_fsize.scm 526 */
			{	/* Eval/evaluate_fsize.scm 528 */
				obj_t BgL__ortest_1160z00_4541;

				BgL__ortest_1160z00_4541 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
								((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3948)))->BgL_ez00),
					((BgL_ev_varz00_bglt) BgL_vz00_3949));
				if (CBOOL(BgL__ortest_1160z00_4541))
					{	/* Eval/evaluate_fsize.scm 528 */
						return BgL__ortest_1160z00_4541;
					}
				else
					{	/* Eval/evaluate_fsize.scm 528 */
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
										((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3948)))->
								BgL_bodyz00), ((BgL_ev_varz00_bglt) BgL_vz00_3949));
					}
			}
		}

	}



/* &hasvar?-ev_bind-exit1455 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1455z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3950, obj_t BgL_ez00_3951, obj_t BgL_vz00_3952)
	{
		{	/* Eval/evaluate_fsize.scm 522 */
			return
				BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3951)))->BgL_bodyz00),
				((BgL_ev_varz00_bglt) BgL_vz00_3952));
		}

	}



/* &hasvar?-ev_setlocal1453 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1453z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3953, obj_t BgL_ez00_3954, obj_t BgL_varz00_3955)
	{
		{	/* Eval/evaluate_fsize.scm 518 */
			{	/* Eval/evaluate_fsize.scm 520 */
				bool_t BgL__ortest_1157z00_4546;

				BgL__ortest_1157z00_4546 =
					(
					((obj_t)
						(((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_ez00_3954)))->BgL_vz00)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_3955)));
				if (BgL__ortest_1157z00_4546)
					{	/* Eval/evaluate_fsize.scm 520 */
						return BBOOL(BgL__ortest_1157z00_4546);
					}
				else
					{	/* Eval/evaluate_fsize.scm 520 */
						BgL_ev_exprz00_bglt BgL_arg1877z00_4547;

						BgL_arg1877z00_4547 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_ez00_3954))))->BgL_ez00);
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1877z00_4547,
							((BgL_ev_varz00_bglt) BgL_varz00_3955));
					}
			}
		}

	}



/* &hasvar?-ev_hook1451 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1451z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3956, obj_t BgL_ez00_3957, obj_t BgL_vz00_3958)
	{
		{	/* Eval/evaluate_fsize.scm 514 */
			return
				BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
				(((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_ez00_3957)))->BgL_ez00),
				((BgL_ev_varz00_bglt) BgL_vz00_3958));
		}

	}



/* &hasvar?-ev_prog21449 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21449z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3959, obj_t BgL_ez00_3960, obj_t BgL_vz00_3961)
	{
		{	/* Eval/evaluate_fsize.scm 510 */
			{	/* Eval/evaluate_fsize.scm 512 */
				obj_t BgL__ortest_1154z00_4552;

				BgL__ortest_1154z00_4552 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_3960)))->BgL_e1z00),
					((BgL_ev_varz00_bglt) BgL_vz00_3961));
				if (CBOOL(BgL__ortest_1154z00_4552))
					{	/* Eval/evaluate_fsize.scm 512 */
						return BgL__ortest_1154z00_4552;
					}
				else
					{	/* Eval/evaluate_fsize.scm 512 */
						return
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_prog2z00_bglt) COBJECT(
										((BgL_ev_prog2z00_bglt) BgL_ez00_3960)))->BgL_e2z00),
							((BgL_ev_varz00_bglt) BgL_vz00_3961));
					}
			}
		}

	}



/* &hasvar?-ev_list1447 */
	obj_t BGl_z62hasvarzf3zd2ev_list1447z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3962, obj_t BgL_ez00_3963, obj_t BgL_vz00_3964)
	{
		{	/* Eval/evaluate_fsize.scm 506 */
			{	/* Eval/evaluate_fsize.scm 508 */
				obj_t BgL_g1252z00_4555;

				BgL_g1252z00_4555 =
					(((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_ez00_3963)))->BgL_argsz00);
				{
					obj_t BgL_l1250z00_4557;

					BgL_l1250z00_4557 = BgL_g1252z00_4555;
				BgL_zc3z04anonymousza31868ze3z87_4556:
					if (NULLP(BgL_l1250z00_4557))
						{	/* Eval/evaluate_fsize.scm 508 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_fsize.scm 508 */
							obj_t BgL__ortest_1253z00_4558;

							{	/* Eval/evaluate_fsize.scm 508 */
								obj_t BgL_az00_4559;

								BgL_az00_4559 = CAR(((obj_t) BgL_l1250z00_4557));
								BgL__ortest_1253z00_4558 =
									BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_az00_4559),
									((BgL_ev_varz00_bglt) BgL_vz00_3964));
							}
							if (CBOOL(BgL__ortest_1253z00_4558))
								{	/* Eval/evaluate_fsize.scm 508 */
									return BgL__ortest_1253z00_4558;
								}
							else
								{	/* Eval/evaluate_fsize.scm 508 */
									obj_t BgL_arg1870z00_4560;

									BgL_arg1870z00_4560 = CDR(((obj_t) BgL_l1250z00_4557));
									{
										obj_t BgL_l1250z00_5665;

										BgL_l1250z00_5665 = BgL_arg1870z00_4560;
										BgL_l1250z00_4557 = BgL_l1250z00_5665;
										goto BgL_zc3z04anonymousza31868ze3z87_4556;
									}
								}
						}
				}
			}
		}

	}



/* &hasvar?-ev_if1445 */
	obj_t BGl_z62hasvarzf3zd2ev_if1445z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3965, obj_t BgL_ez00_3966, obj_t BgL_vz00_3967)
	{
		{	/* Eval/evaluate_fsize.scm 502 */
			{	/* Eval/evaluate_fsize.scm 504 */
				obj_t BgL__ortest_1150z00_4563;

				BgL__ortest_1150z00_4563 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_3966)))->BgL_pz00),
					((BgL_ev_varz00_bglt) BgL_vz00_3967));
				if (CBOOL(BgL__ortest_1150z00_4563))
					{	/* Eval/evaluate_fsize.scm 504 */
						return BgL__ortest_1150z00_4563;
					}
				else
					{	/* Eval/evaluate_fsize.scm 504 */
						obj_t BgL__ortest_1151z00_4564;

						BgL__ortest_1151z00_4564 =
							BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_3966)))->BgL_tz00),
							((BgL_ev_varz00_bglt) BgL_vz00_3967));
						if (CBOOL(BgL__ortest_1151z00_4564))
							{	/* Eval/evaluate_fsize.scm 504 */
								return BgL__ortest_1151z00_4564;
							}
						else
							{	/* Eval/evaluate_fsize.scm 504 */
								return
									BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
									(((BgL_ev_ifz00_bglt) COBJECT(
												((BgL_ev_ifz00_bglt) BgL_ez00_3966)))->BgL_ez00),
									((BgL_ev_varz00_bglt) BgL_vz00_3967));
							}
					}
			}
		}

	}



/* &hasvar?-ev_litt1442 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1442z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3968, obj_t BgL_ez00_3969, obj_t BgL_vz00_3970)
	{
		{	/* Eval/evaluate_fsize.scm 499 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &hasvar?-ev_global1440 */
	obj_t BGl_z62hasvarzf3zd2ev_global1440z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3971, obj_t BgL_ez00_3972, obj_t BgL_vz00_3973)
	{
		{	/* Eval/evaluate_fsize.scm 496 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &hasvar?-ev_var1438 */
	obj_t BGl_z62hasvarzf3zd2ev_var1438z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3974, obj_t BgL_ez00_3975, obj_t BgL_vz00_3976)
	{
		{	/* Eval/evaluate_fsize.scm 493 */
			return
				BBOOL(
				(((obj_t)
						((BgL_ev_varz00_bglt) BgL_ez00_3975)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3976))));
		}

	}



/* &tailpos-ev_abs1434 */
	obj_t BGl_z62tailposzd2ev_abs1434zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3977, obj_t BgL_ez00_3978, obj_t BgL_vz00_3979)
	{
		{	/* Eval/evaluate_fsize.scm 485 */
			{	/* Eval/evaluate_fsize.scm 486 */
				bool_t BgL_tmpz00_5690;

				{	/* Eval/evaluate_fsize.scm 487 */
					bool_t BgL_test2592z00_5691;

					{	/* Eval/evaluate_fsize.scm 487 */
						BgL_ev_exprz00_bglt BgL_arg1862z00_4573;

						BgL_arg1862z00_4573 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_3978)))->BgL_bodyz00);
						BgL_test2592z00_5691 =
							CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1862z00_4573,
								((BgL_ev_varz00_bglt) BgL_vz00_3979)));
					}
					if (BgL_test2592z00_5691)
						{	/* Eval/evaluate_fsize.scm 487 */
							BgL_tmpz00_5690 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 487 */
							BgL_tmpz00_5690 = ((bool_t) 1);
						}
				}
				return BBOOL(BgL_tmpz00_5690);
			}
		}

	}



/* &tailpos-ev_app1432 */
	obj_t BGl_z62tailposzd2ev_app1432zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3980, obj_t BgL_ez00_3981, obj_t BgL_vz00_3982)
	{
		{	/* Eval/evaluate_fsize.scm 479 */
			{	/* Eval/evaluate_fsize.scm 480 */
				bool_t BgL_tmpz00_5698;

				{	/* Eval/evaluate_fsize.scm 481 */
					bool_t BgL_test2593z00_5699;

					{	/* Eval/evaluate_fsize.scm 481 */
						obj_t BgL_g1248z00_4576;

						BgL_g1248z00_4576 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_3981)))->BgL_argsz00);
						{
							obj_t BgL_l1246z00_4578;

							BgL_l1246z00_4578 = BgL_g1248z00_4576;
						BgL_zc3z04anonymousza31853ze3z87_4577:
							if (NULLP(BgL_l1246z00_4578))
								{	/* Eval/evaluate_fsize.scm 481 */
									BgL_test2593z00_5699 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 481 */
									bool_t BgL_test2595z00_5704;

									if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt)
													CAR(
														((obj_t) BgL_l1246z00_4578))),
												((BgL_ev_varz00_bglt) BgL_vz00_3982))))
										{	/* Eval/evaluate_fsize.scm 481 */
											BgL_test2595z00_5704 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 481 */
											BgL_test2595z00_5704 = ((bool_t) 1);
										}
									if (BgL_test2595z00_5704)
										{	/* Eval/evaluate_fsize.scm 481 */
											obj_t BgL_arg1855z00_4579;

											BgL_arg1855z00_4579 = CDR(((obj_t) BgL_l1246z00_4578));
											{
												obj_t BgL_l1246z00_5714;

												BgL_l1246z00_5714 = BgL_arg1855z00_4579;
												BgL_l1246z00_4578 = BgL_l1246z00_5714;
												goto BgL_zc3z04anonymousza31853ze3z87_4577;
											}
										}
									else
										{	/* Eval/evaluate_fsize.scm 481 */
											BgL_test2593z00_5699 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_test2593z00_5699)
						{	/* Eval/evaluate_fsize.scm 482 */
							bool_t BgL__ortest_1147z00_4580;

							BgL__ortest_1147z00_4580 =
								(
								((obj_t)
									(((BgL_ev_appz00_bglt) COBJECT(
												((BgL_ev_appz00_bglt) BgL_ez00_3981)))->BgL_funz00)) ==
								((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3982)));
							if (BgL__ortest_1147z00_4580)
								{	/* Eval/evaluate_fsize.scm 482 */
									BgL_tmpz00_5698 = BgL__ortest_1147z00_4580;
								}
							else
								{	/* Eval/evaluate_fsize.scm 483 */
									bool_t BgL_test2598z00_5722;

									{	/* Eval/evaluate_fsize.scm 483 */
										BgL_ev_exprz00_bglt BgL_arg1850z00_4581;

										BgL_arg1850z00_4581 =
											(((BgL_ev_appz00_bglt) COBJECT(
													((BgL_ev_appz00_bglt) BgL_ez00_3981)))->BgL_funz00);
										BgL_test2598z00_5722 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
											(BgL_arg1850z00_4581,
												((BgL_ev_varz00_bglt) BgL_vz00_3982)));
									}
									if (BgL_test2598z00_5722)
										{	/* Eval/evaluate_fsize.scm 483 */
											BgL_tmpz00_5698 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 483 */
											BgL_tmpz00_5698 = ((bool_t) 1);
										}
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 481 */
							BgL_tmpz00_5698 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_tmpz00_5698);
			}
		}

	}



/* &tailpos-ev_goto1430 */
	obj_t BGl_z62tailposzd2ev_goto1430zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3983, obj_t BgL_ez00_3984, obj_t BgL_vz00_3985)
	{
		{	/* Eval/evaluate_fsize.scm 475 */
			{	/* Eval/evaluate_fsize.scm 476 */
				bool_t BgL_tmpz00_5729;

				{	/* Eval/evaluate_fsize.scm 477 */
					obj_t BgL_g1244z00_4584;

					BgL_g1244z00_4584 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_3984)))->BgL_argsz00);
					{
						obj_t BgL_l1242z00_4586;

						BgL_l1242z00_4586 = BgL_g1244z00_4584;
					BgL_zc3z04anonymousza31844ze3z87_4585:
						if (NULLP(BgL_l1242z00_4586))
							{	/* Eval/evaluate_fsize.scm 477 */
								BgL_tmpz00_5729 = ((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_fsize.scm 477 */
								bool_t BgL_test2600z00_5734;

								if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt)
												CAR(
													((obj_t) BgL_l1242z00_4586))),
											((BgL_ev_varz00_bglt) BgL_vz00_3985))))
									{	/* Eval/evaluate_fsize.scm 477 */
										BgL_test2600z00_5734 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 477 */
										BgL_test2600z00_5734 = ((bool_t) 1);
									}
								if (BgL_test2600z00_5734)
									{	/* Eval/evaluate_fsize.scm 477 */
										obj_t BgL_arg1846z00_4587;

										BgL_arg1846z00_4587 = CDR(((obj_t) BgL_l1242z00_4586));
										{
											obj_t BgL_l1242z00_5744;

											BgL_l1242z00_5744 = BgL_arg1846z00_4587;
											BgL_l1242z00_4586 = BgL_l1242z00_5744;
											goto BgL_zc3z04anonymousza31844ze3z87_4585;
										}
									}
								else
									{	/* Eval/evaluate_fsize.scm 477 */
										BgL_tmpz00_5729 = ((bool_t) 0);
									}
							}
					}
				}
				return BBOOL(BgL_tmpz00_5729);
			}
		}

	}



/* &tailpos-ev_labels1427 */
	obj_t BGl_z62tailposzd2ev_labels1427zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3986, obj_t BgL_ez00_3987, obj_t BgL_vz00_3988)
	{
		{	/* Eval/evaluate_fsize.scm 470 */
			{	/* Eval/evaluate_fsize.scm 472 */
				bool_t BgL_test2602z00_5746;

				{	/* Eval/evaluate_fsize.scm 472 */
					obj_t BgL_g1240z00_4590;

					BgL_g1240z00_4590 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_3987)))->BgL_valsz00);
					{
						obj_t BgL_l1238z00_4592;

						BgL_l1238z00_4592 = BgL_g1240z00_4590;
					BgL_zc3z04anonymousza31839ze3z87_4591:
						if (NULLP(BgL_l1238z00_4592))
							{	/* Eval/evaluate_fsize.scm 472 */
								BgL_test2602z00_5746 = ((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_fsize.scm 472 */
								obj_t BgL_nvz00_4593;

								{	/* Eval/evaluate_fsize.scm 472 */
									obj_t BgL_ez00_4594;

									BgL_ez00_4594 = CAR(((obj_t) BgL_l1238z00_4592));
									{	/* Eval/evaluate_fsize.scm 472 */
										obj_t BgL_arg1843z00_4595;

										BgL_arg1843z00_4595 = CDR(((obj_t) BgL_ez00_4594));
										BgL_nvz00_4593 =
											BGl_tailposz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1843z00_4595),
											((BgL_ev_varz00_bglt) BgL_vz00_3988));
									}
								}
								if (CBOOL(BgL_nvz00_4593))
									{	/* Eval/evaluate_fsize.scm 472 */
										obj_t BgL_arg1842z00_4596;

										BgL_arg1842z00_4596 = CDR(((obj_t) BgL_l1238z00_4592));
										{
											obj_t BgL_l1238z00_5762;

											BgL_l1238z00_5762 = BgL_arg1842z00_4596;
											BgL_l1238z00_4592 = BgL_l1238z00_5762;
											goto BgL_zc3z04anonymousza31839ze3z87_4591;
										}
									}
								else
									{	/* Eval/evaluate_fsize.scm 472 */
										BgL_test2602z00_5746 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2602z00_5746)
					{	/* Eval/evaluate_fsize.scm 472 */
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_3987)))->BgL_bodyz00),
							((BgL_ev_varz00_bglt) BgL_vz00_3988));
					}
				else
					{	/* Eval/evaluate_fsize.scm 472 */
						return BFALSE;
					}
			}
		}

	}



/* &tailpos-ev_letrec1425 */
	obj_t BGl_z62tailposzd2ev_letrec1425zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3989, obj_t BgL_ez00_3990, obj_t BgL_vz00_3991)
	{
		{	/* Eval/evaluate_fsize.scm 465 */
			{	/* Eval/evaluate_fsize.scm 467 */
				bool_t BgL_test2605z00_5767;

				{	/* Eval/evaluate_fsize.scm 467 */
					obj_t BgL_g1236z00_4599;

					BgL_g1236z00_4599 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_3990))))->BgL_valsz00);
					{
						obj_t BgL_l1234z00_4601;

						BgL_l1234z00_4601 = BgL_g1236z00_4599;
					BgL_zc3z04anonymousza31834ze3z87_4600:
						if (NULLP(BgL_l1234z00_4601))
							{	/* Eval/evaluate_fsize.scm 467 */
								BgL_test2605z00_5767 = ((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_fsize.scm 467 */
								bool_t BgL_test2607z00_5773;

								if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt)
												CAR(
													((obj_t) BgL_l1234z00_4601))),
											((BgL_ev_varz00_bglt) BgL_vz00_3991))))
									{	/* Eval/evaluate_fsize.scm 467 */
										BgL_test2607z00_5773 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 467 */
										BgL_test2607z00_5773 = ((bool_t) 1);
									}
								if (BgL_test2607z00_5773)
									{	/* Eval/evaluate_fsize.scm 467 */
										obj_t BgL_arg1836z00_4602;

										BgL_arg1836z00_4602 = CDR(((obj_t) BgL_l1234z00_4601));
										{
											obj_t BgL_l1234z00_5783;

											BgL_l1234z00_5783 = BgL_arg1836z00_4602;
											BgL_l1234z00_4601 = BgL_l1234z00_5783;
											goto BgL_zc3z04anonymousza31834ze3z87_4600;
										}
									}
								else
									{	/* Eval/evaluate_fsize.scm 467 */
										BgL_test2605z00_5767 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2605z00_5767)
					{	/* Eval/evaluate_fsize.scm 468 */
						BgL_ev_exprz00_bglt BgL_arg1833z00_4603;

						BgL_arg1833z00_4603 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_3990))))->BgL_bodyz00);
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1833z00_4603,
							((BgL_ev_varz00_bglt) BgL_vz00_3991));
					}
				else
					{	/* Eval/evaluate_fsize.scm 467 */
						return BFALSE;
					}
			}
		}

	}



/* &tailpos-ev_let*1423 */
	obj_t BGl_z62tailposzd2ev_letza21423z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3992, obj_t BgL_ez00_3993, obj_t BgL_vz00_3994)
	{
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 462 */
				bool_t BgL_test2609z00_5789;

				{	/* Eval/evaluate_fsize.scm 462 */
					obj_t BgL_g1232z00_4606;

					BgL_g1232z00_4606 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_3993))))->BgL_valsz00);
					{
						obj_t BgL_l1230z00_4608;

						BgL_l1230z00_4608 = BgL_g1232z00_4606;
					BgL_zc3z04anonymousza31828ze3z87_4607:
						if (NULLP(BgL_l1230z00_4608))
							{	/* Eval/evaluate_fsize.scm 462 */
								BgL_test2609z00_5789 = ((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_fsize.scm 462 */
								bool_t BgL_test2611z00_5795;

								if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt)
												CAR(
													((obj_t) BgL_l1230z00_4608))),
											((BgL_ev_varz00_bglt) BgL_vz00_3994))))
									{	/* Eval/evaluate_fsize.scm 462 */
										BgL_test2611z00_5795 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 462 */
										BgL_test2611z00_5795 = ((bool_t) 1);
									}
								if (BgL_test2611z00_5795)
									{	/* Eval/evaluate_fsize.scm 462 */
										obj_t BgL_arg1831z00_4609;

										BgL_arg1831z00_4609 = CDR(((obj_t) BgL_l1230z00_4608));
										{
											obj_t BgL_l1230z00_5805;

											BgL_l1230z00_5805 = BgL_arg1831z00_4609;
											BgL_l1230z00_4608 = BgL_l1230z00_5805;
											goto BgL_zc3z04anonymousza31828ze3z87_4607;
										}
									}
								else
									{	/* Eval/evaluate_fsize.scm 462 */
										BgL_test2609z00_5789 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2609z00_5789)
					{	/* Eval/evaluate_fsize.scm 463 */
						BgL_ev_exprz00_bglt BgL_arg1827z00_4610;

						BgL_arg1827z00_4610 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_ez00_3993))))->BgL_bodyz00);
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1827z00_4610,
							((BgL_ev_varz00_bglt) BgL_vz00_3994));
					}
				else
					{	/* Eval/evaluate_fsize.scm 462 */
						return BFALSE;
					}
			}
		}

	}



/* &tailpos-ev_let1421 */
	obj_t BGl_z62tailposzd2ev_let1421zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3995, obj_t BgL_ez00_3996, obj_t BgL_vz00_3997)
	{
		{	/* Eval/evaluate_fsize.scm 455 */
			{	/* Eval/evaluate_fsize.scm 457 */
				bool_t BgL_test2613z00_5811;

				{	/* Eval/evaluate_fsize.scm 457 */
					obj_t BgL_g1228z00_4613;

					BgL_g1228z00_4613 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_3996))))->BgL_valsz00);
					{
						obj_t BgL_l1226z00_4615;

						BgL_l1226z00_4615 = BgL_g1228z00_4613;
					BgL_zc3z04anonymousza31822ze3z87_4614:
						if (NULLP(BgL_l1226z00_4615))
							{	/* Eval/evaluate_fsize.scm 457 */
								BgL_test2613z00_5811 = ((bool_t) 1);
							}
						else
							{	/* Eval/evaluate_fsize.scm 457 */
								bool_t BgL_test2615z00_5817;

								if (CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt)
												CAR(
													((obj_t) BgL_l1226z00_4615))),
											((BgL_ev_varz00_bglt) BgL_vz00_3997))))
									{	/* Eval/evaluate_fsize.scm 457 */
										BgL_test2615z00_5817 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 457 */
										BgL_test2615z00_5817 = ((bool_t) 1);
									}
								if (BgL_test2615z00_5817)
									{	/* Eval/evaluate_fsize.scm 457 */
										obj_t BgL_arg1824z00_4616;

										BgL_arg1824z00_4616 = CDR(((obj_t) BgL_l1226z00_4615));
										{
											obj_t BgL_l1226z00_5827;

											BgL_l1226z00_5827 = BgL_arg1824z00_4616;
											BgL_l1226z00_4615 = BgL_l1226z00_5827;
											goto BgL_zc3z04anonymousza31822ze3z87_4614;
										}
									}
								else
									{	/* Eval/evaluate_fsize.scm 457 */
										BgL_test2613z00_5811 = ((bool_t) 0);
									}
							}
					}
				}
				if (BgL_test2613z00_5811)
					{	/* Eval/evaluate_fsize.scm 458 */
						BgL_ev_exprz00_bglt BgL_arg1821z00_4617;

						BgL_arg1821z00_4617 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_ez00_3996))))->BgL_bodyz00);
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1821z00_4617,
							((BgL_ev_varz00_bglt) BgL_vz00_3997));
					}
				else
					{	/* Eval/evaluate_fsize.scm 457 */
						return BFALSE;
					}
			}
		}

	}



/* &tailpos-ev_synchroni1419 */
	obj_t BGl_z62tailposzd2ev_synchroni1419zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3998, obj_t BgL_ez00_3999, obj_t BgL_vz00_4000)
	{
		{	/* Eval/evaluate_fsize.scm 451 */
			{	/* Eval/evaluate_fsize.scm 452 */
				bool_t BgL_tmpz00_5833;

				{	/* Eval/evaluate_fsize.scm 453 */
					obj_t BgL__andtest_1134z00_4620;

					BgL__andtest_1134z00_4620 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3999)))->
							BgL_mutexz00), ((BgL_ev_varz00_bglt) BgL_vz00_4000));
					if (CBOOL(BgL__andtest_1134z00_4620))
						{	/* Eval/evaluate_fsize.scm 453 */
							BgL_tmpz00_5833 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 453 */
							obj_t BgL__andtest_1135z00_4621;

							BgL__andtest_1135z00_4621 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
											((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3999)))->
									BgL_prelockz00), ((BgL_ev_varz00_bglt) BgL_vz00_4000));
							if (CBOOL(BgL__andtest_1135z00_4621))
								{	/* Eval/evaluate_fsize.scm 453 */
									BgL_tmpz00_5833 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 453 */
									bool_t BgL_test2619z00_5846;

									{	/* Eval/evaluate_fsize.scm 453 */
										BgL_ev_exprz00_bglt BgL_arg1818z00_4622;

										BgL_arg1818z00_4622 =
											(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
													((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3999)))->
											BgL_bodyz00);
										BgL_test2619z00_5846 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
											(BgL_arg1818z00_4622,
												((BgL_ev_varz00_bglt) BgL_vz00_4000)));
									}
									if (BgL_test2619z00_5846)
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_tmpz00_5833 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_tmpz00_5833 = ((bool_t) 1);
										}
								}
						}
				}
				return BBOOL(BgL_tmpz00_5833);
			}
		}

	}



/* &tailpos-ev_with-hand1417 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1417z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4001, obj_t BgL_ez00_4002, obj_t BgL_vz00_4003)
	{
		{	/* Eval/evaluate_fsize.scm 447 */
			{	/* Eval/evaluate_fsize.scm 448 */
				bool_t BgL_tmpz00_5853;

				{	/* Eval/evaluate_fsize.scm 449 */
					obj_t BgL__andtest_1132z00_4625;

					BgL__andtest_1132z00_4625 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4002)))->
							BgL_handlerz00), ((BgL_ev_varz00_bglt) BgL_vz00_4003));
					if (CBOOL(BgL__andtest_1132z00_4625))
						{	/* Eval/evaluate_fsize.scm 449 */
							BgL_tmpz00_5853 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 449 */
							bool_t BgL_test2621z00_5860;

							{	/* Eval/evaluate_fsize.scm 449 */
								BgL_ev_exprz00_bglt BgL_arg1813z00_4626;

								BgL_arg1813z00_4626 =
									(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
											((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4002)))->
									BgL_bodyz00);
								BgL_test2621z00_5860 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1813z00_4626, ((BgL_ev_varz00_bglt) BgL_vz00_4003)));
							}
							if (BgL_test2621z00_5860)
								{	/* Eval/evaluate_fsize.scm 449 */
									BgL_tmpz00_5853 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 449 */
									BgL_tmpz00_5853 = ((bool_t) 1);
								}
						}
				}
				return BBOOL(BgL_tmpz00_5853);
			}
		}

	}



/* &tailpos-ev_unwind-pr1415 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1415z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4004, obj_t BgL_ez00_4005, obj_t BgL_vz00_4006)
	{
		{	/* Eval/evaluate_fsize.scm 443 */
			{	/* Eval/evaluate_fsize.scm 444 */
				bool_t BgL_tmpz00_5867;

				{	/* Eval/evaluate_fsize.scm 445 */
					obj_t BgL__andtest_1130z00_4629;

					BgL__andtest_1130z00_4629 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_4005)))->
							BgL_ez00), ((BgL_ev_varz00_bglt) BgL_vz00_4006));
					if (CBOOL(BgL__andtest_1130z00_4629))
						{	/* Eval/evaluate_fsize.scm 445 */
							BgL_tmpz00_5867 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 445 */
							bool_t BgL_test2623z00_5874;

							{	/* Eval/evaluate_fsize.scm 445 */
								BgL_ev_exprz00_bglt BgL_arg1808z00_4630;

								BgL_arg1808z00_4630 =
									(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
											((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_4005)))->
									BgL_bodyz00);
								BgL_test2623z00_5874 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1808z00_4630, ((BgL_ev_varz00_bglt) BgL_vz00_4006)));
							}
							if (BgL_test2623z00_5874)
								{	/* Eval/evaluate_fsize.scm 445 */
									BgL_tmpz00_5867 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 445 */
									BgL_tmpz00_5867 = ((bool_t) 1);
								}
						}
				}
				return BBOOL(BgL_tmpz00_5867);
			}
		}

	}



/* &tailpos-ev_bind-exit1413 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1413z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4007, obj_t BgL_ez00_4008, obj_t BgL_vz00_4009)
	{
		{	/* Eval/evaluate_fsize.scm 439 */
			{	/* Eval/evaluate_fsize.scm 440 */
				bool_t BgL_tmpz00_5881;

				{	/* Eval/evaluate_fsize.scm 441 */
					bool_t BgL_test2624z00_5882;

					{	/* Eval/evaluate_fsize.scm 441 */
						BgL_ev_exprz00_bglt BgL_arg1805z00_4633;

						BgL_arg1805z00_4633 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4008)))->BgL_bodyz00);
						BgL_test2624z00_5882 =
							CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1805z00_4633,
								((BgL_ev_varz00_bglt) BgL_vz00_4009)));
					}
					if (BgL_test2624z00_5882)
						{	/* Eval/evaluate_fsize.scm 441 */
							BgL_tmpz00_5881 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 441 */
							BgL_tmpz00_5881 = ((bool_t) 1);
						}
				}
				return BBOOL(BgL_tmpz00_5881);
			}
		}

	}



/* &tailpos-ev_setlocal1410 */
	obj_t BGl_z62tailposzd2ev_setlocal1410zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4010, obj_t BgL_ez00_4011, obj_t BgL_varz00_4012)
	{
		{	/* Eval/evaluate_fsize.scm 435 */
			{	/* Eval/evaluate_fsize.scm 436 */
				bool_t BgL_tmpz00_5889;

				if (
					(((obj_t)
							(((BgL_ev_setlocalz00_bglt) COBJECT(
										((BgL_ev_setlocalz00_bglt) BgL_ez00_4011)))->BgL_vz00)) ==
						((obj_t) ((BgL_ev_varz00_bglt) BgL_varz00_4012))))
					{	/* Eval/evaluate_fsize.scm 437 */
						BgL_tmpz00_5889 = ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 437 */
						bool_t BgL_test2626z00_5897;

						{	/* Eval/evaluate_fsize.scm 437 */
							BgL_ev_exprz00_bglt BgL_arg1801z00_4636;

							BgL_arg1801z00_4636 =
								(((BgL_ev_hookz00_bglt) COBJECT(
										((BgL_ev_hookz00_bglt)
											((BgL_ev_setlocalz00_bglt) BgL_ez00_4011))))->BgL_ez00);
							BgL_test2626z00_5897 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1801z00_4636, ((BgL_ev_varz00_bglt) BgL_varz00_4012)));
						}
						if (BgL_test2626z00_5897)
							{	/* Eval/evaluate_fsize.scm 437 */
								BgL_tmpz00_5889 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 437 */
								BgL_tmpz00_5889 = ((bool_t) 1);
							}
					}
				return BBOOL(BgL_tmpz00_5889);
			}
		}

	}



/* &tailpos-ev_hook1408 */
	obj_t BGl_z62tailposzd2ev_hook1408zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4013, obj_t BgL_ez00_4014, obj_t BgL_vz00_4015)
	{
		{	/* Eval/evaluate_fsize.scm 431 */
			{	/* Eval/evaluate_fsize.scm 432 */
				bool_t BgL_tmpz00_5905;

				{	/* Eval/evaluate_fsize.scm 433 */
					bool_t BgL_test2627z00_5906;

					{	/* Eval/evaluate_fsize.scm 433 */
						BgL_ev_exprz00_bglt BgL_arg1798z00_4639;

						BgL_arg1798z00_4639 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_ez00_4014)))->BgL_ez00);
						BgL_test2627z00_5906 =
							CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1798z00_4639,
								((BgL_ev_varz00_bglt) BgL_vz00_4015)));
					}
					if (BgL_test2627z00_5906)
						{	/* Eval/evaluate_fsize.scm 433 */
							BgL_tmpz00_5905 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 433 */
							BgL_tmpz00_5905 = ((bool_t) 1);
						}
				}
				return BBOOL(BgL_tmpz00_5905);
			}
		}

	}



/* &tailpos-ev_prog21404 */
	obj_t BGl_z62tailposzd2ev_prog21404zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4016, obj_t BgL_ez00_4017, obj_t BgL_vz00_4018)
	{
		{	/* Eval/evaluate_fsize.scm 427 */
			{	/* Eval/evaluate_fsize.scm 429 */
				obj_t BgL__andtest_1124z00_4642;

				BgL__andtest_1124z00_4642 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_prog2z00_bglt) COBJECT(
								((BgL_ev_prog2z00_bglt) BgL_ez00_4017)))->BgL_e1z00),
					((BgL_ev_varz00_bglt) BgL_vz00_4018));
				if (CBOOL(BgL__andtest_1124z00_4642))
					{	/* Eval/evaluate_fsize.scm 429 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_fsize.scm 429 */
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(
							(((BgL_ev_prog2z00_bglt) COBJECT(
										((BgL_ev_prog2z00_bglt) BgL_ez00_4017)))->BgL_e2z00),
							((BgL_ev_varz00_bglt) BgL_vz00_4018));
					}
			}
		}

	}



/* &tailpos-ev_list1402 */
	obj_t BGl_z62tailposzd2ev_list1402zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4019, obj_t BgL_ez00_4020, obj_t BgL_vz00_4021)
	{
		{	/* Eval/evaluate_fsize.scm 419 */
			{
				obj_t BgL_lz00_4646;

				BgL_lz00_4646 =
					(((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_ez00_4020)))->BgL_argsz00);
			BgL_recz00_4645:
				if (NULLP(CDR(((obj_t) BgL_lz00_4646))))
					{	/* Eval/evaluate_fsize.scm 423 */
						obj_t BgL_arg1788z00_4647;

						BgL_arg1788z00_4647 = CAR(((obj_t) BgL_lz00_4646));
						return
							BGl_tailposz00zz__evaluate_fsiza7eza7(
							((BgL_ev_exprz00_bglt) BgL_arg1788z00_4647),
							((BgL_ev_varz00_bglt) BgL_vz00_4021));
					}
				else
					{	/* Eval/evaluate_fsize.scm 424 */
						obj_t BgL__andtest_1122z00_4648;

						{	/* Eval/evaluate_fsize.scm 424 */
							obj_t BgL_arg1790z00_4649;

							BgL_arg1790z00_4649 = CAR(((obj_t) BgL_lz00_4646));
							BgL__andtest_1122z00_4648 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1790z00_4649),
								((BgL_ev_varz00_bglt) BgL_vz00_4021));
						}
						if (CBOOL(BgL__andtest_1122z00_4648))
							{	/* Eval/evaluate_fsize.scm 424 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 425 */
								obj_t BgL_arg1789z00_4650;

								BgL_arg1789z00_4650 = CDR(((obj_t) BgL_lz00_4646));
								{
									obj_t BgL_lz00_5941;

									BgL_lz00_5941 = BgL_arg1789z00_4650;
									BgL_lz00_4646 = BgL_lz00_5941;
									goto BgL_recz00_4645;
								}
							}
					}
			}
		}

	}



/* &tailpos-ev_if1400 */
	obj_t BGl_z62tailposzd2ev_if1400zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4022, obj_t BgL_ez00_4023, obj_t BgL_vz00_4024)
	{
		{	/* Eval/evaluate_fsize.scm 415 */
			{	/* Eval/evaluate_fsize.scm 417 */
				obj_t BgL__andtest_1119z00_4653;

				BgL__andtest_1119z00_4653 =
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_ifz00_bglt) COBJECT(
								((BgL_ev_ifz00_bglt) BgL_ez00_4023)))->BgL_pz00),
					((BgL_ev_varz00_bglt) BgL_vz00_4024));
				if (CBOOL(BgL__andtest_1119z00_4653))
					{	/* Eval/evaluate_fsize.scm 417 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_fsize.scm 417 */
						obj_t BgL__andtest_1120z00_4654;

						BgL__andtest_1120z00_4654 =
							BGl_tailposz00zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_4023)))->BgL_tz00),
							((BgL_ev_varz00_bglt) BgL_vz00_4024));
						if (CBOOL(BgL__andtest_1120z00_4654))
							{	/* Eval/evaluate_fsize.scm 417 */
								return
									BGl_tailposz00zz__evaluate_fsiza7eza7(
									(((BgL_ev_ifz00_bglt) COBJECT(
												((BgL_ev_ifz00_bglt) BgL_ez00_4023)))->BgL_ez00),
									((BgL_ev_varz00_bglt) BgL_vz00_4024));
							}
						else
							{	/* Eval/evaluate_fsize.scm 417 */
								return BFALSE;
							}
					}
			}
		}

	}



/* &tailpos-ev_litt1398 */
	obj_t BGl_z62tailposzd2ev_litt1398zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4025, obj_t BgL_ez00_4026, obj_t BgL_vz00_4027)
	{
		{	/* Eval/evaluate_fsize.scm 412 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &tailpos-ev_global1396 */
	obj_t BGl_z62tailposzd2ev_global1396zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4028, obj_t BgL_ez00_4029, obj_t BgL_vz00_4030)
	{
		{	/* Eval/evaluate_fsize.scm 409 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &tailpos-ev_var1394 */
	obj_t BGl_z62tailposzd2ev_var1394zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4031, obj_t BgL_ez00_4032, obj_t BgL_vz00_4033)
	{
		{	/* Eval/evaluate_fsize.scm 406 */
			{	/* Eval/evaluate_fsize.scm 407 */
				bool_t BgL_tmpz00_5962;

				if (
					(((obj_t)
							((BgL_ev_varz00_bglt) BgL_ez00_4032)) ==
						((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_4033))))
					{	/* Eval/evaluate_fsize.scm 407 */
						BgL_tmpz00_5962 = ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 407 */
						BgL_tmpz00_5962 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_5962);
			}
		}

	}



/* &subst_goto-ev_abs1388 */
	obj_t BGl_z62subst_gotozd2ev_abs1388zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4034, obj_t BgL_ez00_4035, obj_t BgL_varsz00_4036,
		obj_t BgL_lblsz00_4037)
	{
		{	/* Eval/evaluate_fsize.scm 394 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_5970;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5971;

					{	/* Eval/evaluate_fsize.scm 396 */
						BgL_ev_exprz00_bglt BgL_arg1779z00_4662;

						BgL_arg1779z00_4662 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_4035)))->BgL_bodyz00);
						BgL_auxz00_5971 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1779z00_4662,
								BgL_varsz00_4036, BgL_lblsz00_4037));
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_4035)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5971), BUNSPEC);
				}
				BgL_auxz00_5970 = ((BgL_ev_absz00_bglt) BgL_ez00_4035);
				return ((obj_t) BgL_auxz00_5970);
			}
		}

	}



/* &subst_goto-ev_app1386 */
	obj_t BGl_z62subst_gotozd2ev_app1386zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4038, obj_t BgL_ez00_4039, obj_t BgL_varsz00_4040,
		obj_t BgL_lblsz00_4041)
	{
		{	/* Eval/evaluate_fsize.scm 384 */
			{
				BgL_ev_exprz00_bglt BgL_auxz00_5980;

				{	/* Eval/evaluate_fsize.scm 387 */
					obj_t BgL_arg1772z00_4664;

					BgL_arg1772z00_4664 =
						(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_4039)))->BgL_argsz00);
					{
						obj_t BgL_lz00_4666;

						BgL_lz00_4666 = BgL_arg1772z00_4664;
					BgL_recz00_4665:
						if (NULLP(BgL_lz00_4666))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1581z00_4667;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1582z00_4668;

										BgL_arg1582z00_4668 = CAR(((obj_t) BgL_lz00_4666));
										BgL_arg1581z00_4667 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1582z00_4668),
											BgL_varsz00_4040, BgL_lblsz00_4041);
									}
									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_tmpz00_5989;

										BgL_tmpz00_5989 = ((obj_t) BgL_lz00_4666);
										SET_CAR(BgL_tmpz00_5989, BgL_arg1581z00_4667);
									}
								}
								{	/* Eval/evaluate_fsize.scm 296 */
									obj_t BgL_arg1583z00_4669;

									BgL_arg1583z00_4669 = CDR(((obj_t) BgL_lz00_4666));
									{
										obj_t BgL_lz00_5994;

										BgL_lz00_5994 = BgL_arg1583z00_4669;
										BgL_lz00_4666 = BgL_lz00_5994;
										goto BgL_recz00_4665;
									}
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) COBJECT(
											((BgL_ev_appz00_bglt) BgL_ez00_4039)))->BgL_funz00)),
							BgL_varsz00_4040)))
					{	/* Eval/evaluate_fsize.scm 389 */
						BgL_ev_gotoz00_bglt BgL_new1115z00_4670;

						{	/* Eval/evaluate_fsize.scm 389 */
							BgL_ev_gotoz00_bglt BgL_new1114z00_4671;

							BgL_new1114z00_4671 =
								((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 389 */
								long BgL_arg1775z00_4672;

								BgL_arg1775z00_4672 =
									BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1114z00_4671),
									BgL_arg1775z00_4672);
							}
							BgL_new1115z00_4670 = BgL_new1114z00_4671;
						}
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1115z00_4670))->
								BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
												BgL_ez00_4039)))->BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1115z00_4670))->
								BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											COBJECT(((BgL_ev_appz00_bglt) BgL_ez00_4039)))->
										BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1115z00_4670))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_4041)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1115z00_4670))->
								BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
												BgL_ez00_4039)))->BgL_argsz00)), BUNSPEC);
						BgL_auxz00_5980 = ((BgL_ev_exprz00_bglt) BgL_new1115z00_4670);
					}
				else
					{	/* Eval/evaluate_fsize.scm 388 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_6018;

							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_ev_exprz00_bglt BgL_arg1776z00_4673;

								BgL_arg1776z00_4673 =
									(((BgL_ev_appz00_bglt) COBJECT(
											((BgL_ev_appz00_bglt) BgL_ez00_4039)))->BgL_funz00);
								BgL_auxz00_6018 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1776z00_4673,
										BgL_varsz00_4040, BgL_lblsz00_4041));
							}
							((((BgL_ev_appz00_bglt) COBJECT(
											((BgL_ev_appz00_bglt) BgL_ez00_4039)))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_6018), BUNSPEC);
						}
						((((BgL_ev_appz00_bglt) COBJECT(
										((BgL_ev_appz00_bglt) BgL_ez00_4039)))->BgL_tailzf3zf3) =
							((obj_t) BFALSE), BUNSPEC);
						BgL_auxz00_5980 =
							((BgL_ev_exprz00_bglt) ((BgL_ev_appz00_bglt) BgL_ez00_4039));
					}
				return ((obj_t) BgL_auxz00_5980);
			}
		}

	}



/* &subst_goto-ev_goto1384 */
	obj_t BGl_z62subst_gotozd2ev_goto1384zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4042, obj_t BgL_ez00_4043, obj_t BgL_varsz00_4044,
		obj_t BgL_lblsz00_4045)
	{
		{	/* Eval/evaluate_fsize.scm 372 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_6030;

				{	/* Eval/evaluate_fsize.scm 374 */
					obj_t BgL_arg1771z00_4675;

					BgL_arg1771z00_4675 =
						(((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_ez00_4043)))->BgL_argsz00);
					{
						obj_t BgL_lz00_4677;

						BgL_lz00_4677 = BgL_arg1771z00_4675;
					BgL_recz00_4676:
						if (NULLP(BgL_lz00_4677))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1581z00_4678;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1582z00_4679;

										BgL_arg1582z00_4679 = CAR(((obj_t) BgL_lz00_4677));
										BgL_arg1581z00_4678 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1582z00_4679),
											BgL_varsz00_4044, BgL_lblsz00_4045);
									}
									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_tmpz00_6039;

										BgL_tmpz00_6039 = ((obj_t) BgL_lz00_4677);
										SET_CAR(BgL_tmpz00_6039, BgL_arg1581z00_4678);
									}
								}
								{	/* Eval/evaluate_fsize.scm 296 */
									obj_t BgL_arg1583z00_4680;

									BgL_arg1583z00_4680 = CDR(((obj_t) BgL_lz00_4677));
									{
										obj_t BgL_lz00_6044;

										BgL_lz00_6044 = BgL_arg1583z00_4680;
										BgL_lz00_4677 = BgL_lz00_6044;
										goto BgL_recz00_4676;
									}
								}
							}
					}
				}
				BgL_auxz00_6030 = ((BgL_ev_gotoz00_bglt) BgL_ez00_4043);
				return ((obj_t) BgL_auxz00_6030);
			}
		}

	}



/* &subst_goto-ev_labels1382 */
	obj_t BGl_z62subst_gotozd2ev_labels1382zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4046, obj_t BgL_ez00_4047, obj_t BgL_varsz00_4048,
		obj_t BgL_lblsz00_4049)
	{
		{	/* Eval/evaluate_fsize.scm 363 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_6047;

				{
					obj_t BgL_lz00_4683;

					BgL_lz00_4683 =
						(((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_ez00_4047)))->BgL_valsz00);
				BgL_recz00_4682:
					if (NULLP(BgL_lz00_4683))
						{	/* Eval/evaluate_fsize.scm 366 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 366 */
							{	/* Eval/evaluate_fsize.scm 367 */
								obj_t BgL_arg1761z00_4684;
								obj_t BgL_arg1762z00_4685;

								BgL_arg1761z00_4684 = CAR(((obj_t) BgL_lz00_4683));
								{	/* Eval/evaluate_fsize.scm 367 */
									obj_t BgL_arg1763z00_4686;

									{	/* Eval/evaluate_fsize.scm 367 */
										obj_t BgL_pairz00_4687;

										BgL_pairz00_4687 = CAR(((obj_t) BgL_lz00_4683));
										BgL_arg1763z00_4686 = CDR(BgL_pairz00_4687);
									}
									BgL_arg1762z00_4685 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1763z00_4686),
										BgL_varsz00_4048, BgL_lblsz00_4049);
								}
								{	/* Eval/evaluate_fsize.scm 367 */
									obj_t BgL_tmpz00_6057;

									BgL_tmpz00_6057 = ((obj_t) BgL_arg1761z00_4684);
									SET_CDR(BgL_tmpz00_6057, BgL_arg1762z00_4685);
								}
							}
							{	/* Eval/evaluate_fsize.scm 368 */
								obj_t BgL_arg1766z00_4688;

								BgL_arg1766z00_4688 = CDR(((obj_t) BgL_lz00_4683));
								{
									obj_t BgL_lz00_6062;

									BgL_lz00_6062 = BgL_arg1766z00_4688;
									BgL_lz00_4683 = BgL_lz00_6062;
									goto BgL_recz00_4682;
								}
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6065;

					{	/* Eval/evaluate_fsize.scm 369 */
						BgL_ev_exprz00_bglt BgL_arg1770z00_4689;

						BgL_arg1770z00_4689 =
							(((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_4047)))->BgL_bodyz00);
						BgL_auxz00_6065 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1770z00_4689,
								BgL_varsz00_4048, BgL_lblsz00_4049));
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_ez00_4047)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6065), BUNSPEC);
				}
				BgL_auxz00_6047 = ((BgL_ev_labelsz00_bglt) BgL_ez00_4047);
				return ((obj_t) BgL_auxz00_6047);
			}
		}

	}



/* &subst_goto-ev_binder1380 */
	obj_t BGl_z62subst_gotozd2ev_binder1380zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4050, obj_t BgL_ez00_4051, obj_t BgL_varsz00_4052,
		obj_t BgL_lblsz00_4053)
	{
		{	/* Eval/evaluate_fsize.scm 357 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_6074;

				{	/* Eval/evaluate_fsize.scm 359 */
					obj_t BgL_arg1756z00_4691;

					BgL_arg1756z00_4691 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_4051)))->BgL_valsz00);
					{
						obj_t BgL_lz00_4693;

						BgL_lz00_4693 = BgL_arg1756z00_4691;
					BgL_recz00_4692:
						if (NULLP(BgL_lz00_4693))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1581z00_4694;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1582z00_4695;

										BgL_arg1582z00_4695 = CAR(((obj_t) BgL_lz00_4693));
										BgL_arg1581z00_4694 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1582z00_4695),
											BgL_varsz00_4052, BgL_lblsz00_4053);
									}
									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_tmpz00_6083;

										BgL_tmpz00_6083 = ((obj_t) BgL_lz00_4693);
										SET_CAR(BgL_tmpz00_6083, BgL_arg1581z00_4694);
									}
								}
								{	/* Eval/evaluate_fsize.scm 296 */
									obj_t BgL_arg1583z00_4696;

									BgL_arg1583z00_4696 = CDR(((obj_t) BgL_lz00_4693));
									{
										obj_t BgL_lz00_6088;

										BgL_lz00_6088 = BgL_arg1583z00_4696;
										BgL_lz00_4693 = BgL_lz00_6088;
										goto BgL_recz00_4692;
									}
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6089;

					{	/* Eval/evaluate_fsize.scm 360 */
						BgL_ev_exprz00_bglt BgL_arg1757z00_4697;

						BgL_arg1757z00_4697 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_ez00_4051)))->BgL_bodyz00);
						BgL_auxz00_6089 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1757z00_4697,
								BgL_varsz00_4052, BgL_lblsz00_4053));
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_ez00_4051)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6089), BUNSPEC);
				}
				BgL_auxz00_6074 = ((BgL_ev_binderz00_bglt) BgL_ez00_4051);
				return ((obj_t) BgL_auxz00_6074);
			}
		}

	}



/* &subst_goto-ev_synchr1378 */
	obj_t BGl_z62subst_gotozd2ev_synchr1378zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4054, obj_t BgL_ez00_4055, obj_t BgL_varsz00_4056,
		obj_t BgL_lblsz00_4057)
	{
		{	/* Eval/evaluate_fsize.scm 350 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6098;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6099;

					{	/* Eval/evaluate_fsize.scm 352 */
						BgL_ev_exprz00_bglt BgL_arg1753z00_4699;

						BgL_arg1753z00_4699 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_mutexz00);
						BgL_auxz00_6099 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1753z00_4699,
								BgL_varsz00_4056, BgL_lblsz00_4057));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6099), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6106;

					{	/* Eval/evaluate_fsize.scm 353 */
						BgL_ev_exprz00_bglt BgL_arg1754z00_4700;

						BgL_arg1754z00_4700 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_prelockz00);
						BgL_auxz00_6106 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1754z00_4700,
								BgL_varsz00_4056, BgL_lblsz00_4057));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6106), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6113;

					{	/* Eval/evaluate_fsize.scm 354 */
						BgL_ev_exprz00_bglt BgL_arg1755z00_4701;

						BgL_arg1755z00_4701 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_bodyz00);
						BgL_auxz00_6113 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1755z00_4701,
								BgL_varsz00_4056, BgL_lblsz00_4057));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6113), BUNSPEC);
				}
				BgL_auxz00_6098 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4055);
				return ((obj_t) BgL_auxz00_6098);
			}
		}

	}



/* &subst_goto-ev_with-h1376 */
	obj_t BGl_z62subst_gotozd2ev_withzd2h1376z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4058, obj_t BgL_ez00_4059, obj_t BgL_varsz00_4060,
		obj_t BgL_lblsz00_4061)
	{
		{	/* Eval/evaluate_fsize.scm 344 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6122;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6123;

					{	/* Eval/evaluate_fsize.scm 346 */
						BgL_ev_exprz00_bglt BgL_arg1751z00_4703;

						BgL_arg1751z00_4703 =
							(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4059)))->
							BgL_handlerz00);
						BgL_auxz00_6123 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1751z00_4703,
								BgL_varsz00_4060, BgL_lblsz00_4061));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4059)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6123), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6130;

					{	/* Eval/evaluate_fsize.scm 347 */
						BgL_ev_exprz00_bglt BgL_arg1752z00_4704;

						BgL_arg1752z00_4704 =
							(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4059)))->
							BgL_bodyz00);
						BgL_auxz00_6130 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1752z00_4704,
								BgL_varsz00_4060, BgL_lblsz00_4061));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4059)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6130), BUNSPEC);
				}
				BgL_auxz00_6122 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4059);
				return ((obj_t) BgL_auxz00_6122);
			}
		}

	}



/* &subst_goto-ev_unwind1374 */
	obj_t BGl_z62subst_gotozd2ev_unwind1374zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4062, obj_t BgL_exprz00_4063, obj_t BgL_varsz00_4064,
		obj_t BgL_lblsz00_4065)
	{
		{	/* Eval/evaluate_fsize.scm 338 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6139;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6140;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1749z00_4706;

						BgL_arg1749z00_4706 =
							(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4063)))->
							BgL_ez00);
						BgL_auxz00_6140 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1749z00_4706,
								BgL_varsz00_4064, BgL_lblsz00_4065));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4063)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6140), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6147;

					{	/* Eval/evaluate_fsize.scm 341 */
						BgL_ev_exprz00_bglt BgL_arg1750z00_4707;

						BgL_arg1750z00_4707 =
							(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4063)))->
							BgL_bodyz00);
						BgL_auxz00_6147 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1750z00_4707,
								BgL_varsz00_4064, BgL_lblsz00_4065));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4063)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6147), BUNSPEC);
				}
				BgL_auxz00_6139 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4063);
				return ((obj_t) BgL_auxz00_6139);
			}
		}

	}



/* &subst_goto-ev_bind-e1372 */
	obj_t BGl_z62subst_gotozd2ev_bindzd2e1372z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4066, obj_t BgL_ez00_4067, obj_t BgL_varsz00_4068,
		obj_t BgL_lblsz00_4069)
	{
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6156;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6157;

					{	/* Eval/evaluate_fsize.scm 335 */
						BgL_ev_exprz00_bglt BgL_arg1748z00_4709;

						BgL_arg1748z00_4709 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4067)))->BgL_bodyz00);
						BgL_auxz00_6157 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1748z00_4709,
								BgL_varsz00_4068, BgL_lblsz00_4069));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4067)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6157), BUNSPEC);
				}
				BgL_auxz00_6156 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4067);
				return ((obj_t) BgL_auxz00_6156);
			}
		}

	}



/* &subst_goto-ev_hook1369 */
	obj_t BGl_z62subst_gotozd2ev_hook1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4070, obj_t BgL_exprz00_4071, obj_t BgL_varsz00_4072,
		obj_t BgL_lblsz00_4073)
	{
		{	/* Eval/evaluate_fsize.scm 328 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_6166;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6167;

					{	/* Eval/evaluate_fsize.scm 330 */
						BgL_ev_exprz00_bglt BgL_arg1747z00_4711;

						BgL_arg1747z00_4711 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_exprz00_4071)))->BgL_ez00);
						BgL_auxz00_6167 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1747z00_4711,
								BgL_varsz00_4072, BgL_lblsz00_4073));
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_exprz00_4071)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6167), BUNSPEC);
				}
				BgL_auxz00_6166 = ((BgL_ev_hookz00_bglt) BgL_exprz00_4071);
				return ((obj_t) BgL_auxz00_6166);
			}
		}

	}



/* &subst_goto-ev_prog21367 */
	obj_t BGl_z62subst_gotozd2ev_prog21367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4074, obj_t BgL_ez00_4075, obj_t BgL_varsz00_4076,
		obj_t BgL_lblsz00_4077)
	{
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_6176;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6177;

					{	/* Eval/evaluate_fsize.scm 324 */
						BgL_ev_exprz00_bglt BgL_arg1745z00_4713;

						BgL_arg1745z00_4713 =
							(((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4075)))->BgL_e1z00);
						BgL_auxz00_6177 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1745z00_4713,
								BgL_varsz00_4076, BgL_lblsz00_4077));
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4075)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6177), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6184;

					{	/* Eval/evaluate_fsize.scm 325 */
						BgL_ev_exprz00_bglt BgL_arg1746z00_4714;

						BgL_arg1746z00_4714 =
							(((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4075)))->BgL_e2z00);
						BgL_auxz00_6184 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1746z00_4714,
								BgL_varsz00_4076, BgL_lblsz00_4077));
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4075)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6184), BUNSPEC);
				}
				BgL_auxz00_6176 = ((BgL_ev_prog2z00_bglt) BgL_ez00_4075);
				return ((obj_t) BgL_auxz00_6176);
			}
		}

	}



/* &subst_goto-ev_list1365 */
	obj_t BGl_z62subst_gotozd2ev_list1365zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4078, obj_t BgL_ez00_4079, obj_t BgL_varsz00_4080,
		obj_t BgL_lblsz00_4081)
	{
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_6193;

				{	/* Eval/evaluate_fsize.scm 319 */
					obj_t BgL_arg1743z00_4716;

					BgL_arg1743z00_4716 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_ez00_4079)))->BgL_argsz00);
					{
						obj_t BgL_lz00_4718;

						BgL_lz00_4718 = BgL_arg1743z00_4716;
					BgL_recz00_4717:
						if (NULLP(BgL_lz00_4718))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1581z00_4719;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1582z00_4720;

										BgL_arg1582z00_4720 = CAR(((obj_t) BgL_lz00_4718));
										BgL_arg1581z00_4719 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1582z00_4720),
											BgL_varsz00_4080, BgL_lblsz00_4081);
									}
									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_tmpz00_6202;

										BgL_tmpz00_6202 = ((obj_t) BgL_lz00_4718);
										SET_CAR(BgL_tmpz00_6202, BgL_arg1581z00_4719);
									}
								}
								{	/* Eval/evaluate_fsize.scm 296 */
									obj_t BgL_arg1583z00_4721;

									BgL_arg1583z00_4721 = CDR(((obj_t) BgL_lz00_4718));
									{
										obj_t BgL_lz00_6207;

										BgL_lz00_6207 = BgL_arg1583z00_4721;
										BgL_lz00_4718 = BgL_lz00_6207;
										goto BgL_recz00_4717;
									}
								}
							}
					}
				}
				BgL_auxz00_6193 = ((BgL_ev_listz00_bglt) BgL_ez00_4079);
				return ((obj_t) BgL_auxz00_6193);
			}
		}

	}



/* &subst_goto-ev_if1363 */
	obj_t BGl_z62subst_gotozd2ev_if1363zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4082, obj_t BgL_exprz00_4083, obj_t BgL_varsz00_4084,
		obj_t BgL_lblsz00_4085)
	{
		{	/* Eval/evaluate_fsize.scm 310 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_6210;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6211;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1739z00_4723;

						BgL_arg1739z00_4723 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_pz00);
						BgL_auxz00_6211 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1739z00_4723,
								BgL_varsz00_4084, BgL_lblsz00_4085));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6211), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6218;

					{	/* Eval/evaluate_fsize.scm 313 */
						BgL_ev_exprz00_bglt BgL_arg1740z00_4724;

						BgL_arg1740z00_4724 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_tz00);
						BgL_auxz00_6218 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1740z00_4724,
								BgL_varsz00_4084, BgL_lblsz00_4085));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6218), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6225;

					{	/* Eval/evaluate_fsize.scm 314 */
						BgL_ev_exprz00_bglt BgL_arg1742z00_4725;

						BgL_arg1742z00_4725 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_ez00);
						BgL_auxz00_6225 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1742z00_4725,
								BgL_varsz00_4084, BgL_lblsz00_4085));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4083)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6225), BUNSPEC);
				}
				BgL_auxz00_6210 = ((BgL_ev_ifz00_bglt) BgL_exprz00_4083);
				return ((obj_t) BgL_auxz00_6210);
			}
		}

	}



/* &subst_goto-ev_litt1361 */
	obj_t BGl_z62subst_gotozd2ev_litt1361zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4086, obj_t BgL_ez00_4087, obj_t BgL_varsz00_4088,
		obj_t BgL_lblsz00_4089)
	{
		{	/* Eval/evaluate_fsize.scm 307 */
			return ((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_4087));
		}

	}



/* &subst_goto-ev_global1359 */
	obj_t BGl_z62subst_gotozd2ev_global1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4090, obj_t BgL_ez00_4091, obj_t BgL_varsz00_4092,
		obj_t BgL_lblsz00_4093)
	{
		{	/* Eval/evaluate_fsize.scm 304 */
			return ((obj_t) ((BgL_ev_globalz00_bglt) BgL_ez00_4091));
		}

	}



/* &subst_goto-ev_var1357 */
	obj_t BGl_z62subst_gotozd2ev_var1357zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4094, obj_t BgL_ez00_4095, obj_t BgL_varsz00_4096,
		obj_t BgL_lblsz00_4097)
	{
		{	/* Eval/evaluate_fsize.scm 301 */
			return ((obj_t) ((BgL_ev_varz00_bglt) BgL_ez00_4095));
		}

	}



/* &search-letrec-ev_abs1352 */
	obj_t BGl_z62searchzd2letreczd2ev_abs1352z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4098, obj_t BgL_ez00_4099)
	{
		{	/* Eval/evaluate_fsize.scm 260 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_6240;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6241;

					{	/* Eval/evaluate_fsize.scm 262 */
						BgL_ev_exprz00_bglt BgL_arg1738z00_4730;

						BgL_arg1738z00_4730 =
							(((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_4099)))->BgL_bodyz00);
						BgL_auxz00_6241 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1738z00_4730));
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_ez00_4099)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6241), BUNSPEC);
				}
				BgL_auxz00_6240 = ((BgL_ev_absz00_bglt) BgL_ez00_4099);
				return ((obj_t) BgL_auxz00_6240);
			}
		}

	}



/* &search-letrec-ev_app1350 */
	obj_t BGl_z62searchzd2letreczd2ev_app1350z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4100, obj_t BgL_ez00_4101)
	{
		{	/* Eval/evaluate_fsize.scm 254 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_6250;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6251;

					{	/* Eval/evaluate_fsize.scm 256 */
						BgL_ev_exprz00_bglt BgL_arg1735z00_4732;

						BgL_arg1735z00_4732 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_4101)))->BgL_funz00);
						BgL_auxz00_6251 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1735z00_4732));
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_4101)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6251), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_ez00_4101)))->BgL_argsz00));
				BgL_auxz00_6250 = ((BgL_ev_appz00_bglt) BgL_ez00_4101);
				return ((obj_t) BgL_auxz00_6250);
			}
		}

	}



/* &search-letrec-ev_let1348 */
	obj_t BGl_z62searchzd2letreczd2ev_let1348z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4102, obj_t BgL_ez00_4103)
	{
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_exprz00_bglt BgL_auxz00_6263;

				{	/* Eval/evaluate_fsize.scm 245 */
					obj_t BgL_arg1727z00_4734;

					BgL_arg1727z00_4734 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1727z00_4734);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6268;

					{	/* Eval/evaluate_fsize.scm 246 */
						BgL_ev_exprz00_bglt BgL_arg1728z00_4735;

						BgL_arg1728z00_4735 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_bodyz00);
						BgL_auxz00_6268 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1728z00_4735));
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6268), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 250 */
					bool_t BgL_test2640z00_6277;

					{	/* Eval/evaluate_fsize.scm 247 */
						obj_t BgL_arg1732z00_4736;
						obj_t BgL_arg1733z00_4737;
						BgL_ev_exprz00_bglt BgL_arg1734z00_4738;

						BgL_arg1732z00_4736 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_varsz00);
						BgL_arg1733z00_4737 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_valsz00);
						BgL_arg1734z00_4738 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_bodyz00);
						BgL_test2640z00_6277 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1732z00_4736,
							BgL_arg1733z00_4737, BgL_arg1734z00_4738);
					}
					if (BgL_test2640z00_6277)
						{	/* Eval/evaluate_fsize.scm 251 */
							obj_t BgL_arg1729z00_4739;
							obj_t BgL_arg1730z00_4740;
							BgL_ev_exprz00_bglt BgL_arg1731z00_4741;

							BgL_arg1729z00_4739 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_varsz00);
							BgL_arg1730z00_4740 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_valsz00);
							BgL_arg1731z00_4741 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_4103))))->BgL_bodyz00);
							BgL_auxz00_6263 =
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1729z00_4739, BgL_arg1730z00_4740,
									BgL_arg1731z00_4741));
						}
					else
						{	/* Eval/evaluate_fsize.scm 250 */
							BgL_auxz00_6263 =
								((BgL_ev_exprz00_bglt) ((BgL_ev_letrecz00_bglt) BgL_ez00_4103));
						}
				}
				return ((obj_t) BgL_auxz00_6263);
			}
		}

	}



/* &search-letrec-ev_bin1346 */
	obj_t BGl_z62searchzd2letreczd2ev_bin1346z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4104, obj_t BgL_ez00_4105)
	{
		{	/* Eval/evaluate_fsize.scm 237 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_6302;

				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_ez00_4105)))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6306;

					{	/* Eval/evaluate_fsize.scm 240 */
						BgL_ev_exprz00_bglt BgL_arg1726z00_4743;

						BgL_arg1726z00_4743 =
							(((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_ez00_4105)))->BgL_bodyz00);
						BgL_auxz00_6306 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1726z00_4743));
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_ez00_4105)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6306), BUNSPEC);
				}
				BgL_auxz00_6302 = ((BgL_ev_binderz00_bglt) BgL_ez00_4105);
				return ((obj_t) BgL_auxz00_6302);
			}
		}

	}



/* &search-letrec-ev_syn1344 */
	obj_t BGl_z62searchzd2letreczd2ev_syn1344z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4106, obj_t BgL_ez00_4107)
	{
		{	/* Eval/evaluate_fsize.scm 230 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6315;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6316;

					{	/* Eval/evaluate_fsize.scm 232 */
						BgL_ev_exprz00_bglt BgL_arg1720z00_4745;

						BgL_arg1720z00_4745 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_mutexz00);
						BgL_auxz00_6316 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1720z00_4745));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6316), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6323;

					{	/* Eval/evaluate_fsize.scm 233 */
						BgL_ev_exprz00_bglt BgL_arg1721z00_4746;

						BgL_arg1721z00_4746 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_prelockz00);
						BgL_auxz00_6323 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1721z00_4746));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6323), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6330;

					{	/* Eval/evaluate_fsize.scm 234 */
						BgL_ev_exprz00_bglt BgL_arg1723z00_4747;

						BgL_arg1723z00_4747 =
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_bodyz00);
						BgL_auxz00_6330 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1723z00_4747));
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6330), BUNSPEC);
				}
				BgL_auxz00_6315 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4107);
				return ((obj_t) BgL_auxz00_6315);
			}
		}

	}



/* &search-letrec-ev_wit1342 */
	obj_t BGl_z62searchzd2letreczd2ev_wit1342z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4108, obj_t BgL_ez00_4109)
	{
		{	/* Eval/evaluate_fsize.scm 224 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6339;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6340;

					{	/* Eval/evaluate_fsize.scm 226 */
						BgL_ev_exprz00_bglt BgL_arg1718z00_4749;

						BgL_arg1718z00_4749 =
							(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4109)))->
							BgL_handlerz00);
						BgL_auxz00_6340 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1718z00_4749));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4109)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6340), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6347;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1719z00_4750;

						BgL_arg1719z00_4750 =
							(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4109)))->
							BgL_bodyz00);
						BgL_auxz00_6347 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1719z00_4750));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4109)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6347), BUNSPEC);
				}
				BgL_auxz00_6339 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4109);
				return ((obj_t) BgL_auxz00_6339);
			}
		}

	}



/* &search-letrec-ev_unw1340 */
	obj_t BGl_z62searchzd2letreczd2ev_unw1340z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4110, obj_t BgL_exprz00_4111)
	{
		{	/* Eval/evaluate_fsize.scm 218 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6356;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6357;

					{	/* Eval/evaluate_fsize.scm 220 */
						BgL_ev_exprz00_bglt BgL_arg1716z00_4752;

						BgL_arg1716z00_4752 =
							(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4111)))->
							BgL_ez00);
						BgL_auxz00_6357 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1716z00_4752));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4111)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6357), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6364;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1717z00_4753;

						BgL_arg1717z00_4753 =
							(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4111)))->
							BgL_bodyz00);
						BgL_auxz00_6364 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1717z00_4753));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4111)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6364), BUNSPEC);
				}
				BgL_auxz00_6356 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_4111);
				return ((obj_t) BgL_auxz00_6356);
			}
		}

	}



/* &search-letrec-ev_bin1338 */
	obj_t BGl_z62searchzd2letreczd2ev_bin1338z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4112, obj_t BgL_ez00_4113)
	{
		{	/* Eval/evaluate_fsize.scm 213 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6373;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6374;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1715z00_4755;

						BgL_arg1715z00_4755 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4113)))->BgL_bodyz00);
						BgL_auxz00_6374 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1715z00_4755));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4113)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6374), BUNSPEC);
				}
				BgL_auxz00_6373 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4113);
				return ((obj_t) BgL_auxz00_6373);
			}
		}

	}



/* &search-letrec-ev_hoo1336 */
	obj_t BGl_z62searchzd2letreczd2ev_hoo1336z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4114, obj_t BgL_exprz00_4115)
	{
		{	/* Eval/evaluate_fsize.scm 208 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_6383;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6384;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1714z00_4757;

						BgL_arg1714z00_4757 =
							(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_exprz00_4115)))->BgL_ez00);
						BgL_auxz00_6384 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1714z00_4757));
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_exprz00_4115)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6384), BUNSPEC);
				}
				BgL_auxz00_6383 = ((BgL_ev_hookz00_bglt) BgL_exprz00_4115);
				return ((obj_t) BgL_auxz00_6383);
			}
		}

	}



/* &search-letrec-ev_pro1334 */
	obj_t BGl_z62searchzd2letreczd2ev_pro1334z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4116, obj_t BgL_ez00_4117)
	{
		{	/* Eval/evaluate_fsize.scm 202 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_6393;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6394;

					{	/* Eval/evaluate_fsize.scm 204 */
						BgL_ev_exprz00_bglt BgL_arg1712z00_4759;

						BgL_arg1712z00_4759 =
							(((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4117)))->BgL_e1z00);
						BgL_auxz00_6394 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1712z00_4759));
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4117)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6394), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6401;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1713z00_4760;

						BgL_arg1713z00_4760 =
							(((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4117)))->BgL_e2z00);
						BgL_auxz00_6401 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1713z00_4760));
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4117)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6401), BUNSPEC);
				}
				BgL_auxz00_6393 = ((BgL_ev_prog2z00_bglt) BgL_ez00_4117);
				return ((obj_t) BgL_auxz00_6393);
			}
		}

	}



/* &search-letrec-ev_lis1332 */
	obj_t BGl_z62searchzd2letreczd2ev_lis1332z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4118, obj_t BgL_ez00_4119)
	{
		{	/* Eval/evaluate_fsize.scm 197 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_6410;

				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_ez00_4119)))->BgL_argsz00));
				BgL_auxz00_6410 = ((BgL_ev_listz00_bglt) BgL_ez00_4119);
				return ((obj_t) BgL_auxz00_6410);
			}
		}

	}



/* &search-letrec-ev_if1330 */
	obj_t BGl_z62searchzd2letreczd2ev_if1330z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4120, obj_t BgL_exprz00_4121)
	{
		{	/* Eval/evaluate_fsize.scm 190 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_6416;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_6417;

					{	/* Eval/evaluate_fsize.scm 192 */
						BgL_ev_exprz00_bglt BgL_arg1705z00_4763;

						BgL_arg1705z00_4763 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_pz00);
						BgL_auxz00_6417 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1705z00_4763));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6417), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6424;

					{	/* Eval/evaluate_fsize.scm 193 */
						BgL_ev_exprz00_bglt BgL_arg1706z00_4764;

						BgL_arg1706z00_4764 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_tz00);
						BgL_auxz00_6424 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1706z00_4764));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6424), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_6431;

					{	/* Eval/evaluate_fsize.scm 194 */
						BgL_ev_exprz00_bglt BgL_arg1707z00_4765;

						BgL_arg1707z00_4765 =
							(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_ez00);
						BgL_auxz00_6431 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1707z00_4765));
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_exprz00_4121)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_6431), BUNSPEC);
				}
				BgL_auxz00_6416 = ((BgL_ev_ifz00_bglt) BgL_exprz00_4121);
				return ((obj_t) BgL_auxz00_6416);
			}
		}

	}



/* &search-letrec-ev_lit1328 */
	obj_t BGl_z62searchzd2letreczd2ev_lit1328z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4122, obj_t BgL_ez00_4123)
	{
		{	/* Eval/evaluate_fsize.scm 187 */
			return ((obj_t) ((BgL_ev_littz00_bglt) BgL_ez00_4123));
		}

	}



/* &search-letrec-ev_glo1326 */
	obj_t BGl_z62searchzd2letreczd2ev_glo1326z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4124, obj_t BgL_ez00_4125)
	{
		{	/* Eval/evaluate_fsize.scm 184 */
			return ((obj_t) ((BgL_ev_globalz00_bglt) BgL_ez00_4125));
		}

	}



/* &search-letrec-ev_var1324 */
	obj_t BGl_z62searchzd2letreczd2ev_var1324z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4126, obj_t BgL_ez00_4127)
	{
		{	/* Eval/evaluate_fsize.scm 181 */
			return ((obj_t) ((BgL_ev_varz00_bglt) BgL_ez00_4127));
		}

	}



/* &fsize-ev_abs1320 */
	obj_t BGl_z62fsiza7ezd2ev_abs1320z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4128, obj_t BgL_ez00_4129, obj_t BgL_nz00_4130)
	{
		{	/* Eval/evaluate_fsize.scm 158 */
			{	/* Eval/evaluate_fsize.scm 159 */
				int BgL_tmpz00_6446;

				{	/* Eval/evaluate_fsize.scm 159 */
					int BgL_nz00_4770;

					BgL_nz00_4770 = CINT(BgL_nz00_4130);
					{	/* Eval/evaluate_fsize.scm 160 */
						int BgL_nnz00_4771;

						{	/* Eval/evaluate_fsize.scm 160 */
							BgL_ev_exprz00_bglt BgL_arg1699z00_4772;
							long BgL_arg1702z00_4773;

							BgL_arg1699z00_4772 =
								(((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_4129)))->BgL_bodyz00);
							BgL_arg1702z00_4773 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) COBJECT(
											((BgL_ev_absz00_bglt) BgL_ez00_4129)))->BgL_varsz00));
							BgL_nnz00_4771 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1699z00_4772,
								(int) (BgL_arg1702z00_4773));
						}
						((((BgL_ev_absz00_bglt) COBJECT(
										((BgL_ev_absz00_bglt) BgL_ez00_4129)))->BgL_siza7eza7) =
							((int) BgL_nnz00_4771), BUNSPEC);
						BgL_tmpz00_6446 = BgL_nz00_4770;
				}}
				return BINT(BgL_tmpz00_6446);
			}
		}

	}



/* &fsize-ev_app1318 */
	obj_t BGl_z62fsiza7ezd2ev_app1318z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4131, obj_t BgL_ez00_4132, obj_t BgL_nz00_4133)
	{
		{	/* Eval/evaluate_fsize.scm 151 */
			{	/* Eval/evaluate_fsize.scm 152 */
				int BgL_nz00_4775;

				BgL_nz00_4775 = CINT(BgL_nz00_4133);
				{	/* Eval/evaluate_fsize.scm 153 */
					int BgL_g1079z00_4776;

					BgL_g1079z00_4776 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_4132)))->BgL_funz00),
						BgL_nz00_4775);
					{	/* Eval/evaluate_fsize.scm 153 */
						obj_t BgL_arg1679z00_4777;

						BgL_arg1679z00_4777 =
							(((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_ez00_4132)))->BgL_argsz00);
						{
							obj_t BgL_lz00_4779;
							int BgL_nz00_4780;
							obj_t BgL_rz00_4781;

							BgL_lz00_4779 = BgL_arg1679z00_4777;
							BgL_nz00_4780 = BgL_nz00_4775;
							BgL_rz00_4781 = BINT(BgL_g1079z00_4776);
						BgL_recz00_4778:
							if (NULLP(BgL_lz00_4779))
								{	/* Eval/evaluate_fsize.scm 154 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_4780),
										BgL_rz00_4781);
								}
							else
								{	/* Eval/evaluate_fsize.scm 156 */
									obj_t BgL_arg1682z00_4782;
									long BgL_arg1694z00_4783;
									obj_t BgL_arg1695z00_4784;

									BgL_arg1682z00_4782 = CDR(((obj_t) BgL_lz00_4779));
									BgL_arg1694z00_4783 = ((long) (BgL_nz00_4780) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 156 */
										int BgL_xz00_4785;

										{	/* Eval/evaluate_fsize.scm 156 */
											obj_t BgL_arg1696z00_4786;

											BgL_arg1696z00_4786 = CAR(((obj_t) BgL_lz00_4779));
											BgL_xz00_4785 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1696z00_4786),
												BgL_nz00_4780);
										}
										BgL_arg1695z00_4784 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4785),
											BgL_rz00_4781);
									}
									{
										obj_t BgL_rz00_6481;
										int BgL_nz00_6479;
										obj_t BgL_lz00_6478;

										BgL_lz00_6478 = BgL_arg1682z00_4782;
										BgL_nz00_6479 = (int) (BgL_arg1694z00_4783);
										BgL_rz00_6481 = BgL_arg1695z00_4784;
										BgL_rz00_4781 = BgL_rz00_6481;
										BgL_nz00_4780 = BgL_nz00_6479;
										BgL_lz00_4779 = BgL_lz00_6478;
										goto BgL_recz00_4778;
									}
								}
						}
					}
				}
			}
		}

	}



/* &fsize-ev_goto1316 */
	obj_t BGl_z62fsiza7ezd2ev_goto1316z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4134, obj_t BgL_ez00_4135, obj_t BgL_nz00_4136)
	{
		{	/* Eval/evaluate_fsize.scm 144 */
			{	/* Eval/evaluate_fsize.scm 146 */
				obj_t BgL_arg1667z00_4788;

				BgL_arg1667z00_4788 =
					(((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_ez00_4135)))->BgL_argsz00);
				{
					obj_t BgL_lz00_4790;
					obj_t BgL_nz00_4791;
					obj_t BgL_rz00_4792;

					BgL_lz00_4790 = BgL_arg1667z00_4788;
					BgL_nz00_4791 = BgL_nz00_4136;
					BgL_rz00_4792 = BgL_nz00_4136;
				BgL_recz00_4789:
					if (NULLP(BgL_lz00_4790))
						{	/* Eval/evaluate_fsize.scm 147 */
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_4791, BgL_rz00_4792);
						}
					else
						{	/* Eval/evaluate_fsize.scm 149 */
							obj_t BgL_arg1673z00_4793;
							long BgL_arg1675z00_4794;
							obj_t BgL_arg1676z00_4795;

							BgL_arg1673z00_4793 = CDR(((obj_t) BgL_lz00_4790));
							BgL_arg1675z00_4794 = ((long) CINT(BgL_nz00_4791) + ((long) 1));
							{	/* Eval/evaluate_fsize.scm 149 */
								int BgL_xz00_4796;

								{	/* Eval/evaluate_fsize.scm 149 */
									obj_t BgL_arg1678z00_4797;

									BgL_arg1678z00_4797 = CAR(((obj_t) BgL_lz00_4790));
									BgL_xz00_4796 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1678z00_4797),
										CINT(BgL_nz00_4791));
								}
								BgL_arg1676z00_4795 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4796),
									BgL_rz00_4792);
							}
							{
								obj_t BgL_rz00_6502;
								obj_t BgL_nz00_6500;
								obj_t BgL_lz00_6499;

								BgL_lz00_6499 = BgL_arg1673z00_4793;
								BgL_nz00_6500 = BINT(BgL_arg1675z00_4794);
								BgL_rz00_6502 = BgL_arg1676z00_4795;
								BgL_rz00_4792 = BgL_rz00_6502;
								BgL_nz00_4791 = BgL_nz00_6500;
								BgL_lz00_4790 = BgL_lz00_6499;
								goto BgL_recz00_4789;
							}
						}
				}
			}
		}

	}



/* &fsize-ev_labels1314 */
	obj_t BGl_z62fsiza7ezd2ev_labels1314z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4137, obj_t BgL_ez00_4138, obj_t BgL_nz00_4139)
	{
		{	/* Eval/evaluate_fsize.scm 137 */
			{
				obj_t BgL_lz00_4800;
				obj_t BgL_rz00_4801;

				BgL_lz00_4800 =
					(((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_ez00_4138)))->BgL_valsz00);
				BgL_rz00_4801 = BgL_nz00_4139;
			BgL_recz00_4799:
				if (NULLP(BgL_lz00_4800))
					{	/* Eval/evaluate_fsize.scm 141 */
						int BgL_xz00_4802;

						BgL_xz00_4802 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_labelsz00_bglt) COBJECT(
										((BgL_ev_labelsz00_bglt) BgL_ez00_4138)))->BgL_bodyz00),
							CINT(BgL_nz00_4139));
						return
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4802),
							BgL_rz00_4801);
					}
				else
					{	/* Eval/evaluate_fsize.scm 142 */
						obj_t BgL_arg1660z00_4803;
						obj_t BgL_arg1661z00_4804;

						BgL_arg1660z00_4803 = CDR(((obj_t) BgL_lz00_4800));
						{	/* Eval/evaluate_fsize.scm 142 */
							int BgL_xz00_4805;

							{	/* Eval/evaluate_fsize.scm 142 */
								obj_t BgL_arg1662z00_4806;
								long BgL_arg1663z00_4807;

								{	/* Eval/evaluate_fsize.scm 142 */
									obj_t BgL_pairz00_4808;

									BgL_pairz00_4808 = CAR(((obj_t) BgL_lz00_4800));
									BgL_arg1662z00_4806 = CDR(BgL_pairz00_4808);
								}
								{	/* Eval/evaluate_fsize.scm 142 */
									long BgL_tmpz00_6516;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_auxz00_6518;

										{	/* Eval/evaluate_fsize.scm 142 */
											obj_t BgL_pairz00_4809;

											BgL_pairz00_4809 = CAR(((obj_t) BgL_lz00_4800));
											BgL_auxz00_6518 = CAR(BgL_pairz00_4809);
										}
										BgL_tmpz00_6516 = bgl_list_length(BgL_auxz00_6518);
									}
									BgL_arg1663z00_4807 =
										((long) CINT(BgL_nz00_4139) + BgL_tmpz00_6516);
								}
								BgL_xz00_4805 =
									BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1662z00_4806),
									(int) (BgL_arg1663z00_4807));
							}
							BgL_arg1661z00_4804 =
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4805),
								BgL_rz00_4801);
						}
						{
							obj_t BgL_rz00_6530;
							obj_t BgL_lz00_6529;

							BgL_lz00_6529 = BgL_arg1660z00_4803;
							BgL_rz00_6530 = BgL_arg1661z00_4804;
							BgL_rz00_4801 = BgL_rz00_6530;
							BgL_lz00_4800 = BgL_lz00_6529;
							goto BgL_recz00_4799;
						}
					}
			}
		}

	}



/* &fsize-ev_letrec1312 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1312z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4140, obj_t BgL_ez00_4141, obj_t BgL_nz00_4142)
	{
		{	/* Eval/evaluate_fsize.scm 129 */
			{	/* Eval/evaluate_fsize.scm 130 */
				int BgL_nz00_4811;

				BgL_nz00_4811 = CINT(BgL_nz00_4142);
				{	/* Eval/evaluate_fsize.scm 131 */
					long BgL_nz00_4812;

					BgL_nz00_4812 =
						(
						(long) (BgL_nz00_4811) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_4141))))->
								BgL_valsz00)));
					{
						obj_t BgL_lz00_4814;
						obj_t BgL_rz00_4815;

						{	/* Eval/evaluate_fsize.scm 132 */
							obj_t BgL_arg1642z00_4822;

							BgL_arg1642z00_4822 =
								(((BgL_ev_binderz00_bglt) COBJECT(
										((BgL_ev_binderz00_bglt)
											((BgL_ev_letrecz00_bglt) BgL_ez00_4141))))->BgL_valsz00);
							BgL_lz00_4814 = BgL_arg1642z00_4822;
							BgL_rz00_4815 = BINT(BgL_nz00_4812);
						BgL_recz00_4813:
							if (NULLP(BgL_lz00_4814))
								{	/* Eval/evaluate_fsize.scm 134 */
									int BgL_xz00_4816;

									{	/* Eval/evaluate_fsize.scm 134 */
										BgL_ev_exprz00_bglt BgL_arg1646z00_4817;

										BgL_arg1646z00_4817 =
											(((BgL_ev_binderz00_bglt) COBJECT(
													((BgL_ev_binderz00_bglt)
														((BgL_ev_letrecz00_bglt) BgL_ez00_4141))))->
											BgL_bodyz00);
										BgL_xz00_4816 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1646z00_4817,
											(int) (BgL_nz00_4812));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4816),
										BgL_rz00_4815);
								}
							else
								{	/* Eval/evaluate_fsize.scm 135 */
									obj_t BgL_arg1647z00_4818;
									obj_t BgL_arg1648z00_4819;

									BgL_arg1647z00_4818 = CDR(((obj_t) BgL_lz00_4814));
									{	/* Eval/evaluate_fsize.scm 135 */
										int BgL_xz00_4820;

										{	/* Eval/evaluate_fsize.scm 135 */
											obj_t BgL_arg1650z00_4821;

											BgL_arg1650z00_4821 = CAR(((obj_t) BgL_lz00_4814));
											BgL_xz00_4820 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1650z00_4821),
												(int) (BgL_nz00_4812));
										}
										BgL_arg1648z00_4819 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4820),
											BgL_rz00_4815);
									}
									{
										obj_t BgL_rz00_6562;
										obj_t BgL_lz00_6561;

										BgL_lz00_6561 = BgL_arg1647z00_4818;
										BgL_rz00_6562 = BgL_arg1648z00_4819;
										BgL_rz00_4815 = BgL_rz00_6562;
										BgL_lz00_4814 = BgL_lz00_6561;
										goto BgL_recz00_4813;
									}
								}
						}
					}
				}
			}
		}

	}



/* &fsize-ev_let*1310 */
	obj_t BGl_z62fsiza7ezd2ev_letza21310zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4143, obj_t BgL_ez00_4144, obj_t BgL_nz00_4145)
	{
		{	/* Eval/evaluate_fsize.scm 122 */
			{	/* Eval/evaluate_fsize.scm 123 */
				int BgL_nz00_4824;

				BgL_nz00_4824 = CINT(BgL_nz00_4145);
				{	/* Eval/evaluate_fsize.scm 124 */
					obj_t BgL_arg1634z00_4825;

					BgL_arg1634z00_4825 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_ez00_4144))))->BgL_valsz00);
					{
						obj_t BgL_lz00_4827;
						int BgL_nz00_4828;
						obj_t BgL_rz00_4829;

						BgL_lz00_4827 = BgL_arg1634z00_4825;
						BgL_nz00_4828 = BgL_nz00_4824;
						BgL_rz00_4829 = BINT(BgL_nz00_4824);
					BgL_recz00_4826:
						if (NULLP(BgL_lz00_4827))
							{	/* Eval/evaluate_fsize.scm 126 */
								int BgL_xz00_4830;

								{	/* Eval/evaluate_fsize.scm 126 */
									BgL_ev_exprz00_bglt BgL_arg1637z00_4831;

									BgL_arg1637z00_4831 =
										(((BgL_ev_binderz00_bglt) COBJECT(
												((BgL_ev_binderz00_bglt)
													((BgL_ev_letza2za2_bglt) BgL_ez00_4144))))->
										BgL_bodyz00);
									BgL_xz00_4830 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1637z00_4831,
										BgL_nz00_4828);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4830),
									BgL_rz00_4829);
							}
						else
							{	/* Eval/evaluate_fsize.scm 127 */
								obj_t BgL_arg1638z00_4832;
								long BgL_arg1639z00_4833;
								obj_t BgL_arg1640z00_4834;

								BgL_arg1638z00_4832 = CDR(((obj_t) BgL_lz00_4827));
								BgL_arg1639z00_4833 = ((long) (BgL_nz00_4828) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 127 */
									int BgL_xz00_4835;

									{	/* Eval/evaluate_fsize.scm 127 */
										obj_t BgL_arg1641z00_4836;

										BgL_arg1641z00_4836 = CAR(((obj_t) BgL_lz00_4827));
										BgL_xz00_4835 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1641z00_4836),
											BgL_nz00_4828);
									}
									BgL_arg1640z00_4834 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4835),
										BgL_rz00_4829);
								}
								{
									obj_t BgL_rz00_6589;
									int BgL_nz00_6587;
									obj_t BgL_lz00_6586;

									BgL_lz00_6586 = BgL_arg1638z00_4832;
									BgL_nz00_6587 = (int) (BgL_arg1639z00_4833);
									BgL_rz00_6589 = BgL_arg1640z00_4834;
									BgL_rz00_4829 = BgL_rz00_6589;
									BgL_nz00_4828 = BgL_nz00_6587;
									BgL_lz00_4827 = BgL_lz00_6586;
									goto BgL_recz00_4826;
								}
							}
					}
				}
			}
		}

	}



/* &fsize-ev_let1308 */
	obj_t BGl_z62fsiza7ezd2ev_let1308z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4146, obj_t BgL_ez00_4147, obj_t BgL_nz00_4148)
	{
		{	/* Eval/evaluate_fsize.scm 115 */
			{	/* Eval/evaluate_fsize.scm 116 */
				int BgL_nz00_4838;

				BgL_nz00_4838 = CINT(BgL_nz00_4148);
				{	/* Eval/evaluate_fsize.scm 117 */
					obj_t BgL_arg1624z00_4839;

					BgL_arg1624z00_4839 =
						(((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_ez00_4147))))->BgL_valsz00);
					{
						obj_t BgL_lz00_4841;
						int BgL_nz00_4842;
						obj_t BgL_rz00_4843;

						BgL_lz00_4841 = BgL_arg1624z00_4839;
						BgL_nz00_4842 = BgL_nz00_4838;
						BgL_rz00_4843 = BINT(BgL_nz00_4838);
					BgL_recz00_4840:
						if (NULLP(BgL_lz00_4841))
							{	/* Eval/evaluate_fsize.scm 119 */
								int BgL_xz00_4844;

								{	/* Eval/evaluate_fsize.scm 119 */
									BgL_ev_exprz00_bglt BgL_arg1628z00_4845;

									BgL_arg1628z00_4845 =
										(((BgL_ev_binderz00_bglt) COBJECT(
												((BgL_ev_binderz00_bglt)
													((BgL_ev_letz00_bglt) BgL_ez00_4147))))->BgL_bodyz00);
									BgL_xz00_4844 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1628z00_4845,
										BgL_nz00_4842);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4844),
									BgL_rz00_4843);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1629z00_4846;
								long BgL_arg1630z00_4847;
								obj_t BgL_arg1632z00_4848;

								BgL_arg1629z00_4846 = CDR(((obj_t) BgL_lz00_4841));
								BgL_arg1630z00_4847 = ((long) (BgL_nz00_4842) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_4849;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1633z00_4850;

										BgL_arg1633z00_4850 = CAR(((obj_t) BgL_lz00_4841));
										BgL_xz00_4849 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1633z00_4850),
											BgL_nz00_4842);
									}
									BgL_arg1632z00_4848 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4849),
										BgL_rz00_4843);
								}
								{
									obj_t BgL_rz00_6616;
									int BgL_nz00_6614;
									obj_t BgL_lz00_6613;

									BgL_lz00_6613 = BgL_arg1629z00_4846;
									BgL_nz00_6614 = (int) (BgL_arg1630z00_4847);
									BgL_rz00_6616 = BgL_arg1632z00_4848;
									BgL_rz00_4843 = BgL_rz00_6616;
									BgL_nz00_4842 = BgL_nz00_6614;
									BgL_lz00_4841 = BgL_lz00_6613;
									goto BgL_recz00_4840;
								}
							}
					}
				}
			}
		}

	}



/* &fsize-ev_synchronize1306 */
	obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1306zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4149, obj_t BgL_ez00_4150, obj_t BgL_nz00_4151)
	{
		{	/* Eval/evaluate_fsize.scm 111 */
			{	/* Eval/evaluate_fsize.scm 112 */
				int BgL_nz00_4852;

				BgL_nz00_4852 = CINT(BgL_nz00_4151);
				{	/* Eval/evaluate_fsize.scm 113 */
					int BgL_arg1617z00_4853;
					obj_t BgL_arg1618z00_4854;

					BgL_arg1617z00_4853 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4150)))->
							BgL_mutexz00), BgL_nz00_4852);
					{	/* Eval/evaluate_fsize.scm 113 */
						int BgL_xz00_4855;
						int BgL_yz00_4856;

						BgL_xz00_4855 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
										((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4150)))->
								BgL_prelockz00), BgL_nz00_4852);
						BgL_yz00_4856 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
									(BgL_ev_synchroniza7eza7_bglt)
									COBJECT(((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_4150)))->
								BgL_bodyz00), BgL_nz00_4852);
						BgL_arg1618z00_4854 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4855),
							BINT(BgL_yz00_4856));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1617z00_4853),
						BgL_arg1618z00_4854);
				}
			}
		}

	}



/* &fsize-ev_with-handle1304 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1304zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4152, obj_t BgL_ez00_4153, obj_t BgL_nz00_4154)
	{
		{	/* Eval/evaluate_fsize.scm 107 */
			{	/* Eval/evaluate_fsize.scm 108 */
				int BgL_nz00_4858;

				BgL_nz00_4858 = CINT(BgL_nz00_4154);
				{	/* Eval/evaluate_fsize.scm 109 */
					int BgL_xz00_4859;
					int BgL_yz00_4860;

					BgL_xz00_4859 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4153)))->
							BgL_handlerz00), BgL_nz00_4858);
					BgL_yz00_4860 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt)
								COBJECT(((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_4153)))->
							BgL_bodyz00), BgL_nz00_4858);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4859),
						BINT(BgL_yz00_4860));
				}
			}
		}

	}



/* &fsize-ev_unwind-prot1302 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1302zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4155, obj_t BgL_ez00_4156, obj_t BgL_nz00_4157)
	{
		{	/* Eval/evaluate_fsize.scm 103 */
			{	/* Eval/evaluate_fsize.scm 104 */
				int BgL_nz00_4862;

				BgL_nz00_4862 = CINT(BgL_nz00_4157);
				{	/* Eval/evaluate_fsize.scm 105 */
					int BgL_xz00_4863;
					int BgL_yz00_4864;

					BgL_xz00_4863 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_4156)))->
							BgL_ez00), BgL_nz00_4862);
					BgL_yz00_4864 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt)
								COBJECT(((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_4156)))->
							BgL_bodyz00), BgL_nz00_4862);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4863),
						BINT(BgL_yz00_4864));
				}
			}
		}

	}



/* &fsize-ev_bind-exit1300 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1300zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4158, obj_t BgL_ez00_4159, obj_t BgL_nz00_4160)
	{
		{	/* Eval/evaluate_fsize.scm 99 */
			{	/* Eval/evaluate_fsize.scm 100 */
				int BgL_tmpz00_6653;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_nz00_4866;

					BgL_nz00_4866 = CINT(BgL_nz00_4160);
					{	/* Eval/evaluate_fsize.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg1607z00_4867;
						long BgL_arg1610z00_4868;

						BgL_arg1607z00_4867 =
							(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_4159)))->BgL_bodyz00);
						BgL_arg1610z00_4868 = ((long) (BgL_nz00_4866) + ((long) 1));
						BgL_tmpz00_6653 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1607z00_4867,
							(int) (BgL_arg1610z00_4868));
				}}
				return BINT(BgL_tmpz00_6653);
			}
		}

	}



/* &fsize-ev_hook1298 */
	obj_t BGl_z62fsiza7ezd2ev_hook1298z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4161, obj_t BgL_ez00_4162, obj_t BgL_nz00_4163)
	{
		{	/* Eval/evaluate_fsize.scm 95 */
			{	/* Eval/evaluate_fsize.scm 96 */
				int BgL_tmpz00_6662;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_nz00_4870;

					BgL_nz00_4870 = CINT(BgL_nz00_4163);
					BgL_tmpz00_6662 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_ez00_4162)))->BgL_ez00),
						BgL_nz00_4870);
				}
				return BINT(BgL_tmpz00_6662);
			}
		}

	}



/* &fsize-ev_prog21296 */
	obj_t BGl_z62fsiza7ezd2ev_prog21296z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4164, obj_t BgL_ez00_4165, obj_t BgL_nz00_4166)
	{
		{	/* Eval/evaluate_fsize.scm 91 */
			{	/* Eval/evaluate_fsize.scm 92 */
				int BgL_nz00_4872;

				BgL_nz00_4872 = CINT(BgL_nz00_4166);
				{	/* Eval/evaluate_fsize.scm 93 */
					int BgL_xz00_4873;
					int BgL_yz00_4874;

					BgL_xz00_4873 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_ez00_4165)))->BgL_e1z00),
						BgL_nz00_4872);
					BgL_yz00_4874 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								COBJECT(((BgL_ev_prog2z00_bglt) BgL_ez00_4165)))->BgL_e2z00),
						BgL_nz00_4872);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4873),
						BINT(BgL_yz00_4874));
				}
			}
		}

	}



/* &fsize-ev_list1294 */
	obj_t BGl_z62fsiza7ezd2ev_list1294z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4167, obj_t BgL_ez00_4168, obj_t BgL_nz00_4169)
	{
		{	/* Eval/evaluate_fsize.scm 84 */
			{	/* Eval/evaluate_fsize.scm 85 */
				int BgL_nz00_4876;

				BgL_nz00_4876 = CINT(BgL_nz00_4169);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1595z00_4877;

					BgL_arg1595z00_4877 =
						(((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_ez00_4168)))->BgL_argsz00);
					{
						obj_t BgL_lz00_4879;
						obj_t BgL_rz00_4880;

						BgL_lz00_4879 = BgL_arg1595z00_4877;
						BgL_rz00_4880 = BINT(BgL_nz00_4876);
					BgL_recz00_4878:
						if (NULLP(BgL_lz00_4879))
							{	/* Eval/evaluate_fsize.scm 87 */
								return BgL_rz00_4880;
							}
						else
							{	/* Eval/evaluate_fsize.scm 89 */
								obj_t BgL_arg1601z00_4881;
								obj_t BgL_arg1602z00_4882;

								BgL_arg1601z00_4881 = CDR(((obj_t) BgL_lz00_4879));
								{	/* Eval/evaluate_fsize.scm 89 */
									int BgL_yz00_4883;

									{	/* Eval/evaluate_fsize.scm 89 */
										obj_t BgL_arg1603z00_4884;

										BgL_arg1603z00_4884 = CAR(((obj_t) BgL_lz00_4879));
										BgL_yz00_4883 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1603z00_4884),
											BgL_nz00_4876);
									}
									BgL_arg1602z00_4882 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_4880,
										BINT(BgL_yz00_4883));
								}
								{
									obj_t BgL_rz00_6692;
									obj_t BgL_lz00_6691;

									BgL_lz00_6691 = BgL_arg1601z00_4881;
									BgL_rz00_6692 = BgL_arg1602z00_4882;
									BgL_rz00_4880 = BgL_rz00_6692;
									BgL_lz00_4879 = BgL_lz00_6691;
									goto BgL_recz00_4878;
								}
							}
					}
				}
			}
		}

	}



/* &fsize-ev_if1292 */
	obj_t BGl_z62fsiza7ezd2ev_if1292z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4170, obj_t BgL_ez00_4171, obj_t BgL_nz00_4172)
	{
		{	/* Eval/evaluate_fsize.scm 80 */
			{	/* Eval/evaluate_fsize.scm 81 */
				int BgL_nz00_4886;

				BgL_nz00_4886 = CINT(BgL_nz00_4172);
				{	/* Eval/evaluate_fsize.scm 82 */
					int BgL_arg1589z00_4887;
					obj_t BgL_arg1591z00_4888;

					BgL_arg1589z00_4887 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_ez00_4171)))->BgL_pz00),
						BgL_nz00_4886);
					{	/* Eval/evaluate_fsize.scm 82 */
						int BgL_xz00_4889;
						int BgL_yz00_4890;

						BgL_xz00_4889 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) COBJECT(
										((BgL_ev_ifz00_bglt) BgL_ez00_4171)))->BgL_tz00),
							BgL_nz00_4886);
						BgL_yz00_4890 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									COBJECT(((BgL_ev_ifz00_bglt) BgL_ez00_4171)))->BgL_ez00),
							BgL_nz00_4886);
						BgL_arg1591z00_4888 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_4889),
							BINT(BgL_yz00_4890));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1589z00_4887),
						BgL_arg1591z00_4888);
				}
			}
		}

	}



/* &fsize-ev_litt1290 */
	obj_t BGl_z62fsiza7ezd2ev_litt1290z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4173, obj_t BgL_ez00_4174, obj_t BgL_nz00_4175)
	{
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_4175));
		}

	}



/* &fsize-ev_global1288 */
	obj_t BGl_z62fsiza7ezd2ev_global1288z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4176, obj_t BgL_varz00_4177, obj_t BgL_nz00_4178)
	{
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_4178));
		}

	}



/* &fsize-ev_var1286 */
	obj_t BGl_z62fsiza7ezd2ev_var1286z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_4179, obj_t BgL_ez00_4180, obj_t BgL_nz00_4181)
	{
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_4181));
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 236632712),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					80085104),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 190905450),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 414007149),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 528345299),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 505897955),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2402z00zz__evaluate_fsiza7eza7));
		}

	}

#ifdef __cplusplus
}
#endif
