/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2562z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2481z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2726z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2728z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2486z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2569z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2490z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2654z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2658z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2579z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2499z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31847ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2665z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2671z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2590z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2594z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2677z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_symbol2688z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2692z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31432ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32072ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31514ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31443ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2055z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2056z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31543ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2062z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2070z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31471ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2071z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31617ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31455ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2077z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static BgL_ev_ifz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
	static BgL_ev_exprz00_bglt BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31821ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31635ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2402z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2404z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2408z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31563ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2417z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1549z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2506z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2426z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2515z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31590ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31663ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2601z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2606z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2611z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2454z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2458z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31762ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2701z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2540z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2703z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2544z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2708z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2713z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2718z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2476z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2558z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31497ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1683z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2403z00zz__evaluate_typesz00,
		BgL_bgl_string2403za700za7za7_2730za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2405z00zz__evaluate_typesz00,
		BgL_bgl_string2405za700za7za7_2731za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2409z00zz__evaluate_typesz00,
		BgL_bgl_string2409za700za7za7_2732za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1430za7622733z00,
		BGl_z62lambda1430z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1428za7622734z00,
		BGl_z62lambda1428z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2411z00zz__evaluate_typesz00,
		BgL_bgl_string2411za700za7za7_2735za7, "symbol", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2406z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1448za7622736z00,
		BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2407z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1447za7622737z00,
		BGl_z62lambda1447z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2416z00zz__evaluate_typesz00,
		BgL_bgl_string2416za700za7za7_2738za7, "eff", 3);
	      DEFINE_STRING(BGl_string2418z00zz__evaluate_typesz00,
		BgL_bgl_string2418za700za7za7_2739za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2740za7,
		BGl_z62zc3z04anonymousza31455ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2500z00zz__evaluate_typesz00,
		BgL_bgl_string2500za700za7za7_2741za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1454za7622742z00,
		BGl_z62lambda1454z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1453za7622743z00,
		BGl_z62lambda1453z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2744za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1460za7622745z00,
		BGl_z62lambda1460z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2507z00zz__evaluate_typesz00,
		BgL_bgl_string2507za700za7za7_2746za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2427z00zz__evaluate_typesz00,
		BgL_bgl_string2427za700za7za7_2747za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1622za7622748z00,
		BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1459za7622749z00,
		BGl_z62lambda1459z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1621za7622750z00,
		BGl_z62lambda1621z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2751za7,
		BGl_z62zc3z04anonymousza31617ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622752z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2753za7,
		BGl_z62zc3z04anonymousza31443ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1611za7622754z00,
		BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1441za7622755z00,
		BGl_z62lambda1441z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2512z00zz__evaluate_typesz00,
		BgL_bgl_string2512za700za7za7_2756za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1439za7622757z00,
		BGl_z62lambda1439z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2431z00zz__evaluate_typesz00,
		BgL_bgl_string2431za700za7za7_2758za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2759za7,
		BGl_z62zc3z04anonymousza31635ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1633za7622760z00,
		BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1476za7622761z00,
		BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2516z00zz__evaluate_typesz00,
		BgL_bgl_string2516za700za7za7_2762za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1475za7622763z00,
		BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2437z00zz__evaluate_typesz00,
		BgL_bgl_string2437za700za7za7_2764za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1630za7622765z00,
		BGl_z62lambda1630z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1650za7622766z00,
		BGl_z62lambda1650z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1481za7622767z00,
		BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1649za7622768z00,
		BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1480za7622769z00,
		BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2602z00zz__evaluate_typesz00,
		BgL_bgl_string2602za700za7za7_2770za7, "ev_binder", 9);
	      DEFINE_STRING(BGl_string2521z00zz__evaluate_typesz00,
		BgL_bgl_string2521za700za7za7_2771za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1486za7622772z00,
		BGl_z62lambda1486z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622773z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2774za7,
		BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2442z00zz__evaluate_typesz00,
		BgL_bgl_string2442za700za7za7_2775za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622776z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1641za7622777z00,
		BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2778za7,
		BGl_z62zc3z04anonymousza31471ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2607z00zz__evaluate_typesz00,
		BgL_bgl_string2607za700za7za7_2779za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1469za7622780z00,
		BGl_z62lambda1469z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2446z00zz__evaluate_typesz00,
		BgL_bgl_string2446za700za7za7_2781za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622782z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1467za7622783z00,
		BGl_z62lambda1467z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2784za7,
		BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1669za7622785z00,
		BGl_z62lambda1669z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622786z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1668za7622787z00,
		BGl_z62lambda1668z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1853za7622788z00,
		BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1678za7622789z00,
		BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622790z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2612z00zz__evaluate_typesz00,
		BgL_bgl_string2612za700za7za7_2791za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1677za7622792z00,
		BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1503za7622793z00,
		BGl_z62lambda1503z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2532z00zz__evaluate_typesz00,
		BgL_bgl_string2532za700za7za7_2794za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1684za7622795z00,
		BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2451z00zz__evaluate_typesz00,
		BgL_bgl_string2451za700za7za7_2796za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2797za7,
		BGl_z62zc3z04anonymousza31847ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1683za7622798z00,
		BGl_z62lambda1683z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622799z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2800za7,
		BGl_z62zc3z04anonymousza31663ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2801za7,
		BGl_z62zc3z04anonymousza31497ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1661za7622802z00,
		BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622803z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1492za7622804z00,
		BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2455z00zz__evaluate_typesz00,
		BgL_bgl_string2455za700za7za7_2805za7, "p", 1);
	      DEFINE_STRING(BGl_string2537z00zz__evaluate_typesz00,
		BgL_bgl_string2537za700za7za7_2806za7, "ev_defglobal", 12);
	      DEFINE_STRING(BGl_string2459z00zz__evaluate_typesz00,
		BgL_bgl_string2459za700za7za7_2807za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1843za7622808z00,
		BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1658za7622809z00,
		BGl_z62lambda1658z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2810za7,
		BGl_z62zc3z04anonymousza31875ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2620z00zz__evaluate_typesz00,
		BgL_bgl_string2620za700za7za7_2811za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1874za7622812z00,
		BGl_z62lambda1874z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2813za7,
		BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1519za7622814z00,
		BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2702z00zz__evaluate_typesz00,
		BgL_bgl_string2702za700za7za7_2815za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1873za7622816z00,
		BGl_z62lambda1873z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1703za7622817z00,
		BGl_z62lambda1703z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1518za7622818z00,
		BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2819za7,
		BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2541z00zz__evaluate_typesz00,
		BgL_bgl_string2541za700za7za7_2820za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1700za7622821z00,
		BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2704z00zz__evaluate_typesz00,
		BgL_bgl_string2704za700za7za7_2822za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1866za7622823z00,
		BGl_z62lambda1866z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1864za7622824z00,
		BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1525za7622825z00,
		BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2625z00zz__evaluate_typesz00,
		BgL_bgl_string2625za700za7za7_2826za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1725za7622827z00,
		BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2828za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1524za7622829z00,
		BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2545z00zz__evaluate_typesz00,
		BgL_bgl_string2545za700za7za7_2830za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1724za7622831z00,
		BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2709z00zz__evaluate_typesz00,
		BgL_bgl_string2709za700za7za7_2832za7, "bind", 4);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2833za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2700z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2048za7622834z00,
		BGl_z62lambda2048z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2835za7,
		BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1886za7622836z00,
		BGl_z62lambda1886z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1530za7622837z00,
		BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1884za7622838z00,
		BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622839z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1529za7622840z00,
		BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2841za7,
		BGl_z62zc3z04anonymousza32057ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1729za7622842z00,
		BGl_z62lambda1729z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2056za7622843z00,
		BGl_z62lambda2056z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2550z00zz__evaluate_typesz00,
		BgL_bgl_string2550za700za7za7_2844za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2055za7622845z00,
		BGl_z62lambda2055z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1908za7622846z00,
		BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2847za7,
		BGl_z62zc3z04anonymousza31514ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2714z00zz__evaluate_typesz00,
		BgL_bgl_string2714za700za7za7_2848za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622849z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2850za7,
		BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1512za7622851z00,
		BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2634z00zz__evaluate_typesz00,
		BgL_bgl_string2634za700za7za7_2852za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622853z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1717za7622854z00,
		BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2855za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1510za7622856z00,
		BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622857z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622858z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1550za7622859z00,
		BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2719z00zz__evaluate_typesz00,
		BgL_bgl_string2719za700za7za7_2860za7, "inner", 5);
	      DEFINE_STRING(BGl_string2639z00zz__evaluate_typesz00,
		BgL_bgl_string2639za700za7za7_2861za7, "stk", 3);
	      DEFINE_STRING(BGl_string2477z00zz__evaluate_typesz00,
		BgL_bgl_string2477za700za7za7_2862za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2559z00zz__evaluate_typesz00,
		BgL_bgl_string2559za700za7za7_2863za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2864za7,
		BGl_z62zc3z04anonymousza32064ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2063za7622865z00,
		BGl_z62lambda2063z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2866za7,
		BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2062za7622867z00,
		BGl_z62lambda2062z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1920za7622868z00,
		BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622869z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1747za7622870z00,
		BGl_z62lambda1747z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1549za7622871z00,
		BGl_z62lambda1549z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1746za7622872z00,
		BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2873za7,
		BGl_z62zc3z04anonymousza32072ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1752za7622874z00,
		BGl_z62lambda1752z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2071za7622875z00,
		BGl_z62lambda2071z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2876za7,
		BGl_z62zc3z04anonymousza31928ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1751za7622877z00,
		BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2878za7,
		BGl_z62zc3z04anonymousza31543ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2717z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2070za7622879z00,
		BGl_z62lambda2070z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1927za7622880z00,
		BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2881za7,
		BGl_z62zc3z04anonymousza31741ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1538za7622882z00,
		BGl_z62lambda1538z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1926za7622883z00,
		BGl_z62lambda1926z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622884z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1536za7622885z00,
		BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2563z00zz__evaluate_typesz00,
		BgL_bgl_string2563za700za7za7_2886za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1736za7622887z00,
		BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2482z00zz__evaluate_typesz00,
		BgL_bgl_string2482za700za7za7_2888za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2727z00zz__evaluate_typesz00,
		BgL_bgl_string2727za700za7za7_2889za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2890za7,
		BGl_z62zc3z04anonymousza31563ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1560za7622891z00,
		BGl_z62lambda1560z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2729z00zz__evaluate_typesz00,
		BgL_bgl_string2729za700za7za7_2892za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2893za7,
		BGl_z62zc3z04anonymousza31432ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2649z00zz__evaluate_typesz00,
		BgL_bgl_string2649za700za7za7_2894za7, "ev_labels", 9);
	      DEFINE_STRING(BGl_string2487z00zz__evaluate_typesz00,
		BgL_bgl_string2487za700za7za7_2895za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2720z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2896za7,
		BGl_z62zc3z04anonymousza32079ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2721z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2078za7622897z00,
		BGl_z62lambda2078z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2640z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1933za7622898z00,
		BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2722z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2077za7622899z00,
		BGl_z62lambda2077z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1932za7622900z00,
		BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1772za7622901z00,
		BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2902za7,
		BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2903za7,
		BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2561z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622904z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1556za7622905z00,
		BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2011za7622906z00,
		BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622907z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2009za7622908z00,
		BGl_z62lambda2009z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1939za7622909z00,
		BGl_z62lambda1939z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2910za7,
		BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2570z00zz__evaluate_typesz00,
		BgL_bgl_string2570za700za7za7_2911za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1777za7622912z00,
		BGl_z62lambda1777z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2913za7,
		BGl_z62zc3z04anonymousza31578ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1898za7622914z00,
		BGl_z62lambda1898z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622915z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1573za7622916z00,
		BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1896za7622917z00,
		BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2918za7,
		BGl_z62zc3z04anonymousza31762ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2491z00zz__evaluate_typesz00,
		BgL_bgl_string2491za700za7za7_2919za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1571za7622920z00,
		BGl_z62lambda1571z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622921z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2655z00zz__evaluate_typesz00,
		BgL_bgl_string2655za700za7za7_2922za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1758za7622923z00,
		BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1595za7622924z00,
		BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2576z00zz__evaluate_typesz00,
		BgL_bgl_string2576za700za7za7_2925za7, "mutex", 5);
	      DEFINE_STRING(BGl_string2495z00zz__evaluate_typesz00,
		BgL_bgl_string2495za700za7za7_2926za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622927z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2659z00zz__evaluate_typesz00,
		BgL_bgl_string2659za700za7za7_2928za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2650z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1956za7622929z00,
		BGl_z62lambda1956z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2651z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1955za7622930z00,
		BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1961za7622931z00,
		BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2571z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1793za7622932z00,
		BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622933z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622934z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1799za7622935z00,
		BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1603za7622936z00,
		BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2580z00zz__evaluate_typesz00,
		BgL_bgl_string2580za700za7za7_2937za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1798za7622938z00,
		BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1602za7622939z00,
		BGl_z62lambda1602z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1967za7622940z00,
		BGl_z62lambda1967z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1966za7622941z00,
		BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1804za7622942z00,
		BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2943za7,
		BGl_z62zc3z04anonymousza31590ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2578z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1803za7622944z00,
		BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622945z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2666z00zz__evaluate_typesz00,
		BgL_bgl_string2666za700za7za7_2946za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1586za7622947z00,
		BGl_z62lambda1586z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2948za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1972za7622949z00,
		BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622950z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2951za7,
		BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1809za7622952z00,
		BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1949za7622953z00,
		BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2582z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622954z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1947za7622955z00,
		BGl_z62lambda1947z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2956za7,
		BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1786za7622957z00,
		BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2672z00zz__evaluate_typesz00,
		BgL_bgl_string2672za700za7za7_2958za7, "fun", 3);
	      DEFINE_STRING(BGl_string2591z00zz__evaluate_typesz00,
		BgL_bgl_string2591za700za7za7_2959za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622960z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1987za7622961z00,
		BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2668z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1986za7622962z00,
		BGl_z62lambda1986z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622963z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1826za7622964z00,
		BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2595z00zz__evaluate_typesz00,
		BgL_bgl_string2595za700za7za7_2965za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1825za7622966z00,
		BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2678z00zz__evaluate_typesz00,
		BgL_bgl_string2678za700za7za7_2967za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1991za7622968z00,
		BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1998za7622969z00,
		BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1831za7622970z00,
		BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1997za7622971z00,
		BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1830za7622972z00,
		BGl_z62lambda1830z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2003za7622973z00,
		BGl_z62lambda2003z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622974z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2683z00zz__evaluate_typesz00,
		BgL_bgl_string2683za700za7za7_2975za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1836za7622976z00,
		BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1835za7622977z00,
		BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2978za7,
		BGl_z62zc3z04anonymousza31982ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2979za7,
		BGl_z62zc3z04anonymousza31821ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1819za7622980z00,
		BGl_z62lambda1819z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2689z00zz__evaluate_typesz00,
		BgL_bgl_string2689za700za7za7_2981za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2680z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1980za7622982z00,
		BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1978za7622983z00,
		BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2018za7622984z00,
		BGl_z62lambda2018z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622985z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2024za7622986z00,
		BGl_z62lambda2024z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2693z00zz__evaluate_typesz00,
		BgL_bgl_string2693za700za7za7_2987za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2023za7622988z00,
		BGl_z62lambda2023z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2031za7622989z00,
		BGl_z62lambda2031z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2030za7622990z00,
		BGl_z62lambda2030z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2037za7622991z00,
		BGl_z62lambda2037z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622992z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7622993z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622994z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2995za7,
		BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2049za7622996z00,
		BGl_z62lambda2049z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2562z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2481z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2726z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2728z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2648z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2486z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2569z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2490z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2654z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2575z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2494z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2658z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2579z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2499z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2665z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2586z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2671z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2590z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2594z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2677z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2682z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2688z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2692z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2402z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2404z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2408z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2410z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2415z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2417z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2421z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2506z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2426z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2511z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2430z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2515z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2436z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2601z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2520z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2441z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2606z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2445z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2611z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2531z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2450z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2454z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2536z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2619z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2458z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2701z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2540z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2703z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2624z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2462z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2544z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2708z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2467z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2549z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2713z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2633z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2471z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2718z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2638z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2476z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2558z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4340, char *BgL_fromz00_4341)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2402z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2403z00zz__evaluate_typesz00);
			BGl_symbol2404z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2405z00zz__evaluate_typesz00);
			BGl_symbol2408z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2409z00zz__evaluate_typesz00);
			BGl_symbol2410z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00);
			BGl_symbol2415z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00);
			BGl_symbol2417z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2418z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2426z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2427z00zz__evaluate_typesz00);
			BGl_symbol2430z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00);
			BGl_symbol2436z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00);
			BGl_symbol2441z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00);
			BGl_symbol2445z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00);
			BGl_symbol2450z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00);
			BGl_symbol2454z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2455z00zz__evaluate_typesz00);
			BGl_symbol2458z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2459z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2476z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2477z00zz__evaluate_typesz00);
			BGl_symbol2481z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2482z00zz__evaluate_typesz00);
			BGl_symbol2486z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2487z00zz__evaluate_typesz00);
			BGl_symbol2490z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2491z00zz__evaluate_typesz00);
			BGl_symbol2494z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00);
			BGl_symbol2499z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2500z00zz__evaluate_typesz00);
			BGl_symbol2506z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2507z00zz__evaluate_typesz00);
			BGl_symbol2511z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00);
			BGl_symbol2515z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2516z00zz__evaluate_typesz00);
			BGl_symbol2520z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00);
			BGl_symbol2531z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00);
			BGl_symbol2536z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00);
			BGl_symbol2540z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2541z00zz__evaluate_typesz00);
			BGl_symbol2544z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2545z00zz__evaluate_typesz00);
			BGl_symbol2549z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00);
			BGl_symbol2558z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2559z00zz__evaluate_typesz00);
			BGl_symbol2562z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2563z00zz__evaluate_typesz00);
			BGl_symbol2569z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2570z00zz__evaluate_typesz00);
			BGl_symbol2575z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00);
			BGl_symbol2579z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2580z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2590z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2591z00zz__evaluate_typesz00);
			BGl_symbol2594z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2595z00zz__evaluate_typesz00);
			BGl_symbol2601z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2602z00zz__evaluate_typesz00);
			BGl_symbol2606z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2607z00zz__evaluate_typesz00);
			BGl_symbol2611z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2612z00zz__evaluate_typesz00);
			BGl_symbol2619z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00);
			BGl_symbol2624z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00);
			BGl_symbol2633z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00);
			BGl_symbol2638z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00);
			BGl_symbol2648z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00);
			BGl_symbol2654z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2655z00zz__evaluate_typesz00);
			BGl_symbol2658z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2659z00zz__evaluate_typesz00);
			BGl_symbol2665z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2666z00zz__evaluate_typesz00);
			BGl_symbol2671z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2672z00zz__evaluate_typesz00);
			BGl_symbol2677z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2678z00zz__evaluate_typesz00);
			BGl_symbol2682z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00);
			BGl_symbol2688z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2689z00zz__evaluate_typesz00);
			BGl_symbol2692z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2693z00zz__evaluate_typesz00);
			BGl_symbol2701z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2702z00zz__evaluate_typesz00);
			BGl_symbol2703z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2704z00zz__evaluate_typesz00);
			BGl_symbol2708z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2709z00zz__evaluate_typesz00);
			BGl_symbol2713z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2714z00zz__evaluate_typesz00);
			BGl_symbol2718z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2719z00zz__evaluate_typesz00);
			BGl_symbol2726z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2727z00zz__evaluate_typesz00);
			return (BGl_symbol2728z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2729z00zz__evaluate_typesz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1426z00_1104;
				obj_t BgL_arg1427z00_1105;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1289z00_1115;

					BgL_v1289z00_1115 = create_vector(((long) 0));
					BgL_arg1426z00_1104 = BgL_v1289z00_1115;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1290z00_1116;

					BgL_v1290z00_1116 = create_vector(((long) 0));
					BgL_arg1427z00_1105 = BgL_v1290z00_1116;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2402z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2401z00zz__evaluate_typesz00,
					BGl_proc2400z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2399z00zz__evaluate_typesz00, BFALSE, BgL_arg1426z00_1104,
					BgL_arg1427z00_1105);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1437z00_1123;
				obj_t BgL_arg1438z00_1124;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1291z00_1137;

					BgL_v1291z00_1137 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1291z00_1137, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2408z00zz__evaluate_typesz00,
							BGl_proc2407z00zz__evaluate_typesz00,
							BGl_proc2406z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2410z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1291z00_1137, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2412z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1291z00_1137, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1437z00_1123 = BgL_v1291z00_1137;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1292z00_1171;

					BgL_v1292z00_1171 = create_vector(((long) 0));
					BgL_arg1438z00_1124 = BgL_v1292z00_1171;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2426z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7285),
					BGl_proc2425z00zz__evaluate_typesz00,
					BGl_proc2424z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE, BgL_arg1437z00_1123,
					BgL_arg1438z00_1124);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1465z00_1178;
				obj_t BgL_arg1466z00_1179;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1293z00_1192;

					BgL_v1293z00_1192 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1293z00_1192, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2429z00zz__evaluate_typesz00,
							BGl_proc2428z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1293z00_1192, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2408z00zz__evaluate_typesz00,
							BGl_proc2433z00zz__evaluate_typesz00,
							BGl_proc2432z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2410z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1293z00_1192, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2436z00zz__evaluate_typesz00,
							BGl_proc2435z00zz__evaluate_typesz00,
							BGl_proc2434z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1465z00_1178 = BgL_v1293z00_1192;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1294z00_1223;

					BgL_v1294z00_1223 = create_vector(((long) 0));
					BgL_arg1466z00_1179 = BgL_v1294z00_1223;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2441z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2440z00zz__evaluate_typesz00,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1465z00_1178,
					BgL_arg1466z00_1179);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1490z00_1230;
				obj_t BgL_arg1491z00_1231;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1295z00_1242;

					BgL_v1295z00_1242 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1295z00_1242, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00,
							BGl_proc2443z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1490z00_1230 = BgL_v1295z00_1242;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1296z00_1253;

					BgL_v1296z00_1253 = create_vector(((long) 0));
					BgL_arg1491z00_1231 = BgL_v1296z00_1253;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2449z00zz__evaluate_typesz00,
					BGl_proc2448z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2447z00zz__evaluate_typesz00, BFALSE, BgL_arg1490z00_1230,
					BgL_arg1491z00_1231);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1508z00_1260;
				obj_t BgL_arg1509z00_1261;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1297z00_1274;

					BgL_v1297z00_1274 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1297z00_1274, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2454z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1274, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2458z00zz__evaluate_typesz00,
							BGl_proc2457z00zz__evaluate_typesz00,
							BGl_proc2456z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1274, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2461z00zz__evaluate_typesz00,
							BGl_proc2460z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1508z00_1260 = BgL_v1297z00_1274;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1298z00_1305;

					BgL_v1298z00_1305 = create_vector(((long) 0));
					BgL_arg1509z00_1261 = BgL_v1298z00_1305;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1508z00_1260,
					BgL_arg1509z00_1261);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1534z00_1312;
				obj_t BgL_arg1535z00_1313;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1299z00_1324;

					BgL_v1299z00_1324 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1299z00_1324, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2470z00zz__evaluate_typesz00,
							BGl_proc2469z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1534z00_1312 = BgL_v1299z00_1324;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1300z00_1335;

					BgL_v1300z00_1335 = create_vector(((long) 0));
					BgL_arg1535z00_1313 = BgL_v1300z00_1335;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2476z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2475z00zz__evaluate_typesz00,
					BGl_proc2474z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2473z00zz__evaluate_typesz00, BFALSE, BgL_arg1534z00_1312,
					BgL_arg1535z00_1313);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1554z00_1342;
				obj_t BgL_arg1555z00_1343;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1301z00_1354;

					BgL_v1301z00_1354 = create_vector(((long) 0));
					BgL_arg1554z00_1342 = BgL_v1301z00_1354;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1302z00_1355;

					BgL_v1302z00_1355 = create_vector(((long) 0));
					BgL_arg1555z00_1343 = BgL_v1302z00_1355;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2481z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2480z00zz__evaluate_typesz00,
					BGl_proc2479z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BgL_arg1554z00_1342,
					BgL_arg1555z00_1343);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1569z00_1362;
				obj_t BgL_arg1570z00_1363;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1303z00_1374;

					BgL_v1303z00_1374 = create_vector(((long) 0));
					BgL_arg1569z00_1362 = BgL_v1303z00_1374;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1304z00_1375;

					BgL_v1304z00_1375 = create_vector(((long) 0));
					BgL_arg1570z00_1363 = BgL_v1304z00_1375;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2486z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2485z00zz__evaluate_typesz00,
					BGl_proc2484z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2483z00zz__evaluate_typesz00, BFALSE, BgL_arg1569z00_1362,
					BgL_arg1570z00_1363);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1584z00_1382;
				obj_t BgL_arg1585z00_1383;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1305z00_1395;

					BgL_v1305z00_1395 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1305z00_1395, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2490z00zz__evaluate_typesz00,
							BGl_proc2489z00zz__evaluate_typesz00,
							BGl_proc2488z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1305z00_1395, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2494z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1584z00_1382 = BgL_v1305z00_1395;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1306z00_1416;

					BgL_v1306z00_1416 = create_vector(((long) 0));
					BgL_arg1585z00_1383 = BgL_v1306z00_1416;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2499z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2498z00zz__evaluate_typesz00,
					BGl_proc2497z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2496z00zz__evaluate_typesz00, BFALSE, BgL_arg1584z00_1382,
					BgL_arg1585z00_1383);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1607z00_1423;
				obj_t BgL_arg1610z00_1424;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1307z00_1435;

					BgL_v1307z00_1435 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1307z00_1435, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00,
							BGl_proc2501z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1607z00_1423 = BgL_v1307z00_1435;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1308z00_1446;

					BgL_v1308z00_1446 = create_vector(((long) 0));
					BgL_arg1610z00_1424 = BgL_v1308z00_1446;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2506z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2505z00zz__evaluate_typesz00,
					BGl_proc2504z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2503z00zz__evaluate_typesz00, BFALSE, BgL_arg1607z00_1423,
					BgL_arg1610z00_1424);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1628z00_1453;
				obj_t BgL_arg1629z00_1454;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1309z00_1465;

					BgL_v1309z00_1465 = create_vector(((long) 0));
					BgL_arg1628z00_1453 = BgL_v1309z00_1465;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1310z00_1466;

					BgL_v1310z00_1466 = create_vector(((long) 0));
					BgL_arg1629z00_1454 = BgL_v1310z00_1466;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2511z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2510z00zz__evaluate_typesz00,
					BGl_proc2509z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BgL_arg1628z00_1453,
					BgL_arg1629z00_1454);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1639z00_1473;
				obj_t BgL_arg1640z00_1474;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1311z00_1486;

					BgL_v1311z00_1486 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1311z00_1486, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2515z00zz__evaluate_typesz00,
							BGl_proc2514z00zz__evaluate_typesz00,
							BGl_proc2513z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1639z00_1473 = BgL_v1311z00_1486;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1312z00_1497;

					BgL_v1312z00_1497 = create_vector(((long) 0));
					BgL_arg1640z00_1474 = BgL_v1312z00_1497;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2520z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2519z00zz__evaluate_typesz00,
					BGl_proc2518z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2517z00zz__evaluate_typesz00, BFALSE, BgL_arg1639z00_1473,
					BgL_arg1640z00_1474);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1656z00_1504;
				obj_t BgL_arg1657z00_1505;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1313z00_1519;

					BgL_v1313z00_1519 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1313z00_1519, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00,
							BGl_proc2522z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1313z00_1519, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2408z00zz__evaluate_typesz00,
							BGl_proc2525z00zz__evaluate_typesz00,
							BGl_proc2524z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2410z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1313z00_1519, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2436z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00,
							BGl_proc2526z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1656z00_1504 = BgL_v1313z00_1519;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1314z00_1550;

					BgL_v1314z00_1550 = create_vector(((long) 0));
					BgL_arg1657z00_1505 = BgL_v1314z00_1550;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2531z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2530z00zz__evaluate_typesz00,
					BGl_proc2529z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2528z00zz__evaluate_typesz00, BFALSE, BgL_arg1656z00_1504,
					BgL_arg1657z00_1505);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1697z00_1557;
				obj_t BgL_arg1699z00_1558;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1315z00_1572;

					BgL_v1315z00_1572 = create_vector(((long) 0));
					BgL_arg1697z00_1557 = BgL_v1315z00_1572;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1316z00_1573;

					BgL_v1316z00_1573 = create_vector(((long) 0));
					BgL_arg1699z00_1558 = BgL_v1316z00_1573;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2536z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2535z00zz__evaluate_typesz00,
					BGl_proc2534z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2533z00zz__evaluate_typesz00, BFALSE, BgL_arg1697z00_1557,
					BgL_arg1699z00_1558);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1713z00_1580;
				obj_t BgL_arg1714z00_1581;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1317z00_1593;

					BgL_v1317z00_1593 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1317z00_1593, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2540z00zz__evaluate_typesz00,
							BGl_proc2539z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1317z00_1593, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00,
							BGl_proc2542z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1713z00_1580 = BgL_v1317z00_1593;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1318z00_1614;

					BgL_v1318z00_1614 = create_vector(((long) 0));
					BgL_arg1714z00_1581 = BgL_v1318z00_1614;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2549z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2548z00zz__evaluate_typesz00,
					BGl_proc2547z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2546z00zz__evaluate_typesz00, BFALSE, BgL_arg1713z00_1580,
					BgL_arg1714z00_1581);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1734z00_1621;
				obj_t BgL_arg1735z00_1622;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1319z00_1634;

					BgL_v1319z00_1634 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1319z00_1634, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1319z00_1634, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2554z00zz__evaluate_typesz00,
							BGl_proc2553z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1734z00_1621 = BgL_v1319z00_1634;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1320z00_1655;

					BgL_v1320z00_1655 = create_vector(((long) 0));
					BgL_arg1735z00_1622 = BgL_v1320z00_1655;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2558z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2557z00zz__evaluate_typesz00,
					BGl_proc2556z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2555z00zz__evaluate_typesz00, BFALSE, BgL_arg1734z00_1621,
					BgL_arg1735z00_1622);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1756z00_1662;
				obj_t BgL_arg1757z00_1663;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1321z00_1675;

					BgL_v1321z00_1675 = create_vector(((long) 2));
					VECTOR_SET(BgL_v1321z00_1675, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2562z00zz__evaluate_typesz00,
							BGl_proc2561z00zz__evaluate_typesz00,
							BGl_proc2560z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1321z00_1675, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1756z00_1662 = BgL_v1321z00_1675;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1322z00_1696;

					BgL_v1322z00_1696 = create_vector(((long) 0));
					BgL_arg1757z00_1663 = BgL_v1322z00_1696;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2569z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2568z00zz__evaluate_typesz00,
					BGl_proc2567z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2566z00zz__evaluate_typesz00, BFALSE, BgL_arg1756z00_1662,
					BgL_arg1757z00_1663);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1782z00_1703;
				obj_t BgL_arg1783z00_1704;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1323z00_1718;

					BgL_v1323z00_1718 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1323z00_1718, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00,
							BGl_proc2571z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1718, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2575z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1718, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2579z00zz__evaluate_typesz00,
							BGl_proc2578z00zz__evaluate_typesz00,
							BGl_proc2577z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1718, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1782z00_1703 = BgL_v1323z00_1718;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1324z00_1759;

					BgL_v1324z00_1759 = create_vector(((long) 0));
					BgL_arg1783z00_1704 = BgL_v1324z00_1759;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2586z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2585z00zz__evaluate_typesz00,
					BGl_proc2584z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2583z00zz__evaluate_typesz00, BFALSE, BgL_arg1782z00_1703,
					BgL_arg1783z00_1704);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1814z00_1766;
				obj_t BgL_arg1816z00_1767;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1325z00_1780;

					BgL_v1325z00_1780 = create_vector(((long) 3));
					VECTOR_SET(BgL_v1325z00_1780, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1780, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2594z00zz__evaluate_typesz00,
							BGl_proc2593z00zz__evaluate_typesz00,
							BGl_proc2592z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1780, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2597z00zz__evaluate_typesz00,
							BGl_proc2596z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1814z00_1766 = BgL_v1325z00_1780;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1326z00_1811;

					BgL_v1326z00_1811 = create_vector(((long) 0));
					BgL_arg1816z00_1767 = BgL_v1326z00_1811;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2601z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2600z00zz__evaluate_typesz00,
					BGl_proc2599z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2598z00zz__evaluate_typesz00, BFALSE, BgL_arg1814z00_1766,
					BgL_arg1816z00_1767);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1840z00_1818;
				obj_t BgL_arg1842z00_1819;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1327z00_1833;

					BgL_v1327z00_1833 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1327z00_1833, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00,
							BGl_proc2604z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2603z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1840z00_1818 = BgL_v1327z00_1833;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1328z00_1847;

					BgL_v1328z00_1847 = create_vector(((long) 0));
					BgL_arg1842z00_1819 = BgL_v1328z00_1847;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2611z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2610z00zz__evaluate_typesz00,
					BGl_proc2609z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2608z00zz__evaluate_typesz00, BFALSE, BgL_arg1840z00_1818,
					BgL_arg1842z00_1819);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1862z00_1854;
				obj_t BgL_arg1863z00_1855;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1329z00_1869;

					BgL_v1329z00_1869 = create_vector(((long) 1));
					VECTOR_SET(BgL_v1329z00_1869, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2606z00zz__evaluate_typesz00,
							BGl_proc2615z00zz__evaluate_typesz00,
							BGl_proc2614z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2613z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1862z00_1854 = BgL_v1329z00_1869;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1330z00_1883;

					BgL_v1330z00_1883 = create_vector(((long) 0));
					BgL_arg1863z00_1855 = BgL_v1330z00_1883;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2619z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2618z00zz__evaluate_typesz00,
					BGl_proc2617z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2616z00zz__evaluate_typesz00, BFALSE, BgL_arg1862z00_1854,
					BgL_arg1863z00_1855);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1882z00_1890;
				obj_t BgL_arg1883z00_1891;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1331z00_1904;

					BgL_v1331z00_1904 = create_vector(((long) 0));
					BgL_arg1882z00_1890 = BgL_v1331z00_1904;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1332z00_1905;

					BgL_v1332z00_1905 = create_vector(((long) 0));
					BgL_arg1883z00_1891 = BgL_v1332z00_1905;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2624z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2623z00zz__evaluate_typesz00,
					BGl_proc2622z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2621z00zz__evaluate_typesz00, BFALSE, BgL_arg1882z00_1890,
					BgL_arg1883z00_1891);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1894z00_1912;
				obj_t BgL_arg1895z00_1913;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1333z00_1929;

					BgL_v1333z00_1929 = create_vector(((long) 6));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2594z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2633z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2630z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2638z00zz__evaluate_typesz00,
							BGl_proc2637z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2635z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00,
							BGl_proc2640z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1333z00_1929, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2606z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2642z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1894z00_1912 = BgL_v1333z00_1929;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1334z00_1999;

					BgL_v1334z00_1999 = create_vector(((long) 0));
					BgL_arg1895z00_1913 = BgL_v1334z00_1999;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2648z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2647z00zz__evaluate_typesz00,
					BGl_proc2646z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2645z00zz__evaluate_typesz00, BFALSE, BgL_arg1894z00_1912,
					BgL_arg1895z00_1913);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1945z00_2006;
				obj_t BgL_arg1946z00_2007;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1335z00_2021;

					BgL_v1335z00_2021 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1335z00_2021, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2651z00zz__evaluate_typesz00,
							BGl_proc2650z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1335z00_2021, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00,
							BGl_proc2652z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1335z00_2021, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2658z00zz__evaluate_typesz00,
							BGl_proc2657z00zz__evaluate_typesz00,
							BGl_proc2656z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1335z00_2021, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1945z00_2006 = BgL_v1335z00_2021;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1336z00_2062;

					BgL_v1336z00_2062 = create_vector(((long) 0));
					BgL_arg1946z00_2007 = BgL_v1336z00_2062;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2665z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2664z00zz__evaluate_typesz00,
					BGl_proc2663z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2662z00zz__evaluate_typesz00, BFALSE, BgL_arg1945z00_2006,
					BgL_arg1946z00_2007);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1976z00_2069;
				obj_t BgL_arg1977z00_2070;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1337z00_2084;

					BgL_v1337z00_2084 = create_vector(((long) 4));
					VECTOR_SET(BgL_v1337z00_2084, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2668z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_2084, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00,
							BGl_proc2669z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_2084, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2471z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_2084, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2677z00zz__evaluate_typesz00,
							BGl_proc2676z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg1976z00_2069 = BgL_v1337z00_2084;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1338z00_2125;

					BgL_v1338z00_2125 = create_vector(((long) 0));
					BgL_arg1977z00_2070 = BgL_v1338z00_2125;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2682z00zz__evaluate_typesz00,
					BGl_symbol2404z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2681z00zz__evaluate_typesz00,
					BGl_proc2680z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2679z00zz__evaluate_typesz00, BFALSE, BgL_arg1976z00_2069,
					BgL_arg1977z00_2070);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2007z00_2132;
				obj_t BgL_arg2008z00_2133;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1339z00_2153;

					BgL_v1339z00_2153 = create_vector(((long) 10));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 0),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 1),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2688z00zz__evaluate_typesz00,
							BGl_proc2687z00zz__evaluate_typesz00,
							BGl_proc2686z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 2),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2692z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 3),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2590z00zz__evaluate_typesz00,
							BGl_proc2695z00zz__evaluate_typesz00,
							BGl_proc2694z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 4),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2544z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00,
							BGl_proc2696z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 5),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2701z00zz__evaluate_typesz00,
							BGl_proc2700z00zz__evaluate_typesz00,
							BGl_proc2699z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2698z00zz__evaluate_typesz00,
							BGl_symbol2703z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 6),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2708z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2705z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 7),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2713z00zz__evaluate_typesz00,
							BGl_proc2712z00zz__evaluate_typesz00,
							BGl_proc2711z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2710z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 8),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2718z00zz__evaluate_typesz00,
							BGl_proc2717z00zz__evaluate_typesz00,
							BGl_proc2716z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2715z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2153, ((long) 9),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2606z00zz__evaluate_typesz00,
							BGl_proc2722z00zz__evaluate_typesz00,
							BGl_proc2721z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2720z00zz__evaluate_typesz00,
							BGl_symbol2417z00zz__evaluate_typesz00));
					BgL_arg2007z00_2132 = BgL_v1339z00_2153;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1340z00_2269;

					BgL_v1340z00_2269 = create_vector(((long) 0));
					BgL_arg2008z00_2133 = BgL_v1340z00_2269;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2726z00zz__evaluate_typesz00,
						BGl_symbol2404z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2725z00zz__evaluate_typesz00,
						BGl_proc2724z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2723z00zz__evaluate_typesz00, BFALSE, BgL_arg2007z00_2132,
						BgL_arg2008z00_2133), BUNSPEC);
		}}

	}



/* &<@anonymous:2013> */
	obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3477, obj_t BgL_new1194z00_3478)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_4607;

				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3478)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4616;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_3953;

						BgL_classz00_3953 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1288z00_3954;

							BgL__ortest_1288z00_3954 = BGL_CLASS_NIL(BgL_classz00_3953);
							if (CBOOL(BgL__ortest_1288z00_3954))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4616 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_3954);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4616 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3953));
								}
						}
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_new1194z00_3478)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4616), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3478)))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3478)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4607 = ((BgL_ev_absz00_bglt) BgL_new1194z00_3478);
				return ((obj_t) BgL_auxz00_4607);
			}
		}

	}



/* &lambda2011 */
	BgL_ev_absz00_bglt BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3479)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1193z00_3955;

				BgL_new1193z00_3955 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg2012z00_3956;

					BgL_arg2012z00_3956 =
						BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1193z00_3955), BgL_arg2012z00_3956);
				}
				return BgL_new1193z00_3955;
			}
		}

	}



/* &lambda2009 */
	BgL_ev_absz00_bglt BGl_z62lambda2009z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3480, obj_t BgL_loc1183z00_3481, obj_t BgL_where1184z00_3482,
		obj_t BgL_arity1185z00_3483, obj_t BgL_vars1186z00_3484,
		obj_t BgL_body1187z00_3485, obj_t BgL_siza7e1188za7_3486,
		obj_t BgL_bind1189z00_3487, obj_t BgL_free1190z00_3488,
		obj_t BgL_inner1191z00_3489, obj_t BgL_boxes1192z00_3490)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1188za7_3958;

				BgL_siza7e1188za7_3958 = CINT(BgL_siza7e1188za7_3486);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1247z00_3959;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1246z00_3960;

						BgL_new1246z00_3960 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2010z00_3961;

							BgL_arg2010z00_3961 =
								BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1246z00_3960),
								BgL_arg2010z00_3961);
						}
						BgL_new1247z00_3959 = BgL_new1246z00_3960;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_locz00) =
						((obj_t) BgL_loc1183z00_3481), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_wherez00) =
						((obj_t) BgL_where1184z00_3482), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_arityz00) =
						((obj_t) BgL_arity1185z00_3483), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_varsz00) =
						((obj_t) BgL_vars1186z00_3484), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1187z00_3485)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->
							BgL_siza7eza7) = ((int) BgL_siza7e1188za7_3958), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_bindz00) =
						((obj_t) BgL_bind1189z00_3487), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_freez00) =
						((obj_t) BgL_free1190z00_3488), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_innerz00) =
						((obj_t) BgL_inner1191z00_3489), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1247z00_3959))->BgL_boxesz00) =
						((obj_t) BgL_boxes1192z00_3490), BUNSPEC);
					return BgL_new1247z00_3959;
				}
			}
		}

	}



/* &<@anonymous:2079> */
	obj_t BGl_z62zc3z04anonymousza32079ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3491)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2078 */
	obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t BgL_envz00_3492,
		obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3493)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3494), BUNSPEC);
		}

	}



/* &lambda2077 */
	obj_t BGl_z62lambda2077z62zz__evaluate_typesz00(obj_t BgL_envz00_3495,
		obj_t BgL_oz00_3496)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3496)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:2072> */
	obj_t BGl_z62zc3z04anonymousza32072ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3497)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2071 */
	obj_t BGl_z62lambda2071z62zz__evaluate_typesz00(obj_t BgL_envz00_3498,
		obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3499)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3500), BUNSPEC);
		}

	}



/* &lambda2070 */
	obj_t BGl_z62lambda2070z62zz__evaluate_typesz00(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3502)))->BgL_innerz00);
		}

	}



/* &<@anonymous:2064> */
	obj_t BGl_z62zc3z04anonymousza32064ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3503)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2063 */
	obj_t BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t BgL_envz00_3504,
		obj_t BgL_oz00_3505, obj_t BgL_vz00_3506)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3505)))->BgL_freez00) =
				((obj_t) BgL_vz00_3506), BUNSPEC);
		}

	}



/* &lambda2062 */
	obj_t BGl_z62lambda2062z62zz__evaluate_typesz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3508)))->BgL_freez00);
		}

	}



/* &<@anonymous:2057> */
	obj_t BGl_z62zc3z04anonymousza32057ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3509)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2056 */
	obj_t BGl_z62lambda2056z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511, obj_t BgL_vz00_3512)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3511)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3512), BUNSPEC);
		}

	}



/* &lambda2055 */
	obj_t BGl_z62lambda2055z62zz__evaluate_typesz00(obj_t BgL_envz00_3513,
		obj_t BgL_oz00_3514)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3514)))->BgL_bindz00);
		}

	}



/* &<@anonymous:2050> */
	obj_t BGl_z62zc3z04anonymousza32050ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3515)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}

	}



/* &lambda2049 */
	obj_t BGl_z62lambda2049z62zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3971;

				BgL_vz00_3971 = CINT(BgL_vz00_3518);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3517)))->BgL_siza7eza7) =
					((int) BgL_vz00_3971), BUNSPEC);
		}}

	}



/* &lambda2048 */
	obj_t BGl_z62lambda2048z62zz__evaluate_typesz00(obj_t BgL_envz00_3519,
		obj_t BgL_oz00_3520)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3520)))->BgL_siza7eza7));
		}

	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t BgL_envz00_3521,
		obj_t BgL_oz00_3522, obj_t BgL_vz00_3523)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3522)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3523)), BUNSPEC);
		}

	}



/* &lambda2042 */
	BgL_ev_exprz00_bglt BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3524, obj_t BgL_oz00_3525)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3525)))->BgL_bodyz00);
		}

	}



/* &lambda2037 */
	obj_t BGl_z62lambda2037z62zz__evaluate_typesz00(obj_t BgL_envz00_3526,
		obj_t BgL_oz00_3527, obj_t BgL_vz00_3528)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3527)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3528), BUNSPEC);
		}

	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3530)))->BgL_varsz00);
		}

	}



/* &lambda2031 */
	obj_t BGl_z62lambda2031z62zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532, obj_t BgL_vz00_3533)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3532)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3533), BUNSPEC);
		}

	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t BgL_envz00_3534,
		obj_t BgL_oz00_3535)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3535)))->BgL_arityz00);
		}

	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537, obj_t BgL_vz00_3538)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3537)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3538), BUNSPEC);
		}

	}



/* &lambda2023 */
	obj_t BGl_z62lambda2023z62zz__evaluate_typesz00(obj_t BgL_envz00_3539,
		obj_t BgL_oz00_3540)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3540)))->BgL_wherez00);
		}

	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t BgL_envz00_3541,
		obj_t BgL_oz00_3542, obj_t BgL_vz00_3543)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3542)))->BgL_locz00) =
				((obj_t) BgL_vz00_3543), BUNSPEC);
		}

	}



/* &lambda2017 */
	obj_t BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t BgL_envz00_3544,
		obj_t BgL_oz00_3545)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3545)))->BgL_locz00);
		}

	}



/* &<@anonymous:1982> */
	obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3546, obj_t BgL_new1181z00_3547)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_4702;

				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3547)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4705;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_3985;

						BgL_classz00_3985 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1288z00_3986;

							BgL__ortest_1288z00_3986 = BGL_CLASS_NIL(BgL_classz00_3985);
							if (CBOOL(BgL__ortest_1288z00_3986))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4705 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_3986);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4705 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3985));
								}
						}
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_new1181z00_3547)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4705), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3547)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
									BgL_new1181z00_3547)))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4702 = ((BgL_ev_appz00_bglt) BgL_new1181z00_3547);
				return ((obj_t) BgL_auxz00_4702);
			}
		}

	}



/* &lambda1980 */
	BgL_ev_appz00_bglt BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3548)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1180z00_3987;

				BgL_new1180z00_3987 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1981z00_3988;

					BgL_arg1981z00_3988 =
						BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_3987), BgL_arg1981z00_3988);
				}
				return BgL_new1180z00_3987;
			}
		}

	}



/* &lambda1978 */
	BgL_ev_appz00_bglt BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3549, obj_t BgL_loc1176z00_3550, obj_t BgL_fun1177z00_3551,
		obj_t BgL_args1178z00_3552, obj_t BgL_tailzf31179zf3_3553)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1245z00_3990;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1243z00_3991;

					BgL_new1243z00_3991 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1979z00_3992;

						BgL_arg1979z00_3992 =
							BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1243z00_3991), BgL_arg1979z00_3992);
					}
					BgL_new1245z00_3990 = BgL_new1243z00_3991;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1245z00_3990))->BgL_locz00) =
					((obj_t) BgL_loc1176z00_3550), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1245z00_3990))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1177z00_3551)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1245z00_3990))->BgL_argsz00) =
					((obj_t) BgL_args1178z00_3552), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1245z00_3990))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31179zf3_3553), BUNSPEC);
				return BgL_new1245z00_3990;
			}
		}

	}



/* &lambda2003 */
	obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3555)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3556), BUNSPEC);
		}

	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3557,
		obj_t BgL_oz00_3558)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3558)))->BgL_tailzf3zf3);
		}

	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3560)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3561), BUNSPEC);
		}

	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3562,
		obj_t BgL_oz00_3563)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3563)))->BgL_argsz00);
		}

	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3565)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3566)), BUNSPEC);
		}

	}



/* &lambda1991 */
	BgL_ev_exprz00_bglt BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3567, obj_t BgL_oz00_3568)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3568)))->BgL_funz00);
		}

	}



/* &lambda1987 */
	obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t BgL_envz00_3569,
		obj_t BgL_oz00_3570, obj_t BgL_vz00_3571)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3570)))->BgL_locz00) =
				((obj_t) BgL_vz00_3571), BUNSPEC);
		}

	}



/* &lambda1986 */
	obj_t BGl_z62lambda1986z62zz__evaluate_typesz00(obj_t BgL_envz00_3572,
		obj_t BgL_oz00_3573)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3573)))->BgL_locz00);
		}

	}



/* &<@anonymous:1951> */
	obj_t BGl_z62zc3z04anonymousza31951ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3574, obj_t BgL_new1174z00_3575)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_4750;

				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3575)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4753;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4003;

						BgL_classz00_4003 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1288z00_4004;

							BgL__ortest_1288z00_4004 = BGL_CLASS_NIL(BgL_classz00_4003);
							if (CBOOL(BgL__ortest_1288z00_4004))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4753 =
										((BgL_ev_varz00_bglt) BgL__ortest_1288z00_4004);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4753 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4003));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3575)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4753), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4762;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4005;

						BgL_classz00_4005 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1288z00_4006;

							BgL__ortest_1288z00_4006 = BGL_CLASS_NIL(BgL_classz00_4005);
							if (CBOOL(BgL__ortest_1288z00_4006))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4762 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1288z00_4006);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4762 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4005));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3575)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4762), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3575)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4750 = ((BgL_ev_gotoz00_bglt) BgL_new1174z00_3575);
				return ((obj_t) BgL_auxz00_4750);
			}
		}

	}



/* &lambda1949 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3576)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1173z00_4007;

				BgL_new1173z00_4007 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1950z00_4008;

					BgL_arg1950z00_4008 =
						BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1173z00_4007), BgL_arg1950z00_4008);
				}
				return BgL_new1173z00_4007;
			}
		}

	}



/* &lambda1947 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1947z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3577, obj_t BgL_loc1169z00_3578, obj_t BgL_label1170z00_3579,
		obj_t BgL_labels1171z00_3580, obj_t BgL_args1172z00_3581)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1242z00_4011;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1241z00_4012;

					BgL_new1241z00_4012 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1948z00_4013;

						BgL_arg1948z00_4013 =
							BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1241z00_4012), BgL_arg1948z00_4013);
					}
					BgL_new1242z00_4011 = BgL_new1241z00_4012;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1242z00_4011))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_3578), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1242z00_4011))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1170z00_3579)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1242z00_4011))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1171z00_3580)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1242z00_4011))->BgL_argsz00) =
					((obj_t) BgL_args1172z00_3581), BUNSPEC);
				return BgL_new1242z00_4011;
			}
		}

	}



/* &lambda1972 */
	obj_t BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t BgL_envz00_3582,
		obj_t BgL_oz00_3583, obj_t BgL_vz00_3584)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3583)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3584), BUNSPEC);
		}

	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3585,
		obj_t BgL_oz00_3586)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3586)))->BgL_argsz00);
		}

	}



/* &lambda1967 */
	obj_t BGl_z62lambda1967z62zz__evaluate_typesz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3588)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3589)),
				BUNSPEC);
		}

	}



/* &lambda1966 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3590, obj_t BgL_oz00_3591)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3591)))->BgL_labelsz00);
		}

	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3593)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3594)), BUNSPEC);
		}

	}



/* &lambda1960 */
	BgL_ev_varz00_bglt BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3595, obj_t BgL_oz00_3596)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3596)))->BgL_labelz00);
		}

	}



/* &lambda1956 */
	obj_t BGl_z62lambda1956z62zz__evaluate_typesz00(obj_t BgL_envz00_3597,
		obj_t BgL_oz00_3598, obj_t BgL_vz00_3599)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3598)))->BgL_locz00) =
				((obj_t) BgL_vz00_3599), BUNSPEC);
		}

	}



/* &lambda1955 */
	obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3600,
		obj_t BgL_oz00_3601)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3601)))->BgL_locz00);
		}

	}



/* &<@anonymous:1902> */
	obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3602, obj_t BgL_new1167z00_3603)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_4807;

				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3603)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3603)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3603)))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3603)))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4816;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_4025;

						BgL_classz00_4025 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1288z00_4026;

							BgL__ortest_1288z00_4026 = BGL_CLASS_NIL(BgL_classz00_4025);
							if (CBOOL(BgL__ortest_1288z00_4026))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4816 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4026);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4816 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4025));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_new1167z00_3603)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4816), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3603)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4807 = ((BgL_ev_labelsz00_bglt) BgL_new1167z00_3603);
				return ((obj_t) BgL_auxz00_4807);
			}
		}

	}



/* &lambda1898 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3604)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1166z00_4027;

				BgL_new1166z00_4027 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1901z00_4028;

					BgL_arg1901z00_4028 =
						BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_4027), BgL_arg1901z00_4028);
				}
				return BgL_new1166z00_4027;
			}
		}

	}



/* &lambda1896 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3605, obj_t BgL_vars1160z00_3606, obj_t BgL_vals1161z00_3607,
		obj_t BgL_env1162z00_3608, obj_t BgL_stk1163z00_3609,
		obj_t BgL_body1164z00_3610, obj_t BgL_boxes1165z00_3611)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1240z00_4030;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1239z00_4031;

					BgL_new1239z00_4031 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1897z00_4032;

						BgL_arg1897z00_4032 =
							BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_4031), BgL_arg1897z00_4032);
					}
					BgL_new1240z00_4030 = BgL_new1239z00_4031;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->BgL_varsz00) =
					((obj_t) BgL_vars1160z00_3606), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->BgL_valsz00) =
					((obj_t) BgL_vals1161z00_3607), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->BgL_envz00) =
					((obj_t) BgL_env1162z00_3608), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->BgL_stkz00) =
					((obj_t) BgL_stk1163z00_3609), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1164z00_3610)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1240z00_4030))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1165z00_3611), BUNSPEC);
				return BgL_new1240z00_4030;
			}
		}

	}



/* &<@anonymous:1941> */
	obj_t BGl_z62zc3z04anonymousza31941ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3612)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1940 */
	obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3613,
		obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3614)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3615), BUNSPEC);
		}

	}



/* &lambda1939 */
	obj_t BGl_z62lambda1939z62zz__evaluate_typesz00(obj_t BgL_envz00_3616,
		obj_t BgL_oz00_3617)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3617)))->BgL_boxesz00);
		}

	}



/* &lambda1933 */
	obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3618,
		obj_t BgL_oz00_3619, obj_t BgL_vz00_3620)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3619)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3620)), BUNSPEC);
		}

	}



/* &lambda1932 */
	BgL_ev_exprz00_bglt BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3621, obj_t BgL_oz00_3622)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3622)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:1928> */
	obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3623)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3624,
		obj_t BgL_oz00_3625, obj_t BgL_vz00_3626)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3625)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3626), BUNSPEC);
		}

	}



/* &lambda1926 */
	obj_t BGl_z62lambda1926z62zz__evaluate_typesz00(obj_t BgL_envz00_3627,
		obj_t BgL_oz00_3628)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3628)))->BgL_stkz00);
		}

	}



/* &<@anonymous:1921> */
	obj_t BGl_z62zc3z04anonymousza31921ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3629)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1920 */
	obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3631)))->BgL_envz00) =
				((obj_t) BgL_vz00_3632), BUNSPEC);
		}

	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3633,
		obj_t BgL_oz00_3634)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3634)))->BgL_envz00);
		}

	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3636)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3637), BUNSPEC);
		}

	}



/* &lambda1912 */
	obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3639)))->BgL_valsz00);
		}

	}



/* &lambda1908 */
	obj_t BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3640,
		obj_t BgL_oz00_3641, obj_t BgL_vz00_3642)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3641)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3642), BUNSPEC);
		}

	}



/* &lambda1907 */
	obj_t BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t BgL_envz00_3643,
		obj_t BgL_oz00_3644)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3644)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1888> */
	obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3645, obj_t BgL_new1158z00_3646)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_auxz00_4869;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_new1158z00_3646))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letrecz00_bglt)
										BgL_new1158z00_3646))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4876;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_4047;

						BgL_classz00_4047 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1288z00_4048;

							BgL__ortest_1288z00_4048 = BGL_CLASS_NIL(BgL_classz00_4047);
							if (CBOOL(BgL__ortest_1288z00_4048))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4876 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4048);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4876 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4047));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_new1158z00_3646))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4876), BUNSPEC);
				}
				BgL_auxz00_4869 = ((BgL_ev_letrecz00_bglt) BgL_new1158z00_3646);
				return ((obj_t) BgL_auxz00_4869);
			}
		}

	}



/* &lambda1886 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1886z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3647)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1157z00_4049;

				BgL_new1157z00_4049 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1887z00_4050;

					BgL_arg1887z00_4050 =
						BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1157z00_4049), BgL_arg1887z00_4050);
				}
				return BgL_new1157z00_4049;
			}
		}

	}



/* &lambda1884 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3648, obj_t BgL_vars1153z00_3649, obj_t BgL_vals1154z00_3650,
		obj_t BgL_body1155z00_3651)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1238z00_4052;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1237z00_4053;

					BgL_new1237z00_4053 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1885z00_4054;

						BgL_arg1885z00_4054 =
							BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_4053), BgL_arg1885z00_4054);
					}
					BgL_new1238z00_4052 = BgL_new1237z00_4053;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1238z00_4052)))->BgL_varsz00) =
					((obj_t) BgL_vars1153z00_3649), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4052)))->BgL_valsz00) =
					((obj_t) BgL_vals1154z00_3650), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4052)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1155z00_3651)),
					BUNSPEC);
				return BgL_new1238z00_4052;
			}
		}

	}



/* &<@anonymous:1868> */
	obj_t BGl_z62zc3z04anonymousza31868ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3652, obj_t BgL_new1151z00_3653)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_auxz00_4903;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_new1151z00_3653))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letza2za2_bglt)
										BgL_new1151z00_3653))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4910;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_4056;

						BgL_classz00_4056 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1288z00_4057;

							BgL__ortest_1288z00_4057 = BGL_CLASS_NIL(BgL_classz00_4056);
							if (CBOOL(BgL__ortest_1288z00_4057))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4910 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4057);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4910 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4056));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_new1151z00_3653))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4910), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) COBJECT(
								((BgL_ev_letza2za2_bglt) BgL_new1151z00_3653)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4903 = ((BgL_ev_letza2za2_bglt) BgL_new1151z00_3653);
				return ((obj_t) BgL_auxz00_4903);
			}
		}

	}



/* &lambda1866 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1866z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3654)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1150z00_4058;

				BgL_new1150z00_4058 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1867z00_4059;

					BgL_arg1867z00_4059 =
						BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1150z00_4058), BgL_arg1867z00_4059);
				}
				return BgL_new1150z00_4058;
			}
		}

	}



/* &lambda1864 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3655, obj_t BgL_vars1146z00_3656, obj_t BgL_vals1147z00_3657,
		obj_t BgL_body1148z00_3658, obj_t BgL_boxes1149z00_3659)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1236z00_4061;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1235z00_4062;

					BgL_new1235z00_4062 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1865z00_4063;

						BgL_arg1865z00_4063 =
							BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_4062), BgL_arg1865z00_4063);
					}
					BgL_new1236z00_4061 = BgL_new1235z00_4062;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1236z00_4061)))->BgL_varsz00) =
					((obj_t) BgL_vars1146z00_3656), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_4061)))->BgL_valsz00) =
					((obj_t) BgL_vals1147z00_3657), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1236z00_4061)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1148z00_3658)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1236z00_4061))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1149z00_3659), BUNSPEC);
				return BgL_new1236z00_4061;
			}
		}

	}



/* &<@anonymous:1875> */
	obj_t BGl_z62zc3z04anonymousza31875ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3660)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}

	}



/* &lambda1874 */
	obj_t BGl_z62lambda1874z62zz__evaluate_typesz00(obj_t BgL_envz00_3661,
		obj_t BgL_oz00_3662, obj_t BgL_vz00_3663)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3662)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3663), BUNSPEC);
		}

	}



/* &lambda1873 */
	obj_t BGl_z62lambda1873z62zz__evaluate_typesz00(obj_t BgL_envz00_3664,
		obj_t BgL_oz00_3665)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3665)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1847> */
	obj_t BGl_z62zc3z04anonymousza31847ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3666, obj_t BgL_new1144z00_3667)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_auxz00_4944;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_new1144z00_3667))))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letz00_bglt)
										BgL_new1144z00_3667))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4951;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_4067;

						BgL_classz00_4067 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1288z00_4068;

							BgL__ortest_1288z00_4068 = BGL_CLASS_NIL(BgL_classz00_4067);
							if (CBOOL(BgL__ortest_1288z00_4068))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4951 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4068);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4951 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4067));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_new1144z00_3667))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4951), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) COBJECT(
								((BgL_ev_letz00_bglt) BgL_new1144z00_3667)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4944 = ((BgL_ev_letz00_bglt) BgL_new1144z00_3667);
				return ((obj_t) BgL_auxz00_4944);
			}
		}

	}



/* &lambda1845 */
	BgL_ev_letz00_bglt BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3668)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1143z00_4069;

				BgL_new1143z00_4069 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1846z00_4070;

					BgL_arg1846z00_4070 =
						BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1143z00_4069), BgL_arg1846z00_4070);
				}
				return BgL_new1143z00_4069;
			}
		}

	}



/* &lambda1843 */
	BgL_ev_letz00_bglt BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3669, obj_t BgL_vars1139z00_3670, obj_t BgL_vals1140z00_3671,
		obj_t BgL_body1141z00_3672, obj_t BgL_boxes1142z00_3673)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1234z00_4072;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1233z00_4073;

					BgL_new1233z00_4073 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1844z00_4074;

						BgL_arg1844z00_4074 =
							BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_4073), BgL_arg1844z00_4074);
					}
					BgL_new1234z00_4072 = BgL_new1233z00_4073;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1234z00_4072)))->BgL_varsz00) =
					((obj_t) BgL_vars1139z00_3670), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1234z00_4072)))->BgL_valsz00) =
					((obj_t) BgL_vals1140z00_3671), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1234z00_4072)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1141z00_3672)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1234z00_4072))->BgL_boxesz00) =
					((obj_t) BgL_boxes1142z00_3673), BUNSPEC);
				return BgL_new1234z00_4072;
			}
		}

	}



/* &<@anonymous:1855> */
	obj_t BGl_z62zc3z04anonymousza31855ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3674)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}

	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3675,
		obj_t BgL_oz00_3676, obj_t BgL_vz00_3677)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3676)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3677), BUNSPEC);
		}

	}



/* &lambda1853 */
	obj_t BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t BgL_envz00_3678,
		obj_t BgL_oz00_3679)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3679)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1821> */
	obj_t BGl_z62zc3z04anonymousza31821ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3680, obj_t BgL_new1137z00_3681)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_4985;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1137z00_3681)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1137z00_3681)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4990;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_4078;

						BgL_classz00_4078 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1288z00_4079;

							BgL__ortest_1288z00_4079 = BGL_CLASS_NIL(BgL_classz00_4078);
							if (CBOOL(BgL__ortest_1288z00_4079))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4990 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4079);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4990 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4078));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1137z00_3681)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4990), BUNSPEC);
				}
				BgL_auxz00_4985 = ((BgL_ev_binderz00_bglt) BgL_new1137z00_3681);
				return ((obj_t) BgL_auxz00_4985);
			}
		}

	}



/* &lambda1819 */
	BgL_ev_binderz00_bglt BGl_z62lambda1819z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3682)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1136z00_4080;

				BgL_new1136z00_4080 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1820z00_4081;

					BgL_arg1820z00_4081 =
						BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1136z00_4080), BgL_arg1820z00_4081);
				}
				return BgL_new1136z00_4080;
			}
		}

	}



/* &lambda1817 */
	BgL_ev_binderz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3683, obj_t BgL_vars1133z00_3684, obj_t BgL_vals1134z00_3685,
		obj_t BgL_body1135z00_3686)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1232z00_4083;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1231z00_4084;

					BgL_new1231z00_4084 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1818z00_4085;

						BgL_arg1818z00_4085 =
							BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1231z00_4084), BgL_arg1818z00_4085);
					}
					BgL_new1232z00_4083 = BgL_new1231z00_4084;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1232z00_4083))->BgL_varsz00) =
					((obj_t) BgL_vars1133z00_3684), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1232z00_4083))->BgL_valsz00) =
					((obj_t) BgL_vals1134z00_3685), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1232z00_4083))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1135z00_3686)),
					BUNSPEC);
				return BgL_new1232z00_4083;
			}
		}

	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t BgL_envz00_3687,
		obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3688)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3689)), BUNSPEC);
		}

	}



/* &lambda1835 */
	BgL_ev_exprz00_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3690, obj_t BgL_oz00_3691)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3691)))->BgL_bodyz00);
		}

	}



/* &lambda1831 */
	obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3692,
		obj_t BgL_oz00_3693, obj_t BgL_vz00_3694)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3693)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3694), BUNSPEC);
		}

	}



/* &lambda1830 */
	obj_t BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t BgL_envz00_3695,
		obj_t BgL_oz00_3696)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3696)))->BgL_valsz00);
		}

	}



/* &lambda1826 */
	obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3697,
		obj_t BgL_oz00_3698, obj_t BgL_vz00_3699)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3698)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3699), BUNSPEC);
		}

	}



/* &lambda1825 */
	obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t BgL_envz00_3700,
		obj_t BgL_oz00_3701)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3701)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1788> */
	obj_t BGl_z62zc3z04anonymousza31788ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3702, obj_t BgL_new1131z00_3703)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5026;

				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3703)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5029;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4094;

						BgL_classz00_4094 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1288z00_4095;

							BgL__ortest_1288z00_4095 = BGL_CLASS_NIL(BgL_classz00_4094);
							if (CBOOL(BgL__ortest_1288z00_4095))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5029 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4095);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5029 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4094));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3703)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5029), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5038;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4096;

						BgL_classz00_4096 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1288z00_4097;

							BgL__ortest_1288z00_4097 = BGL_CLASS_NIL(BgL_classz00_4096);
							if (CBOOL(BgL__ortest_1288z00_4097))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5038 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4097);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5038 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4096));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3703)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5038), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5047;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4098;

						BgL_classz00_4098 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1288z00_4099;

							BgL__ortest_1288z00_4099 = BGL_CLASS_NIL(BgL_classz00_4098);
							if (CBOOL(BgL__ortest_1288z00_4099))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5047 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4099);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5047 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4098));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3703)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5047), BUNSPEC);
				}
				BgL_auxz00_5026 = ((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3703);
				return ((obj_t) BgL_auxz00_5026);
			}
		}

	}



/* &lambda1786 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3704)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1130z00_4100;

				BgL_new1130z00_4100 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1787z00_4101;

					BgL_arg1787z00_4101 =
						BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1130z00_4100), BgL_arg1787z00_4101);
				}
				return BgL_new1130z00_4100;
			}
		}

	}



/* &lambda1784 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3705, obj_t BgL_loc1126z00_3706, obj_t BgL_mutex1127z00_3707,
		obj_t BgL_prelock1128z00_3708, obj_t BgL_body1129z00_3709)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1230z00_4105;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1229z00_4106;

					BgL_new1229z00_4106 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1785z00_4107;

						BgL_arg1785z00_4107 =
							BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1229z00_4106), BgL_arg1785z00_4107);
					}
					BgL_new1230z00_4105 = BgL_new1229z00_4106;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1230z00_4105))->
						BgL_locz00) = ((obj_t) BgL_loc1126z00_3706), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1230z00_4105))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1127z00_3707)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1230z00_4105))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1128z00_3708)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1230z00_4105))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1129z00_3709)),
					BUNSPEC);
				return BgL_new1230z00_4105;
			}
		}

	}



/* &lambda1809 */
	obj_t BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t BgL_envz00_3710,
		obj_t BgL_oz00_3711, obj_t BgL_vz00_3712)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3711)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3712)), BUNSPEC);
		}

	}



/* &lambda1808 */
	BgL_ev_exprz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3713, obj_t BgL_oz00_3714)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3714)))->BgL_bodyz00);
		}

	}



/* &lambda1804 */
	obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3715,
		obj_t BgL_oz00_3716, obj_t BgL_vz00_3717)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3716)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3717)), BUNSPEC);
		}

	}



/* &lambda1803 */
	BgL_ev_exprz00_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3718, obj_t BgL_oz00_3719)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3719)))->BgL_prelockz00);
		}

	}



/* &lambda1799 */
	obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3720,
		obj_t BgL_oz00_3721, obj_t BgL_vz00_3722)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3721)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3722)), BUNSPEC);
		}

	}



/* &lambda1798 */
	BgL_ev_exprz00_bglt BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3723, obj_t BgL_oz00_3724)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3724)))->BgL_mutexz00);
		}

	}



/* &lambda1793 */
	obj_t BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t BgL_envz00_3725,
		obj_t BgL_oz00_3726, obj_t BgL_vz00_3727)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3726)))->BgL_locz00) =
				((obj_t) BgL_vz00_3727), BUNSPEC);
		}

	}



/* &lambda1792 */
	obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t BgL_envz00_3728,
		obj_t BgL_oz00_3729)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3729)))->BgL_locz00);
		}

	}



/* &<@anonymous:1762> */
	obj_t BGl_z62zc3z04anonymousza31762ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3730, obj_t BgL_new1124z00_3731)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5092;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5093;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4120;

						BgL_classz00_4120 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1288z00_4121;

							BgL__ortest_1288z00_4121 = BGL_CLASS_NIL(BgL_classz00_4120);
							if (CBOOL(BgL__ortest_1288z00_4121))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5093 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4121);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5093 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4120));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1124z00_3731)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5093), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5102;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4122;

						BgL_classz00_4122 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1288z00_4123;

							BgL__ortest_1288z00_4123 = BGL_CLASS_NIL(BgL_classz00_4122);
							if (CBOOL(BgL__ortest_1288z00_4123))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5102 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4123);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5102 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4122));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1124z00_3731)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5102), BUNSPEC);
				}
				BgL_auxz00_5092 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_new1124z00_3731);
				return ((obj_t) BgL_auxz00_5092);
			}
		}

	}



/* &lambda1760 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3732)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1123z00_4124;

				BgL_new1123z00_4124 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1761z00_4125;

					BgL_arg1761z00_4125 =
						BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1123z00_4124), BgL_arg1761z00_4125);
				}
				return BgL_new1123z00_4124;
			}
		}

	}



/* &lambda1758 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3733, obj_t BgL_handler1120z00_3734, obj_t BgL_body1121z00_3735)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1228z00_4128;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1227z00_4129;

					BgL_new1227z00_4129 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1759z00_4130;

						BgL_arg1759z00_4130 =
							BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1227z00_4129), BgL_arg1759z00_4130);
					}
					BgL_new1228z00_4128 = BgL_new1227z00_4129;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1228z00_4128))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1120z00_3734)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1228z00_4128))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1121z00_3735)),
					BUNSPEC);
				return BgL_new1228z00_4128;
			}
		}

	}



/* &lambda1777 */
	obj_t BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t BgL_envz00_3736,
		obj_t BgL_oz00_3737, obj_t BgL_vz00_3738)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3737)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3738)), BUNSPEC);
		}

	}



/* &lambda1776 */
	BgL_ev_exprz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3739, obj_t BgL_oz00_3740)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3740)))->BgL_bodyz00);
		}

	}



/* &lambda1772 */
	obj_t BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t BgL_envz00_3741,
		obj_t BgL_oz00_3742, obj_t BgL_vz00_3743)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3742)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3743)), BUNSPEC);
		}

	}



/* &lambda1771 */
	BgL_ev_exprz00_bglt BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3744, obj_t BgL_oz00_3745)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3745)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:1741> */
	obj_t BGl_z62zc3z04anonymousza31741ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3746, obj_t BgL_new1118z00_3747)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5135;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5136;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4138;

						BgL_classz00_4138 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1288z00_4139;

							BgL__ortest_1288z00_4139 = BGL_CLASS_NIL(BgL_classz00_4138);
							if (CBOOL(BgL__ortest_1288z00_4139))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5136 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4139);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5136 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4138));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3747)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5136), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5145;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4140;

						BgL_classz00_4140 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1288z00_4141;

							BgL__ortest_1288z00_4141 = BGL_CLASS_NIL(BgL_classz00_4140);
							if (CBOOL(BgL__ortest_1288z00_4141))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5145 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4141);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5145 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4140));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3747)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5145), BUNSPEC);
				}
				BgL_auxz00_5135 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1118z00_3747);
				return ((obj_t) BgL_auxz00_5135);
			}
		}

	}



/* &lambda1739 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3748)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_4142;

				BgL_new1117z00_4142 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1740z00_4143;

					BgL_arg1740z00_4143 =
						BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1117z00_4142), BgL_arg1740z00_4143);
				}
				return BgL_new1117z00_4142;
			}
		}

	}



/* &lambda1736 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t BgL_envz00_3749,
		obj_t BgL_e1114z00_3750, obj_t BgL_body1115z00_3751)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1226z00_4146;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1225z00_4147;

					BgL_new1225z00_4147 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1738z00_4148;

						BgL_arg1738z00_4148 =
							BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1225z00_4147), BgL_arg1738z00_4148);
					}
					BgL_new1226z00_4146 = BgL_new1225z00_4147;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1226z00_4146))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1114z00_3750)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1226z00_4146))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1115z00_3751)),
					BUNSPEC);
				return BgL_new1226z00_4146;
			}
		}

	}



/* &lambda1752 */
	obj_t BGl_z62lambda1752z62zz__evaluate_typesz00(obj_t BgL_envz00_3752,
		obj_t BgL_oz00_3753, obj_t BgL_vz00_3754)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3753)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3754)), BUNSPEC);
		}

	}



/* &lambda1751 */
	BgL_ev_exprz00_bglt BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3755, obj_t BgL_oz00_3756)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3756)))->BgL_bodyz00);
		}

	}



/* &lambda1747 */
	obj_t BGl_z62lambda1747z62zz__evaluate_typesz00(obj_t BgL_envz00_3757,
		obj_t BgL_oz00_3758, obj_t BgL_vz00_3759)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3758)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3759)), BUNSPEC);
		}

	}



/* &lambda1746 */
	BgL_ev_exprz00_bglt BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3760, obj_t BgL_oz00_3761)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3761)))->BgL_ez00);
		}

	}



/* &<@anonymous:1719> */
	obj_t BGl_z62zc3z04anonymousza31719ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3762, obj_t BgL_new1112z00_3763)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5178;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5179;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4156;

						BgL_classz00_4156 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1288z00_4157;

							BgL__ortest_1288z00_4157 = BGL_CLASS_NIL(BgL_classz00_4156);
							if (CBOOL(BgL__ortest_1288z00_4157))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5179 =
										((BgL_ev_varz00_bglt) BgL__ortest_1288z00_4157);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5179 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4156));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3763)))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5179), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5188;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4158;

						BgL_classz00_4158 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1288z00_4159;

							BgL__ortest_1288z00_4159 = BGL_CLASS_NIL(BgL_classz00_4158);
							if (CBOOL(BgL__ortest_1288z00_4159))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5188 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4159);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5188 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4158));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3763)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5188), BUNSPEC);
				}
				BgL_auxz00_5178 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3763);
				return ((obj_t) BgL_auxz00_5178);
			}
		}

	}



/* &lambda1717 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3764)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_4160;

				BgL_new1111z00_4160 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1718z00_4161;

					BgL_arg1718z00_4161 =
						BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1111z00_4160), BgL_arg1718z00_4161);
				}
				return BgL_new1111z00_4160;
			}
		}

	}



/* &lambda1715 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3765, obj_t BgL_var1109z00_3766, obj_t BgL_body1110z00_3767)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1224z00_4164;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1223z00_4165;

					BgL_new1223z00_4165 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1716z00_4166;

						BgL_arg1716z00_4166 =
							BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_4165), BgL_arg1716z00_4166);
					}
					BgL_new1224z00_4164 = BgL_new1223z00_4165;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1224z00_4164))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1109z00_3766)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1224z00_4164))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1110z00_3767)),
					BUNSPEC);
				return BgL_new1224z00_4164;
			}
		}

	}



/* &lambda1730 */
	obj_t BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t BgL_envz00_3768,
		obj_t BgL_oz00_3769, obj_t BgL_vz00_3770)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3769)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3770)), BUNSPEC);
		}

	}



/* &lambda1729 */
	BgL_ev_exprz00_bglt BGl_z62lambda1729z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3771, obj_t BgL_oz00_3772)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3772)))->BgL_bodyz00);
		}

	}



/* &lambda1725 */
	obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3773,
		obj_t BgL_oz00_3774, obj_t BgL_vz00_3775)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3774)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3775)), BUNSPEC);
		}

	}



/* &lambda1724 */
	BgL_ev_varz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3776, obj_t BgL_oz00_3777)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3777)))->BgL_varz00);
		}

	}



/* &<@anonymous:1706> */
	obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3778, obj_t BgL_new1107z00_3779)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_auxz00_5221;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5222;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_4174;

						BgL_classz00_4174 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1288z00_4175;

							BgL__ortest_1288z00_4175 = BGL_CLASS_NIL(BgL_classz00_4174);
							if (CBOOL(BgL__ortest_1288z00_4175))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5222 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4175);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5222 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4174));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3779))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5222), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3779))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3779))))->BgL_namez00) =
					((obj_t) BGl_symbol2728z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3779))))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5221 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3779);
				return ((obj_t) BgL_auxz00_5221);
			}
		}

	}



/* &lambda1703 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1703z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3780)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1106z00_4176;

				BgL_new1106z00_4176 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1705z00_4177;

					BgL_arg1705z00_4177 =
						BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1106z00_4176), BgL_arg1705z00_4177);
				}
				return BgL_new1106z00_4176;
			}
		}

	}



/* &lambda1700 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3781, obj_t BgL_e1102z00_3782, obj_t BgL_loc1103z00_3783,
		obj_t BgL_name1104z00_3784, obj_t BgL_mod1105z00_3785)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1222z00_4180;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1221z00_4181;

					BgL_new1221z00_4181 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1702z00_4182;

						BgL_arg1702z00_4182 =
							BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1221z00_4181), BgL_arg1702z00_4182);
					}
					BgL_new1222z00_4180 = BgL_new1221z00_4181;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1222z00_4180)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1102z00_3782)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1222z00_4180)))->BgL_locz00) =
					((obj_t) BgL_loc1103z00_3783), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1222z00_4180)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1104z00_3784)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1222z00_4180)))->BgL_modz00) =
					((obj_t) BgL_mod1105z00_3785), BUNSPEC);
				return BgL_new1222z00_4180;
			}
		}

	}



/* &<@anonymous:1663> */
	obj_t BGl_z62zc3z04anonymousza31663ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3786, obj_t BgL_new1100z00_3787)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_auxz00_5261;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5262;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_4184;

						BgL_classz00_4184 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1288z00_4185;

							BgL__ortest_1288z00_4185 = BGL_CLASS_NIL(BgL_classz00_4184);
							if (CBOOL(BgL__ortest_1288z00_4185))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5262 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4185);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5262 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4184));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3787))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5262), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3787)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3787)))->BgL_namez00) =
					((obj_t) BGl_symbol2728z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3787)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5261 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3787);
				return ((obj_t) BgL_auxz00_5261);
			}
		}

	}



/* &lambda1661 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3788)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1099z00_4186;

				BgL_new1099z00_4186 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1662z00_4187;

					BgL_arg1662z00_4187 =
						BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_4186), BgL_arg1662z00_4187);
				}
				return BgL_new1099z00_4186;
			}
		}

	}



/* &lambda1658 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1658z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3789, obj_t BgL_e1095z00_3790, obj_t BgL_loc1096z00_3791,
		obj_t BgL_name1097z00_3792, obj_t BgL_mod1098z00_3793)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1220z00_4190;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1219z00_4191;

					BgL_new1219z00_4191 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1660z00_4192;

						BgL_arg1660z00_4192 =
							BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1219z00_4191), BgL_arg1660z00_4192);
					}
					BgL_new1220z00_4190 = BgL_new1219z00_4191;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1220z00_4190)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1095z00_3790)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1220z00_4190))->
						BgL_locz00) = ((obj_t) BgL_loc1096z00_3791), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1220z00_4190))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1097z00_3792)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1220z00_4190))->
						BgL_modz00) = ((obj_t) BgL_mod1098z00_3793), BUNSPEC);
				return BgL_new1220z00_4190;
			}
		}

	}



/* &lambda1684 */
	obj_t BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t BgL_envz00_3794,
		obj_t BgL_oz00_3795, obj_t BgL_vz00_3796)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3795)))->BgL_modz00) =
				((obj_t) BgL_vz00_3796), BUNSPEC);
		}

	}



/* &lambda1683 */
	obj_t BGl_z62lambda1683z62zz__evaluate_typesz00(obj_t BgL_envz00_3797,
		obj_t BgL_oz00_3798)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3798)))->BgL_modz00);
		}

	}



/* &lambda1678 */
	obj_t BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t BgL_envz00_3799,
		obj_t BgL_oz00_3800, obj_t BgL_vz00_3801)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3800)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3801)), BUNSPEC);
		}

	}



/* &lambda1677 */
	obj_t BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t BgL_envz00_3802,
		obj_t BgL_oz00_3803)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3803)))->BgL_namez00);
		}

	}



/* &lambda1669 */
	obj_t BGl_z62lambda1669z62zz__evaluate_typesz00(obj_t BgL_envz00_3804,
		obj_t BgL_oz00_3805, obj_t BgL_vz00_3806)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3805)))->BgL_locz00) =
				((obj_t) BgL_vz00_3806), BUNSPEC);
		}

	}



/* &lambda1668 */
	obj_t BGl_z62lambda1668z62zz__evaluate_typesz00(obj_t BgL_envz00_3807,
		obj_t BgL_oz00_3808)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3808)))->BgL_locz00);
		}

	}



/* &<@anonymous:1645> */
	obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3809, obj_t BgL_new1093z00_3810)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_auxz00_5308;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5309;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4201;

						BgL_classz00_4201 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1288z00_4202;

							BgL__ortest_1288z00_4202 = BGL_CLASS_NIL(BgL_classz00_4201);
							if (CBOOL(BgL__ortest_1288z00_4202))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5309 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4202);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5309 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4201));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3810))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5309), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_5319;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4203;

						BgL_classz00_4203 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1288z00_4204;

							BgL__ortest_1288z00_4204 = BGL_CLASS_NIL(BgL_classz00_4203);
							if (CBOOL(BgL__ortest_1288z00_4204))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5319 =
										((BgL_ev_varz00_bglt) BgL__ortest_1288z00_4204);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5319 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4203));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3810)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_5319), BUNSPEC);
				}
				BgL_auxz00_5308 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3810);
				return ((obj_t) BgL_auxz00_5308);
			}
		}

	}



/* &lambda1643 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3811)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1092z00_4205;

				BgL_new1092z00_4205 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1644z00_4206;

					BgL_arg1644z00_4206 =
						BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1092z00_4205), BgL_arg1644z00_4206);
				}
				return BgL_new1092z00_4205;
			}
		}

	}



/* &lambda1641 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3812, obj_t BgL_e1090z00_3813, obj_t BgL_v1091z00_3814)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1218z00_4209;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1217z00_4210;

					BgL_new1217z00_4210 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1642z00_4211;

						BgL_arg1642z00_4211 =
							BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1217z00_4210), BgL_arg1642z00_4211);
					}
					BgL_new1218z00_4209 = BgL_new1217z00_4210;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1218z00_4209)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1090z00_3813)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1218z00_4209))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1091z00_3814)),
					BUNSPEC);
				return BgL_new1218z00_4209;
			}
		}

	}



/* &lambda1650 */
	obj_t BGl_z62lambda1650z62zz__evaluate_typesz00(obj_t BgL_envz00_3815,
		obj_t BgL_oz00_3816, obj_t BgL_vz00_3817)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3816)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3817)), BUNSPEC);
		}

	}



/* &lambda1649 */
	BgL_ev_varz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3818, obj_t BgL_oz00_3819)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3819)))->BgL_vz00);
		}

	}



/* &<@anonymous:1635> */
	obj_t BGl_z62zc3z04anonymousza31635ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3820, obj_t BgL_new1088z00_3821)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_auxz00_5348;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5349;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_4216;

						BgL_classz00_4216 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1288z00_4217;

							BgL__ortest_1288z00_4217 = BGL_CLASS_NIL(BgL_classz00_4216);
							if (CBOOL(BgL__ortest_1288z00_4217))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5349 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4217);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5349 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4216));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_new1088z00_3821))))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5349), BUNSPEC);
				}
				BgL_auxz00_5348 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3821);
				return ((obj_t) BgL_auxz00_5348);
			}
		}

	}



/* &lambda1633 */
	BgL_ev_trapz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3822)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1087z00_4218;

				BgL_new1087z00_4218 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1634z00_4219;

					BgL_arg1634z00_4219 =
						BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_4218), BgL_arg1634z00_4219);
				}
				return BgL_new1087z00_4218;
			}
		}

	}



/* &lambda1630 */
	BgL_ev_trapz00_bglt BGl_z62lambda1630z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3823, obj_t BgL_e1086z00_3824)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1216z00_4221;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1215z00_4222;

					BgL_new1215z00_4222 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1632z00_4223;

						BgL_arg1632z00_4223 =
							BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1215z00_4222), BgL_arg1632z00_4223);
					}
					BgL_new1216z00_4221 = BgL_new1215z00_4222;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1216z00_4221)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1086z00_3824)),
					BUNSPEC);
				return BgL_new1216z00_4221;
			}
		}

	}



/* &<@anonymous:1617> */
	obj_t BGl_z62zc3z04anonymousza31617ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3825, obj_t BgL_new1084z00_3826)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_5372;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5373;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_4225;

						BgL_classz00_4225 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1288z00_4226;

							BgL__ortest_1288z00_4226 = BGL_CLASS_NIL(BgL_classz00_4225);
							if (CBOOL(BgL__ortest_1288z00_4226))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5373 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4226);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5373 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4225));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_new1084z00_3826)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5373), BUNSPEC);
				}
				BgL_auxz00_5372 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3826);
				return ((obj_t) BgL_auxz00_5372);
			}
		}

	}



/* &lambda1613 */
	BgL_ev_hookz00_bglt BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3827)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1083z00_4227;

				BgL_new1083z00_4227 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1616z00_4228;

					BgL_arg1616z00_4228 =
						BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1083z00_4227), BgL_arg1616z00_4228);
				}
				return BgL_new1083z00_4227;
			}
		}

	}



/* &lambda1611 */
	BgL_ev_hookz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3828, obj_t BgL_e1082z00_3829)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1214z00_4230;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1213z00_4231;

					BgL_new1213z00_4231 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1612z00_4232;

						BgL_arg1612z00_4232 =
							BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1213z00_4231), BgL_arg1612z00_4232);
					}
					BgL_new1214z00_4230 = BgL_new1213z00_4231;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1214z00_4230))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1082z00_3829)),
					BUNSPEC);
				return BgL_new1214z00_4230;
			}
		}

	}



/* &lambda1622 */
	obj_t BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t BgL_envz00_3830,
		obj_t BgL_oz00_3831, obj_t BgL_vz00_3832)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3831)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3832)), BUNSPEC);
		}

	}



/* &lambda1621 */
	BgL_ev_exprz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3833, obj_t BgL_oz00_3834)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3834)))->BgL_ez00);
		}

	}



/* &<@anonymous:1590> */
	obj_t BGl_z62zc3z04anonymousza31590ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3835, obj_t BgL_new1080z00_3836)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_5399;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5400;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4237;

						BgL_classz00_4237 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1288z00_4238;

							BgL__ortest_1288z00_4238 = BGL_CLASS_NIL(BgL_classz00_4237);
							if (CBOOL(BgL__ortest_1288z00_4238))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5400 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4238);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5400 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4237));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3836)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5400), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5409;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4239;

						BgL_classz00_4239 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1288z00_4240;

							BgL__ortest_1288z00_4240 = BGL_CLASS_NIL(BgL_classz00_4239);
							if (CBOOL(BgL__ortest_1288z00_4240))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5409 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4240);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5409 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4239));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3836)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5409), BUNSPEC);
				}
				BgL_auxz00_5399 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3836);
				return ((obj_t) BgL_auxz00_5399);
			}
		}

	}



/* &lambda1588 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3837)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1079z00_4241;

				BgL_new1079z00_4241 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1589z00_4242;

					BgL_arg1589z00_4242 =
						BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_4241), BgL_arg1589z00_4242);
				}
				return BgL_new1079z00_4241;
			}
		}

	}



/* &lambda1586 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1586z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3838, obj_t BgL_e11077z00_3839, obj_t BgL_e21078z00_3840)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1212z00_4245;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1211z00_4246;

					BgL_new1211z00_4246 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1587z00_4247;

						BgL_arg1587z00_4247 =
							BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_4246), BgL_arg1587z00_4247);
					}
					BgL_new1212z00_4245 = BgL_new1211z00_4246;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1212z00_4245))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11077z00_3839)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1212z00_4245))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21078z00_3840)),
					BUNSPEC);
				return BgL_new1212z00_4245;
			}
		}

	}



/* &lambda1603 */
	obj_t BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t BgL_envz00_3841,
		obj_t BgL_oz00_3842, obj_t BgL_vz00_3843)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3842)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3843)), BUNSPEC);
		}

	}



/* &lambda1602 */
	BgL_ev_exprz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3844, obj_t BgL_oz00_3845)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3845)))->BgL_e2z00);
		}

	}



/* &lambda1595 */
	obj_t BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3846,
		obj_t BgL_oz00_3847, obj_t BgL_vz00_3848)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3847)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3848)), BUNSPEC);
		}

	}



/* &lambda1594 */
	BgL_ev_exprz00_bglt BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3849, obj_t BgL_oz00_3850)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3850)))->BgL_e1z00);
		}

	}



/* &<@anonymous:1578> */
	obj_t BGl_z62zc3z04anonymousza31578ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3851, obj_t BgL_new1075z00_3852)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_auxz00_5442;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_new1075z00_3852))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5442 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3852);
				return ((obj_t) BgL_auxz00_5442);
			}
		}

	}



/* &lambda1573 */
	BgL_ev_andz00_bglt BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3853)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1074z00_4255;

				BgL_new1074z00_4255 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1577z00_4256;

					BgL_arg1577z00_4256 =
						BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1074z00_4255), BgL_arg1577z00_4256);
				}
				return BgL_new1074z00_4255;
			}
		}

	}



/* &lambda1571 */
	BgL_ev_andz00_bglt BGl_z62lambda1571z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3854, obj_t BgL_args1073z00_3855)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1210z00_4257;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1209z00_4258;

					BgL_new1209z00_4258 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1572z00_4259;

						BgL_arg1572z00_4259 =
							BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_4258), BgL_arg1572z00_4259);
					}
					BgL_new1210z00_4257 = BgL_new1209z00_4258;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1210z00_4257)))->BgL_argsz00) =
					((obj_t) BgL_args1073z00_3855), BUNSPEC);
				return BgL_new1210z00_4257;
			}
		}

	}



/* &<@anonymous:1563> */
	obj_t BGl_z62zc3z04anonymousza31563ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3856, obj_t BgL_new1071z00_3857)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_auxz00_5458;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_new1071z00_3857))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5458 = ((BgL_ev_orz00_bglt) BgL_new1071z00_3857);
				return ((obj_t) BgL_auxz00_5458);
			}
		}

	}



/* &lambda1560 */
	BgL_ev_orz00_bglt BGl_z62lambda1560z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3858)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1070z00_4261;

				BgL_new1070z00_4261 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1562z00_4262;

					BgL_arg1562z00_4262 =
						BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_4261), BgL_arg1562z00_4262);
				}
				return BgL_new1070z00_4261;
			}
		}

	}



/* &lambda1556 */
	BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3859, obj_t BgL_args1069z00_3860)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1208z00_4263;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1207z00_4264;

					BgL_new1207z00_4264 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1559z00_4265;

						BgL_arg1559z00_4265 =
							BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_4264), BgL_arg1559z00_4265);
					}
					BgL_new1208z00_4263 = BgL_new1207z00_4264;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1208z00_4263)))->BgL_argsz00) =
					((obj_t) BgL_args1069z00_3860), BUNSPEC);
				return BgL_new1208z00_4263;
			}
		}

	}



/* &<@anonymous:1543> */
	obj_t BGl_z62zc3z04anonymousza31543ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3861, obj_t BgL_new1067z00_3862)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_5474;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1067z00_3862)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5474 = ((BgL_ev_listz00_bglt) BgL_new1067z00_3862);
				return ((obj_t) BgL_auxz00_5474);
			}
		}

	}



/* &lambda1538 */
	BgL_ev_listz00_bglt BGl_z62lambda1538z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3863)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1066z00_4267;

				BgL_new1066z00_4267 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1542z00_4268;

					BgL_arg1542z00_4268 =
						BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1066z00_4267), BgL_arg1542z00_4268);
				}
				return BgL_new1066z00_4267;
			}
		}

	}



/* &lambda1536 */
	BgL_ev_listz00_bglt BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3864, obj_t BgL_args1065z00_3865)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1206z00_4269;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1205z00_4270;

					BgL_new1205z00_4270 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1537z00_4271;

						BgL_arg1537z00_4271 =
							BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_4270), BgL_arg1537z00_4271);
					}
					BgL_new1206z00_4269 = BgL_new1205z00_4270;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1206z00_4269))->BgL_argsz00) =
					((obj_t) BgL_args1065z00_3865), BUNSPEC);
				return BgL_new1206z00_4269;
			}
		}

	}



/* &lambda1550 */
	obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t BgL_envz00_3866,
		obj_t BgL_oz00_3867, obj_t BgL_vz00_3868)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3867)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3868), BUNSPEC);
		}

	}



/* &lambda1549 */
	obj_t BGl_z62lambda1549z62zz__evaluate_typesz00(obj_t BgL_envz00_3869,
		obj_t BgL_oz00_3870)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3870)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1514> */
	obj_t BGl_z62zc3z04anonymousza31514ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3871, obj_t BgL_new1063z00_3872)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_5492;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5493;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4275;

						BgL_classz00_4275 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1288z00_4276;

							BgL__ortest_1288z00_4276 = BGL_CLASS_NIL(BgL_classz00_4275);
							if (CBOOL(BgL__ortest_1288z00_4276))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5493 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4276);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5493 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4275));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3872)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5493), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5502;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4277;

						BgL_classz00_4277 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1288z00_4278;

							BgL__ortest_1288z00_4278 = BGL_CLASS_NIL(BgL_classz00_4277);
							if (CBOOL(BgL__ortest_1288z00_4278))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5502 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4278);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5502 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4277));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3872)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5502), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5511;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4279;

						BgL_classz00_4279 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1288z00_4280;

							BgL__ortest_1288z00_4280 = BGL_CLASS_NIL(BgL_classz00_4279);
							if (CBOOL(BgL__ortest_1288z00_4280))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5511 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1288z00_4280);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5511 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4279));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3872)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5511), BUNSPEC);
				}
				BgL_auxz00_5492 = ((BgL_ev_ifz00_bglt) BgL_new1063z00_3872);
				return ((obj_t) BgL_auxz00_5492);
			}
		}

	}



/* &lambda1512 */
	BgL_ev_ifz00_bglt BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3873)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1062z00_4281;

				BgL_new1062z00_4281 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1513z00_4282;

					BgL_arg1513z00_4282 =
						BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4281), BgL_arg1513z00_4282);
				}
				return BgL_new1062z00_4281;
			}
		}

	}



/* &lambda1510 */
	BgL_ev_ifz00_bglt BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3874, obj_t BgL_p1059z00_3875, obj_t BgL_t1060z00_3876,
		obj_t BgL_e1061z00_3877)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1204z00_4286;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1203z00_4287;

					BgL_new1203z00_4287 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1511z00_4288;

						BgL_arg1511z00_4288 =
							BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_4287), BgL_arg1511z00_4288);
					}
					BgL_new1204z00_4286 = BgL_new1203z00_4287;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4286))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1059z00_3875)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4286))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1060z00_3876)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1204z00_4286))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1061z00_3877)),
					BUNSPEC);
				return BgL_new1204z00_4286;
			}
		}

	}



/* &lambda1530 */
	obj_t BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t BgL_envz00_3878,
		obj_t BgL_oz00_3879, obj_t BgL_vz00_3880)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3879)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3880)), BUNSPEC);
		}

	}



/* &lambda1529 */
	BgL_ev_exprz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3881, obj_t BgL_oz00_3882)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3882)))->BgL_ez00);
		}

	}



/* &lambda1525 */
	obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3883,
		obj_t BgL_oz00_3884, obj_t BgL_vz00_3885)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3884)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3885)), BUNSPEC);
		}

	}



/* &lambda1524 */
	BgL_ev_exprz00_bglt BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3886, obj_t BgL_oz00_3887)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3887)))->BgL_tz00);
		}

	}



/* &lambda1519 */
	obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3888,
		obj_t BgL_oz00_3889, obj_t BgL_vz00_3890)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3889)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3890)), BUNSPEC);
		}

	}



/* &lambda1518 */
	BgL_ev_exprz00_bglt BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3891, obj_t BgL_oz00_3892)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3892)))->BgL_pz00);
		}

	}



/* &<@anonymous:1497> */
	obj_t BGl_z62zc3z04anonymousza31497ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3893, obj_t BgL_new1057z00_3894)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_auxz00_5551;

				((((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_new1057z00_3894)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5551 = ((BgL_ev_littz00_bglt) BgL_new1057z00_3894);
				return ((obj_t) BgL_auxz00_5551);
			}
		}

	}



/* &lambda1494 */
	BgL_ev_littz00_bglt BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3895)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1056z00_4299;

				BgL_new1056z00_4299 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1496z00_4300;

					BgL_arg1496z00_4300 =
						BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1056z00_4299), BgL_arg1496z00_4300);
				}
				return BgL_new1056z00_4299;
			}
		}

	}



/* &lambda1492 */
	BgL_ev_littz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3896, obj_t BgL_value1055z00_3897)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1202z00_4301;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1201z00_4302;

					BgL_new1201z00_4302 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1493z00_4303;

						BgL_arg1493z00_4303 =
							BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1201z00_4302), BgL_arg1493z00_4303);
					}
					BgL_new1202z00_4301 = BgL_new1201z00_4302;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1202z00_4301))->BgL_valuez00) =
					((obj_t) BgL_value1055z00_3897), BUNSPEC);
				return BgL_new1202z00_4301;
			}
		}

	}



/* &lambda1504 */
	obj_t BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3898,
		obj_t BgL_oz00_3899, obj_t BgL_vz00_3900)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3899)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3900), BUNSPEC);
		}

	}



/* &lambda1503 */
	obj_t BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t BgL_envz00_3901,
		obj_t BgL_oz00_3902)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3902)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1471> */
	obj_t BGl_z62zc3z04anonymousza31471ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3903, obj_t BgL_new1053z00_3904)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_5569;

				((((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_new1053z00_3904)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3904)))->BgL_namez00) =
					((obj_t) BGl_symbol2728z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3904)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5569 = ((BgL_ev_globalz00_bglt) BgL_new1053z00_3904);
				return ((obj_t) BgL_auxz00_5569);
			}
		}

	}



/* &lambda1469 */
	BgL_ev_globalz00_bglt BGl_z62lambda1469z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3905)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1052z00_4307;

				BgL_new1052z00_4307 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1470z00_4308;

					BgL_arg1470z00_4308 =
						BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1052z00_4307), BgL_arg1470z00_4308);
				}
				return BgL_new1052z00_4307;
			}
		}

	}



/* &lambda1467 */
	BgL_ev_globalz00_bglt BGl_z62lambda1467z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3906, obj_t BgL_loc1049z00_3907, obj_t BgL_name1050z00_3908,
		obj_t BgL_mod1051z00_3909)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1200z00_4310;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1199z00_4311;

					BgL_new1199z00_4311 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1468z00_4312;

						BgL_arg1468z00_4312 =
							BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_4311), BgL_arg1468z00_4312);
					}
					BgL_new1200z00_4310 = BgL_new1199z00_4311;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4310))->BgL_locz00) =
					((obj_t) BgL_loc1049z00_3907), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4310))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1050z00_3908)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1200z00_4310))->BgL_modz00) =
					((obj_t) BgL_mod1051z00_3909), BUNSPEC);
				return BgL_new1200z00_4310;
			}
		}

	}



/* &lambda1486 */
	obj_t BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t BgL_envz00_3910,
		obj_t BgL_oz00_3911, obj_t BgL_vz00_3912)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3911)))->BgL_modz00) =
				((obj_t) BgL_vz00_3912), BUNSPEC);
		}

	}



/* &lambda1485 */
	obj_t BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3914)))->BgL_modz00);
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3915,
		obj_t BgL_oz00_3916, obj_t BgL_vz00_3917)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3916)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3917)), BUNSPEC);
		}

	}



/* &lambda1480 */
	obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3918,
		obj_t BgL_oz00_3919)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3919)))->BgL_namez00);
		}

	}



/* &lambda1476 */
	obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3920,
		obj_t BgL_oz00_3921, obj_t BgL_vz00_3922)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3921)))->BgL_locz00) =
				((obj_t) BgL_vz00_3922), BUNSPEC);
		}

	}



/* &lambda1475 */
	obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3923,
		obj_t BgL_oz00_3924)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3924)))->BgL_locz00);
		}

	}



/* &<@anonymous:1443> */
	obj_t BGl_z62zc3z04anonymousza31443ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3925, obj_t BgL_new1047z00_3926)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_5603;

				((((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_new1047z00_3926)))->BgL_namez00) =
					((obj_t) BGl_symbol2728z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3926)))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3926)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5603 = ((BgL_ev_varz00_bglt) BgL_new1047z00_3926);
				return ((obj_t) BgL_auxz00_5603);
			}
		}

	}



/* &lambda1441 */
	BgL_ev_varz00_bglt BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3927)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1046z00_4321;

				BgL_new1046z00_4321 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1442z00_4322;

					BgL_arg1442z00_4322 =
						BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1046z00_4321), BgL_arg1442z00_4322);
				}
				return BgL_new1046z00_4321;
			}
		}

	}



/* &lambda1439 */
	BgL_ev_varz00_bglt BGl_z62lambda1439z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3928, obj_t BgL_name1043z00_3929, obj_t BgL_eff1044z00_3930,
		obj_t BgL_type1045z00_3931)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1198z00_4324;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_4325;

					BgL_new1197z00_4325 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1440z00_4326;

						BgL_arg1440z00_4326 =
							BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_4325), BgL_arg1440z00_4326);
					}
					BgL_new1198z00_4324 = BgL_new1197z00_4325;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4324))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1043z00_3929)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4324))->BgL_effz00) =
					((obj_t) BgL_eff1044z00_3930), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4324))->BgL_typez00) =
					((obj_t) BgL_type1045z00_3931), BUNSPEC);
				return BgL_new1198z00_4324;
			}
		}

	}



/* &lambda1460 */
	obj_t BGl_z62lambda1460z62zz__evaluate_typesz00(obj_t BgL_envz00_3932,
		obj_t BgL_oz00_3933, obj_t BgL_vz00_3934)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3933)))->BgL_typez00) =
				((obj_t) BgL_vz00_3934), BUNSPEC);
		}

	}



/* &lambda1459 */
	obj_t BGl_z62lambda1459z62zz__evaluate_typesz00(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3936)))->BgL_typez00);
		}

	}



/* &<@anonymous:1455> */
	obj_t BGl_z62zc3z04anonymousza31455ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3937)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1454 */
	obj_t BGl_z62lambda1454z62zz__evaluate_typesz00(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939, obj_t BgL_vz00_3940)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3939)))->BgL_effz00) =
				((obj_t) BgL_vz00_3940), BUNSPEC);
		}

	}



/* &lambda1453 */
	obj_t BGl_z62lambda1453z62zz__evaluate_typesz00(obj_t BgL_envz00_3941,
		obj_t BgL_oz00_3942)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3942)))->BgL_effz00);
		}

	}



/* &lambda1448 */
	obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3943,
		obj_t BgL_oz00_3944, obj_t BgL_vz00_3945)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3944)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3945)), BUNSPEC);
		}

	}



/* &lambda1447 */
	obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t BgL_envz00_3946,
		obj_t BgL_oz00_3947)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3947)))->BgL_namez00);
		}

	}



/* &<@anonymous:1432> */
	obj_t BGl_z62zc3z04anonymousza31432ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3948, obj_t BgL_new1041z00_3949)
	{
		{	/* Eval/evaluate_types.scm 49 */
			return ((obj_t) ((BgL_ev_exprz00_bglt) BgL_new1041z00_3949));
		}

	}



/* &lambda1430 */
	BgL_ev_exprz00_bglt BGl_z62lambda1430z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3950)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1040z00_4335;

				BgL_new1040z00_4335 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1431z00_4336;

					BgL_arg1431z00_4336 =
						BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1040z00_4335), BgL_arg1431z00_4336);
				}
				return BgL_new1040z00_4335;
			}
		}

	}



/* &lambda1428 */
	BgL_ev_exprz00_bglt BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3951)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1196z00_4337;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1195z00_4338;

					BgL_new1195z00_4338 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1429z00_4339;

						BgL_arg1429z00_4339 =
							BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_4338), BgL_arg1429z00_4339);
					}
					BgL_new1196z00_4337 = BgL_new1195z00_4338;
				}
				return BgL_new1196z00_4337;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 121046086),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 14685245),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 368666432),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 377164741),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 236632712),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					80085104), BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					437057797),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460262918),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) -44273703),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					9614678), BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 190905450),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 331540577),
				BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					86988580), BSTRING_TO_STRING(BGl_string2405z00zz__evaluate_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
