/*===========================================================================*/
/*   (Unsafe/base64.scm)                                                     */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/base64.scm -indent -o objs/obj_u/Unsafe/base64.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;


	extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
	static obj_t BGl_z62zc3z04anonymousza31965ze32344ze5zz__base64z00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31965ze32345ze5zz__base64z00(obj_t,
		obj_t);
	static obj_t BGl_bytezd2tablezd2zz__base64z00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t, obj_t,
		long);
	static obj_t BGl_requirezd2initializa7ationz75zz__base64z00 = BUNSPEC;
	extern obj_t BGl_raisez00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
	static obj_t BGl_ignoreze70ze7zz__base64z00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__base64z00();
	static obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
	extern obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
	static obj_t BGl_genericzd2initzd2zz__base64z00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__base64z00();
	static obj_t BGl_gczd2rootszd2initz00zz__base64z00();
	static obj_t BGl_z62zc3z04anonymousza31965ze3ze5zz__base64z00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__base64z00();
	extern bool_t bigloo_strcmp_at(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t, obj_t);
	static obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t, obj_t, obj_t);
	static long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__base64z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__base64z00();
	extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
	extern bool_t rgc_fill_buffer(obj_t);
	static obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t, obj_t);
	extern obj_t make_string(long, unsigned char);
	extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static obj_t BGl_base64zd2decodezd2grammarz00zz__base64z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_pemzd2markupzd2grammarz00zz__base64z00 = BUNSPEC;
	extern obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31997ze3ze5zz__base64z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00(obj_t, obj_t,
		obj_t, obj_t, long, long, obj_t, bool_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_base64zd2encodezd2envz00zz__base64z00,
		BgL_bgl__base64za7d2encode2402za7, opt_generic_entry,
		BGl__base64zd2encodezd2zz__base64z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_base64zd2decodezd2portzd2envzd2zz__base64z00,
		BgL_bgl__base64za7d2decode2403za7, opt_generic_entry,
		BGl__base64zd2decodezd2portz00zz__base64z00, BFALSE, -1);
	      DEFINE_STRING(BGl_string2400z00zz__base64z00,
		BgL_bgl_string2400za700za7za7_2404za7, "&pem-read-file", 14);
	      DEFINE_STRING(BGl_string2401z00zz__base64z00,
		BgL_bgl_string2401za700za7za7_2405za7, "__base64", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_base64zd2encodezd2portzd2envzd2zz__base64z00,
		BgL_bgl__base64za7d2encode2406za7, opt_generic_entry,
		BGl__base64zd2encodezd2portz00zz__base64z00, BFALSE, -1);
	      DEFINE_STRING(BGl_string2376z00zz__base64z00,
		BgL_bgl_string2376za700za7za7_2407za7, "pem-decode-port", 15);
	      DEFINE_STRING(BGl_string2377z00zz__base64z00,
		BgL_bgl_string2377za700za7za7_2408za7, "Illegal character in PEM markup",
		31);
	      DEFINE_STRING(BGl_string2378z00zz__base64z00,
		BgL_bgl_string2378za700za7za7_2409za7, "{~a}~a", 6);
	      DEFINE_STRING(BGl_string2379z00zz__base64z00,
		BgL_bgl_string2379za700za7za7_2410za7, "Illegal PEM markup", 18);
	      DEFINE_STRING(BGl_string2380z00zz__base64z00,
		BgL_bgl_string2380za700za7za7_2411za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string2381z00zz__base64z00,
		BgL_bgl_string2381za700za7za7_2412za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string2382z00zz__base64z00,
		BgL_bgl_string2382za700za7za7_2413za7,
		"/tmp/bigloo/runtime/Unsafe/base64.scm", 37);
	      DEFINE_STRING(BGl_string2383z00zz__base64z00,
		BgL_bgl_string2383za700za7za7_2414za7, "_base64-encode", 14);
	      DEFINE_STRING(BGl_string2384z00zz__base64z00,
		BgL_bgl_string2384za700za7za7_2415za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2385z00zz__base64z00,
		BgL_bgl_string2385za700za7za7_2416za7,
		"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", 64);
	      DEFINE_STRING(BGl_string2386z00zz__base64z00,
		BgL_bgl_string2386za700za7za7_2417za7, "_base64-encode-port", 19);
	      DEFINE_STRING(BGl_string2387z00zz__base64z00,
		BgL_bgl_string2387za700za7za7_2418za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2388z00zz__base64z00,
		BgL_bgl_string2388za700za7za7_2419za7, "output-port", 11);
	      DEFINE_STRING(BGl_string2389z00zz__base64z00,
		BgL_bgl_string2389za700za7za7_2420za7, "_base64-decode", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pemzd2decodezd2portzd2envzd2zz__base64z00,
		BgL_bgl_za762pemza7d2decodeza72421za7,
		BGl_z62pemzd2decodezd2portz62zz__base64z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2390z00zz__base64z00,
		BgL_bgl_string2390za700za7za7_2422za7, "_base64-decode-port", 19);
	      DEFINE_STRING(BGl_string2394z00zz__base64z00,
		BgL_bgl_string2394za700za7za7_2423za7, "BEGIN ", 6);
	      DEFINE_STRING(BGl_string2395z00zz__base64z00,
		BgL_bgl_string2395za700za7za7_2424za7, "Illegal PEM begin markup", 24);
	      DEFINE_STRING(BGl_string2396z00zz__base64z00,
		BgL_bgl_string2396za700za7za7_2425za7, "&pem-decode-port", 16);
	      DEFINE_STRING(BGl_string2397z00zz__base64z00,
		BgL_bgl_string2397za700za7za7_2426za7, "END ", 4);
	      DEFINE_STRING(BGl_string2398z00zz__base64z00,
		BgL_bgl_string2398za700za7za7_2427za7, "PEM begin/end markup mismatch", 29);
	      DEFINE_STRING(BGl_string2399z00zz__base64z00,
		BgL_bgl_string2399za700za7za7_2428za7, "Illegal character", 17);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2391z00zz__base64z00,
		BgL_bgl_za762za7c3za704anonymo2429za7,
		BGl_z62zc3z04anonymousza31965ze32344ze5zz__base64z00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2392z00zz__base64z00,
		BgL_bgl_za762za7c3za704anonymo2430za7,
		BGl_z62zc3z04anonymousza31965ze3ze5zz__base64z00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2393z00zz__base64z00,
		BgL_bgl_za762za7c3za704anonymo2431za7,
		BGl_z62zc3z04anonymousza31965ze32345ze5zz__base64z00);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pemzd2readzd2filezd2envzd2zz__base64z00,
		BgL_bgl_za762pemza7d2readza7d22432za7,
		BGl_z62pemzd2readzd2filez62zz__base64z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_base64zd2decodezd2envz00zz__base64z00,
		BgL_bgl__base64za7d2decode2433za7, opt_generic_entry,
		BGl__base64zd2decodezd2zz__base64z00, BFALSE, -1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_bytezd2tablezd2zz__base64z00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__base64z00));
		     ADD_ROOT((void *) (&BGl_base64zd2decodezd2grammarz00zz__base64z00));
		     ADD_ROOT((void *) (&BGl_pemzd2markupzd2grammarz00zz__base64z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long
		BgL_checksumz00_4579, char *BgL_fromz00_4580)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__base64z00))
				{
					BGl_requirezd2initializa7ationz75zz__base64z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__base64z00();
					BGl_importedzd2moduleszd2initz00zz__base64z00();
					return BGl_toplevelzd2initzd2zz__base64z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			{	/* Unsafe/base64.scm 173 */
				obj_t BgL_tablez00_1242;

				BgL_tablez00_1242 =
					BGl_makezd2u8vectorzd2zz__srfi4z00(((long) 128),
					(uint8_t) (((long) 0)));
				{
					long BgL_iz00_1245;

					BgL_iz00_1245 = ((long) 0);
				BgL_zc3z04anonymousza31246ze3z87_1246:
					if ((BgL_iz00_1245 < ((long) 26)))
						{	/* Unsafe/base64.scm 177 */
							{	/* Unsafe/base64.scm 178 */
								long BgL_arg1253z00_1248;

								BgL_arg1253z00_1248 = (BgL_iz00_1245 + ((long) 65));
								{	/* Unsafe/base64.scm 175 */
									uint8_t BgL_tmpz00_4593;

									BgL_tmpz00_4593 = (uint8_t) (BgL_iz00_1245);
									BGL_U8VSET(BgL_tablez00_1242, BgL_arg1253z00_1248,
										BgL_tmpz00_4593);
								} BUNSPEC;
							}
							{	/* Unsafe/base64.scm 179 */
								long BgL_arg1254z00_1249;
								long BgL_arg1255z00_1250;

								BgL_arg1254z00_1249 = (BgL_iz00_1245 + ((long) 97));
								BgL_arg1255z00_1250 = (BgL_iz00_1245 + ((long) 26));
								{	/* Unsafe/base64.scm 175 */
									uint8_t BgL_tmpz00_4598;

									BgL_tmpz00_4598 = (uint8_t) (BgL_arg1255z00_1250);
									BGL_U8VSET(BgL_tablez00_1242, BgL_arg1254z00_1249,
										BgL_tmpz00_4598);
								} BUNSPEC;
							}
							{
								long BgL_iz00_4601;

								BgL_iz00_4601 = (BgL_iz00_1245 + ((long) 1));
								BgL_iz00_1245 = BgL_iz00_4601;
								goto BgL_zc3z04anonymousza31246ze3z87_1246;
							}
						}
					else
						{	/* Unsafe/base64.scm 177 */
							((bool_t) 0);
						}
				}
				{
					long BgL_iz00_2909;

					BgL_iz00_2909 = ((long) 0);
				BgL_loopz00_2908:
					if ((BgL_iz00_2909 < ((long) 10)))
						{	/* Unsafe/base64.scm 182 */
							{	/* Unsafe/base64.scm 183 */
								long BgL_arg1259z00_2912;
								long BgL_arg1260z00_2913;

								BgL_arg1259z00_2912 = (BgL_iz00_2909 + ((long) 48));
								BgL_arg1260z00_2913 = (BgL_iz00_2909 + ((long) 52));
								{	/* Unsafe/base64.scm 175 */
									uint8_t BgL_tmpz00_4607;

									BgL_tmpz00_4607 = (uint8_t) (BgL_arg1260z00_2913);
									BGL_U8VSET(BgL_tablez00_1242, BgL_arg1259z00_2912,
										BgL_tmpz00_4607);
								} BUNSPEC;
							}
							{
								long BgL_iz00_4610;

								BgL_iz00_4610 = (BgL_iz00_2909 + ((long) 1));
								BgL_iz00_2909 = BgL_iz00_4610;
								goto BgL_loopz00_2908;
							}
						}
					else
						{	/* Unsafe/base64.scm 182 */
							((bool_t) 0);
						}
				}
				{	/* Unsafe/base64.scm 175 */
					uint8_t BgL_tmpz00_4612;

					BgL_tmpz00_4612 = (uint8_t) (((long) 62));
					BGL_U8VSET(BgL_tablez00_1242, ((long) 43), BgL_tmpz00_4612);
				} BUNSPEC;
				{	/* Unsafe/base64.scm 175 */
					uint8_t BgL_tmpz00_4615;

					BgL_tmpz00_4615 = (uint8_t) (((long) 62));
					BGL_U8VSET(BgL_tablez00_1242, ((long) 45), BgL_tmpz00_4615);
				} BUNSPEC;
				{	/* Unsafe/base64.scm 175 */
					uint8_t BgL_tmpz00_4618;

					BgL_tmpz00_4618 = (uint8_t) (((long) 63));
					BGL_U8VSET(BgL_tablez00_1242, ((long) 47), BgL_tmpz00_4618);
				} BUNSPEC;
				{	/* Unsafe/base64.scm 175 */
					uint8_t BgL_tmpz00_4621;

					BgL_tmpz00_4621 = (uint8_t) (((long) 63));
					BGL_U8VSET(BgL_tablez00_1242, ((long) 95), BgL_tmpz00_4621);
				} BUNSPEC;
				BGl_bytezd2tablezd2zz__base64z00 = BgL_tablez00_1242;
			}
			{	/* Unsafe/base64.scm 300 */
				obj_t BgL_zc3z04anonymousza31263ze3z87_4284;

				{
					int BgL_tmpz00_4624;

					BgL_tmpz00_4624 = (int) (((long) 0));
					BgL_zc3z04anonymousza31263ze3z87_4284 =
						MAKE_EL_PROCEDURE(BgL_tmpz00_4624);
				}
				BGl_base64zd2decodezd2grammarz00zz__base64z00 =
					BgL_zc3z04anonymousza31263ze3z87_4284;
			}
			{	/* Unsafe/base64.scm 388 */
				obj_t BgL_zc3z04anonymousza31532ze3z87_4283;

				{
					int BgL_tmpz00_4627;

					BgL_tmpz00_4627 = (int) (((long) 0));
					BgL_zc3z04anonymousza31532ze3z87_4283 =
						MAKE_EL_PROCEDURE(BgL_tmpz00_4627);
				}
				return (BGl_pemzd2markupzd2grammarz00zz__base64z00 =
					BgL_zc3z04anonymousza31532ze3z87_4283, BUNSPEC);
			}
		}

	}



/* &<@anonymous:1532> */
	obj_t BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00(obj_t BgL_envz00_4285,
		obj_t BgL_iportz00_4286, long BgL_countz00_4287)
	{
		{	/* Unsafe/base64.scm 388 */
			{	/* Unsafe/base64.scm 388 */
				long BgL_countz00_4353;

				BgL_countz00_4353 = BgL_countz00_4287;
				{	/* Unsafe/base64.scm 388 */
					struct bgl_cell BgL_box2437_4354z00;
					obj_t BgL_countz00_4354;

					BgL_countz00_4354 =
						MAKE_CELL_STACK(BINT(BgL_countz00_4353), BgL_box2437_4354z00);
					return
						BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4354,
						BgL_iportz00_4286);
				}
			}
		}

	}



/* ignore~0 */
	obj_t BGl_ignoreze70ze7zz__base64z00(obj_t BgL_countz00_4319,
		obj_t BgL_iportz00_4318)
	{
		{	/* Unsafe/base64.scm 388 */
		BGl_ignoreze70ze7zz__base64z00:
			{
				obj_t BgL_iportz00_1896;
				long BgL_lastzd2matchzd2_1897;
				long BgL_forwardz00_1898;
				long BgL_bufposz00_1899;
				obj_t BgL_iportz00_1881;
				long BgL_lastzd2matchzd2_1882;
				long BgL_forwardz00_1883;
				long BgL_bufposz00_1884;
				obj_t BgL_iportz00_1858;
				long BgL_lastzd2matchzd2_1859;
				long BgL_forwardz00_1860;
				long BgL_bufposz00_1861;
				obj_t BgL_iportz00_1837;
				long BgL_lastzd2matchzd2_1838;
				long BgL_forwardz00_1839;
				long BgL_bufposz00_1840;
				obj_t BgL_iportz00_1820;
				long BgL_lastzd2matchzd2_1821;
				long BgL_forwardz00_1822;
				long BgL_bufposz00_1823;

				RGC_START_MATCH(BgL_iportz00_4318);
				{	/* Unsafe/base64.scm 388 */
					long BgL_matchz00_2032;

					{	/* Unsafe/base64.scm 388 */
						long BgL_arg1733z00_2061;
						long BgL_arg1734z00_2062;

						BgL_arg1733z00_2061 = RGC_BUFFER_FORWARD(BgL_iportz00_4318);
						BgL_arg1734z00_2062 = RGC_BUFFER_BUFPOS(BgL_iportz00_4318);
						BgL_iportz00_1896 = BgL_iportz00_4318;
						BgL_lastzd2matchzd2_1897 = ((long) 3);
						BgL_forwardz00_1898 = BgL_arg1733z00_2061;
						BgL_bufposz00_1899 = BgL_arg1734z00_2062;
					BgL_zc3z04anonymousza31584ze3z87_1900:
						if ((BgL_forwardz00_1898 == BgL_bufposz00_1899))
							{	/* Unsafe/base64.scm 388 */
								if (rgc_fill_buffer(BgL_iportz00_1896))
									{	/* Unsafe/base64.scm 388 */
										long BgL_arg1587z00_1903;
										long BgL_arg1588z00_1904;

										BgL_arg1587z00_1903 = RGC_BUFFER_FORWARD(BgL_iportz00_1896);
										BgL_arg1588z00_1904 = RGC_BUFFER_BUFPOS(BgL_iportz00_1896);
										{
											long BgL_bufposz00_4642;
											long BgL_forwardz00_4641;

											BgL_forwardz00_4641 = BgL_arg1587z00_1903;
											BgL_bufposz00_4642 = BgL_arg1588z00_1904;
											BgL_bufposz00_1899 = BgL_bufposz00_4642;
											BgL_forwardz00_1898 = BgL_forwardz00_4641;
											goto BgL_zc3z04anonymousza31584ze3z87_1900;
										}
									}
								else
									{	/* Unsafe/base64.scm 388 */
										BgL_matchz00_2032 = BgL_lastzd2matchzd2_1897;
									}
							}
						else
							{	/* Unsafe/base64.scm 388 */
								int BgL_curz00_1905;

								BgL_curz00_1905 =
									RGC_BUFFER_GET_CHAR(BgL_iportz00_1896, BgL_forwardz00_1898);
								{	/* Unsafe/base64.scm 388 */

									if (((long) (BgL_curz00_1905) == ((long) 45)))
										{	/* Unsafe/base64.scm 388 */
											BgL_iportz00_1837 = BgL_iportz00_1896;
											BgL_lastzd2matchzd2_1838 = BgL_lastzd2matchzd2_1897;
											BgL_forwardz00_1839 = (((long) 1) + BgL_forwardz00_1898);
											BgL_bufposz00_1840 = BgL_bufposz00_1899;
										BgL_zc3z04anonymousza31543ze3z87_1841:
											{	/* Unsafe/base64.scm 388 */
												long BgL_newzd2matchzd2_1842;

												RGC_STOP_MATCH(BgL_iportz00_1837, BgL_forwardz00_1839);
												BgL_newzd2matchzd2_1842 = ((long) 0);
												if ((BgL_forwardz00_1839 == BgL_bufposz00_1840))
													{	/* Unsafe/base64.scm 388 */
														if (rgc_fill_buffer(BgL_iportz00_1837))
															{	/* Unsafe/base64.scm 388 */
																long BgL_arg1547z00_1845;
																long BgL_arg1548z00_1846;

																BgL_arg1547z00_1845 =
																	RGC_BUFFER_FORWARD(BgL_iportz00_1837);
																BgL_arg1548z00_1846 =
																	RGC_BUFFER_BUFPOS(BgL_iportz00_1837);
																{
																	long BgL_bufposz00_4655;
																	long BgL_forwardz00_4654;

																	BgL_forwardz00_4654 = BgL_arg1547z00_1845;
																	BgL_bufposz00_4655 = BgL_arg1548z00_1846;
																	BgL_bufposz00_1840 = BgL_bufposz00_4655;
																	BgL_forwardz00_1839 = BgL_forwardz00_4654;
																	goto BgL_zc3z04anonymousza31543ze3z87_1841;
																}
															}
														else
															{	/* Unsafe/base64.scm 388 */
																BgL_matchz00_2032 = BgL_newzd2matchzd2_1842;
															}
													}
												else
													{	/* Unsafe/base64.scm 388 */
														int BgL_curz00_1847;

														BgL_curz00_1847 =
															RGC_BUFFER_GET_CHAR(BgL_iportz00_1837,
															BgL_forwardz00_1839);
														{	/* Unsafe/base64.scm 388 */

															if (((long) (BgL_curz00_1847) == ((long) 45)))
																{	/* Unsafe/base64.scm 388 */
																	BgL_iportz00_1881 = BgL_iportz00_1837;
																	BgL_lastzd2matchzd2_1882 =
																		BgL_newzd2matchzd2_1842;
																	BgL_forwardz00_1883 =
																		(((long) 1) + BgL_forwardz00_1839);
																	BgL_bufposz00_1884 = BgL_bufposz00_1840;
																BgL_zc3z04anonymousza31569ze3z87_1885:
																	{	/* Unsafe/base64.scm 388 */
																		long BgL_newzd2matchzd2_1886;

																		RGC_STOP_MATCH(BgL_iportz00_1881,
																			BgL_forwardz00_1883);
																		BgL_newzd2matchzd2_1886 = ((long) 0);
																		if (
																			(BgL_forwardz00_1883 ==
																				BgL_bufposz00_1884))
																			{	/* Unsafe/base64.scm 388 */
																				if (rgc_fill_buffer(BgL_iportz00_1881))
																					{	/* Unsafe/base64.scm 388 */
																						long BgL_arg1572z00_1889;
																						long BgL_arg1577z00_1890;

																						BgL_arg1572z00_1889 =
																							RGC_BUFFER_FORWARD
																							(BgL_iportz00_1881);
																						BgL_arg1577z00_1890 =
																							RGC_BUFFER_BUFPOS
																							(BgL_iportz00_1881);
																						{
																							long BgL_bufposz00_4668;
																							long BgL_forwardz00_4667;

																							BgL_forwardz00_4667 =
																								BgL_arg1572z00_1889;
																							BgL_bufposz00_4668 =
																								BgL_arg1577z00_1890;
																							BgL_bufposz00_1884 =
																								BgL_bufposz00_4668;
																							BgL_forwardz00_1883 =
																								BgL_forwardz00_4667;
																							goto
																								BgL_zc3z04anonymousza31569ze3z87_1885;
																						}
																					}
																				else
																					{	/* Unsafe/base64.scm 388 */
																						BgL_matchz00_2032 =
																							BgL_newzd2matchzd2_1886;
																					}
																			}
																		else
																			{	/* Unsafe/base64.scm 388 */
																				int BgL_curz00_1891;

																				BgL_curz00_1891 =
																					RGC_BUFFER_GET_CHAR(BgL_iportz00_1881,
																					BgL_forwardz00_1883);
																				{	/* Unsafe/base64.scm 388 */

																					if (
																						((long) (BgL_curz00_1891) ==
																							((long) 45)))
																						{
																							long BgL_forwardz00_4674;
																							long BgL_lastzd2matchzd2_4673;

																							BgL_lastzd2matchzd2_4673 =
																								BgL_newzd2matchzd2_1886;
																							BgL_forwardz00_4674 =
																								(((long) 1) +
																								BgL_forwardz00_1883);
																							BgL_forwardz00_1883 =
																								BgL_forwardz00_4674;
																							BgL_lastzd2matchzd2_1882 =
																								BgL_lastzd2matchzd2_4673;
																							goto
																								BgL_zc3z04anonymousza31569ze3z87_1885;
																						}
																					else
																						{	/* Unsafe/base64.scm 388 */
																							if (
																								((long) (BgL_curz00_1891) ==
																									((long) 10)))
																								{	/* Unsafe/base64.scm 388 */
																									long BgL_arg1583z00_1895;

																									BgL_arg1583z00_1895 =
																										(((long) 1) +
																										BgL_forwardz00_1883);
																									{	/* Unsafe/base64.scm 388 */
																										long
																											BgL_newzd2matchzd2_3414;
																										RGC_STOP_MATCH
																											(BgL_iportz00_1881,
																											BgL_arg1583z00_1895);
																										BgL_newzd2matchzd2_3414 =
																											((long) 1);
																										BgL_matchz00_2032 =
																											BgL_newzd2matchzd2_3414;
																								}}
																							else
																								{	/* Unsafe/base64.scm 388 */
																									BgL_matchz00_2032 =
																										BgL_newzd2matchzd2_1886;
																								}
																						}
																				}
																			}
																	}
																}
															else
																{	/* Unsafe/base64.scm 388 */
																	if (((long) (BgL_curz00_1847) == ((long) 10)))
																		{	/* Unsafe/base64.scm 388 */
																			long BgL_arg1552z00_1851;

																			BgL_arg1552z00_1851 =
																				(((long) 1) + BgL_forwardz00_1839);
																			{	/* Unsafe/base64.scm 388 */
																				long BgL_newzd2matchzd2_3379;

																				RGC_STOP_MATCH(BgL_iportz00_1837,
																					BgL_arg1552z00_1851);
																				BgL_newzd2matchzd2_3379 = ((long) 1);
																				BgL_matchz00_2032 =
																					BgL_newzd2matchzd2_3379;
																		}}
																	else
																		{	/* Unsafe/base64.scm 388 */
																			BgL_matchz00_2032 =
																				BgL_newzd2matchzd2_1842;
																		}
																}
														}
													}
											}
										}
									else
										{	/* Unsafe/base64.scm 388 */
											bool_t BgL_test2449z00_4688;

											if (((long) (BgL_curz00_1905) == ((long) 10)))
												{	/* Unsafe/base64.scm 388 */
													BgL_test2449z00_4688 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/base64.scm 388 */
													BgL_test2449z00_4688 =
														((long) (BgL_curz00_1905) == ((long) 13));
												}
											if (BgL_test2449z00_4688)
												{	/* Unsafe/base64.scm 388 */
													long BgL_arg1594z00_1910;

													BgL_arg1594z00_1910 =
														(((long) 1) + BgL_forwardz00_1898);
													{	/* Unsafe/base64.scm 388 */
														long BgL_newzd2matchzd2_3429;

														RGC_STOP_MATCH(BgL_iportz00_1896,
															BgL_arg1594z00_1910);
														BgL_newzd2matchzd2_3429 = ((long) 3);
														BgL_matchz00_2032 = BgL_newzd2matchzd2_3429;
												}}
											else
												{	/* Unsafe/base64.scm 388 */
													BgL_iportz00_1858 = BgL_iportz00_1896;
													BgL_lastzd2matchzd2_1859 = BgL_lastzd2matchzd2_1897;
													BgL_forwardz00_1860 =
														(((long) 1) + BgL_forwardz00_1898);
													BgL_bufposz00_1861 = BgL_bufposz00_1899;
												BgL_zc3z04anonymousza31554ze3z87_1862:
													{	/* Unsafe/base64.scm 388 */
														long BgL_newzd2matchzd2_1863;

														RGC_STOP_MATCH(BgL_iportz00_1858,
															BgL_forwardz00_1860);
														BgL_newzd2matchzd2_1863 = ((long) 2);
														if ((BgL_forwardz00_1860 == BgL_bufposz00_1861))
															{	/* Unsafe/base64.scm 388 */
																if (rgc_fill_buffer(BgL_iportz00_1858))
																	{	/* Unsafe/base64.scm 388 */
																		long BgL_arg1559z00_1866;
																		long BgL_arg1562z00_1867;

																		BgL_arg1559z00_1866 =
																			RGC_BUFFER_FORWARD(BgL_iportz00_1858);
																		BgL_arg1562z00_1867 =
																			RGC_BUFFER_BUFPOS(BgL_iportz00_1858);
																		{
																			long BgL_bufposz00_4704;
																			long BgL_forwardz00_4703;

																			BgL_forwardz00_4703 = BgL_arg1559z00_1866;
																			BgL_bufposz00_4704 = BgL_arg1562z00_1867;
																			BgL_bufposz00_1861 = BgL_bufposz00_4704;
																			BgL_forwardz00_1860 = BgL_forwardz00_4703;
																			goto
																				BgL_zc3z04anonymousza31554ze3z87_1862;
																		}
																	}
																else
																	{	/* Unsafe/base64.scm 388 */
																		BgL_matchz00_2032 = BgL_newzd2matchzd2_1863;
																	}
															}
														else
															{	/* Unsafe/base64.scm 388 */
																int BgL_curz00_1868;

																BgL_curz00_1868 =
																	RGC_BUFFER_GET_CHAR(BgL_iportz00_1858,
																	BgL_forwardz00_1860);
																{	/* Unsafe/base64.scm 388 */

																	{	/* Unsafe/base64.scm 388 */
																		bool_t BgL_test2453z00_4706;

																		if (
																			((long) (BgL_curz00_1868) == ((long) 10)))
																			{	/* Unsafe/base64.scm 388 */
																				BgL_test2453z00_4706 = ((bool_t) 1);
																			}
																		else
																			{	/* Unsafe/base64.scm 388 */
																				if (
																					((long) (BgL_curz00_1868) ==
																						((long) 13)))
																					{	/* Unsafe/base64.scm 388 */
																						BgL_test2453z00_4706 = ((bool_t) 1);
																					}
																				else
																					{	/* Unsafe/base64.scm 388 */
																						BgL_test2453z00_4706 =
																							(
																							(long) (BgL_curz00_1868) ==
																							((long) 45));
																			}}
																		if (BgL_test2453z00_4706)
																			{	/* Unsafe/base64.scm 388 */
																				BgL_matchz00_2032 =
																					BgL_newzd2matchzd2_1863;
																			}
																		else
																			{	/* Unsafe/base64.scm 388 */
																				BgL_iportz00_1820 = BgL_iportz00_1858;
																				BgL_lastzd2matchzd2_1821 =
																					BgL_newzd2matchzd2_1863;
																				BgL_forwardz00_1822 =
																					(((long) 1) + BgL_forwardz00_1860);
																				BgL_bufposz00_1823 = BgL_bufposz00_1861;
																			BgL_zc3z04anonymousza31533ze3z87_1824:
																				{	/* Unsafe/base64.scm 388 */
																					long BgL_newzd2matchzd2_1825;

																					RGC_STOP_MATCH(BgL_iportz00_1820,
																						BgL_forwardz00_1822);
																					BgL_newzd2matchzd2_1825 = ((long) 2);
																					if (
																						(BgL_forwardz00_1822 ==
																							BgL_bufposz00_1823))
																						{	/* Unsafe/base64.scm 388 */
																							if (rgc_fill_buffer
																								(BgL_iportz00_1820))
																								{	/* Unsafe/base64.scm 388 */
																									long BgL_arg1536z00_1828;
																									long BgL_arg1537z00_1829;

																									BgL_arg1536z00_1828 =
																										RGC_BUFFER_FORWARD
																										(BgL_iportz00_1820);
																									BgL_arg1537z00_1829 =
																										RGC_BUFFER_BUFPOS
																										(BgL_iportz00_1820);
																									{
																										long BgL_bufposz00_4723;
																										long BgL_forwardz00_4722;

																										BgL_forwardz00_4722 =
																											BgL_arg1536z00_1828;
																										BgL_bufposz00_4723 =
																											BgL_arg1537z00_1829;
																										BgL_bufposz00_1823 =
																											BgL_bufposz00_4723;
																										BgL_forwardz00_1822 =
																											BgL_forwardz00_4722;
																										goto
																											BgL_zc3z04anonymousza31533ze3z87_1824;
																									}
																								}
																							else
																								{	/* Unsafe/base64.scm 388 */
																									BgL_matchz00_2032 =
																										BgL_newzd2matchzd2_1825;
																								}
																						}
																					else
																						{	/* Unsafe/base64.scm 388 */
																							int BgL_curz00_1830;

																							BgL_curz00_1830 =
																								RGC_BUFFER_GET_CHAR
																								(BgL_iportz00_1820,
																								BgL_forwardz00_1822);
																							{	/* Unsafe/base64.scm 388 */

																								{	/* Unsafe/base64.scm 388 */
																									bool_t BgL_test2458z00_4725;

																									if (
																										((long) (BgL_curz00_1830) ==
																											((long) 10)))
																										{	/* Unsafe/base64.scm 388 */
																											BgL_test2458z00_4725 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Unsafe/base64.scm 388 */
																											if (
																												((long)
																													(BgL_curz00_1830) ==
																													((long) 13)))
																												{	/* Unsafe/base64.scm 388 */
																													BgL_test2458z00_4725 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Unsafe/base64.scm 388 */
																													BgL_test2458z00_4725 =
																														(
																														(long)
																														(BgL_curz00_1830) ==
																														((long) 45));
																										}}
																									if (BgL_test2458z00_4725)
																										{	/* Unsafe/base64.scm 388 */
																											BgL_matchz00_2032 =
																												BgL_newzd2matchzd2_1825;
																										}
																									else
																										{
																											long BgL_forwardz00_4735;
																											long
																												BgL_lastzd2matchzd2_4734;
																											BgL_lastzd2matchzd2_4734 =
																												BgL_newzd2matchzd2_1825;
																											BgL_forwardz00_4735 =
																												(((long) 1) +
																												BgL_forwardz00_1822);
																											BgL_forwardz00_1822 =
																												BgL_forwardz00_4735;
																											BgL_lastzd2matchzd2_1821 =
																												BgL_lastzd2matchzd2_4734;
																											goto
																												BgL_zc3z04anonymousza31533ze3z87_1824;
																										}
																								}
																							}
																						}
																				}
																			}
																	}
																}
															}
													}
												}
										}
								}
							}
					}
					RGC_SET_FILEPOS(BgL_iportz00_4318);
					switch (BgL_matchz00_2032)
						{
						case ((long) 3):

							{	/* Unsafe/base64.scm 404 */
								obj_t BgL_cz00_2036;

								{	/* Unsafe/base64.scm 388 */
									bool_t BgL_test2461z00_4740;

									{	/* Unsafe/base64.scm 388 */
										long BgL_arg1705z00_2022;

										BgL_arg1705z00_2022 =
											RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4318);
										BgL_test2461z00_4740 = (BgL_arg1705z00_2022 == ((long) 0));
									}
									if (BgL_test2461z00_4740)
										{	/* Unsafe/base64.scm 388 */
											BgL_cz00_2036 = BEOF;
										}
									else
										{	/* Unsafe/base64.scm 388 */
											BgL_cz00_2036 =
												BCHAR(RGC_BUFFER_CHARACTER(BgL_iportz00_4318));
										}
								}
								{	/* Unsafe/base64.scm 405 */
									BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1713z00_2037;

									{	/* Unsafe/base64.scm 405 */
										BgL_z62iozd2parsezd2errorz62_bglt BgL_new1078z00_2038;

										{	/* Unsafe/base64.scm 405 */
											BgL_z62iozd2parsezd2errorz62_bglt BgL_new1077z00_2045;

											BgL_new1077z00_2045 =
												((BgL_z62iozd2parsezd2errorz62_bglt)
												BOBJECT(GC_MALLOC(sizeof(struct
															BgL_z62iozd2parsezd2errorz62_bgl))));
											{	/* Unsafe/base64.scm 405 */
												long BgL_arg1720z00_2046;

												BgL_arg1720z00_2046 =
													BGL_CLASS_NUM
													(BGl_z62iozd2parsezd2errorz62zz__objectz00);
												BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
														BgL_new1077z00_2045), BgL_arg1720z00_2046);
											}
											BgL_new1078z00_2038 = BgL_new1077z00_2045;
										}
										((((BgL_z62exceptionz62_bglt) COBJECT(
														((BgL_z62exceptionz62_bglt) BgL_new1078z00_2038)))->
												BgL_fnamez00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_z62exceptionz62_bglt)
													COBJECT(((BgL_z62exceptionz62_bglt)
															BgL_new1078z00_2038)))->BgL_locationz00) =
											((obj_t) BFALSE), BUNSPEC);
										{
											obj_t BgL_auxz00_4753;

											{	/* Unsafe/base64.scm 405 */
												obj_t BgL_arg1714z00_2039;

												{	/* Unsafe/base64.scm 405 */
													obj_t BgL_arg1715z00_2040;

													{	/* Unsafe/base64.scm 405 */
														obj_t BgL_classz00_3448;

														BgL_classz00_3448 =
															BGl_z62iozd2parsezd2errorz62zz__objectz00;
														BgL_arg1715z00_2040 =
															BGL_CLASS_ALL_FIELDS(BgL_classz00_3448);
													}
													BgL_arg1714z00_2039 =
														VECTOR_REF(BgL_arg1715z00_2040, ((long) 2));
												}
												BgL_auxz00_4753 =
													BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
													(BgL_arg1714z00_2039);
											}
											((((BgL_z62exceptionz62_bglt) COBJECT(
															((BgL_z62exceptionz62_bglt)
																BgL_new1078z00_2038)))->BgL_stackz00) =
												((obj_t) BgL_auxz00_4753), BUNSPEC);
										}
										((((BgL_z62errorz62_bglt) COBJECT(
														((BgL_z62errorz62_bglt) BgL_new1078z00_2038)))->
												BgL_procz00) =
											((obj_t) BGl_string2376z00zz__base64z00), BUNSPEC);
										((((BgL_z62errorz62_bglt) COBJECT(((BgL_z62errorz62_bglt)
															BgL_new1078z00_2038)))->BgL_msgz00) =
											((obj_t) BGl_string2377z00zz__base64z00), BUNSPEC);
										{
											obj_t BgL_auxz00_4763;

											{	/* Unsafe/base64.scm 408 */
												obj_t BgL_arg1716z00_2041;

												BgL_arg1716z00_2041 =
													BGl_readzd2linezd2zz__r4_input_6_10_2z00
													(BgL_iportz00_4318);
												{	/* Unsafe/base64.scm 408 */
													obj_t BgL_list1717z00_2042;

													{	/* Unsafe/base64.scm 408 */
														obj_t BgL_arg1718z00_2043;

														BgL_arg1718z00_2043 =
															MAKE_YOUNG_PAIR(BgL_arg1716z00_2041, BNIL);
														BgL_list1717z00_2042 =
															MAKE_YOUNG_PAIR(BgL_cz00_2036,
															BgL_arg1718z00_2043);
													}
													BgL_auxz00_4763 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2378z00zz__base64z00,
														BgL_list1717z00_2042);
											}}
											((((BgL_z62errorz62_bglt) COBJECT(
															((BgL_z62errorz62_bglt) BgL_new1078z00_2038)))->
													BgL_objz00) = ((obj_t) BgL_auxz00_4763), BUNSPEC);
										}
										BgL_arg1713z00_2037 = BgL_new1078z00_2038;
									}
									return
										BGl_raisez00zz__errorz00(((obj_t) BgL_arg1713z00_2037));
								}
							}
							break;
						case ((long) 2):

							{	/* Unsafe/base64.scm 395 */
								obj_t BgL_sz00_2047;

								{	/* Unsafe/base64.scm 388 */
									long BgL_arg1602z00_3451;

									BgL_arg1602z00_3451 =
										RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4318);
									BgL_sz00_2047 =
										rgc_buffer_substring(BgL_iportz00_4318, ((long) 0),
										BgL_arg1602z00_3451);
								}
								{	/* Unsafe/base64.scm 395 */
									obj_t BgL_countez00_2048;

									BgL_countez00_2048 =
										BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4319,
										BgL_iportz00_4318);
									{	/* Unsafe/base64.scm 396 */

										if ((CELL_REF(BgL_countz00_4319) == BgL_countez00_2048))
											{	/* Unsafe/base64.scm 397 */
												return BgL_sz00_2047;
											}
										else
											{	/* Unsafe/base64.scm 399 */
												BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1723z00_2050;

												{	/* Unsafe/base64.scm 399 */
													BgL_z62iozd2parsezd2errorz62_bglt BgL_new1080z00_2051;

													{	/* Unsafe/base64.scm 399 */
														BgL_z62iozd2parsezd2errorz62_bglt
															BgL_new1079z00_2057;
														BgL_new1079z00_2057 =
															((BgL_z62iozd2parsezd2errorz62_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_z62iozd2parsezd2errorz62_bgl))));
														{	/* Unsafe/base64.scm 399 */
															long BgL_arg1730z00_2058;

															BgL_arg1730z00_2058 =
																BGL_CLASS_NUM
																(BGl_z62iozd2parsezd2errorz62zz__objectz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1079z00_2057), BgL_arg1730z00_2058);
														}
														BgL_new1080z00_2051 = BgL_new1079z00_2057;
													}
													((((BgL_z62exceptionz62_bglt) COBJECT(
																	((BgL_z62exceptionz62_bglt)
																		BgL_new1080z00_2051)))->BgL_fnamez00) =
														((obj_t) BFALSE), BUNSPEC);
													((((BgL_z62exceptionz62_bglt)
																COBJECT(((BgL_z62exceptionz62_bglt)
																		BgL_new1080z00_2051)))->BgL_locationz00) =
														((obj_t) BFALSE), BUNSPEC);
													{
														obj_t BgL_auxz00_4785;

														{	/* Unsafe/base64.scm 399 */
															obj_t BgL_arg1725z00_2052;

															{	/* Unsafe/base64.scm 399 */
																obj_t BgL_arg1726z00_2053;

																{	/* Unsafe/base64.scm 399 */
																	obj_t BgL_classz00_3458;

																	BgL_classz00_3458 =
																		BGl_z62iozd2parsezd2errorz62zz__objectz00;
																	BgL_arg1726z00_2053 =
																		BGL_CLASS_ALL_FIELDS(BgL_classz00_3458);
																}
																BgL_arg1725z00_2052 =
																	VECTOR_REF(BgL_arg1726z00_2053, ((long) 2));
															}
															BgL_auxz00_4785 =
																BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																(BgL_arg1725z00_2052);
														}
														((((BgL_z62exceptionz62_bglt) COBJECT(
																		((BgL_z62exceptionz62_bglt)
																			BgL_new1080z00_2051)))->BgL_stackz00) =
															((obj_t) BgL_auxz00_4785), BUNSPEC);
													}
													((((BgL_z62errorz62_bglt) COBJECT(
																	((BgL_z62errorz62_bglt)
																		BgL_new1080z00_2051)))->BgL_procz00) =
														((obj_t) BGl_string2376z00zz__base64z00), BUNSPEC);
													((((BgL_z62errorz62_bglt)
																COBJECT(((BgL_z62errorz62_bglt)
																		BgL_new1080z00_2051)))->BgL_msgz00) =
														((obj_t) BGl_string2379z00zz__base64z00), BUNSPEC);
													{
														obj_t BgL_auxz00_4795;

														{	/* Unsafe/base64.scm 402 */
															obj_t BgL_list1727z00_2054;

															{	/* Unsafe/base64.scm 402 */
																obj_t BgL_arg1728z00_2055;

																{	/* Unsafe/base64.scm 402 */
																	obj_t BgL_arg1729z00_2056;

																	BgL_arg1729z00_2056 =
																		MAKE_YOUNG_PAIR(BgL_countez00_2048, BNIL);
																	BgL_arg1728z00_2055 =
																		MAKE_YOUNG_PAIR(CELL_REF(BgL_countz00_4319),
																		BgL_arg1729z00_2056);
																}
																BgL_list1727z00_2054 =
																	MAKE_YOUNG_PAIR(BgL_sz00_2047,
																	BgL_arg1728z00_2055);
															}
															BgL_auxz00_4795 = BgL_list1727z00_2054;
														}
														((((BgL_z62errorz62_bglt) COBJECT(
																		((BgL_z62errorz62_bglt)
																			BgL_new1080z00_2051)))->BgL_objz00) =
															((obj_t) BgL_auxz00_4795), BUNSPEC);
													}
													BgL_arg1723z00_2050 = BgL_new1080z00_2051;
												}
												return
													BGl_raisez00zz__errorz00(
													((obj_t) BgL_arg1723z00_2050));
											}
									}
								}
							}
							break;
						case ((long) 1):

							{	/* Unsafe/base64.scm 393 */
								long BgL_arg1731z00_2059;

								BgL_arg1731z00_2059 =
									RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4318);
								return BINT((BgL_arg1731z00_2059 - ((long) 1)));
							} break;
						case ((long) 0):

							{	/* Unsafe/base64.scm 390 */
								obj_t BgL_auxz00_4320;

								{	/* Unsafe/base64.scm 390 */
									long BgL_arg1732z00_2060;

									BgL_arg1732z00_2060 =
										RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4318);
									BgL_auxz00_4320 =
										ADDFX(BINT(BgL_arg1732z00_2060),
										CELL_REF(BgL_countz00_4319));
								}
								CELL_SET(BgL_countz00_4319, BgL_auxz00_4320);
							}
							{

								goto BGl_ignoreze70ze7zz__base64z00;
							}
							break;
						default:
							return
								BGl_errorz00zz__errorz00(BGl_string2380z00zz__base64z00,
								BGl_string2381z00zz__base64z00, BINT(BgL_matchz00_2032));
						}
				}
			}
		}

	}



/* &<@anonymous:1263> */
	obj_t BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00(obj_t BgL_envz00_4288,
		obj_t BgL_iportz00_4289, obj_t BgL_opz00_4290, obj_t BgL_bufz00_4291,
		long BgL_wz00_4292, long BgL_lenz00_4293, obj_t BgL_hookz00_4294,
		bool_t BgL_eofzd2nozd2paddingz00_4295)
	{
		{	/* Unsafe/base64.scm 300 */
			{	/* Unsafe/base64.scm 300 */
				long BgL_wz00_4358;

				BgL_wz00_4358 = BgL_wz00_4292;
				{
					obj_t BgL_iportz00_4539;
					long BgL_lastzd2matchzd2_4540;
					long BgL_forwardz00_4541;
					long BgL_bufposz00_4542;
					obj_t BgL_iportz00_4524;
					long BgL_lastzd2matchzd2_4525;
					long BgL_forwardz00_4526;
					long BgL_bufposz00_4527;
					obj_t BgL_iportz00_4513;
					long BgL_lastzd2matchzd2_4514;
					long BgL_forwardz00_4515;
					long BgL_bufposz00_4516;
					obj_t BgL_iportz00_4496;
					long BgL_lastzd2matchzd2_4497;
					long BgL_forwardz00_4498;
					long BgL_bufposz00_4499;
					obj_t BgL_iportz00_4485;
					long BgL_lastzd2matchzd2_4486;
					long BgL_forwardz00_4487;
					long BgL_bufposz00_4488;
					obj_t BgL_iportz00_4471;
					long BgL_lastzd2matchzd2_4472;
					long BgL_forwardz00_4473;
					long BgL_bufposz00_4474;

				BgL_ignorez00_4362:
					RGC_START_MATCH(BgL_iportz00_4289);
					{	/* Unsafe/base64.scm 300 */
						long BgL_matchz00_4374;

						{	/* Unsafe/base64.scm 300 */
							long BgL_arg1530z00_4375;
							long BgL_arg1531z00_4376;

							BgL_arg1530z00_4375 = RGC_BUFFER_FORWARD(BgL_iportz00_4289);
							BgL_arg1531z00_4376 = RGC_BUFFER_BUFPOS(BgL_iportz00_4289);
							BgL_iportz00_4513 = BgL_iportz00_4289;
							BgL_lastzd2matchzd2_4514 = ((long) 8);
							BgL_forwardz00_4515 = BgL_arg1530z00_4375;
							BgL_bufposz00_4516 = BgL_arg1531z00_4376;
						BgL_statezd20zd21046z00_4371:
							if ((BgL_forwardz00_4515 == BgL_bufposz00_4516))
								{	/* Unsafe/base64.scm 300 */
									if (rgc_fill_buffer(BgL_iportz00_4513))
										{	/* Unsafe/base64.scm 300 */
											long BgL_arg1322z00_4517;
											long BgL_arg1323z00_4518;

											BgL_arg1322z00_4517 =
												RGC_BUFFER_FORWARD(BgL_iportz00_4513);
											BgL_arg1323z00_4518 =
												RGC_BUFFER_BUFPOS(BgL_iportz00_4513);
											{
												long BgL_bufposz00_4822;
												long BgL_forwardz00_4821;

												BgL_forwardz00_4821 = BgL_arg1322z00_4517;
												BgL_bufposz00_4822 = BgL_arg1323z00_4518;
												BgL_bufposz00_4516 = BgL_bufposz00_4822;
												BgL_forwardz00_4515 = BgL_forwardz00_4821;
												goto BgL_statezd20zd21046z00_4371;
											}
										}
									else
										{	/* Unsafe/base64.scm 300 */
											BgL_matchz00_4374 = BgL_lastzd2matchzd2_4514;
										}
								}
							else
								{	/* Unsafe/base64.scm 300 */
									int BgL_curz00_4519;

									BgL_curz00_4519 =
										RGC_BUFFER_GET_CHAR(BgL_iportz00_4513, BgL_forwardz00_4515);
									{	/* Unsafe/base64.scm 300 */

										{	/* Unsafe/base64.scm 300 */
											bool_t BgL_test2465z00_4824;

											if (((long) (BgL_curz00_4519) == ((long) 43)))
												{	/* Unsafe/base64.scm 300 */
													BgL_test2465z00_4824 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/base64.scm 300 */
													if (((long) (BgL_curz00_4519) == ((long) 45)))
														{	/* Unsafe/base64.scm 300 */
															BgL_test2465z00_4824 = ((bool_t) 1);
														}
													else
														{	/* Unsafe/base64.scm 300 */
															bool_t BgL_test2468z00_4831;

															if (((long) (BgL_curz00_4519) >= ((long) 47)))
																{	/* Unsafe/base64.scm 300 */
																	BgL_test2468z00_4831 =
																		((long) (BgL_curz00_4519) < ((long) 58));
																}
															else
																{	/* Unsafe/base64.scm 300 */
																	BgL_test2468z00_4831 = ((bool_t) 0);
																}
															if (BgL_test2468z00_4831)
																{	/* Unsafe/base64.scm 300 */
																	BgL_test2465z00_4824 = ((bool_t) 1);
																}
															else
																{	/* Unsafe/base64.scm 300 */
																	bool_t BgL_test2470z00_4837;

																	if (((long) (BgL_curz00_4519) >= ((long) 65)))
																		{	/* Unsafe/base64.scm 300 */
																			BgL_test2470z00_4837 =
																				(
																				(long) (BgL_curz00_4519) < ((long) 91));
																		}
																	else
																		{	/* Unsafe/base64.scm 300 */
																			BgL_test2470z00_4837 = ((bool_t) 0);
																		}
																	if (BgL_test2470z00_4837)
																		{	/* Unsafe/base64.scm 300 */
																			BgL_test2465z00_4824 = ((bool_t) 1);
																		}
																	else
																		{	/* Unsafe/base64.scm 300 */
																			if (
																				((long) (BgL_curz00_4519) ==
																					((long) 95)))
																				{	/* Unsafe/base64.scm 300 */
																					BgL_test2465z00_4824 = ((bool_t) 1);
																				}
																			else
																				{	/* Unsafe/base64.scm 300 */
																					if (
																						((long) (BgL_curz00_4519) >=
																							((long) 97)))
																						{	/* Unsafe/base64.scm 300 */
																							BgL_test2465z00_4824 =
																								(
																								(long) (BgL_curz00_4519) <
																								((long) 123));
																						}
																					else
																						{	/* Unsafe/base64.scm 300 */
																							BgL_test2465z00_4824 =
																								((bool_t) 0);
																						}
																				}
																		}
																}
														}
												}
											if (BgL_test2465z00_4824)
												{	/* Unsafe/base64.scm 300 */
													BgL_iportz00_4496 = BgL_iportz00_4513;
													BgL_lastzd2matchzd2_4497 = BgL_lastzd2matchzd2_4514;
													BgL_forwardz00_4498 =
														(((long) 1) + BgL_forwardz00_4515);
													BgL_bufposz00_4499 = BgL_bufposz00_4516;
												BgL_statezd23zd21049z00_4370:
													{	/* Unsafe/base64.scm 300 */
														long BgL_newzd2matchzd2_4500;

														{	/* Unsafe/base64.scm 300 */
															bool_t BgL_test2474z00_4851;

															{	/* Unsafe/base64.scm 300 */
																bool_t BgL_rz00_4501;

																BgL_rz00_4501 =
																	rgc_buffer_eof2_p(BgL_iportz00_4496,
																	BgL_forwardz00_4498, BgL_bufposz00_4499);
																BgL_forwardz00_4498 =
																	RGC_BUFFER_FORWARD(BgL_iportz00_4496);
																BgL_bufposz00_4499 =
																	RGC_BUFFER_BUFPOS(BgL_iportz00_4496);
																BgL_test2474z00_4851 = BgL_rz00_4501;
															}
															if (BgL_test2474z00_4851)
																{	/* Unsafe/base64.scm 300 */
																	RGC_STOP_MATCH(BgL_iportz00_4496,
																		BgL_forwardz00_4498);
																	BgL_newzd2matchzd2_4500 = ((long) 6);
																}
															else
																{	/* Unsafe/base64.scm 300 */
																	RGC_STOP_MATCH(BgL_iportz00_4496,
																		BgL_forwardz00_4498);
																	BgL_newzd2matchzd2_4500 = ((long) 8);
														}}
														if ((BgL_forwardz00_4498 == BgL_bufposz00_4499))
															{	/* Unsafe/base64.scm 300 */
																if (rgc_fill_buffer(BgL_iportz00_4496))
																	{	/* Unsafe/base64.scm 300 */
																		long BgL_arg1341z00_4502;
																		long BgL_arg1343z00_4503;

																		BgL_arg1341z00_4502 =
																			RGC_BUFFER_FORWARD(BgL_iportz00_4496);
																		BgL_arg1343z00_4503 =
																			RGC_BUFFER_BUFPOS(BgL_iportz00_4496);
																		{
																			long BgL_bufposz00_4864;
																			long BgL_forwardz00_4863;

																			BgL_forwardz00_4863 = BgL_arg1341z00_4502;
																			BgL_bufposz00_4864 = BgL_arg1343z00_4503;
																			BgL_bufposz00_4499 = BgL_bufposz00_4864;
																			BgL_forwardz00_4498 = BgL_forwardz00_4863;
																			goto BgL_statezd23zd21049z00_4370;
																		}
																	}
																else
																	{	/* Unsafe/base64.scm 300 */
																		BgL_matchz00_4374 = BgL_newzd2matchzd2_4500;
																	}
															}
														else
															{	/* Unsafe/base64.scm 300 */
																int BgL_curz00_4504;

																BgL_curz00_4504 =
																	RGC_BUFFER_GET_CHAR(BgL_iportz00_4496,
																	BgL_forwardz00_4498);
																{	/* Unsafe/base64.scm 300 */

																	if (((long) (BgL_curz00_4504) == ((long) 61)))
																		{	/* Unsafe/base64.scm 300 */
																			long BgL_arg1346z00_4505;

																			BgL_arg1346z00_4505 =
																				(((long) 1) + BgL_forwardz00_4498);
																			{
																				long BgL_forwardz00_4507;
																				long BgL_bufposz00_4508;

																				BgL_forwardz00_4507 =
																					BgL_arg1346z00_4505;
																				BgL_bufposz00_4508 = BgL_bufposz00_4499;
																			BgL_statezd25zd21051z00_4506:
																				if (
																					(BgL_forwardz00_4507 ==
																						BgL_bufposz00_4508))
																					{	/* Unsafe/base64.scm 300 */
																						if (rgc_fill_buffer
																							(BgL_iportz00_4496))
																							{	/* Unsafe/base64.scm 300 */
																								long BgL_arg1295z00_4509;
																								long BgL_arg1296z00_4510;

																								BgL_arg1295z00_4509 =
																									RGC_BUFFER_FORWARD
																									(BgL_iportz00_4496);
																								BgL_arg1296z00_4510 =
																									RGC_BUFFER_BUFPOS
																									(BgL_iportz00_4496);
																								{
																									long BgL_bufposz00_4877;
																									long BgL_forwardz00_4876;

																									BgL_forwardz00_4876 =
																										BgL_arg1295z00_4509;
																									BgL_bufposz00_4877 =
																										BgL_arg1296z00_4510;
																									BgL_bufposz00_4508 =
																										BgL_bufposz00_4877;
																									BgL_forwardz00_4507 =
																										BgL_forwardz00_4876;
																									goto
																										BgL_statezd25zd21051z00_4506;
																								}
																							}
																						else
																							{	/* Unsafe/base64.scm 300 */
																								BgL_matchz00_4374 =
																									BgL_newzd2matchzd2_4500;
																							}
																					}
																				else
																					{	/* Unsafe/base64.scm 300 */
																						int BgL_curz00_4511;

																						BgL_curz00_4511 =
																							RGC_BUFFER_GET_CHAR
																							(BgL_iportz00_4496,
																							BgL_forwardz00_4507);
																						{	/* Unsafe/base64.scm 300 */

																							if (
																								((long) (BgL_curz00_4511) ==
																									((long) 61)))
																								{	/* Unsafe/base64.scm 300 */
																									BgL_iportz00_4471 =
																										BgL_iportz00_4496;
																									BgL_lastzd2matchzd2_4472 =
																										BgL_newzd2matchzd2_4500;
																									BgL_forwardz00_4473 =
																										(((long) 1) +
																										BgL_forwardz00_4507);
																									BgL_bufposz00_4474 =
																										BgL_bufposz00_4508;
																								BgL_statezd27zd21053z00_4368:
																									if (
																										(BgL_forwardz00_4473 ==
																											BgL_bufposz00_4474))
																										{	/* Unsafe/base64.scm 300 */
																											if (rgc_fill_buffer
																												(BgL_iportz00_4471))
																												{	/* Unsafe/base64.scm 300 */
																													long
																														BgL_arg1378z00_4475;
																													long
																														BgL_arg1379z00_4476;
																													BgL_arg1378z00_4475 =
																														RGC_BUFFER_FORWARD
																														(BgL_iportz00_4471);
																													BgL_arg1379z00_4476 =
																														RGC_BUFFER_BUFPOS
																														(BgL_iportz00_4471);
																													if (
																														(BgL_arg1378z00_4475
																															==
																															BgL_arg1379z00_4476))
																														{	/* Unsafe/base64.scm 300 */
																															if (rgc_fill_buffer(BgL_iportz00_4471))
																																{	/* Unsafe/base64.scm 300 */
																																	long
																																		BgL_arg1378z00_4477;
																																	long
																																		BgL_arg1379z00_4478;
																																	BgL_arg1378z00_4477
																																		=
																																		RGC_BUFFER_FORWARD
																																		(BgL_iportz00_4471);
																																	BgL_arg1379z00_4478
																																		=
																																		RGC_BUFFER_BUFPOS
																																		(BgL_iportz00_4471);
																																	{
																																		long
																																			BgL_bufposz00_4895;
																																		long
																																			BgL_forwardz00_4894;
																																		BgL_forwardz00_4894
																																			=
																																			BgL_arg1378z00_4477;
																																		BgL_bufposz00_4895
																																			=
																																			BgL_arg1379z00_4478;
																																		BgL_bufposz00_4474
																																			=
																																			BgL_bufposz00_4895;
																																		BgL_forwardz00_4473
																																			=
																																			BgL_forwardz00_4894;
																																		goto
																																			BgL_statezd27zd21053z00_4368;
																																	}
																																}
																															else
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_matchz00_4374
																																		=
																																		BgL_lastzd2matchzd2_4472;
																																}
																														}
																													else
																														{	/* Unsafe/base64.scm 300 */
																															int
																																BgL_curz00_4479;
																															BgL_curz00_4479 =
																																RGC_BUFFER_GET_CHAR
																																(BgL_iportz00_4471,
																																BgL_arg1378z00_4475);
																															{	/* Unsafe/base64.scm 300 */

																																if (
																																	((long)
																																		(BgL_curz00_4479)
																																		==
																																		((long)
																																			61)))
																																	{	/* Unsafe/base64.scm 300 */
																																		long
																																			BgL_arg1381z00_4480;
																																		BgL_arg1381z00_4480
																																			=
																																			(((long)
																																				1) +
																																			BgL_arg1378z00_4475);
																																		{	/* Unsafe/base64.scm 300 */
																																			long
																																				BgL_newzd2matchzd2_4481;
																																			RGC_STOP_MATCH
																																				(BgL_iportz00_4471,
																																				BgL_arg1381z00_4480);
																																			BgL_newzd2matchzd2_4481
																																				=
																																				((long)
																																				5);
																																			BgL_matchz00_4374
																																				=
																																				BgL_newzd2matchzd2_4481;
																																	}}
																																else
																																	{	/* Unsafe/base64.scm 300 */
																																		BgL_matchz00_4374
																																			=
																																			BgL_lastzd2matchzd2_4472;
																																	}
																															}
																														}
																												}
																											else
																												{	/* Unsafe/base64.scm 300 */
																													BgL_matchz00_4374 =
																														BgL_lastzd2matchzd2_4472;
																												}
																										}
																									else
																										{	/* Unsafe/base64.scm 300 */
																											int BgL_curz00_4482;

																											BgL_curz00_4482 =
																												RGC_BUFFER_GET_CHAR
																												(BgL_iportz00_4471,
																												BgL_forwardz00_4473);
																											{	/* Unsafe/base64.scm 300 */

																												if (
																													((long)
																														(BgL_curz00_4482) ==
																														((long) 61)))
																													{	/* Unsafe/base64.scm 300 */
																														long
																															BgL_arg1381z00_4483;
																														BgL_arg1381z00_4483
																															=
																															(((long) 1) +
																															BgL_forwardz00_4473);
																														{	/* Unsafe/base64.scm 300 */
																															long
																																BgL_newzd2matchzd2_4484;
																															RGC_STOP_MATCH
																																(BgL_iportz00_4471,
																																BgL_arg1381z00_4483);
																															BgL_newzd2matchzd2_4484
																																= ((long) 5);
																															BgL_matchz00_4374
																																=
																																BgL_newzd2matchzd2_4484;
																													}}
																												else
																													{	/* Unsafe/base64.scm 300 */
																														BgL_matchz00_4374 =
																															BgL_lastzd2matchzd2_4472;
																													}
																											}
																										}
																								}
																							else
																								{	/* Unsafe/base64.scm 300 */
																									BgL_matchz00_4374 =
																										BgL_newzd2matchzd2_4500;
																								}
																						}
																					}
																			}
																		}
																	else
																		{	/* Unsafe/base64.scm 300 */
																			bool_t BgL_test2487z00_4909;

																			if (
																				((long) (BgL_curz00_4504) ==
																					((long) 43)))
																				{	/* Unsafe/base64.scm 300 */
																					BgL_test2487z00_4909 = ((bool_t) 1);
																				}
																			else
																				{	/* Unsafe/base64.scm 300 */
																					if (
																						((long) (BgL_curz00_4504) ==
																							((long) 45)))
																						{	/* Unsafe/base64.scm 300 */
																							BgL_test2487z00_4909 =
																								((bool_t) 1);
																						}
																					else
																						{	/* Unsafe/base64.scm 300 */
																							bool_t BgL_test2490z00_4916;

																							if (
																								((long) (BgL_curz00_4504) >=
																									((long) 47)))
																								{	/* Unsafe/base64.scm 300 */
																									BgL_test2490z00_4916 =
																										(
																										(long) (BgL_curz00_4504) <
																										((long) 58));
																								}
																							else
																								{	/* Unsafe/base64.scm 300 */
																									BgL_test2490z00_4916 =
																										((bool_t) 0);
																								}
																							if (BgL_test2490z00_4916)
																								{	/* Unsafe/base64.scm 300 */
																									BgL_test2487z00_4909 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Unsafe/base64.scm 300 */
																									bool_t BgL_test2492z00_4922;

																									if (
																										((long) (BgL_curz00_4504) >=
																											((long) 65)))
																										{	/* Unsafe/base64.scm 300 */
																											BgL_test2492z00_4922 =
																												(
																												(long) (BgL_curz00_4504)
																												< ((long) 91));
																										}
																									else
																										{	/* Unsafe/base64.scm 300 */
																											BgL_test2492z00_4922 =
																												((bool_t) 0);
																										}
																									if (BgL_test2492z00_4922)
																										{	/* Unsafe/base64.scm 300 */
																											BgL_test2487z00_4909 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Unsafe/base64.scm 300 */
																											if (
																												((long)
																													(BgL_curz00_4504) ==
																													((long) 95)))
																												{	/* Unsafe/base64.scm 300 */
																													BgL_test2487z00_4909 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Unsafe/base64.scm 300 */
																													if (
																														((long)
																															(BgL_curz00_4504)
																															>= ((long) 97)))
																														{	/* Unsafe/base64.scm 300 */
																															BgL_test2487z00_4909
																																=
																																((long)
																																(BgL_curz00_4504)
																																< ((long) 123));
																														}
																													else
																														{	/* Unsafe/base64.scm 300 */
																															BgL_test2487z00_4909
																																= ((bool_t) 0);
																														}
																												}
																										}
																								}
																						}
																				}
																			if (BgL_test2487z00_4909)
																				{	/* Unsafe/base64.scm 300 */
																					long BgL_arg1355z00_4512;

																					BgL_arg1355z00_4512 =
																						(((long) 1) + BgL_forwardz00_4498);
																					BgL_iportz00_4485 = BgL_iportz00_4496;
																					BgL_lastzd2matchzd2_4486 =
																						BgL_newzd2matchzd2_4500;
																					BgL_forwardz00_4487 =
																						BgL_arg1355z00_4512;
																					BgL_bufposz00_4488 =
																						BgL_bufposz00_4499;
																				BgL_statezd24zd21050z00_4369:
																					{	/* Unsafe/base64.scm 300 */
																						long BgL_newzd2matchzd2_4489;

																						{	/* Unsafe/base64.scm 300 */
																							bool_t BgL_test2496z00_4937;

																							{	/* Unsafe/base64.scm 300 */
																								bool_t BgL_rz00_4490;

																								BgL_rz00_4490 =
																									rgc_buffer_eof2_p
																									(BgL_iportz00_4485,
																									BgL_forwardz00_4487,
																									BgL_bufposz00_4488);
																								BgL_forwardz00_4487 =
																									RGC_BUFFER_FORWARD
																									(BgL_iportz00_4485);
																								BgL_bufposz00_4488 =
																									RGC_BUFFER_BUFPOS
																									(BgL_iportz00_4485);
																								BgL_test2496z00_4937 =
																									BgL_rz00_4490;
																							}
																							if (BgL_test2496z00_4937)
																								{	/* Unsafe/base64.scm 300 */
																									RGC_STOP_MATCH
																										(BgL_iportz00_4485,
																										BgL_forwardz00_4487);
																									BgL_newzd2matchzd2_4489 =
																										((long) 4);
																								}
																							else
																								{	/* Unsafe/base64.scm 300 */
																									BgL_newzd2matchzd2_4489 =
																										BgL_lastzd2matchzd2_4486;
																								}
																						}
																						if (
																							(BgL_forwardz00_4487 ==
																								BgL_bufposz00_4488))
																							{	/* Unsafe/base64.scm 300 */
																								if (rgc_fill_buffer
																									(BgL_iportz00_4485))
																									{	/* Unsafe/base64.scm 300 */
																										long BgL_arg1361z00_4491;
																										long BgL_arg1362z00_4492;

																										BgL_arg1361z00_4491 =
																											RGC_BUFFER_FORWARD
																											(BgL_iportz00_4485);
																										BgL_arg1362z00_4492 =
																											RGC_BUFFER_BUFPOS
																											(BgL_iportz00_4485);
																										{
																											long BgL_bufposz00_4949;
																											long BgL_forwardz00_4948;

																											BgL_forwardz00_4948 =
																												BgL_arg1361z00_4491;
																											BgL_bufposz00_4949 =
																												BgL_arg1362z00_4492;
																											BgL_bufposz00_4488 =
																												BgL_bufposz00_4949;
																											BgL_forwardz00_4487 =
																												BgL_forwardz00_4948;
																											goto
																												BgL_statezd24zd21050z00_4369;
																										}
																									}
																								else
																									{	/* Unsafe/base64.scm 300 */
																										BgL_matchz00_4374 =
																											BgL_newzd2matchzd2_4489;
																									}
																							}
																						else
																							{	/* Unsafe/base64.scm 300 */
																								int BgL_curz00_4493;

																								BgL_curz00_4493 =
																									RGC_BUFFER_GET_CHAR
																									(BgL_iportz00_4485,
																									BgL_forwardz00_4487);
																								{	/* Unsafe/base64.scm 300 */

																									if (
																										((long) (BgL_curz00_4493) ==
																											((long) 61)))
																										{	/* Unsafe/base64.scm 300 */
																											long BgL_arg1364z00_4494;

																											BgL_arg1364z00_4494 =
																												(((long) 1) +
																												BgL_forwardz00_4487);
																											BgL_iportz00_4539 =
																												BgL_iportz00_4485;
																											BgL_lastzd2matchzd2_4540 =
																												BgL_newzd2matchzd2_4489;
																											BgL_forwardz00_4541 =
																												BgL_arg1364z00_4494;
																											BgL_bufposz00_4542 =
																												BgL_bufposz00_4488;
																										BgL_statezd210zd21056z00_4373:
																											{	/* Unsafe/base64.scm 300 */
																												long
																													BgL_newzd2matchzd2_4543;
																												{	/* Unsafe/base64.scm 300 */
																													bool_t
																														BgL_test2500z00_4955;
																													{	/* Unsafe/base64.scm 300 */
																														bool_t
																															BgL_rz00_4544;
																														BgL_rz00_4544 =
																															rgc_buffer_eof2_p
																															(BgL_iportz00_4539,
																															BgL_forwardz00_4541,
																															BgL_bufposz00_4542);
																														BgL_forwardz00_4541
																															=
																															RGC_BUFFER_FORWARD
																															(BgL_iportz00_4539);
																														BgL_bufposz00_4542 =
																															RGC_BUFFER_BUFPOS
																															(BgL_iportz00_4539);
																														BgL_test2500z00_4955
																															= BgL_rz00_4544;
																													}
																													if (BgL_test2500z00_4955)
																														{	/* Unsafe/base64.scm 300 */
																															RGC_STOP_MATCH
																																(BgL_iportz00_4539,
																																BgL_forwardz00_4541);
																															BgL_newzd2matchzd2_4543
																																= ((long) 4);
																														}
																													else
																														{	/* Unsafe/base64.scm 300 */
																															BgL_newzd2matchzd2_4543
																																=
																																BgL_lastzd2matchzd2_4540;
																														}
																												}
																												if (
																													(BgL_forwardz00_4541
																														==
																														BgL_bufposz00_4542))
																													{	/* Unsafe/base64.scm 300 */
																														if (rgc_fill_buffer
																															(BgL_iportz00_4539))
																															{	/* Unsafe/base64.scm 300 */
																																long
																																	BgL_arg1275z00_4545;
																																long
																																	BgL_arg1280z00_4546;
																																BgL_arg1275z00_4545
																																	=
																																	RGC_BUFFER_FORWARD
																																	(BgL_iportz00_4539);
																																BgL_arg1280z00_4546
																																	=
																																	RGC_BUFFER_BUFPOS
																																	(BgL_iportz00_4539);
																																{
																																	long
																																		BgL_bufposz00_4967;
																																	long
																																		BgL_forwardz00_4966;
																																	BgL_forwardz00_4966
																																		=
																																		BgL_arg1275z00_4545;
																																	BgL_bufposz00_4967
																																		=
																																		BgL_arg1280z00_4546;
																																	BgL_bufposz00_4542
																																		=
																																		BgL_bufposz00_4967;
																																	BgL_forwardz00_4541
																																		=
																																		BgL_forwardz00_4966;
																																	goto
																																		BgL_statezd210zd21056z00_4373;
																																}
																															}
																														else
																															{	/* Unsafe/base64.scm 300 */
																																BgL_matchz00_4374
																																	=
																																	BgL_newzd2matchzd2_4543;
																															}
																													}
																												else
																													{	/* Unsafe/base64.scm 300 */
																														int BgL_curz00_4547;

																														BgL_curz00_4547 =
																															RGC_BUFFER_GET_CHAR
																															(BgL_iportz00_4539,
																															BgL_forwardz00_4541);
																														{	/* Unsafe/base64.scm 300 */

																															if (
																																((long)
																																	(BgL_curz00_4547)
																																	==
																																	((long) 61)))
																																{	/* Unsafe/base64.scm 300 */
																																	long
																																		BgL_arg1284z00_4548;
																																	BgL_arg1284z00_4548
																																		=
																																		(((long) 1)
																																		+
																																		BgL_forwardz00_4541);
																																	{	/* Unsafe/base64.scm 300 */
																																		long
																																			BgL_bufposz00_4549;
																																		BgL_bufposz00_4549
																																			=
																																			BgL_bufposz00_4542;
																																		{	/* Unsafe/base64.scm 300 */
																																			long
																																				BgL_newzd2matchzd2_4550;
																																			RGC_STOP_MATCH
																																				(BgL_iportz00_4539,
																																				BgL_arg1284z00_4548);
																																			BgL_newzd2matchzd2_4550
																																				=
																																				((long)
																																				3);
																																			BgL_matchz00_4374
																																				=
																																				BgL_newzd2matchzd2_4550;
																																}}}
																															else
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_matchz00_4374
																																		=
																																		BgL_newzd2matchzd2_4543;
																																}
																														}
																													}
																											}
																										}
																									else
																										{	/* Unsafe/base64.scm 300 */
																											bool_t
																												BgL_test2504z00_4974;
																											if (((long)
																													(BgL_curz00_4493) ==
																													((long) 43)))
																												{	/* Unsafe/base64.scm 300 */
																													BgL_test2504z00_4974 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Unsafe/base64.scm 300 */
																													if (
																														((long)
																															(BgL_curz00_4493)
																															== ((long) 45)))
																														{	/* Unsafe/base64.scm 300 */
																															BgL_test2504z00_4974
																																= ((bool_t) 1);
																														}
																													else
																														{	/* Unsafe/base64.scm 300 */
																															bool_t
																																BgL_test2507z00_4981;
																															if (((long)
																																	(BgL_curz00_4493)
																																	>=
																																	((long) 47)))
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_test2507z00_4981
																																		=
																																		((long)
																																		(BgL_curz00_4493)
																																		<
																																		((long)
																																			58));
																																}
																															else
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_test2507z00_4981
																																		=
																																		((bool_t)
																																		0);
																																}
																															if (BgL_test2507z00_4981)
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_test2504z00_4974
																																		=
																																		((bool_t)
																																		1);
																																}
																															else
																																{	/* Unsafe/base64.scm 300 */
																																	bool_t
																																		BgL_test2509z00_4987;
																																	if (((long)
																																			(BgL_curz00_4493)
																																			>=
																																			((long)
																																				65)))
																																		{	/* Unsafe/base64.scm 300 */
																																			BgL_test2509z00_4987
																																				=
																																				((long)
																																				(BgL_curz00_4493)
																																				<
																																				((long)
																																					91));
																																		}
																																	else
																																		{	/* Unsafe/base64.scm 300 */
																																			BgL_test2509z00_4987
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																	if (BgL_test2509z00_4987)
																																		{	/* Unsafe/base64.scm 300 */
																																			BgL_test2504z00_4974
																																				=
																																				(
																																				(bool_t)
																																				1);
																																		}
																																	else
																																		{	/* Unsafe/base64.scm 300 */
																																			if (
																																				((long)
																																					(BgL_curz00_4493)
																																					==
																																					((long) 95)))
																																				{	/* Unsafe/base64.scm 300 */
																																					BgL_test2504z00_4974
																																						=
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Unsafe/base64.scm 300 */
																																					if (
																																						((long) (BgL_curz00_4493) >= ((long) 97)))
																																						{	/* Unsafe/base64.scm 300 */
																																							BgL_test2504z00_4974
																																								=
																																								(
																																								(long)
																																								(BgL_curz00_4493)
																																								<
																																								((long) 123));
																																						}
																																					else
																																						{	/* Unsafe/base64.scm 300 */
																																							BgL_test2504z00_4974
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																}
																														}
																												}
																											if (BgL_test2504z00_4974)
																												{	/* Unsafe/base64.scm 300 */
																													long
																														BgL_arg1373z00_4495;
																													BgL_arg1373z00_4495 =
																														(((long) 1) +
																														BgL_forwardz00_4487);
																													BgL_iportz00_4524 =
																														BgL_iportz00_4485;
																													BgL_lastzd2matchzd2_4525
																														=
																														BgL_newzd2matchzd2_4489;
																													BgL_forwardz00_4526 =
																														BgL_arg1373z00_4495;
																													BgL_bufposz00_4527 =
																														BgL_bufposz00_4488;
																												BgL_statezd29zd21055z00_4372:
																													{	/* Unsafe/base64.scm 300 */
																														long
																															BgL_newzd2matchzd2_4528;
																														{	/* Unsafe/base64.scm 300 */
																															bool_t
																																BgL_test2513z00_5002;
																															{	/* Unsafe/base64.scm 300 */
																																bool_t
																																	BgL_rz00_4529;
																																BgL_rz00_4529 =
																																	rgc_buffer_eof2_p
																																	(BgL_iportz00_4524,
																																	BgL_forwardz00_4526,
																																	BgL_bufposz00_4527);
																																BgL_forwardz00_4526
																																	=
																																	RGC_BUFFER_FORWARD
																																	(BgL_iportz00_4524);
																																BgL_bufposz00_4527
																																	=
																																	RGC_BUFFER_BUFPOS
																																	(BgL_iportz00_4524);
																																BgL_test2513z00_5002
																																	=
																																	BgL_rz00_4529;
																															}
																															if (BgL_test2513z00_5002)
																																{	/* Unsafe/base64.scm 300 */
																																	RGC_STOP_MATCH
																																		(BgL_iportz00_4524,
																																		BgL_forwardz00_4526);
																																	BgL_newzd2matchzd2_4528
																																		=
																																		((long) 2);
																																}
																															else
																																{	/* Unsafe/base64.scm 300 */
																																	BgL_newzd2matchzd2_4528
																																		=
																																		BgL_lastzd2matchzd2_4525;
																																}
																														}
																														if (
																															(BgL_forwardz00_4526
																																==
																																BgL_bufposz00_4527))
																															{	/* Unsafe/base64.scm 300 */
																																if (rgc_fill_buffer(BgL_iportz00_4524))
																																	{	/* Unsafe/base64.scm 300 */
																																		long
																																			BgL_arg1304z00_4530;
																																		long
																																			BgL_arg1306z00_4531;
																																		BgL_arg1304z00_4530
																																			=
																																			RGC_BUFFER_FORWARD
																																			(BgL_iportz00_4524);
																																		BgL_arg1306z00_4531
																																			=
																																			RGC_BUFFER_BUFPOS
																																			(BgL_iportz00_4524);
																																		{
																																			long
																																				BgL_bufposz00_5014;
																																			long
																																				BgL_forwardz00_5013;
																																			BgL_forwardz00_5013
																																				=
																																				BgL_arg1304z00_4530;
																																			BgL_bufposz00_5014
																																				=
																																				BgL_arg1306z00_4531;
																																			BgL_bufposz00_4527
																																				=
																																				BgL_bufposz00_5014;
																																			BgL_forwardz00_4526
																																				=
																																				BgL_forwardz00_5013;
																																			goto
																																				BgL_statezd29zd21055z00_4372;
																																		}
																																	}
																																else
																																	{	/* Unsafe/base64.scm 300 */
																																		BgL_matchz00_4374
																																			=
																																			BgL_newzd2matchzd2_4528;
																																	}
																															}
																														else
																															{	/* Unsafe/base64.scm 300 */
																																int
																																	BgL_curz00_4532;
																																BgL_curz00_4532
																																	=
																																	RGC_BUFFER_GET_CHAR
																																	(BgL_iportz00_4524,
																																	BgL_forwardz00_4526);
																																{	/* Unsafe/base64.scm 300 */

																																	if (
																																		((long)
																																			(BgL_curz00_4532)
																																			==
																																			((long)
																																				61)))
																																		{	/* Unsafe/base64.scm 300 */
																																			long
																																				BgL_arg1308z00_4533;
																																			BgL_arg1308z00_4533
																																				=
																																				(((long)
																																					1) +
																																				BgL_forwardz00_4526);
																																			{	/* Unsafe/base64.scm 300 */
																																				long
																																					BgL_bufposz00_4534;
																																				BgL_bufposz00_4534
																																					=
																																					BgL_bufposz00_4527;
																																				{	/* Unsafe/base64.scm 300 */
																																					long
																																						BgL_newzd2matchzd2_4535;
																																					RGC_STOP_MATCH
																																						(BgL_iportz00_4524,
																																						BgL_arg1308z00_4533);
																																					BgL_newzd2matchzd2_4535
																																						=
																																						(
																																						(long)
																																						1);
																																					BgL_matchz00_4374
																																						=
																																						BgL_newzd2matchzd2_4535;
																																		}}}
																																	else
																																		{	/* Unsafe/base64.scm 300 */
																																			bool_t
																																				BgL_test2517z00_5021;
																																			if ((
																																					(long)
																																					(BgL_curz00_4532)
																																					==
																																					((long) 43)))
																																				{	/* Unsafe/base64.scm 300 */
																																					BgL_test2517z00_5021
																																						=
																																						(
																																						(bool_t)
																																						1);
																																				}
																																			else
																																				{	/* Unsafe/base64.scm 300 */
																																					if (
																																						((long) (BgL_curz00_4532) == ((long) 45)))
																																						{	/* Unsafe/base64.scm 300 */
																																							BgL_test2517z00_5021
																																								=
																																								(
																																								(bool_t)
																																								1);
																																						}
																																					else
																																						{	/* Unsafe/base64.scm 300 */
																																							bool_t
																																								BgL_test2520z00_5028;
																																							if (((long) (BgL_curz00_4532) >= ((long) 47)))
																																								{	/* Unsafe/base64.scm 300 */
																																									BgL_test2520z00_5028
																																										=
																																										(
																																										(long)
																																										(BgL_curz00_4532)
																																										<
																																										((long) 58));
																																								}
																																							else
																																								{	/* Unsafe/base64.scm 300 */
																																									BgL_test2520z00_5028
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_test2520z00_5028)
																																								{	/* Unsafe/base64.scm 300 */
																																									BgL_test2517z00_5021
																																										=
																																										(
																																										(bool_t)
																																										1);
																																								}
																																							else
																																								{	/* Unsafe/base64.scm 300 */
																																									bool_t
																																										BgL_test2522z00_5034;
																																									if (((long) (BgL_curz00_4532) >= ((long) 65)))
																																										{	/* Unsafe/base64.scm 300 */
																																											BgL_test2522z00_5034
																																												=
																																												(
																																												(long)
																																												(BgL_curz00_4532)
																																												<
																																												((long) 91));
																																										}
																																									else
																																										{	/* Unsafe/base64.scm 300 */
																																											BgL_test2522z00_5034
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																									if (BgL_test2522z00_5034)
																																										{	/* Unsafe/base64.scm 300 */
																																											BgL_test2517z00_5021
																																												=
																																												(
																																												(bool_t)
																																												1);
																																										}
																																									else
																																										{	/* Unsafe/base64.scm 300 */
																																											if (((long) (BgL_curz00_4532) == ((long) 95)))
																																												{	/* Unsafe/base64.scm 300 */
																																													BgL_test2517z00_5021
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Unsafe/base64.scm 300 */
																																													if (((long) (BgL_curz00_4532) >= ((long) 97)))
																																														{	/* Unsafe/base64.scm 300 */
																																															BgL_test2517z00_5021
																																																=
																																																(
																																																(long)
																																																(BgL_curz00_4532)
																																																<
																																																((long) 123));
																																														}
																																													else
																																														{	/* Unsafe/base64.scm 300 */
																																															BgL_test2517z00_5021
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																			if (BgL_test2517z00_5021)
																																				{	/* Unsafe/base64.scm 300 */
																																					long
																																						BgL_arg1317z00_4536;
																																					BgL_arg1317z00_4536
																																						=
																																						(((long) 1) + BgL_forwardz00_4526);
																																					{	/* Unsafe/base64.scm 300 */
																																						long
																																							BgL_bufposz00_4537;
																																						BgL_bufposz00_4537
																																							=
																																							BgL_bufposz00_4527;
																																						{	/* Unsafe/base64.scm 300 */
																																							long
																																								BgL_newzd2matchzd2_4538;
																																							RGC_STOP_MATCH
																																								(BgL_iportz00_4524,
																																								BgL_arg1317z00_4536);
																																							BgL_newzd2matchzd2_4538
																																								=
																																								(
																																								(long)
																																								0);
																																							BgL_matchz00_4374
																																								=
																																								BgL_newzd2matchzd2_4538;
																																				}}}
																																			else
																																				{	/* Unsafe/base64.scm 300 */
																																					BgL_matchz00_4374
																																						=
																																						BgL_newzd2matchzd2_4528;
																																				}
																																		}
																																}
																															}
																													}
																												}
																											else
																												{	/* Unsafe/base64.scm 300 */
																													BgL_matchz00_4374 =
																														BgL_newzd2matchzd2_4489;
																												}
																										}
																								}
																							}
																					}
																				}
																			else
																				{	/* Unsafe/base64.scm 300 */
																					BgL_matchz00_4374 =
																						BgL_newzd2matchzd2_4500;
																				}
																		}
																}
															}
													}
												}
											else
												{	/* Unsafe/base64.scm 300 */
													bool_t BgL_test2526z00_5051;

													if (((long) (BgL_curz00_4519) == ((long) 10)))
														{	/* Unsafe/base64.scm 300 */
															BgL_test2526z00_5051 = ((bool_t) 1);
														}
													else
														{	/* Unsafe/base64.scm 300 */
															BgL_test2526z00_5051 =
																((long) (BgL_curz00_4519) == ((long) 13));
														}
													if (BgL_test2526z00_5051)
														{	/* Unsafe/base64.scm 300 */
															long BgL_arg1335z00_4520;

															BgL_arg1335z00_4520 =
																(((long) 1) + BgL_forwardz00_4515);
															{	/* Unsafe/base64.scm 300 */
																long BgL_newzd2matchzd2_4521;

																RGC_STOP_MATCH(BgL_iportz00_4513,
																	BgL_arg1335z00_4520);
																BgL_newzd2matchzd2_4521 = ((long) 7);
																BgL_matchz00_4374 = BgL_newzd2matchzd2_4521;
														}}
													else
														{	/* Unsafe/base64.scm 300 */
															long BgL_arg1336z00_4522;

															BgL_arg1336z00_4522 =
																(((long) 1) + BgL_forwardz00_4515);
															{	/* Unsafe/base64.scm 300 */
																long BgL_newzd2matchzd2_4523;

																RGC_STOP_MATCH(BgL_iportz00_4513,
																	BgL_arg1336z00_4522);
																BgL_newzd2matchzd2_4523 = ((long) 8);
																BgL_matchz00_4374 = BgL_newzd2matchzd2_4523;
						}}}}}}}
						RGC_SET_FILEPOS(BgL_iportz00_4289);
						switch (BgL_matchz00_4374)
							{
							case ((long) 8):

								{	/* Unsafe/base64.scm 369 */
									obj_t BgL_cz00_4377;

									{	/* Unsafe/base64.scm 300 */
										bool_t BgL_test2528z00_5062;

										{	/* Unsafe/base64.scm 300 */
											long BgL_arg1465z00_4470;

											BgL_arg1465z00_4470 =
												RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4289);
											BgL_test2528z00_5062 =
												(BgL_arg1465z00_4470 == ((long) 0));
										}
										if (BgL_test2528z00_5062)
											{	/* Unsafe/base64.scm 300 */
												BgL_cz00_4377 = BEOF;
											}
										else
											{	/* Unsafe/base64.scm 300 */
												BgL_cz00_4377 =
													BCHAR(RGC_BUFFER_CHARACTER(BgL_iportz00_4289));
											}
									}
									{	/* Unsafe/base64.scm 370 */
										bool_t BgL_test2529z00_5067;

										if (EOF_OBJECTP(BgL_cz00_4377))
											{	/* Unsafe/base64.scm 370 */
												BgL_test2529z00_5067 = ((bool_t) 1);
											}
										else
											{	/* Unsafe/base64.scm 370 */
												BgL_test2529z00_5067 =
													CBOOL(PROCEDURE_L_ENTRY(BgL_hookz00_4294)
													(BgL_hookz00_4294, BgL_cz00_4377));
											}
										if (BgL_test2529z00_5067)
											{	/* Unsafe/base64.scm 370 */
												if ((BgL_wz00_4358 > ((long) 0)))
													{	/* Unsafe/base64.scm 372 */
														bgl_display_substring(BgL_bufz00_4291, ((long) 0),
															BgL_wz00_4358, BgL_opz00_4290);
													}
												else
													{	/* Unsafe/base64.scm 372 */
														BFALSE;
													}
												return BTRUE;
											}
										else
											{	/* Unsafe/base64.scm 370 */
												goto BgL_ignorez00_4362;
											}
									}
								}
								break;
							case ((long) 7):

								goto BgL_ignorez00_4362;
								break;
							case ((long) 6):

								if (BgL_eofzd2nozd2paddingz00_4295)
									{	/* Unsafe/base64.scm 365 */
									BgL_chunk1z00_4366:
										{	/* Unsafe/base64.scm 345 */
											int BgL_q0z00_4453;

											{	/* Unsafe/base64.scm 345 */
												int BgL_arg1475z00_4454;

												{	/* Unsafe/base64.scm 300 */
													int BgL_tmpz00_5079;

													BgL_tmpz00_5079 = (int) (((long) 0));
													BgL_arg1475z00_4454 =
														RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
														BgL_tmpz00_5079);
												}
												{	/* Unsafe/base64.scm 345 */
													int BgL_res2322z00_4455;

													{	/* Unsafe/base64.scm 345 */
														char BgL_cz00_4456;

														BgL_cz00_4456 = (signed char) (BgL_arg1475z00_4454);
														{	/* Unsafe/base64.scm 195 */
															uint8_t BgL_arg1849z00_4457;

															{	/* Unsafe/base64.scm 195 */
																long BgL_tmpz00_5083;

																BgL_tmpz00_5083 = (long) (BgL_cz00_4456);
																BgL_arg1849z00_4457 =
																	BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																	BgL_tmpz00_5083);
															}
															{	/* Unsafe/base64.scm 195 */
																int8_t BgL_xz00_4458;

																BgL_xz00_4458 = (int8_t) (BgL_arg1849z00_4457);
																{	/* Unsafe/base64.scm 195 */
																	long BgL_arg2277z00_4459;

																	BgL_arg2277z00_4459 = (long) (BgL_xz00_4458);
																	BgL_res2322z00_4455 =
																		(int) ((long) (BgL_arg2277z00_4459));
													}}}}
													BgL_q0z00_4453 = BgL_res2322z00_4455;
											}}
											{	/* Unsafe/base64.scm 345 */
												int BgL_q1z00_4460;

												{	/* Unsafe/base64.scm 346 */
													unsigned char BgL_cz00_4461;

													BgL_cz00_4461 = (char) (((unsigned char) '='));
													{	/* Unsafe/base64.scm 201 */
														long BgL_arg1850z00_4462;

														BgL_arg1850z00_4462 =
															((unsigned char) (BgL_cz00_4461));
														{	/* Unsafe/base64.scm 201 */
															int BgL_res2323z00_4463;

															{	/* Unsafe/base64.scm 201 */
																char BgL_cz00_4464;

																BgL_cz00_4464 =
																	(signed char) (BgL_arg1850z00_4462);
																{	/* Unsafe/base64.scm 195 */
																	uint8_t BgL_arg1849z00_4465;

																	{	/* Unsafe/base64.scm 195 */
																		long BgL_tmpz00_5094;

																		BgL_tmpz00_5094 = (long) (BgL_cz00_4464);
																		BgL_arg1849z00_4465 =
																			BGL_U8VREF
																			(BGl_bytezd2tablezd2zz__base64z00,
																			BgL_tmpz00_5094);
																	}
																	{	/* Unsafe/base64.scm 195 */
																		int8_t BgL_xz00_4466;

																		BgL_xz00_4466 =
																			(int8_t) (BgL_arg1849z00_4465);
																		{	/* Unsafe/base64.scm 195 */
																			long BgL_arg2277z00_4467;

																			BgL_arg2277z00_4467 =
																				(long) (BgL_xz00_4466);
																			BgL_res2323z00_4463 =
																				(int) ((long) (BgL_arg2277z00_4467));
															}}}}
															BgL_q1z00_4460 = BgL_res2323z00_4463;
												}}}
												{	/* Unsafe/base64.scm 346 */
													long BgL_v0z00_4468;

													BgL_v0z00_4468 =
														(
														((long) (BgL_q0z00_4453) <<
															(int) (((long) 2))) |
														((long) (BgL_q1z00_4460) >> (int) (((long) 4))));
													{	/* Unsafe/base64.scm 347 */

														{	/* Unsafe/base64.scm 348 */
															unsigned char BgL_arg1472z00_4469;

															BgL_arg1472z00_4469 = (BgL_v0z00_4468);
															STRING_SET(BgL_bufz00_4291, BgL_wz00_4358,
																BgL_arg1472z00_4469);
														}
														return
															bgl_display_substring(BgL_bufz00_4291, ((long) 0),
															BgL_wz00_4358, BgL_opz00_4290);
									}}}}}
								else
									{	/* Unsafe/base64.scm 365 */
										return BFALSE;
									}
								break;
							case ((long) 5):

								goto BgL_chunk1z00_4366;
								break;
							case ((long) 4):

								if (BgL_eofzd2nozd2paddingz00_4295)
									{	/* Unsafe/base64.scm 361 */
									BgL_chunk2z00_4365:
										{	/* Unsafe/base64.scm 336 */
											int BgL_q0z00_4436;

											{	/* Unsafe/base64.scm 336 */
												int BgL_arg1486z00_4437;

												{	/* Unsafe/base64.scm 300 */
													int BgL_tmpz00_5112;

													BgL_tmpz00_5112 = (int) (((long) 0));
													BgL_arg1486z00_4437 =
														RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
														BgL_tmpz00_5112);
												}
												{	/* Unsafe/base64.scm 336 */
													int BgL_res2324z00_4438;

													{	/* Unsafe/base64.scm 336 */
														char BgL_cz00_4439;

														BgL_cz00_4439 = (signed char) (BgL_arg1486z00_4437);
														{	/* Unsafe/base64.scm 195 */
															uint8_t BgL_arg1849z00_4440;

															{	/* Unsafe/base64.scm 195 */
																long BgL_tmpz00_5116;

																BgL_tmpz00_5116 = (long) (BgL_cz00_4439);
																BgL_arg1849z00_4440 =
																	BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																	BgL_tmpz00_5116);
															}
															{	/* Unsafe/base64.scm 195 */
																int8_t BgL_xz00_4441;

																BgL_xz00_4441 = (int8_t) (BgL_arg1849z00_4440);
																{	/* Unsafe/base64.scm 195 */
																	long BgL_arg2277z00_4442;

																	BgL_arg2277z00_4442 = (long) (BgL_xz00_4441);
																	BgL_res2324z00_4438 =
																		(int) ((long) (BgL_arg2277z00_4442));
													}}}}
													BgL_q0z00_4436 = BgL_res2324z00_4438;
											}}
											{	/* Unsafe/base64.scm 336 */
												int BgL_q1z00_4443;

												{	/* Unsafe/base64.scm 337 */
													int BgL_arg1485z00_4444;

													{	/* Unsafe/base64.scm 300 */
														int BgL_tmpz00_5123;

														BgL_tmpz00_5123 = (int) (((long) 1));
														BgL_arg1485z00_4444 =
															RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
															BgL_tmpz00_5123);
													}
													{	/* Unsafe/base64.scm 337 */
														int BgL_res2325z00_4445;

														{	/* Unsafe/base64.scm 337 */
															char BgL_cz00_4446;

															BgL_cz00_4446 =
																(signed char) (BgL_arg1485z00_4444);
															{	/* Unsafe/base64.scm 195 */
																uint8_t BgL_arg1849z00_4447;

																{	/* Unsafe/base64.scm 195 */
																	long BgL_tmpz00_5127;

																	BgL_tmpz00_5127 = (long) (BgL_cz00_4446);
																	BgL_arg1849z00_4447 =
																		BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																		BgL_tmpz00_5127);
																}
																{	/* Unsafe/base64.scm 195 */
																	int8_t BgL_xz00_4448;

																	BgL_xz00_4448 =
																		(int8_t) (BgL_arg1849z00_4447);
																	{	/* Unsafe/base64.scm 195 */
																		long BgL_arg2277z00_4449;

																		BgL_arg2277z00_4449 =
																			(long) (BgL_xz00_4448);
																		BgL_res2325z00_4445 =
																			(int) ((long) (BgL_arg2277z00_4449));
														}}}}
														BgL_q1z00_4443 = BgL_res2325z00_4445;
												}}
												{	/* Unsafe/base64.scm 337 */
													long BgL_v0z00_4450;

													BgL_v0z00_4450 =
														(
														((long) (BgL_q0z00_4436) <<
															(int) (((long) 2))) |
														((long) (BgL_q1z00_4443) >> (int) (((long) 4))));
													{	/* Unsafe/base64.scm 338 */
														long BgL_v1z00_4451;

														BgL_v1z00_4451 =
															(
															((long) (BgL_q1z00_4443) <<
																(int) (((long) 4))) & ((long) 240));
														{	/* Unsafe/base64.scm 339 */

															{	/* Unsafe/base64.scm 340 */
																unsigned char BgL_arg1477z00_4452;

																BgL_arg1477z00_4452 = (BgL_v0z00_4450);
																STRING_SET(BgL_bufz00_4291, BgL_wz00_4358,
																	BgL_arg1477z00_4452);
															}
															{	/* Unsafe/base64.scm 341 */
																unsigned char BgL_auxz00_5149;
																long BgL_tmpz00_5147;

																BgL_auxz00_5149 = (BgL_v1z00_4451);
																BgL_tmpz00_5147 = (BgL_wz00_4358 + ((long) 1));
																STRING_SET(BgL_bufz00_4291, BgL_tmpz00_5147,
																	BgL_auxz00_5149);
															}
															{	/* Unsafe/base64.scm 342 */
																long BgL_tmpz00_5152;

																BgL_tmpz00_5152 = (BgL_wz00_4358 + ((long) 1));
																return
																	bgl_display_substring(BgL_bufz00_4291,
																	((long) 0), BgL_tmpz00_5152, BgL_opz00_4290);
									}}}}}}}
								else
									{	/* Unsafe/base64.scm 361 */
										return BFALSE;
									}
								break;
							case ((long) 3):

								goto BgL_chunk2z00_4365;
								break;
							case ((long) 2):

								if (BgL_eofzd2nozd2paddingz00_4295)
									{	/* Unsafe/base64.scm 357 */
									BgL_chunk3z00_4364:
										{	/* Unsafe/base64.scm 324 */
											int BgL_q0z00_4411;

											{	/* Unsafe/base64.scm 324 */
												int BgL_arg1505z00_4412;

												{	/* Unsafe/base64.scm 300 */
													int BgL_tmpz00_5156;

													BgL_tmpz00_5156 = (int) (((long) 0));
													BgL_arg1505z00_4412 =
														RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
														BgL_tmpz00_5156);
												}
												{	/* Unsafe/base64.scm 324 */
													int BgL_res2326z00_4413;

													{	/* Unsafe/base64.scm 324 */
														char BgL_cz00_4414;

														BgL_cz00_4414 = (signed char) (BgL_arg1505z00_4412);
														{	/* Unsafe/base64.scm 195 */
															uint8_t BgL_arg1849z00_4415;

															{	/* Unsafe/base64.scm 195 */
																long BgL_tmpz00_5160;

																BgL_tmpz00_5160 = (long) (BgL_cz00_4414);
																BgL_arg1849z00_4415 =
																	BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																	BgL_tmpz00_5160);
															}
															{	/* Unsafe/base64.scm 195 */
																int8_t BgL_xz00_4416;

																BgL_xz00_4416 = (int8_t) (BgL_arg1849z00_4415);
																{	/* Unsafe/base64.scm 195 */
																	long BgL_arg2277z00_4417;

																	BgL_arg2277z00_4417 = (long) (BgL_xz00_4416);
																	BgL_res2326z00_4413 =
																		(int) ((long) (BgL_arg2277z00_4417));
													}}}}
													BgL_q0z00_4411 = BgL_res2326z00_4413;
											}}
											{	/* Unsafe/base64.scm 324 */
												int BgL_q1z00_4418;

												{	/* Unsafe/base64.scm 325 */
													int BgL_arg1504z00_4419;

													{	/* Unsafe/base64.scm 300 */
														int BgL_tmpz00_5167;

														BgL_tmpz00_5167 = (int) (((long) 1));
														BgL_arg1504z00_4419 =
															RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
															BgL_tmpz00_5167);
													}
													{	/* Unsafe/base64.scm 325 */
														int BgL_res2327z00_4420;

														{	/* Unsafe/base64.scm 325 */
															char BgL_cz00_4421;

															BgL_cz00_4421 =
																(signed char) (BgL_arg1504z00_4419);
															{	/* Unsafe/base64.scm 195 */
																uint8_t BgL_arg1849z00_4422;

																{	/* Unsafe/base64.scm 195 */
																	long BgL_tmpz00_5171;

																	BgL_tmpz00_5171 = (long) (BgL_cz00_4421);
																	BgL_arg1849z00_4422 =
																		BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																		BgL_tmpz00_5171);
																}
																{	/* Unsafe/base64.scm 195 */
																	int8_t BgL_xz00_4423;

																	BgL_xz00_4423 =
																		(int8_t) (BgL_arg1849z00_4422);
																	{	/* Unsafe/base64.scm 195 */
																		long BgL_arg2277z00_4424;

																		BgL_arg2277z00_4424 =
																			(long) (BgL_xz00_4423);
																		BgL_res2327z00_4420 =
																			(int) ((long) (BgL_arg2277z00_4424));
														}}}}
														BgL_q1z00_4418 = BgL_res2327z00_4420;
												}}
												{	/* Unsafe/base64.scm 325 */
													int BgL_q2z00_4425;

													{	/* Unsafe/base64.scm 326 */
														int BgL_arg1503z00_4426;

														{	/* Unsafe/base64.scm 300 */
															int BgL_tmpz00_5178;

															BgL_tmpz00_5178 = (int) (((long) 2));
															BgL_arg1503z00_4426 =
																RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
																BgL_tmpz00_5178);
														}
														{	/* Unsafe/base64.scm 326 */
															int BgL_res2328z00_4427;

															{	/* Unsafe/base64.scm 326 */
																char BgL_cz00_4428;

																BgL_cz00_4428 =
																	(signed char) (BgL_arg1503z00_4426);
																{	/* Unsafe/base64.scm 195 */
																	uint8_t BgL_arg1849z00_4429;

																	{	/* Unsafe/base64.scm 195 */
																		long BgL_tmpz00_5182;

																		BgL_tmpz00_5182 = (long) (BgL_cz00_4428);
																		BgL_arg1849z00_4429 =
																			BGL_U8VREF
																			(BGl_bytezd2tablezd2zz__base64z00,
																			BgL_tmpz00_5182);
																	}
																	{	/* Unsafe/base64.scm 195 */
																		int8_t BgL_xz00_4430;

																		BgL_xz00_4430 =
																			(int8_t) (BgL_arg1849z00_4429);
																		{	/* Unsafe/base64.scm 195 */
																			long BgL_arg2277z00_4431;

																			BgL_arg2277z00_4431 =
																				(long) (BgL_xz00_4430);
																			BgL_res2328z00_4427 =
																				(int) ((long) (BgL_arg2277z00_4431));
															}}}}
															BgL_q2z00_4425 = BgL_res2328z00_4427;
													}}
													{	/* Unsafe/base64.scm 326 */
														long BgL_v0z00_4432;

														BgL_v0z00_4432 =
															(
															((long) (BgL_q0z00_4411) <<
																(int) (((long) 2))) |
															((long) (BgL_q1z00_4418) >> (int) (((long) 4))));
														{	/* Unsafe/base64.scm 327 */
															long BgL_v1z00_4433;

															BgL_v1z00_4433 =
																(
																(((long) (BgL_q1z00_4418) <<
																		(int) (((long) 4))) & ((long) 240)) |
																((long) (BgL_q2z00_4425) >>
																	(int) (((long) 2))));
															{	/* Unsafe/base64.scm 328 */
																long BgL_v2z00_4434;

																BgL_v2z00_4434 =
																	(
																	((long) (BgL_q2z00_4425) <<
																		(int) (((long) 6))) & ((long) 192));
																{	/* Unsafe/base64.scm 329 */

																	{	/* Unsafe/base64.scm 330 */
																		unsigned char BgL_arg1488z00_4435;

																		BgL_arg1488z00_4435 = (BgL_v0z00_4432);
																		STRING_SET(BgL_bufz00_4291, BgL_wz00_4358,
																			BgL_arg1488z00_4435);
																	}
																	{	/* Unsafe/base64.scm 331 */
																		unsigned char BgL_auxz00_5212;
																		long BgL_tmpz00_5210;

																		BgL_auxz00_5212 = (BgL_v1z00_4433);
																		BgL_tmpz00_5210 =
																			(BgL_wz00_4358 + ((long) 1));
																		STRING_SET(BgL_bufz00_4291, BgL_tmpz00_5210,
																			BgL_auxz00_5212);
																	}
																	{	/* Unsafe/base64.scm 332 */
																		unsigned char BgL_auxz00_5217;
																		long BgL_tmpz00_5215;

																		BgL_auxz00_5217 = (BgL_v2z00_4434);
																		BgL_tmpz00_5215 =
																			(BgL_wz00_4358 + ((long) 2));
																		STRING_SET(BgL_bufz00_4291, BgL_tmpz00_5215,
																			BgL_auxz00_5217);
																	}
																	{	/* Unsafe/base64.scm 333 */
																		long BgL_tmpz00_5220;

																		BgL_tmpz00_5220 =
																			(BgL_wz00_4358 + ((long) 2));
																		return
																			bgl_display_substring(BgL_bufz00_4291,
																			((long) 0), BgL_tmpz00_5220,
																			BgL_opz00_4290);
									}}}}}}}}}
								else
									{	/* Unsafe/base64.scm 357 */
										return BFALSE;
									}
								break;
							case ((long) 1):

								goto BgL_chunk3z00_4364;
								break;
							case ((long) 0):

								{	/* Unsafe/base64.scm 306 */
									int BgL_q0z00_4378;

									{	/* Unsafe/base64.scm 306 */
										int BgL_arg1524z00_4379;

										{	/* Unsafe/base64.scm 300 */
											int BgL_tmpz00_5223;

											BgL_tmpz00_5223 = (int) (((long) 0));
											BgL_arg1524z00_4379 =
												RGC_BUFFER_BYTE_REF(BgL_iportz00_4289, BgL_tmpz00_5223);
										}
										{	/* Unsafe/base64.scm 306 */
											int BgL_res2329z00_4380;

											{	/* Unsafe/base64.scm 306 */
												char BgL_cz00_4381;

												BgL_cz00_4381 = (signed char) (BgL_arg1524z00_4379);
												{	/* Unsafe/base64.scm 195 */
													uint8_t BgL_arg1849z00_4382;

													{	/* Unsafe/base64.scm 195 */
														long BgL_tmpz00_5227;

														BgL_tmpz00_5227 = (long) (BgL_cz00_4381);
														BgL_arg1849z00_4382 =
															BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
															BgL_tmpz00_5227);
													}
													{	/* Unsafe/base64.scm 195 */
														int8_t BgL_xz00_4383;

														BgL_xz00_4383 = (int8_t) (BgL_arg1849z00_4382);
														{	/* Unsafe/base64.scm 195 */
															long BgL_arg2277z00_4384;

															BgL_arg2277z00_4384 = (long) (BgL_xz00_4383);
															BgL_res2329z00_4380 =
																(int) ((long) (BgL_arg2277z00_4384));
											}}}}
											BgL_q0z00_4378 = BgL_res2329z00_4380;
									}}
									{	/* Unsafe/base64.scm 306 */
										int BgL_q1z00_4385;

										{	/* Unsafe/base64.scm 307 */
											int BgL_arg1523z00_4386;

											{	/* Unsafe/base64.scm 300 */
												int BgL_tmpz00_5234;

												BgL_tmpz00_5234 = (int) (((long) 1));
												BgL_arg1523z00_4386 =
													RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
													BgL_tmpz00_5234);
											}
											{	/* Unsafe/base64.scm 307 */
												int BgL_res2330z00_4387;

												{	/* Unsafe/base64.scm 307 */
													char BgL_cz00_4388;

													BgL_cz00_4388 = (signed char) (BgL_arg1523z00_4386);
													{	/* Unsafe/base64.scm 195 */
														uint8_t BgL_arg1849z00_4389;

														{	/* Unsafe/base64.scm 195 */
															long BgL_tmpz00_5238;

															BgL_tmpz00_5238 = (long) (BgL_cz00_4388);
															BgL_arg1849z00_4389 =
																BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																BgL_tmpz00_5238);
														}
														{	/* Unsafe/base64.scm 195 */
															int8_t BgL_xz00_4390;

															BgL_xz00_4390 = (int8_t) (BgL_arg1849z00_4389);
															{	/* Unsafe/base64.scm 195 */
																long BgL_arg2277z00_4391;

																BgL_arg2277z00_4391 = (long) (BgL_xz00_4390);
																BgL_res2330z00_4387 =
																	(int) ((long) (BgL_arg2277z00_4391));
												}}}}
												BgL_q1z00_4385 = BgL_res2330z00_4387;
										}}
										{	/* Unsafe/base64.scm 307 */
											int BgL_q2z00_4392;

											{	/* Unsafe/base64.scm 308 */
												int BgL_arg1521z00_4393;

												{	/* Unsafe/base64.scm 300 */
													int BgL_tmpz00_5245;

													BgL_tmpz00_5245 = (int) (((long) 2));
													BgL_arg1521z00_4393 =
														RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
														BgL_tmpz00_5245);
												}
												{	/* Unsafe/base64.scm 308 */
													int BgL_res2331z00_4394;

													{	/* Unsafe/base64.scm 308 */
														char BgL_cz00_4395;

														BgL_cz00_4395 = (signed char) (BgL_arg1521z00_4393);
														{	/* Unsafe/base64.scm 195 */
															uint8_t BgL_arg1849z00_4396;

															{	/* Unsafe/base64.scm 195 */
																long BgL_tmpz00_5249;

																BgL_tmpz00_5249 = (long) (BgL_cz00_4395);
																BgL_arg1849z00_4396 =
																	BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																	BgL_tmpz00_5249);
															}
															{	/* Unsafe/base64.scm 195 */
																int8_t BgL_xz00_4397;

																BgL_xz00_4397 = (int8_t) (BgL_arg1849z00_4396);
																{	/* Unsafe/base64.scm 195 */
																	long BgL_arg2277z00_4398;

																	BgL_arg2277z00_4398 = (long) (BgL_xz00_4397);
																	BgL_res2331z00_4394 =
																		(int) ((long) (BgL_arg2277z00_4398));
													}}}}
													BgL_q2z00_4392 = BgL_res2331z00_4394;
											}}
											{	/* Unsafe/base64.scm 308 */
												int BgL_q3z00_4399;

												{	/* Unsafe/base64.scm 309 */
													int BgL_arg1520z00_4400;

													{	/* Unsafe/base64.scm 300 */
														int BgL_tmpz00_5256;

														BgL_tmpz00_5256 = (int) (((long) 3));
														BgL_arg1520z00_4400 =
															RGC_BUFFER_BYTE_REF(BgL_iportz00_4289,
															BgL_tmpz00_5256);
													}
													{	/* Unsafe/base64.scm 309 */
														int BgL_res2332z00_4401;

														{	/* Unsafe/base64.scm 309 */
															char BgL_cz00_4402;

															BgL_cz00_4402 =
																(signed char) (BgL_arg1520z00_4400);
															{	/* Unsafe/base64.scm 195 */
																uint8_t BgL_arg1849z00_4403;

																{	/* Unsafe/base64.scm 195 */
																	long BgL_tmpz00_5260;

																	BgL_tmpz00_5260 = (long) (BgL_cz00_4402);
																	BgL_arg1849z00_4403 =
																		BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																		BgL_tmpz00_5260);
																}
																{	/* Unsafe/base64.scm 195 */
																	int8_t BgL_xz00_4404;

																	BgL_xz00_4404 =
																		(int8_t) (BgL_arg1849z00_4403);
																	{	/* Unsafe/base64.scm 195 */
																		long BgL_arg2277z00_4405;

																		BgL_arg2277z00_4405 =
																			(long) (BgL_xz00_4404);
																		BgL_res2332z00_4401 =
																			(int) ((long) (BgL_arg2277z00_4405));
														}}}}
														BgL_q3z00_4399 = BgL_res2332z00_4401;
												}}
												{	/* Unsafe/base64.scm 309 */
													long BgL_v0z00_4406;

													BgL_v0z00_4406 =
														(
														((long) (BgL_q0z00_4378) <<
															(int) (((long) 2))) |
														((long) (BgL_q1z00_4385) >> (int) (((long) 4))));
													{	/* Unsafe/base64.scm 310 */
														long BgL_v1z00_4407;

														BgL_v1z00_4407 =
															(
															(((long) (BgL_q1z00_4385) <<
																	(int) (((long) 4))) & ((long) 240)) |
															((long) (BgL_q2z00_4392) >> (int) (((long) 2))));
														{	/* Unsafe/base64.scm 311 */
															long BgL_v2z00_4408;

															BgL_v2z00_4408 =
																(
																(((long) (BgL_q2z00_4392) <<
																		(int) (((long) 6))) & ((long) 192)) |
																(long) (BgL_q3z00_4399));
															{	/* Unsafe/base64.scm 312 */

																{	/* Unsafe/base64.scm 313 */
																	unsigned char BgL_arg1507z00_4409;

																	BgL_arg1507z00_4409 = (BgL_v0z00_4406);
																	STRING_SET(BgL_bufz00_4291, BgL_wz00_4358,
																		BgL_arg1507z00_4409);
																}
																{	/* Unsafe/base64.scm 314 */
																	unsigned char BgL_auxz00_5292;
																	long BgL_tmpz00_5290;

																	BgL_auxz00_5292 = (BgL_v1z00_4407);
																	BgL_tmpz00_5290 =
																		(BgL_wz00_4358 + ((long) 1));
																	STRING_SET(BgL_bufz00_4291, BgL_tmpz00_5290,
																		BgL_auxz00_5292);
																}
																{	/* Unsafe/base64.scm 315 */
																	unsigned char BgL_auxz00_5297;
																	long BgL_tmpz00_5295;

																	BgL_auxz00_5297 = (BgL_v2z00_4408);
																	BgL_tmpz00_5295 =
																		(BgL_wz00_4358 + ((long) 2));
																	STRING_SET(BgL_bufz00_4291, BgL_tmpz00_5295,
																		BgL_auxz00_5297);
																}
																{	/* Unsafe/base64.scm 316 */
																	long BgL_nwz00_4410;

																	BgL_nwz00_4410 = (BgL_wz00_4358 + ((long) 3));
																	if ((BgL_nwz00_4410 == BgL_lenz00_4293))
																		{	/* Unsafe/base64.scm 317 */
																			bgl_display_string(BgL_bufz00_4291,
																				BgL_opz00_4290);
																			BgL_wz00_4358 = ((long) 0);
																		}
																	else
																		{	/* Unsafe/base64.scm 317 */
																			BgL_wz00_4358 = BgL_nwz00_4410;
																		}
																}
															}
														}
													}
												}
											}
										}
									}
								}
								goto BgL_ignorez00_4362;
								break;
							default:
								return
									BGl_errorz00zz__errorz00(BGl_string2380z00zz__base64z00,
									BGl_string2381z00zz__base64z00, BINT(BgL_matchz00_4374));
							}
					}
				}
			}
		}

	}



/* _base64-encode */
	obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t BgL_env1144z00_7,
		obj_t BgL_opt1143z00_6)
	{
		{	/* Unsafe/base64.scm 71 */
			{	/* Unsafe/base64.scm 71 */
				obj_t BgL_g1145z00_2106;

				BgL_g1145z00_2106 = VECTOR_REF(BgL_opt1143z00_6, ((long) 0));
				switch (VECTOR_LENGTH(BgL_opt1143z00_6))
					{
					case ((long) 1):

						{	/* Unsafe/base64.scm 71 */

							{	/* Unsafe/base64.scm 71 */
								obj_t BgL_auxz00_5308;

								if (STRINGP(BgL_g1145z00_2106))
									{	/* Unsafe/base64.scm 71 */
										BgL_auxz00_5308 = BgL_g1145z00_2106;
									}
								else
									{
										obj_t BgL_auxz00_5311;

										BgL_auxz00_5311 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 2752)),
											BGl_string2383z00zz__base64z00,
											BGl_string2384z00zz__base64z00, BgL_g1145z00_2106);
										FAILURE(BgL_auxz00_5311, BFALSE, BFALSE);
									}
								return
									BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5308,
									BINT(((long) 76)));
						}} break;
					case ((long) 2):

						{	/* Unsafe/base64.scm 71 */
							obj_t BgL_paddingz00_2111;

							BgL_paddingz00_2111 = VECTOR_REF(BgL_opt1143z00_6, ((long) 1));
							{	/* Unsafe/base64.scm 71 */

								{	/* Unsafe/base64.scm 71 */
									obj_t BgL_auxz00_5318;

									if (STRINGP(BgL_g1145z00_2106))
										{	/* Unsafe/base64.scm 71 */
											BgL_auxz00_5318 = BgL_g1145z00_2106;
										}
									else
										{
											obj_t BgL_auxz00_5321;

											BgL_auxz00_5321 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 2752)),
												BGl_string2383z00zz__base64z00,
												BGl_string2384z00zz__base64z00, BgL_g1145z00_2106);
											FAILURE(BgL_auxz00_5321, BFALSE, BFALSE);
										}
									return
										BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5318,
										BgL_paddingz00_2111);
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* base64-encode */
	BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t BgL_sz00_4,
		obj_t BgL_paddingz00_5)
	{
		{	/* Unsafe/base64.scm 71 */
			{	/* Unsafe/base64.scm 74 */
				long BgL_lenz00_2115;

				BgL_lenz00_2115 = STRING_LENGTH(BgL_sz00_4);
				{	/* Unsafe/base64.scm 75 */
					long BgL_lenzd23zd2_2116;

					BgL_lenzd23zd2_2116 = (BgL_lenz00_2115 - ((long) 3));
					{	/* Unsafe/base64.scm 76 */
						long BgL_rlenz00_2117;

						BgL_rlenz00_2117 =
							(((long) 4) * ((((long) 2) + BgL_lenz00_2115) / ((long) 3)));
						{	/* Unsafe/base64.scm 77 */
							long BgL_padz00_2118;

							{	/* Unsafe/base64.scm 78 */
								bool_t BgL_test2538z00_5333;

								if (INTEGERP(BgL_paddingz00_5))
									{	/* Unsafe/base64.scm 78 */
										BgL_test2538z00_5333 =
											((long) CINT(BgL_paddingz00_5) > ((long) 0));
									}
								else
									{	/* Unsafe/base64.scm 78 */
										BgL_test2538z00_5333 = ((bool_t) 0);
									}
								if (BgL_test2538z00_5333)
									{	/* Unsafe/base64.scm 78 */
										BgL_padz00_2118 =
											(
											(((long) 3) *
												(long) CINT(BgL_paddingz00_5)) / ((long) 4));
									}
								else
									{	/* Unsafe/base64.scm 78 */
										BgL_padz00_2118 = ((long) -1);
							}}
							{	/* Unsafe/base64.scm 78 */
								long BgL_flenz00_2119;

								if ((BgL_padz00_2118 > ((long) 0)))
									{	/* Unsafe/base64.scm 81 */
										BgL_flenz00_2119 =
											(BgL_rlenz00_2117 +
											(BgL_rlenz00_2117 / (long) CINT(BgL_paddingz00_5)));
									}
								else
									{	/* Unsafe/base64.scm 81 */
										BgL_flenz00_2119 = BgL_rlenz00_2117;
									}
								{	/* Unsafe/base64.scm 81 */
									obj_t BgL_resz00_2120;

									BgL_resz00_2120 =
										make_string(BgL_flenz00_2119, ((unsigned char) 10));
									{	/* Unsafe/base64.scm 84 */

										{
											long BgL_xz00_2122;
											long BgL_yz00_2123;

											BgL_xz00_2122 = ((long) 0);
											BgL_yz00_2123 = ((long) 0);
										BgL_zc3z04anonymousza31741ze3z87_2124:
											if ((BgL_xz00_2122 <= BgL_lenzd23zd2_2116))
												{	/* Unsafe/base64.scm 88 */
													long BgL_i0z00_2126;

													BgL_i0z00_2126 =
														(STRING_REF(BgL_sz00_4, BgL_xz00_2122));
													{	/* Unsafe/base64.scm 88 */
														long BgL_i1z00_2127;

														BgL_i1z00_2127 =
															(STRING_REF(BgL_sz00_4,
																(((long) 1) + BgL_xz00_2122)));
														{	/* Unsafe/base64.scm 89 */
															long BgL_i2z00_2128;

															BgL_i2z00_2128 =
																(STRING_REF(BgL_sz00_4,
																	(((long) 2) + BgL_xz00_2122)));
															{	/* Unsafe/base64.scm 90 */
																long BgL_o0z00_2129;

																BgL_o0z00_2129 =
																	(
																	(BgL_i0z00_2126 & ((long) 252)) >>
																	(int) (((long) 2)));
																{	/* Unsafe/base64.scm 91 */
																	long BgL_o1z00_2130;

																	BgL_o1z00_2130 =
																		(
																		((BgL_i0z00_2126 & ((long) 3)) <<
																			(int) (((long) 4))) |
																		((BgL_i1z00_2127 & ((long) 240)) >>
																			(int) (((long) 4))));
																	{	/* Unsafe/base64.scm 92 */
																		long BgL_o2z00_2131;

																		BgL_o2z00_2131 =
																			(
																			((BgL_i1z00_2127 & ((long) 15)) <<
																				(int) (((long) 2))) |
																			((BgL_i2z00_2128 & ((long) 192)) >>
																				(int) (((long) 6))));
																		{	/* Unsafe/base64.scm 94 */
																			long BgL_o3z00_2132;

																			BgL_o3z00_2132 =
																				(BgL_i2z00_2128 & ((long) 63));
																			{	/* Unsafe/base64.scm 96 */

																				{	/* Unsafe/base64.scm 97 */
																					unsigned char BgL_tmpz00_5375;

																					BgL_tmpz00_5375 =
																						STRING_REF
																						(BGl_string2385z00zz__base64z00,
																						BgL_o0z00_2129);
																					STRING_SET(BgL_resz00_2120,
																						BgL_yz00_2123, BgL_tmpz00_5375);
																				}
																				{	/* Unsafe/base64.scm 98 */
																					unsigned char BgL_auxz00_5380;
																					long BgL_tmpz00_5378;

																					BgL_auxz00_5380 =
																						STRING_REF
																						(BGl_string2385z00zz__base64z00,
																						BgL_o1z00_2130);
																					BgL_tmpz00_5378 =
																						(BgL_yz00_2123 + ((long) 1));
																					STRING_SET(BgL_resz00_2120,
																						BgL_tmpz00_5378, BgL_auxz00_5380);
																				}
																				{	/* Unsafe/base64.scm 99 */
																					unsigned char BgL_auxz00_5385;
																					long BgL_tmpz00_5383;

																					BgL_auxz00_5385 =
																						STRING_REF
																						(BGl_string2385z00zz__base64z00,
																						BgL_o2z00_2131);
																					BgL_tmpz00_5383 =
																						(BgL_yz00_2123 + ((long) 2));
																					STRING_SET(BgL_resz00_2120,
																						BgL_tmpz00_5383, BgL_auxz00_5385);
																				}
																				{	/* Unsafe/base64.scm 100 */
																					unsigned char BgL_auxz00_5390;
																					long BgL_tmpz00_5388;

																					BgL_auxz00_5390 =
																						STRING_REF
																						(BGl_string2385z00zz__base64z00,
																						BgL_o3z00_2132);
																					BgL_tmpz00_5388 =
																						(BgL_yz00_2123 + ((long) 3));
																					STRING_SET(BgL_resz00_2120,
																						BgL_tmpz00_5388, BgL_auxz00_5390);
																				}
																				{	/* Unsafe/base64.scm 101 */
																					long BgL_nxz00_2140;

																					BgL_nxz00_2140 =
																						(BgL_xz00_2122 + ((long) 3));
																					{	/* Unsafe/base64.scm 102 */
																						bool_t BgL_test2542z00_5394;

																						if ((BgL_padz00_2118 > ((long) 0)))
																							{	/* Unsafe/base64.scm 102 */
																								long BgL_arg1756z00_2147;

																								{	/* Unsafe/base64.scm 102 */
																									long BgL_n1z00_3540;
																									long BgL_n2z00_3541;

																									BgL_n1z00_3540 =
																										BgL_nxz00_2140;
																									BgL_n2z00_3541 =
																										BgL_padz00_2118;
																									{	/* Unsafe/base64.scm 102 */
																										bool_t BgL_test2544z00_5397;

																										{	/* Unsafe/base64.scm 102 */
																											long BgL_arg2182z00_3543;

																											BgL_arg2182z00_3543 =
																												(((BgL_n1z00_3540) |
																													(BgL_n2z00_3541)) &
																												-2147483648);
																											BgL_test2544z00_5397 =
																												(BgL_arg2182z00_3543 ==
																												((long) 0));
																										}
																										if (BgL_test2544z00_5397)
																											{	/* Unsafe/base64.scm 102 */
																												int32_t
																													BgL_arg2179z00_3544;
																												{	/* Unsafe/base64.scm 102 */
																													int32_t
																														BgL_arg2180z00_3545;
																													int32_t
																														BgL_arg2181z00_3546;
																													BgL_arg2180z00_3545 =
																														(int32_t)
																														(BgL_n1z00_3540);
																													BgL_arg2181z00_3546 =
																														(int32_t)
																														(BgL_n2z00_3541);
																													BgL_arg2179z00_3544 =
																														(BgL_arg2180z00_3545
																														%
																														BgL_arg2181z00_3546);
																												}
																												{	/* Unsafe/base64.scm 102 */
																													long
																														BgL_arg2273z00_3551;
																													BgL_arg2273z00_3551 =
																														(long)
																														(BgL_arg2179z00_3544);
																													BgL_arg1756z00_2147 =
																														(long)
																														(BgL_arg2273z00_3551);
																											}}
																										else
																											{	/* Unsafe/base64.scm 102 */
																												BgL_arg1756z00_2147 =
																													(BgL_n1z00_3540 %
																													BgL_n2z00_3541);
																											}
																									}
																								}
																								BgL_test2542z00_5394 =
																									(BgL_arg1756z00_2147 ==
																									((long) 0));
																							}
																						else
																							{	/* Unsafe/base64.scm 102 */
																								BgL_test2542z00_5394 =
																									((bool_t) 0);
																							}
																						if (BgL_test2542z00_5394)
																							{
																								long BgL_yz00_5408;
																								long BgL_xz00_5407;

																								BgL_xz00_5407 = BgL_nxz00_2140;
																								BgL_yz00_5408 =
																									(BgL_yz00_2123 + ((long) 5));
																								BgL_yz00_2123 = BgL_yz00_5408;
																								BgL_xz00_2122 = BgL_xz00_5407;
																								goto
																									BgL_zc3z04anonymousza31741ze3z87_2124;
																							}
																						else
																							{
																								long BgL_yz00_5411;
																								long BgL_xz00_5410;

																								BgL_xz00_5410 = BgL_nxz00_2140;
																								BgL_yz00_5411 =
																									(BgL_yz00_2123 + ((long) 4));
																								BgL_yz00_2123 = BgL_yz00_5411;
																								BgL_xz00_2122 = BgL_xz00_5410;
																								goto
																									BgL_zc3z04anonymousza31741ze3z87_2124;
																							}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/base64.scm 105 */
													long BgL_aux1041z00_2163;

													BgL_aux1041z00_2163 =
														(BgL_lenz00_2115 - BgL_xz00_2122);
													switch (BgL_aux1041z00_2163)
														{
														case ((long) 2):

															{	/* Unsafe/base64.scm 107 */
																long BgL_i0z00_2165;

																BgL_i0z00_2165 =
																	(STRING_REF(BgL_sz00_4, BgL_xz00_2122));
																{	/* Unsafe/base64.scm 107 */
																	long BgL_i1z00_2166;

																	BgL_i1z00_2166 =
																		(STRING_REF(BgL_sz00_4,
																			(BgL_xz00_2122 + ((long) 1))));
																	{	/* Unsafe/base64.scm 108 */
																		long BgL_o0z00_2167;

																		BgL_o0z00_2167 =
																			(
																			(BgL_i0z00_2165 & ((long) 252)) >>
																			(int) (((long) 2)));
																		{	/* Unsafe/base64.scm 109 */
																			long BgL_o1z00_2168;

																			BgL_o1z00_2168 =
																				(
																				((BgL_i0z00_2165 & ((long) 3)) <<
																					(int) (((long) 4))) |
																				((BgL_i1z00_2166 & ((long) 240)) >>
																					(int) (((long) 4))));
																			{	/* Unsafe/base64.scm 110 */
																				long BgL_o2z00_2169;

																				BgL_o2z00_2169 =
																					(
																					(BgL_i1z00_2166 & ((long) 15)) <<
																					(int) (((long) 2)));
																				{	/* Unsafe/base64.scm 112 */

																					{	/* Unsafe/base64.scm 113 */
																						unsigned char BgL_tmpz00_5432;

																						BgL_tmpz00_5432 =
																							STRING_REF
																							(BGl_string2385z00zz__base64z00,
																							BgL_o0z00_2167);
																						STRING_SET(BgL_resz00_2120,
																							BgL_yz00_2123, BgL_tmpz00_5432);
																					}
																					{	/* Unsafe/base64.scm 114 */
																						unsigned char BgL_auxz00_5437;
																						long BgL_tmpz00_5435;

																						BgL_auxz00_5437 =
																							STRING_REF
																							(BGl_string2385z00zz__base64z00,
																							BgL_o1z00_2168);
																						BgL_tmpz00_5435 =
																							(BgL_yz00_2123 + ((long) 1));
																						STRING_SET(BgL_resz00_2120,
																							BgL_tmpz00_5435, BgL_auxz00_5437);
																					}
																					{	/* Unsafe/base64.scm 115 */
																						unsigned char BgL_auxz00_5442;
																						long BgL_tmpz00_5440;

																						BgL_auxz00_5442 =
																							STRING_REF
																							(BGl_string2385z00zz__base64z00,
																							BgL_o2z00_2169);
																						BgL_tmpz00_5440 =
																							(BgL_yz00_2123 + ((long) 2));
																						STRING_SET(BgL_resz00_2120,
																							BgL_tmpz00_5440, BgL_auxz00_5442);
																					}
																					{	/* Unsafe/base64.scm 116 */
																						long BgL_tmpz00_5445;

																						BgL_tmpz00_5445 =
																							(BgL_yz00_2123 + ((long) 3));
																						STRING_SET(BgL_resz00_2120,
																							BgL_tmpz00_5445,
																							((unsigned char) '='));
															}}}}}}} break;
														case ((long) 1):

															{	/* Unsafe/base64.scm 118 */
																long BgL_iz00_2185;

																BgL_iz00_2185 =
																	(STRING_REF(BgL_sz00_4, BgL_xz00_2122));
																{	/* Unsafe/base64.scm 118 */
																	long BgL_o0z00_2186;

																	BgL_o0z00_2186 =
																		(
																		(BgL_iz00_2185 & ((long) 252)) >>
																		(int) (((long) 2)));
																	{	/* Unsafe/base64.scm 119 */
																		long BgL_o1z00_2187;

																		BgL_o1z00_2187 =
																			(
																			(BgL_iz00_2185 & ((long) 3)) <<
																			(int) (((long) 4)));
																		{	/* Unsafe/base64.scm 120 */

																			{	/* Unsafe/base64.scm 121 */
																				unsigned char BgL_tmpz00_5456;

																				BgL_tmpz00_5456 =
																					STRING_REF
																					(BGl_string2385z00zz__base64z00,
																					BgL_o0z00_2186);
																				STRING_SET(BgL_resz00_2120,
																					BgL_yz00_2123, BgL_tmpz00_5456);
																			}
																			{	/* Unsafe/base64.scm 122 */
																				unsigned char BgL_auxz00_5461;
																				long BgL_tmpz00_5459;

																				BgL_auxz00_5461 =
																					STRING_REF
																					(BGl_string2385z00zz__base64z00,
																					BgL_o1z00_2187);
																				BgL_tmpz00_5459 =
																					(BgL_yz00_2123 + ((long) 1));
																				STRING_SET(BgL_resz00_2120,
																					BgL_tmpz00_5459, BgL_auxz00_5461);
																			}
																			{	/* Unsafe/base64.scm 123 */
																				long BgL_tmpz00_5464;

																				BgL_tmpz00_5464 =
																					(BgL_yz00_2123 + ((long) 2));
																				STRING_SET(BgL_resz00_2120,
																					BgL_tmpz00_5464,
																					((unsigned char) '='));
																			}
																			{	/* Unsafe/base64.scm 124 */
																				long BgL_tmpz00_5467;

																				BgL_tmpz00_5467 =
																					(BgL_yz00_2123 + ((long) 3));
																				STRING_SET(BgL_resz00_2120,
																					BgL_tmpz00_5467,
																					((unsigned char) '='));
															}}}}} break;
														default:
															BUNSPEC;
														}
												}
										}
										return BgL_resz00_2120;
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* _base64-encode-port */
	obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t BgL_env1149z00_12,
		obj_t BgL_opt1148z00_11)
	{
		{	/* Unsafe/base64.scm 130 */
			{	/* Unsafe/base64.scm 130 */
				obj_t BgL_g1150z00_2205;
				obj_t BgL_g1151z00_2206;

				BgL_g1150z00_2205 = VECTOR_REF(BgL_opt1148z00_11, ((long) 0));
				BgL_g1151z00_2206 = VECTOR_REF(BgL_opt1148z00_11, ((long) 1));
				switch (VECTOR_LENGTH(BgL_opt1148z00_11))
					{
					case ((long) 2):

						{	/* Unsafe/base64.scm 130 */

							{	/* Unsafe/base64.scm 130 */
								obj_t BgL_auxz00_5480;
								obj_t BgL_auxz00_5473;

								if (OUTPUT_PORTP(BgL_g1151z00_2206))
									{	/* Unsafe/base64.scm 130 */
										BgL_auxz00_5480 = BgL_g1151z00_2206;
									}
								else
									{
										obj_t BgL_auxz00_5483;

										BgL_auxz00_5483 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 4911)),
											BGl_string2386z00zz__base64z00,
											BGl_string2388z00zz__base64z00, BgL_g1151z00_2206);
										FAILURE(BgL_auxz00_5483, BFALSE, BFALSE);
									}
								if (INPUT_PORTP(BgL_g1150z00_2205))
									{	/* Unsafe/base64.scm 130 */
										BgL_auxz00_5473 = BgL_g1150z00_2205;
									}
								else
									{
										obj_t BgL_auxz00_5476;

										BgL_auxz00_5476 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 4911)),
											BGl_string2386z00zz__base64z00,
											BGl_string2387z00zz__base64z00, BgL_g1150z00_2205);
										FAILURE(BgL_auxz00_5476, BFALSE, BFALSE);
									}
								return
									BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5473,
									BgL_auxz00_5480, BINT(((long) 76)));
						}} break;
					case ((long) 3):

						{	/* Unsafe/base64.scm 130 */
							obj_t BgL_paddingz00_2211;

							BgL_paddingz00_2211 = VECTOR_REF(BgL_opt1148z00_11, ((long) 2));
							{	/* Unsafe/base64.scm 130 */

								{	/* Unsafe/base64.scm 130 */
									obj_t BgL_auxz00_5497;
									obj_t BgL_auxz00_5490;

									if (OUTPUT_PORTP(BgL_g1151z00_2206))
										{	/* Unsafe/base64.scm 130 */
											BgL_auxz00_5497 = BgL_g1151z00_2206;
										}
									else
										{
											obj_t BgL_auxz00_5500;

											BgL_auxz00_5500 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 4911)),
												BGl_string2386z00zz__base64z00,
												BGl_string2388z00zz__base64z00, BgL_g1151z00_2206);
											FAILURE(BgL_auxz00_5500, BFALSE, BFALSE);
										}
									if (INPUT_PORTP(BgL_g1150z00_2205))
										{	/* Unsafe/base64.scm 130 */
											BgL_auxz00_5490 = BgL_g1150z00_2205;
										}
									else
										{
											obj_t BgL_auxz00_5493;

											BgL_auxz00_5493 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 4911)),
												BGl_string2386z00zz__base64z00,
												BGl_string2387z00zz__base64z00, BgL_g1150z00_2205);
											FAILURE(BgL_auxz00_5493, BFALSE, BFALSE);
										}
									return
										BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5490,
										BgL_auxz00_5497, BgL_paddingz00_2211);
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* base64-encode-port */
	BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t
		BgL_ipz00_8, obj_t BgL_opz00_9, obj_t BgL_paddingz00_10)
	{
		{	/* Unsafe/base64.scm 130 */
			{	/* Unsafe/base64.scm 131 */
				long BgL_padz00_2212;

				BgL_padz00_2212 = ((long) CINT(BgL_paddingz00_10) - ((long) 4));
				{
					long BgL_iz00_2214;

					BgL_iz00_2214 = ((long) 0);
				BgL_zc3z04anonymousza31812ze3z87_2215:
					{	/* Unsafe/base64.scm 133 */
						obj_t BgL_i0z00_2216;

						BgL_i0z00_2216 =
							BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8);
						if (EOF_OBJECTP(BgL_i0z00_2216))
							{	/* Unsafe/base64.scm 134 */
								return BFALSE;
							}
						else
							{	/* Unsafe/base64.scm 135 */
								obj_t BgL_i1z00_2218;

								BgL_i1z00_2218 =
									BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8);
								if (EOF_OBJECTP(BgL_i1z00_2218))
									{	/* Unsafe/base64.scm 137 */
										long BgL_o0z00_2220;

										BgL_o0z00_2220 =
											(
											((long) CINT(BgL_i0z00_2216) & ((long) 252)) >>
											(int) (((long) 2)));
										{	/* Unsafe/base64.scm 137 */
											long BgL_o1z00_2221;

											BgL_o1z00_2221 =
												(
												((long) CINT(BgL_i0z00_2216) & ((long) 3)) <<
												(int) (((long) 4)));
											{	/* Unsafe/base64.scm 138 */

												{	/* Unsafe/base64.scm 139 */
													unsigned char BgL_tmpz00_5523;

													BgL_tmpz00_5523 =
														STRING_REF(BGl_string2385z00zz__base64z00,
														BgL_o0z00_2220);
													bgl_display_char(BgL_tmpz00_5523, BgL_opz00_9);
												}
												{	/* Unsafe/base64.scm 140 */
													unsigned char BgL_tmpz00_5526;

													BgL_tmpz00_5526 =
														STRING_REF(BGl_string2385z00zz__base64z00,
														BgL_o1z00_2221);
													bgl_display_char(BgL_tmpz00_5526, BgL_opz00_9);
												}
												bgl_display_char(((unsigned char) '='), BgL_opz00_9);
												return
													bgl_display_char(((unsigned char) '='), BgL_opz00_9);
									}}}
								else
									{	/* Unsafe/base64.scm 143 */
										obj_t BgL_i2z00_2226;

										BgL_i2z00_2226 =
											BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8);
										if (EOF_OBJECTP(BgL_i2z00_2226))
											{	/* Unsafe/base64.scm 145 */
												long BgL_o0z00_2228;

												BgL_o0z00_2228 =
													(
													((long) CINT(BgL_i0z00_2216) & ((long) 252)) >>
													(int) (((long) 2)));
												{	/* Unsafe/base64.scm 145 */
													long BgL_o1z00_2229;

													BgL_o1z00_2229 =
														(
														(((long) CINT(BgL_i0z00_2216) & ((long) 3)) <<
															(int) (((long) 4))) |
														(((long) CINT(BgL_i1z00_2218) & ((long) 240)) >>
															(int) (((long) 4))));
													{	/* Unsafe/base64.scm 146 */
														long BgL_o2z00_2230;

														BgL_o2z00_2230 =
															(
															((long) CINT(BgL_i1z00_2218) & ((long) 15)) <<
															(int) (((long) 2)));
														{	/* Unsafe/base64.scm 148 */

															{	/* Unsafe/base64.scm 149 */
																unsigned char BgL_tmpz00_5551;

																BgL_tmpz00_5551 =
																	STRING_REF(BGl_string2385z00zz__base64z00,
																	BgL_o0z00_2228);
																bgl_display_char(BgL_tmpz00_5551, BgL_opz00_9);
															}
															{	/* Unsafe/base64.scm 150 */
																unsigned char BgL_tmpz00_5554;

																BgL_tmpz00_5554 =
																	STRING_REF(BGl_string2385z00zz__base64z00,
																	BgL_o1z00_2229);
																bgl_display_char(BgL_tmpz00_5554, BgL_opz00_9);
															}
															{	/* Unsafe/base64.scm 151 */
																unsigned char BgL_tmpz00_5557;

																BgL_tmpz00_5557 =
																	STRING_REF(BGl_string2385z00zz__base64z00,
																	BgL_o2z00_2230);
																bgl_display_char(BgL_tmpz00_5557, BgL_opz00_9);
															}
															return
																bgl_display_char(((unsigned char) '='),
																BgL_opz00_9);
											}}}}
										else
											{	/* Unsafe/base64.scm 153 */
												long BgL_o0z00_2240;

												BgL_o0z00_2240 =
													(
													((long) CINT(BgL_i0z00_2216) & ((long) 252)) >>
													(int) (((long) 2)));
												{	/* Unsafe/base64.scm 153 */
													long BgL_o1z00_2241;

													BgL_o1z00_2241 =
														(
														(((long) CINT(BgL_i0z00_2216) & ((long) 3)) <<
															(int) (((long) 4))) |
														(((long) CINT(BgL_i1z00_2218) & ((long) 240)) >>
															(int) (((long) 4))));
													{	/* Unsafe/base64.scm 154 */
														long BgL_o2z00_2242;

														BgL_o2z00_2242 =
															(
															(((long) CINT(BgL_i1z00_2218) & ((long) 15)) <<
																(int) (((long) 2))) |
															(((long) CINT(BgL_i2z00_2226) & ((long) 192)) >>
																(int) (((long) 6))));
														{	/* Unsafe/base64.scm 156 */
															long BgL_o3z00_2243;

															BgL_o3z00_2243 =
																((long) CINT(BgL_i2z00_2226) & ((long) 63));
															{	/* Unsafe/base64.scm 158 */

																{	/* Unsafe/base64.scm 159 */
																	unsigned char BgL_tmpz00_5585;

																	BgL_tmpz00_5585 =
																		STRING_REF(BGl_string2385z00zz__base64z00,
																		BgL_o0z00_2240);
																	bgl_display_char(BgL_tmpz00_5585,
																		BgL_opz00_9);
																}
																{	/* Unsafe/base64.scm 160 */
																	unsigned char BgL_tmpz00_5588;

																	BgL_tmpz00_5588 =
																		STRING_REF(BGl_string2385z00zz__base64z00,
																		BgL_o1z00_2241);
																	bgl_display_char(BgL_tmpz00_5588,
																		BgL_opz00_9);
																}
																{	/* Unsafe/base64.scm 161 */
																	unsigned char BgL_tmpz00_5591;

																	BgL_tmpz00_5591 =
																		STRING_REF(BGl_string2385z00zz__base64z00,
																		BgL_o2z00_2242);
																	bgl_display_char(BgL_tmpz00_5591,
																		BgL_opz00_9);
																}
																{	/* Unsafe/base64.scm 162 */
																	unsigned char BgL_tmpz00_5594;

																	BgL_tmpz00_5594 =
																		STRING_REF(BGl_string2385z00zz__base64z00,
																		BgL_o3z00_2243);
																	bgl_display_char(BgL_tmpz00_5594,
																		BgL_opz00_9);
																}
																{	/* Unsafe/base64.scm 163 */
																	bool_t BgL_test2552z00_5597;

																	if ((BgL_iz00_2214 >= BgL_padz00_2212))
																		{	/* Unsafe/base64.scm 163 */
																			BgL_test2552z00_5597 =
																				(BgL_padz00_2212 > ((long) 0));
																		}
																	else
																		{	/* Unsafe/base64.scm 163 */
																			BgL_test2552z00_5597 = ((bool_t) 0);
																		}
																	if (BgL_test2552z00_5597)
																		{	/* Unsafe/base64.scm 163 */
																			bgl_display_char(((unsigned char) 10),
																				BgL_opz00_9);
																			{
																				long BgL_iz00_5602;

																				BgL_iz00_5602 = ((long) 0);
																				BgL_iz00_2214 = BgL_iz00_5602;
																				goto
																					BgL_zc3z04anonymousza31812ze3z87_2215;
																			}
																		}
																	else
																		{
																			long BgL_iz00_5603;

																			BgL_iz00_5603 =
																				(BgL_iz00_2214 + ((long) 4));
																			BgL_iz00_2214 = BgL_iz00_5603;
																			goto
																				BgL_zc3z04anonymousza31812ze3z87_2215;
																		}
																}
															}
														}
													}
												}
											}
									}
							}
					}
				}
			}
		}

	}



/* actual-string-length */
	long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t BgL_sz00_15)
	{
		{	/* Unsafe/base64.scm 206 */
			{
				long BgL_iz00_2266;

				BgL_iz00_2266 = (STRING_LENGTH(BgL_sz00_15) - ((long) 1));
			BgL_zc3z04anonymousza31851ze3z87_2267:
				if ((BgL_iz00_2266 == ((long) 0)))
					{	/* Unsafe/base64.scm 208 */
						return BgL_iz00_2266;
					}
				else
					{	/* Unsafe/base64.scm 210 */
						unsigned char BgL_cz00_2269;

						BgL_cz00_2269 = STRING_REF(BgL_sz00_15, BgL_iz00_2266);
						{	/* Unsafe/base64.scm 211 */
							bool_t BgL_test2555z00_5608;

							if ((BgL_cz00_2269 == ((unsigned char) 10)))
								{	/* Unsafe/base64.scm 211 */
									BgL_test2555z00_5608 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/base64.scm 211 */
									BgL_test2555z00_5608 =
										(BgL_cz00_2269 == ((unsigned char) 13));
								}
							if (BgL_test2555z00_5608)
								{
									long BgL_iz00_5612;

									BgL_iz00_5612 = (BgL_iz00_2266 - ((long) 1));
									BgL_iz00_2266 = BgL_iz00_5612;
									goto BgL_zc3z04anonymousza31851ze3z87_2267;
								}
							else
								{	/* Unsafe/base64.scm 211 */
									return (BgL_iz00_2266 + ((long) 1));
		}}}}}

	}



/* _base64-decode */
	obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t BgL_env1155z00_19,
		obj_t BgL_opt1154z00_18)
	{
		{	/* Unsafe/base64.scm 218 */
			{	/* Unsafe/base64.scm 218 */
				obj_t BgL_g1156z00_2276;

				BgL_g1156z00_2276 = VECTOR_REF(BgL_opt1154z00_18, ((long) 0));
				switch (VECTOR_LENGTH(BgL_opt1154z00_18))
					{
					case ((long) 1):

						{	/* Unsafe/base64.scm 218 */

							{	/* Unsafe/base64.scm 218 */
								obj_t BgL_auxz00_5618;

								if (STRINGP(BgL_g1156z00_2276))
									{	/* Unsafe/base64.scm 218 */
										BgL_auxz00_5618 = BgL_g1156z00_2276;
									}
								else
									{
										obj_t BgL_auxz00_5621;

										BgL_auxz00_5621 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 8420)),
											BGl_string2389z00zz__base64z00,
											BGl_string2384z00zz__base64z00, BgL_g1156z00_2276);
										FAILURE(BgL_auxz00_5621, BFALSE, BFALSE);
									}
								return
									BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5618, BFALSE);
							}
						}
						break;
					case ((long) 2):

						{	/* Unsafe/base64.scm 218 */
							obj_t BgL_eofzd2nozd2paddingz00_2281;

							BgL_eofzd2nozd2paddingz00_2281 =
								VECTOR_REF(BgL_opt1154z00_18, ((long) 1));
							{	/* Unsafe/base64.scm 218 */

								{	/* Unsafe/base64.scm 218 */
									obj_t BgL_auxz00_5627;

									if (STRINGP(BgL_g1156z00_2276))
										{	/* Unsafe/base64.scm 218 */
											BgL_auxz00_5627 = BgL_g1156z00_2276;
										}
									else
										{
											obj_t BgL_auxz00_5630;

											BgL_auxz00_5630 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 8420)),
												BGl_string2389z00zz__base64z00,
												BGl_string2384z00zz__base64z00, BgL_g1156z00_2276);
											FAILURE(BgL_auxz00_5630, BFALSE, BFALSE);
										}
									return
										BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5627,
										BgL_eofzd2nozd2paddingz00_2281);
								}
							}
						}
						break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* base64-decode */
	BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t BgL_sz00_16,
		obj_t BgL_eofzd2nozd2paddingz00_17)
	{
		{	/* Unsafe/base64.scm 218 */
			{	/* Unsafe/base64.scm 219 */
				long BgL_lenz00_2282;

				BgL_lenz00_2282 =
					BGl_actualzd2stringzd2lengthz00zz__base64z00(BgL_sz00_16);
				{	/* Unsafe/base64.scm 219 */
					long BgL_nlenz00_2283;

					if (CBOOL(BgL_eofzd2nozd2paddingz00_17))
						{	/* Unsafe/base64.scm 220 */
							BgL_nlenz00_2283 =
								((((long) 1) + (BgL_lenz00_2282 / ((long) 4))) * ((long) 3));
						}
					else
						{	/* Unsafe/base64.scm 220 */
							BgL_nlenz00_2283 = ((BgL_lenz00_2282 / ((long) 4)) * ((long) 3));
						}
					{	/* Unsafe/base64.scm 220 */
						obj_t BgL_resz00_2284;

						{	/* Ieee/string.scm 168 */

							BgL_resz00_2284 =
								make_string(BgL_nlenz00_2283, ((unsigned char) ' '));
						}
						{	/* Unsafe/base64.scm 223 */

							{
								long BgL_xz00_2286;
								long BgL_yz00_2287;

								BgL_xz00_2286 = ((long) 0);
								BgL_yz00_2287 = ((long) 0);
							BgL_zc3z04anonymousza31858ze3z87_2288:
								if ((BgL_xz00_2286 < BgL_lenz00_2282))
									{	/* Unsafe/base64.scm 227 */
										unsigned char BgL_cz00_2290;

										BgL_cz00_2290 =
											STRING_REF(BgL_sz00_16, (BgL_xz00_2286 + ((long) 0)));
										{	/* Unsafe/base64.scm 227 */
											int BgL_q0z00_2291;

											{	/* Unsafe/base64.scm 228 */
												unsigned char BgL_cz00_3747;

												BgL_cz00_3747 = (char) (BgL_cz00_2290);
												{	/* Unsafe/base64.scm 201 */
													long BgL_arg1850z00_3748;

													BgL_arg1850z00_3748 =
														((unsigned char) (BgL_cz00_3747));
													{	/* Unsafe/base64.scm 201 */
														int BgL_res2336z00_3755;

														{	/* Unsafe/base64.scm 201 */
															char BgL_cz00_3750;

															BgL_cz00_3750 =
																(signed char) (BgL_arg1850z00_3748);
															{	/* Unsafe/base64.scm 195 */
																uint8_t BgL_arg1849z00_3751;

																{	/* Unsafe/base64.scm 195 */
																	long BgL_tmpz00_5654;

																	BgL_tmpz00_5654 = (long) (BgL_cz00_3750);
																	BgL_arg1849z00_3751 =
																		BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00,
																		BgL_tmpz00_5654);
																}
																{	/* Unsafe/base64.scm 195 */
																	int8_t BgL_xz00_3752;

																	BgL_xz00_3752 =
																		(int8_t) (BgL_arg1849z00_3751);
																	{	/* Unsafe/base64.scm 195 */
																		long BgL_arg2277z00_3753;

																		BgL_arg2277z00_3753 =
																			(long) (BgL_xz00_3752);
																		BgL_res2336z00_3755 =
																			(int) ((long) (BgL_arg2277z00_3753));
														}}}}
														BgL_q0z00_2291 = BgL_res2336z00_3755;
											}}}
											{	/* Unsafe/base64.scm 228 */

												{	/* Unsafe/base64.scm 229 */
													bool_t BgL_test2561z00_5661;

													if (((long) (BgL_q0z00_2291) == ((long) 0)))
														{	/* Unsafe/base64.scm 230 */
															bool_t BgL__ortest_1045z00_2379;

															BgL__ortest_1045z00_2379 =
																(BgL_cz00_2290 == ((unsigned char) 10));
															if (BgL__ortest_1045z00_2379)
																{	/* Unsafe/base64.scm 230 */
																	BgL_test2561z00_5661 =
																		BgL__ortest_1045z00_2379;
																}
															else
																{	/* Unsafe/base64.scm 230 */
																	BgL_test2561z00_5661 =
																		(BgL_cz00_2290 == ((unsigned char) 13));
														}}
													else
														{	/* Unsafe/base64.scm 229 */
															BgL_test2561z00_5661 = ((bool_t) 0);
														}
													if (BgL_test2561z00_5661)
														{
															long BgL_xz00_5668;

															BgL_xz00_5668 = (BgL_xz00_2286 + ((long) 1));
															BgL_xz00_2286 = BgL_xz00_5668;
															goto BgL_zc3z04anonymousza31858ze3z87_2288;
														}
													else
														{	/* Unsafe/base64.scm 229 */
															if (
																(BgL_xz00_2286 <=
																	(BgL_lenz00_2282 - ((long) 4))))
																{	/* Unsafe/base64.scm 234 */
																	int BgL_q1z00_2298;

																	{	/* Unsafe/base64.scm 234 */
																		unsigned char BgL_arg1891z00_2322;

																		BgL_arg1891z00_2322 =
																			STRING_REF(BgL_sz00_16,
																			(BgL_xz00_2286 + ((long) 1)));
																		{	/* Unsafe/base64.scm 234 */
																			unsigned char BgL_cz00_3768;

																			BgL_cz00_3768 =
																				(char) (BgL_arg1891z00_2322);
																			{	/* Unsafe/base64.scm 201 */
																				long BgL_arg1850z00_3769;

																				BgL_arg1850z00_3769 =
																					((unsigned char) (BgL_cz00_3768));
																				{	/* Unsafe/base64.scm 201 */
																					int BgL_res2337z00_3776;

																					{	/* Unsafe/base64.scm 201 */
																						char BgL_cz00_3771;

																						BgL_cz00_3771 =
																							(signed
																							char) (BgL_arg1850z00_3769);
																						{	/* Unsafe/base64.scm 195 */
																							uint8_t BgL_arg1849z00_3772;

																							{	/* Unsafe/base64.scm 195 */
																								long BgL_tmpz00_5679;

																								BgL_tmpz00_5679 =
																									(long) (BgL_cz00_3771);
																								BgL_arg1849z00_3772 =
																									BGL_U8VREF
																									(BGl_bytezd2tablezd2zz__base64z00,
																									BgL_tmpz00_5679);
																							}
																							{	/* Unsafe/base64.scm 195 */
																								int8_t BgL_xz00_3773;

																								BgL_xz00_3773 =
																									(int8_t)
																									(BgL_arg1849z00_3772);
																								{	/* Unsafe/base64.scm 195 */
																									long BgL_arg2277z00_3774;

																									BgL_arg2277z00_3774 =
																										(long) (BgL_xz00_3773);
																									BgL_res2337z00_3776 =
																										(int) (
																										(long)
																										(BgL_arg2277z00_3774));
																					}}}}
																					BgL_q1z00_2298 = BgL_res2337z00_3776;
																	}}}}
																	{	/* Unsafe/base64.scm 234 */
																		int BgL_q2z00_2299;

																		{	/* Unsafe/base64.scm 235 */
																			unsigned char BgL_arg1888z00_2320;

																			BgL_arg1888z00_2320 =
																				STRING_REF(BgL_sz00_16,
																				(BgL_xz00_2286 + ((long) 2)));
																			{	/* Unsafe/base64.scm 235 */
																				unsigned char BgL_cz00_3780;

																				BgL_cz00_3780 =
																					(char) (BgL_arg1888z00_2320);
																				{	/* Unsafe/base64.scm 201 */
																					long BgL_arg1850z00_3781;

																					BgL_arg1850z00_3781 =
																						((unsigned char) (BgL_cz00_3780));
																					{	/* Unsafe/base64.scm 201 */
																						int BgL_res2338z00_3788;

																						{	/* Unsafe/base64.scm 201 */
																							char BgL_cz00_3783;

																							BgL_cz00_3783 =
																								(signed
																								char) (BgL_arg1850z00_3781);
																							{	/* Unsafe/base64.scm 195 */
																								uint8_t BgL_arg1849z00_3784;

																								{	/* Unsafe/base64.scm 195 */
																									long BgL_tmpz00_5692;

																									BgL_tmpz00_5692 =
																										(long) (BgL_cz00_3783);
																									BgL_arg1849z00_3784 =
																										BGL_U8VREF
																										(BGl_bytezd2tablezd2zz__base64z00,
																										BgL_tmpz00_5692);
																								}
																								{	/* Unsafe/base64.scm 195 */
																									int8_t BgL_xz00_3785;

																									BgL_xz00_3785 =
																										(int8_t)
																										(BgL_arg1849z00_3784);
																									{	/* Unsafe/base64.scm 195 */
																										long BgL_arg2277z00_3786;

																										BgL_arg2277z00_3786 =
																											(long) (BgL_xz00_3785);
																										BgL_res2338z00_3788 =
																											(int) (
																											(long)
																											(BgL_arg2277z00_3786));
																						}}}}
																						BgL_q2z00_2299 =
																							BgL_res2338z00_3788;
																		}}}}
																		{	/* Unsafe/base64.scm 235 */
																			int BgL_q3z00_2300;

																			{	/* Unsafe/base64.scm 236 */
																				unsigned char BgL_arg1886z00_2318;

																				BgL_arg1886z00_2318 =
																					STRING_REF(BgL_sz00_16,
																					(BgL_xz00_2286 + ((long) 3)));
																				{	/* Unsafe/base64.scm 236 */
																					unsigned char BgL_cz00_3792;

																					BgL_cz00_3792 =
																						(char) (BgL_arg1886z00_2318);
																					{	/* Unsafe/base64.scm 201 */
																						long BgL_arg1850z00_3793;

																						BgL_arg1850z00_3793 =
																							((unsigned char) (BgL_cz00_3792));
																						{	/* Unsafe/base64.scm 201 */
																							int BgL_res2339z00_3800;

																							{	/* Unsafe/base64.scm 201 */
																								char BgL_cz00_3795;

																								BgL_cz00_3795 =
																									(signed
																									char) (BgL_arg1850z00_3793);
																								{	/* Unsafe/base64.scm 195 */
																									uint8_t BgL_arg1849z00_3796;

																									{	/* Unsafe/base64.scm 195 */
																										long BgL_tmpz00_5705;

																										BgL_tmpz00_5705 =
																											(long) (BgL_cz00_3795);
																										BgL_arg1849z00_3796 =
																											BGL_U8VREF
																											(BGl_bytezd2tablezd2zz__base64z00,
																											BgL_tmpz00_5705);
																									}
																									{	/* Unsafe/base64.scm 195 */
																										int8_t BgL_xz00_3797;

																										BgL_xz00_3797 =
																											(int8_t)
																											(BgL_arg1849z00_3796);
																										{	/* Unsafe/base64.scm 195 */
																											long BgL_arg2277z00_3798;

																											BgL_arg2277z00_3798 =
																												(long) (BgL_xz00_3797);
																											BgL_res2339z00_3800 =
																												(int) (
																												(long)
																												(BgL_arg2277z00_3798));
																							}}}}
																							BgL_q3z00_2300 =
																								BgL_res2339z00_3800;
																			}}}}
																			{	/* Unsafe/base64.scm 236 */
																				long BgL_v0z00_2301;

																				BgL_v0z00_2301 =
																					(
																					((long) (BgL_q0z00_2291) <<
																						(int) (((long) 2))) |
																					((long) (BgL_q1z00_2298) >>
																						(int) (((long) 4))));
																				{	/* Unsafe/base64.scm 237 */
																					long BgL_v1z00_2302;

																					BgL_v1z00_2302 =
																						(
																						(((long) (BgL_q1z00_2298) <<
																								(int) (((long) 4))) & ((long)
																								240)) | ((long) (BgL_q2z00_2299)
																							>> (int) (((long) 2))));
																					{	/* Unsafe/base64.scm 239 */
																						long BgL_v2z00_2303;

																						BgL_v2z00_2303 =
																							(
																							(((long) (BgL_q2z00_2299) <<
																									(int) (((long) 6))) & ((long)
																									192)) |
																							(long) (BgL_q3z00_2300));
																						{	/* Unsafe/base64.scm 241 */

																							{	/* Unsafe/base64.scm 243 */
																								unsigned char BgL_tmpz00_5733;

																								BgL_tmpz00_5733 =
																									(BgL_v0z00_2301);
																								STRING_SET(BgL_resz00_2284,
																									BgL_yz00_2287,
																									BgL_tmpz00_5733);
																							}
																							{	/* Unsafe/base64.scm 244 */
																								unsigned char BgL_auxz00_5738;
																								long BgL_tmpz00_5736;

																								BgL_auxz00_5738 =
																									(BgL_v1z00_2302);
																								BgL_tmpz00_5736 =
																									(BgL_yz00_2287 + ((long) 1));
																								STRING_SET(BgL_resz00_2284,
																									BgL_tmpz00_5736,
																									BgL_auxz00_5738);
																							}
																							{	/* Unsafe/base64.scm 245 */
																								unsigned char BgL_auxz00_5743;
																								long BgL_tmpz00_5741;

																								BgL_auxz00_5743 =
																									(BgL_v2z00_2303);
																								BgL_tmpz00_5741 =
																									(BgL_yz00_2287 + ((long) 2));
																								STRING_SET(BgL_resz00_2284,
																									BgL_tmpz00_5741,
																									BgL_auxz00_5743);
																							}
																							{
																								long BgL_yz00_5748;
																								long BgL_xz00_5746;

																								BgL_xz00_5746 =
																									(BgL_xz00_2286 + ((long) 4));
																								BgL_yz00_5748 =
																									(BgL_yz00_2287 + ((long) 3));
																								BgL_yz00_2287 = BgL_yz00_5748;
																								BgL_xz00_2286 = BgL_xz00_5746;
																								goto
																									BgL_zc3z04anonymousza31858ze3z87_2288;
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Unsafe/base64.scm 247 */
																	bool_t BgL_test2565z00_5750;

																	if (
																		(BgL_xz00_2286 <=
																			(BgL_lenz00_2282 - ((long) 3))))
																		{	/* Unsafe/base64.scm 247 */
																			BgL_test2565z00_5750 =
																				CBOOL(BgL_eofzd2nozd2paddingz00_17);
																		}
																	else
																		{	/* Unsafe/base64.scm 247 */
																			BgL_test2565z00_5750 = ((bool_t) 0);
																		}
																	if (BgL_test2565z00_5750)
																		{	/* Unsafe/base64.scm 248 */
																			unsigned char BgL_c1z00_2328;

																			BgL_c1z00_2328 =
																				STRING_REF(BgL_sz00_16,
																				(BgL_xz00_2286 + ((long) 1)));
																			{	/* Unsafe/base64.scm 248 */
																				unsigned char BgL_c2z00_2329;

																				BgL_c2z00_2329 =
																					STRING_REF(BgL_sz00_16,
																					(BgL_xz00_2286 + ((long) 2)));
																				{	/* Unsafe/base64.scm 249 */
																					int BgL_q1z00_2330;

																					{	/* Unsafe/base64.scm 250 */
																						unsigned char BgL_cz00_3839;

																						BgL_cz00_3839 =
																							(char) (BgL_c1z00_2328);
																						{	/* Unsafe/base64.scm 201 */
																							long BgL_arg1850z00_3840;

																							BgL_arg1850z00_3840 =
																								(
																								(unsigned
																									char) (BgL_cz00_3839));
																							{	/* Unsafe/base64.scm 201 */
																								int BgL_res2340z00_3847;

																								{	/* Unsafe/base64.scm 201 */
																									char BgL_cz00_3842;

																									BgL_cz00_3842 =
																										(signed
																										char) (BgL_arg1850z00_3840);
																									{	/* Unsafe/base64.scm 195 */
																										uint8_t BgL_arg1849z00_3843;

																										{	/* Unsafe/base64.scm 195 */
																											long BgL_tmpz00_5763;

																											BgL_tmpz00_5763 =
																												(long) (BgL_cz00_3842);
																											BgL_arg1849z00_3843 =
																												BGL_U8VREF
																												(BGl_bytezd2tablezd2zz__base64z00,
																												BgL_tmpz00_5763);
																										}
																										{	/* Unsafe/base64.scm 195 */
																											int8_t BgL_xz00_3844;

																											BgL_xz00_3844 =
																												(int8_t)
																												(BgL_arg1849z00_3843);
																											{	/* Unsafe/base64.scm 195 */
																												long
																													BgL_arg2277z00_3845;
																												BgL_arg2277z00_3845 =
																													(long)
																													(BgL_xz00_3844);
																												BgL_res2340z00_3847 =
																													(int) ((long)
																													(BgL_arg2277z00_3845));
																								}}}}
																								BgL_q1z00_2330 =
																									BgL_res2340z00_3847;
																					}}}
																					{	/* Unsafe/base64.scm 250 */
																						int BgL_q2z00_2331;

																						{	/* Unsafe/base64.scm 251 */
																							unsigned char BgL_cz00_3848;

																							BgL_cz00_3848 =
																								(char) (BgL_c2z00_2329);
																							{	/* Unsafe/base64.scm 201 */
																								long BgL_arg1850z00_3849;

																								BgL_arg1850z00_3849 =
																									(
																									(unsigned
																										char) (BgL_cz00_3848));
																								{	/* Unsafe/base64.scm 201 */
																									int BgL_res2341z00_3856;

																									{	/* Unsafe/base64.scm 201 */
																										char BgL_cz00_3851;

																										BgL_cz00_3851 =
																											(signed
																											char)
																											(BgL_arg1850z00_3849);
																										{	/* Unsafe/base64.scm 195 */
																											uint8_t
																												BgL_arg1849z00_3852;
																											{	/* Unsafe/base64.scm 195 */
																												long BgL_tmpz00_5774;

																												BgL_tmpz00_5774 =
																													(long)
																													(BgL_cz00_3851);
																												BgL_arg1849z00_3852 =
																													BGL_U8VREF
																													(BGl_bytezd2tablezd2zz__base64z00,
																													BgL_tmpz00_5774);
																											}
																											{	/* Unsafe/base64.scm 195 */
																												int8_t BgL_xz00_3853;

																												BgL_xz00_3853 =
																													(int8_t)
																													(BgL_arg1849z00_3852);
																												{	/* Unsafe/base64.scm 195 */
																													long
																														BgL_arg2277z00_3854;
																													BgL_arg2277z00_3854 =
																														(long)
																														(BgL_xz00_3853);
																													BgL_res2341z00_3856 =
																														(int) ((long)
																														(BgL_arg2277z00_3854));
																									}}}}
																									BgL_q2z00_2331 =
																										BgL_res2341z00_3856;
																						}}}
																						{	/* Unsafe/base64.scm 251 */
																							long BgL_v0z00_2332;

																							BgL_v0z00_2332 =
																								(
																								((long) (BgL_q0z00_2291) <<
																									(int) (((long) 2))) |
																								((long) (BgL_q1z00_2330) >>
																									(int) (((long) 4))));
																							{	/* Unsafe/base64.scm 252 */
																								long BgL_v1z00_2333;

																								BgL_v1z00_2333 =
																									(
																									(((long) (BgL_q1z00_2330) <<
																											(int) (((long) 4))) &
																										((long) 240)) |
																									((long) (BgL_q2z00_2331) >>
																										(int) (((long) 2))));
																								{	/* Unsafe/base64.scm 254 */

																									{	/* Unsafe/base64.scm 256 */
																										unsigned char
																											BgL_tmpz00_5796;
																										BgL_tmpz00_5796 =
																											(BgL_v0z00_2332);
																										STRING_SET(BgL_resz00_2284,
																											BgL_yz00_2287,
																											BgL_tmpz00_5796);
																									}
																									{	/* Unsafe/base64.scm 257 */
																										unsigned char
																											BgL_auxz00_5801;
																										long BgL_tmpz00_5799;

																										BgL_auxz00_5801 =
																											(BgL_v1z00_2333);
																										BgL_tmpz00_5799 =
																											(BgL_yz00_2287 +
																											((long) 1));
																										STRING_SET(BgL_resz00_2284,
																											BgL_tmpz00_5799,
																											BgL_auxz00_5801);
																									}
																									if (
																										(BgL_c1z00_2328 ==
																											((unsigned char) '=')))
																										{	/* Unsafe/base64.scm 259 */
																											return
																												bgl_string_shrink
																												(BgL_resz00_2284,
																												BgL_yz00_2287);
																										}
																									else
																										{	/* Unsafe/base64.scm 259 */
																											if (
																												(BgL_c2z00_2329 ==
																													((unsigned char)
																														'=')))
																												{	/* Unsafe/base64.scm 262 */
																													long BgL_tmpz00_5809;

																													BgL_tmpz00_5809 =
																														(BgL_yz00_2287 +
																														((long) 1));
																													return
																														bgl_string_shrink
																														(BgL_resz00_2284,
																														BgL_tmpz00_5809);
																												}
																											else
																												{	/* Unsafe/base64.scm 264 */
																													long BgL_tmpz00_5812;

																													BgL_tmpz00_5812 =
																														(BgL_yz00_2287 +
																														((long) 2));
																													return
																														bgl_string_shrink
																														(BgL_resz00_2284,
																														BgL_tmpz00_5812);
																												}
																										}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Unsafe/base64.scm 265 */
																			bool_t BgL_test2569z00_5815;

																			if (
																				(BgL_xz00_2286 <=
																					(BgL_lenz00_2282 - ((long) 2))))
																				{	/* Unsafe/base64.scm 265 */
																					BgL_test2569z00_5815 =
																						CBOOL(BgL_eofzd2nozd2paddingz00_17);
																				}
																			else
																				{	/* Unsafe/base64.scm 265 */
																					BgL_test2569z00_5815 = ((bool_t) 0);
																				}
																			if (BgL_test2569z00_5815)
																				{	/* Unsafe/base64.scm 266 */
																					unsigned char BgL_c1z00_2352;

																					BgL_c1z00_2352 =
																						STRING_REF(BgL_sz00_16,
																						(BgL_xz00_2286 + ((long) 1)));
																					{	/* Unsafe/base64.scm 266 */
																						int BgL_q1z00_2353;

																						{	/* Unsafe/base64.scm 267 */
																							unsigned char BgL_cz00_3893;

																							BgL_cz00_3893 =
																								(char) (BgL_c1z00_2352);
																							{	/* Unsafe/base64.scm 201 */
																								long BgL_arg1850z00_3894;

																								BgL_arg1850z00_3894 =
																									(
																									(unsigned
																										char) (BgL_cz00_3893));
																								{	/* Unsafe/base64.scm 201 */
																									int BgL_res2342z00_3901;

																									{	/* Unsafe/base64.scm 201 */
																										char BgL_cz00_3896;

																										BgL_cz00_3896 =
																											(signed
																											char)
																											(BgL_arg1850z00_3894);
																										{	/* Unsafe/base64.scm 195 */
																											uint8_t
																												BgL_arg1849z00_3897;
																											{	/* Unsafe/base64.scm 195 */
																												long BgL_tmpz00_5826;

																												BgL_tmpz00_5826 =
																													(long)
																													(BgL_cz00_3896);
																												BgL_arg1849z00_3897 =
																													BGL_U8VREF
																													(BGl_bytezd2tablezd2zz__base64z00,
																													BgL_tmpz00_5826);
																											}
																											{	/* Unsafe/base64.scm 195 */
																												int8_t BgL_xz00_3898;

																												BgL_xz00_3898 =
																													(int8_t)
																													(BgL_arg1849z00_3897);
																												{	/* Unsafe/base64.scm 195 */
																													long
																														BgL_arg2277z00_3899;
																													BgL_arg2277z00_3899 =
																														(long)
																														(BgL_xz00_3898);
																													BgL_res2342z00_3901 =
																														(int) ((long)
																														(BgL_arg2277z00_3899));
																									}}}}
																									BgL_q1z00_2353 =
																										BgL_res2342z00_3901;
																						}}}
																						{	/* Unsafe/base64.scm 267 */
																							long BgL_v0z00_2354;

																							BgL_v0z00_2354 =
																								(
																								((long) (BgL_q0z00_2291) <<
																									(int) (((long) 2))) |
																								((long) (BgL_q1z00_2353) >>
																									(int) (((long) 4))));
																							{	/* Unsafe/base64.scm 268 */

																								{	/* Unsafe/base64.scm 270 */
																									unsigned char BgL_tmpz00_5840;

																									BgL_tmpz00_5840 =
																										(BgL_v0z00_2354);
																									STRING_SET(BgL_resz00_2284,
																										BgL_yz00_2287,
																										BgL_tmpz00_5840);
																								}
																								if (
																									(BgL_c1z00_2352 ==
																										((unsigned char) '=')))
																									{	/* Unsafe/base64.scm 271 */
																										return
																											bgl_string_shrink
																											(BgL_resz00_2284,
																											BgL_yz00_2287);
																									}
																								else
																									{	/* Unsafe/base64.scm 273 */
																										long BgL_tmpz00_5846;

																										BgL_tmpz00_5846 =
																											(BgL_yz00_2287 +
																											((long) 1));
																										return
																											bgl_string_shrink
																											(BgL_resz00_2284,
																											BgL_tmpz00_5846);
																									}
																							}
																						}
																					}
																				}
																			else
																				{	/* Unsafe/base64.scm 274 */
																					bool_t BgL_test2572z00_5849;

																					if (
																						(BgL_xz00_2286 <=
																							(BgL_lenz00_2282 - ((long) 1))))
																						{	/* Unsafe/base64.scm 274 */
																							BgL_test2572z00_5849 =
																								CBOOL
																								(BgL_eofzd2nozd2paddingz00_17);
																						}
																					else
																						{	/* Unsafe/base64.scm 274 */
																							BgL_test2572z00_5849 =
																								((bool_t) 0);
																						}
																					if (BgL_test2572z00_5849)
																						{	/* Unsafe/base64.scm 275 */
																							int BgL_q1z00_2365;

																							{	/* Unsafe/base64.scm 275 */
																								unsigned char BgL_cz00_3920;

																								BgL_cz00_3920 =
																									(char) (((unsigned char)
																										'='));
																								{	/* Unsafe/base64.scm 201 */
																									long BgL_arg1850z00_3921;

																									BgL_arg1850z00_3921 =
																										(
																										(unsigned
																											char) (BgL_cz00_3920));
																									{	/* Unsafe/base64.scm 201 */
																										int BgL_res2343z00_3928;

																										{	/* Unsafe/base64.scm 201 */
																											char BgL_cz00_3923;

																											BgL_cz00_3923 =
																												(signed
																												char)
																												(BgL_arg1850z00_3921);
																											{	/* Unsafe/base64.scm 195 */
																												uint8_t
																													BgL_arg1849z00_3924;
																												{	/* Unsafe/base64.scm 195 */
																													long BgL_tmpz00_5858;

																													BgL_tmpz00_5858 =
																														(long)
																														(BgL_cz00_3923);
																													BgL_arg1849z00_3924 =
																														BGL_U8VREF
																														(BGl_bytezd2tablezd2zz__base64z00,
																														BgL_tmpz00_5858);
																												}
																												{	/* Unsafe/base64.scm 195 */
																													int8_t BgL_xz00_3925;

																													BgL_xz00_3925 =
																														(int8_t)
																														(BgL_arg1849z00_3924);
																													{	/* Unsafe/base64.scm 195 */
																														long
																															BgL_arg2277z00_3926;
																														BgL_arg2277z00_3926
																															=
																															(long)
																															(BgL_xz00_3925);
																														BgL_res2343z00_3928
																															=
																															(int) ((long)
																															(BgL_arg2277z00_3926));
																										}}}}
																										BgL_q1z00_2365 =
																											BgL_res2343z00_3928;
																							}}}
																							{	/* Unsafe/base64.scm 275 */
																								long BgL_v0z00_2366;

																								BgL_v0z00_2366 =
																									(
																									((long) (BgL_q0z00_2291) <<
																										(int) (((long) 2))) |
																									((long) (BgL_q1z00_2365) >>
																										(int) (((long) 4))));
																								{	/* Unsafe/base64.scm 276 */

																									{	/* Unsafe/base64.scm 277 */
																										unsigned char
																											BgL_tmpz00_5872;
																										BgL_tmpz00_5872 =
																											(BgL_v0z00_2366);
																										STRING_SET(BgL_resz00_2284,
																											BgL_yz00_2287,
																											BgL_tmpz00_5872);
																									}
																									return
																										bgl_string_shrink
																										(BgL_resz00_2284,
																										BgL_yz00_2287);
																								}
																							}
																						}
																					else
																						{	/* Unsafe/base64.scm 280 */
																							long BgL_tmpz00_5876;

																							BgL_tmpz00_5876 =
																								(BgL_yz00_2287 + ((long) 1));
																							return
																								bgl_string_shrink
																								(BgL_resz00_2284,
																								BgL_tmpz00_5876);
																						}
																				}
																		}
																}
														}
												}
											}
										}
									}
								else
									{	/* Unsafe/base64.scm 282 */
										bool_t BgL_test2574z00_5879;

										if ((BgL_lenz00_2282 > ((long) 2)))
											{	/* Unsafe/base64.scm 282 */
												BgL_test2574z00_5879 =
													(STRING_REF(BgL_sz00_16,
														(BgL_lenz00_2282 - ((long) 2))) ==
													((unsigned char) '='));
											}
										else
											{	/* Unsafe/base64.scm 282 */
												BgL_test2574z00_5879 = ((bool_t) 0);
											}
										if (BgL_test2574z00_5879)
											{	/* Unsafe/base64.scm 283 */
												long BgL_tmpz00_5885;

												BgL_tmpz00_5885 = (BgL_yz00_2287 - ((long) 2));
												return
													bgl_string_shrink(BgL_resz00_2284, BgL_tmpz00_5885);
											}
										else
											{	/* Unsafe/base64.scm 284 */
												bool_t BgL_test2576z00_5888;

												if ((BgL_lenz00_2282 > ((long) 1)))
													{	/* Unsafe/base64.scm 284 */
														BgL_test2576z00_5888 =
															(STRING_REF(BgL_sz00_16,
																(BgL_lenz00_2282 - ((long) 1))) ==
															((unsigned char) '='));
													}
												else
													{	/* Unsafe/base64.scm 284 */
														BgL_test2576z00_5888 = ((bool_t) 0);
													}
												if (BgL_test2576z00_5888)
													{	/* Unsafe/base64.scm 285 */
														long BgL_tmpz00_5894;

														BgL_tmpz00_5894 = (BgL_yz00_2287 - ((long) 1));
														return
															bgl_string_shrink(BgL_resz00_2284,
															BgL_tmpz00_5894);
													}
												else
													{	/* Unsafe/base64.scm 284 */
														if ((BgL_yz00_2287 < BgL_nlenz00_2283))
															{	/* Unsafe/base64.scm 287 */
																return
																	bgl_string_shrink(BgL_resz00_2284,
																	BgL_yz00_2287);
															}
														else
															{	/* Unsafe/base64.scm 287 */
																return BgL_resz00_2284;
															}
													}
											}
									}
							}
						}
					}
				}
			}
		}

	}



/* _base64-decode-port */
	obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t BgL_env1160z00_24,
		obj_t BgL_opt1159z00_23)
	{
		{	/* Unsafe/base64.scm 380 */
			{	/* Unsafe/base64.scm 380 */
				obj_t BgL_g1161z00_2404;
				obj_t BgL_g1162z00_2405;

				BgL_g1161z00_2404 = VECTOR_REF(BgL_opt1159z00_23, ((long) 0));
				BgL_g1162z00_2405 = VECTOR_REF(BgL_opt1159z00_23, ((long) 1));
				switch (VECTOR_LENGTH(BgL_opt1159z00_23))
					{
					case ((long) 2):

						{	/* Unsafe/base64.scm 380 */

							{	/* Unsafe/base64.scm 380 */
								obj_t BgL_ipz00_3964;
								obj_t BgL_opz00_3965;

								if (INPUT_PORTP(BgL_g1161z00_2404))
									{	/* Unsafe/base64.scm 380 */
										BgL_ipz00_3964 = BgL_g1161z00_2404;
									}
								else
									{
										obj_t BgL_auxz00_5904;

										BgL_auxz00_5904 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 14330)),
											BGl_string2390z00zz__base64z00,
											BGl_string2387z00zz__base64z00, BgL_g1161z00_2404);
										FAILURE(BgL_auxz00_5904, BFALSE, BFALSE);
									}
								if (OUTPUT_PORTP(BgL_g1162z00_2405))
									{	/* Unsafe/base64.scm 380 */
										BgL_opz00_3965 = BgL_g1162z00_2405;
									}
								else
									{
										obj_t BgL_auxz00_5910;

										BgL_auxz00_5910 =
											BGl_typezd2errorzd2zz__errorz00
											(BGl_string2382z00zz__base64z00, BINT(((long) 14330)),
											BGl_string2390z00zz__base64z00,
											BGl_string2388z00zz__base64z00, BgL_g1162z00_2405);
										FAILURE(BgL_auxz00_5910, BFALSE, BFALSE);
									}
								{	/* Unsafe/base64.scm 381 */
									obj_t BgL_arg1962z00_3966;

									{	/* Unsafe/base64.scm 381 */

										BgL_arg1962z00_3966 =
											make_string(((long) 84), ((unsigned char) ' '));
									}
									return
										BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00
										(BGl_base64zd2decodezd2grammarz00zz__base64z00,
										BgL_ipz00_3964, BgL_opz00_3965, BgL_arg1962z00_3966,
										((long) 0), ((long) 84), BGl_proc2391z00zz__base64z00,
										((bool_t) 1));
						}}} break;
					case ((long) 3):

						{	/* Unsafe/base64.scm 380 */
							obj_t BgL_eofzd2nozd2paddingz00_2410;

							BgL_eofzd2nozd2paddingz00_2410 =
								VECTOR_REF(BgL_opt1159z00_23, ((long) 2));
							{	/* Unsafe/base64.scm 380 */

								{	/* Unsafe/base64.scm 380 */
									obj_t BgL_ipz00_3972;
									obj_t BgL_opz00_3973;

									if (INPUT_PORTP(BgL_g1161z00_2404))
										{	/* Unsafe/base64.scm 380 */
											BgL_ipz00_3972 = BgL_g1161z00_2404;
										}
									else
										{
											obj_t BgL_auxz00_5928;

											BgL_auxz00_5928 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 14330)),
												BGl_string2390z00zz__base64z00,
												BGl_string2387z00zz__base64z00, BgL_g1161z00_2404);
											FAILURE(BgL_auxz00_5928, BFALSE, BFALSE);
										}
									if (OUTPUT_PORTP(BgL_g1162z00_2405))
										{	/* Unsafe/base64.scm 380 */
											BgL_opz00_3973 = BgL_g1162z00_2405;
										}
									else
										{
											obj_t BgL_auxz00_5934;

											BgL_auxz00_5934 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string2382z00zz__base64z00, BINT(((long) 14330)),
												BGl_string2390z00zz__base64z00,
												BGl_string2388z00zz__base64z00, BgL_g1162z00_2405);
											FAILURE(BgL_auxz00_5934, BFALSE, BFALSE);
										}
									{	/* Unsafe/base64.scm 381 */
										obj_t BgL_arg1962z00_3974;

										{	/* Unsafe/base64.scm 381 */

											BgL_arg1962z00_3974 =
												make_string(((long) 84), ((unsigned char) ' '));
										}
										return
											BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00
											(BGl_base64zd2decodezd2grammarz00zz__base64z00,
											BgL_ipz00_3972, BgL_opz00_3973, BgL_arg1962z00_3974,
											((long) 0), ((long) 84), BGl_proc2392z00zz__base64z00,
											((bool_t) 1));
						}}}} break;
					default:
						return BUNSPEC;
					}
			}
		}

	}



/* &<@anonymous:1965> */
	obj_t BGl_z62zc3z04anonymousza31965ze3ze5zz__base64z00(obj_t BgL_envz00_4298,
		obj_t BgL_cz00_4299)
	{
		{	/* Unsafe/base64.scm 382 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &<@anonymous:1965>2344 */
	obj_t BGl_z62zc3z04anonymousza31965ze32344ze5zz__base64z00(obj_t
		BgL_envz00_4300, obj_t BgL_cz00_4301)
	{
		{	/* Unsafe/base64.scm 382 */
			return BBOOL(((bool_t) 0));
		}

	}



/* base64-decode-port */
	BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t
		BgL_ipz00_20, obj_t BgL_opz00_21, obj_t BgL_eofzd2nozd2paddingz00_22)
	{
		{	/* Unsafe/base64.scm 380 */
			{	/* Unsafe/base64.scm 381 */
				obj_t BgL_arg1962z00_3980;

				{	/* Unsafe/base64.scm 381 */

					BgL_arg1962z00_3980 = make_string(((long) 84), ((unsigned char) ' '));
				}
				return
					BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00
					(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_20,
					BgL_opz00_21, BgL_arg1962z00_3980, ((long) 0), ((long) 84),
					BGl_proc2393z00zz__base64z00, ((bool_t) 1));
		}}

	}



/* &<@anonymous:1965>2345 */
	obj_t BGl_z62zc3z04anonymousza31965ze32345ze5zz__base64z00(obj_t
		BgL_envz00_4303, obj_t BgL_cz00_4304)
	{
		{	/* Unsafe/base64.scm 382 */
			return BBOOL(((bool_t) 0));
		}

	}



/* pem-decode-port */
	BGL_EXPORTED_DEF obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t
		BgL_ipz00_25, obj_t BgL_opz00_26)
	{
		{	/* Unsafe/base64.scm 413 */
			{	/* Unsafe/base64.scm 431 */
				obj_t BgL_startz00_2419;

				BgL_startz00_2419 =
					BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00
					(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_25,
					((long) 0));
				if (bigloo_strcmp_at(BgL_startz00_2419, BGl_string2394z00zz__base64z00,
						((long) 0)))
					{	/* Unsafe/base64.scm 433 */
						obj_t BgL_arg1967z00_2421;

						{	/* Ieee/string.scm 168 */

							BgL_arg1967z00_2421 =
								make_string(((long) 84), ((unsigned char) ' '));
						}
						{	/* Unsafe/base64.scm 435 */
							obj_t BgL_zc3z04anonymousza31969ze3z87_4305;

							{
								int BgL_tmpz00_5973;

								BgL_tmpz00_5973 = (int) (((long) 2));
								BgL_zc3z04anonymousza31969ze3z87_4305 =
									MAKE_L_PROCEDURE
									(BGl_z62zc3z04anonymousza31969ze3ze5zz__base64z00,
									BgL_tmpz00_5973);
							}
							PROCEDURE_L_SET(BgL_zc3z04anonymousza31969ze3z87_4305,
								(int) (((long) 0)), BgL_ipz00_25);
							PROCEDURE_L_SET(BgL_zc3z04anonymousza31969ze3z87_4305,
								(int) (((long) 1)), BgL_startz00_2419);
							return
								BGl_z62zc3z04anonymousza31263ze3ze5zz__base64z00
								(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_25,
								BgL_opz00_26, BgL_arg1967z00_2421, ((long) 0), ((long) 84),
								BgL_zc3z04anonymousza31969ze3z87_4305, ((bool_t) 0));
					}}
				else
					{	/* Unsafe/base64.scm 438 */
						BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1972z00_2430;

						{	/* Unsafe/base64.scm 438 */
							BgL_z62iozd2parsezd2errorz62_bglt BgL_new1086z00_2431;

							{	/* Unsafe/base64.scm 438 */
								BgL_z62iozd2parsezd2errorz62_bglt BgL_new1085z00_2434;

								BgL_new1085z00_2434 =
									((BgL_z62iozd2parsezd2errorz62_bglt)
									BOBJECT(GC_MALLOC(sizeof(struct
												BgL_z62iozd2parsezd2errorz62_bgl))));
								{	/* Unsafe/base64.scm 438 */
									long BgL_arg1975z00_2435;

									BgL_arg1975z00_2435 =
										BGL_CLASS_NUM(BGl_z62iozd2parsezd2errorz62zz__objectz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1085z00_2434),
										BgL_arg1975z00_2435);
								}
								BgL_new1086z00_2431 = BgL_new1085z00_2434;
							}
							((((BgL_z62exceptionz62_bglt) COBJECT(
											((BgL_z62exceptionz62_bglt) BgL_new1086z00_2431)))->
									BgL_fnamez00) = ((obj_t) BFALSE), BUNSPEC);
							((((BgL_z62exceptionz62_bglt) COBJECT(((BgL_z62exceptionz62_bglt)
												BgL_new1086z00_2431)))->BgL_locationz00) =
								((obj_t) BFALSE), BUNSPEC);
							{
								obj_t BgL_auxz00_5998;

								{	/* Unsafe/base64.scm 438 */
									obj_t BgL_arg1973z00_2432;

									{	/* Unsafe/base64.scm 438 */
										obj_t BgL_arg1974z00_2433;

										{	/* Unsafe/base64.scm 438 */
											obj_t BgL_classz00_4021;

											BgL_classz00_4021 =
												BGl_z62iozd2parsezd2errorz62zz__objectz00;
											BgL_arg1974z00_2433 =
												BGL_CLASS_ALL_FIELDS(BgL_classz00_4021);
										}
										BgL_arg1973z00_2432 =
											VECTOR_REF(BgL_arg1974z00_2433, ((long) 2));
									}
									BgL_auxz00_5998 =
										BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
										(BgL_arg1973z00_2432);
								}
								((((BgL_z62exceptionz62_bglt) COBJECT(
												((BgL_z62exceptionz62_bglt) BgL_new1086z00_2431)))->
										BgL_stackz00) = ((obj_t) BgL_auxz00_5998), BUNSPEC);
							}
							((((BgL_z62errorz62_bglt) COBJECT(
											((BgL_z62errorz62_bglt) BgL_new1086z00_2431)))->
									BgL_procz00) =
								((obj_t) BGl_string2376z00zz__base64z00), BUNSPEC);
							((((BgL_z62errorz62_bglt) COBJECT(((BgL_z62errorz62_bglt)
												BgL_new1086z00_2431)))->BgL_msgz00) =
								((obj_t) BGl_string2395z00zz__base64z00), BUNSPEC);
							((((BgL_z62errorz62_bglt) COBJECT(((BgL_z62errorz62_bglt)
												BgL_new1086z00_2431)))->BgL_objz00) =
								((obj_t) BgL_startz00_2419), BUNSPEC);
							BgL_arg1972z00_2430 = BgL_new1086z00_2431;
						}
						return BGl_raisez00zz__errorz00(((obj_t) BgL_arg1972z00_2430));
					}
			}
		}

	}



/* &pem-decode-port */
	obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t BgL_envz00_4306,
		obj_t BgL_ipz00_4307, obj_t BgL_opz00_4308)
	{
		{	/* Unsafe/base64.scm 413 */
			{	/* Unsafe/base64.scm 416 */
				obj_t BgL_auxz00_6019;
				obj_t BgL_auxz00_6012;

				if (OUTPUT_PORTP(BgL_opz00_4308))
					{	/* Unsafe/base64.scm 416 */
						BgL_auxz00_6019 = BgL_opz00_4308;
					}
				else
					{
						obj_t BgL_auxz00_6022;

						BgL_auxz00_6022 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2382z00zz__base64z00,
							BINT(((long) 15725)), BGl_string2396z00zz__base64z00,
							BGl_string2388z00zz__base64z00, BgL_opz00_4308);
						FAILURE(BgL_auxz00_6022, BFALSE, BFALSE);
					}
				if (INPUT_PORTP(BgL_ipz00_4307))
					{	/* Unsafe/base64.scm 416 */
						BgL_auxz00_6012 = BgL_ipz00_4307;
					}
				else
					{
						obj_t BgL_auxz00_6015;

						BgL_auxz00_6015 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2382z00zz__base64z00,
							BINT(((long) 15725)), BGl_string2396z00zz__base64z00,
							BGl_string2387z00zz__base64z00, BgL_ipz00_4307);
						FAILURE(BgL_auxz00_6015, BFALSE, BFALSE);
					}
				return
					BGl_pemzd2decodezd2portz00zz__base64z00(BgL_auxz00_6012,
					BgL_auxz00_6019);
			}
		}

	}



/* &<@anonymous:1969> */
	obj_t BGl_z62zc3z04anonymousza31969ze3ze5zz__base64z00(obj_t BgL_envz00_4309,
		obj_t BgL_cz00_4312)
	{
		{	/* Unsafe/base64.scm 434 */
			{	/* Unsafe/base64.scm 435 */
				obj_t BgL_ipz00_4310;
				obj_t BgL_startz00_4311;

				BgL_ipz00_4310 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4309, (int) (((long) 0))));
				BgL_startz00_4311 =
					PROCEDURE_L_REF(BgL_envz00_4309, (int) (((long) 1)));
				{
					obj_t BgL_startz00_4552;
					obj_t BgL_cz00_4553;

					{	/* Unsafe/base64.scm 435 */
						obj_t BgL_arg1970z00_4576;

						{	/* Unsafe/base64.scm 435 */
							long BgL_arg1971z00_4577;

							BgL_arg1971z00_4577 = STRING_LENGTH(((obj_t) BgL_startz00_4311));
							BgL_arg1970z00_4576 =
								c_substring(
								((obj_t) BgL_startz00_4311), ((long) 7), BgL_arg1971z00_4577);
						}
						BgL_startz00_4552 = BgL_arg1970z00_4576;
						BgL_cz00_4553 = BgL_cz00_4312;
						if ((CCHAR(BgL_cz00_4553) == ((unsigned char) '-')))
							{	/* Unsafe/base64.scm 421 */
								obj_t BgL_endz00_4554;

								BgL_endz00_4554 =
									BGl_z62zc3z04anonymousza31532ze3ze5zz__base64z00
									(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_4310,
									((long) 1));
								if (bigloo_strcmp_at(BgL_endz00_4554,
										BGl_string2397z00zz__base64z00, ((long) 0)))
									{	/* Unsafe/base64.scm 423 */
										bool_t BgL_test2588z00_6046;

										{	/* Unsafe/base64.scm 423 */
											obj_t BgL_arg1986z00_4555;

											{	/* Unsafe/base64.scm 423 */
												long BgL_arg1987z00_4556;

												BgL_arg1987z00_4556 =
													STRING_LENGTH(((obj_t) BgL_endz00_4554));
												BgL_arg1986z00_4555 =
													c_substring(
													((obj_t) BgL_endz00_4554), ((long) 5),
													BgL_arg1987z00_4556);
											}
											{	/* Unsafe/base64.scm 423 */
												long BgL_l1z00_4557;

												BgL_l1z00_4557 = STRING_LENGTH(BgL_startz00_4552);
												if (
													(BgL_l1z00_4557 ==
														STRING_LENGTH(BgL_arg1986z00_4555)))
													{	/* Unsafe/base64.scm 423 */
														int BgL_arg2065z00_4558;

														{	/* Unsafe/base64.scm 423 */
															char *BgL_auxz00_6057;
															char *BgL_tmpz00_6055;

															BgL_auxz00_6057 =
																BSTRING_TO_STRING(BgL_arg1986z00_4555);
															BgL_tmpz00_6055 =
																BSTRING_TO_STRING(BgL_startz00_4552);
															BgL_arg2065z00_4558 =
																memcmp(BgL_tmpz00_6055, BgL_auxz00_6057,
																BgL_l1z00_4557);
														}
														BgL_test2588z00_6046 =
															((long) (BgL_arg2065z00_4558) == ((long) 0));
													}
												else
													{	/* Unsafe/base64.scm 423 */
														BgL_test2588z00_6046 = ((bool_t) 0);
													}
											}
										}
										if (BgL_test2588z00_6046)
											{	/* Unsafe/base64.scm 423 */
												return BTRUE;
											}
										else
											{	/* Unsafe/base64.scm 426 */
												BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1982z00_4559;

												{	/* Unsafe/base64.scm 426 */
													BgL_z62iozd2parsezd2errorz62_bglt BgL_new1084z00_4560;

													{	/* Unsafe/base64.scm 426 */
														BgL_z62iozd2parsezd2errorz62_bglt
															BgL_new1083z00_4561;
														BgL_new1083z00_4561 =
															((BgL_z62iozd2parsezd2errorz62_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_z62iozd2parsezd2errorz62_bgl))));
														{	/* Unsafe/base64.scm 426 */
															long BgL_arg1985z00_4562;

															BgL_arg1985z00_4562 =
																BGL_CLASS_NUM
																(BGl_z62iozd2parsezd2errorz62zz__objectz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1083z00_4561), BgL_arg1985z00_4562);
														}
														BgL_new1084z00_4560 = BgL_new1083z00_4561;
													}
													((((BgL_z62exceptionz62_bglt) COBJECT(
																	((BgL_z62exceptionz62_bglt)
																		BgL_new1084z00_4560)))->BgL_fnamez00) =
														((obj_t) BFALSE), BUNSPEC);
													((((BgL_z62exceptionz62_bglt)
																COBJECT(((BgL_z62exceptionz62_bglt)
																		BgL_new1084z00_4560)))->BgL_locationz00) =
														((obj_t) BFALSE), BUNSPEC);
													{
														obj_t BgL_auxz00_6070;

														{	/* Unsafe/base64.scm 426 */
															obj_t BgL_arg1983z00_4563;

															{	/* Unsafe/base64.scm 426 */
																obj_t BgL_arg1984z00_4564;

																{	/* Unsafe/base64.scm 426 */
																	obj_t BgL_classz00_4565;

																	BgL_classz00_4565 =
																		BGl_z62iozd2parsezd2errorz62zz__objectz00;
																	BgL_arg1984z00_4564 =
																		BGL_CLASS_ALL_FIELDS(BgL_classz00_4565);
																}
																BgL_arg1983z00_4563 =
																	VECTOR_REF(BgL_arg1984z00_4564, ((long) 2));
															}
															BgL_auxz00_6070 =
																BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
																(BgL_arg1983z00_4563);
														}
														((((BgL_z62exceptionz62_bglt) COBJECT(
																		((BgL_z62exceptionz62_bglt)
																			BgL_new1084z00_4560)))->BgL_stackz00) =
															((obj_t) BgL_auxz00_6070), BUNSPEC);
													}
													((((BgL_z62errorz62_bglt) COBJECT(
																	((BgL_z62errorz62_bglt)
																		BgL_new1084z00_4560)))->BgL_procz00) =
														((obj_t) BGl_string2376z00zz__base64z00), BUNSPEC);
													((((BgL_z62errorz62_bglt)
																COBJECT(((BgL_z62errorz62_bglt)
																		BgL_new1084z00_4560)))->BgL_msgz00) =
														((obj_t) BGl_string2398z00zz__base64z00), BUNSPEC);
													((((BgL_z62errorz62_bglt)
																COBJECT(((BgL_z62errorz62_bglt)
																		BgL_new1084z00_4560)))->BgL_objz00) =
														((obj_t) BgL_endz00_4554), BUNSPEC);
													BgL_arg1982z00_4559 = BgL_new1084z00_4560;
												}
												return
													BGl_raisez00zz__errorz00(
													((obj_t) BgL_arg1982z00_4559));
											}
									}
								else
									{	/* Unsafe/base64.scm 422 */
										return BFALSE;
									}
							}
						else
							{	/* Unsafe/base64.scm 417 */
								BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1988z00_4566;

								{	/* Unsafe/base64.scm 417 */
									BgL_z62iozd2parsezd2errorz62_bglt BgL_new1082z00_4567;

									{	/* Unsafe/base64.scm 417 */
										BgL_z62iozd2parsezd2errorz62_bglt BgL_new1081z00_4568;

										BgL_new1081z00_4568 =
											((BgL_z62iozd2parsezd2errorz62_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_z62iozd2parsezd2errorz62_bgl))));
										{	/* Unsafe/base64.scm 417 */
											long BgL_arg1995z00_4569;

											BgL_arg1995z00_4569 =
												BGL_CLASS_NUM
												(BGl_z62iozd2parsezd2errorz62zz__objectz00);
											BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
													BgL_new1081z00_4568), BgL_arg1995z00_4569);
										}
										BgL_new1082z00_4567 = BgL_new1081z00_4568;
									}
									((((BgL_z62exceptionz62_bglt) COBJECT(
													((BgL_z62exceptionz62_bglt) BgL_new1082z00_4567)))->
											BgL_fnamez00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_z62exceptionz62_bglt)
												COBJECT(((BgL_z62exceptionz62_bglt)
														BgL_new1082z00_4567)))->BgL_locationz00) =
										((obj_t) BFALSE), BUNSPEC);
									{
										obj_t BgL_auxz00_6092;

										{	/* Unsafe/base64.scm 417 */
											obj_t BgL_arg1989z00_4570;

											{	/* Unsafe/base64.scm 417 */
												obj_t BgL_arg1990z00_4571;

												{	/* Unsafe/base64.scm 417 */
													obj_t BgL_classz00_4572;

													BgL_classz00_4572 =
														BGl_z62iozd2parsezd2errorz62zz__objectz00;
													BgL_arg1990z00_4571 =
														BGL_CLASS_ALL_FIELDS(BgL_classz00_4572);
												}
												BgL_arg1989z00_4570 =
													VECTOR_REF(BgL_arg1990z00_4571, ((long) 2));
											}
											BgL_auxz00_6092 =
												BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
												(BgL_arg1989z00_4570);
										}
										((((BgL_z62exceptionz62_bglt) COBJECT(
														((BgL_z62exceptionz62_bglt) BgL_new1082z00_4567)))->
												BgL_stackz00) = ((obj_t) BgL_auxz00_6092), BUNSPEC);
									}
									((((BgL_z62errorz62_bglt) COBJECT(
													((BgL_z62errorz62_bglt) BgL_new1082z00_4567)))->
											BgL_procz00) =
										((obj_t) BGl_string2376z00zz__base64z00), BUNSPEC);
									((((BgL_z62errorz62_bglt) COBJECT(((BgL_z62errorz62_bglt)
														BgL_new1082z00_4567)))->BgL_msgz00) =
										((obj_t) BGl_string2399z00zz__base64z00), BUNSPEC);
									{
										obj_t BgL_auxz00_6102;

										{	/* Unsafe/base64.scm 420 */
											obj_t BgL_arg1991z00_4573;

											BgL_arg1991z00_4573 =
												BGl_readzd2linezd2zz__r4_input_6_10_2z00
												(BgL_ipz00_4310);
											{	/* Unsafe/base64.scm 420 */
												obj_t BgL_list1992z00_4574;

												{	/* Unsafe/base64.scm 420 */
													obj_t BgL_arg1994z00_4575;

													BgL_arg1994z00_4575 =
														MAKE_YOUNG_PAIR(BgL_arg1991z00_4573, BNIL);
													BgL_list1992z00_4574 =
														MAKE_YOUNG_PAIR(BgL_cz00_4553, BgL_arg1994z00_4575);
												}
												BgL_auxz00_6102 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2378z00zz__base64z00,
													BgL_list1992z00_4574);
										}}
										((((BgL_z62errorz62_bglt) COBJECT(
														((BgL_z62errorz62_bglt) BgL_new1082z00_4567)))->
												BgL_objz00) = ((obj_t) BgL_auxz00_6102), BUNSPEC);
									}
									BgL_arg1988z00_4566 = BgL_new1082z00_4567;
								}
								return BGl_raisez00zz__errorz00(((obj_t) BgL_arg1988z00_4566));
							}
					}
				}
			}
		}

	}



/* pem-read-file */
	BGL_EXPORTED_DEF obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t
		BgL_filez00_27)
	{
		{	/* Unsafe/base64.scm 446 */
			{	/* Unsafe/base64.scm 447 */
				obj_t BgL_pz00_4023;

				{	/* Unsafe/base64.scm 447 */

					{	/* Unsafe/base64.scm 447 */

						BgL_pz00_4023 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
					}
				}
				{	/* Unsafe/base64.scm 450 */
					obj_t BgL_zc3z04anonymousza31997ze3z87_4313;

					BgL_zc3z04anonymousza31997ze3z87_4313 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31997ze3ze5zz__base64z00,
						(int) (((long) 0)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31997ze3z87_4313,
						(int) (((long) 0)), BgL_pz00_4023);
					BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
						(BgL_filez00_27, BgL_zc3z04anonymousza31997ze3z87_4313);
				}
				return bgl_close_output_port(BgL_pz00_4023);
			}
		}

	}



/* &pem-read-file */
	obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t BgL_envz00_4314,
		obj_t BgL_filez00_4315)
	{
		{	/* Unsafe/base64.scm 446 */
			{	/* Unsafe/base64.scm 447 */
				obj_t BgL_auxz00_6119;

				if (STRINGP(BgL_filez00_4315))
					{	/* Unsafe/base64.scm 447 */
						BgL_auxz00_6119 = BgL_filez00_4315;
					}
				else
					{
						obj_t BgL_auxz00_6122;

						BgL_auxz00_6122 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2382z00zz__base64z00,
							BINT(((long) 16871)), BGl_string2400z00zz__base64z00,
							BGl_string2384z00zz__base64z00, BgL_filez00_4315);
						FAILURE(BgL_auxz00_6122, BFALSE, BFALSE);
					}
				return BGl_pemzd2readzd2filez00zz__base64z00(BgL_auxz00_6119);
			}
		}

	}



/* &<@anonymous:1997> */
	obj_t BGl_z62zc3z04anonymousza31997ze3ze5zz__base64z00(obj_t BgL_envz00_4316)
	{
		{	/* Unsafe/base64.scm 449 */
			{	/* Unsafe/base64.scm 450 */
				obj_t BgL_pz00_4317;

				BgL_pz00_4317 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4316, (int) (((long) 0))));
				{	/* Unsafe/base64.scm 450 */
					obj_t BgL_arg1999z00_4578;

					{	/* Unsafe/base64.scm 450 */
						obj_t BgL_tmpz00_6130;

						BgL_tmpz00_6130 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1999z00_4578 = BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_6130);
					}
					return
						BGl_pemzd2decodezd2portz00zz__base64z00(BgL_arg1999z00_4578,
						BgL_pz00_4317);
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__base64z00()
	{
		{	/* Unsafe/base64.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2401z00zz__base64z00));
		}

	}

#ifdef __cplusplus
}
#endif
