/*===========================================================================*/
/*   (Unsafe/bignumber.scm)                                                  */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/bignumber.scm -indent -o objs/obj_u/Unsafe/bignumber.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

/* User header */
#if( BGL_HAVE_GMP == 0 )
#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t bgl_seed_rand(long);
	BGL_EXPORTED_DECL bool_t BXZERO(obj_t);
	extern obj_t BGl_u8vectorzd2ze3listz31zz__srfi4z00(obj_t);
	extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
	BGL_EXPORTED_DECL obj_t bgl_long_to_bignum(long);
	static obj_t BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00(obj_t, long);
	static obj_t BGl_z62z42z42bitlshbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	extern long BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(long, long);
	static obj_t BGl_z62z42z42divrembxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62z42z42bitmaskbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_neg(obj_t);
	static obj_t BGl_z62z42z42remainderbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42negbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_flonum_to_bignum(double);
	static obj_t BGl_list2542z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2545z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2546z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00(obj_t, long);
	static obj_t BGl_list2547z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2548z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_list2549z00zz__bignumz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__bignumz00 = BUNSPEC;
	static obj_t BGl_z62z42z42za2bxzc0zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BXPOSITIVE(obj_t);
	extern obj_t BGl_makezd2u16vectorzd2zz__srfi4z00(long, uint16_t);
	static obj_t BGl_z62z42z42oddbxzf3z91zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42quotientbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list2550z00zz__bignumz00 = BUNSPEC;
	static int64_t BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00();
	BGL_EXPORTED_DECL obj_t bgl_bignum_to_string(obj_t, long);
	static obj_t BGl_z62z42z42randbxz62zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_not(obj_t);
	static obj_t BGl_bignumzd2sum2zd2zz__bignumz00(obj_t, obj_t, long, long);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62z42z42bitorbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL long bgl_bignum_to_elong(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_sub(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2exptzd2zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42zb2bxzd0zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_quotient(obj_t, obj_t);
	static obj_t BGl_z62z42z42exptbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__bignumz00();
	static obj_t BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(long);
	static obj_t BGl_z62z42z42bitnotbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static long BGl_bignumzd2integerzd2lengthz00zz__bignumz00(obj_t);
	static obj_t BGl_convertze70ze7zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__bignumz00();
	static obj_t BGl_makezd2randomzd2u8vectorz00zz__bignumz00(obj_t);
	static obj_t BGl_z62z42z42positivebxzf3z91zz__bignumz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	extern obj_t BGl_assvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__bignumz00();
	static long BGl_bignumzd2signzd2zz__bignumz00(obj_t);
	extern long bgl_bignum_to_long(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__bignumz00();
	BGL_EXPORTED_DECL obj_t bgl_bignum_rsh(obj_t, long);
	static obj_t BGl_gczd2rootszd2initz00zz__bignumz00();
	static obj_t BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__bignumz00();
	static obj_t BGl_bignumzd2signzd2setz12z12zz__bignumz00(obj_t, int);
	BGL_EXPORTED_DECL obj_t bgl_bignum_xor(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_or(obj_t, obj_t);
	extern obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42zd2bxzb0zz__bignumz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_bignumzd2shrinkzd2zz__bignumz00(obj_t, long);
	static obj_t BGl_z62z42z42seedzd2randzb0zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00(obj_t);
	BGL_EXPORTED_DECL int64_t bgl_bignum_to_int64(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_elong_to_bignum(long);
	BGL_EXPORTED_DECL long bgl_bignum_to_long(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_mask(obj_t, long);
	static obj_t BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_gcd(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62z42z42bitrshbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42gcdbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42bitxorbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double bgl_bignum_to_flonum(obj_t);
	extern obj_t BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl_preallocatedzd2bignumszd2zz__bignumz00 = BUNSPEC;
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_bignumzd2subzd2nonnegz00zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_string_to_bignum(char *, int);
	BGL_EXPORTED_DECL obj_t bgl_bignum_and(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BXNEGATIVE(obj_t);
	static obj_t BGl_methodzd2initzd2zz__bignumz00();
	extern obj_t bgl_make_bignum(obj_t);
	static obj_t BGl_z62z42z42evenbxzf3z91zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t bgl_bignum_odd(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_abs(obj_t);
	static bool_t BGl_z42zc3bxz81zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42absbxz62zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42za7erobxzf3z36zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_rand_bignum(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_llong_to_bignum(BGL_LONGLONG_T);
	static obj_t BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_remainder(obj_t, obj_t);
	static obj_t BGl_z62z42z42bitandbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_string_to_integer_obj(char *, long);
	static obj_t BGl_bignumzd2addzd2nonnegz00zz__bignumz00(obj_t, obj_t);
	static long BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00();
	BGL_EXPORTED_DECL obj_t bgl_int64_to_bignum(int64_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_mul(obj_t, obj_t);
	static obj_t BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_bignumzd2divzd2zz__bignumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00(obj_t, obj_t, obj_t);
	extern int64_t BGl_expts64z00zz__r4_numbers_6_5_fixnumz00(int64_t, int64_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_expt(obj_t, obj_t);
	extern obj_t bgl_long_to_bignum(long);
	BGL_EXPORTED_DECL obj_t bgl_bignum_lsh(obj_t, long);
	BGL_EXPORTED_DECL obj_t bgl_bignum_div(obj_t, obj_t);
	extern bool_t BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_bignumzd2za7eroz75zz__bignumz00 = BUNSPEC;
	extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t,
		long, long);
	static long BGl_bignumzd2lengthzd2zz__bignumz00(obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00(obj_t, obj_t);
	extern obj_t BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
	static obj_t BGl_z62z42z42negativebxzf3z91zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_lcm(obj_t, obj_t);
	BGL_EXPORTED_DECL uint64_t bgl_bignum_to_uint64(obj_t);
	BGL_EXPORTED_DECL obj_t bgl_uint64_to_bignum(uint64_t);
	static obj_t BGl_z62z42z42lcmbxz62zz__bignumz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bgl_bignum_add(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t bgl_bignum_even(obj_t);
	static BGL_LONGLONG_T
		BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00();
	BGL_EXPORTED_DECL BGL_LONGLONG_T bgl_bignum_to_llong(obj_t);
	static obj_t BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL int bgl_bignum_cmp(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3flonumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72576z00,
		BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42positivebxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742positiv2577za7,
		BGl_z62z42z42positivebxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42divrembxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742divremb2578za7,
		BGl_z62z42z42divrembxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3stringzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72579z00,
		BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42zb2bxzd2envz60zz__bignumz00,
		BgL_bgl_za762za742za742za7b2bxza7d2580za7,
		BGl_z62z42z42zb2bxzd0zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3llongzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72581z00,
		BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42za7erobxzf3zd2envz86zz__bignumz00,
		BgL_bgl_za762za742za742za7a7erob2582z00,
		BGl_z62z42z42za7erobxzf3z36zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42int64zd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742int64za7d2583z00,
		BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42lcmbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742lcmbxza762584z00, BGl_z62z42z42lcmbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2509z00zz__bignumz00,
		BgL_bgl_string2509za700za7za7_2585za7,
		"/tmp/bigloo/runtime/Unsafe/bignumber.scm", 40);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42randbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742randbxza72586z00,
		BGl_z62z42z42randbxz62zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2510z00zz__bignumz00,
		BgL_bgl_string2510za700za7za7_2587za7, "&$$string->integer-obj", 22);
	      DEFINE_STRING(BGl_string2511z00zz__bignumz00,
		BgL_bgl_string2511za700za7za7_2588za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2512z00zz__bignumz00,
		BgL_bgl_string2512za700za7za7_2589za7, "bint", 4);
	      DEFINE_STRING(BGl_string2513z00zz__bignumz00,
		BgL_bgl_string2513za700za7za7_2590za7, "&$$elong->bignum", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3fixnumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72591z00,
		BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2514z00zz__bignumz00,
		BgL_bgl_string2514za700za7za7_2592za7, "belong", 6);
	      DEFINE_STRING(BGl_string2515z00zz__bignumz00,
		BgL_bgl_string2515za700za7za7_2593za7, "&$$llong->bignum", 16);
	      DEFINE_STRING(BGl_string2516z00zz__bignumz00,
		BgL_bgl_string2516za700za7za7_2594za7, "bllong", 6);
	      DEFINE_STRING(BGl_string2517z00zz__bignumz00,
		BgL_bgl_string2517za700za7za7_2595za7, "&$$int64->bignum", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42gcdbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742gcdbxza762596z00, BGl_z62z42z42gcdbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2518z00zz__bignumz00,
		BgL_bgl_string2518za700za7za7_2597za7, "bint64", 6);
	      DEFINE_STRING(BGl_string2519z00zz__bignumz00,
		BgL_bgl_string2519za700za7za7_2598za7, "&$$uint64->bignum", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42flonumzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742flonumza72599z00,
		BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2520z00zz__bignumz00,
		BgL_bgl_string2520za700za7za7_2600za7, "buint64", 7);
	      DEFINE_STRING(BGl_string2521z00zz__bignumz00,
		BgL_bgl_string2521za700za7za7_2601za7, "&$$fixnum->bignum", 17);
	      DEFINE_STRING(BGl_string2522z00zz__bignumz00,
		BgL_bgl_string2522za700za7za7_2602za7, "&$$zerobx?", 10);
	      DEFINE_STRING(BGl_string2523z00zz__bignumz00,
		BgL_bgl_string2523za700za7za7_2603za7, "bignum", 6);
	      DEFINE_STRING(BGl_string2524z00zz__bignumz00,
		BgL_bgl_string2524za700za7za7_2604za7, "&$$negativebx?", 14);
	      DEFINE_STRING(BGl_string2525z00zz__bignumz00,
		BgL_bgl_string2525za700za7za7_2605za7, "&$$positivebx?", 14);
	      DEFINE_STRING(BGl_string2526z00zz__bignumz00,
		BgL_bgl_string2526za700za7za7_2606za7, "&$$evenbx?", 10);
	      DEFINE_STRING(BGl_string2527z00zz__bignumz00,
		BgL_bgl_string2527za700za7za7_2607za7, "&$$oddbx?", 9);
	      DEFINE_STRING(BGl_string2528z00zz__bignumz00,
		BgL_bgl_string2528za700za7za7_2608za7, "&$$bignum-cmp", 13);
	      DEFINE_STRING(BGl_string2529z00zz__bignumz00,
		BgL_bgl_string2529za700za7za7_2609za7, "&$$+bx", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42exptbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742exptbxza72610z00,
		BGl_z62z42z42exptbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2530z00zz__bignumz00,
		BgL_bgl_string2530za700za7za7_2611za7, "&$$-bx", 6);
	      DEFINE_STRING(BGl_string2531z00zz__bignumz00,
		BgL_bgl_string2531za700za7za7_2612za7, "&$$negbx", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42stringzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742stringza72613z00,
		BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2532z00zz__bignumz00,
		BgL_bgl_string2532za700za7za7_2614za7, "&$$*bx", 6);
	      DEFINE_STRING(BGl_string2533z00zz__bignumz00,
		BgL_bgl_string2533za700za7za7_2615za7, "&$$exptbx", 9);
	      DEFINE_STRING(BGl_string2534z00zz__bignumz00,
		BgL_bgl_string2534za700za7za7_2616za7, "/bx", 3);
	      DEFINE_STRING(BGl_string2535z00zz__bignumz00,
		BgL_bgl_string2535za700za7za7_2617za7, "divide by zero", 14);
	      DEFINE_STRING(BGl_string2536z00zz__bignumz00,
		BgL_bgl_string2536za700za7za7_2618za7, "&$$divrembx", 11);
	      DEFINE_STRING(BGl_string2537z00zz__bignumz00,
		BgL_bgl_string2537za700za7za7_2619za7, "&$$quotientbx", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitnotbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitnotb2620za7,
		BGl_z62z42z42bitnotbxz62zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2538z00zz__bignumz00,
		BgL_bgl_string2538za700za7za7_2621za7, "&$$remainderbx", 14);
	      DEFINE_STRING(BGl_string2539z00zz__bignumz00,
		BgL_bgl_string2539za700za7za7_2622za7, "&$$absbx", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitandbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitandb2623za7,
		BGl_z62z42z42bitandbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42negativebxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742negativ2624za7,
		BGl_z62z42z42negativebxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3uint64zd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72625z00,
		BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42uint64zd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742uint64za72626z00,
		BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3elongzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72627z00,
		BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2540z00zz__bignumz00,
		BgL_bgl_string2540za700za7za7_2628za7, "&$$gcdbx", 8);
	      DEFINE_STRING(BGl_string2541z00zz__bignumz00,
		BgL_bgl_string2541za700za7za7_2629za7, "&$$lcmbx", 8);
	      DEFINE_STRING(BGl_string2543z00zz__bignumz00,
		BgL_bgl_string2543za700za7za7_2630za7,
		"0123456789abcdefghijklmnopqrstuvwxyz", 36);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42evenbxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742evenbxza72631z00,
		BGl_z62z42z42evenbxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2544z00zz__bignumz00,
		BgL_bgl_string2544za700za7za7_2632za7, "&$$bignum->string", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bignumzd2cmpzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72633z00,
		BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42absbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742absbxza762634z00, BGl_z62z42z42absbxz62zz__bignumz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42oddbxzf3zd2envz21zz__bignumz00,
		BgL_bgl_za762za742za742oddbxza7f2635z00,
		BGl_z62z42z42oddbxzf3z91zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42seedzd2randzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742seedza7d22636z00,
		BGl_z62z42z42seedzd2randzb0zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitmaskbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitmask2637za7,
		BGl_z62z42z42bitmaskbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2551z00zz__bignumz00,
		BgL_bgl_string2551za700za7za7_2638za7, "&$$string->bignum", 17);
	      DEFINE_STRING(BGl_string2552z00zz__bignumz00,
		BgL_bgl_string2552za700za7za7_2639za7, "&$$bignum->fixnum", 17);
	      DEFINE_STRING(BGl_string2553z00zz__bignumz00,
		BgL_bgl_string2553za700za7za7_2640za7, "&$$bignum->elong", 16);
	      DEFINE_STRING(BGl_string2554z00zz__bignumz00,
		BgL_bgl_string2554za700za7za7_2641za7, "&$$bignum->llong", 16);
	      DEFINE_STRING(BGl_string2555z00zz__bignumz00,
		BgL_bgl_string2555za700za7za7_2642za7, "&$$bignum->int64", 16);
	      DEFINE_STRING(BGl_string2556z00zz__bignumz00,
		BgL_bgl_string2556za700za7za7_2643za7, "&$$bignum->uint64", 17);
	      DEFINE_STRING(BGl_string2557z00zz__bignumz00,
		BgL_bgl_string2557za700za7za7_2644za7, "&$$seed-rand", 12);
	      DEFINE_STRING(BGl_string2558z00zz__bignumz00,
		BgL_bgl_string2558za700za7za7_2645za7, "&$$randbx", 9);
	      DEFINE_STRING(BGl_string2559z00zz__bignumz00,
		BgL_bgl_string2559za700za7za7_2646za7, "&$$flonum->bignum", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42stringzd2ze3integerzd2objzd2envz31zz__bignumz00,
		BgL_bgl_za762za742za742stringza72647z00,
		BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42za2bxzd2envz70zz__bignumz00,
		BgL_bgl_za762za742za742za7a2bxza7c2648za7,
		BGl_z62z42z42za2bxzc0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2560z00zz__bignumz00,
		BgL_bgl_string2560za700za7za7_2649za7, "real", 4);
	      DEFINE_STRING(BGl_string2561z00zz__bignumz00,
		BgL_bgl_string2561za700za7za7_2650za7, "&$$bignum->flonum", 17);
	      DEFINE_STRING(BGl_string2562z00zz__bignumz00,
		BgL_bgl_string2562za700za7za7_2651za7, "&$$bitlshbx", 11);
	      DEFINE_STRING(BGl_string2563z00zz__bignumz00,
		BgL_bgl_string2563za700za7za7_2652za7, "&$$bitrshbx", 11);
	      DEFINE_STRING(BGl_string2564z00zz__bignumz00,
		BgL_bgl_string2564za700za7za7_2653za7, "bitmaskbx", 9);
	      DEFINE_STRING(BGl_string2565z00zz__bignumz00,
		BgL_bgl_string2565za700za7za7_2654za7, "not implemented", 15);
	      DEFINE_STRING(BGl_string2566z00zz__bignumz00,
		BgL_bgl_string2566za700za7za7_2655za7, "&$$bitmaskbx", 12);
	      DEFINE_STRING(BGl_string2567z00zz__bignumz00,
		BgL_bgl_string2567za700za7za7_2656za7, "bitorbx", 7);
	      DEFINE_STRING(BGl_string2568z00zz__bignumz00,
		BgL_bgl_string2568za700za7za7_2657za7, "&$$bitorbx", 10);
	      DEFINE_STRING(BGl_string2569z00zz__bignumz00,
		BgL_bgl_string2569za700za7za7_2658za7, "bitxorbx", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitlshbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitlshb2659za7,
		BGl_z62z42z42bitlshbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitrshbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitrshb2660za7,
		BGl_z62z42z42bitrshbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2570z00zz__bignumz00,
		BgL_bgl_string2570za700za7za7_2661za7, "&$$bitxorbx", 11);
	      DEFINE_STRING(BGl_string2571z00zz__bignumz00,
		BgL_bgl_string2571za700za7za7_2662za7, "bitandbx", 8);
	      DEFINE_STRING(BGl_string2572z00zz__bignumz00,
		BgL_bgl_string2572za700za7za7_2663za7, "&$$bitandbx", 11);
	      DEFINE_STRING(BGl_string2573z00zz__bignumz00,
		BgL_bgl_string2573za700za7za7_2664za7, "bitnotbx", 8);
	      DEFINE_STRING(BGl_string2574z00zz__bignumz00,
		BgL_bgl_string2574za700za7za7_2665za7, "&$$bitnotbx", 11);
	      DEFINE_STRING(BGl_string2575z00zz__bignumz00,
		BgL_bgl_string2575za700za7za7_2666za7, "__bignum", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitxorbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitxorb2667za7,
		BGl_z62z42z42bitxorbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42bitorbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742bitorbx2668za7, BGl_z62z42z42bitorbxz62zz__bignumz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42zd2bxzd2envz00zz__bignumz00,
		BgL_bgl_za762za742za742za7d2bxza7b2669za7,
		BGl_z62z42z42zd2bxzb0zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42quotientbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742quotien2670za7,
		BGl_z62z42z42quotientbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42bignumzd2ze3int64zd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742bignumza72671z00,
		BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42elongzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742elongza7d2672z00,
		BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42fixnumzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742fixnumza72673z00,
		BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z42z42llongzd2ze3bignumzd2envze3zz__bignumz00,
		BgL_bgl_za762za742za742llongza7d2674z00,
		BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42remainderbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742remaind2675za7,
		BGl_z62z42z42remainderbxz62zz__bignumz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z42z42negbxzd2envzd2zz__bignumz00,
		BgL_bgl_za762za742za742negbxza762676z00, BGl_z62z42z42negbxz62zz__bignumz00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_list2542z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2545z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2546z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2547z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2548z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2549z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_list2550z00zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_preallocatedzd2bignumszd2zz__bignumz00));
		     ADD_ROOT((void *) (&BGl_bignumzd2za7eroz75zz__bignumz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long
		BgL_checksumz00_5724, char *BgL_fromz00_5725)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__bignumz00))
				{
					BGl_requirezd2initializa7ationz75zz__bignumz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__bignumz00();
					BGl_cnstzd2initzd2zz__bignumz00();
					BGl_importedzd2moduleszd2initz00zz__bignumz00();
					return BGl_toplevelzd2initzd2zz__bignumz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			BGl_list2542z00zz__bignumz00 = MAKE_YOUNG_PAIR(BINT(((long) 0)), BNIL);
			BGl_list2545z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '+')),
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) '-')), BNIL));
			BGl_list2547z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'x')), BINT(((long) 16)));
			BGl_list2548z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'd')), BINT(((long) 10)));
			BGl_list2549z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'o')), BINT(((long) 8)));
			BGl_list2550z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 'b')), BINT(((long) 2)));
			return (BGl_list2546z00zz__bignumz00 =
				MAKE_YOUNG_PAIR(BGl_list2547z00zz__bignumz00,
					MAKE_YOUNG_PAIR(BGl_list2548z00zz__bignumz00,
						MAKE_YOUNG_PAIR(BGl_list2549z00zz__bignumz00,
							MAKE_YOUNG_PAIR(BGl_list2550z00zz__bignumz00, BNIL)))), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			{	/* Unsafe/bignumber.scm 406 */
				obj_t BgL_vz00_1270;

				BgL_vz00_1270 = make_vector(((long) 33), BFALSE);
				{
					long BgL_iz00_2777;
					long BgL_nz00_2778;

					BgL_iz00_2777 = ((long) 0);
					BgL_nz00_2778 = ((long) -16);
				BgL_loopz00_2776:
					if ((((long) 16) < BgL_nz00_2778))
						{	/* Unsafe/bignumber.scm 408 */
							BGl_preallocatedzd2bignumszd2zz__bignumz00 = BgL_vz00_1270;
						}
					else
						{	/* Unsafe/bignumber.scm 408 */
							VECTOR_SET(BgL_vz00_1270, BgL_iz00_2777,
								BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
								(BgL_nz00_2778));
							{
								long BgL_nz00_5763;
								long BgL_iz00_5761;

								BgL_iz00_5761 = (BgL_iz00_2777 + ((long) 1));
								BgL_nz00_5763 = (BgL_nz00_2778 + ((long) 1));
								BgL_nz00_2778 = BgL_nz00_5763;
								BgL_iz00_2777 = BgL_iz00_5761;
								goto BgL_loopz00_2776;
							}
						}
				}
			}
			{	/* Unsafe/bignumber.scm 420 */
				obj_t BgL_res2351z00_2797;

				{	/* Unsafe/bignumber.scm 415 */
					bool_t BgL_test2679z00_5765;

					if ((((long) 0) < ((long) -16)))
						{	/* Unsafe/bignumber.scm 415 */
							BgL_test2679z00_5765 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 415 */
							BgL_test2679z00_5765 = (((long) 16) < ((long) 0));
						}
					if (BgL_test2679z00_5765)
						{	/* Unsafe/bignumber.scm 415 */
							BgL_res2351z00_2797 =
								BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
									0));
						}
					else
						{	/* Unsafe/bignumber.scm 415 */
							BgL_res2351z00_2797 =
								VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
								(((long) 0) + ((long) 16)));
				}}
				return (BGl_bignumzd2za7eroz75zz__bignumz00 =
					BgL_res2351z00_2797, BUNSPEC);
			}
		}

	}



/* $$string->integer-obj */
	BGL_EXPORTED_DEF obj_t bgl_string_to_integer_obj(char *BgL_strz00_3,
		long BgL_radixz00_4)
	{
		{	/* Unsafe/bignumber.scm 194 */
			{	/* Unsafe/bignumber.scm 195 */

				return
					BINT(BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00
					(string_to_bstring(BgL_strz00_3), BgL_radixz00_4, ((long) 0)));
		}}

	}



/* &$$string->integer-obj */
	obj_t BGl_z62z42z42stringzd2ze3integerzd2objz81zz__bignumz00(obj_t
		BgL_envz00_5503, obj_t BgL_strz00_5504, obj_t BgL_radixz00_5505)
	{
		{	/* Unsafe/bignumber.scm 194 */
			{	/* Unsafe/bignumber.scm 195 */
				long BgL_auxz00_5784;
				char *BgL_auxz00_5775;

				{	/* Unsafe/bignumber.scm 195 */
					obj_t BgL_tmpz00_5785;

					if (INTEGERP(BgL_radixz00_5505))
						{	/* Unsafe/bignumber.scm 195 */
							BgL_tmpz00_5785 = BgL_radixz00_5505;
						}
					else
						{
							obj_t BgL_auxz00_5788;

							BgL_auxz00_5788 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 8257)), BGl_string2510z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_radixz00_5505);
							FAILURE(BgL_auxz00_5788, BFALSE, BFALSE);
						}
					BgL_auxz00_5784 = (long) CINT(BgL_tmpz00_5785);
				}
				{	/* Unsafe/bignumber.scm 195 */
					obj_t BgL_tmpz00_5776;

					if (STRINGP(BgL_strz00_5504))
						{	/* Unsafe/bignumber.scm 195 */
							BgL_tmpz00_5776 = BgL_strz00_5504;
						}
					else
						{
							obj_t BgL_auxz00_5779;

							BgL_auxz00_5779 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 8257)), BGl_string2510z00zz__bignumz00,
								BGl_string2511z00zz__bignumz00, BgL_strz00_5504);
							FAILURE(BgL_auxz00_5779, BFALSE, BFALSE);
						}
					BgL_auxz00_5775 = BSTRING_TO_STRING(BgL_tmpz00_5776);
				}
				return bgl_string_to_integer_obj(BgL_auxz00_5775, BgL_auxz00_5784);
			}
		}

	}



/* bignum-min-elong-div-radix */
	long BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 236 */
			{	/* Unsafe/bignumber.scm 237 */
				long BgL_arg1203z00_1292;

				BgL_arg1203z00_1292 =
					(((long) -2) * ((long) (((long) 1)) << (int) (((long) 30))));
				return (BgL_arg1203z00_1292 / ((long) 16384));
		}}

	}



/* bignum-min-llong-div-radix */
	BGL_LONGLONG_T BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 243 */
			{	/* Unsafe/bignumber.scm 244 */
				BGL_LONGLONG_T BgL_arg1209z00_1295;

				BgL_arg1209z00_1295 =
					((-((BGL_LONGLONG_T) 2)) *
					(LONG_TO_LLONG(((long) 1)) << (int) (((long) 60))));
				return (BgL_arg1209z00_1295 / ((BGL_LONGLONG_T) 32768));
			}
		}

	}



/* bignum-min-int64-div-radix */
	int64_t BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 252 */
			{	/* Unsafe/bignumber.scm 253 */
				int64_t BgL_arg1216z00_1298;

				BgL_arg1216z00_1298 =
					((int64_t) (-2) *
					BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
						(int64_t) (((long) 60))));
				return (BgL_arg1216z00_1298 / (int64_t) (32768));
			}
		}

	}



/* bignum-length */
	long BGl_bignumzd2lengthzd2zz__bignumz00(obj_t BgL_bnz00_6)
	{
		{	/* Unsafe/bignumber.scm 260 */
			{	/* Unsafe/bignumber.scm 261 */
				long BgL_arg1222z00_2831;

				{	/* Unsafe/bignumber.scm 261 */
					obj_t BgL_arg1223z00_2832;

					BgL_arg1223z00_2832 = BGL_BIGNUM_U16VECT(BgL_bnz00_6);
					BgL_arg1222z00_2831 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_2832);
				}
				{	/* Unsafe/bignumber.scm 261 */
					uint16_t BgL_xz00_2834;

					BgL_xz00_2834 = (uint16_t) (BgL_arg1222z00_2831);
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg2287z00_2835;

						BgL_arg2287z00_2835 = (long) (BgL_xz00_2834);
						return (long) (BgL_arg2287z00_2835);
		}}}}

	}



/* bignum-sign */
	long BGl_bignumzd2signzd2zz__bignumz00(obj_t BgL_bnz00_7)
	{
		{	/* Unsafe/bignumber.scm 262 */
			{	/* Unsafe/bignumber.scm 263 */
				uint16_t BgL_arg1232z00_2837;

				{	/* Unsafe/bignumber.scm 263 */
					obj_t BgL_arg1233z00_2838;

					BgL_arg1233z00_2838 = BGL_BIGNUM_U16VECT(BgL_bnz00_7);
					BgL_arg1232z00_2837 = BGL_U16VREF(BgL_arg1233z00_2838, ((long) 0));
				}
				{	/* Unsafe/bignumber.scm 263 */
					long BgL_arg2287z00_2840;

					BgL_arg2287z00_2840 = (long) (BgL_arg1232z00_2837);
					return (long) (BgL_arg2287z00_2840);
		}}}

	}



/* bignum-sign-set! */
	obj_t BGl_bignumzd2signzd2setz12z12zz__bignumz00(obj_t BgL_bnz00_8,
		int BgL_signz00_9)
	{
		{	/* Unsafe/bignumber.scm 264 */
			{	/* Unsafe/bignumber.scm 265 */
				obj_t BgL_arg1236z00_2842;
				uint16_t BgL_arg1237z00_2843;

				BgL_arg1236z00_2842 = BGL_BIGNUM_U16VECT(BgL_bnz00_8);
				{	/* Unsafe/bignumber.scm 265 */
					long BgL_tmpz00_5818;

					BgL_tmpz00_5818 = (long) (BgL_signz00_9);
					BgL_arg1237z00_2843 = (uint16_t) (BgL_tmpz00_5818);
				}
				BGL_U16VSET(BgL_arg1236z00_2842, ((long) 0), BgL_arg1237z00_2843);
				return BUNSPEC;
			}
		}

	}



/* bignum-shrink */
	obj_t BGl_bignumzd2shrinkzd2zz__bignumz00(obj_t BgL_xz00_17,
		long BgL_lenz00_18)
	{
		{	/* Unsafe/bignumber.scm 278 */
			{	/* Unsafe/bignumber.scm 279 */
				obj_t BgL_yz00_1313;

				{	/* Unsafe/bignumber.scm 279 */
					int BgL_lenz00_2859;

					BgL_lenz00_2859 = (int) (BgL_lenz00_18);
					{	/* Unsafe/bignumber.scm 259 */
						obj_t BgL_arg1220z00_2860;

						{	/* Unsafe/bignumber.scm 259 */

							BgL_arg1220z00_2860 =
								BGl_makezd2u16vectorzd2zz__srfi4z00(
								(long) (BgL_lenz00_2859), (uint16_t) (0));
						}
						BgL_yz00_1313 = bgl_make_bignum(BgL_arg1220z00_2860);
				}}
				{	/* Unsafe/bignumber.scm 280 */
					long BgL_g1042z00_1314;

					BgL_g1042z00_1314 = (BgL_lenz00_18 - ((long) 1));
					{
						long BgL_iz00_1316;

						BgL_iz00_1316 = BgL_g1042z00_1314;
					BgL_zc3z04anonymousza31247ze3z87_1317:
						if ((BgL_iz00_1316 < ((long) 0)))
							{	/* Unsafe/bignumber.scm 281 */
								return BgL_yz00_1313;
							}
						else
							{	/* Unsafe/bignumber.scm 281 */
								{	/* Unsafe/bignumber.scm 284 */
									long BgL_arg1253z00_1319;

									{	/* Unsafe/bignumber.scm 284 */
										int BgL_iz00_2866;

										BgL_iz00_2866 = (int) (BgL_iz00_1316);
										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1240z00_2867;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1243z00_2868;

												BgL_arg1243z00_2868 = BGL_BIGNUM_U16VECT(BgL_xz00_17);
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_tmpz00_5831;

													BgL_tmpz00_5831 = (long) (BgL_iz00_2866);
													BgL_arg1240z00_2867 =
														BGL_U16VREF(BgL_arg1243z00_2868, BgL_tmpz00_5831);
											}}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2287z00_2870;

												BgL_arg2287z00_2870 = (long) (BgL_arg1240z00_2867);
												BgL_arg1253z00_1319 = (long) (BgL_arg2287z00_2870);
									}}}
									{	/* Unsafe/bignumber.scm 284 */
										int BgL_iz00_2873;
										int BgL_digitz00_2874;

										BgL_iz00_2873 = (int) (BgL_iz00_1316);
										BgL_digitz00_2874 = (int) (BgL_arg1253z00_1319);
										{	/* Unsafe/bignumber.scm 269 */
											obj_t BgL_arg1245z00_2875;
											uint16_t BgL_arg1246z00_2876;

											BgL_arg1245z00_2875 = BGL_BIGNUM_U16VECT(BgL_yz00_1313);
											{	/* Unsafe/bignumber.scm 269 */
												long BgL_tmpz00_5839;

												BgL_tmpz00_5839 = (long) (BgL_digitz00_2874);
												BgL_arg1246z00_2876 = (uint16_t) (BgL_tmpz00_5839);
											}
											{	/* Unsafe/bignumber.scm 269 */
												long BgL_tmpz00_5842;

												BgL_tmpz00_5842 = (long) (BgL_iz00_2873);
												BGL_U16VSET(BgL_arg1245z00_2875, BgL_tmpz00_5842,
													BgL_arg1246z00_2876);
											} BUNSPEC;
								}}}
								{
									long BgL_iz00_5845;

									BgL_iz00_5845 = (BgL_iz00_1316 - ((long) 1));
									BgL_iz00_1316 = BgL_iz00_5845;
									goto BgL_zc3z04anonymousza31247ze3z87_1317;
								}
							}
					}
				}
			}
		}

	}



/* bignum-remove-leading-zeroes */
	obj_t BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00(obj_t
		BgL_xz00_19)
	{
		{	/* Unsafe/bignumber.scm 287 */
			{	/* Unsafe/bignumber.scm 288 */
				long BgL_signz00_1322;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1232z00_2880;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1233z00_2881;

						BgL_arg1233z00_2881 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
						BgL_arg1232z00_2880 = BGL_U16VREF(BgL_arg1233z00_2881, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2287z00_2883;

						BgL_arg2287z00_2883 = (long) (BgL_arg1232z00_2880);
						BgL_signz00_1322 = (long) (BgL_arg2287z00_2883);
				}}
				{	/* Unsafe/bignumber.scm 265 */
					obj_t BgL_arg1236z00_2887;
					uint16_t BgL_arg1237z00_2888;

					BgL_arg1236z00_2887 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
					BgL_arg1237z00_2888 = (uint16_t) (((long) 1));
					BGL_U16VSET(BgL_arg1236z00_2887, ((long) 0), BgL_arg1237z00_2888);
					BUNSPEC;
				}
				{	/* Unsafe/bignumber.scm 290 */
					long BgL_g1043z00_1323;

					{	/* Unsafe/bignumber.scm 290 */
						long BgL_arg1284z00_1339;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_2890;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_2891;

								BgL_arg1223z00_2891 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
								BgL_arg1222z00_2890 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_2891);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_2893;

								BgL_xz00_2893 = (uint16_t) (BgL_arg1222z00_2890);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_2894;

									BgL_arg2287z00_2894 = (long) (BgL_xz00_2893);
									BgL_arg1284z00_1339 = (long) (BgL_arg2287z00_2894);
						}}}
						BgL_g1043z00_1323 = (BgL_arg1284z00_1339 - ((long) 1));
					}
					{
						long BgL_iz00_1325;

						BgL_iz00_1325 = BgL_g1043z00_1323;
					BgL_zc3z04anonymousza31255ze3z87_1326:
						{	/* Unsafe/bignumber.scm 291 */
							bool_t BgL_test2684z00_5860;

							{	/* Unsafe/bignumber.scm 291 */
								long BgL_arg1281z00_1337;

								{	/* Unsafe/bignumber.scm 291 */
									int BgL_iz00_2898;

									BgL_iz00_2898 = (int) (BgL_iz00_1325);
									{	/* Unsafe/bignumber.scm 267 */
										uint16_t BgL_arg1240z00_2899;

										{	/* Unsafe/bignumber.scm 267 */
											obj_t BgL_arg1243z00_2900;

											BgL_arg1243z00_2900 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_tmpz00_5863;

												BgL_tmpz00_5863 = (long) (BgL_iz00_2898);
												BgL_arg1240z00_2899 =
													BGL_U16VREF(BgL_arg1243z00_2900, BgL_tmpz00_5863);
										}}
										{	/* Unsafe/bignumber.scm 267 */
											long BgL_arg2287z00_2902;

											BgL_arg2287z00_2902 = (long) (BgL_arg1240z00_2899);
											BgL_arg1281z00_1337 = (long) (BgL_arg2287z00_2902);
								}}}
								BgL_test2684z00_5860 = (BgL_arg1281z00_1337 == ((long) 0));
							}
							if (BgL_test2684z00_5860)
								{
									long BgL_iz00_5869;

									BgL_iz00_5869 = (BgL_iz00_1325 - ((long) 1));
									BgL_iz00_1325 = BgL_iz00_5869;
									goto BgL_zc3z04anonymousza31255ze3z87_1326;
								}
							else
								{	/* Unsafe/bignumber.scm 291 */
									if ((BgL_iz00_1325 == ((long) 0)))
										{	/* Unsafe/bignumber.scm 293 */
											return BGl_bignumzd2za7eroz75zz__bignumz00;
										}
									else
										{	/* Unsafe/bignumber.scm 293 */
											{	/* Unsafe/bignumber.scm 296 */
												int BgL_signz00_2908;

												BgL_signz00_2908 = (int) (BgL_signz00_1322);
												{	/* Unsafe/bignumber.scm 265 */
													obj_t BgL_arg1236z00_2909;
													uint16_t BgL_arg1237z00_2910;

													BgL_arg1236z00_2909 = BGL_BIGNUM_U16VECT(BgL_xz00_19);
													{	/* Unsafe/bignumber.scm 265 */
														long BgL_tmpz00_5875;

														BgL_tmpz00_5875 = (long) (BgL_signz00_2908);
														BgL_arg1237z00_2910 = (uint16_t) (BgL_tmpz00_5875);
													}
													BGL_U16VSET(BgL_arg1236z00_2909, ((long) 0),
														BgL_arg1237z00_2910);
													BUNSPEC;
											}}
											{	/* Unsafe/bignumber.scm 297 */
												bool_t BgL_test2686z00_5879;

												{	/* Unsafe/bignumber.scm 297 */
													long BgL_arg1275z00_1335;

													{	/* Unsafe/bignumber.scm 297 */
														long BgL_arg1280z00_1336;

														{	/* Unsafe/bignumber.scm 261 */
															long BgL_arg1222z00_2913;

															{	/* Unsafe/bignumber.scm 261 */
																obj_t BgL_arg1223z00_2914;

																BgL_arg1223z00_2914 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_19);
																BgL_arg1222z00_2913 =
																	BGL_HVECTOR_LENGTH(BgL_arg1223z00_2914);
															}
															{	/* Unsafe/bignumber.scm 261 */
																uint16_t BgL_xz00_2916;

																BgL_xz00_2916 =
																	(uint16_t) (BgL_arg1222z00_2913);
																{	/* Unsafe/bignumber.scm 261 */
																	long BgL_arg2287z00_2917;

																	BgL_arg2287z00_2917 = (long) (BgL_xz00_2916);
																	BgL_arg1280z00_1336 =
																		(long) (BgL_arg2287z00_2917);
														}}}
														BgL_arg1275z00_1335 =
															(BgL_arg1280z00_1336 - ((long) 1));
													}
													BgL_test2686z00_5879 =
														(BgL_iz00_1325 == BgL_arg1275z00_1335);
												}
												if (BgL_test2686z00_5879)
													{	/* Unsafe/bignumber.scm 297 */
														return BgL_xz00_19;
													}
												else
													{	/* Unsafe/bignumber.scm 297 */
														return
															BGl_bignumzd2shrinkzd2zz__bignumz00(BgL_xz00_19,
															(BgL_iz00_1325 + ((long) 1)));
		}}}}}}}}}

	}



/* $$fixnum->bignum-fresh */
	obj_t BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(long BgL_nz00_21)
	{
		{	/* Unsafe/bignumber.scm 305 */
			{	/* Unsafe/bignumber.scm 306 */
				long BgL_negzd2nzd2_1340;

				if ((BgL_nz00_21 < ((long) 0)))
					{	/* Unsafe/bignumber.scm 306 */
						BgL_negzd2nzd2_1340 = BgL_nz00_21;
					}
				else
					{	/* Unsafe/bignumber.scm 306 */
						BgL_negzd2nzd2_1340 = (((long) 0) - BgL_nz00_21);
					}
				{
					long BgL_nbzd2digitszd2_1342;
					long BgL_xz00_1343;

					BgL_nbzd2digitszd2_1342 = ((long) 0);
					BgL_xz00_1343 = BgL_negzd2nzd2_1340;
				BgL_zc3z04anonymousza31285ze3z87_1344:
					if ((BgL_xz00_1343 == ((long) 0)))
						{	/* Unsafe/bignumber.scm 311 */
							obj_t BgL_rz00_1346;

							{	/* Unsafe/bignumber.scm 311 */
								long BgL_arg1304z00_1360;

								BgL_arg1304z00_1360 = (BgL_nbzd2digitszd2_1342 + ((long) 1));
								{	/* Unsafe/bignumber.scm 311 */
									int BgL_lenz00_2927;

									BgL_lenz00_2927 = (int) (BgL_arg1304z00_1360);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_2928;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_2928 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_2927), (uint16_t) (0));
										}
										BgL_rz00_1346 = bgl_make_bignum(BgL_arg1220z00_2928);
							}}}
							if ((BgL_nz00_21 < ((long) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_2934;
									uint16_t BgL_arg1237z00_2935;

									BgL_arg1236z00_2934 = BGL_BIGNUM_U16VECT(BgL_rz00_1346);
									BgL_arg1237z00_2935 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1236z00_2934, ((long) 0),
										BgL_arg1237z00_2935);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_2938;
									uint16_t BgL_arg1237z00_2939;

									BgL_arg1236z00_2938 = BGL_BIGNUM_U16VECT(BgL_rz00_1346);
									BgL_arg1237z00_2939 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_2938, ((long) 0),
										BgL_arg1237z00_2939);
									BUNSPEC;
								}
							{
								long BgL_iz00_2965;
								long BgL_xz00_2966;

								BgL_iz00_2965 = ((long) 1);
								BgL_xz00_2966 = BgL_negzd2nzd2_1340;
							BgL_loop2z00_2964:
								if ((BgL_xz00_2966 == ((long) 0)))
									{	/* Unsafe/bignumber.scm 316 */
										return BgL_rz00_1346;
									}
								else
									{	/* Unsafe/bignumber.scm 316 */
										{	/* Unsafe/bignumber.scm 321 */
											long BgL_arg1295z00_2969;

											{	/* Unsafe/bignumber.scm 321 */
												long BgL_arg1296z00_2970;

												{	/* Unsafe/bignumber.scm 321 */
													long BgL_n1z00_2972;
													long BgL_n2z00_2973;

													BgL_n1z00_2972 = BgL_xz00_2966;
													BgL_n2z00_2973 = ((long) 16384);
													{	/* Unsafe/bignumber.scm 321 */
														bool_t BgL_test2691z00_5909;

														{	/* Unsafe/bignumber.scm 321 */
															long BgL_arg2193z00_2975;

															BgL_arg2193z00_2975 =
																(((BgL_n1z00_2972) | (BgL_n2z00_2973)) &
																-2147483648);
															BgL_test2691z00_5909 =
																(BgL_arg2193z00_2975 == ((long) 0));
														}
														if (BgL_test2691z00_5909)
															{	/* Unsafe/bignumber.scm 321 */
																int32_t BgL_arg2190z00_2977;

																{	/* Unsafe/bignumber.scm 321 */
																	int32_t BgL_arg2191z00_2978;
																	int32_t BgL_arg2192z00_2979;

																	BgL_arg2191z00_2978 =
																		(int32_t) (BgL_n1z00_2972);
																	BgL_arg2192z00_2979 =
																		(int32_t) (BgL_n2z00_2973);
																	BgL_arg2190z00_2977 =
																		(BgL_arg2191z00_2978 % BgL_arg2192z00_2979);
																}
																{	/* Unsafe/bignumber.scm 321 */
																	long BgL_arg2286z00_2983;

																	BgL_arg2286z00_2983 =
																		(long) (BgL_arg2190z00_2977);
																	BgL_arg1296z00_2970 =
																		(long) (BgL_arg2286z00_2983);
															}}
														else
															{	/* Unsafe/bignumber.scm 321 */
																BgL_arg1296z00_2970 =
																	(BgL_n1z00_2972 % BgL_n2z00_2973);
															}
													}
												}
												BgL_arg1295z00_2969 =
													(((long) 0) - BgL_arg1296z00_2970);
											}
											{	/* Unsafe/bignumber.scm 318 */
												int BgL_iz00_2987;
												int BgL_digitz00_2988;

												BgL_iz00_2987 = (int) (BgL_iz00_2965);
												BgL_digitz00_2988 = (int) (BgL_arg1295z00_2969);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_2989;
													uint16_t BgL_arg1246z00_2990;

													BgL_arg1245z00_2989 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1346);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5922;

														BgL_tmpz00_5922 = (long) (BgL_digitz00_2988);
														BgL_arg1246z00_2990 = (uint16_t) (BgL_tmpz00_5922);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5925;

														BgL_tmpz00_5925 = (long) (BgL_iz00_2987);
														BGL_U16VSET(BgL_arg1245z00_2989, BgL_tmpz00_5925,
															BgL_arg1246z00_2990);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 322 */
											long BgL_arg1298z00_2992;
											long BgL_arg1299z00_2993;

											BgL_arg1298z00_2992 = (BgL_iz00_2965 + ((long) 1));
											BgL_arg1299z00_2993 = (BgL_xz00_2966 / ((long) 16384));
											{
												long BgL_xz00_5931;
												long BgL_iz00_5930;

												BgL_iz00_5930 = BgL_arg1298z00_2992;
												BgL_xz00_5931 = BgL_arg1299z00_2993;
												BgL_xz00_2966 = BgL_xz00_5931;
												BgL_iz00_2965 = BgL_iz00_5930;
												goto BgL_loop2z00_2964;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 310 */
							long BgL_arg1306z00_1361;
							long BgL_arg1307z00_1362;

							BgL_arg1306z00_1361 = (BgL_nbzd2digitszd2_1342 + ((long) 1));
							BgL_arg1307z00_1362 = (BgL_xz00_1343 / ((long) 16384));
							{
								long BgL_xz00_5935;
								long BgL_nbzd2digitszd2_5934;

								BgL_nbzd2digitszd2_5934 = BgL_arg1306z00_1361;
								BgL_xz00_5935 = BgL_arg1307z00_1362;
								BgL_xz00_1343 = BgL_xz00_5935;
								BgL_nbzd2digitszd2_1342 = BgL_nbzd2digitszd2_5934;
								goto BgL_zc3z04anonymousza31285ze3z87_1344;
							}
						}
				}
			}
		}

	}



/* $$elong->bignum */
	BGL_EXPORTED_DEF obj_t bgl_elong_to_bignum(long BgL_nz00_22)
	{
		{	/* Unsafe/bignumber.scm 325 */
			{	/* Unsafe/bignumber.scm 326 */
				long BgL_negzd2nzd2_1366;

				if ((BgL_nz00_22 < ((long) 0)))
					{	/* Unsafe/bignumber.scm 326 */
						BgL_negzd2nzd2_1366 = BgL_nz00_22;
					}
				else
					{	/* Unsafe/bignumber.scm 326 */
						long BgL_res2352z00_3005;

						{	/* Unsafe/bignumber.scm 326 */
							long BgL_tmpz00_5938;

							BgL_tmpz00_5938 = (((long) 0) - BgL_nz00_22);
							BgL_res2352z00_3005 = (long) (BgL_tmpz00_5938);
						}
						BgL_negzd2nzd2_1366 = BgL_res2352z00_3005;
					}
				{
					long BgL_nbzd2digitszd2_1368;
					long BgL_xz00_1369;

					BgL_nbzd2digitszd2_1368 = ((long) 0);
					BgL_xz00_1369 = BgL_negzd2nzd2_1366;
				BgL_zc3z04anonymousza31310ze3z87_1370:
					if ((BgL_xz00_1369 == (long) (((long) 0))))
						{	/* Unsafe/bignumber.scm 331 */
							obj_t BgL_rz00_1372;

							{	/* Unsafe/bignumber.scm 331 */
								long BgL_arg1324z00_1388;

								BgL_arg1324z00_1388 = (BgL_nbzd2digitszd2_1368 + ((long) 1));
								{	/* Unsafe/bignumber.scm 331 */
									int BgL_lenz00_3009;

									BgL_lenz00_3009 = (int) (BgL_arg1324z00_1388);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3010;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3010 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3009), (uint16_t) (0));
										}
										BgL_rz00_1372 = bgl_make_bignum(BgL_arg1220z00_3010);
							}}}
							if ((BgL_nz00_22 < ((long) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3017;
									uint16_t BgL_arg1237z00_3018;

									BgL_arg1236z00_3017 = BGL_BIGNUM_U16VECT(BgL_rz00_1372);
									BgL_arg1237z00_3018 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1236z00_3017, ((long) 0),
										BgL_arg1237z00_3018);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3021;
									uint16_t BgL_arg1237z00_3022;

									BgL_arg1236z00_3021 = BGL_BIGNUM_U16VECT(BgL_rz00_1372);
									BgL_arg1237z00_3022 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_3021, ((long) 0),
										BgL_arg1237z00_3022);
									BUNSPEC;
								}
							{
								int BgL_iz00_3038;
								long BgL_xz00_3039;

								BgL_iz00_3038 = (int) (((long) 1));
								BgL_xz00_3039 = BgL_negzd2nzd2_1366;
							BgL_loop2z00_3037:
								if ((BgL_xz00_3039 == ((long) 0)))
									{	/* Unsafe/bignumber.scm 336 */
										return BgL_rz00_1372;
									}
								else
									{	/* Unsafe/bignumber.scm 336 */
										{	/* Unsafe/bignumber.scm 341 */
											long BgL_arg1316z00_3043;

											{	/* Unsafe/bignumber.scm 341 */
												long BgL_arg1317z00_3044;

												{	/* Unsafe/bignumber.scm 341 */
													long BgL_arg1318z00_3045;

													{	/* Unsafe/bignumber.scm 341 */
														long BgL_arg1319z00_3046;

														BgL_arg1319z00_3046 = (long) (((long) 16384));
														BgL_arg1318z00_3045 =
															(BgL_xz00_3039 % BgL_arg1319z00_3046);
													}
													BgL_arg1317z00_3044 = (long) (BgL_arg1318z00_3045);
												}
												BgL_arg1316z00_3043 =
													(((long) 0) - BgL_arg1317z00_3044);
											}
											{	/* Unsafe/bignumber.scm 338 */
												int BgL_digitz00_3053;

												BgL_digitz00_3053 = (int) (BgL_arg1316z00_3043);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_3054;
													uint16_t BgL_arg1246z00_3055;

													BgL_arg1245z00_3054 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1372);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5965;

														BgL_tmpz00_5965 = (long) (BgL_digitz00_3053);
														BgL_arg1246z00_3055 = (uint16_t) (BgL_tmpz00_5965);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_5968;

														BgL_tmpz00_5968 = (long) (BgL_iz00_3038);
														BGL_U16VSET(BgL_arg1245z00_3054, BgL_tmpz00_5968,
															BgL_arg1246z00_3055);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 342 */
											long BgL_arg1321z00_3057;
											long BgL_arg1322z00_3058;

											BgL_arg1321z00_3057 =
												((long) (BgL_iz00_3038) + ((long) 1));
											{	/* Unsafe/bignumber.scm 342 */
												long BgL_n2z00_3062;

												BgL_n2z00_3062 = (long) (((long) 16384));
												BgL_arg1322z00_3058 = (BgL_xz00_3039 / BgL_n2z00_3062);
											}
											{
												long BgL_xz00_5977;
												int BgL_iz00_5975;

												BgL_iz00_5975 = (int) (BgL_arg1321z00_3057);
												BgL_xz00_5977 = BgL_arg1322z00_3058;
												BgL_xz00_3039 = BgL_xz00_5977;
												BgL_iz00_3038 = BgL_iz00_5975;
												goto BgL_loop2z00_3037;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 330 */
							long BgL_arg1325z00_1389;
							long BgL_arg1326z00_1390;

							BgL_arg1325z00_1389 = (BgL_nbzd2digitszd2_1368 + ((long) 1));
							{	/* Unsafe/bignumber.scm 330 */
								long BgL_arg1328z00_1391;

								BgL_arg1328z00_1391 =
									((long) (((long) 1)) << (int) (((long) 15)));
								BgL_arg1326z00_1390 = (BgL_xz00_1369 / BgL_arg1328z00_1391);
							}
							{
								long BgL_xz00_5985;
								long BgL_nbzd2digitszd2_5984;

								BgL_nbzd2digitszd2_5984 = BgL_arg1325z00_1389;
								BgL_xz00_5985 = BgL_arg1326z00_1390;
								BgL_xz00_1369 = BgL_xz00_5985;
								BgL_nbzd2digitszd2_1368 = BgL_nbzd2digitszd2_5984;
								goto BgL_zc3z04anonymousza31310ze3z87_1370;
							}
						}
				}
			}
		}

	}



/* &$$elong->bignum */
	obj_t BGl_z62z42z42elongzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5506,
		obj_t BgL_nz00_5507)
	{
		{	/* Unsafe/bignumber.scm 325 */
			{	/* Unsafe/bignumber.scm 326 */
				long BgL_auxz00_5986;

				{	/* Unsafe/bignumber.scm 326 */
					obj_t BgL_tmpz00_5987;

					if (ELONGP(BgL_nz00_5507))
						{	/* Unsafe/bignumber.scm 326 */
							BgL_tmpz00_5987 = BgL_nz00_5507;
						}
					else
						{
							obj_t BgL_auxz00_5990;

							BgL_auxz00_5990 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 12664)), BGl_string2513z00zz__bignumz00,
								BGl_string2514z00zz__bignumz00, BgL_nz00_5507);
							FAILURE(BgL_auxz00_5990, BFALSE, BFALSE);
						}
					BgL_auxz00_5986 = BELONG_TO_LONG(BgL_tmpz00_5987);
				}
				return bgl_elong_to_bignum(BgL_auxz00_5986);
			}
		}

	}



/* $$llong->bignum */
	BGL_EXPORTED_DEF obj_t bgl_llong_to_bignum(BGL_LONGLONG_T BgL_nz00_23)
	{
		{	/* Unsafe/bignumber.scm 345 */
			{	/* Unsafe/bignumber.scm 346 */
				BGL_LONGLONG_T BgL_negzd2nzd2_1394;

				if ((BgL_nz00_23 < ((BGL_LONGLONG_T) 0)))
					{	/* Unsafe/bignumber.scm 346 */
						BgL_negzd2nzd2_1394 = BgL_nz00_23;
					}
				else
					{	/* Unsafe/bignumber.scm 346 */
						BgL_negzd2nzd2_1394 = (((BGL_LONGLONG_T) 0) - BgL_nz00_23);
					}
				{
					long BgL_nbzd2digitszd2_1396;
					BGL_LONGLONG_T BgL_xz00_1397;

					BgL_nbzd2digitszd2_1396 = ((long) 0);
					BgL_xz00_1397 = BgL_negzd2nzd2_1394;
				BgL_zc3z04anonymousza31330ze3z87_1398:
					if ((BgL_xz00_1397 == LONG_TO_LLONG(((long) 0))))
						{	/* Unsafe/bignumber.scm 351 */
							obj_t BgL_rz00_1400;

							{	/* Unsafe/bignumber.scm 351 */
								long BgL_arg1344z00_1416;

								BgL_arg1344z00_1416 = (BgL_nbzd2digitszd2_1396 + ((long) 1));
								{	/* Unsafe/bignumber.scm 351 */
									int BgL_lenz00_3074;

									BgL_lenz00_3074 = (int) (BgL_arg1344z00_1416);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3075;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3075 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3074), (uint16_t) (0));
										}
										BgL_rz00_1400 = bgl_make_bignum(BgL_arg1220z00_3075);
							}}}
							if ((BgL_nz00_23 < ((BGL_LONGLONG_T) 0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3082;
									uint16_t BgL_arg1237z00_3083;

									BgL_arg1236z00_3082 = BGL_BIGNUM_U16VECT(BgL_rz00_1400);
									BgL_arg1237z00_3083 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1236z00_3082, ((long) 0),
										BgL_arg1237z00_3083);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3086;
									uint16_t BgL_arg1237z00_3087;

									BgL_arg1236z00_3086 = BGL_BIGNUM_U16VECT(BgL_rz00_1400);
									BgL_arg1237z00_3087 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_3086, ((long) 0),
										BgL_arg1237z00_3087);
									BUNSPEC;
								}
							{
								long BgL_iz00_3103;
								BGL_LONGLONG_T BgL_xz00_3104;

								BgL_iz00_3103 = ((long) 1);
								BgL_xz00_3104 = BgL_negzd2nzd2_1394;
							BgL_loop2z00_3102:
								if ((BgL_xz00_3104 == ((BGL_LONGLONG_T) 0)))
									{	/* Unsafe/bignumber.scm 356 */
										return BgL_rz00_1400;
									}
								else
									{	/* Unsafe/bignumber.scm 356 */
										{	/* Unsafe/bignumber.scm 361 */
											long BgL_arg1335z00_3108;

											{	/* Unsafe/bignumber.scm 361 */
												long BgL_arg1336z00_3109;

												{	/* Unsafe/bignumber.scm 361 */
													BGL_LONGLONG_T BgL_arg1337z00_3110;

													{	/* Unsafe/bignumber.scm 361 */
														BGL_LONGLONG_T BgL_arg1338z00_3111;

														BgL_arg1338z00_3111 = LONG_TO_LLONG(((long) 16384));
														BgL_arg1337z00_3110 =
															(BgL_xz00_3104 % BgL_arg1338z00_3111);
													}
													BgL_arg1336z00_3109 =
														LLONG_TO_LONG(BgL_arg1337z00_3110);
												}
												BgL_arg1335z00_3108 =
													(((long) 0) - BgL_arg1336z00_3109);
											}
											{	/* Unsafe/bignumber.scm 358 */
												int BgL_iz00_3117;
												int BgL_digitz00_3118;

												BgL_iz00_3117 = (int) (BgL_iz00_3103);
												BgL_digitz00_3118 = (int) (BgL_arg1335z00_3108);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_3119;
													uint16_t BgL_arg1246z00_3120;

													BgL_arg1245z00_3119 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1400);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6024;

														BgL_tmpz00_6024 = (long) (BgL_digitz00_3118);
														BgL_arg1246z00_3120 = (uint16_t) (BgL_tmpz00_6024);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6027;

														BgL_tmpz00_6027 = (long) (BgL_iz00_3117);
														BGL_U16VSET(BgL_arg1245z00_3119, BgL_tmpz00_6027,
															BgL_arg1246z00_3120);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 362 */
											long BgL_arg1340z00_3122;
											BGL_LONGLONG_T BgL_arg1341z00_3123;

											BgL_arg1340z00_3122 = (BgL_iz00_3103 + ((long) 1));
											{	/* Unsafe/bignumber.scm 362 */
												BGL_LONGLONG_T BgL_n2z00_3127;

												BgL_n2z00_3127 = LONG_TO_LLONG(((long) 16384));
												BgL_arg1341z00_3123 = (BgL_xz00_3104 / BgL_n2z00_3127);
											}
											{
												BGL_LONGLONG_T BgL_xz00_6034;
												long BgL_iz00_6033;

												BgL_iz00_6033 = BgL_arg1340z00_3122;
												BgL_xz00_6034 = BgL_arg1341z00_3123;
												BgL_xz00_3104 = BgL_xz00_6034;
												BgL_iz00_3103 = BgL_iz00_6033;
												goto BgL_loop2z00_3102;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 350 */
							long BgL_arg1346z00_1417;
							BGL_LONGLONG_T BgL_arg1347z00_1418;

							BgL_arg1346z00_1417 = (BgL_nbzd2digitszd2_1396 + ((long) 1));
							{	/* Unsafe/bignumber.scm 350 */
								BGL_LONGLONG_T BgL_arg1348z00_1419;

								BgL_arg1348z00_1419 =
									(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30)));
								BgL_arg1347z00_1418 = (BgL_xz00_1397 / BgL_arg1348z00_1419);
							}
							{
								BGL_LONGLONG_T BgL_xz00_6041;
								long BgL_nbzd2digitszd2_6040;

								BgL_nbzd2digitszd2_6040 = BgL_arg1346z00_1417;
								BgL_xz00_6041 = BgL_arg1347z00_1418;
								BgL_xz00_1397 = BgL_xz00_6041;
								BgL_nbzd2digitszd2_1396 = BgL_nbzd2digitszd2_6040;
								goto BgL_zc3z04anonymousza31330ze3z87_1398;
							}
						}
				}
			}
		}

	}



/* &$$llong->bignum */
	obj_t BGl_z62z42z42llongzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5508,
		obj_t BgL_nz00_5509)
	{
		{	/* Unsafe/bignumber.scm 345 */
			{	/* Unsafe/bignumber.scm 346 */
				BGL_LONGLONG_T BgL_auxz00_6042;

				{	/* Unsafe/bignumber.scm 346 */
					obj_t BgL_tmpz00_6043;

					if (LLONGP(BgL_nz00_5509))
						{	/* Unsafe/bignumber.scm 346 */
							BgL_tmpz00_6043 = BgL_nz00_5509;
						}
					else
						{
							obj_t BgL_auxz00_6046;

							BgL_auxz00_6046 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 13354)), BGl_string2515z00zz__bignumz00,
								BGl_string2516z00zz__bignumz00, BgL_nz00_5509);
							FAILURE(BgL_auxz00_6046, BFALSE, BFALSE);
						}
					BgL_auxz00_6042 = BLLONG_TO_LLONG(BgL_tmpz00_6043);
				}
				return bgl_llong_to_bignum(BgL_auxz00_6042);
			}
		}

	}



/* $$int64->bignum */
	BGL_EXPORTED_DEF obj_t bgl_int64_to_bignum(int64_t BgL_nz00_24)
	{
		{	/* Unsafe/bignumber.scm 365 */
			{	/* Unsafe/bignumber.scm 366 */
				int64_t BgL_negzd2nzd2_1422;

				if ((BgL_nz00_24 < (int64_t) (0)))
					{	/* Unsafe/bignumber.scm 366 */
						BgL_negzd2nzd2_1422 = BgL_nz00_24;
					}
				else
					{	/* Unsafe/bignumber.scm 366 */
						BgL_negzd2nzd2_1422 = ((int64_t) (0) - BgL_nz00_24);
					}
				{
					long BgL_nbzd2digitszd2_1424;
					int64_t BgL_xz00_1425;

					BgL_nbzd2digitszd2_1424 = ((long) 0);
					BgL_xz00_1425 = BgL_negzd2nzd2_1422;
				BgL_zc3z04anonymousza31350ze3z87_1426:
					if ((BgL_xz00_1425 == (int64_t) (0)))
						{	/* Unsafe/bignumber.scm 371 */
							obj_t BgL_rz00_1428;

							{	/* Unsafe/bignumber.scm 371 */
								long BgL_arg1365z00_1444;

								BgL_arg1365z00_1444 = (BgL_nbzd2digitszd2_1424 + ((long) 1));
								{	/* Unsafe/bignumber.scm 371 */
									int BgL_lenz00_3139;

									BgL_lenz00_3139 = (int) (BgL_arg1365z00_1444);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3140;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3140 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3139), (uint16_t) (0));
										}
										BgL_rz00_1428 = bgl_make_bignum(BgL_arg1220z00_3140);
							}}}
							if ((BgL_nz00_24 < (int64_t) (0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3147;
									uint16_t BgL_arg1237z00_3148;

									BgL_arg1236z00_3147 = BGL_BIGNUM_U16VECT(BgL_rz00_1428);
									BgL_arg1237z00_3148 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1236z00_3147, ((long) 0),
										BgL_arg1237z00_3148);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3151;
									uint16_t BgL_arg1237z00_3152;

									BgL_arg1236z00_3151 = BGL_BIGNUM_U16VECT(BgL_rz00_1428);
									BgL_arg1237z00_3152 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_3151, ((long) 0),
										BgL_arg1237z00_3152);
									BUNSPEC;
								}
							{
								long BgL_iz00_3172;
								int64_t BgL_xz00_3173;

								BgL_iz00_3172 = ((long) 1);
								BgL_xz00_3173 = BgL_negzd2nzd2_1422;
							BgL_loop2z00_3171:
								if ((BgL_xz00_3173 == (int64_t) (0)))
									{	/* Unsafe/bignumber.scm 376 */
										return BgL_rz00_1428;
									}
								else
									{	/* Unsafe/bignumber.scm 376 */
										{	/* Unsafe/bignumber.scm 381 */
											long BgL_arg1355z00_3177;

											{	/* Unsafe/bignumber.scm 381 */
												long BgL_arg1357z00_3178;

												{	/* Unsafe/bignumber.scm 381 */
													int64_t BgL_arg1358z00_3179;

													{	/* Unsafe/bignumber.scm 381 */
														int64_t BgL_arg1359z00_3180;

														BgL_arg1359z00_3180 = (int64_t) (((long) 16384));
														BgL_arg1358z00_3179 =
															(BgL_xz00_3173 % BgL_arg1359z00_3180);
													}
													{	/* Unsafe/bignumber.scm 381 */
														long BgL_arg2284z00_3186;

														BgL_arg2284z00_3186 = (long) (BgL_arg1358z00_3179);
														BgL_arg1357z00_3178 = (long) (BgL_arg2284z00_3186);
												}}
												BgL_arg1355z00_3177 =
													(((long) 0) - BgL_arg1357z00_3178);
											}
											{	/* Unsafe/bignumber.scm 378 */
												int BgL_iz00_3190;
												int BgL_digitz00_3191;

												BgL_iz00_3190 = (int) (BgL_iz00_3172);
												BgL_digitz00_3191 = (int) (BgL_arg1355z00_3177);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_3192;
													uint16_t BgL_arg1246z00_3193;

													BgL_arg1245z00_3192 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1428);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6080;

														BgL_tmpz00_6080 = (long) (BgL_digitz00_3191);
														BgL_arg1246z00_3193 = (uint16_t) (BgL_tmpz00_6080);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6083;

														BgL_tmpz00_6083 = (long) (BgL_iz00_3190);
														BGL_U16VSET(BgL_arg1245z00_3192, BgL_tmpz00_6083,
															BgL_arg1246z00_3193);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 382 */
											long BgL_arg1362z00_3195;
											int64_t BgL_arg1363z00_3196;

											BgL_arg1362z00_3195 = (BgL_iz00_3172 + ((long) 1));
											{	/* Unsafe/bignumber.scm 382 */
												int64_t BgL_n2z00_3200;

												BgL_n2z00_3200 = (int64_t) (((long) 16384));
												BgL_arg1363z00_3196 = (BgL_xz00_3173 / BgL_n2z00_3200);
											}
											{
												int64_t BgL_xz00_6090;
												long BgL_iz00_6089;

												BgL_iz00_6089 = BgL_arg1362z00_3195;
												BgL_xz00_6090 = BgL_arg1363z00_3196;
												BgL_xz00_3173 = BgL_xz00_6090;
												BgL_iz00_3172 = BgL_iz00_6089;
												goto BgL_loop2z00_3171;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 370 */
							long BgL_arg1366z00_1445;
							int64_t BgL_arg1367z00_1446;

							BgL_arg1366z00_1445 = (BgL_nbzd2digitszd2_1424 + ((long) 1));
							{	/* Unsafe/bignumber.scm 370 */
								int64_t BgL_arg1368z00_1447;

								BgL_arg1368z00_1447 =
									BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
									(int64_t) (((long) 30)));
								BgL_arg1367z00_1446 = (BgL_xz00_1425 / BgL_arg1368z00_1447);
							}
							{
								int64_t BgL_xz00_6096;
								long BgL_nbzd2digitszd2_6095;

								BgL_nbzd2digitszd2_6095 = BgL_arg1366z00_1445;
								BgL_xz00_6096 = BgL_arg1367z00_1446;
								BgL_xz00_1425 = BgL_xz00_6096;
								BgL_nbzd2digitszd2_1424 = BgL_nbzd2digitszd2_6095;
								goto BgL_zc3z04anonymousza31350ze3z87_1426;
							}
						}
				}
			}
		}

	}



/* &$$int64->bignum */
	obj_t BGl_z62z42z42int64zd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5510,
		obj_t BgL_nz00_5511)
	{
		{	/* Unsafe/bignumber.scm 365 */
			{	/* Unsafe/bignumber.scm 366 */
				int64_t BgL_auxz00_6097;

				{	/* Unsafe/bignumber.scm 366 */
					obj_t BgL_tmpz00_6098;

					if (BGL_INT64P(BgL_nz00_5511))
						{	/* Unsafe/bignumber.scm 366 */
							BgL_tmpz00_6098 = BgL_nz00_5511;
						}
					else
						{
							obj_t BgL_auxz00_6101;

							BgL_auxz00_6101 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 14032)), BGl_string2517z00zz__bignumz00,
								BGl_string2518z00zz__bignumz00, BgL_nz00_5511);
							FAILURE(BgL_auxz00_6101, BFALSE, BFALSE);
						}
					BgL_auxz00_6097 = BGL_BINT64_TO_INT64(BgL_tmpz00_6098);
				}
				return bgl_int64_to_bignum(BgL_auxz00_6097);
			}
		}

	}



/* $$uint64->bignum */
	BGL_EXPORTED_DEF obj_t bgl_uint64_to_bignum(uint64_t BgL_nz00_25)
	{
		{	/* Unsafe/bignumber.scm 385 */
			{	/* Unsafe/bignumber.scm 386 */
				uint64_t BgL_negzd2nzd2_1450;

				if ((BgL_nz00_25 < (uint64_t) (0)))
					{	/* Unsafe/bignumber.scm 386 */
						BgL_negzd2nzd2_1450 = BgL_nz00_25;
					}
				else
					{	/* Unsafe/bignumber.scm 386 */
						BgL_negzd2nzd2_1450 = ((uint64_t) (0) - BgL_nz00_25);
					}
				{
					long BgL_nbzd2digitszd2_1452;
					uint64_t BgL_xz00_1453;

					BgL_nbzd2digitszd2_1452 = ((long) 0);
					BgL_xz00_1453 = BgL_negzd2nzd2_1450;
				BgL_zc3z04anonymousza31370ze3z87_1454:
					if ((BgL_xz00_1453 == (uint64_t) (0)))
						{	/* Unsafe/bignumber.scm 391 */
							obj_t BgL_rz00_1456;

							{	/* Unsafe/bignumber.scm 391 */
								long BgL_arg1383z00_1472;

								BgL_arg1383z00_1472 = (BgL_nbzd2digitszd2_1452 + ((long) 1));
								{	/* Unsafe/bignumber.scm 391 */
									int BgL_lenz00_3211;

									BgL_lenz00_3211 = (int) (BgL_arg1383z00_1472);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3212;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3212 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3211), (uint16_t) (0));
										}
										BgL_rz00_1456 = bgl_make_bignum(BgL_arg1220z00_3212);
							}}}
							if ((BgL_nz00_25 < (uint64_t) (0)))
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3219;
									uint16_t BgL_arg1237z00_3220;

									BgL_arg1236z00_3219 = BGL_BIGNUM_U16VECT(BgL_rz00_1456);
									BgL_arg1237z00_3220 = (uint16_t) (((long) 0));
									BGL_U16VSET(BgL_arg1236z00_3219, ((long) 0),
										BgL_arg1237z00_3220);
									BUNSPEC;
								}
							else
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3223;
									uint16_t BgL_arg1237z00_3224;

									BgL_arg1236z00_3223 = BGL_BIGNUM_U16VECT(BgL_rz00_1456);
									BgL_arg1237z00_3224 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_3223, ((long) 0),
										BgL_arg1237z00_3224);
									BUNSPEC;
								}
							{
								long BgL_iz00_3243;
								uint64_t BgL_xz00_3244;

								BgL_iz00_3243 = ((long) 1);
								BgL_xz00_3244 = BgL_negzd2nzd2_1450;
							BgL_loop2z00_3242:
								if ((BgL_xz00_3244 == (uint64_t) (0)))
									{	/* Unsafe/bignumber.scm 396 */
										return BgL_rz00_1456;
									}
								else
									{	/* Unsafe/bignumber.scm 396 */
										{	/* Unsafe/bignumber.scm 401 */
											long BgL_arg1375z00_3248;

											{	/* Unsafe/bignumber.scm 401 */
												long BgL_arg1376z00_3249;

												{	/* Unsafe/bignumber.scm 401 */
													uint64_t BgL_arg1377z00_3250;

													{	/* Unsafe/bignumber.scm 401 */
														uint64_t BgL_arg1378z00_3251;

														BgL_arg1378z00_3251 = (uint64_t) (((long) 16384));
														{	/* Unsafe/bignumber.scm 401 */
															int64_t BgL_tmpz00_6128;

															BgL_tmpz00_6128 = (int64_t) (BgL_arg1378z00_3251);
															BgL_arg1377z00_3250 =
																(BgL_xz00_3244 % BgL_tmpz00_6128);
													}}
													{	/* Unsafe/bignumber.scm 401 */
														long BgL_arg2283z00_3256;

														BgL_arg2283z00_3256 = (long) (BgL_arg1377z00_3250);
														BgL_arg1376z00_3249 = (long) (BgL_arg2283z00_3256);
												}}
												BgL_arg1375z00_3248 =
													(((long) 0) - BgL_arg1376z00_3249);
											}
											{	/* Unsafe/bignumber.scm 398 */
												int BgL_iz00_3260;
												int BgL_digitz00_3261;

												BgL_iz00_3260 = (int) (BgL_iz00_3243);
												BgL_digitz00_3261 = (int) (BgL_arg1375z00_3248);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_3262;
													uint16_t BgL_arg1246z00_3263;

													BgL_arg1245z00_3262 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1456);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6137;

														BgL_tmpz00_6137 = (long) (BgL_digitz00_3261);
														BgL_arg1246z00_3263 = (uint16_t) (BgL_tmpz00_6137);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6140;

														BgL_tmpz00_6140 = (long) (BgL_iz00_3260);
														BGL_U16VSET(BgL_arg1245z00_3262, BgL_tmpz00_6140,
															BgL_arg1246z00_3263);
													} BUNSPEC;
										}}}
										{	/* Unsafe/bignumber.scm 402 */
											long BgL_arg1380z00_3265;
											uint64_t BgL_arg1381z00_3266;

											BgL_arg1380z00_3265 = (BgL_iz00_3243 + ((long) 1));
											{	/* Unsafe/bignumber.scm 402 */
												uint64_t BgL_n2z00_3270;

												BgL_n2z00_3270 = (uint64_t) (((long) 16384));
												{	/* Unsafe/bignumber.scm 402 */
													int64_t BgL_tmpz00_6145;

													BgL_tmpz00_6145 = (int64_t) (BgL_n2z00_3270);
													BgL_arg1381z00_3266 =
														(BgL_xz00_3244 / BgL_tmpz00_6145);
											}}
											{
												uint64_t BgL_xz00_6149;
												long BgL_iz00_6148;

												BgL_iz00_6148 = BgL_arg1380z00_3265;
												BgL_xz00_6149 = BgL_arg1381z00_3266;
												BgL_xz00_3244 = BgL_xz00_6149;
												BgL_iz00_3243 = BgL_iz00_6148;
												goto BgL_loop2z00_3242;
											}
										}
									}
							}
						}
					else
						{	/* Unsafe/bignumber.scm 390 */
							long BgL_arg1385z00_1473;
							uint64_t BgL_arg1386z00_1474;

							BgL_arg1385z00_1473 = (BgL_nbzd2digitszd2_1452 + ((long) 1));
							{	/* Unsafe/bignumber.scm 390 */
								int64_t BgL_arg1387z00_1475;

								BgL_arg1387z00_1475 =
									BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
									(int64_t) (((long) 30)));
								{	/* Unsafe/bignumber.scm 390 */
									uint64_t BgL_n2z00_3273;

									BgL_n2z00_3273 = (uint64_t) (BgL_arg1387z00_1475);
									{	/* Unsafe/bignumber.scm 390 */
										int64_t BgL_tmpz00_6154;

										BgL_tmpz00_6154 = (int64_t) (BgL_n2z00_3273);
										BgL_arg1386z00_1474 = (BgL_xz00_1453 / BgL_tmpz00_6154);
							}}}
							{
								uint64_t BgL_xz00_6158;
								long BgL_nbzd2digitszd2_6157;

								BgL_nbzd2digitszd2_6157 = BgL_arg1385z00_1473;
								BgL_xz00_6158 = BgL_arg1386z00_1474;
								BgL_xz00_1453 = BgL_xz00_6158;
								BgL_nbzd2digitszd2_1452 = BgL_nbzd2digitszd2_6157;
								goto BgL_zc3z04anonymousza31370ze3z87_1454;
							}
						}
				}
			}
		}

	}



/* &$$uint64->bignum */
	obj_t BGl_z62z42z42uint64zd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5512,
		obj_t BgL_nz00_5513)
	{
		{	/* Unsafe/bignumber.scm 385 */
			{	/* Unsafe/bignumber.scm 386 */
				uint64_t BgL_auxz00_6159;

				{	/* Unsafe/bignumber.scm 386 */
					obj_t BgL_tmpz00_6160;

					if (BGL_UINT64P(BgL_nz00_5513))
						{	/* Unsafe/bignumber.scm 386 */
							BgL_tmpz00_6160 = BgL_nz00_5513;
						}
					else
						{
							obj_t BgL_auxz00_6163;

							BgL_auxz00_6163 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 14714)), BGl_string2519z00zz__bignumz00,
								BGl_string2520z00zz__bignumz00, BgL_nz00_5513);
							FAILURE(BgL_auxz00_6163, BFALSE, BFALSE);
						}
					BgL_auxz00_6159 = BGL_BINT64_TO_INT64(BgL_tmpz00_6160);
				}
				return bgl_uint64_to_bignum(BgL_auxz00_6159);
			}
		}

	}



/* $$fixnum->bignum */
	BGL_EXPORTED_DEF obj_t bgl_long_to_bignum(long BgL_nz00_26)
	{
		{	/* Unsafe/bignumber.scm 414 */
			{	/* Unsafe/bignumber.scm 415 */
				bool_t BgL_test2712z00_6169;

				if ((BgL_nz00_26 < ((long) -16)))
					{	/* Unsafe/bignumber.scm 415 */
						BgL_test2712z00_6169 = ((bool_t) 1);
					}
				else
					{	/* Unsafe/bignumber.scm 415 */
						BgL_test2712z00_6169 = (((long) 16) < BgL_nz00_26);
					}
				if (BgL_test2712z00_6169)
					{	/* Unsafe/bignumber.scm 415 */
						return
							BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(BgL_nz00_26);
					}
				else
					{	/* Unsafe/bignumber.scm 415 */
						return
							VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
							(BgL_nz00_26 + ((long) 16)));
		}}}

	}



/* &$$fixnum->bignum */
	obj_t BGl_z62z42z42fixnumzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5514,
		obj_t BgL_nz00_5515)
	{
		{	/* Unsafe/bignumber.scm 414 */
			{	/* Unsafe/bignumber.scm 415 */
				long BgL_auxz00_6176;

				{	/* Unsafe/bignumber.scm 415 */
					obj_t BgL_tmpz00_6177;

					if (INTEGERP(BgL_nz00_5515))
						{	/* Unsafe/bignumber.scm 415 */
							BgL_tmpz00_6177 = BgL_nz00_5515;
						}
					else
						{
							obj_t BgL_auxz00_6180;

							BgL_auxz00_6180 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 15614)), BGl_string2521z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_nz00_5515);
							FAILURE(BgL_auxz00_6180, BFALSE, BFALSE);
						}
					BgL_auxz00_6176 = (long) CINT(BgL_tmpz00_6177);
				}
				return bgl_long_to_bignum(BgL_auxz00_6176);
			}
		}

	}



/* $<bx */
	bool_t BGl_z42zc3bxz81zz__bignumz00(obj_t BgL_xz00_29, obj_t BgL_yz00_30)
	{
		{	/* Unsafe/bignumber.scm 439 */
			{	/* Unsafe/bignumber.scm 440 */
				bool_t BgL_test2715z00_6186;

				{	/* Unsafe/bignumber.scm 440 */
					long BgL_arg1422z00_1523;
					long BgL_arg1423z00_1524;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1232z00_3280;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1233z00_3281;

							BgL_arg1233z00_3281 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
							BgL_arg1232z00_3280 =
								BGL_U16VREF(BgL_arg1233z00_3281, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2287z00_3283;

							BgL_arg2287z00_3283 = (long) (BgL_arg1232z00_3280);
							BgL_arg1422z00_1523 = (long) (BgL_arg2287z00_3283);
					}}
					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1232z00_3286;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1233z00_3287;

							BgL_arg1233z00_3287 = BGL_BIGNUM_U16VECT(BgL_yz00_30);
							BgL_arg1232z00_3286 =
								BGL_U16VREF(BgL_arg1233z00_3287, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2287z00_3289;

							BgL_arg2287z00_3289 = (long) (BgL_arg1232z00_3286);
							BgL_arg1423z00_1524 = (long) (BgL_arg2287z00_3289);
					}}
					BgL_test2715z00_6186 = (BgL_arg1422z00_1523 == BgL_arg1423z00_1524);
				}
				if (BgL_test2715z00_6186)
					{	/* Unsafe/bignumber.scm 442 */
						long BgL_lenxz00_1506;
						long BgL_lenyz00_1507;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3294;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3295;

								BgL_arg1223z00_3295 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
								BgL_arg1222z00_3294 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3295);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3297;

								BgL_xz00_3297 = (uint16_t) (BgL_arg1222z00_3294);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3298;

									BgL_arg2287z00_3298 = (long) (BgL_xz00_3297);
									BgL_lenxz00_1506 = (long) (BgL_arg2287z00_3298);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3301;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3302;

								BgL_arg1223z00_3302 = BGL_BIGNUM_U16VECT(BgL_yz00_30);
								BgL_arg1222z00_3301 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3302);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3304;

								BgL_xz00_3304 = (uint16_t) (BgL_arg1222z00_3301);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3305;

									BgL_arg2287z00_3305 = (long) (BgL_xz00_3304);
									BgL_lenyz00_1507 = (long) (BgL_arg2287z00_3305);
						}}}
						if ((BgL_lenxz00_1506 < BgL_lenyz00_1507))
							{	/* Unsafe/bignumber.scm 445 */
								bool_t BgL_test2717z00_6208;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_3310;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_3312;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_3313;

											BgL_arg1233z00_3313 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
											BgL_arg1232z00_3312 =
												BGL_U16VREF(BgL_arg1233z00_3313, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_3315;

											BgL_arg2287z00_3315 = (long) (BgL_arg1232z00_3312);
											BgL_arg1427z00_3310 = (long) (BgL_arg2287z00_3315);
									}}
									BgL_test2717z00_6208 = (BgL_arg1427z00_3310 == ((long) 0));
								}
								if (BgL_test2717z00_6208)
									{	/* Unsafe/bignumber.scm 445 */
										return ((bool_t) 0);
									}
								else
									{	/* Unsafe/bignumber.scm 445 */
										return ((bool_t) 1);
									}
							}
						else
							{	/* Unsafe/bignumber.scm 444 */
								if ((BgL_lenyz00_1507 < BgL_lenxz00_1506))
									{	/* Unsafe/bignumber.scm 471 */
										long BgL_arg1427z00_3321;

										{	/* Unsafe/bignumber.scm 263 */
											uint16_t BgL_arg1232z00_3323;

											{	/* Unsafe/bignumber.scm 263 */
												obj_t BgL_arg1233z00_3324;

												BgL_arg1233z00_3324 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
												BgL_arg1232z00_3323 =
													BGL_U16VREF(BgL_arg1233z00_3324, ((long) 0));
											}
											{	/* Unsafe/bignumber.scm 263 */
												long BgL_arg2287z00_3326;

												BgL_arg2287z00_3326 = (long) (BgL_arg1232z00_3323);
												BgL_arg1427z00_3321 = (long) (BgL_arg2287z00_3326);
										}}
										return (BgL_arg1427z00_3321 == ((long) 0));
									}
								else
									{	/* Unsafe/bignumber.scm 449 */
										long BgL_g1045z00_1511;

										BgL_g1045z00_1511 = (BgL_lenxz00_1506 - ((long) 1));
										{
											long BgL_iz00_1513;

											BgL_iz00_1513 = BgL_g1045z00_1511;
										BgL_zc3z04anonymousza31416ze3z87_1514:
											if ((((long) 0) < BgL_iz00_1513))
												{	/* Unsafe/bignumber.scm 451 */
													long BgL_dxz00_1516;
													long BgL_dyz00_1517;

													{	/* Unsafe/bignumber.scm 451 */
														int BgL_iz00_3332;

														BgL_iz00_3332 = (int) (BgL_iz00_1513);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1240z00_3333;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1243z00_3334;

																BgL_arg1243z00_3334 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_29);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6226;

																	BgL_tmpz00_6226 = (long) (BgL_iz00_3332);
																	BgL_arg1240z00_3333 =
																		BGL_U16VREF(BgL_arg1243z00_3334,
																		BgL_tmpz00_6226);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2287z00_3336;

																BgL_arg2287z00_3336 =
																	(long) (BgL_arg1240z00_3333);
																BgL_dxz00_1516 = (long) (BgL_arg2287z00_3336);
													}}}
													{	/* Unsafe/bignumber.scm 452 */
														int BgL_iz00_3339;

														BgL_iz00_3339 = (int) (BgL_iz00_1513);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1240z00_3340;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1243z00_3341;

																BgL_arg1243z00_3341 =
																	BGL_BIGNUM_U16VECT(BgL_yz00_30);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6233;

																	BgL_tmpz00_6233 = (long) (BgL_iz00_3339);
																	BgL_arg1240z00_3340 =
																		BGL_U16VREF(BgL_arg1243z00_3341,
																		BgL_tmpz00_6233);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2287z00_3343;

																BgL_arg2287z00_3343 =
																	(long) (BgL_arg1240z00_3340);
																BgL_dyz00_1517 = (long) (BgL_arg2287z00_3343);
													}}}
													if ((BgL_dxz00_1516 < BgL_dyz00_1517))
														{	/* Unsafe/bignumber.scm 453 */
															bool_t BgL_test2721z00_6240;

															{	/* Unsafe/bignumber.scm 471 */
																long BgL_arg1427z00_3348;

																{	/* Unsafe/bignumber.scm 263 */
																	uint16_t BgL_arg1232z00_3350;

																	{	/* Unsafe/bignumber.scm 263 */
																		obj_t BgL_arg1233z00_3351;

																		BgL_arg1233z00_3351 =
																			BGL_BIGNUM_U16VECT(BgL_xz00_29);
																		BgL_arg1232z00_3350 =
																			BGL_U16VREF(BgL_arg1233z00_3351,
																			((long) 0));
																	}
																	{	/* Unsafe/bignumber.scm 263 */
																		long BgL_arg2287z00_3353;

																		BgL_arg2287z00_3353 =
																			(long) (BgL_arg1232z00_3350);
																		BgL_arg1427z00_3348 =
																			(long) (BgL_arg2287z00_3353);
																}}
																BgL_test2721z00_6240 =
																	(BgL_arg1427z00_3348 == ((long) 0));
															}
															if (BgL_test2721z00_6240)
																{	/* Unsafe/bignumber.scm 453 */
																	return ((bool_t) 0);
																}
															else
																{	/* Unsafe/bignumber.scm 453 */
																	return ((bool_t) 1);
																}
														}
													else
														{	/* Unsafe/bignumber.scm 453 */
															if ((BgL_dyz00_1517 < BgL_dxz00_1516))
																{	/* Unsafe/bignumber.scm 471 */
																	long BgL_arg1427z00_3359;

																	{	/* Unsafe/bignumber.scm 263 */
																		uint16_t BgL_arg1232z00_3361;

																		{	/* Unsafe/bignumber.scm 263 */
																			obj_t BgL_arg1233z00_3362;

																			BgL_arg1233z00_3362 =
																				BGL_BIGNUM_U16VECT(BgL_xz00_29);
																			BgL_arg1232z00_3361 =
																				BGL_U16VREF(BgL_arg1233z00_3362,
																				((long) 0));
																		}
																		{	/* Unsafe/bignumber.scm 263 */
																			long BgL_arg2287z00_3364;

																			BgL_arg2287z00_3364 =
																				(long) (BgL_arg1232z00_3361);
																			BgL_arg1427z00_3359 =
																				(long) (BgL_arg2287z00_3364);
																	}}
																	return (BgL_arg1427z00_3359 == ((long) 0));
																}
															else
																{
																	long BgL_iz00_6253;

																	BgL_iz00_6253 = (BgL_iz00_1513 - ((long) 1));
																	BgL_iz00_1513 = BgL_iz00_6253;
																	goto BgL_zc3z04anonymousza31416ze3z87_1514;
																}
														}
												}
											else
												{	/* Unsafe/bignumber.scm 450 */
													return ((bool_t) 0);
												}
										}
									}
							}
					}
				else
					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_3369;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1232z00_3371;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1233z00_3372;

								BgL_arg1233z00_3372 = BGL_BIGNUM_U16VECT(BgL_xz00_29);
								BgL_arg1232z00_3371 =
									BGL_U16VREF(BgL_arg1233z00_3372, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2287z00_3374;

								BgL_arg2287z00_3374 = (long) (BgL_arg1232z00_3371);
								BgL_arg1427z00_3369 = (long) (BgL_arg2287z00_3374);
						}}
						return (BgL_arg1427z00_3369 == ((long) 0));
		}}}

	}



/* $$zerobx? */
	BGL_EXPORTED_DEF bool_t BXZERO(obj_t BgL_xz00_37)
	{
		{	/* Unsafe/bignumber.scm 467 */
			{	/* Unsafe/bignumber.scm 468 */
				long BgL_arg1426z00_3378;

				{	/* Unsafe/bignumber.scm 261 */
					long BgL_arg1222z00_3380;

					{	/* Unsafe/bignumber.scm 261 */
						obj_t BgL_arg1223z00_3381;

						BgL_arg1223z00_3381 = BGL_BIGNUM_U16VECT(BgL_xz00_37);
						BgL_arg1222z00_3380 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3381);
					}
					{	/* Unsafe/bignumber.scm 261 */
						uint16_t BgL_xz00_3383;

						BgL_xz00_3383 = (uint16_t) (BgL_arg1222z00_3380);
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg2287z00_3384;

							BgL_arg2287z00_3384 = (long) (BgL_xz00_3383);
							BgL_arg1426z00_3378 = (long) (BgL_arg2287z00_3384);
				}}}
				return (BgL_arg1426z00_3378 == ((long) 1));
		}}

	}



/* &$$zerobx? */
	obj_t BGl_z62z42z42za7erobxzf3z36zz__bignumz00(obj_t BgL_envz00_5516,
		obj_t BgL_xz00_5517)
	{
		{	/* Unsafe/bignumber.scm 467 */
			{	/* Unsafe/bignumber.scm 468 */
				bool_t BgL_tmpz00_6266;

				{	/* Unsafe/bignumber.scm 468 */
					obj_t BgL_auxz00_6267;

					if (BIGNUMP(BgL_xz00_5517))
						{	/* Unsafe/bignumber.scm 468 */
							BgL_auxz00_6267 = BgL_xz00_5517;
						}
					else
						{
							obj_t BgL_auxz00_6270;

							BgL_auxz00_6270 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17040)), BGl_string2522z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5517);
							FAILURE(BgL_auxz00_6270, BFALSE, BFALSE);
						}
					BgL_tmpz00_6266 = BXZERO(BgL_auxz00_6267);
				}
				return BBOOL(BgL_tmpz00_6266);
			}
		}

	}



/* $$negativebx? */
	BGL_EXPORTED_DEF bool_t BXNEGATIVE(obj_t BgL_xz00_38)
	{
		{	/* Unsafe/bignumber.scm 470 */
			{	/* Unsafe/bignumber.scm 471 */
				long BgL_arg1427z00_3387;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1232z00_3389;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1233z00_3390;

						BgL_arg1233z00_3390 = BGL_BIGNUM_U16VECT(BgL_xz00_38);
						BgL_arg1232z00_3389 = BGL_U16VREF(BgL_arg1233z00_3390, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2287z00_3392;

						BgL_arg2287z00_3392 = (long) (BgL_arg1232z00_3389);
						BgL_arg1427z00_3387 = (long) (BgL_arg2287z00_3392);
				}}
				return (BgL_arg1427z00_3387 == ((long) 0));
		}}

	}



/* &$$negativebx? */
	obj_t BGl_z62z42z42negativebxzf3z91zz__bignumz00(obj_t BgL_envz00_5518,
		obj_t BgL_xz00_5519)
	{
		{	/* Unsafe/bignumber.scm 470 */
			{	/* Unsafe/bignumber.scm 471 */
				bool_t BgL_tmpz00_6281;

				{	/* Unsafe/bignumber.scm 471 */
					obj_t BgL_auxz00_6282;

					if (BIGNUMP(BgL_xz00_5519))
						{	/* Unsafe/bignumber.scm 471 */
							BgL_auxz00_6282 = BgL_xz00_5519;
						}
					else
						{
							obj_t BgL_auxz00_6285;

							BgL_auxz00_6285 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17097)), BGl_string2524z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5519);
							FAILURE(BgL_auxz00_6285, BFALSE, BFALSE);
						}
					BgL_tmpz00_6281 = BXNEGATIVE(BgL_auxz00_6282);
				}
				return BBOOL(BgL_tmpz00_6281);
			}
		}

	}



/* $$positivebx? */
	BGL_EXPORTED_DEF bool_t BXPOSITIVE(obj_t BgL_xz00_39)
	{
		{	/* Unsafe/bignumber.scm 473 */
			{	/* Unsafe/bignumber.scm 474 */
				bool_t BgL_test2725z00_6291;

				{	/* Unsafe/bignumber.scm 474 */
					bool_t BgL_test2726z00_6292;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_3398;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3400;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3401;

								BgL_arg1223z00_3401 = BGL_BIGNUM_U16VECT(BgL_xz00_39);
								BgL_arg1222z00_3400 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3401);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3403;

								BgL_xz00_3403 = (uint16_t) (BgL_arg1222z00_3400);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3404;

									BgL_arg2287z00_3404 = (long) (BgL_xz00_3403);
									BgL_arg1426z00_3398 = (long) (BgL_arg2287z00_3404);
						}}}
						BgL_test2726z00_6292 = (BgL_arg1426z00_3398 == ((long) 1));
					}
					if (BgL_test2726z00_6292)
						{	/* Unsafe/bignumber.scm 474 */
							BgL_test2725z00_6291 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 471 */
							long BgL_arg1427z00_3408;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_3410;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_3411;

									BgL_arg1233z00_3411 = BGL_BIGNUM_U16VECT(BgL_xz00_39);
									BgL_arg1232z00_3410 =
										BGL_U16VREF(BgL_arg1233z00_3411, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_3413;

									BgL_arg2287z00_3413 = (long) (BgL_arg1232z00_3410);
									BgL_arg1427z00_3408 = (long) (BgL_arg2287z00_3413);
							}}
							BgL_test2725z00_6291 = (BgL_arg1427z00_3408 == ((long) 0));
				}}
				if (BgL_test2725z00_6291)
					{	/* Unsafe/bignumber.scm 474 */
						return ((bool_t) 0);
					}
				else
					{	/* Unsafe/bignumber.scm 474 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &$$positivebx? */
	obj_t BGl_z62z42z42positivebxzf3z91zz__bignumz00(obj_t BgL_envz00_5520,
		obj_t BgL_xz00_5521)
	{
		{	/* Unsafe/bignumber.scm 473 */
			{	/* Unsafe/bignumber.scm 474 */
				bool_t BgL_tmpz00_6304;

				{	/* Unsafe/bignumber.scm 474 */
					obj_t BgL_auxz00_6305;

					if (BIGNUMP(BgL_xz00_5521))
						{	/* Unsafe/bignumber.scm 474 */
							BgL_auxz00_6305 = BgL_xz00_5521;
						}
					else
						{
							obj_t BgL_auxz00_6308;

							BgL_auxz00_6308 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17147)), BGl_string2525z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5521);
							FAILURE(BgL_auxz00_6308, BFALSE, BFALSE);
						}
					BgL_tmpz00_6304 = BXPOSITIVE(BgL_auxz00_6305);
				}
				return BBOOL(BgL_tmpz00_6304);
			}
		}

	}



/* $$evenbx? */
	BGL_EXPORTED_DEF bool_t bgl_bignum_even(obj_t BgL_xz00_40)
	{
		{	/* Unsafe/bignumber.scm 476 */
			{	/* Unsafe/bignumber.scm 477 */
				bool_t BgL__ortest_1046z00_3416;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_3419;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3421;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3422;

							BgL_arg1223z00_3422 = BGL_BIGNUM_U16VECT(BgL_xz00_40);
							BgL_arg1222z00_3421 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3422);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3424;

							BgL_xz00_3424 = (uint16_t) (BgL_arg1222z00_3421);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3425;

								BgL_arg2287z00_3425 = (long) (BgL_xz00_3424);
								BgL_arg1426z00_3419 = (long) (BgL_arg2287z00_3425);
					}}}
					BgL__ortest_1046z00_3416 = (BgL_arg1426z00_3419 == ((long) 1));
				}
				if (BgL__ortest_1046z00_3416)
					{	/* Unsafe/bignumber.scm 477 */
						return BgL__ortest_1046z00_3416;
					}
				else
					{	/* Unsafe/bignumber.scm 477 */
						long BgL_arg1430z00_3417;

						{	/* Unsafe/bignumber.scm 267 */
							uint16_t BgL_arg1240z00_3429;

							{	/* Unsafe/bignumber.scm 267 */
								obj_t BgL_arg1243z00_3430;

								BgL_arg1243z00_3430 = BGL_BIGNUM_U16VECT(BgL_xz00_40);
								BgL_arg1240z00_3429 =
									BGL_U16VREF(BgL_arg1243z00_3430, ((long) 1));
							}
							{	/* Unsafe/bignumber.scm 267 */
								long BgL_arg2287z00_3432;

								BgL_arg2287z00_3432 = (long) (BgL_arg1240z00_3429);
								BgL_arg1430z00_3417 = (long) (BgL_arg2287z00_3432);
						}}
						return
							BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
							(BgL_arg1430z00_3417));
					}
			}
		}

	}



/* &$$evenbx? */
	obj_t BGl_z62z42z42evenbxzf3z91zz__bignumz00(obj_t BgL_envz00_5522,
		obj_t BgL_xz00_5523)
	{
		{	/* Unsafe/bignumber.scm 476 */
			{	/* Unsafe/bignumber.scm 477 */
				bool_t BgL_tmpz00_6327;

				{	/* Unsafe/bignumber.scm 477 */
					obj_t BgL_auxz00_6328;

					if (BIGNUMP(BgL_xz00_5523))
						{	/* Unsafe/bignumber.scm 477 */
							BgL_auxz00_6328 = BgL_xz00_5523;
						}
					else
						{
							obj_t BgL_auxz00_6331;

							BgL_auxz00_6331 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17221)), BGl_string2526z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5523);
							FAILURE(BgL_auxz00_6331, BFALSE, BFALSE);
						}
					BgL_tmpz00_6327 = bgl_bignum_even(BgL_auxz00_6328);
				}
				return BBOOL(BgL_tmpz00_6327);
			}
		}

	}



/* $$oddbx? */
	BGL_EXPORTED_DEF bool_t bgl_bignum_odd(obj_t BgL_xz00_41)
	{
		{	/* Unsafe/bignumber.scm 479 */
			{	/* Unsafe/bignumber.scm 480 */
				bool_t BgL_test2730z00_6337;

				{	/* Unsafe/bignumber.scm 480 */
					bool_t BgL_res2353z00_3447;

					{	/* Unsafe/bignumber.scm 477 */
						bool_t BgL__ortest_1046z00_3436;

						BgL__ortest_1046z00_3436 =
							(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_xz00_41) == ((long) 1));
						if (BgL__ortest_1046z00_3436)
							{	/* Unsafe/bignumber.scm 477 */
								BgL_res2353z00_3447 = BgL__ortest_1046z00_3436;
							}
						else
							{	/* Unsafe/bignumber.scm 477 */
								long BgL_arg1430z00_3437;

								{	/* Unsafe/bignumber.scm 267 */
									uint16_t BgL_arg1240z00_3442;

									{	/* Unsafe/bignumber.scm 267 */
										obj_t BgL_arg1243z00_3443;

										BgL_arg1243z00_3443 = BGL_BIGNUM_U16VECT(BgL_xz00_41);
										BgL_arg1240z00_3442 =
											BGL_U16VREF(BgL_arg1243z00_3443, ((long) 1));
									}
									{	/* Unsafe/bignumber.scm 267 */
										long BgL_arg2287z00_3445;

										BgL_arg2287z00_3445 = (long) (BgL_arg1240z00_3442);
										BgL_arg1430z00_3437 = (long) (BgL_arg2287z00_3445);
								}}
								BgL_res2353z00_3447 =
									BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
									(BgL_arg1430z00_3437));
					}}
					BgL_test2730z00_6337 = BgL_res2353z00_3447;
				}
				if (BgL_test2730z00_6337)
					{	/* Unsafe/bignumber.scm 480 */
						return ((bool_t) 0);
					}
				else
					{	/* Unsafe/bignumber.scm 480 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* &$$oddbx? */
	obj_t BGl_z62z42z42oddbxzf3z91zz__bignumz00(obj_t BgL_envz00_5524,
		obj_t BgL_xz00_5525)
	{
		{	/* Unsafe/bignumber.scm 479 */
			{	/* Unsafe/bignumber.scm 480 */
				bool_t BgL_tmpz00_6347;

				{	/* Unsafe/bignumber.scm 480 */
					obj_t BgL_auxz00_6348;

					if (BIGNUMP(BgL_xz00_5525))
						{	/* Unsafe/bignumber.scm 480 */
							BgL_auxz00_6348 = BgL_xz00_5525;
						}
					else
						{
							obj_t BgL_auxz00_6351;

							BgL_auxz00_6351 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17293)), BGl_string2527z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5525);
							FAILURE(BgL_auxz00_6351, BFALSE, BFALSE);
						}
					BgL_tmpz00_6347 = bgl_bignum_odd(BgL_auxz00_6348);
				}
				return BBOOL(BgL_tmpz00_6347);
			}
		}

	}



/* $$bignum-cmp */
	BGL_EXPORTED_DEF int bgl_bignum_cmp(obj_t BgL_n1z00_42, obj_t BgL_n2z00_43)
	{
		{	/* Unsafe/bignumber.scm 482 */
			if (BGl_z42zc3bxz81zz__bignumz00(BgL_n1z00_42, BgL_n2z00_43))
				{	/* Unsafe/bignumber.scm 484 */
					return (int) (((long) -1));
				}
			else
				{	/* Unsafe/bignumber.scm 484 */
					if (BGl_z42zc3bxz81zz__bignumz00(BgL_n2z00_43, BgL_n1z00_42))
						{	/* Unsafe/bignumber.scm 485 */
							return (int) (((long) 1));
						}
					else
						{	/* Unsafe/bignumber.scm 485 */
							return (int) (((long) 0));
		}}}

	}



/* &$$bignum-cmp */
	obj_t BGl_z62z42z42bignumzd2cmpzb0zz__bignumz00(obj_t BgL_envz00_5526,
		obj_t BgL_n1z00_5527, obj_t BgL_n2z00_5528)
	{
		{	/* Unsafe/bignumber.scm 482 */
			{	/* Unsafe/bignumber.scm 484 */
				int BgL_tmpz00_6364;

				{	/* Unsafe/bignumber.scm 484 */
					obj_t BgL_auxz00_6372;
					obj_t BgL_auxz00_6365;

					if (BIGNUMP(BgL_n2z00_5528))
						{	/* Unsafe/bignumber.scm 484 */
							BgL_auxz00_6372 = BgL_n2z00_5528;
						}
					else
						{
							obj_t BgL_auxz00_6375;

							BgL_auxz00_6375 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17359)), BGl_string2528z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_n2z00_5528);
							FAILURE(BgL_auxz00_6375, BFALSE, BFALSE);
						}
					if (BIGNUMP(BgL_n1z00_5527))
						{	/* Unsafe/bignumber.scm 484 */
							BgL_auxz00_6365 = BgL_n1z00_5527;
						}
					else
						{
							obj_t BgL_auxz00_6368;

							BgL_auxz00_6368 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 17359)), BGl_string2528z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_n1z00_5527);
							FAILURE(BgL_auxz00_6368, BFALSE, BFALSE);
						}
					BgL_tmpz00_6364 = bgl_bignum_cmp(BgL_auxz00_6365, BgL_auxz00_6372);
				}
				return BINT(BgL_tmpz00_6364);
			}
		}

	}



/* bignum-add-nonneg */
	obj_t BGl_bignumzd2addzd2nonnegz00zz__bignumz00(obj_t BgL_xz00_44,
		obj_t BgL_yz00_45)
	{
		{	/* Unsafe/bignumber.scm 491 */
			{
				obj_t BgL_xz00_1541;
				obj_t BgL_yz00_1542;
				long BgL_lenxz00_1543;
				long BgL_lenyz00_1544;

				{	/* Unsafe/bignumber.scm 530 */
					long BgL_lenxz00_1538;
					long BgL_lenyz00_1539;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3534;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3535;

							BgL_arg1223z00_3535 = BGL_BIGNUM_U16VECT(BgL_xz00_44);
							BgL_arg1222z00_3534 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3535);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3537;

							BgL_xz00_3537 = (uint16_t) (BgL_arg1222z00_3534);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3538;

								BgL_arg2287z00_3538 = (long) (BgL_xz00_3537);
								BgL_lenxz00_1538 = (long) (BgL_arg2287z00_3538);
					}}}
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3541;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3542;

							BgL_arg1223z00_3542 = BGL_BIGNUM_U16VECT(BgL_yz00_45);
							BgL_arg1222z00_3541 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3542);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3544;

							BgL_xz00_3544 = (uint16_t) (BgL_arg1222z00_3541);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3545;

								BgL_arg2287z00_3545 = (long) (BgL_xz00_3544);
								BgL_lenyz00_1539 = (long) (BgL_arg2287z00_3545);
					}}}
					if ((BgL_lenxz00_1538 < BgL_lenyz00_1539))
						{	/* Unsafe/bignumber.scm 532 */
							BgL_xz00_1541 = BgL_yz00_45;
							BgL_yz00_1542 = BgL_xz00_44;
							BgL_lenxz00_1543 = BgL_lenyz00_1539;
							BgL_lenyz00_1544 = BgL_lenxz00_1538;
						BgL_zc3z04anonymousza31435ze3z87_1545:
							{	/* Unsafe/bignumber.scm 494 */
								obj_t BgL_rz00_1546;

								{	/* Unsafe/bignumber.scm 494 */
									long BgL_arg1459z00_1580;

									BgL_arg1459z00_1580 = (BgL_lenxz00_1543 + ((long) 1));
									{	/* Unsafe/bignumber.scm 494 */
										int BgL_lenz00_3451;

										BgL_lenz00_3451 = (int) (BgL_arg1459z00_1580);
										{	/* Unsafe/bignumber.scm 259 */
											obj_t BgL_arg1220z00_3452;

											{	/* Unsafe/bignumber.scm 259 */

												BgL_arg1220z00_3452 =
													BGl_makezd2u16vectorzd2zz__srfi4z00(
													(long) (BgL_lenz00_3451), (uint16_t) (0));
											}
											BgL_rz00_1546 = bgl_make_bignum(BgL_arg1220z00_3452);
								}}}
								{	/* Unsafe/bignumber.scm 265 */
									obj_t BgL_arg1236z00_3457;
									uint16_t BgL_arg1237z00_3458;

									BgL_arg1236z00_3457 = BGL_BIGNUM_U16VECT(BgL_rz00_1546);
									BgL_arg1237z00_3458 = (uint16_t) (((long) 1));
									BGL_U16VSET(BgL_arg1236z00_3457, ((long) 0),
										BgL_arg1237z00_3458);
									BUNSPEC;
								}
								{
									long BgL_iz00_1548;
									long BgL_cz00_1549;

									BgL_iz00_1548 = ((long) 1);
									BgL_cz00_1549 = ((long) 0);
								BgL_zc3z04anonymousza31436ze3z87_1550:
									if ((BgL_iz00_1548 < BgL_lenyz00_1544))
										{	/* Unsafe/bignumber.scm 501 */
											long BgL_wz00_1552;

											{	/* Unsafe/bignumber.scm 501 */
												long BgL_arg1445z00_1560;

												{	/* Unsafe/bignumber.scm 501 */
													long BgL_arg1446z00_1561;
													long BgL_arg1447z00_1562;

													{	/* Unsafe/bignumber.scm 501 */
														int BgL_iz00_3462;

														BgL_iz00_3462 = (int) (BgL_iz00_1548);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1240z00_3463;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1243z00_3464;

																BgL_arg1243z00_3464 =
																	BGL_BIGNUM_U16VECT(BgL_xz00_1541);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6405;

																	BgL_tmpz00_6405 = (long) (BgL_iz00_3462);
																	BgL_arg1240z00_3463 =
																		BGL_U16VREF(BgL_arg1243z00_3464,
																		BgL_tmpz00_6405);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2287z00_3466;

																BgL_arg2287z00_3466 =
																	(long) (BgL_arg1240z00_3463);
																BgL_arg1446z00_1561 =
																	(long) (BgL_arg2287z00_3466);
													}}}
													{	/* Unsafe/bignumber.scm 502 */
														int BgL_iz00_3469;

														BgL_iz00_3469 = (int) (BgL_iz00_1548);
														{	/* Unsafe/bignumber.scm 267 */
															uint16_t BgL_arg1240z00_3470;

															{	/* Unsafe/bignumber.scm 267 */
																obj_t BgL_arg1243z00_3471;

																BgL_arg1243z00_3471 =
																	BGL_BIGNUM_U16VECT(BgL_yz00_1542);
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_tmpz00_6412;

																	BgL_tmpz00_6412 = (long) (BgL_iz00_3469);
																	BgL_arg1240z00_3470 =
																		BGL_U16VREF(BgL_arg1243z00_3471,
																		BgL_tmpz00_6412);
															}}
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_arg2287z00_3473;

																BgL_arg2287z00_3473 =
																	(long) (BgL_arg1240z00_3470);
																BgL_arg1447z00_1562 =
																	(long) (BgL_arg2287z00_3473);
													}}}
													BgL_arg1445z00_1560 =
														(BgL_arg1446z00_1561 + BgL_arg1447z00_1562);
												}
												BgL_wz00_1552 = (BgL_arg1445z00_1560 + BgL_cz00_1549);
											}
											if ((BgL_wz00_1552 < ((long) 16384)))
												{	/* Unsafe/bignumber.scm 504 */
													{	/* Unsafe/bignumber.scm 506 */
														int BgL_iz00_3482;
														int BgL_digitz00_3483;

														BgL_iz00_3482 = (int) (BgL_iz00_1548);
														BgL_digitz00_3483 = (int) (BgL_wz00_1552);
														{	/* Unsafe/bignumber.scm 269 */
															obj_t BgL_arg1245z00_3484;
															uint16_t BgL_arg1246z00_3485;

															BgL_arg1245z00_3484 =
																BGL_BIGNUM_U16VECT(BgL_rz00_1546);
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6424;

																BgL_tmpz00_6424 = (long) (BgL_digitz00_3483);
																BgL_arg1246z00_3485 =
																	(uint16_t) (BgL_tmpz00_6424);
															}
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6427;

																BgL_tmpz00_6427 = (long) (BgL_iz00_3482);
																BGL_U16VSET(BgL_arg1245z00_3484,
																	BgL_tmpz00_6427, BgL_arg1246z00_3485);
															} BUNSPEC;
													}}
													{
														long BgL_cz00_6432;
														long BgL_iz00_6430;

														BgL_iz00_6430 = (BgL_iz00_1548 + ((long) 1));
														BgL_cz00_6432 = ((long) 0);
														BgL_cz00_1549 = BgL_cz00_6432;
														BgL_iz00_1548 = BgL_iz00_6430;
														goto BgL_zc3z04anonymousza31436ze3z87_1550;
													}
												}
											else
												{	/* Unsafe/bignumber.scm 504 */
													{	/* Unsafe/bignumber.scm 509 */
														long BgL_arg1441z00_1556;

														BgL_arg1441z00_1556 =
															(BgL_wz00_1552 - ((long) 16384));
														{	/* Unsafe/bignumber.scm 509 */
															int BgL_iz00_3491;
															int BgL_digitz00_3492;

															BgL_iz00_3491 = (int) (BgL_iz00_1548);
															BgL_digitz00_3492 = (int) (BgL_arg1441z00_1556);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1245z00_3493;
																uint16_t BgL_arg1246z00_3494;

																BgL_arg1245z00_3493 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1546);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6437;

																	BgL_tmpz00_6437 = (long) (BgL_digitz00_3492);
																	BgL_arg1246z00_3494 =
																		(uint16_t) (BgL_tmpz00_6437);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6440;

																	BgL_tmpz00_6440 = (long) (BgL_iz00_3491);
																	BGL_U16VSET(BgL_arg1245z00_3493,
																		BgL_tmpz00_6440, BgL_arg1246z00_3494);
																} BUNSPEC;
													}}}
													{
														long BgL_cz00_6445;
														long BgL_iz00_6443;

														BgL_iz00_6443 = (BgL_iz00_1548 + ((long) 1));
														BgL_cz00_6445 = ((long) 1);
														BgL_cz00_1549 = BgL_cz00_6445;
														BgL_iz00_1548 = BgL_iz00_6443;
														goto BgL_zc3z04anonymousza31436ze3z87_1550;
													}
												}
										}
									else
										{
											long BgL_iz00_1564;
											long BgL_cz00_1565;

											BgL_iz00_1564 = BgL_iz00_1548;
											BgL_cz00_1565 = BgL_cz00_1549;
										BgL_zc3z04anonymousza31448ze3z87_1566:
											if ((BgL_iz00_1564 < BgL_lenxz00_1543))
												{	/* Unsafe/bignumber.scm 515 */
													long BgL_wz00_1568;

													{	/* Unsafe/bignumber.scm 515 */
														long BgL_arg1457z00_1576;

														{	/* Unsafe/bignumber.scm 515 */
															int BgL_iz00_3500;

															BgL_iz00_3500 = (int) (BgL_iz00_1564);
															{	/* Unsafe/bignumber.scm 267 */
																uint16_t BgL_arg1240z00_3501;

																{	/* Unsafe/bignumber.scm 267 */
																	obj_t BgL_arg1243z00_3502;

																	BgL_arg1243z00_3502 =
																		BGL_BIGNUM_U16VECT(BgL_xz00_1541);
																	{	/* Unsafe/bignumber.scm 267 */
																		long BgL_tmpz00_6450;

																		BgL_tmpz00_6450 = (long) (BgL_iz00_3500);
																		BgL_arg1240z00_3501 =
																			BGL_U16VREF(BgL_arg1243z00_3502,
																			BgL_tmpz00_6450);
																}}
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_arg2287z00_3504;

																	BgL_arg2287z00_3504 =
																		(long) (BgL_arg1240z00_3501);
																	BgL_arg1457z00_1576 =
																		(long) (BgL_arg2287z00_3504);
														}}}
														BgL_wz00_1568 =
															(BgL_arg1457z00_1576 + BgL_cz00_1565);
													}
													if ((BgL_wz00_1568 < ((long) 16384)))
														{	/* Unsafe/bignumber.scm 516 */
															{	/* Unsafe/bignumber.scm 518 */
																int BgL_iz00_3511;
																int BgL_digitz00_3512;

																BgL_iz00_3511 = (int) (BgL_iz00_1564);
																BgL_digitz00_3512 = (int) (BgL_wz00_1568);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1245z00_3513;
																	uint16_t BgL_arg1246z00_3514;

																	BgL_arg1245z00_3513 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1546);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6461;

																		BgL_tmpz00_6461 =
																			(long) (BgL_digitz00_3512);
																		BgL_arg1246z00_3514 =
																			(uint16_t) (BgL_tmpz00_6461);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6464;

																		BgL_tmpz00_6464 = (long) (BgL_iz00_3511);
																		BGL_U16VSET(BgL_arg1245z00_3513,
																			BgL_tmpz00_6464, BgL_arg1246z00_3514);
																	} BUNSPEC;
															}}
															{
																long BgL_cz00_6469;
																long BgL_iz00_6467;

																BgL_iz00_6467 = (BgL_iz00_1564 + ((long) 1));
																BgL_cz00_6469 = ((long) 0);
																BgL_cz00_1565 = BgL_cz00_6469;
																BgL_iz00_1564 = BgL_iz00_6467;
																goto BgL_zc3z04anonymousza31448ze3z87_1566;
															}
														}
													else
														{	/* Unsafe/bignumber.scm 516 */
															{	/* Unsafe/bignumber.scm 521 */
																long BgL_arg1453z00_1572;

																BgL_arg1453z00_1572 =
																	(BgL_wz00_1568 - ((long) 16384));
																{	/* Unsafe/bignumber.scm 521 */
																	int BgL_iz00_3520;
																	int BgL_digitz00_3521;

																	BgL_iz00_3520 = (int) (BgL_iz00_1564);
																	BgL_digitz00_3521 =
																		(int) (BgL_arg1453z00_1572);
																	{	/* Unsafe/bignumber.scm 269 */
																		obj_t BgL_arg1245z00_3522;
																		uint16_t BgL_arg1246z00_3523;

																		BgL_arg1245z00_3522 =
																			BGL_BIGNUM_U16VECT(BgL_rz00_1546);
																		{	/* Unsafe/bignumber.scm 269 */
																			long BgL_tmpz00_6474;

																			BgL_tmpz00_6474 =
																				(long) (BgL_digitz00_3521);
																			BgL_arg1246z00_3523 =
																				(uint16_t) (BgL_tmpz00_6474);
																		}
																		{	/* Unsafe/bignumber.scm 269 */
																			long BgL_tmpz00_6477;

																			BgL_tmpz00_6477 = (long) (BgL_iz00_3520);
																			BGL_U16VSET(BgL_arg1245z00_3522,
																				BgL_tmpz00_6477, BgL_arg1246z00_3523);
																		} BUNSPEC;
															}}}
															{
																long BgL_cz00_6482;
																long BgL_iz00_6480;

																BgL_iz00_6480 = (BgL_iz00_1564 + ((long) 1));
																BgL_cz00_6482 = ((long) 1);
																BgL_cz00_1565 = BgL_cz00_6482;
																BgL_iz00_1564 = BgL_iz00_6480;
																goto BgL_zc3z04anonymousza31448ze3z87_1566;
															}
														}
												}
											else
												{	/* Unsafe/bignumber.scm 513 */
													if ((BgL_cz00_1565 == ((long) 0)))
														{	/* Unsafe/bignumber.scm 524 */
															return
																BGl_bignumzd2shrinkzd2zz__bignumz00
																(BgL_rz00_1546, BgL_lenxz00_1543);
														}
													else
														{	/* Unsafe/bignumber.scm 524 */
															{	/* Unsafe/bignumber.scm 527 */
																int BgL_iz00_3528;
																int BgL_digitz00_3529;

																BgL_iz00_3528 = (int) (BgL_lenxz00_1543);
																BgL_digitz00_3529 = (int) (BgL_cz00_1565);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1245z00_3530;
																	uint16_t BgL_arg1246z00_3531;

																	BgL_arg1245z00_3530 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1546);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6489;

																		BgL_tmpz00_6489 =
																			(long) (BgL_digitz00_3529);
																		BgL_arg1246z00_3531 =
																			(uint16_t) (BgL_tmpz00_6489);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6492;

																		BgL_tmpz00_6492 = (long) (BgL_iz00_3528);
																		BGL_U16VSET(BgL_arg1245z00_3530,
																			BgL_tmpz00_6492, BgL_arg1246z00_3531);
																	} BUNSPEC;
															}}
															return BgL_rz00_1546;
														}
												}
										}
								}
							}
						}
					else
						{
							long BgL_lenyz00_6498;
							long BgL_lenxz00_6497;
							obj_t BgL_yz00_6496;
							obj_t BgL_xz00_6495;

							BgL_xz00_6495 = BgL_xz00_44;
							BgL_yz00_6496 = BgL_yz00_45;
							BgL_lenxz00_6497 = BgL_lenxz00_1538;
							BgL_lenyz00_6498 = BgL_lenyz00_1539;
							BgL_lenyz00_1544 = BgL_lenyz00_6498;
							BgL_lenxz00_1543 = BgL_lenxz00_6497;
							BgL_yz00_1542 = BgL_yz00_6496;
							BgL_xz00_1541 = BgL_xz00_6495;
							goto BgL_zc3z04anonymousza31435ze3z87_1545;
						}
				}
			}
		}

	}



/* bignum-sub-nonneg */
	obj_t BGl_bignumzd2subzd2nonnegz00zz__bignumz00(obj_t BgL_xz00_46,
		obj_t BgL_yz00_47)
	{
		{	/* Unsafe/bignumber.scm 536 */
			{
				obj_t BgL_xz00_1602;
				obj_t BgL_yz00_1603;
				long BgL_lenxz00_1604;
				long BgL_lenyz00_1605;
				obj_t BgL_rz00_1586;

				{	/* Unsafe/bignumber.scm 589 */
					long BgL_arg1462z00_1584;
					long BgL_arg1463z00_1585;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3661;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3662;

							BgL_arg1223z00_3662 = BGL_BIGNUM_U16VECT(BgL_xz00_46);
							BgL_arg1222z00_3661 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3662);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3664;

							BgL_xz00_3664 = (uint16_t) (BgL_arg1222z00_3661);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3665;

								BgL_arg2287z00_3665 = (long) (BgL_xz00_3664);
								BgL_arg1462z00_1584 = (long) (BgL_arg2287z00_3665);
					}}}
					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3668;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3669;

							BgL_arg1223z00_3669 = BGL_BIGNUM_U16VECT(BgL_yz00_47);
							BgL_arg1222z00_3668 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3669);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3671;

							BgL_xz00_3671 = (uint16_t) (BgL_arg1222z00_3668);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3672;

								BgL_arg2287z00_3672 = (long) (BgL_xz00_3671);
								BgL_arg1463z00_1585 = (long) (BgL_arg2287z00_3672);
					}}}
					BgL_xz00_1602 = BgL_xz00_46;
					BgL_yz00_1603 = BgL_yz00_47;
					BgL_lenxz00_1604 = BgL_arg1462z00_1584;
					BgL_lenyz00_1605 = BgL_arg1463z00_1585;
					{	/* Unsafe/bignumber.scm 553 */
						obj_t BgL_rz00_1607;

						{	/* Unsafe/bignumber.scm 553 */
							int BgL_lenz00_3582;

							BgL_lenz00_3582 = (int) (BgL_lenxz00_1604);
							{	/* Unsafe/bignumber.scm 259 */
								obj_t BgL_arg1220z00_3583;

								{	/* Unsafe/bignumber.scm 259 */

									BgL_arg1220z00_3583 =
										BGl_makezd2u16vectorzd2zz__srfi4z00(
										(long) (BgL_lenz00_3582), (uint16_t) (0));
								}
								BgL_rz00_1607 = bgl_make_bignum(BgL_arg1220z00_3583);
						}}
						{
							long BgL_iz00_1609;
							long BgL_bz00_1610;

							BgL_iz00_1609 = ((long) 1);
							BgL_bz00_1610 = ((long) 0);
						BgL_zc3z04anonymousza31474ze3z87_1611:
							if ((BgL_iz00_1609 < BgL_lenyz00_1605))
								{	/* Unsafe/bignumber.scm 558 */
									long BgL_wz00_1613;

									{	/* Unsafe/bignumber.scm 558 */
										long BgL_arg1482z00_1619;

										{	/* Unsafe/bignumber.scm 558 */
											long BgL_arg1483z00_1620;
											long BgL_arg1484z00_1621;

											{	/* Unsafe/bignumber.scm 558 */
												int BgL_iz00_3589;

												BgL_iz00_3589 = (int) (BgL_iz00_1609);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_3590;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_3591;

														BgL_arg1243z00_3591 =
															BGL_BIGNUM_U16VECT(BgL_xz00_1602);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_6517;

															BgL_tmpz00_6517 = (long) (BgL_iz00_3589);
															BgL_arg1240z00_3590 =
																BGL_U16VREF(BgL_arg1243z00_3591,
																BgL_tmpz00_6517);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_3593;

														BgL_arg2287z00_3593 = (long) (BgL_arg1240z00_3590);
														BgL_arg1483z00_1620 = (long) (BgL_arg2287z00_3593);
											}}}
											{	/* Unsafe/bignumber.scm 559 */
												int BgL_iz00_3596;

												BgL_iz00_3596 = (int) (BgL_iz00_1609);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_3597;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_3598;

														BgL_arg1243z00_3598 =
															BGL_BIGNUM_U16VECT(BgL_yz00_1603);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_6524;

															BgL_tmpz00_6524 = (long) (BgL_iz00_3596);
															BgL_arg1240z00_3597 =
																BGL_U16VREF(BgL_arg1243z00_3598,
																BgL_tmpz00_6524);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_3600;

														BgL_arg2287z00_3600 = (long) (BgL_arg1240z00_3597);
														BgL_arg1484z00_1621 = (long) (BgL_arg2287z00_3600);
											}}}
											BgL_arg1482z00_1619 =
												(BgL_arg1483z00_1620 - BgL_arg1484z00_1621);
										}
										BgL_wz00_1613 = (BgL_arg1482z00_1619 - BgL_bz00_1610);
									}
									if ((BgL_wz00_1613 < ((long) 0)))
										{	/* Unsafe/bignumber.scm 561 */
											{	/* Unsafe/bignumber.scm 563 */
												long BgL_arg1477z00_1615;

												BgL_arg1477z00_1615 = (BgL_wz00_1613 + ((long) 16384));
												{	/* Unsafe/bignumber.scm 563 */
													int BgL_iz00_3610;
													int BgL_digitz00_3611;

													BgL_iz00_3610 = (int) (BgL_iz00_1609);
													BgL_digitz00_3611 = (int) (BgL_arg1477z00_1615);
													{	/* Unsafe/bignumber.scm 269 */
														obj_t BgL_arg1245z00_3612;
														uint16_t BgL_arg1246z00_3613;

														BgL_arg1245z00_3612 =
															BGL_BIGNUM_U16VECT(BgL_rz00_1607);
														{	/* Unsafe/bignumber.scm 269 */
															long BgL_tmpz00_6537;

															BgL_tmpz00_6537 = (long) (BgL_digitz00_3611);
															BgL_arg1246z00_3613 =
																(uint16_t) (BgL_tmpz00_6537);
														}
														{	/* Unsafe/bignumber.scm 269 */
															long BgL_tmpz00_6540;

															BgL_tmpz00_6540 = (long) (BgL_iz00_3610);
															BGL_U16VSET(BgL_arg1245z00_3612, BgL_tmpz00_6540,
																BgL_arg1246z00_3613);
														} BUNSPEC;
											}}}
											{
												long BgL_bz00_6545;
												long BgL_iz00_6543;

												BgL_iz00_6543 = (BgL_iz00_1609 + ((long) 1));
												BgL_bz00_6545 = ((long) 1);
												BgL_bz00_1610 = BgL_bz00_6545;
												BgL_iz00_1609 = BgL_iz00_6543;
												goto BgL_zc3z04anonymousza31474ze3z87_1611;
											}
										}
									else
										{	/* Unsafe/bignumber.scm 561 */
											{	/* Unsafe/bignumber.scm 566 */
												int BgL_iz00_3617;
												int BgL_digitz00_3618;

												BgL_iz00_3617 = (int) (BgL_iz00_1609);
												BgL_digitz00_3618 = (int) (BgL_wz00_1613);
												{	/* Unsafe/bignumber.scm 269 */
													obj_t BgL_arg1245z00_3619;
													uint16_t BgL_arg1246z00_3620;

													BgL_arg1245z00_3619 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1607);
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6549;

														BgL_tmpz00_6549 = (long) (BgL_digitz00_3618);
														BgL_arg1246z00_3620 = (uint16_t) (BgL_tmpz00_6549);
													}
													{	/* Unsafe/bignumber.scm 269 */
														long BgL_tmpz00_6552;

														BgL_tmpz00_6552 = (long) (BgL_iz00_3617);
														BGL_U16VSET(BgL_arg1245z00_3619, BgL_tmpz00_6552,
															BgL_arg1246z00_3620);
													} BUNSPEC;
											}}
											{
												long BgL_bz00_6557;
												long BgL_iz00_6555;

												BgL_iz00_6555 = (BgL_iz00_1609 + ((long) 1));
												BgL_bz00_6557 = ((long) 0);
												BgL_bz00_1610 = BgL_bz00_6557;
												BgL_iz00_1609 = BgL_iz00_6555;
												goto BgL_zc3z04anonymousza31474ze3z87_1611;
											}
										}
								}
							else
								{
									long BgL_iz00_1623;
									long BgL_bz00_1624;

									BgL_iz00_1623 = BgL_iz00_1609;
									BgL_bz00_1624 = BgL_bz00_1610;
								BgL_zc3z04anonymousza31485ze3z87_1625:
									if ((BgL_iz00_1623 < BgL_lenxz00_1604))
										{	/* Unsafe/bignumber.scm 572 */
											long BgL_wz00_1627;

											{	/* Unsafe/bignumber.scm 572 */
												long BgL_arg1492z00_1633;

												{	/* Unsafe/bignumber.scm 572 */
													int BgL_iz00_3626;

													BgL_iz00_3626 = (int) (BgL_iz00_1623);
													{	/* Unsafe/bignumber.scm 267 */
														uint16_t BgL_arg1240z00_3627;

														{	/* Unsafe/bignumber.scm 267 */
															obj_t BgL_arg1243z00_3628;

															BgL_arg1243z00_3628 =
																BGL_BIGNUM_U16VECT(BgL_xz00_1602);
															{	/* Unsafe/bignumber.scm 267 */
																long BgL_tmpz00_6562;

																BgL_tmpz00_6562 = (long) (BgL_iz00_3626);
																BgL_arg1240z00_3627 =
																	BGL_U16VREF(BgL_arg1243z00_3628,
																	BgL_tmpz00_6562);
														}}
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_arg2287z00_3630;

															BgL_arg2287z00_3630 =
																(long) (BgL_arg1240z00_3627);
															BgL_arg1492z00_1633 =
																(long) (BgL_arg2287z00_3630);
												}}}
												BgL_wz00_1627 = (BgL_arg1492z00_1633 - BgL_bz00_1624);
											}
											if ((BgL_wz00_1627 < ((long) 0)))
												{	/* Unsafe/bignumber.scm 573 */
													{	/* Unsafe/bignumber.scm 575 */
														long BgL_arg1488z00_1629;

														BgL_arg1488z00_1629 =
															(BgL_wz00_1627 + ((long) 16384));
														{	/* Unsafe/bignumber.scm 575 */
															int BgL_iz00_3638;
															int BgL_digitz00_3639;

															BgL_iz00_3638 = (int) (BgL_iz00_1623);
															BgL_digitz00_3639 = (int) (BgL_arg1488z00_1629);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1245z00_3640;
																uint16_t BgL_arg1246z00_3641;

																BgL_arg1245z00_3640 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1607);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6574;

																	BgL_tmpz00_6574 = (long) (BgL_digitz00_3639);
																	BgL_arg1246z00_3641 =
																		(uint16_t) (BgL_tmpz00_6574);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6577;

																	BgL_tmpz00_6577 = (long) (BgL_iz00_3638);
																	BGL_U16VSET(BgL_arg1245z00_3640,
																		BgL_tmpz00_6577, BgL_arg1246z00_3641);
																} BUNSPEC;
													}}}
													{
														long BgL_bz00_6582;
														long BgL_iz00_6580;

														BgL_iz00_6580 = (BgL_iz00_1623 + ((long) 1));
														BgL_bz00_6582 = ((long) 1);
														BgL_bz00_1624 = BgL_bz00_6582;
														BgL_iz00_1623 = BgL_iz00_6580;
														goto BgL_zc3z04anonymousza31485ze3z87_1625;
													}
												}
											else
												{	/* Unsafe/bignumber.scm 573 */
													{	/* Unsafe/bignumber.scm 578 */
														int BgL_iz00_3645;
														int BgL_digitz00_3646;

														BgL_iz00_3645 = (int) (BgL_iz00_1623);
														BgL_digitz00_3646 = (int) (BgL_wz00_1627);
														{	/* Unsafe/bignumber.scm 269 */
															obj_t BgL_arg1245z00_3647;
															uint16_t BgL_arg1246z00_3648;

															BgL_arg1245z00_3647 =
																BGL_BIGNUM_U16VECT(BgL_rz00_1607);
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6586;

																BgL_tmpz00_6586 = (long) (BgL_digitz00_3646);
																BgL_arg1246z00_3648 =
																	(uint16_t) (BgL_tmpz00_6586);
															}
															{	/* Unsafe/bignumber.scm 269 */
																long BgL_tmpz00_6589;

																BgL_tmpz00_6589 = (long) (BgL_iz00_3645);
																BGL_U16VSET(BgL_arg1245z00_3647,
																	BgL_tmpz00_6589, BgL_arg1246z00_3648);
															} BUNSPEC;
													}}
													{
														long BgL_bz00_6594;
														long BgL_iz00_6592;

														BgL_iz00_6592 = (BgL_iz00_1623 + ((long) 1));
														BgL_bz00_6594 = ((long) 0);
														BgL_bz00_1624 = BgL_bz00_6594;
														BgL_iz00_1623 = BgL_iz00_6592;
														goto BgL_zc3z04anonymousza31485ze3z87_1625;
													}
												}
										}
									else
										{	/* Unsafe/bignumber.scm 570 */
											if ((BgL_bz00_1624 == ((long) 0)))
												{	/* Unsafe/bignumber.scm 265 */
													obj_t BgL_arg1236z00_3654;
													uint16_t BgL_arg1237z00_3655;

													BgL_arg1236z00_3654 =
														BGL_BIGNUM_U16VECT(BgL_rz00_1607);
													BgL_arg1237z00_3655 = (uint16_t) (((long) 1));
													BGL_U16VSET(BgL_arg1236z00_3654, ((long) 0),
														BgL_arg1237z00_3655);
													BUNSPEC;
												}
											else
												{	/* Unsafe/bignumber.scm 581 */
													{	/* Unsafe/bignumber.scm 265 */
														obj_t BgL_arg1236z00_3658;
														uint16_t BgL_arg1237z00_3659;

														BgL_arg1236z00_3658 =
															BGL_BIGNUM_U16VECT(BgL_rz00_1607);
														BgL_arg1237z00_3659 = (uint16_t) (((long) 0));
														BGL_U16VSET(BgL_arg1236z00_3658, ((long) 0),
															BgL_arg1237z00_3659);
														BUNSPEC;
													}
													{	/* Unsafe/bignumber.scm 585 */
														bool_t BgL_tmpz00_6603;

														BgL_rz00_1586 = BgL_rz00_1607;
														{	/* Unsafe/bignumber.scm 539 */
															long BgL_lrz00_1588;

															{	/* Unsafe/bignumber.scm 261 */
																long BgL_arg1222z00_3550;

																{	/* Unsafe/bignumber.scm 261 */
																	obj_t BgL_arg1223z00_3551;

																	BgL_arg1223z00_3551 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1586);
																	BgL_arg1222z00_3550 =
																		BGL_HVECTOR_LENGTH(BgL_arg1223z00_3551);
																}
																{	/* Unsafe/bignumber.scm 261 */
																	uint16_t BgL_xz00_3553;

																	BgL_xz00_3553 =
																		(uint16_t) (BgL_arg1222z00_3550);
																	{	/* Unsafe/bignumber.scm 261 */
																		long BgL_arg2287z00_3554;

																		BgL_arg2287z00_3554 =
																			(long) (BgL_xz00_3553);
																		BgL_lrz00_1588 =
																			(long) (BgL_arg2287z00_3554);
															}}}
															{
																long BgL_iz00_1590;
																long BgL_cz00_1591;

																BgL_iz00_1590 = ((long) 1);
																BgL_cz00_1591 = ((long) 0);
															BgL_zc3z04anonymousza31465ze3z87_1592:
																if ((BgL_iz00_1590 < BgL_lrz00_1588))
																	{	/* Unsafe/bignumber.scm 543 */
																		long BgL_wz00_1594;

																		{	/* Unsafe/bignumber.scm 543 */
																			long BgL_arg1472z00_1600;

																			{	/* Unsafe/bignumber.scm 543 */
																				int BgL_iz00_3559;

																				BgL_iz00_3559 = (int) (BgL_iz00_1590);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1240z00_3560;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1243z00_3561;

																						BgL_arg1243z00_3561 =
																							BGL_BIGNUM_U16VECT(BgL_rz00_1586);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_6613;

																							BgL_tmpz00_6613 =
																								(long) (BgL_iz00_3559);
																							BgL_arg1240z00_3560 =
																								BGL_U16VREF(BgL_arg1243z00_3561,
																								BgL_tmpz00_6613);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2287z00_3563;

																						BgL_arg2287z00_3563 =
																							(long) (BgL_arg1240z00_3560);
																						BgL_arg1472z00_1600 =
																							(long) (BgL_arg2287z00_3563);
																			}}}
																			BgL_wz00_1594 =
																				(BgL_arg1472z00_1600 + BgL_cz00_1591);
																		}
																		if ((((long) 0) < BgL_wz00_1594))
																			{	/* Unsafe/bignumber.scm 544 */
																				{	/* Unsafe/bignumber.scm 546 */
																					long BgL_arg1468z00_1596;

																					BgL_arg1468z00_1596 =
																						(((long) 16384) - BgL_wz00_1594);
																					{	/* Unsafe/bignumber.scm 546 */
																						int BgL_iz00_3571;
																						int BgL_digitz00_3572;

																						BgL_iz00_3571 =
																							(int) (BgL_iz00_1590);
																						BgL_digitz00_3572 =
																							(int) (BgL_arg1468z00_1596);
																						{	/* Unsafe/bignumber.scm 269 */
																							obj_t BgL_arg1245z00_3573;
																							uint16_t BgL_arg1246z00_3574;

																							BgL_arg1245z00_3573 =
																								BGL_BIGNUM_U16VECT
																								(BgL_rz00_1586);
																							{	/* Unsafe/bignumber.scm 269 */
																								long BgL_tmpz00_6625;

																								BgL_tmpz00_6625 =
																									(long) (BgL_digitz00_3572);
																								BgL_arg1246z00_3574 =
																									(uint16_t) (BgL_tmpz00_6625);
																							}
																							{	/* Unsafe/bignumber.scm 269 */
																								long BgL_tmpz00_6628;

																								BgL_tmpz00_6628 =
																									(long) (BgL_iz00_3571);
																								BGL_U16VSET(BgL_arg1245z00_3573,
																									BgL_tmpz00_6628,
																									BgL_arg1246z00_3574);
																							} BUNSPEC;
																				}}}
																				{
																					long BgL_cz00_6633;
																					long BgL_iz00_6631;

																					BgL_iz00_6631 =
																						(BgL_iz00_1590 + ((long) 1));
																					BgL_cz00_6633 = ((long) 1);
																					BgL_cz00_1591 = BgL_cz00_6633;
																					BgL_iz00_1590 = BgL_iz00_6631;
																					goto
																						BgL_zc3z04anonymousza31465ze3z87_1592;
																				}
																			}
																		else
																			{	/* Unsafe/bignumber.scm 544 */
																				{	/* Unsafe/bignumber.scm 549 */
																					int BgL_iz00_3578;

																					BgL_iz00_3578 = (int) (BgL_iz00_1590);
																					{	/* Unsafe/bignumber.scm 269 */
																						obj_t BgL_arg1245z00_3579;
																						uint16_t BgL_arg1246z00_3580;

																						BgL_arg1245z00_3579 =
																							BGL_BIGNUM_U16VECT(BgL_rz00_1586);
																						BgL_arg1246z00_3580 =
																							(uint16_t) (((long) 0));
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_6637;

																							BgL_tmpz00_6637 =
																								(long) (BgL_iz00_3578);
																							BGL_U16VSET(BgL_arg1245z00_3579,
																								BgL_tmpz00_6637,
																								BgL_arg1246z00_3580);
																						} BUNSPEC;
																				}}
																				{
																					long BgL_cz00_6642;
																					long BgL_iz00_6640;

																					BgL_iz00_6640 =
																						(BgL_iz00_1590 + ((long) 1));
																					BgL_cz00_6642 = ((long) 0);
																					BgL_cz00_1591 = BgL_cz00_6642;
																					BgL_iz00_1590 = BgL_iz00_6640;
																					goto
																						BgL_zc3z04anonymousza31465ze3z87_1592;
																				}
																			}
																	}
																else
																	{	/* Unsafe/bignumber.scm 541 */
																		BgL_tmpz00_6603 = ((bool_t) 0);
																	}
															}
														}
														BBOOL(BgL_tmpz00_6603);
													}
												}
										}
								}
						}
						return
							BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
							(BgL_rz00_1607);
					}
				}
			}
		}

	}



/* bignum-sum2 */
	obj_t BGl_bignumzd2sum2zd2zz__bignumz00(obj_t BgL_xz00_48, obj_t BgL_yz00_49,
		long BgL_signzd2xzd2_50, long BgL_signzd2yzd2_51)
	{
		{	/* Unsafe/bignumber.scm 591 */
			if ((BgL_signzd2xzd2_50 == BgL_signzd2yzd2_51))
				{	/* Unsafe/bignumber.scm 600 */
					obj_t BgL_arg1496z00_1641;

					BgL_arg1496z00_1641 =
						BGl_bignumzd2addzd2nonnegz00zz__bignumz00(BgL_xz00_48, BgL_yz00_49);
					{	/* Unsafe/bignumber.scm 594 */
						bool_t BgL_test2751z00_6648;

						{	/* Unsafe/bignumber.scm 594 */
							long BgL_arg1509z00_3696;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_3699;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_3700;

									BgL_arg1233z00_3700 = BGL_BIGNUM_U16VECT(BgL_arg1496z00_1641);
									BgL_arg1232z00_3699 =
										BGL_U16VREF(BgL_arg1233z00_3700, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_3702;

									BgL_arg2287z00_3702 = (long) (BgL_arg1232z00_3699);
									BgL_arg1509z00_3696 = (long) (BgL_arg2287z00_3702);
							}}
							BgL_test2751z00_6648 =
								(BgL_arg1509z00_3696 == BgL_signzd2xzd2_50);
						}
						if (BgL_test2751z00_6648)
							{	/* Unsafe/bignumber.scm 594 */
								BGl_bignumzd2signzd2setz12z12zz__bignumz00(BgL_arg1496z00_1641,
									(int) (((long) 1)));
							}
						else
							{	/* Unsafe/bignumber.scm 594 */
								BGl_bignumzd2signzd2setz12z12zz__bignumz00(BgL_arg1496z00_1641,
									(int) (((long) 0)));
					}}
					return
						BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
						(BgL_arg1496z00_1641);
				}
			else
				{	/* Unsafe/bignumber.scm 601 */
					bool_t BgL_test2752z00_6659;

					{	/* Unsafe/bignumber.scm 601 */
						long BgL_arg1504z00_1647;
						long BgL_arg1505z00_1648;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3709;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3710;

								BgL_arg1223z00_3710 = BGL_BIGNUM_U16VECT(BgL_xz00_48);
								BgL_arg1222z00_3709 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3710);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3712;

								BgL_xz00_3712 = (uint16_t) (BgL_arg1222z00_3709);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3713;

									BgL_arg2287z00_3713 = (long) (BgL_xz00_3712);
									BgL_arg1504z00_1647 = (long) (BgL_arg2287z00_3713);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3716;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3717;

								BgL_arg1223z00_3717 = BGL_BIGNUM_U16VECT(BgL_yz00_49);
								BgL_arg1222z00_3716 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3717);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3719;

								BgL_xz00_3719 = (uint16_t) (BgL_arg1222z00_3716);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3720;

									BgL_arg2287z00_3720 = (long) (BgL_xz00_3719);
									BgL_arg1505z00_1648 = (long) (BgL_arg2287z00_3720);
						}}}
						BgL_test2752z00_6659 = (BgL_arg1504z00_1647 < BgL_arg1505z00_1648);
					}
					if (BgL_test2752z00_6659)
						{	/* Unsafe/bignumber.scm 602 */
							obj_t BgL_arg1502z00_1645;

							BgL_arg1502z00_1645 =
								BGl_bignumzd2subzd2nonnegz00zz__bignumz00(BgL_yz00_49,
								BgL_xz00_48);
							{	/* Unsafe/bignumber.scm 594 */
								bool_t BgL_test2753z00_6672;

								{	/* Unsafe/bignumber.scm 594 */
									long BgL_arg1509z00_3725;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_3728;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_3729;

											BgL_arg1233z00_3729 =
												BGL_BIGNUM_U16VECT(BgL_arg1502z00_1645);
											BgL_arg1232z00_3728 =
												BGL_U16VREF(BgL_arg1233z00_3729, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_3731;

											BgL_arg2287z00_3731 = (long) (BgL_arg1232z00_3728);
											BgL_arg1509z00_3725 = (long) (BgL_arg2287z00_3731);
									}}
									BgL_test2753z00_6672 =
										(BgL_arg1509z00_3725 == BgL_signzd2yzd2_51);
								}
								if (BgL_test2753z00_6672)
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1502z00_1645, (int) (((long) 1)));
									}
								else
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1502z00_1645, (int) (((long) 0)));
							}}
							return
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_arg1502z00_1645);
						}
					else
						{	/* Unsafe/bignumber.scm 604 */
							obj_t BgL_arg1503z00_1646;

							BgL_arg1503z00_1646 =
								BGl_bignumzd2subzd2nonnegz00zz__bignumz00(BgL_xz00_48,
								BgL_yz00_49);
							{	/* Unsafe/bignumber.scm 594 */
								bool_t BgL_test2754z00_6684;

								{	/* Unsafe/bignumber.scm 594 */
									long BgL_arg1509z00_3738;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_3741;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_3742;

											BgL_arg1233z00_3742 =
												BGL_BIGNUM_U16VECT(BgL_arg1503z00_1646);
											BgL_arg1232z00_3741 =
												BGL_U16VREF(BgL_arg1233z00_3742, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_3744;

											BgL_arg2287z00_3744 = (long) (BgL_arg1232z00_3741);
											BgL_arg1509z00_3738 = (long) (BgL_arg2287z00_3744);
									}}
									BgL_test2754z00_6684 =
										(BgL_arg1509z00_3738 == BgL_signzd2xzd2_50);
								}
								if (BgL_test2754z00_6684)
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1503z00_1646, (int) (((long) 1)));
									}
								else
									{	/* Unsafe/bignumber.scm 594 */
										BGl_bignumzd2signzd2setz12z12zz__bignumz00
											(BgL_arg1503z00_1646, (int) (((long) 0)));
							}}
							return
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_arg1503z00_1646);
						}
				}
		}

	}



/* $$+bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_add(obj_t BgL_xz00_52, obj_t BgL_yz00_53)
	{
		{	/* Unsafe/bignumber.scm 606 */
			{	/* Unsafe/bignumber.scm 607 */
				long BgL_arg1511z00_3750;
				long BgL_arg1512z00_3751;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1232z00_3753;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1233z00_3754;

						BgL_arg1233z00_3754 = BGL_BIGNUM_U16VECT(BgL_xz00_52);
						BgL_arg1232z00_3753 = BGL_U16VREF(BgL_arg1233z00_3754, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2287z00_3756;

						BgL_arg2287z00_3756 = (long) (BgL_arg1232z00_3753);
						BgL_arg1511z00_3750 = (long) (BgL_arg2287z00_3756);
				}}
				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1232z00_3759;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1233z00_3760;

						BgL_arg1233z00_3760 = BGL_BIGNUM_U16VECT(BgL_yz00_53);
						BgL_arg1232z00_3759 = BGL_U16VREF(BgL_arg1233z00_3760, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2287z00_3762;

						BgL_arg2287z00_3762 = (long) (BgL_arg1232z00_3759);
						BgL_arg1512z00_3751 = (long) (BgL_arg2287z00_3762);
				}}
				return
					BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_52, BgL_yz00_53,
					BgL_arg1511z00_3750, BgL_arg1512z00_3751);
			}
		}

	}



/* &$$+bx */
	obj_t BGl_z62z42z42zb2bxzd0zz__bignumz00(obj_t BgL_envz00_5529,
		obj_t BgL_xz00_5530, obj_t BgL_yz00_5531)
	{
		{	/* Unsafe/bignumber.scm 606 */
			{	/* Unsafe/bignumber.scm 607 */
				obj_t BgL_auxz00_6711;
				obj_t BgL_auxz00_6704;

				if (BIGNUMP(BgL_yz00_5531))
					{	/* Unsafe/bignumber.scm 607 */
						BgL_auxz00_6711 = BgL_yz00_5531;
					}
				else
					{
						obj_t BgL_auxz00_6714;

						BgL_auxz00_6714 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 20617)), BGl_string2529z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5531);
						FAILURE(BgL_auxz00_6714, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5530))
					{	/* Unsafe/bignumber.scm 607 */
						BgL_auxz00_6704 = BgL_xz00_5530;
					}
				else
					{
						obj_t BgL_auxz00_6707;

						BgL_auxz00_6707 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 20617)), BGl_string2529z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5530);
						FAILURE(BgL_auxz00_6707, BFALSE, BFALSE);
					}
				return bgl_bignum_add(BgL_auxz00_6704, BgL_auxz00_6711);
			}
		}

	}



/* $$-bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_sub(obj_t BgL_xz00_54, obj_t BgL_yz00_55)
	{
		{	/* Unsafe/bignumber.scm 609 */
			{	/* Unsafe/bignumber.scm 610 */
				long BgL_arg1513z00_3764;
				long BgL_arg1514z00_3765;

				{	/* Unsafe/bignumber.scm 263 */
					uint16_t BgL_arg1232z00_3768;

					{	/* Unsafe/bignumber.scm 263 */
						obj_t BgL_arg1233z00_3769;

						BgL_arg1233z00_3769 = BGL_BIGNUM_U16VECT(BgL_xz00_54);
						BgL_arg1232z00_3768 = BGL_U16VREF(BgL_arg1233z00_3769, ((long) 0));
					}
					{	/* Unsafe/bignumber.scm 263 */
						long BgL_arg2287z00_3771;

						BgL_arg2287z00_3771 = (long) (BgL_arg1232z00_3768);
						BgL_arg1513z00_3764 = (long) (BgL_arg2287z00_3771);
				}}
				{	/* Unsafe/bignumber.scm 610 */
					long BgL_arg1515z00_3766;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1232z00_3774;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1233z00_3775;

							BgL_arg1233z00_3775 = BGL_BIGNUM_U16VECT(BgL_yz00_55);
							BgL_arg1232z00_3774 =
								BGL_U16VREF(BgL_arg1233z00_3775, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2287z00_3777;

							BgL_arg2287z00_3777 = (long) (BgL_arg1232z00_3774);
							BgL_arg1515z00_3766 = (long) (BgL_arg2287z00_3777);
					}}
					BgL_arg1514z00_3765 = (((long) 1) - BgL_arg1515z00_3766);
				}
				return
					BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_54, BgL_yz00_55,
					BgL_arg1513z00_3764, BgL_arg1514z00_3765);
			}
		}

	}



/* &$$-bx */
	obj_t BGl_z62z42z42zd2bxzb0zz__bignumz00(obj_t BgL_envz00_5532,
		obj_t BgL_xz00_5533, obj_t BgL_yz00_5534)
	{
		{	/* Unsafe/bignumber.scm 609 */
			{	/* Unsafe/bignumber.scm 610 */
				obj_t BgL_auxz00_6736;
				obj_t BgL_auxz00_6729;

				if (BIGNUMP(BgL_yz00_5534))
					{	/* Unsafe/bignumber.scm 610 */
						BgL_auxz00_6736 = BgL_yz00_5534;
					}
				else
					{
						obj_t BgL_auxz00_6739;

						BgL_auxz00_6739 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 20692)), BGl_string2530z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5534);
						FAILURE(BgL_auxz00_6739, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5533))
					{	/* Unsafe/bignumber.scm 610 */
						BgL_auxz00_6729 = BgL_xz00_5533;
					}
				else
					{
						obj_t BgL_auxz00_6732;

						BgL_auxz00_6732 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 20692)), BGl_string2530z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5533);
						FAILURE(BgL_auxz00_6732, BFALSE, BFALSE);
					}
				return bgl_bignum_sub(BgL_auxz00_6729, BgL_auxz00_6736);
			}
		}

	}



/* $$negbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_neg(obj_t BgL_xz00_56)
	{
		{	/* Unsafe/bignumber.scm 612 */
			{	/* Unsafe/bignumber.scm 613 */
				obj_t BgL_res2354z00_3798;

				{	/* Unsafe/bignumber.scm 613 */
					obj_t BgL_xz00_3780;

					BgL_xz00_3780 = BGl_bignumzd2za7eroz75zz__bignumz00;
					{	/* Unsafe/bignumber.scm 610 */
						long BgL_arg1513z00_3782;
						long BgL_arg1514z00_3783;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1232z00_3786;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1233z00_3787;

								BgL_arg1233z00_3787 = BGL_BIGNUM_U16VECT(BgL_xz00_3780);
								BgL_arg1232z00_3786 =
									BGL_U16VREF(BgL_arg1233z00_3787, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2287z00_3789;

								BgL_arg2287z00_3789 = (long) (BgL_arg1232z00_3786);
								BgL_arg1513z00_3782 = (long) (BgL_arg2287z00_3789);
						}}
						{	/* Unsafe/bignumber.scm 610 */
							long BgL_arg1515z00_3784;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_3792;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_3793;

									BgL_arg1233z00_3793 = BGL_BIGNUM_U16VECT(BgL_xz00_56);
									BgL_arg1232z00_3792 =
										BGL_U16VREF(BgL_arg1233z00_3793, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_3795;

									BgL_arg2287z00_3795 = (long) (BgL_arg1232z00_3792);
									BgL_arg1515z00_3784 = (long) (BgL_arg2287z00_3795);
							}}
							BgL_arg1514z00_3783 = (((long) 1) - BgL_arg1515z00_3784);
						}
						BgL_res2354z00_3798 =
							BGl_bignumzd2sum2zd2zz__bignumz00(BgL_xz00_3780, BgL_xz00_56,
							BgL_arg1513z00_3782, BgL_arg1514z00_3783);
				}}
				return BgL_res2354z00_3798;
			}
		}

	}



/* &$$negbx */
	obj_t BGl_z62z42z42negbxz62zz__bignumz00(obj_t BgL_envz00_5535,
		obj_t BgL_xz00_5536)
	{
		{	/* Unsafe/bignumber.scm 612 */
			{	/* Unsafe/bignumber.scm 613 */
				obj_t BgL_auxz00_6754;

				if (BIGNUMP(BgL_xz00_5536))
					{	/* Unsafe/bignumber.scm 613 */
						BgL_auxz00_6754 = BgL_xz00_5536;
					}
				else
					{
						obj_t BgL_auxz00_6757;

						BgL_auxz00_6757 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 20758)), BGl_string2531z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5536);
						FAILURE(BgL_auxz00_6757, BFALSE, BFALSE);
					}
				return bgl_bignum_neg(BgL_auxz00_6754);
			}
		}

	}



/* $$*bx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_mul(obj_t BgL_xz00_60, obj_t BgL_yz00_61)
	{
		{	/* Unsafe/bignumber.scm 634 */
			{
				obj_t BgL_xz00_1688;
				obj_t BgL_yz00_1689;
				long BgL_lenxz00_1690;
				long BgL_lenyz00_1691;

				{	/* Unsafe/bignumber.scm 665 */
					obj_t BgL_arg1528z00_1685;

					{	/* Unsafe/bignumber.scm 665 */
						long BgL_arg1529z00_1686;
						long BgL_arg1530z00_1687;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3879;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3880;

								BgL_arg1223z00_3880 = BGL_BIGNUM_U16VECT(BgL_xz00_60);
								BgL_arg1222z00_3879 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3880);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3882;

								BgL_xz00_3882 = (uint16_t) (BgL_arg1222z00_3879);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3883;

									BgL_arg2287z00_3883 = (long) (BgL_xz00_3882);
									BgL_arg1529z00_1686 = (long) (BgL_arg2287z00_3883);
						}}}
						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_3886;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_3887;

								BgL_arg1223z00_3887 = BGL_BIGNUM_U16VECT(BgL_yz00_61);
								BgL_arg1222z00_3886 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3887);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_3889;

								BgL_xz00_3889 = (uint16_t) (BgL_arg1222z00_3886);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_3890;

									BgL_arg2287z00_3890 = (long) (BgL_xz00_3889);
									BgL_arg1530z00_1687 = (long) (BgL_arg2287z00_3890);
						}}}
						BgL_xz00_1688 = BgL_xz00_60;
						BgL_yz00_1689 = BgL_yz00_61;
						BgL_lenxz00_1690 = BgL_arg1529z00_1686;
						BgL_lenyz00_1691 = BgL_arg1530z00_1687;
						{	/* Unsafe/bignumber.scm 637 */
							obj_t BgL_rz00_1693;

							{	/* Unsafe/bignumber.scm 637 */
								long BgL_arg1559z00_1726;

								BgL_arg1559z00_1726 =
									((BgL_lenxz00_1690 + BgL_lenyz00_1691) - ((long) 1));
								{	/* Unsafe/bignumber.scm 637 */
									int BgL_lenz00_3802;

									BgL_lenz00_3802 = (int) (BgL_arg1559z00_1726);
									{	/* Unsafe/bignumber.scm 259 */
										obj_t BgL_arg1220z00_3803;

										{	/* Unsafe/bignumber.scm 259 */

											BgL_arg1220z00_3803 =
												BGl_makezd2u16vectorzd2zz__srfi4z00(
												(long) (BgL_lenz00_3802), (uint16_t) (0));
										}
										BgL_rz00_1693 = bgl_make_bignum(BgL_arg1220z00_3803);
							}}}
							{	/* Unsafe/bignumber.scm 639 */
								bool_t BgL_test2760z00_6778;

								{	/* Unsafe/bignumber.scm 639 */
									long BgL_arg1535z00_1697;
									long BgL_arg1536z00_1698;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_3807;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_3808;

											BgL_arg1233z00_3808 = BGL_BIGNUM_U16VECT(BgL_xz00_1688);
											BgL_arg1232z00_3807 =
												BGL_U16VREF(BgL_arg1233z00_3808, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_3810;

											BgL_arg2287z00_3810 = (long) (BgL_arg1232z00_3807);
											BgL_arg1535z00_1697 = (long) (BgL_arg2287z00_3810);
									}}
									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_3813;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_3814;

											BgL_arg1233z00_3814 = BGL_BIGNUM_U16VECT(BgL_yz00_1689);
											BgL_arg1232z00_3813 =
												BGL_U16VREF(BgL_arg1233z00_3814, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_3816;

											BgL_arg2287z00_3816 = (long) (BgL_arg1232z00_3813);
											BgL_arg1536z00_1698 = (long) (BgL_arg2287z00_3816);
									}}
									BgL_test2760z00_6778 =
										(BgL_arg1535z00_1697 == BgL_arg1536z00_1698);
								}
								if (BgL_test2760z00_6778)
									{	/* Unsafe/bignumber.scm 265 */
										obj_t BgL_arg1236z00_3822;
										uint16_t BgL_arg1237z00_3823;

										BgL_arg1236z00_3822 = BGL_BIGNUM_U16VECT(BgL_rz00_1693);
										BgL_arg1237z00_3823 = (uint16_t) (((long) 1));
										BGL_U16VSET(BgL_arg1236z00_3822, ((long) 0),
											BgL_arg1237z00_3823);
										BUNSPEC;
									}
								else
									{	/* Unsafe/bignumber.scm 265 */
										obj_t BgL_arg1236z00_3826;
										uint16_t BgL_arg1237z00_3827;

										BgL_arg1236z00_3826 = BGL_BIGNUM_U16VECT(BgL_rz00_1693);
										BgL_arg1237z00_3827 = (uint16_t) (((long) 0));
										BGL_U16VSET(BgL_arg1236z00_3826, ((long) 0),
											BgL_arg1237z00_3827);
										BUNSPEC;
							}}
							{
								long BgL_jz00_1700;

								BgL_jz00_1700 = ((long) 1);
							BgL_zc3z04anonymousza31537ze3z87_1701:
								if ((BgL_jz00_1700 < BgL_lenyz00_1691))
									{	/* Unsafe/bignumber.scm 646 */
										long BgL_dz00_1703;

										{	/* Unsafe/bignumber.scm 646 */
											int BgL_iz00_3831;

											BgL_iz00_3831 = (int) (BgL_jz00_1700);
											{	/* Unsafe/bignumber.scm 267 */
												uint16_t BgL_arg1240z00_3832;

												{	/* Unsafe/bignumber.scm 267 */
													obj_t BgL_arg1243z00_3833;

													BgL_arg1243z00_3833 =
														BGL_BIGNUM_U16VECT(BgL_yz00_1689);
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_tmpz00_6798;

														BgL_tmpz00_6798 = (long) (BgL_iz00_3831);
														BgL_arg1240z00_3832 =
															BGL_U16VREF(BgL_arg1243z00_3833, BgL_tmpz00_6798);
												}}
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_arg2287z00_3835;

													BgL_arg2287z00_3835 = (long) (BgL_arg1240z00_3832);
													BgL_dz00_1703 = (long) (BgL_arg2287z00_3835);
										}}}
										if ((BgL_dz00_1703 == ((long) 0)))
											{
												long BgL_jz00_6805;

												BgL_jz00_6805 = (BgL_jz00_1700 + ((long) 1));
												BgL_jz00_1700 = BgL_jz00_6805;
												goto BgL_zc3z04anonymousza31537ze3z87_1701;
											}
										else
											{
												long BgL_iz00_1707;
												long BgL_kz00_1708;
												long BgL_cz00_1709;

												BgL_iz00_1707 = ((long) 1);
												BgL_kz00_1708 = BgL_jz00_1700;
												BgL_cz00_1709 = ((long) 0);
											BgL_zc3z04anonymousza31543ze3z87_1710:
												if ((BgL_iz00_1707 < BgL_lenxz00_1690))
													{	/* Unsafe/bignumber.scm 652 */
														long BgL_wz00_1712;

														{	/* Unsafe/bignumber.scm 652 */
															long BgL_arg1552z00_1719;
															long BgL_arg1553z00_1720;

															{	/* Unsafe/bignumber.scm 652 */
																long BgL_arg1554z00_1721;

																{	/* Unsafe/bignumber.scm 652 */
																	int BgL_iz00_3842;

																	BgL_iz00_3842 = (int) (BgL_kz00_1708);
																	{	/* Unsafe/bignumber.scm 267 */
																		uint16_t BgL_arg1240z00_3843;

																		{	/* Unsafe/bignumber.scm 267 */
																			obj_t BgL_arg1243z00_3844;

																			BgL_arg1243z00_3844 =
																				BGL_BIGNUM_U16VECT(BgL_rz00_1693);
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_tmpz00_6811;

																				BgL_tmpz00_6811 =
																					(long) (BgL_iz00_3842);
																				BgL_arg1240z00_3843 =
																					BGL_U16VREF(BgL_arg1243z00_3844,
																					BgL_tmpz00_6811);
																		}}
																		{	/* Unsafe/bignumber.scm 267 */
																			long BgL_arg2287z00_3846;

																			BgL_arg2287z00_3846 =
																				(long) (BgL_arg1240z00_3843);
																			BgL_arg1554z00_1721 =
																				(long) (BgL_arg2287z00_3846);
																}}}
																BgL_arg1552z00_1719 =
																	(BgL_arg1554z00_1721 + BgL_cz00_1709);
															}
															{	/* Unsafe/bignumber.scm 653 */
																long BgL_arg1555z00_1722;

																{	/* Unsafe/bignumber.scm 653 */
																	int BgL_iz00_3851;

																	BgL_iz00_3851 = (int) (BgL_iz00_1707);
																	{	/* Unsafe/bignumber.scm 267 */
																		uint16_t BgL_arg1240z00_3852;

																		{	/* Unsafe/bignumber.scm 267 */
																			obj_t BgL_arg1243z00_3853;

																			BgL_arg1243z00_3853 =
																				BGL_BIGNUM_U16VECT(BgL_xz00_1688);
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_tmpz00_6819;

																				BgL_tmpz00_6819 =
																					(long) (BgL_iz00_3851);
																				BgL_arg1240z00_3852 =
																					BGL_U16VREF(BgL_arg1243z00_3853,
																					BgL_tmpz00_6819);
																		}}
																		{	/* Unsafe/bignumber.scm 267 */
																			long BgL_arg2287z00_3855;

																			BgL_arg2287z00_3855 =
																				(long) (BgL_arg1240z00_3852);
																			BgL_arg1555z00_1722 =
																				(long) (BgL_arg2287z00_3855);
																}}}
																BgL_arg1553z00_1720 =
																	(BgL_arg1555z00_1722 * BgL_dz00_1703);
															}
															BgL_wz00_1712 =
																(BgL_arg1552z00_1719 + BgL_arg1553z00_1720);
														}
														{	/* Unsafe/bignumber.scm 654 */
															obj_t BgL_arg1545z00_1713;

															BgL_arg1545z00_1713 =
																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00(BINT
																(BgL_wz00_1712), BINT(((long) 16384)));
															{	/* Unsafe/bignumber.scm 654 */
																int BgL_iz00_3862;
																int BgL_digitz00_3863;

																BgL_iz00_3862 = (int) (BgL_kz00_1708);
																BgL_digitz00_3863 = CINT(BgL_arg1545z00_1713);
																{	/* Unsafe/bignumber.scm 269 */
																	obj_t BgL_arg1245z00_3864;
																	uint16_t BgL_arg1246z00_3865;

																	BgL_arg1245z00_3864 =
																		BGL_BIGNUM_U16VECT(BgL_rz00_1693);
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6832;

																		BgL_tmpz00_6832 =
																			(long) (BgL_digitz00_3863);
																		BgL_arg1246z00_3865 =
																			(uint16_t) (BgL_tmpz00_6832);
																	}
																	{	/* Unsafe/bignumber.scm 269 */
																		long BgL_tmpz00_6835;

																		BgL_tmpz00_6835 = (long) (BgL_iz00_3862);
																		BGL_U16VSET(BgL_arg1245z00_3864,
																			BgL_tmpz00_6835, BgL_arg1246z00_3865);
																	} BUNSPEC;
														}}}
														{	/* Unsafe/bignumber.scm 655 */
															long BgL_arg1548z00_1715;
															long BgL_arg1549z00_1716;
															long BgL_arg1550z00_1717;

															BgL_arg1548z00_1715 =
																(BgL_iz00_1707 + ((long) 1));
															BgL_arg1549z00_1716 =
																(BgL_kz00_1708 + ((long) 1));
															BgL_arg1550z00_1717 =
																(BgL_wz00_1712 / ((long) 16384));
															{
																long BgL_cz00_6843;
																long BgL_kz00_6842;
																long BgL_iz00_6841;

																BgL_iz00_6841 = BgL_arg1548z00_1715;
																BgL_kz00_6842 = BgL_arg1549z00_1716;
																BgL_cz00_6843 = BgL_arg1550z00_1717;
																BgL_cz00_1709 = BgL_cz00_6843;
																BgL_kz00_1708 = BgL_kz00_6842;
																BgL_iz00_1707 = BgL_iz00_6841;
																goto BgL_zc3z04anonymousza31543ze3z87_1710;
															}
														}
													}
												else
													{	/* Unsafe/bignumber.scm 650 */
														{	/* Unsafe/bignumber.scm 660 */
															int BgL_iz00_3872;
															int BgL_digitz00_3873;

															BgL_iz00_3872 = (int) (BgL_kz00_1708);
															BgL_digitz00_3873 = (int) (BgL_cz00_1709);
															{	/* Unsafe/bignumber.scm 269 */
																obj_t BgL_arg1245z00_3874;
																uint16_t BgL_arg1246z00_3875;

																BgL_arg1245z00_3874 =
																	BGL_BIGNUM_U16VECT(BgL_rz00_1693);
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6847;

																	BgL_tmpz00_6847 = (long) (BgL_digitz00_3873);
																	BgL_arg1246z00_3875 =
																		(uint16_t) (BgL_tmpz00_6847);
																}
																{	/* Unsafe/bignumber.scm 269 */
																	long BgL_tmpz00_6850;

																	BgL_tmpz00_6850 = (long) (BgL_iz00_3872);
																	BGL_U16VSET(BgL_arg1245z00_3874,
																		BgL_tmpz00_6850, BgL_arg1246z00_3875);
																} BUNSPEC;
														}}
														{
															long BgL_jz00_6853;

															BgL_jz00_6853 = (BgL_jz00_1700 + ((long) 1));
															BgL_jz00_1700 = BgL_jz00_6853;
															goto BgL_zc3z04anonymousza31537ze3z87_1701;
														}
													}
											}
									}
								else
									{	/* Unsafe/bignumber.scm 644 */
										((bool_t) 0);
									}
							}
							BgL_arg1528z00_1685 =
								BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
								(BgL_rz00_1693);
						}
					}
					return BgL_arg1528z00_1685;
				}
			}
		}

	}



/* &$$*bx */
	obj_t BGl_z62z42z42za2bxzc0zz__bignumz00(obj_t BgL_envz00_5537,
		obj_t BgL_xz00_5538, obj_t BgL_yz00_5539)
	{
		{	/* Unsafe/bignumber.scm 634 */
			{	/* Unsafe/bignumber.scm 637 */
				obj_t BgL_auxz00_6863;
				obj_t BgL_auxz00_6856;

				if (BIGNUMP(BgL_yz00_5539))
					{	/* Unsafe/bignumber.scm 637 */
						BgL_auxz00_6863 = BgL_yz00_5539;
					}
				else
					{
						obj_t BgL_auxz00_6866;

						BgL_auxz00_6866 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 21436)), BGl_string2532z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5539);
						FAILURE(BgL_auxz00_6866, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5538))
					{	/* Unsafe/bignumber.scm 637 */
						BgL_auxz00_6856 = BgL_xz00_5538;
					}
				else
					{
						obj_t BgL_auxz00_6859;

						BgL_auxz00_6859 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 21436)), BGl_string2532z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5538);
						FAILURE(BgL_auxz00_6859, BFALSE, BFALSE);
					}
				return bgl_bignum_mul(BgL_auxz00_6856, BgL_auxz00_6863);
			}
		}

	}



/* $$exptbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_expt(obj_t BgL_xz00_63, obj_t BgL_yz00_64)
	{
		{	/* Unsafe/bignumber.scm 678 */
		bgl_bignum_expt:
			{	/* Unsafe/bignumber.scm 680 */
				bool_t BgL_test2766z00_6871;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_3893;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_3895;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_3896;

							BgL_arg1223z00_3896 = BGL_BIGNUM_U16VECT(BgL_yz00_64);
							BgL_arg1222z00_3895 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_3896);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_3898;

							BgL_xz00_3898 = (uint16_t) (BgL_arg1222z00_3895);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_3899;

								BgL_arg2287z00_3899 = (long) (BgL_xz00_3898);
								BgL_arg1426z00_3893 = (long) (BgL_arg2287z00_3899);
					}}}
					BgL_test2766z00_6871 = (BgL_arg1426z00_3893 == ((long) 1));
				}
				if (BgL_test2766z00_6871)
					{	/* Unsafe/bignumber.scm 680 */
						obj_t BgL_res2355z00_3910;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2767z00_6878;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2767z00_6878 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2767z00_6878 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2767z00_6878)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2355z00_3910 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2355z00_3910 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						return BgL_res2355z00_3910;
					}
				else
					{	/* Unsafe/bignumber.scm 681 */
						bool_t BgL_test2769z00_6885;

						{	/* Unsafe/bignumber.scm 681 */
							bool_t BgL_res2356z00_3923;

							{	/* Unsafe/bignumber.scm 477 */
								bool_t BgL__ortest_1046z00_3912;

								BgL__ortest_1046z00_3912 =
									(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_64) ==
									((long) 1));
								if (BgL__ortest_1046z00_3912)
									{	/* Unsafe/bignumber.scm 477 */
										BgL_res2356z00_3923 = BgL__ortest_1046z00_3912;
									}
								else
									{	/* Unsafe/bignumber.scm 477 */
										long BgL_arg1430z00_3913;

										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1240z00_3918;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1243z00_3919;

												BgL_arg1243z00_3919 = BGL_BIGNUM_U16VECT(BgL_yz00_64);
												BgL_arg1240z00_3918 =
													BGL_U16VREF(BgL_arg1243z00_3919, ((long) 1));
											}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2287z00_3921;

												BgL_arg2287z00_3921 = (long) (BgL_arg1240z00_3918);
												BgL_arg1430z00_3913 = (long) (BgL_arg2287z00_3921);
										}}
										BgL_res2356z00_3923 =
											BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
											(BgL_arg1430z00_3913));
							}}
							BgL_test2769z00_6885 = BgL_res2356z00_3923;
						}
						if (BgL_test2769z00_6885)
							{	/* Unsafe/bignumber.scm 681 */
								obj_t BgL_arg1577z00_1743;
								obj_t BgL_arg1578z00_1744;

								BgL_arg1577z00_1743 = bgl_bignum_mul(BgL_xz00_63, BgL_xz00_63);
								{	/* Unsafe/bignumber.scm 681 */
									obj_t BgL_arg1581z00_1745;

									{	/* Unsafe/bignumber.scm 681 */
										obj_t BgL_res2357z00_3932;

										{	/* Unsafe/bignumber.scm 415 */
											bool_t BgL_test2771z00_6896;

											if ((((long) 2) < ((long) -16)))
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2771z00_6896 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2771z00_6896 = (((long) 16) < ((long) 2));
												}
											if (BgL_test2771z00_6896)
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2357z00_3932 =
														BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
														(((long) 2));
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2357z00_3932 =
														VECTOR_REF
														(BGl_preallocatedzd2bignumszd2zz__bignumz00,
														(((long) 2) + ((long) 16)));
										}}
										BgL_arg1581z00_1745 = BgL_res2357z00_3932;
									}
									{	/* Unsafe/bignumber.scm 681 */
										obj_t BgL_res2358z00_3938;

										{	/* Unsafe/bignumber.scm 859 */
											obj_t BgL_arg1762z00_3935;

											{	/* Unsafe/bignumber.scm 859 */
												obj_t BgL_arg1763z00_3936;

												BgL_arg1763z00_3936 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_yz00_64,
													BgL_arg1581z00_1745);
												BgL_arg1762z00_3935 =
													CAR(((obj_t) BgL_arg1763z00_3936));
											}
											BgL_res2358z00_3938 = BgL_arg1762z00_3935;
										}
										BgL_arg1578z00_1744 = BgL_res2358z00_3938;
								}}
								{
									obj_t BgL_yz00_6907;
									obj_t BgL_xz00_6906;

									BgL_xz00_6906 = BgL_arg1577z00_1743;
									BgL_yz00_6907 = BgL_arg1578z00_1744;
									BgL_yz00_64 = BgL_yz00_6907;
									BgL_xz00_63 = BgL_xz00_6906;
									goto bgl_bignum_expt;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 682 */
								obj_t BgL_arg1582z00_1746;

								{	/* Unsafe/bignumber.scm 682 */
									obj_t BgL_arg1583z00_1747;

									{	/* Unsafe/bignumber.scm 682 */
										obj_t BgL_arg1584z00_1748;

										{	/* Unsafe/bignumber.scm 682 */
											obj_t BgL_res2359z00_3947;

											{	/* Unsafe/bignumber.scm 415 */
												bool_t BgL_test2773z00_6908;

												if ((((long) 1) < ((long) -16)))
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2773z00_6908 = ((bool_t) 1);
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2773z00_6908 = (((long) 16) < ((long) 1));
													}
												if (BgL_test2773z00_6908)
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2359z00_3947 =
															BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
															(((long) 1));
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2359z00_3947 =
															VECTOR_REF
															(BGl_preallocatedzd2bignumszd2zz__bignumz00,
															(((long) 1) + ((long) 16)));
											}}
											BgL_arg1584z00_1748 = BgL_res2359z00_3947;
										}
										{	/* Unsafe/bignumber.scm 682 */
											obj_t BgL_res2360z00_3966;

											{	/* Unsafe/bignumber.scm 610 */
												long BgL_arg1513z00_3950;
												long BgL_arg1514z00_3951;

												{	/* Unsafe/bignumber.scm 263 */
													uint16_t BgL_arg1232z00_3954;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_arg1233z00_3955;

														BgL_arg1233z00_3955 =
															BGL_BIGNUM_U16VECT(BgL_yz00_64);
														BgL_arg1232z00_3954 =
															BGL_U16VREF(BgL_arg1233z00_3955, ((long) 0));
													}
													{	/* Unsafe/bignumber.scm 263 */
														long BgL_arg2287z00_3957;

														BgL_arg2287z00_3957 = (long) (BgL_arg1232z00_3954);
														BgL_arg1513z00_3950 = (long) (BgL_arg2287z00_3957);
												}}
												{	/* Unsafe/bignumber.scm 610 */
													long BgL_arg1515z00_3952;

													{	/* Unsafe/bignumber.scm 263 */
														uint16_t BgL_arg1232z00_3960;

														{	/* Unsafe/bignumber.scm 263 */
															obj_t BgL_arg1233z00_3961;

															BgL_arg1233z00_3961 =
																BGL_BIGNUM_U16VECT(BgL_arg1584z00_1748);
															BgL_arg1232z00_3960 =
																BGL_U16VREF(BgL_arg1233z00_3961, ((long) 0));
														}
														{	/* Unsafe/bignumber.scm 263 */
															long BgL_arg2287z00_3963;

															BgL_arg2287z00_3963 =
																(long) (BgL_arg1232z00_3960);
															BgL_arg1515z00_3952 =
																(long) (BgL_arg2287z00_3963);
													}}
													BgL_arg1514z00_3951 =
														(((long) 1) - BgL_arg1515z00_3952);
												}
												BgL_res2360z00_3966 =
													BGl_bignumzd2sum2zd2zz__bignumz00(BgL_yz00_64,
													BgL_arg1584z00_1748, BgL_arg1513z00_3950,
													BgL_arg1514z00_3951);
											}
											BgL_arg1583z00_1747 = BgL_res2360z00_3966;
									}}
									BgL_arg1582z00_1746 =
										bgl_bignum_expt(BgL_xz00_63, BgL_arg1583z00_1747);
								}
								return bgl_bignum_mul(BgL_xz00_63, BgL_arg1582z00_1746);
							}
					}
			}
		}

	}



/* &$$exptbx */
	obj_t BGl_z62z42z42exptbxz62zz__bignumz00(obj_t BgL_envz00_5540,
		obj_t BgL_xz00_5541, obj_t BgL_yz00_5542)
	{
		{	/* Unsafe/bignumber.scm 678 */
			{	/* Unsafe/bignumber.scm 680 */
				obj_t BgL_auxz00_6934;
				obj_t BgL_auxz00_6927;

				if (BIGNUMP(BgL_yz00_5542))
					{	/* Unsafe/bignumber.scm 680 */
						BgL_auxz00_6934 = BgL_yz00_5542;
					}
				else
					{
						obj_t BgL_auxz00_6937;

						BgL_auxz00_6937 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 22761)), BGl_string2533z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5542);
						FAILURE(BgL_auxz00_6937, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5541))
					{	/* Unsafe/bignumber.scm 680 */
						BgL_auxz00_6927 = BgL_xz00_5541;
					}
				else
					{
						obj_t BgL_auxz00_6930;

						BgL_auxz00_6930 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 22761)), BGl_string2533z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5541);
						FAILURE(BgL_auxz00_6930, BFALSE, BFALSE);
					}
				return bgl_bignum_expt(BgL_auxz00_6927, BgL_auxz00_6934);
			}
		}

	}



/* bignum-div */
	obj_t BGl_bignumzd2divzd2zz__bignumz00(obj_t BgL_xz00_65, obj_t BgL_yz00_66)
	{
		{	/* Unsafe/bignumber.scm 687 */
			{
				obj_t BgL_xz00_1948;
				obj_t BgL_yz00_1949;
				long BgL_lenxz00_1950;
				long BgL_lenyz00_1951;
				obj_t BgL_xz00_1780;
				obj_t BgL_yz00_1781;
				long BgL_lenxz00_1782;
				long BgL_lenyz00_1783;
				obj_t BgL_rz00_1784;
				obj_t BgL_xz00_1755;
				obj_t BgL_yz00_1756;
				long BgL_lenxz00_1757;
				long BgL_lenyz00_1758;
				obj_t BgL_rz00_1759;

				{	/* Unsafe/bignumber.scm 850 */
					bool_t BgL_test2777z00_6942;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_4443;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_4445;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_4446;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_tmpz00_6943;

									BgL_tmpz00_6943 = ((obj_t) BgL_yz00_66);
									BgL_arg1223z00_4446 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6943);
								}
								BgL_arg1222z00_4445 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4446);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4448;

								BgL_xz00_4448 = (uint16_t) (BgL_arg1222z00_4445);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_4449;

									BgL_arg2287z00_4449 = (long) (BgL_xz00_4448);
									BgL_arg1426z00_4443 = (long) (BgL_arg2287z00_4449);
						}}}
						BgL_test2777z00_6942 = (BgL_arg1426z00_4443 == ((long) 1));
					}
					if (BgL_test2777z00_6942)
						{	/* Unsafe/bignumber.scm 850 */
							return
								BGl_errorz00zz__errorz00(BGl_string2534z00zz__bignumz00,
								BGl_string2535z00zz__bignumz00, BgL_xz00_65);
						}
					else
						{	/* Unsafe/bignumber.scm 852 */
							long BgL_arg1586z00_1753;
							long BgL_arg1587z00_1754;

							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1222z00_4453;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1223z00_4454;

									{	/* Unsafe/bignumber.scm 261 */
										obj_t BgL_tmpz00_6952;

										BgL_tmpz00_6952 = ((obj_t) BgL_xz00_65);
										BgL_arg1223z00_4454 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6952);
									}
									BgL_arg1222z00_4453 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4454);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4456;

									BgL_xz00_4456 = (uint16_t) (BgL_arg1222z00_4453);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2287z00_4457;

										BgL_arg2287z00_4457 = (long) (BgL_xz00_4456);
										BgL_arg1586z00_1753 = (long) (BgL_arg2287z00_4457);
							}}}
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1222z00_4460;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1223z00_4461;

									{	/* Unsafe/bignumber.scm 261 */
										obj_t BgL_tmpz00_6959;

										BgL_tmpz00_6959 = ((obj_t) BgL_yz00_66);
										BgL_arg1223z00_4461 = BGL_BIGNUM_U16VECT(BgL_tmpz00_6959);
									}
									BgL_arg1222z00_4460 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4461);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4463;

									BgL_xz00_4463 = (uint16_t) (BgL_arg1222z00_4460);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2287z00_4464;

										BgL_arg2287z00_4464 = (long) (BgL_xz00_4463);
										BgL_arg1587z00_1754 = (long) (BgL_arg2287z00_4464);
							}}}
							BgL_xz00_1948 = BgL_xz00_65;
							BgL_yz00_1949 = BgL_yz00_66;
							BgL_lenxz00_1950 = BgL_arg1586z00_1753;
							BgL_lenyz00_1951 = BgL_arg1587z00_1754;
							if ((BgL_lenxz00_1950 < BgL_lenyz00_1951))
								{	/* Unsafe/bignumber.scm 836 */
									return
										MAKE_YOUNG_PAIR(BGl_bignumzd2za7eroz75zz__bignumz00,
										BgL_xz00_1948);
								}
							else
								{	/* Unsafe/bignumber.scm 840 */
									obj_t BgL_rz00_1954;

									{	/* Unsafe/bignumber.scm 840 */
										long BgL_arg1759z00_1961;

										BgL_arg1759z00_1961 =
											((BgL_lenxz00_1950 - BgL_lenyz00_1951) + ((long) 2));
										{	/* Unsafe/bignumber.scm 840 */
											int BgL_lenz00_4415;

											BgL_lenz00_4415 = (int) (BgL_arg1759z00_1961);
											{	/* Unsafe/bignumber.scm 259 */
												obj_t BgL_arg1220z00_4416;

												{	/* Unsafe/bignumber.scm 259 */

													BgL_arg1220z00_4416 =
														BGl_makezd2u16vectorzd2zz__srfi4z00(
														(long) (BgL_lenz00_4415), (uint16_t) (0));
												}
												BgL_rz00_1954 = bgl_make_bignum(BgL_arg1220z00_4416);
									}}}
									{	/* Unsafe/bignumber.scm 842 */
										bool_t BgL_test2779z00_6975;

										{	/* Unsafe/bignumber.scm 842 */
											long BgL_arg1756z00_1958;
											long BgL_arg1757z00_1959;

											{	/* Unsafe/bignumber.scm 263 */
												uint16_t BgL_arg1232z00_4420;

												{	/* Unsafe/bignumber.scm 263 */
													obj_t BgL_arg1233z00_4421;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_tmpz00_6976;

														BgL_tmpz00_6976 = ((obj_t) BgL_xz00_1948);
														BgL_arg1233z00_4421 =
															BGL_BIGNUM_U16VECT(BgL_tmpz00_6976);
													}
													BgL_arg1232z00_4420 =
														BGL_U16VREF(BgL_arg1233z00_4421, ((long) 0));
												}
												{	/* Unsafe/bignumber.scm 263 */
													long BgL_arg2287z00_4423;

													BgL_arg2287z00_4423 = (long) (BgL_arg1232z00_4420);
													BgL_arg1756z00_1958 = (long) (BgL_arg2287z00_4423);
											}}
											{	/* Unsafe/bignumber.scm 263 */
												uint16_t BgL_arg1232z00_4426;

												{	/* Unsafe/bignumber.scm 263 */
													obj_t BgL_arg1233z00_4427;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_tmpz00_6982;

														BgL_tmpz00_6982 = ((obj_t) BgL_yz00_1949);
														BgL_arg1233z00_4427 =
															BGL_BIGNUM_U16VECT(BgL_tmpz00_6982);
													}
													BgL_arg1232z00_4426 =
														BGL_U16VREF(BgL_arg1233z00_4427, ((long) 0));
												}
												{	/* Unsafe/bignumber.scm 263 */
													long BgL_arg2287z00_4429;

													BgL_arg2287z00_4429 = (long) (BgL_arg1232z00_4426);
													BgL_arg1757z00_1959 = (long) (BgL_arg2287z00_4429);
											}}
											BgL_test2779z00_6975 =
												(BgL_arg1756z00_1958 == BgL_arg1757z00_1959);
										}
										if (BgL_test2779z00_6975)
											{	/* Unsafe/bignumber.scm 265 */
												obj_t BgL_arg1236z00_4435;
												uint16_t BgL_arg1237z00_4436;

												BgL_arg1236z00_4435 = BGL_BIGNUM_U16VECT(BgL_rz00_1954);
												BgL_arg1237z00_4436 = (uint16_t) (((long) 1));
												BGL_U16VSET(BgL_arg1236z00_4435, ((long) 0),
													BgL_arg1237z00_4436);
												BUNSPEC;
											}
										else
											{	/* Unsafe/bignumber.scm 265 */
												obj_t BgL_arg1236z00_4439;
												uint16_t BgL_arg1237z00_4440;

												BgL_arg1236z00_4439 = BGL_BIGNUM_U16VECT(BgL_rz00_1954);
												BgL_arg1237z00_4440 = (uint16_t) (((long) 0));
												BGL_U16VSET(BgL_arg1236z00_4439, ((long) 0),
													BgL_arg1237z00_4440);
												BUNSPEC;
									}}
									if ((BgL_lenyz00_1951 == ((long) 2)))
										{	/* Unsafe/bignumber.scm 846 */
											BgL_xz00_1755 = BgL_xz00_1948;
											BgL_yz00_1756 = BgL_yz00_1949;
											BgL_lenxz00_1757 = BgL_lenxz00_1950;
											BgL_lenyz00_1758 = BgL_lenyz00_1951;
											BgL_rz00_1759 = BgL_rz00_1954;
											{	/* Unsafe/bignumber.scm 693 */
												long BgL_dz00_1761;

												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_3968;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_3969;

														{	/* Unsafe/bignumber.scm 267 */
															obj_t BgL_tmpz00_6997;

															BgL_tmpz00_6997 = ((obj_t) BgL_yz00_1756);
															BgL_arg1243z00_3969 =
																BGL_BIGNUM_U16VECT(BgL_tmpz00_6997);
														}
														BgL_arg1240z00_3968 =
															BGL_U16VREF(BgL_arg1243z00_3969, ((long) 1));
													}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_3971;

														BgL_arg2287z00_3971 = (long) (BgL_arg1240z00_3968);
														BgL_dz00_1761 = (long) (BgL_arg2287z00_3971);
												}}
												{	/* Unsafe/bignumber.scm 694 */
													long BgL_g1051z00_1762;

													BgL_g1051z00_1762 = (BgL_lenxz00_1757 - ((long) 1));
													{
														long BgL_iz00_1764;
														long BgL_kz00_1765;

														BgL_iz00_1764 = BgL_g1051z00_1762;
														BgL_kz00_1765 = ((long) 0);
													BgL_zc3z04anonymousza31589ze3z87_1766:
														if ((((long) 0) < BgL_iz00_1764))
															{	/* Unsafe/bignumber.scm 696 */
																long BgL_wz00_1768;

																{	/* Unsafe/bignumber.scm 696 */
																	long BgL_arg1594z00_1772;
																	long BgL_arg1595z00_1773;

																	BgL_arg1594z00_1772 =
																		(BgL_kz00_1765 * ((long) 16384));
																	{	/* Unsafe/bignumber.scm 696 */
																		int BgL_iz00_3978;

																		BgL_iz00_3978 = (int) (BgL_iz00_1764);
																		{	/* Unsafe/bignumber.scm 267 */
																			uint16_t BgL_arg1240z00_3979;

																			{	/* Unsafe/bignumber.scm 267 */
																				obj_t BgL_arg1243z00_3980;

																				{	/* Unsafe/bignumber.scm 267 */
																					obj_t BgL_tmpz00_7008;

																					BgL_tmpz00_7008 =
																						((obj_t) BgL_xz00_1755);
																					BgL_arg1243z00_3980 =
																						BGL_BIGNUM_U16VECT(BgL_tmpz00_7008);
																				}
																				{	/* Unsafe/bignumber.scm 267 */
																					long BgL_tmpz00_7011;

																					BgL_tmpz00_7011 =
																						(long) (BgL_iz00_3978);
																					BgL_arg1240z00_3979 =
																						BGL_U16VREF(BgL_arg1243z00_3980,
																						BgL_tmpz00_7011);
																			}}
																			{	/* Unsafe/bignumber.scm 267 */
																				long BgL_arg2287z00_3982;

																				BgL_arg2287z00_3982 =
																					(long) (BgL_arg1240z00_3979);
																				BgL_arg1595z00_1773 =
																					(long) (BgL_arg2287z00_3982);
																	}}}
																	BgL_wz00_1768 =
																		(BgL_arg1594z00_1772 + BgL_arg1595z00_1773);
																}
																{	/* Unsafe/bignumber.scm 697 */
																	long BgL_arg1591z00_1769;

																	BgL_arg1591z00_1769 =
																		(BgL_wz00_1768 / BgL_dz00_1761);
																	{	/* Unsafe/bignumber.scm 697 */
																		int BgL_iz00_3989;
																		int BgL_digitz00_3990;

																		BgL_iz00_3989 = (int) (BgL_iz00_1764);
																		BgL_digitz00_3990 =
																			(int) (BgL_arg1591z00_1769);
																		{	/* Unsafe/bignumber.scm 269 */
																			obj_t BgL_arg1245z00_3991;
																			uint16_t BgL_arg1246z00_3992;

																			BgL_arg1245z00_3991 =
																				BGL_BIGNUM_U16VECT(BgL_rz00_1759);
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7021;

																				BgL_tmpz00_7021 =
																					(long) (BgL_digitz00_3990);
																				BgL_arg1246z00_3992 =
																					(uint16_t) (BgL_tmpz00_7021);
																			}
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7024;

																				BgL_tmpz00_7024 =
																					(long) (BgL_iz00_3989);
																				BGL_U16VSET(BgL_arg1245z00_3991,
																					BgL_tmpz00_7024, BgL_arg1246z00_3992);
																			} BUNSPEC;
																}}}
																{	/* Unsafe/bignumber.scm 698 */
																	long BgL_arg1592z00_1770;
																	long BgL_arg1593z00_1771;

																	BgL_arg1592z00_1770 =
																		(BgL_iz00_1764 - ((long) 1));
																	{	/* Unsafe/bignumber.scm 698 */
																		long BgL_n1z00_3995;
																		long BgL_n2z00_3996;

																		BgL_n1z00_3995 = BgL_wz00_1768;
																		BgL_n2z00_3996 = BgL_dz00_1761;
																		{	/* Unsafe/bignumber.scm 698 */
																			bool_t BgL_test2782z00_7028;

																			{	/* Unsafe/bignumber.scm 698 */
																				long BgL_arg2193z00_3998;

																				BgL_arg2193z00_3998 =
																					(((BgL_n1z00_3995) | (BgL_n2z00_3996))
																					& -2147483648);
																				BgL_test2782z00_7028 =
																					(BgL_arg2193z00_3998 == ((long) 0));
																			}
																			if (BgL_test2782z00_7028)
																				{	/* Unsafe/bignumber.scm 698 */
																					int32_t BgL_arg2190z00_3999;

																					{	/* Unsafe/bignumber.scm 698 */
																						int32_t BgL_arg2191z00_4000;
																						int32_t BgL_arg2192z00_4001;

																						BgL_arg2191z00_4000 =
																							(int32_t) (BgL_n1z00_3995);
																						BgL_arg2192z00_4001 =
																							(int32_t) (BgL_n2z00_3996);
																						BgL_arg2190z00_3999 =
																							(BgL_arg2191z00_4000 %
																							BgL_arg2192z00_4001);
																					}
																					{	/* Unsafe/bignumber.scm 698 */
																						long BgL_arg2286z00_4006;

																						BgL_arg2286z00_4006 =
																							(long) (BgL_arg2190z00_3999);
																						BgL_arg1593z00_1771 =
																							(long) (BgL_arg2286z00_4006);
																				}}
																			else
																				{	/* Unsafe/bignumber.scm 698 */
																					BgL_arg1593z00_1771 =
																						(BgL_n1z00_3995 % BgL_n2z00_3996);
																				}
																		}
																	}
																	{
																		long BgL_kz00_7038;
																		long BgL_iz00_7037;

																		BgL_iz00_7037 = BgL_arg1592z00_1770;
																		BgL_kz00_7038 = BgL_arg1593z00_1771;
																		BgL_kz00_1765 = BgL_kz00_7038;
																		BgL_iz00_1764 = BgL_iz00_7037;
																		goto BgL_zc3z04anonymousza31589ze3z87_1766;
																	}
																}
															}
														else
															{	/* Unsafe/bignumber.scm 699 */
																obj_t BgL_arg1597z00_1775;
																obj_t BgL_arg1601z00_1776;

																BgL_arg1597z00_1775 =
																	BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																	(BgL_rz00_1759);
																{	/* Unsafe/bignumber.scm 701 */
																	long BgL_arg1602z00_1777;

																	{	/* Unsafe/bignumber.scm 701 */
																		bool_t BgL_test2783z00_7040;

																		{	/* Unsafe/bignumber.scm 471 */
																			long BgL_arg1427z00_4009;

																			{	/* Unsafe/bignumber.scm 263 */
																				uint16_t BgL_arg1232z00_4011;

																				{	/* Unsafe/bignumber.scm 263 */
																					obj_t BgL_arg1233z00_4012;

																					{	/* Unsafe/bignumber.scm 263 */
																						obj_t BgL_tmpz00_7041;

																						BgL_tmpz00_7041 =
																							((obj_t) BgL_xz00_1755);
																						BgL_arg1233z00_4012 =
																							BGL_BIGNUM_U16VECT
																							(BgL_tmpz00_7041);
																					}
																					BgL_arg1232z00_4011 =
																						BGL_U16VREF(BgL_arg1233z00_4012,
																						((long) 0));
																				}
																				{	/* Unsafe/bignumber.scm 263 */
																					long BgL_arg2287z00_4014;

																					BgL_arg2287z00_4014 =
																						(long) (BgL_arg1232z00_4011);
																					BgL_arg1427z00_4009 =
																						(long) (BgL_arg2287z00_4014);
																			}}
																			BgL_test2783z00_7040 =
																				(BgL_arg1427z00_4009 == ((long) 0));
																		}
																		if (BgL_test2783z00_7040)
																			{	/* Unsafe/bignumber.scm 701 */
																				BgL_arg1602z00_1777 =
																					(((long) 0) - BgL_kz00_1765);
																			}
																		else
																			{	/* Unsafe/bignumber.scm 701 */
																				BgL_arg1602z00_1777 = BgL_kz00_1765;
																			}
																	}
																	BgL_arg1601z00_1776 =
																		bgl_long_to_bignum(BgL_arg1602z00_1777);
																}
																return
																	MAKE_YOUNG_PAIR(BgL_arg1597z00_1775,
																	BgL_arg1601z00_1776);
															}
													}
												}
											}
										}
									else
										{	/* Unsafe/bignumber.scm 846 */
											BgL_xz00_1780 = BgL_xz00_1948;
											BgL_yz00_1781 = BgL_yz00_1949;
											BgL_lenxz00_1782 = BgL_lenxz00_1950;
											BgL_lenyz00_1783 = BgL_lenyz00_1951;
											BgL_rz00_1784 = BgL_rz00_1954;
											{	/* Unsafe/bignumber.scm 709 */
												long BgL_g1052z00_1786;

												{	/* Unsafe/bignumber.scm 710 */
													long BgL_arg1749z00_1946;

													{	/* Unsafe/bignumber.scm 710 */
														long BgL_arg1750z00_1947;

														BgL_arg1750z00_1947 =
															(BgL_lenyz00_1783 - ((long) 1));
														{	/* Unsafe/bignumber.scm 710 */
															int BgL_iz00_4020;

															BgL_iz00_4020 = (int) (BgL_arg1750z00_1947);
															{	/* Unsafe/bignumber.scm 267 */
																uint16_t BgL_arg1240z00_4021;

																{	/* Unsafe/bignumber.scm 267 */
																	obj_t BgL_arg1243z00_4022;

																	{	/* Unsafe/bignumber.scm 267 */
																		obj_t BgL_tmpz00_7053;

																		BgL_tmpz00_7053 = ((obj_t) BgL_yz00_1781);
																		BgL_arg1243z00_4022 =
																			BGL_BIGNUM_U16VECT(BgL_tmpz00_7053);
																	}
																	{	/* Unsafe/bignumber.scm 267 */
																		long BgL_tmpz00_7056;

																		BgL_tmpz00_7056 = (long) (BgL_iz00_4020);
																		BgL_arg1240z00_4021 =
																			BGL_U16VREF(BgL_arg1243z00_4022,
																			BgL_tmpz00_7056);
																}}
																{	/* Unsafe/bignumber.scm 267 */
																	long BgL_arg2287z00_4024;

																	BgL_arg2287z00_4024 =
																		(long) (BgL_arg1240z00_4021);
																	BgL_arg1749z00_1946 =
																		(long) (BgL_arg2287z00_4024);
													}}}}
													BgL_g1052z00_1786 =
														(BgL_arg1749z00_1946 * ((long) 2));
												}
												{
													long BgL_shiftz00_1788;
													long BgL_nz00_1789;

													BgL_shiftz00_1788 = ((long) 1);
													BgL_nz00_1789 = BgL_g1052z00_1786;
												BgL_zc3z04anonymousza31605ze3z87_1790:
													if ((BgL_nz00_1789 < ((long) 16384)))
														{
															long BgL_nz00_7066;
															long BgL_shiftz00_7064;

															BgL_shiftz00_7064 =
																(BgL_shiftz00_1788 * ((long) 2));
															BgL_nz00_7066 = (BgL_nz00_1789 * ((long) 2));
															BgL_nz00_1789 = BgL_nz00_7066;
															BgL_shiftz00_1788 = BgL_shiftz00_7064;
															goto BgL_zc3z04anonymousza31605ze3z87_1790;
														}
													else
														{	/* Unsafe/bignumber.scm 714 */
															obj_t BgL_nxz00_1795;
															obj_t BgL_nyz00_1796;

															{	/* Unsafe/bignumber.scm 714 */
																long BgL_arg1747z00_1943;

																BgL_arg1747z00_1943 =
																	(BgL_lenxz00_1782 + ((long) 1));
																{	/* Unsafe/bignumber.scm 714 */
																	int BgL_lenz00_4032;

																	BgL_lenz00_4032 = (int) (BgL_arg1747z00_1943);
																	{	/* Unsafe/bignumber.scm 259 */
																		obj_t BgL_arg1220z00_4033;

																		{	/* Unsafe/bignumber.scm 259 */

																			BgL_arg1220z00_4033 =
																				BGl_makezd2u16vectorzd2zz__srfi4z00(
																				(long) (BgL_lenz00_4032),
																				(uint16_t) (0));
																		}
																		BgL_nxz00_1795 =
																			bgl_make_bignum(BgL_arg1220z00_4033);
															}}}
															{	/* Unsafe/bignumber.scm 715 */
																int BgL_lenz00_4036;

																BgL_lenz00_4036 = (int) (BgL_lenyz00_1783);
																{	/* Unsafe/bignumber.scm 259 */
																	obj_t BgL_arg1220z00_4037;

																	{	/* Unsafe/bignumber.scm 259 */

																		BgL_arg1220z00_4037 =
																			BGl_makezd2u16vectorzd2zz__srfi4z00(
																			(long) (BgL_lenz00_4036), (uint16_t) (0));
																	}
																	BgL_nyz00_1796 =
																		bgl_make_bignum(BgL_arg1220z00_4037);
															}}
															{	/* Unsafe/bignumber.scm 717 */
																long BgL_arg1612z00_1797;

																{	/* Unsafe/bignumber.scm 263 */
																	uint16_t BgL_arg1232z00_4041;

																	{	/* Unsafe/bignumber.scm 263 */
																		obj_t BgL_arg1233z00_4042;

																		{	/* Unsafe/bignumber.scm 263 */
																			obj_t BgL_tmpz00_7077;

																			BgL_tmpz00_7077 = ((obj_t) BgL_xz00_1780);
																			BgL_arg1233z00_4042 =
																				BGL_BIGNUM_U16VECT(BgL_tmpz00_7077);
																		}
																		BgL_arg1232z00_4041 =
																			BGL_U16VREF(BgL_arg1233z00_4042,
																			((long) 0));
																	}
																	{	/* Unsafe/bignumber.scm 263 */
																		long BgL_arg2287z00_4044;

																		BgL_arg2287z00_4044 =
																			(long) (BgL_arg1232z00_4041);
																		BgL_arg1612z00_1797 =
																			(long) (BgL_arg2287z00_4044);
																}}
																{	/* Unsafe/bignumber.scm 717 */
																	int BgL_signz00_4047;

																	BgL_signz00_4047 =
																		(int) (BgL_arg1612z00_1797);
																	{	/* Unsafe/bignumber.scm 265 */
																		obj_t BgL_arg1236z00_4048;
																		uint16_t BgL_arg1237z00_4049;

																		BgL_arg1236z00_4048 =
																			BGL_BIGNUM_U16VECT(BgL_nxz00_1795);
																		{	/* Unsafe/bignumber.scm 265 */
																			long BgL_tmpz00_7085;

																			BgL_tmpz00_7085 =
																				(long) (BgL_signz00_4047);
																			BgL_arg1237z00_4049 =
																				(uint16_t) (BgL_tmpz00_7085);
																		}
																		BGL_U16VSET(BgL_arg1236z00_4048, ((long) 0),
																			BgL_arg1237z00_4049);
																		BUNSPEC;
															}}}
															{
																long BgL_iz00_4080;
																long BgL_cz00_4081;

																BgL_iz00_4080 = ((long) 1);
																BgL_cz00_4081 = ((long) 0);
															BgL_loop3z00_4079:
																if ((BgL_iz00_4080 < BgL_lenxz00_1782))
																	{	/* Unsafe/bignumber.scm 721 */
																		long BgL_wz00_4085;

																		{	/* Unsafe/bignumber.scm 721 */
																			long BgL_arg1621z00_4086;

																			{	/* Unsafe/bignumber.scm 721 */
																				long BgL_arg1624z00_4087;

																				{	/* Unsafe/bignumber.scm 721 */
																					int BgL_iz00_4089;

																					BgL_iz00_4089 = (int) (BgL_iz00_4080);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1240z00_4090;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1243z00_4091;

																							{	/* Unsafe/bignumber.scm 267 */
																								obj_t BgL_tmpz00_7092;

																								BgL_tmpz00_7092 =
																									((obj_t) BgL_xz00_1780);
																								BgL_arg1243z00_4091 =
																									BGL_BIGNUM_U16VECT
																									(BgL_tmpz00_7092);
																							}
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7095;

																								BgL_tmpz00_7095 =
																									(long) (BgL_iz00_4089);
																								BgL_arg1240z00_4090 =
																									BGL_U16VREF
																									(BgL_arg1243z00_4091,
																									BgL_tmpz00_7095);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2287z00_4093;

																							BgL_arg2287z00_4093 =
																								(long) (BgL_arg1240z00_4090);
																							BgL_arg1624z00_4087 =
																								(long) (BgL_arg2287z00_4093);
																				}}}
																				BgL_arg1621z00_4086 =
																					(BgL_arg1624z00_4087 *
																					BgL_shiftz00_1788);
																			}
																			BgL_wz00_4085 =
																				(BgL_arg1621z00_4086 + BgL_cz00_4081);
																		}
																		{	/* Unsafe/bignumber.scm 722 */
																			obj_t BgL_arg1616z00_4099;

																			BgL_arg1616z00_4099 =
																				BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																				(BINT(BgL_wz00_4085),
																				BINT(((long) 16384)));
																			{	/* Unsafe/bignumber.scm 722 */
																				int BgL_iz00_4102;
																				int BgL_digitz00_4103;

																				BgL_iz00_4102 = (int) (BgL_iz00_4080);
																				BgL_digitz00_4103 =
																					CINT(BgL_arg1616z00_4099);
																				{	/* Unsafe/bignumber.scm 269 */
																					obj_t BgL_arg1245z00_4104;
																					uint16_t BgL_arg1246z00_4105;

																					BgL_arg1245z00_4104 =
																						BGL_BIGNUM_U16VECT(BgL_nxz00_1795);
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7108;

																						BgL_tmpz00_7108 =
																							(long) (BgL_digitz00_4103);
																						BgL_arg1246z00_4105 =
																							(uint16_t) (BgL_tmpz00_7108);
																					}
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7111;

																						BgL_tmpz00_7111 =
																							(long) (BgL_iz00_4102);
																						BGL_U16VSET(BgL_arg1245z00_4104,
																							BgL_tmpz00_7111,
																							BgL_arg1246z00_4105);
																					} BUNSPEC;
																		}}}
																		{	/* Unsafe/bignumber.scm 723 */
																			long BgL_arg1618z00_4107;
																			long BgL_arg1619z00_4108;

																			BgL_arg1618z00_4107 =
																				(BgL_iz00_4080 + ((long) 1));
																			BgL_arg1619z00_4108 =
																				(BgL_wz00_4085 / ((long) 16384));
																			{
																				long BgL_cz00_7117;
																				long BgL_iz00_7116;

																				BgL_iz00_7116 = BgL_arg1618z00_4107;
																				BgL_cz00_7117 = BgL_arg1619z00_4108;
																				BgL_cz00_4081 = BgL_cz00_7117;
																				BgL_iz00_4080 = BgL_iz00_7116;
																				goto BgL_loop3z00_4079;
																			}
																		}
																	}
																else
																	{	/* Unsafe/bignumber.scm 724 */
																		int BgL_iz00_4114;
																		int BgL_digitz00_4115;

																		BgL_iz00_4114 = (int) (BgL_iz00_4080);
																		BgL_digitz00_4115 = (int) (BgL_cz00_4081);
																		{	/* Unsafe/bignumber.scm 269 */
																			obj_t BgL_arg1245z00_4116;
																			uint16_t BgL_arg1246z00_4117;

																			BgL_arg1245z00_4116 =
																				BGL_BIGNUM_U16VECT(BgL_nxz00_1795);
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7121;

																				BgL_tmpz00_7121 =
																					(long) (BgL_digitz00_4115);
																				BgL_arg1246z00_4117 =
																					(uint16_t) (BgL_tmpz00_7121);
																			}
																			{	/* Unsafe/bignumber.scm 269 */
																				long BgL_tmpz00_7124;

																				BgL_tmpz00_7124 =
																					(long) (BgL_iz00_4114);
																				BGL_U16VSET(BgL_arg1245z00_4116,
																					BgL_tmpz00_7124, BgL_arg1246z00_4117);
																			} BUNSPEC;
															}}}
															{
																long BgL_iz00_4142;
																long BgL_cz00_4143;

																BgL_iz00_4142 = ((long) 1);
																BgL_cz00_4143 = ((long) 0);
															BgL_loop4z00_4141:
																if ((BgL_iz00_4142 < BgL_lenyz00_1783))
																	{	/* Unsafe/bignumber.scm 728 */
																		long BgL_wz00_4147;

																		{	/* Unsafe/bignumber.scm 728 */
																			long BgL_arg1634z00_4148;

																			{	/* Unsafe/bignumber.scm 728 */
																				long BgL_arg1635z00_4149;

																				{	/* Unsafe/bignumber.scm 728 */
																					int BgL_iz00_4151;

																					BgL_iz00_4151 = (int) (BgL_iz00_4142);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1240z00_4152;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1243z00_4153;

																							{	/* Unsafe/bignumber.scm 267 */
																								obj_t BgL_tmpz00_7130;

																								BgL_tmpz00_7130 =
																									((obj_t) BgL_yz00_1781);
																								BgL_arg1243z00_4153 =
																									BGL_BIGNUM_U16VECT
																									(BgL_tmpz00_7130);
																							}
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7133;

																								BgL_tmpz00_7133 =
																									(long) (BgL_iz00_4151);
																								BgL_arg1240z00_4152 =
																									BGL_U16VREF
																									(BgL_arg1243z00_4153,
																									BgL_tmpz00_7133);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2287z00_4155;

																							BgL_arg2287z00_4155 =
																								(long) (BgL_arg1240z00_4152);
																							BgL_arg1635z00_4149 =
																								(long) (BgL_arg2287z00_4155);
																				}}}
																				BgL_arg1634z00_4148 =
																					(BgL_arg1635z00_4149 *
																					BgL_shiftz00_1788);
																			}
																			BgL_wz00_4147 =
																				(BgL_arg1634z00_4148 + BgL_cz00_4143);
																		}
																		{	/* Unsafe/bignumber.scm 729 */
																			obj_t BgL_arg1628z00_4161;

																			BgL_arg1628z00_4161 =
																				BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																				(BINT(BgL_wz00_4147),
																				BINT(((long) 16384)));
																			{	/* Unsafe/bignumber.scm 729 */
																				int BgL_iz00_4164;
																				int BgL_digitz00_4165;

																				BgL_iz00_4164 = (int) (BgL_iz00_4142);
																				BgL_digitz00_4165 =
																					CINT(BgL_arg1628z00_4161);
																				{	/* Unsafe/bignumber.scm 269 */
																					obj_t BgL_arg1245z00_4166;
																					uint16_t BgL_arg1246z00_4167;

																					BgL_arg1245z00_4166 =
																						BGL_BIGNUM_U16VECT(BgL_nyz00_1796);
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7146;

																						BgL_tmpz00_7146 =
																							(long) (BgL_digitz00_4165);
																						BgL_arg1246z00_4167 =
																							(uint16_t) (BgL_tmpz00_7146);
																					}
																					{	/* Unsafe/bignumber.scm 269 */
																						long BgL_tmpz00_7149;

																						BgL_tmpz00_7149 =
																							(long) (BgL_iz00_4164);
																						BGL_U16VSET(BgL_arg1245z00_4166,
																							BgL_tmpz00_7149,
																							BgL_arg1246z00_4167);
																					} BUNSPEC;
																		}}}
																		{	/* Unsafe/bignumber.scm 730 */
																			long BgL_arg1630z00_4169;
																			long BgL_arg1632z00_4170;

																			BgL_arg1630z00_4169 =
																				(BgL_iz00_4142 + ((long) 1));
																			BgL_arg1632z00_4170 =
																				(BgL_wz00_4147 / ((long) 16384));
																			{
																				long BgL_cz00_7155;
																				long BgL_iz00_7154;

																				BgL_iz00_7154 = BgL_arg1630z00_4169;
																				BgL_cz00_7155 = BgL_arg1632z00_4170;
																				BgL_cz00_4143 = BgL_cz00_7155;
																				BgL_iz00_4142 = BgL_iz00_7154;
																				goto BgL_loop4z00_4141;
																			}
																		}
																	}
																else
																	{	/* Unsafe/bignumber.scm 727 */
																		((bool_t) 0);
																	}
															}
															{
																long BgL_iz00_1827;

																BgL_iz00_1827 = BgL_lenxz00_1782;
															BgL_zc3z04anonymousza31636ze3z87_1828:
																if ((BgL_iz00_1827 < BgL_lenyz00_1783))
																	{	/* Unsafe/bignumber.scm 733 */
																		((bool_t) 0);
																	}
																else
																	{	/* Unsafe/bignumber.scm 737 */
																		long BgL_msdzd2ofzd2nyz00_1830;
																		long BgL_nextzd2msdzd2ofzd2nyzd2_1831;
																		long BgL_msdzd2ofzd2nxz00_1832;
																		long BgL_nextzd2msdzd2ofzd2nxzd2_1833;
																		long
																			BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1834;
																		{	/* Unsafe/bignumber.scm 738 */
																			long BgL_arg1730z00_1922;

																			BgL_arg1730z00_1922 =
																				(BgL_lenyz00_1783 - ((long) 1));
																			{	/* Unsafe/bignumber.scm 738 */
																				int BgL_iz00_4179;

																				BgL_iz00_4179 =
																					(int) (BgL_arg1730z00_1922);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1240z00_4180;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1243z00_4181;

																						BgL_arg1243z00_4181 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nyz00_1796);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7161;

																							BgL_tmpz00_7161 =
																								(long) (BgL_iz00_4179);
																							BgL_arg1240z00_4180 =
																								BGL_U16VREF(BgL_arg1243z00_4181,
																								BgL_tmpz00_7161);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2287z00_4183;

																						BgL_arg2287z00_4183 =
																							(long) (BgL_arg1240z00_4180);
																						BgL_msdzd2ofzd2nyz00_1830 =
																							(long) (BgL_arg2287z00_4183);
																		}}}}
																		{	/* Unsafe/bignumber.scm 740 */
																			long BgL_arg1731z00_1923;

																			BgL_arg1731z00_1923 =
																				(BgL_lenyz00_1783 - ((long) 2));
																			{	/* Unsafe/bignumber.scm 740 */
																				int BgL_iz00_4187;

																				BgL_iz00_4187 =
																					(int) (BgL_arg1731z00_1923);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1240z00_4188;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1243z00_4189;

																						BgL_arg1243z00_4189 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nyz00_1796);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7169;

																							BgL_tmpz00_7169 =
																								(long) (BgL_iz00_4187);
																							BgL_arg1240z00_4188 =
																								BGL_U16VREF(BgL_arg1243z00_4189,
																								BgL_tmpz00_7169);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2287z00_4191;

																						BgL_arg2287z00_4191 =
																							(long) (BgL_arg1240z00_4188);
																						BgL_nextzd2msdzd2ofzd2nyzd2_1831 =
																							(long) (BgL_arg2287z00_4191);
																		}}}}
																		{	/* Unsafe/bignumber.scm 742 */
																			int BgL_iz00_4194;

																			BgL_iz00_4194 = (int) (BgL_iz00_1827);
																			{	/* Unsafe/bignumber.scm 267 */
																				uint16_t BgL_arg1240z00_4195;

																				{	/* Unsafe/bignumber.scm 267 */
																					obj_t BgL_arg1243z00_4196;

																					BgL_arg1243z00_4196 =
																						BGL_BIGNUM_U16VECT(BgL_nxz00_1795);
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_tmpz00_7176;

																						BgL_tmpz00_7176 =
																							(long) (BgL_iz00_4194);
																						BgL_arg1240z00_4195 =
																							BGL_U16VREF(BgL_arg1243z00_4196,
																							BgL_tmpz00_7176);
																				}}
																				{	/* Unsafe/bignumber.scm 267 */
																					long BgL_arg2287z00_4198;

																					BgL_arg2287z00_4198 =
																						(long) (BgL_arg1240z00_4195);
																					BgL_msdzd2ofzd2nxz00_1832 =
																						(long) (BgL_arg2287z00_4198);
																		}}}
																		{	/* Unsafe/bignumber.scm 744 */
																			long BgL_arg1732z00_1924;

																			BgL_arg1732z00_1924 =
																				(BgL_iz00_1827 - ((long) 1));
																			{	/* Unsafe/bignumber.scm 744 */
																				int BgL_iz00_4202;

																				BgL_iz00_4202 =
																					(int) (BgL_arg1732z00_1924);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1240z00_4203;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1243z00_4204;

																						BgL_arg1243z00_4204 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1795);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7184;

																							BgL_tmpz00_7184 =
																								(long) (BgL_iz00_4202);
																							BgL_arg1240z00_4203 =
																								BGL_U16VREF(BgL_arg1243z00_4204,
																								BgL_tmpz00_7184);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2287z00_4206;

																						BgL_arg2287z00_4206 =
																							(long) (BgL_arg1240z00_4203);
																						BgL_nextzd2msdzd2ofzd2nxzd2_1833 =
																							(long) (BgL_arg2287z00_4206);
																		}}}}
																		{	/* Unsafe/bignumber.scm 746 */
																			long BgL_arg1733z00_1925;

																			BgL_arg1733z00_1925 =
																				(BgL_iz00_1827 - ((long) 2));
																			{	/* Unsafe/bignumber.scm 746 */
																				int BgL_iz00_4210;

																				BgL_iz00_4210 =
																					(int) (BgL_arg1733z00_1925);
																				{	/* Unsafe/bignumber.scm 267 */
																					uint16_t BgL_arg1240z00_4211;

																					{	/* Unsafe/bignumber.scm 267 */
																						obj_t BgL_arg1243z00_4212;

																						BgL_arg1243z00_4212 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1795);
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_tmpz00_7192;

																							BgL_tmpz00_7192 =
																								(long) (BgL_iz00_4210);
																							BgL_arg1240z00_4211 =
																								BGL_U16VREF(BgL_arg1243z00_4212,
																								BgL_tmpz00_7192);
																					}}
																					{	/* Unsafe/bignumber.scm 267 */
																						long BgL_arg2287z00_4214;

																						BgL_arg2287z00_4214 =
																							(long) (BgL_arg1240z00_4211);
																						BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1834
																							= (long) (BgL_arg2287z00_4214);
																		}}}}
																		{
																			long BgL_qz00_1901;
																			long BgL_uz00_1902;

																			{	/* Unsafe/bignumber.scm 760 */
																				long BgL_qz00_1836;

																				if (
																					(BgL_msdzd2ofzd2nxz00_1832 ==
																						BgL_msdzd2ofzd2nyz00_1830))
																					{	/* Unsafe/bignumber.scm 760 */
																						BgL_qz00_1901 = ((long) 16383);
																						BgL_uz00_1902 =
																							(BgL_msdzd2ofzd2nyz00_1830 +
																							BgL_nextzd2msdzd2ofzd2nxzd2_1833);
																					BgL_zc3z04anonymousza31716ze3z87_1903:
																						if (
																							(BgL_uz00_1902 < ((long) 16384)))
																							{	/* Unsafe/bignumber.scm 750 */
																								long BgL_temp1z00_1906;

																								BgL_temp1z00_1906 =
																									(BgL_qz00_1901 *
																									BgL_nextzd2msdzd2ofzd2nyzd2_1831);
																								{	/* Unsafe/bignumber.scm 750 */
																									long BgL_temp2z00_1907;

																									BgL_temp2z00_1907 =
																										(BgL_temp1z00_1906 /
																										((long) 16384));
																									{	/* Unsafe/bignumber.scm 751 */

																										{	/* Unsafe/bignumber.scm 752 */
																											bool_t
																												BgL_test2790z00_7203;
																											if ((BgL_uz00_1902 <
																													BgL_temp2z00_1907))
																												{	/* Unsafe/bignumber.scm 752 */
																													BgL_test2790z00_7203 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Unsafe/bignumber.scm 752 */
																													if (
																														(BgL_temp2z00_1907
																															== BgL_uz00_1902))
																														{	/* Unsafe/bignumber.scm 755 */
																															long
																																BgL_arg1726z00_1917;
																															{	/* Unsafe/bignumber.scm 755 */
																																long
																																	BgL_n1z00_4226;
																																long
																																	BgL_n2z00_4227;
																																BgL_n1z00_4226 =
																																	BgL_temp1z00_1906;
																																BgL_n2z00_4227 =
																																	((long)
																																	16384);
																																{	/* Unsafe/bignumber.scm 755 */
																																	bool_t
																																		BgL_test2793z00_7208;
																																	{	/* Unsafe/bignumber.scm 755 */
																																		long
																																			BgL_arg2193z00_4229;
																																		BgL_arg2193z00_4229
																																			=
																																			(((BgL_n1z00_4226) | (BgL_n2z00_4227)) & -2147483648);
																																		BgL_test2793z00_7208
																																			=
																																			(BgL_arg2193z00_4229
																																			==
																																			((long)
																																				0));
																																	}
																																	if (BgL_test2793z00_7208)
																																		{	/* Unsafe/bignumber.scm 755 */
																																			int32_t
																																				BgL_arg2190z00_4230;
																																			{	/* Unsafe/bignumber.scm 755 */
																																				int32_t
																																					BgL_arg2191z00_4231;
																																				int32_t
																																					BgL_arg2192z00_4232;
																																				BgL_arg2191z00_4231
																																					=
																																					(int32_t)
																																					(BgL_n1z00_4226);
																																				BgL_arg2192z00_4232
																																					=
																																					(int32_t)
																																					(BgL_n2z00_4227);
																																				BgL_arg2190z00_4230
																																					=
																																					(BgL_arg2191z00_4231
																																					%
																																					BgL_arg2192z00_4232);
																																			}
																																			{	/* Unsafe/bignumber.scm 755 */
																																				long
																																					BgL_arg2286z00_4237;
																																				BgL_arg2286z00_4237
																																					=
																																					(long)
																																					(BgL_arg2190z00_4230);
																																				BgL_arg1726z00_1917
																																					=
																																					(long)
																																					(BgL_arg2286z00_4237);
																																		}}
																																	else
																																		{	/* Unsafe/bignumber.scm 755 */
																																			BgL_arg1726z00_1917
																																				=
																																				(BgL_n1z00_4226
																																				%
																																				BgL_n2z00_4227);
																																		}
																																}
																															}
																															BgL_test2790z00_7203
																																=
																																(BgL_nextzd2nextzd2msdzd2ofzd2nxz00_1834
																																<
																																BgL_arg1726z00_1917);
																														}
																													else
																														{	/* Unsafe/bignumber.scm 753 */
																															BgL_test2790z00_7203
																																= ((bool_t) 0);
																														}
																												}
																											if (BgL_test2790z00_7203)
																												{
																													long BgL_uz00_7220;
																													long BgL_qz00_7218;

																													BgL_qz00_7218 =
																														(BgL_qz00_1901 -
																														((long) 1));
																													BgL_uz00_7220 =
																														(BgL_uz00_1902 +
																														BgL_msdzd2ofzd2nyz00_1830);
																													BgL_uz00_1902 =
																														BgL_uz00_7220;
																													BgL_qz00_1901 =
																														BgL_qz00_7218;
																													goto
																														BgL_zc3z04anonymousza31716ze3z87_1903;
																												}
																											else
																												{	/* Unsafe/bignumber.scm 752 */
																													BgL_qz00_1836 =
																														BgL_qz00_1901;
																												}
																										}
																									}
																								}
																							}
																						else
																							{	/* Unsafe/bignumber.scm 749 */
																								BgL_qz00_1836 = BgL_qz00_1901;
																							}
																					}
																				else
																					{	/* Unsafe/bignumber.scm 763 */
																						long BgL_tempz00_1896;

																						BgL_tempz00_1896 =
																							(
																							(BgL_msdzd2ofzd2nxz00_1832 *
																								((long) 16384)) +
																							BgL_nextzd2msdzd2ofzd2nxzd2_1833);
																						{	/* Unsafe/bignumber.scm 765 */
																							long BgL_arg1712z00_1897;
																							long BgL_arg1713z00_1898;

																							BgL_arg1712z00_1897 =
																								(BgL_tempz00_1896 /
																								BgL_msdzd2ofzd2nyz00_1830);
																							BgL_arg1713z00_1898 =
																								BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00
																								(BgL_tempz00_1896,
																								BgL_msdzd2ofzd2nyz00_1830);
																							{
																								long BgL_uz00_7228;
																								long BgL_qz00_7227;

																								BgL_qz00_7227 =
																									BgL_arg1712z00_1897;
																								BgL_uz00_7228 =
																									BgL_arg1713z00_1898;
																								BgL_uz00_1902 = BgL_uz00_7228;
																								BgL_qz00_1901 = BgL_qz00_7227;
																								goto
																									BgL_zc3z04anonymousza31716ze3z87_1903;
																							}
																						}
																					}
																				{	/* Unsafe/bignumber.scm 770 */
																					long BgL_g1054z00_1837;

																					BgL_g1054z00_1837 =
																						(BgL_iz00_1827 -
																						(BgL_lenyz00_1783 - ((long) 1)));
																					{
																						long BgL_jz00_1839;
																						long BgL_kz00_1840;
																						long BgL_bz00_1841;

																						BgL_jz00_1839 = ((long) 1);
																						BgL_kz00_1840 = BgL_g1054z00_1837;
																						BgL_bz00_1841 = ((long) 0);
																					BgL_zc3z04anonymousza31638ze3z87_1842:
																						if (
																							(BgL_jz00_1839 <
																								BgL_lenyz00_1783))
																							{	/* Unsafe/bignumber.scm 775 */
																								long BgL_wz00_1844;

																								{	/* Unsafe/bignumber.scm 775 */
																									long BgL_arg1650z00_1853;
																									long BgL_arg1651z00_1854;

																									{	/* Unsafe/bignumber.scm 775 */
																										long BgL_arg1652z00_1855;

																										{	/* Unsafe/bignumber.scm 775 */
																											int BgL_iz00_4260;

																											BgL_iz00_4260 =
																												(int) (BgL_kz00_1840);
																											{	/* Unsafe/bignumber.scm 267 */
																												uint16_t
																													BgL_arg1240z00_4261;
																												{	/* Unsafe/bignumber.scm 267 */
																													obj_t
																														BgL_arg1243z00_4262;
																													BgL_arg1243z00_4262 =
																														BGL_BIGNUM_U16VECT
																														(BgL_nxz00_1795);
																													{	/* Unsafe/bignumber.scm 267 */
																														long
																															BgL_tmpz00_7235;
																														BgL_tmpz00_7235 =
																															(long)
																															(BgL_iz00_4260);
																														BgL_arg1240z00_4261
																															=
																															BGL_U16VREF
																															(BgL_arg1243z00_4262,
																															BgL_tmpz00_7235);
																												}}
																												{	/* Unsafe/bignumber.scm 267 */
																													long
																														BgL_arg2287z00_4264;
																													BgL_arg2287z00_4264 =
																														(long)
																														(BgL_arg1240z00_4261);
																													BgL_arg1652z00_1855 =
																														(long)
																														(BgL_arg2287z00_4264);
																										}}}
																										BgL_arg1650z00_1853 =
																											(BgL_arg1652z00_1855 +
																											BgL_bz00_1841);
																									}
																									{	/* Unsafe/bignumber.scm 776 */
																										long BgL_arg1655z00_1856;

																										{	/* Unsafe/bignumber.scm 776 */
																											int BgL_iz00_4269;

																											BgL_iz00_4269 =
																												(int) (BgL_jz00_1839);
																											{	/* Unsafe/bignumber.scm 267 */
																												uint16_t
																													BgL_arg1240z00_4270;
																												{	/* Unsafe/bignumber.scm 267 */
																													obj_t
																														BgL_arg1243z00_4271;
																													BgL_arg1243z00_4271 =
																														BGL_BIGNUM_U16VECT
																														(BgL_nyz00_1796);
																													{	/* Unsafe/bignumber.scm 267 */
																														long
																															BgL_tmpz00_7243;
																														BgL_tmpz00_7243 =
																															(long)
																															(BgL_iz00_4269);
																														BgL_arg1240z00_4270
																															=
																															BGL_U16VREF
																															(BgL_arg1243z00_4271,
																															BgL_tmpz00_7243);
																												}}
																												{	/* Unsafe/bignumber.scm 267 */
																													long
																														BgL_arg2287z00_4273;
																													BgL_arg2287z00_4273 =
																														(long)
																														(BgL_arg1240z00_4270);
																													BgL_arg1655z00_1856 =
																														(long)
																														(BgL_arg2287z00_4273);
																										}}}
																										BgL_arg1651z00_1854 =
																											(BgL_arg1655z00_1856 *
																											BgL_qz00_1836);
																									}
																									BgL_wz00_1844 =
																										(BgL_arg1650z00_1853 -
																										BgL_arg1651z00_1854);
																								}
																								{	/* Unsafe/bignumber.scm 780 */
																									obj_t BgL_arg1640z00_1845;

																									BgL_arg1640z00_1845 =
																										BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																										(BINT(BgL_wz00_1844),
																										BINT(((long) 16384)));
																									{	/* Unsafe/bignumber.scm 777 */
																										int BgL_iz00_4280;
																										int BgL_digitz00_4281;

																										BgL_iz00_4280 =
																											(int) (BgL_kz00_1840);
																										BgL_digitz00_4281 =
																											CINT(BgL_arg1640z00_1845);
																										{	/* Unsafe/bignumber.scm 269 */
																											obj_t BgL_arg1245z00_4282;
																											uint16_t
																												BgL_arg1246z00_4283;
																											BgL_arg1245z00_4282 =
																												BGL_BIGNUM_U16VECT
																												(BgL_nxz00_1795);
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7256;

																												BgL_tmpz00_7256 =
																													(long)
																													(BgL_digitz00_4281);
																												BgL_arg1246z00_4283 =
																													(uint16_t)
																													(BgL_tmpz00_7256);
																											}
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7259;

																												BgL_tmpz00_7259 =
																													(long)
																													(BgL_iz00_4280);
																												BGL_U16VSET
																													(BgL_arg1245z00_4282,
																													BgL_tmpz00_7259,
																													BgL_arg1246z00_4283);
																											} BUNSPEC;
																								}}}
																								{	/* Unsafe/bignumber.scm 781 */
																									long BgL_arg1642z00_1847;
																									long BgL_arg1643z00_1848;
																									long BgL_arg1644z00_1849;

																									BgL_arg1642z00_1847 =
																										(BgL_jz00_1839 +
																										((long) 1));
																									BgL_arg1643z00_1848 =
																										(BgL_kz00_1840 +
																										((long) 1));
																									{	/* Unsafe/bignumber.scm 783 */
																										long BgL_tmpz00_7264;

																										BgL_tmpz00_7264 =
																											(BgL_wz00_1844 -
																											((long) 16383));
																										BgL_arg1644z00_1849 =
																											(BgL_tmpz00_7264 /
																											((long) 16384));
																									}
																									{
																										long BgL_bz00_7269;
																										long BgL_kz00_7268;
																										long BgL_jz00_7267;

																										BgL_jz00_7267 =
																											BgL_arg1642z00_1847;
																										BgL_kz00_7268 =
																											BgL_arg1643z00_1848;
																										BgL_bz00_7269 =
																											BgL_arg1644z00_1849;
																										BgL_bz00_1841 =
																											BgL_bz00_7269;
																										BgL_kz00_1840 =
																											BgL_kz00_7268;
																										BgL_jz00_1839 =
																											BgL_jz00_7267;
																										goto
																											BgL_zc3z04anonymousza31638ze3z87_1842;
																									}
																								}
																							}
																						else
																							{	/* Unsafe/bignumber.scm 786 */
																								long BgL_wz00_1857;

																								{	/* Unsafe/bignumber.scm 786 */
																									long BgL_arg1703z00_1890;

																									{	/* Unsafe/bignumber.scm 786 */
																										int BgL_iz00_4292;

																										BgL_iz00_4292 =
																											(int) (BgL_kz00_1840);
																										{	/* Unsafe/bignumber.scm 267 */
																											uint16_t
																												BgL_arg1240z00_4293;
																											{	/* Unsafe/bignumber.scm 267 */
																												obj_t
																													BgL_arg1243z00_4294;
																												BgL_arg1243z00_4294 =
																													BGL_BIGNUM_U16VECT
																													(BgL_nxz00_1795);
																												{	/* Unsafe/bignumber.scm 267 */
																													long BgL_tmpz00_7272;

																													BgL_tmpz00_7272 =
																														(long)
																														(BgL_iz00_4292);
																													BgL_arg1240z00_4293 =
																														BGL_U16VREF
																														(BgL_arg1243z00_4294,
																														BgL_tmpz00_7272);
																											}}
																											{	/* Unsafe/bignumber.scm 267 */
																												long
																													BgL_arg2287z00_4296;
																												BgL_arg2287z00_4296 =
																													(long)
																													(BgL_arg1240z00_4293);
																												BgL_arg1703z00_1890 =
																													(long)
																													(BgL_arg2287z00_4296);
																									}}}
																									BgL_wz00_1857 =
																										(BgL_arg1703z00_1890 +
																										BgL_bz00_1841);
																								}
																								{	/* Unsafe/bignumber.scm 790 */
																									obj_t BgL_arg1656z00_1858;

																									BgL_arg1656z00_1858 =
																										BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																										(BINT(BgL_wz00_1857),
																										BINT(((long) 16384)));
																									{	/* Unsafe/bignumber.scm 787 */
																										int BgL_iz00_4301;
																										int BgL_digitz00_4302;

																										BgL_iz00_4301 =
																											(int) (BgL_kz00_1840);
																										BgL_digitz00_4302 =
																											CINT(BgL_arg1656z00_1858);
																										{	/* Unsafe/bignumber.scm 269 */
																											obj_t BgL_arg1245z00_4303;
																											uint16_t
																												BgL_arg1246z00_4304;
																											BgL_arg1245z00_4303 =
																												BGL_BIGNUM_U16VECT
																												(BgL_nxz00_1795);
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7284;

																												BgL_tmpz00_7284 =
																													(long)
																													(BgL_digitz00_4302);
																												BgL_arg1246z00_4304 =
																													(uint16_t)
																													(BgL_tmpz00_7284);
																											}
																											{	/* Unsafe/bignumber.scm 269 */
																												long BgL_tmpz00_7287;

																												BgL_tmpz00_7287 =
																													(long)
																													(BgL_iz00_4301);
																												BGL_U16VSET
																													(BgL_arg1245z00_4303,
																													BgL_tmpz00_7287,
																													BgL_arg1246z00_4304);
																											} BUNSPEC;
																								}}}
																								if (
																									(BgL_wz00_1857 < ((long) 0)))
																									{	/* Unsafe/bignumber.scm 791 */
																										{	/* Unsafe/bignumber.scm 795 */
																											long BgL_arg1660z00_1861;
																											long BgL_arg1661z00_1862;

																											BgL_arg1660z00_1861 =
																												(BgL_iz00_1827 -
																												(BgL_lenyz00_1783 -
																													((long) 1)));
																											BgL_arg1661z00_1862 =
																												(BgL_qz00_1836 -
																												((long) 1));
																											{	/* Unsafe/bignumber.scm 793 */
																												int BgL_iz00_4312;
																												int BgL_digitz00_4313;

																												BgL_iz00_4312 =
																													(int)
																													(BgL_arg1660z00_1861);
																												BgL_digitz00_4313 =
																													(int)
																													(BgL_arg1661z00_1862);
																												{	/* Unsafe/bignumber.scm 269 */
																													obj_t
																														BgL_arg1245z00_4314;
																													uint16_t
																														BgL_arg1246z00_4315;
																													BgL_arg1245z00_4314 =
																														BGL_BIGNUM_U16VECT
																														(BgL_rz00_1784);
																													{	/* Unsafe/bignumber.scm 269 */
																														long
																															BgL_tmpz00_7298;
																														BgL_tmpz00_7298 =
																															(long)
																															(BgL_digitz00_4313);
																														BgL_arg1246z00_4315
																															=
																															(uint16_t)
																															(BgL_tmpz00_7298);
																													}
																													{	/* Unsafe/bignumber.scm 269 */
																														long
																															BgL_tmpz00_7301;
																														BgL_tmpz00_7301 =
																															(long)
																															(BgL_iz00_4312);
																														BGL_U16VSET
																															(BgL_arg1245z00_4314,
																															BgL_tmpz00_7301,
																															BgL_arg1246z00_4315);
																													} BUNSPEC;
																										}}}
																										{	/* Unsafe/bignumber.scm 797 */
																											long BgL_g1055z00_1864;

																											BgL_g1055z00_1864 =
																												(BgL_iz00_1827 -
																												(BgL_lenyz00_1783 -
																													((long) 1)));
																											{
																												long BgL_jz00_1866;
																												long BgL_kz00_1867;
																												long BgL_cz00_1868;

																												BgL_jz00_1866 =
																													((long) 1);
																												BgL_kz00_1867 =
																													BgL_g1055z00_1864;
																												BgL_cz00_1868 =
																													((long) 0);
																											BgL_zc3z04anonymousza31663ze3z87_1869:
																												if (
																													(BgL_jz00_1866 <
																														BgL_lenyz00_1783))
																													{	/* Unsafe/bignumber.scm 802 */
																														long BgL_wz00_1871;

																														{	/* Unsafe/bignumber.scm 804 */
																															long
																																BgL_arg1676z00_1878;
																															{	/* Unsafe/bignumber.scm 804 */
																																long
																																	BgL_arg1678z00_1879;
																																long
																																	BgL_arg1679z00_1880;
																																{	/* Unsafe/bignumber.scm 804 */
																																	int
																																		BgL_iz00_4323;
																																	BgL_iz00_4323
																																		=
																																		(int)
																																		(BgL_kz00_1867);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1240z00_4324;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1243z00_4325;
																																			BgL_arg1243z00_4325
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nxz00_1795);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7310;
																																				BgL_tmpz00_7310
																																					=
																																					(long)
																																					(BgL_iz00_4323);
																																				BgL_arg1240z00_4324
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1243z00_4325,
																																					BgL_tmpz00_7310);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2287z00_4327;
																																			BgL_arg2287z00_4327
																																				=
																																				(long)
																																				(BgL_arg1240z00_4324);
																																			BgL_arg1678z00_1879
																																				=
																																				(long)
																																				(BgL_arg2287z00_4327);
																																}}}
																																{	/* Unsafe/bignumber.scm 805 */
																																	int
																																		BgL_iz00_4330;
																																	BgL_iz00_4330
																																		=
																																		(int)
																																		(BgL_jz00_1866);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1240z00_4331;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1243z00_4332;
																																			BgL_arg1243z00_4332
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nyz00_1796);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7317;
																																				BgL_tmpz00_7317
																																					=
																																					(long)
																																					(BgL_iz00_4330);
																																				BgL_arg1240z00_4331
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1243z00_4332,
																																					BgL_tmpz00_7317);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2287z00_4334;
																																			BgL_arg2287z00_4334
																																				=
																																				(long)
																																				(BgL_arg1240z00_4331);
																																			BgL_arg1679z00_1880
																																				=
																																				(long)
																																				(BgL_arg2287z00_4334);
																																}}}
																																BgL_arg1676z00_1878
																																	=
																																	(BgL_arg1678z00_1879
																																	+
																																	BgL_arg1679z00_1880);
																															}
																															BgL_wz00_1871 =
																																(BgL_arg1676z00_1878
																																+
																																BgL_cz00_1868);
																														}
																														{	/* Unsafe/bignumber.scm 810 */
																															obj_t
																																BgL_arg1665z00_1872;
																															BgL_arg1665z00_1872
																																=
																																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																																(BINT
																																(BgL_wz00_1871),
																																BINT(((long)
																																		16384)));
																															{	/* Unsafe/bignumber.scm 807 */
																																int
																																	BgL_iz00_4341;
																																int
																																	BgL_digitz00_4342;
																																BgL_iz00_4341 =
																																	(int)
																																	(BgL_kz00_1867);
																																BgL_digitz00_4342
																																	=
																																	CINT
																																	(BgL_arg1665z00_1872);
																																{	/* Unsafe/bignumber.scm 269 */
																																	obj_t
																																		BgL_arg1245z00_4343;
																																	uint16_t
																																		BgL_arg1246z00_4344;
																																	BgL_arg1245z00_4343
																																		=
																																		BGL_BIGNUM_U16VECT
																																		(BgL_nxz00_1795);
																																	{	/* Unsafe/bignumber.scm 269 */
																																		long
																																			BgL_tmpz00_7330;
																																		BgL_tmpz00_7330
																																			=
																																			(long)
																																			(BgL_digitz00_4342);
																																		BgL_arg1246z00_4344
																																			=
																																			(uint16_t)
																																			(BgL_tmpz00_7330);
																																	}
																																	{	/* Unsafe/bignumber.scm 269 */
																																		long
																																			BgL_tmpz00_7333;
																																		BgL_tmpz00_7333
																																			=
																																			(long)
																																			(BgL_iz00_4341);
																																		BGL_U16VSET
																																			(BgL_arg1245z00_4343,
																																			BgL_tmpz00_7333,
																																			BgL_arg1246z00_4344);
																																	} BUNSPEC;
																														}}}
																														{	/* Unsafe/bignumber.scm 812 */
																															long
																																BgL_arg1667z00_1874;
																															long
																																BgL_arg1668z00_1875;
																															long
																																BgL_arg1673z00_1876;
																															BgL_arg1667z00_1874
																																=
																																(BgL_jz00_1866 +
																																((long) 1));
																															BgL_arg1668z00_1875
																																=
																																(BgL_kz00_1867 +
																																((long) 1));
																															BgL_arg1673z00_1876
																																=
																																(BgL_wz00_1871 /
																																((long) 16384));
																															{
																																long
																																	BgL_cz00_7341;
																																long
																																	BgL_kz00_7340;
																																long
																																	BgL_jz00_7339;
																																BgL_jz00_7339 =
																																	BgL_arg1667z00_1874;
																																BgL_kz00_7340 =
																																	BgL_arg1668z00_1875;
																																BgL_cz00_7341 =
																																	BgL_arg1673z00_1876;
																																BgL_cz00_1868 =
																																	BgL_cz00_7341;
																																BgL_kz00_1867 =
																																	BgL_kz00_7340;
																																BgL_jz00_1866 =
																																	BgL_jz00_7339;
																																goto
																																	BgL_zc3z04anonymousza31663ze3z87_1869;
																															}
																														}
																													}
																												else
																													{	/* Unsafe/bignumber.scm 819 */
																														obj_t
																															BgL_arg1681z00_1881;
																														{	/* Unsafe/bignumber.scm 819 */
																															long
																																BgL_arg1682z00_1882;
																															{	/* Unsafe/bignumber.scm 819 */
																																long
																																	BgL_arg1695z00_1884;
																																{	/* Unsafe/bignumber.scm 819 */
																																	int
																																		BgL_iz00_4351;
																																	BgL_iz00_4351
																																		=
																																		(int)
																																		(BgL_kz00_1867);
																																	{	/* Unsafe/bignumber.scm 267 */
																																		uint16_t
																																			BgL_arg1240z00_4352;
																																		{	/* Unsafe/bignumber.scm 267 */
																																			obj_t
																																				BgL_arg1243z00_4353;
																																			BgL_arg1243z00_4353
																																				=
																																				BGL_BIGNUM_U16VECT
																																				(BgL_nxz00_1795);
																																			{	/* Unsafe/bignumber.scm 267 */
																																				long
																																					BgL_tmpz00_7344;
																																				BgL_tmpz00_7344
																																					=
																																					(long)
																																					(BgL_iz00_4351);
																																				BgL_arg1240z00_4352
																																					=
																																					BGL_U16VREF
																																					(BgL_arg1243z00_4353,
																																					BgL_tmpz00_7344);
																																		}}
																																		{	/* Unsafe/bignumber.scm 267 */
																																			long
																																				BgL_arg2287z00_4355;
																																			BgL_arg2287z00_4355
																																				=
																																				(long)
																																				(BgL_arg1240z00_4352);
																																			BgL_arg1695z00_1884
																																				=
																																				(long)
																																				(BgL_arg2287z00_4355);
																																}}}
																																BgL_arg1682z00_1882
																																	=
																																	(BgL_arg1695z00_1884
																																	+
																																	BgL_cz00_1868);
																															}
																															BgL_arg1681z00_1881
																																=
																																BGl_moduloz00zz__r4_numbers_6_5_fixnumz00
																																(BINT
																																(BgL_arg1682z00_1882),
																																BINT(((long)
																																		16384)));
																														}
																														{	/* Unsafe/bignumber.scm 815 */
																															int BgL_iz00_4360;
																															int
																																BgL_digitz00_4361;
																															BgL_iz00_4360 =
																																(int)
																																(BgL_kz00_1867);
																															BgL_digitz00_4361
																																=
																																CINT
																																(BgL_arg1681z00_1881);
																															{	/* Unsafe/bignumber.scm 269 */
																																obj_t
																																	BgL_arg1245z00_4362;
																																uint16_t
																																	BgL_arg1246z00_4363;
																																BgL_arg1245z00_4362
																																	=
																																	BGL_BIGNUM_U16VECT
																																	(BgL_nxz00_1795);
																																{	/* Unsafe/bignumber.scm 269 */
																																	long
																																		BgL_tmpz00_7356;
																																	BgL_tmpz00_7356
																																		=
																																		(long)
																																		(BgL_digitz00_4361);
																																	BgL_arg1246z00_4363
																																		=
																																		(uint16_t)
																																		(BgL_tmpz00_7356);
																																}
																																{	/* Unsafe/bignumber.scm 269 */
																																	long
																																		BgL_tmpz00_7359;
																																	BgL_tmpz00_7359
																																		=
																																		(long)
																																		(BgL_iz00_4360);
																																	BGL_U16VSET
																																		(BgL_arg1245z00_4362,
																																		BgL_tmpz00_7359,
																																		BgL_arg1246z00_4363);
																																} BUNSPEC;
																									}}}}}}
																								else
																									{	/* Unsafe/bignumber.scm 821 */
																										long BgL_arg1697z00_1887;

																										BgL_arg1697z00_1887 =
																											(BgL_iz00_1827 -
																											(BgL_lenyz00_1783 -
																												((long) 1)));
																										{	/* Unsafe/bignumber.scm 821 */
																											int BgL_iz00_4369;
																											int BgL_digitz00_4370;

																											BgL_iz00_4369 =
																												(int)
																												(BgL_arg1697z00_1887);
																											BgL_digitz00_4370 =
																												(int) (BgL_qz00_1836);
																											{	/* Unsafe/bignumber.scm 269 */
																												obj_t
																													BgL_arg1245z00_4371;
																												uint16_t
																													BgL_arg1246z00_4372;
																												BgL_arg1245z00_4371 =
																													BGL_BIGNUM_U16VECT
																													(BgL_rz00_1784);
																												{	/* Unsafe/bignumber.scm 269 */
																													long BgL_tmpz00_7367;

																													BgL_tmpz00_7367 =
																														(long)
																														(BgL_digitz00_4370);
																													BgL_arg1246z00_4372 =
																														(uint16_t)
																														(BgL_tmpz00_7367);
																												}
																												{	/* Unsafe/bignumber.scm 269 */
																													long BgL_tmpz00_7370;

																													BgL_tmpz00_7370 =
																														(long)
																														(BgL_iz00_4369);
																													BGL_U16VSET
																														(BgL_arg1245z00_4371,
																														BgL_tmpz00_7370,
																														BgL_arg1246z00_4372);
																												} BUNSPEC;
																									}}}
																								{
																									long BgL_iz00_7373;

																									BgL_iz00_7373 =
																										(BgL_iz00_1827 -
																										((long) 1));
																									BgL_iz00_1827 = BgL_iz00_7373;
																									goto
																										BgL_zc3z04anonymousza31636ze3z87_1828;
																								}
																							}
																					}
																				}
																			}
																		}
																	}
															}
															{	/* Unsafe/bignumber.scm 824 */
																long BgL_g1056z00_1927;

																BgL_g1056z00_1927 =
																	(BgL_lenyz00_1783 - ((long) 1));
																{
																	long BgL_iz00_1929;
																	long BgL_kz00_1930;

																	BgL_iz00_1929 = BgL_g1056z00_1927;
																	BgL_kz00_1930 = ((long) 0);
																BgL_zc3z04anonymousza31734ze3z87_1931:
																	if ((((long) 0) < BgL_iz00_1929))
																		{	/* Unsafe/bignumber.scm 826 */
																			long BgL_wz00_1933;

																			{	/* Unsafe/bignumber.scm 826 */
																				long BgL_arg1740z00_1937;
																				long BgL_arg1742z00_1938;

																				BgL_arg1740z00_1937 =
																					(BgL_kz00_1930 * ((long) 16384));
																				{	/* Unsafe/bignumber.scm 827 */
																					int BgL_iz00_4380;

																					BgL_iz00_4380 = (int) (BgL_iz00_1929);
																					{	/* Unsafe/bignumber.scm 267 */
																						uint16_t BgL_arg1240z00_4381;

																						{	/* Unsafe/bignumber.scm 267 */
																							obj_t BgL_arg1243z00_4382;

																							BgL_arg1243z00_4382 =
																								BGL_BIGNUM_U16VECT
																								(BgL_nxz00_1795);
																							{	/* Unsafe/bignumber.scm 267 */
																								long BgL_tmpz00_7381;

																								BgL_tmpz00_7381 =
																									(long) (BgL_iz00_4380);
																								BgL_arg1240z00_4381 =
																									BGL_U16VREF
																									(BgL_arg1243z00_4382,
																									BgL_tmpz00_7381);
																						}}
																						{	/* Unsafe/bignumber.scm 267 */
																							long BgL_arg2287z00_4384;

																							BgL_arg2287z00_4384 =
																								(long) (BgL_arg1240z00_4381);
																							BgL_arg1742z00_1938 =
																								(long) (BgL_arg2287z00_4384);
																				}}}
																				BgL_wz00_1933 =
																					(BgL_arg1740z00_1937 +
																					BgL_arg1742z00_1938);
																			}
																			{	/* Unsafe/bignumber.scm 828 */
																				long BgL_arg1736z00_1934;

																				BgL_arg1736z00_1934 =
																					(BgL_wz00_1933 / BgL_shiftz00_1788);
																				{	/* Unsafe/bignumber.scm 828 */
																					int BgL_iz00_4391;
																					int BgL_digitz00_4392;

																					BgL_iz00_4391 = (int) (BgL_iz00_1929);
																					BgL_digitz00_4392 =
																						(int) (BgL_arg1736z00_1934);
																					{	/* Unsafe/bignumber.scm 269 */
																						obj_t BgL_arg1245z00_4393;
																						uint16_t BgL_arg1246z00_4394;

																						BgL_arg1245z00_4393 =
																							BGL_BIGNUM_U16VECT
																							(BgL_nxz00_1795);
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_7391;

																							BgL_tmpz00_7391 =
																								(long) (BgL_digitz00_4392);
																							BgL_arg1246z00_4394 =
																								(uint16_t) (BgL_tmpz00_7391);
																						}
																						{	/* Unsafe/bignumber.scm 269 */
																							long BgL_tmpz00_7394;

																							BgL_tmpz00_7394 =
																								(long) (BgL_iz00_4391);
																							BGL_U16VSET(BgL_arg1245z00_4393,
																								BgL_tmpz00_7394,
																								BgL_arg1246z00_4394);
																						} BUNSPEC;
																			}}}
																			{	/* Unsafe/bignumber.scm 829 */
																				long BgL_arg1738z00_1935;
																				long BgL_arg1739z00_1936;

																				BgL_arg1738z00_1935 =
																					(BgL_iz00_1929 - ((long) 1));
																				{	/* Unsafe/bignumber.scm 830 */
																					long BgL_n1z00_4397;
																					long BgL_n2z00_4398;

																					BgL_n1z00_4397 = BgL_wz00_1933;
																					BgL_n2z00_4398 = BgL_shiftz00_1788;
																					{	/* Unsafe/bignumber.scm 830 */
																						bool_t BgL_test2798z00_7398;

																						{	/* Unsafe/bignumber.scm 830 */
																							long BgL_arg2193z00_4400;

																							BgL_arg2193z00_4400 =
																								(((BgL_n1z00_4397) |
																									(BgL_n2z00_4398)) &
																								-2147483648);
																							BgL_test2798z00_7398 =
																								(BgL_arg2193z00_4400 ==
																								((long) 0));
																						}
																						if (BgL_test2798z00_7398)
																							{	/* Unsafe/bignumber.scm 830 */
																								int32_t BgL_arg2190z00_4401;

																								{	/* Unsafe/bignumber.scm 830 */
																									int32_t BgL_arg2191z00_4402;
																									int32_t BgL_arg2192z00_4403;

																									BgL_arg2191z00_4402 =
																										(int32_t) (BgL_n1z00_4397);
																									BgL_arg2192z00_4403 =
																										(int32_t) (BgL_n2z00_4398);
																									BgL_arg2190z00_4401 =
																										(BgL_arg2191z00_4402 %
																										BgL_arg2192z00_4403);
																								}
																								{	/* Unsafe/bignumber.scm 830 */
																									long BgL_arg2286z00_4408;

																									BgL_arg2286z00_4408 =
																										(long)
																										(BgL_arg2190z00_4401);
																									BgL_arg1739z00_1936 =
																										(long)
																										(BgL_arg2286z00_4408);
																							}}
																						else
																							{	/* Unsafe/bignumber.scm 830 */
																								BgL_arg1739z00_1936 =
																									(BgL_n1z00_4397 %
																									BgL_n2z00_4398);
																							}
																					}
																				}
																				{
																					long BgL_kz00_7408;
																					long BgL_iz00_7407;

																					BgL_iz00_7407 = BgL_arg1738z00_1935;
																					BgL_kz00_7408 = BgL_arg1739z00_1936;
																					BgL_kz00_1930 = BgL_kz00_7408;
																					BgL_iz00_1929 = BgL_iz00_7407;
																					goto
																						BgL_zc3z04anonymousza31734ze3z87_1931;
																				}
																			}
																		}
																	else
																		{	/* Unsafe/bignumber.scm 825 */
																			((bool_t) 0);
																		}
																}
															}
															return
																MAKE_YOUNG_PAIR
																(BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																(BgL_rz00_1784),
																BGl_bignumzd2removezd2leadingzd2za7eroesz75zz__bignumz00
																(BgL_nxz00_1795));
														}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* $$divrembx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_div(obj_t BgL_xz00_67, obj_t BgL_yz00_68)
	{
		{	/* Unsafe/bignumber.scm 854 */
			{	/* Unsafe/bignumber.scm 855 */
				obj_t BgL_vz00_4466;

				BgL_vz00_4466 =
					BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_67, BgL_yz00_68);
				{	/* Unsafe/bignumber.scm 856 */
					obj_t BgL_val0_1099z00_4467;
					obj_t BgL_val1_1100z00_4468;

					BgL_val0_1099z00_4467 = CAR(((obj_t) BgL_vz00_4466));
					BgL_val1_1100z00_4468 = CDR(((obj_t) BgL_vz00_4466));
					{	/* Unsafe/bignumber.scm 856 */
						int BgL_tmpz00_7417;

						BgL_tmpz00_7417 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7417);
					}
					{	/* Unsafe/bignumber.scm 856 */
						int BgL_tmpz00_7420;

						BgL_tmpz00_7420 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_tmpz00_7420, BgL_val1_1100z00_4468);
					}
					return BgL_val0_1099z00_4467;
				}
			}
		}

	}



/* &$$divrembx */
	obj_t BGl_z62z42z42divrembxz62zz__bignumz00(obj_t BgL_envz00_5543,
		obj_t BgL_xz00_5544, obj_t BgL_yz00_5545)
	{
		{	/* Unsafe/bignumber.scm 854 */
			{	/* Unsafe/bignumber.scm 855 */
				obj_t BgL_auxz00_7430;
				obj_t BgL_auxz00_7423;

				if (BIGNUMP(BgL_yz00_5545))
					{	/* Unsafe/bignumber.scm 855 */
						BgL_auxz00_7430 = BgL_yz00_5545;
					}
				else
					{
						obj_t BgL_auxz00_7433;

						BgL_auxz00_7433 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 27993)), BGl_string2536z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5545);
						FAILURE(BgL_auxz00_7433, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5544))
					{	/* Unsafe/bignumber.scm 855 */
						BgL_auxz00_7423 = BgL_xz00_5544;
					}
				else
					{
						obj_t BgL_auxz00_7426;

						BgL_auxz00_7426 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 27993)), BGl_string2536z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5544);
						FAILURE(BgL_auxz00_7426, BFALSE, BFALSE);
					}
				return bgl_bignum_div(BgL_auxz00_7423, BgL_auxz00_7430);
			}
		}

	}



/* $$quotientbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_quotient(obj_t BgL_xz00_69,
		obj_t BgL_yz00_70)
	{
		{	/* Unsafe/bignumber.scm 858 */
			{	/* Unsafe/bignumber.scm 859 */
				obj_t BgL_arg1762z00_4471;

				{	/* Unsafe/bignumber.scm 859 */
					obj_t BgL_arg1763z00_4472;

					BgL_arg1763z00_4472 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_69, BgL_yz00_70);
					BgL_arg1762z00_4471 = CAR(((obj_t) BgL_arg1763z00_4472));
				}
				return BgL_arg1762z00_4471;
			}
		}

	}



/* &$$quotientbx */
	obj_t BGl_z62z42z42quotientbxz62zz__bignumz00(obj_t BgL_envz00_5546,
		obj_t BgL_xz00_5547, obj_t BgL_yz00_5548)
	{
		{	/* Unsafe/bignumber.scm 858 */
			{	/* Unsafe/bignumber.scm 859 */
				obj_t BgL_auxz00_7448;
				obj_t BgL_auxz00_7441;

				if (BIGNUMP(BgL_yz00_5548))
					{	/* Unsafe/bignumber.scm 859 */
						BgL_auxz00_7448 = BgL_yz00_5548;
					}
				else
					{
						obj_t BgL_auxz00_7451;

						BgL_auxz00_7451 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 28108)), BGl_string2537z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5548);
						FAILURE(BgL_auxz00_7451, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5547))
					{	/* Unsafe/bignumber.scm 859 */
						BgL_auxz00_7441 = BgL_xz00_5547;
					}
				else
					{
						obj_t BgL_auxz00_7444;

						BgL_auxz00_7444 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 28108)), BGl_string2537z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5547);
						FAILURE(BgL_auxz00_7444, BFALSE, BFALSE);
					}
				return bgl_bignum_quotient(BgL_auxz00_7441, BgL_auxz00_7448);
			}
		}

	}



/* $$remainderbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_remainder(obj_t BgL_xz00_71,
		obj_t BgL_yz00_72)
	{
		{	/* Unsafe/bignumber.scm 861 */
			{	/* Unsafe/bignumber.scm 862 */
				obj_t BgL_arg1766z00_4474;

				{	/* Unsafe/bignumber.scm 862 */
					obj_t BgL_arg1770z00_4475;

					BgL_arg1770z00_4475 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_71, BgL_yz00_72);
					BgL_arg1766z00_4474 = CDR(((obj_t) BgL_arg1770z00_4475));
				}
				return BgL_arg1766z00_4474;
			}
		}

	}



/* &$$remainderbx */
	obj_t BGl_z62z42z42remainderbxz62zz__bignumz00(obj_t BgL_envz00_5549,
		obj_t BgL_xz00_5550, obj_t BgL_yz00_5551)
	{
		{	/* Unsafe/bignumber.scm 861 */
			{	/* Unsafe/bignumber.scm 862 */
				obj_t BgL_auxz00_7466;
				obj_t BgL_auxz00_7459;

				if (BIGNUMP(BgL_yz00_5551))
					{	/* Unsafe/bignumber.scm 862 */
						BgL_auxz00_7466 = BgL_yz00_5551;
					}
				else
					{
						obj_t BgL_auxz00_7469;

						BgL_auxz00_7469 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 28183)), BGl_string2538z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5551);
						FAILURE(BgL_auxz00_7469, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5550))
					{	/* Unsafe/bignumber.scm 862 */
						BgL_auxz00_7459 = BgL_xz00_5550;
					}
				else
					{
						obj_t BgL_auxz00_7462;

						BgL_auxz00_7462 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 28183)), BGl_string2538z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5550);
						FAILURE(BgL_auxz00_7462, BFALSE, BFALSE);
					}
				return bgl_bignum_remainder(BgL_auxz00_7459, BgL_auxz00_7466);
			}
		}

	}



/* $$absbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_abs(obj_t BgL_xz00_83)
	{
		{	/* Unsafe/bignumber.scm 893 */
			{	/* Unsafe/bignumber.scm 894 */
				bool_t BgL_test2805z00_7474;

				{	/* Unsafe/bignumber.scm 471 */
					long BgL_arg1427z00_4479;

					{	/* Unsafe/bignumber.scm 263 */
						uint16_t BgL_arg1232z00_4481;

						{	/* Unsafe/bignumber.scm 263 */
							obj_t BgL_arg1233z00_4482;

							BgL_arg1233z00_4482 = BGL_BIGNUM_U16VECT(BgL_xz00_83);
							BgL_arg1232z00_4481 =
								BGL_U16VREF(BgL_arg1233z00_4482, ((long) 0));
						}
						{	/* Unsafe/bignumber.scm 263 */
							long BgL_arg2287z00_4484;

							BgL_arg2287z00_4484 = (long) (BgL_arg1232z00_4481);
							BgL_arg1427z00_4479 = (long) (BgL_arg2287z00_4484);
					}}
					BgL_test2805z00_7474 = (BgL_arg1427z00_4479 == ((long) 0));
				}
				if (BgL_test2805z00_7474)
					{	/* Unsafe/bignumber.scm 894 */
						return
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_xz00_83);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						return BgL_xz00_83;
					}
			}
		}

	}



/* &$$absbx */
	obj_t BGl_z62z42z42absbxz62zz__bignumz00(obj_t BgL_envz00_5552,
		obj_t BgL_xz00_5553)
	{
		{	/* Unsafe/bignumber.scm 893 */
			{	/* Unsafe/bignumber.scm 894 */
				obj_t BgL_auxz00_7481;

				if (BIGNUMP(BgL_xz00_5553))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_auxz00_7481 = BgL_xz00_5553;
					}
				else
					{
						obj_t BgL_auxz00_7484;

						BgL_auxz00_7484 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 29024)), BGl_string2539z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5553);
						FAILURE(BgL_auxz00_7484, BFALSE, BFALSE);
					}
				return bgl_bignum_abs(BgL_auxz00_7481);
			}
		}

	}



/* $$gcdbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_gcd(obj_t BgL_xz00_84, obj_t BgL_yz00_85)
	{
		{	/* Unsafe/bignumber.scm 898 */
			{	/* Unsafe/bignumber.scm 899 */
				obj_t BgL_g1057z00_4488;
				obj_t BgL_g1058z00_4489;

				if ((BGl_bignumzd2signzd2zz__bignumz00(BgL_xz00_84) == ((long) 0)))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1057z00_4488 =
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_xz00_84);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1057z00_4488 = BgL_xz00_84;
					}
				if ((BGl_bignumzd2signzd2zz__bignumz00(BgL_yz00_85) == ((long) 0)))
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1058z00_4489 =
							bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00, BgL_yz00_85);
					}
				else
					{	/* Unsafe/bignumber.scm 894 */
						BgL_g1058z00_4489 = BgL_yz00_85;
					}
				if (BXZERO(BgL_g1058z00_4489))
					{	/* Unsafe/bignumber.scm 900 */
						return BgL_g1057z00_4488;
					}
				else
					{	/* Unsafe/bignumber.scm 902 */
						obj_t BgL_arg1797z00_4557;

						BgL_arg1797z00_4557 =
							bgl_bignum_remainder(BgL_g1057z00_4488, BgL_g1058z00_4489);
						{
							obj_t BgL_xz00_4539;
							obj_t BgL_yz00_4540;

							BgL_xz00_4539 = BgL_g1058z00_4489;
							BgL_yz00_4540 = BgL_arg1797z00_4557;
						BgL_loopz00_4538:
							if (
								(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_4540) ==
									((long) 1)))
								{	/* Unsafe/bignumber.scm 900 */
									return BgL_xz00_4539;
								}
							else
								{	/* Unsafe/bignumber.scm 902 */
									obj_t BgL_arg1797z00_4544;

									{	/* Unsafe/bignumber.scm 902 */
										obj_t BgL_res2363z00_4553;

										{	/* Unsafe/bignumber.scm 862 */
											obj_t BgL_arg1766z00_4550;

											{	/* Unsafe/bignumber.scm 862 */
												obj_t BgL_arg1770z00_4551;

												BgL_arg1770z00_4551 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_xz00_4539,
													BgL_yz00_4540);
												BgL_arg1766z00_4550 =
													CDR(((obj_t) BgL_arg1770z00_4551));
											}
											BgL_res2363z00_4553 = BgL_arg1766z00_4550;
										}
										BgL_arg1797z00_4544 = BgL_res2363z00_4553;
									}
									if (BXZERO(BgL_arg1797z00_4544))
										{	/* Unsafe/bignumber.scm 900 */
											return BgL_yz00_4540;
										}
									else
										{
											obj_t BgL_yz00_7509;
											obj_t BgL_xz00_7508;

											BgL_xz00_7508 = BgL_arg1797z00_4544;
											BgL_yz00_7509 =
												bgl_bignum_remainder(BgL_yz00_4540,
												BgL_arg1797z00_4544);
											BgL_yz00_4540 = BgL_yz00_7509;
											BgL_xz00_4539 = BgL_xz00_7508;
											goto BgL_loopz00_4538;
										}
								}
						}
					}
			}
		}

	}



/* &$$gcdbx */
	obj_t BGl_z62z42z42gcdbxz62zz__bignumz00(obj_t BgL_envz00_5554,
		obj_t BgL_xz00_5555, obj_t BgL_yz00_5556)
	{
		{	/* Unsafe/bignumber.scm 898 */
			{	/* Unsafe/bignumber.scm 899 */
				obj_t BgL_auxz00_7518;
				obj_t BgL_auxz00_7511;

				if (BIGNUMP(BgL_yz00_5556))
					{	/* Unsafe/bignumber.scm 899 */
						BgL_auxz00_7518 = BgL_yz00_5556;
					}
				else
					{
						obj_t BgL_auxz00_7521;

						BgL_auxz00_7521 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 29102)), BGl_string2540z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5556);
						FAILURE(BgL_auxz00_7521, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5555))
					{	/* Unsafe/bignumber.scm 899 */
						BgL_auxz00_7511 = BgL_xz00_5555;
					}
				else
					{
						obj_t BgL_auxz00_7514;

						BgL_auxz00_7514 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 29102)), BGl_string2540z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5555);
						FAILURE(BgL_auxz00_7514, BFALSE, BFALSE);
					}
				return bgl_bignum_gcd(BgL_auxz00_7511, BgL_auxz00_7518);
			}
		}

	}



/* $$lcmbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_lcm(obj_t BgL_xz00_86, obj_t BgL_yz00_87)
	{
		{	/* Unsafe/bignumber.scm 904 */
			{	/* Unsafe/bignumber.scm 905 */
				bool_t BgL_test2814z00_7526;

				{	/* Unsafe/bignumber.scm 905 */
					bool_t BgL_test2815z00_7527;

					{	/* Unsafe/bignumber.scm 468 */
						long BgL_arg1426z00_4564;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_4566;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_4567;

								BgL_arg1223z00_4567 = BGL_BIGNUM_U16VECT(BgL_xz00_86);
								BgL_arg1222z00_4566 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4567);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4569;

								BgL_xz00_4569 = (uint16_t) (BgL_arg1222z00_4566);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_4570;

									BgL_arg2287z00_4570 = (long) (BgL_xz00_4569);
									BgL_arg1426z00_4564 = (long) (BgL_arg2287z00_4570);
						}}}
						BgL_test2815z00_7527 = (BgL_arg1426z00_4564 == ((long) 1));
					}
					if (BgL_test2815z00_7527)
						{	/* Unsafe/bignumber.scm 905 */
							BgL_test2814z00_7526 = ((bool_t) 1);
						}
					else
						{	/* Unsafe/bignumber.scm 468 */
							long BgL_arg1426z00_4574;

							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg1222z00_4576;

								{	/* Unsafe/bignumber.scm 261 */
									obj_t BgL_arg1223z00_4577;

									BgL_arg1223z00_4577 = BGL_BIGNUM_U16VECT(BgL_yz00_87);
									BgL_arg1222z00_4576 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4577);
								}
								{	/* Unsafe/bignumber.scm 261 */
									uint16_t BgL_xz00_4579;

									BgL_xz00_4579 = (uint16_t) (BgL_arg1222z00_4576);
									{	/* Unsafe/bignumber.scm 261 */
										long BgL_arg2287z00_4580;

										BgL_arg2287z00_4580 = (long) (BgL_xz00_4579);
										BgL_arg1426z00_4574 = (long) (BgL_arg2287z00_4580);
							}}}
							BgL_test2814z00_7526 = (BgL_arg1426z00_4574 == ((long) 1));
				}}
				if (BgL_test2814z00_7526)
					{	/* Unsafe/bignumber.scm 905 */
						return BGl_bignumzd2za7eroz75zz__bignumz00;
					}
				else
					{	/* Unsafe/bignumber.scm 908 */
						obj_t BgL_arg1800z00_4560;
						obj_t BgL_arg1801z00_4561;

						{	/* Unsafe/bignumber.scm 908 */
							obj_t BgL_arg1802z00_4562;

							BgL_arg1802z00_4562 = bgl_bignum_mul(BgL_xz00_86, BgL_yz00_87);
							if (
								(BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1802z00_4562) ==
									((long) 0)))
								{	/* Unsafe/bignumber.scm 894 */
									BgL_arg1800z00_4560 =
										bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
										BgL_arg1802z00_4562);
								}
							else
								{	/* Unsafe/bignumber.scm 894 */
									BgL_arg1800z00_4560 = BgL_arg1802z00_4562;
								}
						}
						{	/* Unsafe/bignumber.scm 909 */
							obj_t BgL_res2365z00_4624;

							{	/* Unsafe/bignumber.scm 899 */
								obj_t BgL_g1057z00_4591;
								obj_t BgL_g1058z00_4592;

								if (BXNEGATIVE(BgL_xz00_86))
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1057z00_4591 =
											bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
											BgL_xz00_86);
									}
								else
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1057z00_4591 = BgL_xz00_86;
									}
								if (BXNEGATIVE(BgL_yz00_87))
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1058z00_4592 =
											bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
											BgL_yz00_87);
									}
								else
									{	/* Unsafe/bignumber.scm 894 */
										BgL_g1058z00_4592 = BgL_yz00_87;
									}
								{
									obj_t BgL_xz00_4618;
									obj_t BgL_yz00_4619;

									BgL_xz00_4618 = BgL_g1057z00_4591;
									BgL_yz00_4619 = BgL_g1058z00_4592;
								BgL_loopz00_4617:
									if (BXZERO(BgL_yz00_4619))
										{	/* Unsafe/bignumber.scm 900 */
											BgL_res2365z00_4624 = BgL_xz00_4618;
										}
									else
										{
											obj_t BgL_yz00_7554;
											obj_t BgL_xz00_7553;

											BgL_xz00_7553 = BgL_yz00_4619;
											BgL_yz00_7554 =
												bgl_bignum_remainder(BgL_xz00_4618, BgL_yz00_4619);
											BgL_yz00_4619 = BgL_yz00_7554;
											BgL_xz00_4618 = BgL_xz00_7553;
											goto BgL_loopz00_4617;
										}
								}
							}
							BgL_arg1801z00_4561 = BgL_res2365z00_4624;
						}
						{	/* Unsafe/bignumber.scm 907 */
							obj_t BgL_res2366z00_4630;

							{	/* Unsafe/bignumber.scm 859 */
								obj_t BgL_arg1762z00_4627;

								{	/* Unsafe/bignumber.scm 859 */
									obj_t BgL_arg1763z00_4628;

									BgL_arg1763z00_4628 =
										BGl_bignumzd2divzd2zz__bignumz00(BgL_arg1800z00_4560,
										BgL_arg1801z00_4561);
									BgL_arg1762z00_4627 = CAR(((obj_t) BgL_arg1763z00_4628));
								}
								BgL_res2366z00_4630 = BgL_arg1762z00_4627;
							}
							return BgL_res2366z00_4630;
						}
					}
			}
		}

	}



/* &$$lcmbx */
	obj_t BGl_z62z42z42lcmbxz62zz__bignumz00(obj_t BgL_envz00_5557,
		obj_t BgL_xz00_5558, obj_t BgL_yz00_5559)
	{
		{	/* Unsafe/bignumber.scm 904 */
			{	/* Unsafe/bignumber.scm 905 */
				obj_t BgL_auxz00_7566;
				obj_t BgL_auxz00_7559;

				if (BIGNUMP(BgL_yz00_5559))
					{	/* Unsafe/bignumber.scm 905 */
						BgL_auxz00_7566 = BgL_yz00_5559;
					}
				else
					{
						obj_t BgL_auxz00_7569;

						BgL_auxz00_7569 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 29236)), BGl_string2541z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5559);
						FAILURE(BgL_auxz00_7569, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5558))
					{	/* Unsafe/bignumber.scm 905 */
						BgL_auxz00_7559 = BgL_xz00_5558;
					}
				else
					{
						obj_t BgL_auxz00_7562;

						BgL_auxz00_7562 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 29236)), BGl_string2541z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5558);
						FAILURE(BgL_auxz00_7562, BFALSE, BFALSE);
					}
				return bgl_bignum_lcm(BgL_auxz00_7559, BgL_auxz00_7566);
			}
		}

	}



/* bignum-expt */
	obj_t BGl_bignumzd2exptzd2zz__bignumz00(obj_t BgL_xz00_88, obj_t BgL_yz00_89)
	{
		{	/* Unsafe/bignumber.scm 914 */
		BGl_bignumzd2exptzd2zz__bignumz00:
			{	/* Unsafe/bignumber.scm 915 */
				bool_t BgL_test2822z00_7574;

				{	/* Unsafe/bignumber.scm 468 */
					long BgL_arg1426z00_4632;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_4634;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_4635;

							BgL_arg1223z00_4635 = BGL_BIGNUM_U16VECT(BgL_yz00_89);
							BgL_arg1222z00_4634 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4635);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_4637;

							BgL_xz00_4637 = (uint16_t) (BgL_arg1222z00_4634);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_4638;

								BgL_arg2287z00_4638 = (long) (BgL_xz00_4637);
								BgL_arg1426z00_4632 = (long) (BgL_arg2287z00_4638);
					}}}
					BgL_test2822z00_7574 = (BgL_arg1426z00_4632 == ((long) 1));
				}
				if (BgL_test2822z00_7574)
					{	/* Unsafe/bignumber.scm 916 */
						obj_t BgL_res2367z00_4649;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2823z00_7581;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2823z00_7581 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2823z00_7581 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2823z00_7581)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2367z00_4649 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2367z00_4649 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						return BgL_res2367z00_4649;
					}
				else
					{	/* Unsafe/bignumber.scm 917 */
						bool_t BgL_test2825z00_7588;

						{	/* Unsafe/bignumber.scm 917 */
							bool_t BgL_res2368z00_4662;

							{	/* Unsafe/bignumber.scm 477 */
								bool_t BgL__ortest_1046z00_4651;

								BgL__ortest_1046z00_4651 =
									(BGl_bignumzd2lengthzd2zz__bignumz00(BgL_yz00_89) ==
									((long) 1));
								if (BgL__ortest_1046z00_4651)
									{	/* Unsafe/bignumber.scm 477 */
										BgL_res2368z00_4662 = BgL__ortest_1046z00_4651;
									}
								else
									{	/* Unsafe/bignumber.scm 477 */
										long BgL_arg1430z00_4652;

										{	/* Unsafe/bignumber.scm 267 */
											uint16_t BgL_arg1240z00_4657;

											{	/* Unsafe/bignumber.scm 267 */
												obj_t BgL_arg1243z00_4658;

												BgL_arg1243z00_4658 = BGL_BIGNUM_U16VECT(BgL_yz00_89);
												BgL_arg1240z00_4657 =
													BGL_U16VREF(BgL_arg1243z00_4658, ((long) 1));
											}
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_arg2287z00_4660;

												BgL_arg2287z00_4660 = (long) (BgL_arg1240z00_4657);
												BgL_arg1430z00_4652 = (long) (BgL_arg2287z00_4660);
										}}
										BgL_res2368z00_4662 =
											BGl_evenzf3zf3zz__r4_numbers_6_5_fixnumz00(BINT
											(BgL_arg1430z00_4652));
							}}
							BgL_test2825z00_7588 = BgL_res2368z00_4662;
						}
						if (BgL_test2825z00_7588)
							{	/* Unsafe/bignumber.scm 919 */
								obj_t BgL_arg1805z00_2022;
								obj_t BgL_arg1806z00_2023;

								BgL_arg1805z00_2022 = bgl_bignum_mul(BgL_xz00_88, BgL_xz00_88);
								{	/* Unsafe/bignumber.scm 920 */
									obj_t BgL_arg1807z00_2024;

									{	/* Unsafe/bignumber.scm 920 */
										obj_t BgL_res2369z00_4671;

										{	/* Unsafe/bignumber.scm 415 */
											bool_t BgL_test2827z00_7599;

											if ((((long) 2) < ((long) -16)))
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2827z00_7599 = ((bool_t) 1);
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_test2827z00_7599 = (((long) 16) < ((long) 2));
												}
											if (BgL_test2827z00_7599)
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2369z00_4671 =
														BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
														(((long) 2));
												}
											else
												{	/* Unsafe/bignumber.scm 415 */
													BgL_res2369z00_4671 =
														VECTOR_REF
														(BGl_preallocatedzd2bignumszd2zz__bignumz00,
														(((long) 2) + ((long) 16)));
										}}
										BgL_arg1807z00_2024 = BgL_res2369z00_4671;
									}
									{	/* Unsafe/bignumber.scm 920 */
										obj_t BgL_res2370z00_4677;

										{	/* Unsafe/bignumber.scm 859 */
											obj_t BgL_arg1762z00_4674;

											{	/* Unsafe/bignumber.scm 859 */
												obj_t BgL_arg1763z00_4675;

												BgL_arg1763z00_4675 =
													BGl_bignumzd2divzd2zz__bignumz00(BgL_yz00_89,
													BgL_arg1807z00_2024);
												BgL_arg1762z00_4674 =
													CAR(((obj_t) BgL_arg1763z00_4675));
											}
											BgL_res2370z00_4677 = BgL_arg1762z00_4674;
										}
										BgL_arg1806z00_2023 = BgL_res2370z00_4677;
								}}
								{
									obj_t BgL_yz00_7610;
									obj_t BgL_xz00_7609;

									BgL_xz00_7609 = BgL_arg1805z00_2022;
									BgL_yz00_7610 = BgL_arg1806z00_2023;
									BgL_yz00_89 = BgL_yz00_7610;
									BgL_xz00_88 = BgL_xz00_7609;
									goto BGl_bignumzd2exptzd2zz__bignumz00;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 922 */
								obj_t BgL_arg1808z00_2025;

								{	/* Unsafe/bignumber.scm 922 */
									obj_t BgL_arg1809z00_2026;

									{	/* Unsafe/bignumber.scm 922 */
										obj_t BgL_arg1810z00_2027;

										{	/* Unsafe/bignumber.scm 922 */
											obj_t BgL_res2371z00_4686;

											{	/* Unsafe/bignumber.scm 415 */
												bool_t BgL_test2829z00_7611;

												if ((((long) 1) < ((long) -16)))
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2829z00_7611 = ((bool_t) 1);
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_test2829z00_7611 = (((long) 16) < ((long) 1));
													}
												if (BgL_test2829z00_7611)
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2371z00_4686 =
															BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
															(((long) 1));
													}
												else
													{	/* Unsafe/bignumber.scm 415 */
														BgL_res2371z00_4686 =
															VECTOR_REF
															(BGl_preallocatedzd2bignumszd2zz__bignumz00,
															(((long) 1) + ((long) 16)));
											}}
											BgL_arg1810z00_2027 = BgL_res2371z00_4686;
										}
										{	/* Unsafe/bignumber.scm 922 */
											obj_t BgL_res2372z00_4705;

											{	/* Unsafe/bignumber.scm 610 */
												long BgL_arg1513z00_4689;
												long BgL_arg1514z00_4690;

												{	/* Unsafe/bignumber.scm 263 */
													uint16_t BgL_arg1232z00_4693;

													{	/* Unsafe/bignumber.scm 263 */
														obj_t BgL_arg1233z00_4694;

														BgL_arg1233z00_4694 =
															BGL_BIGNUM_U16VECT(BgL_yz00_89);
														BgL_arg1232z00_4693 =
															BGL_U16VREF(BgL_arg1233z00_4694, ((long) 0));
													}
													{	/* Unsafe/bignumber.scm 263 */
														long BgL_arg2287z00_4696;

														BgL_arg2287z00_4696 = (long) (BgL_arg1232z00_4693);
														BgL_arg1513z00_4689 = (long) (BgL_arg2287z00_4696);
												}}
												{	/* Unsafe/bignumber.scm 610 */
													long BgL_arg1515z00_4691;

													{	/* Unsafe/bignumber.scm 263 */
														uint16_t BgL_arg1232z00_4699;

														{	/* Unsafe/bignumber.scm 263 */
															obj_t BgL_arg1233z00_4700;

															BgL_arg1233z00_4700 =
																BGL_BIGNUM_U16VECT(BgL_arg1810z00_2027);
															BgL_arg1232z00_4699 =
																BGL_U16VREF(BgL_arg1233z00_4700, ((long) 0));
														}
														{	/* Unsafe/bignumber.scm 263 */
															long BgL_arg2287z00_4702;

															BgL_arg2287z00_4702 =
																(long) (BgL_arg1232z00_4699);
															BgL_arg1515z00_4691 =
																(long) (BgL_arg2287z00_4702);
													}}
													BgL_arg1514z00_4690 =
														(((long) 1) - BgL_arg1515z00_4691);
												}
												BgL_res2372z00_4705 =
													BGl_bignumzd2sum2zd2zz__bignumz00(BgL_yz00_89,
													BgL_arg1810z00_2027, BgL_arg1513z00_4689,
													BgL_arg1514z00_4690);
											}
											BgL_arg1809z00_2026 = BgL_res2372z00_4705;
									}}
									BgL_arg1808z00_2025 =
										BGl_bignumzd2exptzd2zz__bignumz00(BgL_xz00_88,
										BgL_arg1809z00_2026);
								}
								return bgl_bignum_mul(BgL_xz00_88, BgL_arg1808z00_2025);
							}
					}
			}
		}

	}



/* bignum-integer-length */
	long BGl_bignumzd2integerzd2lengthz00zz__bignumz00(obj_t BgL_xz00_91)
	{
		{	/* Unsafe/bignumber.scm 933 */
			{	/* Unsafe/bignumber.scm 934 */
				obj_t BgL_nz00_2029;

				{	/* Unsafe/bignumber.scm 934 */
					bool_t BgL_test2831z00_7630;

					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_4736;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1232z00_4738;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1233z00_4739;

								BgL_arg1233z00_4739 = BGL_BIGNUM_U16VECT(BgL_xz00_91);
								BgL_arg1232z00_4738 =
									BGL_U16VREF(BgL_arg1233z00_4739, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2287z00_4741;

								BgL_arg2287z00_4741 = (long) (BgL_arg1232z00_4738);
								BgL_arg1427z00_4736 = (long) (BgL_arg2287z00_4741);
						}}
						BgL_test2831z00_7630 = (BgL_arg1427z00_4736 == ((long) 0));
					}
					if (BgL_test2831z00_7630)
						{	/* Unsafe/bignumber.scm 934 */
							BgL_nz00_2029 =
								bgl_bignum_sub(bgl_long_to_bignum(((long) -1)), BgL_xz00_91);
						}
					else
						{	/* Unsafe/bignumber.scm 934 */
							BgL_nz00_2029 = BgL_xz00_91;
						}
				}
				{	/* Unsafe/bignumber.scm 934 */
					long BgL_nbzd2digitszd2_2030;

					{	/* Unsafe/bignumber.scm 935 */
						long BgL_arg1820z00_2044;

						{	/* Unsafe/bignumber.scm 261 */
							long BgL_arg1222z00_4746;

							{	/* Unsafe/bignumber.scm 261 */
								obj_t BgL_arg1223z00_4747;

								BgL_arg1223z00_4747 = BGL_BIGNUM_U16VECT(BgL_nz00_2029);
								BgL_arg1222z00_4746 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_4747);
							}
							{	/* Unsafe/bignumber.scm 261 */
								uint16_t BgL_xz00_4749;

								BgL_xz00_4749 = (uint16_t) (BgL_arg1222z00_4746);
								{	/* Unsafe/bignumber.scm 261 */
									long BgL_arg2287z00_4750;

									BgL_arg2287z00_4750 = (long) (BgL_xz00_4749);
									BgL_arg1820z00_2044 = (long) (BgL_arg2287z00_4750);
						}}}
						BgL_nbzd2digitszd2_2030 = (BgL_arg1820z00_2044 - ((long) 1));
					}
					{	/* Unsafe/bignumber.scm 935 */

						if ((BgL_nbzd2digitszd2_2030 == ((long) 0)))
							{	/* Unsafe/bignumber.scm 936 */
								return ((long) 0);
							}
						else
							{	/* Unsafe/bignumber.scm 938 */
								long BgL_g1059z00_2032;
								long BgL_g1060z00_2033;

								{	/* Unsafe/bignumber.scm 938 */
									int BgL_iz00_4755;

									BgL_iz00_4755 = (int) (BgL_nbzd2digitszd2_2030);
									{	/* Unsafe/bignumber.scm 267 */
										uint16_t BgL_arg1240z00_4756;

										{	/* Unsafe/bignumber.scm 267 */
											obj_t BgL_arg1243z00_4757;

											BgL_arg1243z00_4757 = BGL_BIGNUM_U16VECT(BgL_nz00_2029);
											{	/* Unsafe/bignumber.scm 267 */
												long BgL_tmpz00_7648;

												BgL_tmpz00_7648 = (long) (BgL_iz00_4755);
												BgL_arg1240z00_4756 =
													BGL_U16VREF(BgL_arg1243z00_4757, BgL_tmpz00_7648);
										}}
										{	/* Unsafe/bignumber.scm 267 */
											long BgL_arg2287z00_4759;

											BgL_arg2287z00_4759 = (long) (BgL_arg1240z00_4756);
											BgL_g1059z00_2032 = (long) (BgL_arg2287z00_4759);
								}}}
								BgL_g1060z00_2033 =
									((BgL_nbzd2digitszd2_2030 - ((long) 1)) * ((long) 14));
								{
									long BgL_dz00_4777;
									long BgL_lenz00_4778;

									BgL_dz00_4777 = BgL_g1059z00_2032;
									BgL_lenz00_4778 = BgL_g1060z00_2033;
								BgL_loopz00_4776:
									if ((((long) 0) < BgL_dz00_4777))
										{	/* Unsafe/bignumber.scm 941 */
											long BgL_arg1816z00_4783;
											long BgL_arg1817z00_4784;

											BgL_arg1816z00_4783 = (BgL_dz00_4777 / ((long) 2));
											BgL_arg1817z00_4784 = (BgL_lenz00_4778 + ((long) 1));
											{
												long BgL_lenz00_7660;
												long BgL_dz00_7659;

												BgL_dz00_7659 = BgL_arg1816z00_4783;
												BgL_lenz00_7660 = BgL_arg1817z00_4784;
												BgL_lenz00_4778 = BgL_lenz00_7660;
												BgL_dz00_4777 = BgL_dz00_7659;
												goto BgL_loopz00_4776;
											}
										}
									else
										{	/* Unsafe/bignumber.scm 940 */
											return BgL_lenz00_4778;
										}
								}
							}
					}
				}
			}
		}

	}



/* $$bignum->string */
	BGL_EXPORTED_DEF obj_t bgl_bignum_to_string(obj_t BgL_xz00_92,
		long BgL_radixz00_93)
	{
		{	/* Unsafe/bignumber.scm 948 */
			{
				obj_t BgL_signz00_2052;
				obj_t BgL_nz00_2053;

				{	/* Unsafe/bignumber.scm 961 */
					bool_t BgL_test2834z00_7661;

					{	/* Unsafe/bignumber.scm 471 */
						long BgL_arg1427z00_4844;

						{	/* Unsafe/bignumber.scm 263 */
							uint16_t BgL_arg1232z00_4846;

							{	/* Unsafe/bignumber.scm 263 */
								obj_t BgL_arg1233z00_4847;

								BgL_arg1233z00_4847 = BGL_BIGNUM_U16VECT(BgL_xz00_92);
								BgL_arg1232z00_4846 =
									BGL_U16VREF(BgL_arg1233z00_4847, ((long) 0));
							}
							{	/* Unsafe/bignumber.scm 263 */
								long BgL_arg2287z00_4849;

								BgL_arg2287z00_4849 = (long) (BgL_arg1232z00_4846);
								BgL_arg1427z00_4844 = (long) (BgL_arg2287z00_4849);
						}}
						BgL_test2834z00_7661 = (BgL_arg1427z00_4844 == ((long) 0));
					}
					if (BgL_test2834z00_7661)
						{	/* Unsafe/bignumber.scm 961 */
							BgL_signz00_2052 = BCHAR(((unsigned char) '-'));
							BgL_nz00_2053 =
								bgl_bignum_sub(BGl_bignumzd2za7eroz75zz__bignumz00,
								BgL_xz00_92);
						BgL_zc3z04anonymousza31825ze3z87_2054:
							{	/* Unsafe/bignumber.scm 954 */
								obj_t BgL_digitsz00_2055;

								{	/* Unsafe/bignumber.scm 955 */
									obj_t BgL_l1101z00_2057;

									{	/* Unsafe/bignumber.scm 956 */
										bool_t BgL_test2835z00_7667;

										{	/* Unsafe/bignumber.scm 468 */
											long BgL_arg1426z00_4791;

											{	/* Unsafe/bignumber.scm 261 */
												long BgL_arg1222z00_4793;

												{	/* Unsafe/bignumber.scm 261 */
													obj_t BgL_arg1223z00_4794;

													BgL_arg1223z00_4794 =
														BGL_BIGNUM_U16VECT(BgL_nz00_2053);
													BgL_arg1222z00_4793 =
														BGL_HVECTOR_LENGTH(BgL_arg1223z00_4794);
												}
												{	/* Unsafe/bignumber.scm 261 */
													uint16_t BgL_xz00_4796;

													BgL_xz00_4796 = (uint16_t) (BgL_arg1222z00_4793);
													{	/* Unsafe/bignumber.scm 261 */
														long BgL_arg2287z00_4797;

														BgL_arg2287z00_4797 = (long) (BgL_xz00_4796);
														BgL_arg1426z00_4791 = (long) (BgL_arg2287z00_4797);
											}}}
											BgL_test2835z00_7667 =
												(BgL_arg1426z00_4791 == ((long) 1));
										}
										if (BgL_test2835z00_7667)
											{	/* Unsafe/bignumber.scm 956 */
												BgL_l1101z00_2057 = BGl_list2542z00zz__bignumz00;
											}
										else
											{	/* Unsafe/bignumber.scm 956 */
												BgL_l1101z00_2057 =
													bgl_reverse
													(BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00
													(BgL_nz00_2053, (BgL_radixz00_93 - ((long) 1))));
									}}
									if (NULLP(BgL_l1101z00_2057))
										{	/* Unsafe/bignumber.scm 955 */
											BgL_digitsz00_2055 = BNIL;
										}
									else
										{	/* Unsafe/bignumber.scm 955 */
											obj_t BgL_head1103z00_2059;

											{	/* Unsafe/bignumber.scm 955 */
												unsigned char BgL_arg1834z00_2071;

												BgL_arg1834z00_2071 =
													STRING_REF(BGl_string2543z00zz__bignumz00,
													(long) CINT(CAR(BgL_l1101z00_2057)));
												BgL_head1103z00_2059 =
													MAKE_YOUNG_PAIR(BCHAR(BgL_arg1834z00_2071), BNIL);
											}
											{	/* Unsafe/bignumber.scm 955 */
												obj_t BgL_g1106z00_2060;

												BgL_g1106z00_2060 = CDR(BgL_l1101z00_2057);
												{
													obj_t BgL_l1101z00_4826;
													obj_t BgL_tail1104z00_4827;

													BgL_l1101z00_4826 = BgL_g1106z00_2060;
													BgL_tail1104z00_4827 = BgL_head1103z00_2059;
												BgL_zc3z04anonymousza31829ze3z87_4825:
													if (NULLP(BgL_l1101z00_4826))
														{	/* Unsafe/bignumber.scm 955 */
															BgL_digitsz00_2055 = BgL_head1103z00_2059;
														}
													else
														{	/* Unsafe/bignumber.scm 955 */
															obj_t BgL_newtail1105z00_4834;

															{	/* Unsafe/bignumber.scm 955 */
																unsigned char BgL_arg1832z00_4835;

																BgL_arg1832z00_4835 =
																	STRING_REF(BGl_string2543z00zz__bignumz00,
																	(long) CINT(CAR(
																			((obj_t) BgL_l1101z00_4826))));
																BgL_newtail1105z00_4834 =
																	MAKE_YOUNG_PAIR(BCHAR(BgL_arg1832z00_4835),
																	BNIL);
															}
															SET_CDR(BgL_tail1104z00_4827,
																BgL_newtail1105z00_4834);
															{	/* Unsafe/bignumber.scm 955 */
																obj_t BgL_arg1831z00_4837;

																BgL_arg1831z00_4837 =
																	CDR(((obj_t) BgL_l1101z00_4826));
																{
																	obj_t BgL_tail1104z00_7697;
																	obj_t BgL_l1101z00_7696;

																	BgL_l1101z00_7696 = BgL_arg1831z00_4837;
																	BgL_tail1104z00_7697 =
																		BgL_newtail1105z00_4834;
																	BgL_tail1104z00_4827 = BgL_tail1104z00_7697;
																	BgL_l1101z00_4826 = BgL_l1101z00_7696;
																	goto BgL_zc3z04anonymousza31829ze3z87_4825;
																}
															}
														}
												}
											}
										}
								}
								{	/* Unsafe/bignumber.scm 959 */
									obj_t BgL_arg1827z00_2056;

									if (CBOOL(BgL_signz00_2052))
										{	/* Unsafe/bignumber.scm 959 */
											BgL_arg1827z00_2056 =
												MAKE_YOUNG_PAIR(BgL_signz00_2052, BgL_digitsz00_2055);
										}
									else
										{	/* Unsafe/bignumber.scm 959 */
											BgL_arg1827z00_2056 = BgL_digitsz00_2055;
										}
									return
										BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
										(BgL_arg1827z00_2056);
								}
							}
						}
					else
						{
							obj_t BgL_nz00_7705;
							obj_t BgL_signz00_7704;

							BgL_signz00_7704 = BFALSE;
							BgL_nz00_7705 = BgL_xz00_92;
							BgL_nz00_2053 = BgL_nz00_7705;
							BgL_signz00_2052 = BgL_signz00_7704;
							goto BgL_zc3z04anonymousza31825ze3z87_2054;
						}
				}
			}
		}

	}



/* &$$bignum->string */
	obj_t BGl_z62z42z42bignumzd2ze3stringz53zz__bignumz00(obj_t BgL_envz00_5560,
		obj_t BgL_xz00_5561, obj_t BgL_radixz00_5562)
	{
		{	/* Unsafe/bignumber.scm 948 */
			{	/* Unsafe/bignumber.scm 951 */
				long BgL_auxz00_7713;
				obj_t BgL_auxz00_7706;

				{	/* Unsafe/bignumber.scm 951 */
					obj_t BgL_tmpz00_7714;

					if (INTEGERP(BgL_radixz00_5562))
						{	/* Unsafe/bignumber.scm 951 */
							BgL_tmpz00_7714 = BgL_radixz00_5562;
						}
					else
						{
							obj_t BgL_auxz00_7717;

							BgL_auxz00_7717 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 31011)), BGl_string2544z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_radixz00_5562);
							FAILURE(BgL_auxz00_7717, BFALSE, BFALSE);
						}
					BgL_auxz00_7713 = (long) CINT(BgL_tmpz00_7714);
				}
				if (BIGNUMP(BgL_xz00_5561))
					{	/* Unsafe/bignumber.scm 951 */
						BgL_auxz00_7706 = BgL_xz00_5561;
					}
				else
					{
						obj_t BgL_auxz00_7709;

						BgL_auxz00_7709 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 31011)), BGl_string2544z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5561);
						FAILURE(BgL_auxz00_7709, BFALSE, BFALSE);
					}
				return bgl_bignum_to_string(BgL_auxz00_7706, BgL_auxz00_7713);
			}
		}

	}



/* $$string->bignum */
	BGL_EXPORTED_DEF obj_t bgl_string_to_bignum(char *BgL_strz00_94,
		int BgL_radixz00_95)
	{
		{	/* Unsafe/bignumber.scm 965 */
			{
				long BgL_iz00_2148;
				obj_t BgL_radz00_2132;
				long BgL_iz00_2133;
				obj_t BgL_radz00_2107;
				obj_t BgL_signz00_2108;
				long BgL_iz00_2109;
				unsigned char BgL_cz00_2082;
				obj_t BgL_radz00_2083;

				BgL_iz00_2148 = ((long) 0);
				{	/* Unsafe/bignumber.scm 1005 */
					obj_t BgL_g1064z00_2150;

					if (
						((BgL_iz00_2148 + ((long) 3)) <=
							STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
						{	/* Unsafe/bignumber.scm 1005 */
							if (
								(STRING_REF(string_to_bstring(BgL_strz00_94),
										BgL_iz00_2148) == ((unsigned char) '#')))
								{	/* Unsafe/bignumber.scm 1006 */
									BgL_g1064z00_2150 =
										BGl_assvz00zz__r4_pairs_and_lists_6_3z00(BCHAR(tolower
											(STRING_REF(string_to_bstring(BgL_strz00_94),
													(BgL_iz00_2148 + ((long) 1))))),
										BGl_list2546z00zz__bignumz00);
								}
							else
								{	/* Unsafe/bignumber.scm 1006 */
									BgL_g1064z00_2150 = BFALSE;
								}
						}
					else
						{	/* Unsafe/bignumber.scm 1005 */
							BgL_g1064z00_2150 = BFALSE;
						}
					if (CBOOL(BgL_g1064z00_2150))
						{	/* Unsafe/bignumber.scm 1014 */
							obj_t BgL_arg1897z00_2153;
							long BgL_arg1898z00_2154;

							BgL_arg1897z00_2153 = CDR(((obj_t) BgL_g1064z00_2150));
							BgL_arg1898z00_2154 = (BgL_iz00_2148 + ((long) 2));
							BgL_radz00_2132 = BgL_arg1897z00_2153;
							BgL_iz00_2133 = BgL_arg1898z00_2154;
						BgL_zc3z04anonymousza31881ze3z87_2134:
							{	/* Unsafe/bignumber.scm 998 */
								bool_t BgL_test2844z00_7743;

								if (
									((BgL_iz00_2133 + ((long) 2)) <=
										STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
									{	/* Unsafe/bignumber.scm 998 */
										BgL_test2844z00_7743 =
											CBOOL(BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BCHAR
												(STRING_REF(string_to_bstring(BgL_strz00_94),
														BgL_iz00_2133)), BGl_list2545z00zz__bignumz00));
									}
								else
									{	/* Unsafe/bignumber.scm 998 */
										BgL_test2844z00_7743 = ((bool_t) 0);
									}
								if (BgL_test2844z00_7743)
									{	/* Unsafe/bignumber.scm 1000 */
										unsigned char BgL_arg1890z00_2142;
										long BgL_arg1891z00_2143;

										BgL_arg1890z00_2142 =
											STRING_REF(string_to_bstring(BgL_strz00_94),
											BgL_iz00_2133);
										BgL_arg1891z00_2143 = (BgL_iz00_2133 + ((long) 1));
										BgL_radz00_2107 = BgL_radz00_2132;
										BgL_signz00_2108 = BCHAR(BgL_arg1890z00_2142);
										BgL_iz00_2109 = BgL_arg1891z00_2143;
									BgL_zc3z04anonymousza31858ze3z87_2110:
										if (
											((BgL_iz00_2109 + ((long) 1)) <=
												STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
											{
												long BgL_iz00_2116;
												obj_t BgL_digitsz00_2117;

												BgL_iz00_2116 = BgL_iz00_2109;
												BgL_digitsz00_2117 = BNIL;
											BgL_zc3z04anonymousza31865ze3z87_2118:
												if (
													(BgL_iz00_2116 <
														STRING_LENGTH(string_to_bstring(BgL_strz00_94))))
													{	/* Unsafe/bignumber.scm 987 */
														obj_t BgL_dz00_2121;

														BgL_cz00_2082 =
															STRING_REF(string_to_bstring(BgL_strz00_94),
															BgL_iz00_2116);
														BgL_radz00_2083 = BgL_radz00_2107;
														{	/* Unsafe/bignumber.scm 974 */
															bool_t BgL_test2848z00_7766;

															if ((BgL_cz00_2082 >= ((unsigned char) '0')))
																{	/* Unsafe/bignumber.scm 974 */
																	BgL_test2848z00_7766 =
																		(BgL_cz00_2082 <= ((unsigned char) '9'));
																}
															else
																{	/* Unsafe/bignumber.scm 974 */
																	BgL_test2848z00_7766 = ((bool_t) 0);
																}
															if (BgL_test2848z00_7766)
																{	/* Unsafe/bignumber.scm 975 */
																	long BgL_arg1842z00_2088;

																	BgL_arg1842z00_2088 =
																		((BgL_cz00_2082) - ((long) 48));
																	if (
																		(BgL_arg1842z00_2088 <
																			(long) CINT(BgL_radz00_2083)))
																		{	/* Unsafe/bignumber.scm 970 */
																			BgL_dz00_2121 = BINT(BgL_arg1842z00_2088);
																		}
																	else
																		{	/* Unsafe/bignumber.scm 970 */
																			BgL_dz00_2121 = BFALSE;
																		}
																}
															else
																{	/* Unsafe/bignumber.scm 976 */
																	bool_t BgL_test2851z00_7776;

																	if ((BgL_cz00_2082 >= ((unsigned char) 'a')))
																		{	/* Unsafe/bignumber.scm 976 */
																			BgL_test2851z00_7776 =
																				(BgL_cz00_2082 <=
																				((unsigned char) 'z'));
																		}
																	else
																		{	/* Unsafe/bignumber.scm 976 */
																			BgL_test2851z00_7776 = ((bool_t) 0);
																		}
																	if (BgL_test2851z00_7776)
																		{	/* Unsafe/bignumber.scm 977 */
																			long BgL_arg1846z00_2092;

																			BgL_arg1846z00_2092 =
																				(((long) 10) +
																				((BgL_cz00_2082) - ((long) 97)));
																			if (
																				(BgL_arg1846z00_2092 <
																					(long) CINT(BgL_radz00_2083)))
																				{	/* Unsafe/bignumber.scm 970 */
																					BgL_dz00_2121 =
																						BINT(BgL_arg1846z00_2092);
																				}
																			else
																				{	/* Unsafe/bignumber.scm 970 */
																					BgL_dz00_2121 = BFALSE;
																				}
																		}
																	else
																		{	/* Unsafe/bignumber.scm 978 */
																			bool_t BgL_test2854z00_7787;

																			if (
																				(BgL_cz00_2082 >=
																					((unsigned char) 'A')))
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_test2854z00_7787 =
																						(BgL_cz00_2082 <=
																						((unsigned char) 'Z'));
																				}
																			else
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_test2854z00_7787 = ((bool_t) 0);
																				}
																			if (BgL_test2854z00_7787)
																				{	/* Unsafe/bignumber.scm 979 */
																					long BgL_arg1852z00_2097;

																					BgL_arg1852z00_2097 =
																						(((long) 10) +
																						((BgL_cz00_2082) - ((long) 65)));
																					if (
																						(BgL_arg1852z00_2097 <
																							(long) CINT(BgL_radz00_2083)))
																						{	/* Unsafe/bignumber.scm 970 */
																							BgL_dz00_2121 =
																								BINT(BgL_arg1852z00_2097);
																						}
																					else
																						{	/* Unsafe/bignumber.scm 970 */
																							BgL_dz00_2121 = BFALSE;
																						}
																				}
																			else
																				{	/* Unsafe/bignumber.scm 978 */
																					BgL_dz00_2121 = BFALSE;
																				}
																		}
																}
														}
														if (CBOOL(BgL_dz00_2121))
															{	/* Unsafe/bignumber.scm 989 */
																long BgL_arg1869z00_2122;
																obj_t BgL_arg1870z00_2123;

																BgL_arg1869z00_2122 =
																	(BgL_iz00_2116 + ((long) 1));
																BgL_arg1870z00_2123 =
																	MAKE_YOUNG_PAIR(BgL_dz00_2121,
																	BgL_digitsz00_2117);
																{
																	obj_t BgL_digitsz00_7805;
																	long BgL_iz00_7804;

																	BgL_iz00_7804 = BgL_arg1869z00_2122;
																	BgL_digitsz00_7805 = BgL_arg1870z00_2123;
																	BgL_digitsz00_2117 = BgL_digitsz00_7805;
																	BgL_iz00_2116 = BgL_iz00_7804;
																	goto BgL_zc3z04anonymousza31865ze3z87_2118;
																}
															}
														else
															{	/* Unsafe/bignumber.scm 988 */
																return
																	BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00
																	(((long) 0));
													}}
												else
													{	/* Unsafe/bignumber.scm 991 */
														obj_t BgL_nz00_2125;

														BgL_nz00_2125 =
															BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00
															(BgL_digitsz00_2117,
															((long) CINT(BgL_radz00_2107) - ((long) 1)));
														{	/* Unsafe/bignumber.scm 992 */
															bool_t BgL_test2858z00_7810;

															if (CBOOL(BgL_signz00_2108))
																{	/* Unsafe/bignumber.scm 992 */
																	BgL_test2858z00_7810 =
																		(CCHAR(BgL_signz00_2108) ==
																		((unsigned char) '-'));
																}
															else
																{	/* Unsafe/bignumber.scm 992 */
																	BgL_test2858z00_7810 = ((bool_t) 0);
																}
															if (BgL_test2858z00_7810)
																{	/* Unsafe/bignumber.scm 992 */
																	return
																		bgl_bignum_sub
																		(BGl_bignumzd2za7eroz75zz__bignumz00,
																		BgL_nz00_2125);
																}
															else
																{	/* Unsafe/bignumber.scm 992 */
																	return BgL_nz00_2125;
																}
														}
													}
											}
										else
											{	/* Unsafe/bignumber.scm 984 */
												return
													BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00((
														(long) 0));
									}}
								else
									{
										long BgL_iz00_7820;
										obj_t BgL_signz00_7819;
										obj_t BgL_radz00_7818;

										BgL_radz00_7818 = BgL_radz00_2132;
										BgL_signz00_7819 = BFALSE;
										BgL_iz00_7820 = BgL_iz00_2133;
										BgL_iz00_2109 = BgL_iz00_7820;
										BgL_signz00_2108 = BgL_signz00_7819;
										BgL_radz00_2107 = BgL_radz00_7818;
										goto BgL_zc3z04anonymousza31858ze3z87_2110;
									}
							}
						}
					else
						{
							long BgL_iz00_7823;
							obj_t BgL_radz00_7821;

							BgL_radz00_7821 = BINT(BgL_radixz00_95);
							BgL_iz00_7823 = BgL_iz00_2148;
							BgL_iz00_2133 = BgL_iz00_7823;
							BgL_radz00_2132 = BgL_radz00_7821;
							goto BgL_zc3z04anonymousza31881ze3z87_2134;
						}
				}
			}
		}

	}



/* &$$string->bignum */
	obj_t BGl_z62z42z42stringzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5563,
		obj_t BgL_strz00_5564, obj_t BgL_radixz00_5565)
	{
		{	/* Unsafe/bignumber.scm 965 */
			{	/* Unsafe/bignumber.scm 970 */
				int BgL_auxz00_7833;
				char *BgL_auxz00_7824;

				{	/* Unsafe/bignumber.scm 970 */
					obj_t BgL_tmpz00_7834;

					if (INTEGERP(BgL_radixz00_5565))
						{	/* Unsafe/bignumber.scm 970 */
							BgL_tmpz00_7834 = BgL_radixz00_5565;
						}
					else
						{
							obj_t BgL_auxz00_7837;

							BgL_auxz00_7837 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 31576)), BGl_string2551z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_radixz00_5565);
							FAILURE(BgL_auxz00_7837, BFALSE, BFALSE);
						}
					BgL_auxz00_7833 = CINT(BgL_tmpz00_7834);
				}
				{	/* Unsafe/bignumber.scm 970 */
					obj_t BgL_tmpz00_7825;

					if (STRINGP(BgL_strz00_5564))
						{	/* Unsafe/bignumber.scm 970 */
							BgL_tmpz00_7825 = BgL_strz00_5564;
						}
					else
						{
							obj_t BgL_auxz00_7828;

							BgL_auxz00_7828 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 31576)), BGl_string2551z00zz__bignumz00,
								BGl_string2511z00zz__bignumz00, BgL_strz00_5564);
							FAILURE(BgL_auxz00_7828, BFALSE, BFALSE);
						}
					BgL_auxz00_7824 = BSTRING_TO_STRING(BgL_tmpz00_7825);
				}
				return bgl_string_to_bignum(BgL_auxz00_7824, BgL_auxz00_7833);
			}
		}

	}



/* bignum->fixnum-list */
	obj_t BGl_bignumzd2ze3fixnumzd2listze3zz__bignumz00(obj_t BgL_xz00_96,
		long BgL_radixzd2minuszd21z00_97)
	{
		{	/* Unsafe/bignumber.scm 1023 */
			{	/* Unsafe/bignumber.scm 1024 */
				obj_t BgL_bigzd2radixzd2_2167;

				{	/* Unsafe/bignumber.scm 1026 */
					obj_t BgL_arg1919z00_2196;
					obj_t BgL_arg1920z00_2197;

					BgL_arg1919z00_2196 = bgl_long_to_bignum(BgL_radixzd2minuszd21z00_97);
					{	/* Unsafe/bignumber.scm 1027 */
						obj_t BgL_res2375z00_4930;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2862z00_7844;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2862z00_7844 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2862z00_7844 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2862z00_7844)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2375z00_4930 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2375z00_4930 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						BgL_arg1920z00_2197 = BgL_res2375z00_4930;
					}
					{	/* Unsafe/bignumber.scm 1025 */
						obj_t BgL_res2376z00_4947;

						{	/* Unsafe/bignumber.scm 607 */
							long BgL_arg1511z00_4933;
							long BgL_arg1512z00_4934;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_4936;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_4937;

									BgL_arg1233z00_4937 = BGL_BIGNUM_U16VECT(BgL_arg1919z00_2196);
									BgL_arg1232z00_4936 =
										BGL_U16VREF(BgL_arg1233z00_4937, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_4939;

									BgL_arg2287z00_4939 = (long) (BgL_arg1232z00_4936);
									BgL_arg1511z00_4933 = (long) (BgL_arg2287z00_4939);
							}}
							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_4942;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_4943;

									BgL_arg1233z00_4943 = BGL_BIGNUM_U16VECT(BgL_arg1920z00_2197);
									BgL_arg1232z00_4942 =
										BGL_U16VREF(BgL_arg1233z00_4943, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_4945;

									BgL_arg2287z00_4945 = (long) (BgL_arg1232z00_4942);
									BgL_arg1512z00_4934 = (long) (BgL_arg2287z00_4945);
							}}
							BgL_res2376z00_4947 =
								BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1919z00_2196,
								BgL_arg1920z00_2197, BgL_arg1511z00_4933, BgL_arg1512z00_4934);
						}
						BgL_bigzd2radixzd2_2167 = BgL_res2376z00_4947;
				}}
				{	/* Unsafe/bignumber.scm 1024 */
					obj_t BgL_squarezd2serieszd2_2168;

					{	/* Unsafe/bignumber.scm 1029 */
						obj_t BgL_g1066z00_2186;

						{	/* Unsafe/bignumber.scm 1030 */
							obj_t BgL_list1918z00_2195;

							BgL_list1918z00_2195 =
								MAKE_YOUNG_PAIR(BgL_bigzd2radixzd2_2167, BNIL);
							BgL_g1066z00_2186 = BgL_list1918z00_2195;
						}
						{
							obj_t BgL_squarez00_4956;
							obj_t BgL_squarezd2listzd2_4957;

							BgL_squarez00_4956 = BgL_bigzd2radixzd2_2167;
							BgL_squarezd2listzd2_4957 = BgL_g1066z00_2186;
						BgL_loopz00_4955:
							{	/* Unsafe/bignumber.scm 1031 */
								obj_t BgL_newzd2squarezd2_4961;

								BgL_newzd2squarezd2_4961 =
									bgl_bignum_mul(BgL_squarez00_4956, BgL_squarez00_4956);
								if (BGl_z42zc3bxz81zz__bignumz00(BgL_xz00_96,
										BgL_newzd2squarezd2_4961))
									{	/* Unsafe/bignumber.scm 1033 */
										BgL_squarezd2serieszd2_2168 = BgL_squarezd2listzd2_4957;
									}
								else
									{	/* Unsafe/bignumber.scm 1036 */
										obj_t BgL_arg1917z00_4963;

										BgL_arg1917z00_4963 =
											MAKE_YOUNG_PAIR(BgL_newzd2squarezd2_4961,
											BgL_squarezd2listzd2_4957);
										{
											obj_t BgL_squarezd2listzd2_7866;
											obj_t BgL_squarez00_7865;

											BgL_squarez00_7865 = BgL_newzd2squarezd2_4961;
											BgL_squarezd2listzd2_7866 = BgL_arg1917z00_4963;
											BgL_squarezd2listzd2_4957 = BgL_squarezd2listzd2_7866;
											BgL_squarez00_4956 = BgL_squarez00_7865;
											goto BgL_loopz00_4955;
										}
									}
							}
						}
					}
					{	/* Unsafe/bignumber.scm 1028 */

						return
							BGl_convertze70ze7zz__bignumz00(BgL_xz00_96,
							BgL_squarezd2serieszd2_2168, BNIL);
					}
				}
			}
		}

	}



/* convert~0 */
	obj_t BGl_convertze70ze7zz__bignumz00(obj_t BgL_nz00_2170,
		obj_t BgL_squarezd2serieszd2_2171, obj_t BgL_tailz00_2172)
	{
		{	/* Unsafe/bignumber.scm 1053 */
		BGl_convertze70ze7zz__bignumz00:
			if (PAIRP(BgL_squarezd2serieszd2_2171))
				{	/* Unsafe/bignumber.scm 1040 */
					obj_t BgL_qrz00_2175;

					BgL_qrz00_2175 =
						BGl_bignumzd2divzd2zz__bignumz00(BgL_nz00_2170,
						CAR(BgL_squarezd2serieszd2_2171));
					{	/* Unsafe/bignumber.scm 1040 */
						obj_t BgL_qz00_2176;

						BgL_qz00_2176 = CAR(((obj_t) BgL_qrz00_2175));
						{	/* Unsafe/bignumber.scm 1041 */
							obj_t BgL_rz00_2177;

							BgL_rz00_2177 = CDR(((obj_t) BgL_qrz00_2175));
							{	/* Unsafe/bignumber.scm 1042 */
								obj_t BgL_newzd2squarezd2seriesz00_2178;

								BgL_newzd2squarezd2seriesz00_2178 =
									CDR(BgL_squarezd2serieszd2_2171);
								{	/* Unsafe/bignumber.scm 1043 */

									{
										obj_t BgL_tailz00_7879;
										obj_t BgL_squarezd2serieszd2_7878;
										obj_t BgL_nz00_7877;

										BgL_nz00_7877 = BgL_rz00_2177;
										BgL_squarezd2serieszd2_7878 =
											BgL_newzd2squarezd2seriesz00_2178;
										BgL_tailz00_7879 =
											BGl_convertze70ze7zz__bignumz00(BgL_qz00_2176,
											BgL_newzd2squarezd2seriesz00_2178, BgL_tailz00_2172);
										BgL_tailz00_2172 = BgL_tailz00_7879;
										BgL_squarezd2serieszd2_2171 = BgL_squarezd2serieszd2_7878;
										BgL_nz00_2170 = BgL_nz00_7877;
										goto BGl_convertze70ze7zz__bignumz00;
									}
								}
							}
						}
					}
				}
			else
				{	/* Unsafe/bignumber.scm 1049 */
					long BgL_dz00_2181;

					BgL_dz00_2181 = bgl_bignum_to_long(((obj_t) BgL_nz00_2170));
					{	/* Unsafe/bignumber.scm 1050 */
						bool_t BgL_test2866z00_7883;

						if (NULLP(BgL_tailz00_2172))
							{	/* Unsafe/bignumber.scm 1050 */
								BgL_test2866z00_7883 = (BgL_dz00_2181 == ((long) 0));
							}
						else
							{	/* Unsafe/bignumber.scm 1050 */
								BgL_test2866z00_7883 = ((bool_t) 0);
							}
						if (BgL_test2866z00_7883)
							{	/* Unsafe/bignumber.scm 1050 */
								return BgL_tailz00_2172;
							}
						else
							{	/* Unsafe/bignumber.scm 1050 */
								return MAKE_YOUNG_PAIR(BINT(BgL_dz00_2181), BgL_tailz00_2172);
							}
					}
				}
		}

	}



/* fixnum-list->bignum */
	obj_t BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00(obj_t
		BgL_digitzd2listzd2_98, long BgL_radixzd2minuszd21z00_99)
	{
		{	/* Unsafe/bignumber.scm 1057 */
			{	/* Unsafe/bignumber.scm 1061 */
				obj_t BgL_bigzd2radixzd2_2198;

				{	/* Unsafe/bignumber.scm 1063 */
					obj_t BgL_arg1929z00_2211;
					obj_t BgL_arg1930z00_2212;

					BgL_arg1929z00_2211 = bgl_long_to_bignum(BgL_radixzd2minuszd21z00_99);
					{	/* Unsafe/bignumber.scm 1064 */
						obj_t BgL_res2378z00_4978;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2868z00_7890;

							if ((((long) 1) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2868z00_7890 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2868z00_7890 = (((long) 16) < ((long) 1));
								}
							if (BgL_test2868z00_7890)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2378z00_4978 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											1));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2378z00_4978 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 1) + ((long) 16)));
						}}
						BgL_arg1930z00_2212 = BgL_res2378z00_4978;
					}
					{	/* Unsafe/bignumber.scm 1062 */
						obj_t BgL_res2379z00_4995;

						{	/* Unsafe/bignumber.scm 607 */
							long BgL_arg1511z00_4981;
							long BgL_arg1512z00_4982;

							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_4984;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_4985;

									BgL_arg1233z00_4985 = BGL_BIGNUM_U16VECT(BgL_arg1929z00_2211);
									BgL_arg1232z00_4984 =
										BGL_U16VREF(BgL_arg1233z00_4985, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_4987;

									BgL_arg2287z00_4987 = (long) (BgL_arg1232z00_4984);
									BgL_arg1511z00_4981 = (long) (BgL_arg2287z00_4987);
							}}
							{	/* Unsafe/bignumber.scm 263 */
								uint16_t BgL_arg1232z00_4990;

								{	/* Unsafe/bignumber.scm 263 */
									obj_t BgL_arg1233z00_4991;

									BgL_arg1233z00_4991 = BGL_BIGNUM_U16VECT(BgL_arg1930z00_2212);
									BgL_arg1232z00_4990 =
										BGL_U16VREF(BgL_arg1233z00_4991, ((long) 0));
								}
								{	/* Unsafe/bignumber.scm 263 */
									long BgL_arg2287z00_4993;

									BgL_arg2287z00_4993 = (long) (BgL_arg1232z00_4990);
									BgL_arg1512z00_4982 = (long) (BgL_arg2287z00_4993);
							}}
							BgL_res2379z00_4995 =
								BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1929z00_2211,
								BgL_arg1930z00_2212, BgL_arg1511z00_4981, BgL_arg1512z00_4982);
						}
						BgL_bigzd2radixzd2_2198 = BgL_res2379z00_4995;
				}}
				{	/* Unsafe/bignumber.scm 1065 */
					obj_t BgL_g1067z00_2199;

					BgL_g1067z00_2199 = bgl_reverse(BgL_digitzd2listzd2_98);
					{
						obj_t BgL_nz00_5035;
						obj_t BgL_lstz00_5036;

						BgL_nz00_5035 = BGl_bignumzd2za7eroz75zz__bignumz00;
						BgL_lstz00_5036 = BgL_g1067z00_2199;
					BgL_loopz00_5034:
						if (PAIRP(BgL_lstz00_5036))
							{	/* Unsafe/bignumber.scm 1067 */
								obj_t BgL_arg1923z00_5044;
								obj_t BgL_arg1924z00_5045;

								{	/* Unsafe/bignumber.scm 1067 */
									obj_t BgL_arg1925z00_5046;
									obj_t BgL_arg1926z00_5047;

									BgL_arg1925z00_5046 =
										bgl_bignum_mul(BgL_nz00_5035, BgL_bigzd2radixzd2_2198);
									{	/* Unsafe/bignumber.scm 1068 */
										obj_t BgL_arg1927z00_5048;

										BgL_arg1927z00_5048 = CAR(BgL_lstz00_5036);
										BgL_arg1926z00_5047 =
											bgl_long_to_bignum((long) CINT(BgL_arg1927z00_5048));
									}
									BgL_arg1923z00_5044 =
										BGl_bignumzd2sum2zd2zz__bignumz00(BgL_arg1925z00_5046,
										BgL_arg1926z00_5047,
										BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1925z00_5046),
										BGl_bignumzd2signzd2zz__bignumz00(BgL_arg1926z00_5047));
								}
								BgL_arg1924z00_5045 = CDR(BgL_lstz00_5036);
								{
									obj_t BgL_lstz00_7918;
									obj_t BgL_nz00_7917;

									BgL_nz00_7917 = BgL_arg1923z00_5044;
									BgL_lstz00_7918 = BgL_arg1924z00_5045;
									BgL_lstz00_5036 = BgL_lstz00_7918;
									BgL_nz00_5035 = BgL_nz00_7917;
									goto BgL_loopz00_5034;
								}
							}
						else
							{	/* Unsafe/bignumber.scm 1066 */
								return BgL_nz00_5035;
							}
					}
				}
			}
		}

	}



/* $$bignum->fixnum */
	BGL_EXPORTED_DEF long bgl_bignum_to_long(obj_t BgL_xz00_100)
	{
		{	/* Unsafe/bignumber.scm 1072 */
			{	/* Unsafe/bignumber.scm 1073 */
				long BgL_lenxzd2minuszd21z00_2213;

				{	/* Unsafe/bignumber.scm 1073 */
					long BgL_arg1948z00_2237;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_5057;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_5058;

							BgL_arg1223z00_5058 = BGL_BIGNUM_U16VECT(BgL_xz00_100);
							BgL_arg1222z00_5057 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_5058);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5060;

							BgL_xz00_5060 = (uint16_t) (BgL_arg1222z00_5057);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_5061;

								BgL_arg2287z00_5061 = (long) (BgL_xz00_5060);
								BgL_arg1948z00_2237 = (long) (BgL_arg2287z00_5061);
					}}}
					BgL_lenxzd2minuszd21z00_2213 = (BgL_arg1948z00_2237 - ((long) 1));
				}
				{
					long BgL_nz00_2215;
					long BgL_iz00_2216;

					{	/* Unsafe/bignumber.scm 1074 */
						obj_t BgL_tmpz00_7925;

						BgL_nz00_2215 = ((long) 0);
						BgL_iz00_2216 = BgL_lenxzd2minuszd21z00_2213;
					BgL_zc3z04anonymousza31931ze3z87_2217:
						if ((((long) 0) < BgL_iz00_2216))
							{	/* Unsafe/bignumber.scm 1076 */
								bool_t BgL_test2872z00_7928;

								{	/* Unsafe/bignumber.scm 1076 */
									long BgL_arg1943z00_2231;

									BgL_arg1943z00_2231 = (((long) -536870912) / ((long) 16384));
									BgL_test2872z00_7928 = (BgL_nz00_2215 < BgL_arg1943z00_2231);
								}
								if (BgL_test2872z00_7928)
									{	/* Unsafe/bignumber.scm 1076 */
										BgL_tmpz00_7925 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1078 */
										long BgL_mz00_2221;
										long BgL_dz00_2222;

										BgL_mz00_2221 = (BgL_nz00_2215 * ((long) 16384));
										{	/* Unsafe/bignumber.scm 1079 */
											int BgL_iz00_5070;

											BgL_iz00_5070 = (int) (BgL_iz00_2216);
											{	/* Unsafe/bignumber.scm 267 */
												uint16_t BgL_arg1240z00_5071;

												{	/* Unsafe/bignumber.scm 267 */
													obj_t BgL_arg1243z00_5072;

													BgL_arg1243z00_5072 =
														BGL_BIGNUM_U16VECT(BgL_xz00_100);
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_tmpz00_7934;

														BgL_tmpz00_7934 = (long) (BgL_iz00_5070);
														BgL_arg1240z00_5071 =
															BGL_U16VREF(BgL_arg1243z00_5072, BgL_tmpz00_7934);
												}}
												{	/* Unsafe/bignumber.scm 267 */
													long BgL_arg2287z00_5074;

													BgL_arg2287z00_5074 = (long) (BgL_arg1240z00_5071);
													BgL_dz00_2222 = (long) (BgL_arg2287z00_5074);
										}}}
										if ((BgL_mz00_2221 < (((long) -536870912) + BgL_dz00_2222)))
											{	/* Unsafe/bignumber.scm 1080 */
												BgL_tmpz00_7925 = BFALSE;
											}
										else
											{
												long BgL_iz00_7944;
												long BgL_nz00_7942;

												BgL_nz00_7942 = (BgL_mz00_2221 - BgL_dz00_2222);
												BgL_iz00_7944 = (BgL_iz00_2216 - ((long) 1));
												BgL_iz00_2216 = BgL_iz00_7944;
												BgL_nz00_2215 = BgL_nz00_7942;
												goto BgL_zc3z04anonymousza31931ze3z87_2217;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1084 */
								bool_t BgL_test2874z00_7946;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5084;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_5086;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_5087;

											BgL_arg1233z00_5087 = BGL_BIGNUM_U16VECT(BgL_xz00_100);
											BgL_arg1232z00_5086 =
												BGL_U16VREF(BgL_arg1233z00_5087, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_5089;

											BgL_arg2287z00_5089 = (long) (BgL_arg1232z00_5086);
											BgL_arg1427z00_5084 = (long) (BgL_arg2287z00_5089);
									}}
									BgL_test2874z00_7946 = (BgL_arg1427z00_5084 == ((long) 0));
								}
								if (BgL_test2874z00_7946)
									{	/* Unsafe/bignumber.scm 1084 */
										BgL_tmpz00_7925 = BINT(BgL_nz00_2215);
									}
								else
									{	/* Unsafe/bignumber.scm 1084 */
										if ((BgL_nz00_2215 == ((long) -536870912)))
											{	/* Unsafe/bignumber.scm 1086 */
												BgL_tmpz00_7925 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1086 */
												BgL_tmpz00_7925 = BINT((((long) 0) - BgL_nz00_2215));
							}}}
						return (long) CINT(BgL_tmpz00_7925);
		}}}}

	}



/* &$$bignum->fixnum */
	obj_t BGl_z62z42z42bignumzd2ze3fixnumz53zz__bignumz00(obj_t BgL_envz00_5566,
		obj_t BgL_xz00_5567)
	{
		{	/* Unsafe/bignumber.scm 1072 */
			{	/* Unsafe/bignumber.scm 1073 */
				long BgL_tmpz00_7958;

				{	/* Unsafe/bignumber.scm 1073 */
					obj_t BgL_auxz00_7959;

					if (BIGNUMP(BgL_xz00_5567))
						{	/* Unsafe/bignumber.scm 1073 */
							BgL_auxz00_7959 = BgL_xz00_5567;
						}
					else
						{
							obj_t BgL_auxz00_7962;

							BgL_auxz00_7962 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 34701)), BGl_string2552z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5567);
							FAILURE(BgL_auxz00_7962, BFALSE, BFALSE);
						}
					BgL_tmpz00_7958 = bgl_bignum_to_long(BgL_auxz00_7959);
				}
				return BINT(BgL_tmpz00_7958);
			}
		}

	}



/* $$bignum->elong */
	BGL_EXPORTED_DEF long bgl_bignum_to_elong(obj_t BgL_xz00_101)
	{
		{	/* Unsafe/bignumber.scm 1091 */
			{	/* Unsafe/bignumber.scm 1092 */
				long BgL_lenxzd2minuszd21z00_2238;

				{	/* Unsafe/bignumber.scm 1092 */
					long BgL_arg1967z00_2263;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_5096;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_5097;

							BgL_arg1223z00_5097 = BGL_BIGNUM_U16VECT(BgL_xz00_101);
							BgL_arg1222z00_5096 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_5097);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5099;

							BgL_xz00_5099 = (uint16_t) (BgL_arg1222z00_5096);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_5100;

								BgL_arg2287z00_5100 = (long) (BgL_xz00_5099);
								BgL_arg1967z00_2263 = (long) (BgL_arg2287z00_5100);
					}}}
					BgL_lenxzd2minuszd21z00_2238 = (BgL_arg1967z00_2263 - ((long) 1));
				}
				{
					long BgL_nz00_2240;
					long BgL_iz00_2241;

					{	/* Unsafe/bignumber.scm 1093 */
						obj_t BgL_tmpz00_7974;

						BgL_nz00_2240 = ((long) 0);
						BgL_iz00_2241 = BgL_lenxzd2minuszd21z00_2238;
					BgL_zc3z04anonymousza31949ze3z87_2242:
						if ((((long) 0) < BgL_iz00_2241))
							{	/* Unsafe/bignumber.scm 1094 */
								if (
									(BgL_nz00_2240 <
										BGl_bignumzd2minzd2elongzd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1095 */
										BgL_tmpz00_7974 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1097 */
										long BgL_mz00_2246;
										long BgL_dz00_2247;

										BgL_mz00_2246 =
											(BgL_nz00_2240 *
											((long) (((long) 1)) << (int) (((long) 15))));
										{	/* Unsafe/bignumber.scm 1098 */
											long BgL_arg1961z00_2256;

											{	/* Unsafe/bignumber.scm 1098 */
												int BgL_iz00_5110;

												BgL_iz00_5110 = (int) (BgL_iz00_2241);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_5111;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_5112;

														BgL_arg1243z00_5112 =
															BGL_BIGNUM_U16VECT(BgL_xz00_101);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_7986;

															BgL_tmpz00_7986 = (long) (BgL_iz00_5110);
															BgL_arg1240z00_5111 =
																BGL_U16VREF(BgL_arg1243z00_5112,
																BgL_tmpz00_7986);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_5114;

														BgL_arg2287z00_5114 = (long) (BgL_arg1240z00_5111);
														BgL_arg1961z00_2256 = (long) (BgL_arg2287z00_5114);
											}}}
											BgL_dz00_2247 = (long) (BgL_arg1961z00_2256);
										}
										if (
											(BgL_mz00_2246 <
												((((long) -2) *
														((long) (((long) 1)) <<
															(int) (((long) 30)))) + BgL_dz00_2247)))
											{	/* Unsafe/bignumber.scm 1099 */
												BgL_tmpz00_7974 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1101 */
												long BgL_arg1956z00_2251;
												long BgL_arg1957z00_2252;

												{	/* Unsafe/bignumber.scm 1101 */
													long BgL_res2383z00_5126;

													{	/* Unsafe/bignumber.scm 1101 */
														long BgL_tmpz00_7999;

														BgL_tmpz00_7999 = (BgL_mz00_2246 - BgL_dz00_2247);
														BgL_res2383z00_5126 = (long) (BgL_tmpz00_7999);
													}
													BgL_arg1956z00_2251 = BgL_res2383z00_5126;
												}
												BgL_arg1957z00_2252 = (BgL_iz00_2241 - ((long) 1));
												{
													long BgL_iz00_8004;
													long BgL_nz00_8003;

													BgL_nz00_8003 = BgL_arg1956z00_2251;
													BgL_iz00_8004 = BgL_arg1957z00_2252;
													BgL_iz00_2241 = BgL_iz00_8004;
													BgL_nz00_2240 = BgL_nz00_8003;
													goto BgL_zc3z04anonymousza31949ze3z87_2242;
												}
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1103 */
								bool_t BgL_test2880z00_8005;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5129;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_5131;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_5132;

											BgL_arg1233z00_5132 = BGL_BIGNUM_U16VECT(BgL_xz00_101);
											BgL_arg1232z00_5131 =
												BGL_U16VREF(BgL_arg1233z00_5132, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_5134;

											BgL_arg2287z00_5134 = (long) (BgL_arg1232z00_5131);
											BgL_arg1427z00_5129 = (long) (BgL_arg2287z00_5134);
									}}
									BgL_test2880z00_8005 = (BgL_arg1427z00_5129 == ((long) 0));
								}
								if (BgL_test2880z00_8005)
									{	/* Unsafe/bignumber.scm 1103 */
										BgL_tmpz00_7974 = make_belong(BgL_nz00_2240);
									}
								else
									{	/* Unsafe/bignumber.scm 1103 */
										if (
											(BgL_nz00_2240 ==
												(((long) -2) *
													((long) (((long) 1)) << (int) (((long) 30))))))
											{	/* Unsafe/bignumber.scm 1105 */
												BgL_tmpz00_7974 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1106 */
												long BgL_res2384z00_5145;

												{	/* Unsafe/bignumber.scm 1106 */
													long BgL_tmpz00_8018;

													BgL_tmpz00_8018 = (((long) 0) - BgL_nz00_2240);
													BgL_res2384z00_5145 = (long) (BgL_tmpz00_8018);
												}
												BgL_tmpz00_7974 = make_belong(BgL_res2384z00_5145);
							}}}
						return BELONG_TO_LONG(BgL_tmpz00_7974);
					}
				}
			}
		}

	}



/* &$$bignum->elong */
	obj_t BGl_z62z42z42bignumzd2ze3elongz53zz__bignumz00(obj_t BgL_envz00_5568,
		obj_t BgL_xz00_5569)
	{
		{	/* Unsafe/bignumber.scm 1091 */
			{	/* Unsafe/bignumber.scm 1092 */
				long BgL_tmpz00_8023;

				{	/* Unsafe/bignumber.scm 1092 */
					obj_t BgL_auxz00_8024;

					if (BIGNUMP(BgL_xz00_5569))
						{	/* Unsafe/bignumber.scm 1092 */
							BgL_auxz00_8024 = BgL_xz00_5569;
						}
					else
						{
							obj_t BgL_auxz00_8027;

							BgL_auxz00_8027 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 35211)), BGl_string2553z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5569);
							FAILURE(BgL_auxz00_8027, BFALSE, BFALSE);
						}
					BgL_tmpz00_8023 = bgl_bignum_to_elong(BgL_auxz00_8024);
				}
				return make_belong(BgL_tmpz00_8023);
			}
		}

	}



/* $$bignum->llong */
	BGL_EXPORTED_DEF BGL_LONGLONG_T bgl_bignum_to_llong(obj_t BgL_xz00_102)
	{
		{	/* Unsafe/bignumber.scm 1110 */
			{	/* Unsafe/bignumber.scm 1111 */
				long BgL_lenxzd2minuszd21z00_2264;

				{	/* Unsafe/bignumber.scm 1111 */
					long BgL_arg1986z00_2289;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_5147;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_5148;

							BgL_arg1223z00_5148 = BGL_BIGNUM_U16VECT(BgL_xz00_102);
							BgL_arg1222z00_5147 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_5148);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5150;

							BgL_xz00_5150 = (uint16_t) (BgL_arg1222z00_5147);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_5151;

								BgL_arg2287z00_5151 = (long) (BgL_xz00_5150);
								BgL_arg1986z00_2289 = (long) (BgL_arg2287z00_5151);
					}}}
					BgL_lenxzd2minuszd21z00_2264 = (BgL_arg1986z00_2289 - ((long) 1));
				}
				{
					BGL_LONGLONG_T BgL_nz00_2266;
					long BgL_iz00_2267;

					{	/* Unsafe/bignumber.scm 1112 */
						obj_t BgL_tmpz00_8039;

						BgL_nz00_2266 = ((BGL_LONGLONG_T) 0);
						BgL_iz00_2267 = BgL_lenxzd2minuszd21z00_2264;
					BgL_zc3z04anonymousza31968ze3z87_2268:
						if ((((long) 0) < BgL_iz00_2267))
							{	/* Unsafe/bignumber.scm 1113 */
								if (
									(BgL_nz00_2266 <
										BGl_bignumzd2minzd2llongzd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1114 */
										BgL_tmpz00_8039 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1116 */
										BGL_LONGLONG_T BgL_mz00_2272;
										BGL_LONGLONG_T BgL_dz00_2273;

										BgL_mz00_2272 =
											(BgL_nz00_2266 *
											(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30))));
										{	/* Unsafe/bignumber.scm 1117 */
											long BgL_arg1980z00_2282;

											{	/* Unsafe/bignumber.scm 1117 */
												int BgL_iz00_5161;

												BgL_iz00_5161 = (int) (BgL_iz00_2267);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_5162;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_5163;

														BgL_arg1243z00_5163 =
															BGL_BIGNUM_U16VECT(BgL_xz00_102);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_8051;

															BgL_tmpz00_8051 = (long) (BgL_iz00_5161);
															BgL_arg1240z00_5162 =
																BGL_U16VREF(BgL_arg1243z00_5163,
																BgL_tmpz00_8051);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_5165;

														BgL_arg2287z00_5165 = (long) (BgL_arg1240z00_5162);
														BgL_arg1980z00_2282 = (long) (BgL_arg2287z00_5165);
											}}}
											BgL_dz00_2273 = LONG_TO_LLONG(BgL_arg1980z00_2282);
										}
										if (
											(BgL_mz00_2272 <
												(((-((BGL_LONGLONG_T) 2)) *
														(LONG_TO_LLONG(((long) 1)) <<
															(int) (((long) 30)))) + BgL_dz00_2273)))
											{	/* Unsafe/bignumber.scm 1118 */
												BgL_tmpz00_8039 = BFALSE;
											}
										else
											{
												long BgL_iz00_8066;
												BGL_LONGLONG_T BgL_nz00_8064;

												BgL_nz00_8064 = (BgL_mz00_2272 - BgL_dz00_2273);
												BgL_iz00_8066 = (BgL_iz00_2267 - ((long) 1));
												BgL_iz00_2267 = BgL_iz00_8066;
												BgL_nz00_2266 = BgL_nz00_8064;
												goto BgL_zc3z04anonymousza31968ze3z87_2268;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1122 */
								bool_t BgL_test2886z00_8068;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5179;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_5181;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_5182;

											BgL_arg1233z00_5182 = BGL_BIGNUM_U16VECT(BgL_xz00_102);
											BgL_arg1232z00_5181 =
												BGL_U16VREF(BgL_arg1233z00_5182, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_5184;

											BgL_arg2287z00_5184 = (long) (BgL_arg1232z00_5181);
											BgL_arg1427z00_5179 = (long) (BgL_arg2287z00_5184);
									}}
									BgL_test2886z00_8068 = (BgL_arg1427z00_5179 == ((long) 0));
								}
								if (BgL_test2886z00_8068)
									{	/* Unsafe/bignumber.scm 1122 */
										BgL_tmpz00_8039 = make_bllong(BgL_nz00_2266);
									}
								else
									{	/* Unsafe/bignumber.scm 1122 */
										if (
											(BgL_nz00_2266 ==
												((-((BGL_LONGLONG_T) 2)) *
													(LONG_TO_LLONG(((long) 1)) << (int) (((long) 30))))))
											{	/* Unsafe/bignumber.scm 1124 */
												BgL_tmpz00_8039 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1124 */
												BgL_tmpz00_8039 =
													make_bllong((((BGL_LONGLONG_T) 0) - BgL_nz00_2266));
											}
									}
							}
						return BLLONG_TO_LLONG(BgL_tmpz00_8039);
					}
				}
			}
		}

	}



/* &$$bignum->llong */
	obj_t BGl_z62z42z42bignumzd2ze3llongz53zz__bignumz00(obj_t BgL_envz00_5570,
		obj_t BgL_xz00_5571)
	{
		{	/* Unsafe/bignumber.scm 1110 */
			{	/* Unsafe/bignumber.scm 1111 */
				BGL_LONGLONG_T BgL_tmpz00_8084;

				{	/* Unsafe/bignumber.scm 1111 */
					obj_t BgL_auxz00_8085;

					if (BIGNUMP(BgL_xz00_5571))
						{	/* Unsafe/bignumber.scm 1111 */
							BgL_auxz00_8085 = BgL_xz00_5571;
						}
					else
						{
							obj_t BgL_auxz00_8088;

							BgL_auxz00_8088 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 35771)), BGl_string2554z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5571);
							FAILURE(BgL_auxz00_8088, BFALSE, BFALSE);
						}
					BgL_tmpz00_8084 = bgl_bignum_to_llong(BgL_auxz00_8085);
				}
				return make_bllong(BgL_tmpz00_8084);
			}
		}

	}



/* $$bignum->int64 */
	BGL_EXPORTED_DEF int64_t bgl_bignum_to_int64(obj_t BgL_xz00_103)
	{
		{	/* Unsafe/bignumber.scm 1129 */
			{	/* Unsafe/bignumber.scm 1130 */
				long BgL_lenxzd2minuszd21z00_2290;

				{	/* Unsafe/bignumber.scm 1130 */
					long BgL_arg2006z00_2315;

					{	/* Unsafe/bignumber.scm 261 */
						long BgL_arg1222z00_5196;

						{	/* Unsafe/bignumber.scm 261 */
							obj_t BgL_arg1223z00_5197;

							BgL_arg1223z00_5197 = BGL_BIGNUM_U16VECT(BgL_xz00_103);
							BgL_arg1222z00_5196 = BGL_HVECTOR_LENGTH(BgL_arg1223z00_5197);
						}
						{	/* Unsafe/bignumber.scm 261 */
							uint16_t BgL_xz00_5199;

							BgL_xz00_5199 = (uint16_t) (BgL_arg1222z00_5196);
							{	/* Unsafe/bignumber.scm 261 */
								long BgL_arg2287z00_5200;

								BgL_arg2287z00_5200 = (long) (BgL_xz00_5199);
								BgL_arg2006z00_2315 = (long) (BgL_arg2287z00_5200);
					}}}
					BgL_lenxzd2minuszd21z00_2290 = (BgL_arg2006z00_2315 - ((long) 1));
				}
				{
					int64_t BgL_nz00_2292;
					long BgL_iz00_2293;

					{	/* Unsafe/bignumber.scm 1131 */
						obj_t BgL_tmpz00_8100;

						BgL_nz00_2292 = (int64_t) (0);
						BgL_iz00_2293 = BgL_lenxzd2minuszd21z00_2290;
					BgL_zc3z04anonymousza31987ze3z87_2294:
						if ((((long) 0) < BgL_iz00_2293))
							{	/* Unsafe/bignumber.scm 1132 */
								if (
									(BgL_nz00_2292 <
										BGl_bignumzd2minzd2int64zd2divzd2radixz00zz__bignumz00()))
									{	/* Unsafe/bignumber.scm 1133 */
										BgL_tmpz00_8100 = BFALSE;
									}
								else
									{	/* Unsafe/bignumber.scm 1135 */
										int64_t BgL_mz00_2298;
										int64_t BgL_dz00_2299;

										BgL_mz00_2298 =
											(BgL_nz00_2292 *
											BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t) (2),
												(int64_t) (((long) 30))));
										{	/* Unsafe/bignumber.scm 1136 */
											long BgL_arg2000z00_2308;

											{	/* Unsafe/bignumber.scm 1136 */
												int BgL_iz00_5209;

												BgL_iz00_5209 = (int) (BgL_iz00_2293);
												{	/* Unsafe/bignumber.scm 267 */
													uint16_t BgL_arg1240z00_5210;

													{	/* Unsafe/bignumber.scm 267 */
														obj_t BgL_arg1243z00_5211;

														BgL_arg1243z00_5211 =
															BGL_BIGNUM_U16VECT(BgL_xz00_103);
														{	/* Unsafe/bignumber.scm 267 */
															long BgL_tmpz00_8111;

															BgL_tmpz00_8111 = (long) (BgL_iz00_5209);
															BgL_arg1240z00_5210 =
																BGL_U16VREF(BgL_arg1243z00_5211,
																BgL_tmpz00_8111);
													}}
													{	/* Unsafe/bignumber.scm 267 */
														long BgL_arg2287z00_5213;

														BgL_arg2287z00_5213 = (long) (BgL_arg1240z00_5210);
														BgL_arg2000z00_2308 = (long) (BgL_arg2287z00_5213);
											}}}
											BgL_dz00_2299 = (int64_t) (BgL_arg2000z00_2308);
										}
										if (
											(BgL_mz00_2298 <
												(((int64_t) (-2) *
														BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t)
															(2), (int64_t) (((long) 30)))) + BgL_dz00_2299)))
											{	/* Unsafe/bignumber.scm 1137 */
												BgL_tmpz00_8100 = BFALSE;
											}
										else
											{
												long BgL_iz00_8125;
												int64_t BgL_nz00_8123;

												BgL_nz00_8123 = (BgL_mz00_2298 - BgL_dz00_2299);
												BgL_iz00_8125 = (BgL_iz00_2293 - ((long) 1));
												BgL_iz00_2293 = BgL_iz00_8125;
												BgL_nz00_2292 = BgL_nz00_8123;
												goto BgL_zc3z04anonymousza31987ze3z87_2294;
											}
									}
							}
						else
							{	/* Unsafe/bignumber.scm 1141 */
								bool_t BgL_test2892z00_8127;

								{	/* Unsafe/bignumber.scm 471 */
									long BgL_arg1427z00_5226;

									{	/* Unsafe/bignumber.scm 263 */
										uint16_t BgL_arg1232z00_5228;

										{	/* Unsafe/bignumber.scm 263 */
											obj_t BgL_arg1233z00_5229;

											BgL_arg1233z00_5229 = BGL_BIGNUM_U16VECT(BgL_xz00_103);
											BgL_arg1232z00_5228 =
												BGL_U16VREF(BgL_arg1233z00_5229, ((long) 0));
										}
										{	/* Unsafe/bignumber.scm 263 */
											long BgL_arg2287z00_5231;

											BgL_arg2287z00_5231 = (long) (BgL_arg1232z00_5228);
											BgL_arg1427z00_5226 = (long) (BgL_arg2287z00_5231);
									}}
									BgL_test2892z00_8127 = (BgL_arg1427z00_5226 == ((long) 0));
								}
								if (BgL_test2892z00_8127)
									{	/* Unsafe/bignumber.scm 1141 */
										BgL_tmpz00_8100 = BGL_INT64_TO_BINT64(BgL_nz00_2292);
									}
								else
									{	/* Unsafe/bignumber.scm 1143 */
										bool_t BgL_test2893z00_8134;

										{	/* Unsafe/bignumber.scm 1143 */
											int64_t BgL_arg2005z00_2313;

											BgL_arg2005z00_2313 =
												((int64_t) (-2) *
												BGl_expts64z00zz__r4_numbers_6_5_fixnumz00((int64_t)
													(2), (int64_t) (((long) 30))));
											BgL_test2893z00_8134 =
												(BgL_nz00_2292 == BgL_arg2005z00_2313);
										}
										if (BgL_test2893z00_8134)
											{	/* Unsafe/bignumber.scm 1143 */
												BgL_tmpz00_8100 = BFALSE;
											}
										else
											{	/* Unsafe/bignumber.scm 1144 */
												int64_t BgL_tmpz00_8139;

												BgL_tmpz00_8139 =
													((int64_t) (((BGL_LONGLONG_T) 0)) - BgL_nz00_2292);
												BgL_tmpz00_8100 = BGL_INT64_TO_BINT64(BgL_tmpz00_8139);
											}
									}
							}
						return BGL_BINT64_TO_INT64(BgL_tmpz00_8100);
					}
				}
			}
		}

	}



/* &$$bignum->int64 */
	obj_t BGl_z62z42z42bignumzd2ze3int64z53zz__bignumz00(obj_t BgL_envz00_5572,
		obj_t BgL_xz00_5573)
	{
		{	/* Unsafe/bignumber.scm 1129 */
			{	/* Unsafe/bignumber.scm 1130 */
				int64_t BgL_tmpz00_8144;

				{	/* Unsafe/bignumber.scm 1130 */
					obj_t BgL_auxz00_8145;

					if (BIGNUMP(BgL_xz00_5573))
						{	/* Unsafe/bignumber.scm 1130 */
							BgL_auxz00_8145 = BgL_xz00_5573;
						}
					else
						{
							obj_t BgL_auxz00_8148;

							BgL_auxz00_8148 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 36331)), BGl_string2555z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5573);
							FAILURE(BgL_auxz00_8148, BFALSE, BFALSE);
						}
					BgL_tmpz00_8144 = bgl_bignum_to_int64(BgL_auxz00_8145);
				}
				return BGL_INT64_TO_BINT64(BgL_tmpz00_8144);
			}
		}

	}



/* $$bignum->uint64 */
	BGL_EXPORTED_DEF uint64_t bgl_bignum_to_uint64(obj_t BgL_xz00_104)
	{
		{	/* Unsafe/bignumber.scm 1148 */
			{	/* Unsafe/bignumber.scm 1149 */
				int64_t BgL_tmpz00_8154;

				BgL_tmpz00_8154 = bgl_bignum_to_int64(BgL_xz00_104);
				return (uint64_t) (BgL_tmpz00_8154);
			}
		}

	}



/* &$$bignum->uint64 */
	obj_t BGl_z62z42z42bignumzd2ze3uint64z53zz__bignumz00(obj_t BgL_envz00_5574,
		obj_t BgL_xz00_5575)
	{
		{	/* Unsafe/bignumber.scm 1148 */
			{	/* Unsafe/bignumber.scm 1149 */
				uint64_t BgL_tmpz00_8157;

				{	/* Unsafe/bignumber.scm 1149 */
					obj_t BgL_auxz00_8158;

					if (BIGNUMP(BgL_xz00_5575))
						{	/* Unsafe/bignumber.scm 1149 */
							BgL_auxz00_8158 = BgL_xz00_5575;
						}
					else
						{
							obj_t BgL_auxz00_8161;

							BgL_auxz00_8161 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 36896)), BGl_string2556z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_xz00_5575);
							FAILURE(BgL_auxz00_8161, BFALSE, BFALSE);
						}
					BgL_tmpz00_8157 = bgl_bignum_to_uint64(BgL_auxz00_8158);
				}
				return BGL_UINT64_TO_BUINT64(BgL_tmpz00_8157);
			}
		}

	}



/* $$seed-rand */
	BGL_EXPORTED_DEF obj_t bgl_seed_rand(long BgL_seedz00_105)
	{
		{	/* Unsafe/bignumber.scm 1154 */
			{	/* Unsafe/bignumber.scm 1155 */
				int BgL_tmpz00_8167;

				BgL_tmpz00_8167 = (int) (BgL_seedz00_105);
				srand(BgL_tmpz00_8167);
			} BUNSPEC;
			return BINT(BgL_seedz00_105);
		}

	}



/* &$$seed-rand */
	obj_t BGl_z62z42z42seedzd2randzb0zz__bignumz00(obj_t BgL_envz00_5576,
		obj_t BgL_seedz00_5577)
	{
		{	/* Unsafe/bignumber.scm 1154 */
			{	/* Unsafe/bignumber.scm 1155 */
				long BgL_auxz00_8171;

				{	/* Unsafe/bignumber.scm 1155 */
					obj_t BgL_tmpz00_8172;

					if (INTEGERP(BgL_seedz00_5577))
						{	/* Unsafe/bignumber.scm 1155 */
							BgL_tmpz00_8172 = BgL_seedz00_5577;
						}
					else
						{
							obj_t BgL_auxz00_8175;

							BgL_auxz00_8175 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 37183)), BGl_string2557z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_seedz00_5577);
							FAILURE(BgL_auxz00_8175, BFALSE, BFALSE);
						}
					BgL_auxz00_8171 = (long) CINT(BgL_tmpz00_8172);
				}
				return bgl_seed_rand(BgL_auxz00_8171);
			}
		}

	}



/* make-random-u8vector */
	obj_t BGl_makezd2randomzd2u8vectorz00zz__bignumz00(obj_t BgL_lenz00_106)
	{
		{	/* Unsafe/bignumber.scm 1161 */
			{
				obj_t BgL_vecz00_2321;

				{	/* Unsafe/bignumber.scm 1169 */
					obj_t BgL_arg2008z00_2318;

					{	/* Llib/srfi4.scm 447 */

						BgL_arg2008z00_2318 =
							BGl_makezd2u8vectorzd2zz__srfi4z00(
							(long) CINT(BgL_lenz00_106), (uint8_t) (0));
					}
					BgL_vecz00_2321 = BgL_arg2008z00_2318;
					{	/* Unsafe/bignumber.scm 1163 */
						long BgL_g1068z00_2323;

						{	/* Unsafe/bignumber.scm 1163 */
							long BgL_arg2015z00_2331;

							BgL_arg2015z00_2331 = BGL_HVECTOR_LENGTH(BgL_vecz00_2321);
							BgL_g1068z00_2323 = (BgL_arg2015z00_2331 - ((long) 1));
						}
						{
							long BgL_iz00_2325;

							BgL_iz00_2325 = BgL_g1068z00_2323;
						BgL_zc3z04anonymousza32011ze3z87_2326:
							if ((BgL_iz00_2325 == ((long) -1)))
								{	/* Unsafe/bignumber.scm 1164 */
									return BgL_vecz00_2321;
								}
							else
								{	/* Unsafe/bignumber.scm 1164 */
									{	/* Unsafe/bignumber.scm 1167 */
										long BgL_arg2013z00_2328;

										{	/* Unsafe/bignumber.scm 1167 */
											int BgL_arg2187z00_5247;

											BgL_arg2187z00_5247 = rand();
											BgL_arg2013z00_2328 =
												BGl_modulofxz00zz__r4_numbers_6_5_fixnumz00(
												(long) (BgL_arg2187z00_5247), ((long) 256));
										}
										{	/* Unsafe/bignumber.scm 1167 */
											uint8_t BgL_tmpz00_8190;

											BgL_tmpz00_8190 = (uint8_t) (BgL_arg2013z00_2328);
											BGL_U8VSET(BgL_vecz00_2321, BgL_iz00_2325,
												BgL_tmpz00_8190);
										} BUNSPEC;
									}
									{
										long BgL_iz00_8193;

										BgL_iz00_8193 = (BgL_iz00_2325 - ((long) 1));
										BgL_iz00_2325 = BgL_iz00_8193;
										goto BgL_zc3z04anonymousza32011ze3z87_2326;
									}
								}
						}
					}
				}
			}
		}

	}



/* $$randbx */
	BGL_EXPORTED_DEF obj_t bgl_rand_bignum(obj_t BgL_rangez00_107)
	{
		{	/* Unsafe/bignumber.scm 1174 */
			{	/* Unsafe/bignumber.scm 1175 */
				long BgL_rangezd2bitszd2_2333;

				BgL_rangezd2bitszd2_2333 =
					BGl_bignumzd2integerzd2lengthz00zz__bignumz00(BgL_rangez00_107);
				{	/* Unsafe/bignumber.scm 1175 */
					obj_t BgL_lenz00_2334;

					{	/* Unsafe/bignumber.scm 1176 */
						long BgL_arg2022z00_2347;

						BgL_arg2022z00_2347 = (BgL_rangezd2bitszd2_2333 + ((long) 20));
						BgL_lenz00_2334 =
							BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(BINT
							(BgL_arg2022z00_2347), BINT(((long) 8)));
					}
					{	/* Unsafe/bignumber.scm 1176 */
						obj_t BgL_nz00_2335;

						BgL_nz00_2335 =
							BGl_bignumzd2exptzd2zz__bignumz00(bgl_long_to_bignum(((long)
									256)), bgl_long_to_bignum((long) CINT(BgL_lenz00_2334)));
						{	/* Unsafe/bignumber.scm 1177 */
							obj_t BgL_divisorz00_2336;

							{	/* Unsafe/bignumber.scm 1178 */
								obj_t BgL_res2385z00_5256;

								{	/* Unsafe/bignumber.scm 859 */
									obj_t BgL_arg1762z00_5253;

									{	/* Unsafe/bignumber.scm 859 */
										obj_t BgL_arg1763z00_5254;

										BgL_arg1763z00_5254 =
											BGl_bignumzd2divzd2zz__bignumz00(BgL_nz00_2335,
											BgL_rangez00_107);
										BgL_arg1762z00_5253 = CAR(((obj_t) BgL_arg1763z00_5254));
									}
									BgL_res2385z00_5256 = BgL_arg1762z00_5253;
								}
								BgL_divisorz00_2336 = BgL_res2385z00_5256;
							}
							{	/* Unsafe/bignumber.scm 1178 */
								obj_t BgL_limitz00_2337;

								BgL_limitz00_2337 =
									bgl_bignum_mul(BgL_divisorz00_2336, BgL_rangez00_107);
								{	/* Unsafe/bignumber.scm 1179 */

									{

									BgL_zc3z04anonymousza32016ze3z87_2339:
										{	/* Unsafe/bignumber.scm 1181 */
											obj_t BgL_u8vectz00_2340;

											BgL_u8vectz00_2340 =
												BGl_makezd2randomzd2u8vectorz00zz__bignumz00
												(BgL_lenz00_2334);
											{	/* Unsafe/bignumber.scm 1181 */
												obj_t BgL_xz00_2341;

												BgL_xz00_2341 =
													BGl_fixnumzd2listzd2ze3bignumze3zz__bignumz00
													(BGl_u8vectorzd2ze3listz31zz__srfi4z00
													(BgL_u8vectz00_2340), ((long) 255));
												{	/* Unsafe/bignumber.scm 1182 */

													{	/* Unsafe/bignumber.scm 1183 */
														bool_t BgL_test2898z00_8211;

														if (BGl_z42zc3bxz81zz__bignumz00(BgL_xz00_2341,
																BgL_limitz00_2337))
															{	/* Unsafe/bignumber.scm 465 */
																BgL_test2898z00_8211 = ((bool_t) 0);
															}
														else
															{	/* Unsafe/bignumber.scm 465 */
																BgL_test2898z00_8211 = ((bool_t) 1);
															}
														if (BgL_test2898z00_8211)
															{	/* Unsafe/bignumber.scm 1183 */
																goto BgL_zc3z04anonymousza32016ze3z87_2339;
															}
														else
															{	/* Unsafe/bignumber.scm 1185 */
																obj_t BgL_res2386z00_5265;

																{	/* Unsafe/bignumber.scm 859 */
																	obj_t BgL_arg1762z00_5262;

																	{	/* Unsafe/bignumber.scm 859 */
																		obj_t BgL_arg1763z00_5263;

																		BgL_arg1763z00_5263 =
																			BGl_bignumzd2divzd2zz__bignumz00
																			(BgL_xz00_2341, BgL_divisorz00_2336);
																		BgL_arg1762z00_5262 =
																			CAR(((obj_t) BgL_arg1763z00_5263));
																	}
																	BgL_res2386z00_5265 = BgL_arg1762z00_5262;
																}
																return BgL_res2386z00_5265;
															}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &$$randbx */
	obj_t BGl_z62z42z42randbxz62zz__bignumz00(obj_t BgL_envz00_5578,
		obj_t BgL_rangez00_5579)
	{
		{	/* Unsafe/bignumber.scm 1174 */
			{	/* Unsafe/bignumber.scm 1175 */
				obj_t BgL_auxz00_8217;

				if (BIGNUMP(BgL_rangez00_5579))
					{	/* Unsafe/bignumber.scm 1175 */
						BgL_auxz00_8217 = BgL_rangez00_5579;
					}
				else
					{
						obj_t BgL_auxz00_8220;

						BgL_auxz00_8220 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 37950)), BGl_string2558z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_rangez00_5579);
						FAILURE(BgL_auxz00_8220, BFALSE, BFALSE);
					}
				return bgl_rand_bignum(BgL_auxz00_8217);
			}
		}

	}



/* $$flonum->bignum */
	BGL_EXPORTED_DEF obj_t bgl_flonum_to_bignum(double BgL_nz00_108)
	{
		{	/* Unsafe/bignumber.scm 1190 */
			{	/* Unsafe/bignumber.scm 1191 */
				long BgL_arg2023z00_5266;

				BgL_arg2023z00_5266 = (long) (BgL_nz00_108);
				return bgl_long_to_bignum(BgL_arg2023z00_5266);
			}
		}

	}



/* &$$flonum->bignum */
	obj_t BGl_z62z42z42flonumzd2ze3bignumz53zz__bignumz00(obj_t BgL_envz00_5580,
		obj_t BgL_nz00_5581)
	{
		{	/* Unsafe/bignumber.scm 1190 */
			{	/* Unsafe/bignumber.scm 1191 */
				double BgL_auxz00_8227;

				{	/* Unsafe/bignumber.scm 1191 */
					obj_t BgL_tmpz00_8228;

					if (REALP(BgL_nz00_5581))
						{	/* Unsafe/bignumber.scm 1191 */
							BgL_tmpz00_8228 = BgL_nz00_5581;
						}
					else
						{
							obj_t BgL_auxz00_8231;

							BgL_auxz00_8231 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 38631)), BGl_string2559z00zz__bignumz00,
								BGl_string2560z00zz__bignumz00, BgL_nz00_5581);
							FAILURE(BgL_auxz00_8231, BFALSE, BFALSE);
						}
					BgL_auxz00_8227 = REAL_TO_DOUBLE(BgL_tmpz00_8228);
				}
				return bgl_flonum_to_bignum(BgL_auxz00_8227);
			}
		}

	}



/* $$bignum->flonum */
	BGL_EXPORTED_DEF double bgl_bignum_to_flonum(obj_t BgL_nz00_109)
	{
		{	/* Unsafe/bignumber.scm 1193 */
			{	/* Unsafe/bignumber.scm 1194 */
				long BgL_tmpz00_8237;

				BgL_tmpz00_8237 = bgl_bignum_to_long(BgL_nz00_109);
				return (double) (BgL_tmpz00_8237);
		}}

	}



/* &$$bignum->flonum */
	obj_t BGl_z62z42z42bignumzd2ze3flonumz53zz__bignumz00(obj_t BgL_envz00_5582,
		obj_t BgL_nz00_5583)
	{
		{	/* Unsafe/bignumber.scm 1193 */
			{	/* Unsafe/bignumber.scm 1194 */
				double BgL_tmpz00_8240;

				{	/* Unsafe/bignumber.scm 1194 */
					obj_t BgL_auxz00_8241;

					if (BIGNUMP(BgL_nz00_5583))
						{	/* Unsafe/bignumber.scm 1194 */
							BgL_auxz00_8241 = BgL_nz00_5583;
						}
					else
						{
							obj_t BgL_auxz00_8244;

							BgL_auxz00_8244 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 38703)), BGl_string2561z00zz__bignumz00,
								BGl_string2523z00zz__bignumz00, BgL_nz00_5583);
							FAILURE(BgL_auxz00_8244, BFALSE, BFALSE);
						}
					BgL_tmpz00_8240 = bgl_bignum_to_flonum(BgL_auxz00_8241);
				}
				return DOUBLE_TO_REAL(BgL_tmpz00_8240);
			}
		}

	}



/* $$bitlshbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_lsh(obj_t BgL_za7za7_110, long BgL_nz00_111)
	{
		{	/* Unsafe/bignumber.scm 1199 */
			{	/* Unsafe/bignumber.scm 1200 */
				obj_t BgL_arg2025z00_5269;

				{	/* Unsafe/bignumber.scm 1200 */
					obj_t BgL_arg2026z00_5270;
					obj_t BgL_arg2029z00_5271;

					{	/* Unsafe/bignumber.scm 1200 */
						obj_t BgL_res2387z00_5280;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2903z00_8250;

							if ((((long) 2) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2903z00_8250 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2903z00_8250 = (((long) 16) < ((long) 2));
								}
							if (BgL_test2903z00_8250)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2387z00_5280 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											2));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2387z00_5280 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 2) + ((long) 16)));
						}}
						BgL_arg2026z00_5270 = BgL_res2387z00_5280;
					}
					BgL_arg2029z00_5271 = bgl_long_to_bignum(BgL_nz00_111);
					BgL_arg2025z00_5269 =
						bgl_bignum_expt(BgL_arg2026z00_5270, BgL_arg2029z00_5271);
				}
				return bgl_bignum_mul(BgL_za7za7_110, BgL_arg2025z00_5269);
			}
		}

	}



/* &$$bitlshbx */
	obj_t BGl_z62z42z42bitlshbxz62zz__bignumz00(obj_t BgL_envz00_5584,
		obj_t BgL_za7za7_5585, obj_t BgL_nz00_5586)
	{
		{	/* Unsafe/bignumber.scm 1199 */
			{	/* Unsafe/bignumber.scm 1200 */
				long BgL_auxz00_8267;
				obj_t BgL_auxz00_8260;

				{	/* Unsafe/bignumber.scm 1200 */
					obj_t BgL_tmpz00_8268;

					if (INTEGERP(BgL_nz00_5586))
						{	/* Unsafe/bignumber.scm 1200 */
							BgL_tmpz00_8268 = BgL_nz00_5586;
						}
					else
						{
							obj_t BgL_auxz00_8271;

							BgL_auxz00_8271 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 38996)), BGl_string2562z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_nz00_5586);
							FAILURE(BgL_auxz00_8271, BFALSE, BFALSE);
						}
					BgL_auxz00_8267 = (long) CINT(BgL_tmpz00_8268);
				}
				if (BIGNUMP(BgL_za7za7_5585))
					{	/* Unsafe/bignumber.scm 1200 */
						BgL_auxz00_8260 = BgL_za7za7_5585;
					}
				else
					{
						obj_t BgL_auxz00_8263;

						BgL_auxz00_8263 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 38996)), BGl_string2562z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_za7za7_5585);
						FAILURE(BgL_auxz00_8263, BFALSE, BFALSE);
					}
				return bgl_bignum_lsh(BgL_auxz00_8260, BgL_auxz00_8267);
			}
		}

	}



/* $$bitrshbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_rsh(obj_t BgL_za7za7_112, long BgL_nz00_113)
	{
		{	/* Unsafe/bignumber.scm 1202 */
			{	/* Unsafe/bignumber.scm 1203 */
				obj_t BgL_arg2030z00_5281;

				{	/* Unsafe/bignumber.scm 1203 */
					obj_t BgL_arg2031z00_5282;
					obj_t BgL_arg2032z00_5283;

					{	/* Unsafe/bignumber.scm 1203 */
						obj_t BgL_res2388z00_5292;

						{	/* Unsafe/bignumber.scm 415 */
							bool_t BgL_test2907z00_8277;

							if ((((long) 2) < ((long) -16)))
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2907z00_8277 = ((bool_t) 1);
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_test2907z00_8277 = (((long) 16) < ((long) 2));
								}
							if (BgL_test2907z00_8277)
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2388z00_5292 =
										BGl_z42z42fixnumzd2ze3bignumzd2freshze3zz__bignumz00(((long)
											2));
								}
							else
								{	/* Unsafe/bignumber.scm 415 */
									BgL_res2388z00_5292 =
										VECTOR_REF(BGl_preallocatedzd2bignumszd2zz__bignumz00,
										(((long) 2) + ((long) 16)));
						}}
						BgL_arg2031z00_5282 = BgL_res2388z00_5292;
					}
					BgL_arg2032z00_5283 = bgl_long_to_bignum(BgL_nz00_113);
					BgL_arg2030z00_5281 =
						bgl_bignum_expt(BgL_arg2031z00_5282, BgL_arg2032z00_5283);
				}
				return
					BGl_bignumzd2divzd2zz__bignumz00(BgL_za7za7_112, BgL_arg2030z00_5281);
			}
		}

	}



/* &$$bitrshbx */
	obj_t BGl_z62z42z42bitrshbxz62zz__bignumz00(obj_t BgL_envz00_5587,
		obj_t BgL_za7za7_5588, obj_t BgL_nz00_5589)
	{
		{	/* Unsafe/bignumber.scm 1202 */
			{	/* Unsafe/bignumber.scm 1203 */
				long BgL_auxz00_8294;
				obj_t BgL_auxz00_8287;

				{	/* Unsafe/bignumber.scm 1203 */
					obj_t BgL_tmpz00_8295;

					if (INTEGERP(BgL_nz00_5589))
						{	/* Unsafe/bignumber.scm 1203 */
							BgL_tmpz00_8295 = BgL_nz00_5589;
						}
					else
						{
							obj_t BgL_auxz00_8298;

							BgL_auxz00_8298 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 39094)), BGl_string2563z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_nz00_5589);
							FAILURE(BgL_auxz00_8298, BFALSE, BFALSE);
						}
					BgL_auxz00_8294 = (long) CINT(BgL_tmpz00_8295);
				}
				if (BIGNUMP(BgL_za7za7_5588))
					{	/* Unsafe/bignumber.scm 1203 */
						BgL_auxz00_8287 = BgL_za7za7_5588;
					}
				else
					{
						obj_t BgL_auxz00_8290;

						BgL_auxz00_8290 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39094)), BGl_string2563z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_za7za7_5588);
						FAILURE(BgL_auxz00_8290, BFALSE, BFALSE);
					}
				return bgl_bignum_rsh(BgL_auxz00_8287, BgL_auxz00_8294);
			}
		}

	}



/* $$bitmaskbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_mask(obj_t BgL_xz00_114, long BgL_yz00_115)
	{
		{	/* Unsafe/bignumber.scm 1205 */
			return
				BGl_errorz00zz__errorz00(BGl_string2564z00zz__bignumz00,
				BGl_string2565z00zz__bignumz00, BgL_xz00_114);
		}

	}



/* &$$bitmaskbx */
	obj_t BGl_z62z42z42bitmaskbxz62zz__bignumz00(obj_t BgL_envz00_5590,
		obj_t BgL_xz00_5591, obj_t BgL_yz00_5592)
	{
		{	/* Unsafe/bignumber.scm 1205 */
			{	/* Unsafe/bignumber.scm 1206 */
				long BgL_auxz00_8312;
				obj_t BgL_auxz00_8305;

				{	/* Unsafe/bignumber.scm 1206 */
					obj_t BgL_tmpz00_8313;

					if (INTEGERP(BgL_yz00_5592))
						{	/* Unsafe/bignumber.scm 1206 */
							BgL_tmpz00_8313 = BgL_yz00_5592;
						}
					else
						{
							obj_t BgL_auxz00_8316;

							BgL_auxz00_8316 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
								BINT(((long) 39169)), BGl_string2566z00zz__bignumz00,
								BGl_string2512z00zz__bignumz00, BgL_yz00_5592);
							FAILURE(BgL_auxz00_8316, BFALSE, BFALSE);
						}
					BgL_auxz00_8312 = (long) CINT(BgL_tmpz00_8313);
				}
				if (BIGNUMP(BgL_xz00_5591))
					{	/* Unsafe/bignumber.scm 1206 */
						BgL_auxz00_8305 = BgL_xz00_5591;
					}
				else
					{
						obj_t BgL_auxz00_8308;

						BgL_auxz00_8308 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39169)), BGl_string2566z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5591);
						FAILURE(BgL_auxz00_8308, BFALSE, BFALSE);
					}
				return bgl_bignum_mask(BgL_auxz00_8305, BgL_auxz00_8312);
			}
		}

	}



/* $$bitorbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_or(obj_t BgL_xz00_116, obj_t BgL_yz00_117)
	{
		{	/* Unsafe/bignumber.scm 1208 */
			return
				BGl_errorz00zz__errorz00(BGl_string2567z00zz__bignumz00,
				BGl_string2565z00zz__bignumz00, BgL_xz00_116);
		}

	}



/* &$$bitorbx */
	obj_t BGl_z62z42z42bitorbxz62zz__bignumz00(obj_t BgL_envz00_5593,
		obj_t BgL_xz00_5594, obj_t BgL_yz00_5595)
	{
		{	/* Unsafe/bignumber.scm 1208 */
			{	/* Unsafe/bignumber.scm 1209 */
				obj_t BgL_auxz00_8330;
				obj_t BgL_auxz00_8323;

				if (BIGNUMP(BgL_yz00_5595))
					{	/* Unsafe/bignumber.scm 1209 */
						BgL_auxz00_8330 = BgL_yz00_5595;
					}
				else
					{
						obj_t BgL_auxz00_8333;

						BgL_auxz00_8333 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39238)), BGl_string2568z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5595);
						FAILURE(BgL_auxz00_8333, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5594))
					{	/* Unsafe/bignumber.scm 1209 */
						BgL_auxz00_8323 = BgL_xz00_5594;
					}
				else
					{
						obj_t BgL_auxz00_8326;

						BgL_auxz00_8326 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39238)), BGl_string2568z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5594);
						FAILURE(BgL_auxz00_8326, BFALSE, BFALSE);
					}
				return bgl_bignum_or(BgL_auxz00_8323, BgL_auxz00_8330);
			}
		}

	}



/* $$bitxorbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_xor(obj_t BgL_xz00_118, obj_t BgL_yz00_119)
	{
		{	/* Unsafe/bignumber.scm 1211 */
			return
				BGl_errorz00zz__errorz00(BGl_string2569z00zz__bignumz00,
				BGl_string2565z00zz__bignumz00, BgL_xz00_118);
		}

	}



/* &$$bitxorbx */
	obj_t BGl_z62z42z42bitxorbxz62zz__bignumz00(obj_t BgL_envz00_5596,
		obj_t BgL_xz00_5597, obj_t BgL_yz00_5598)
	{
		{	/* Unsafe/bignumber.scm 1211 */
			{	/* Unsafe/bignumber.scm 1212 */
				obj_t BgL_auxz00_8346;
				obj_t BgL_auxz00_8339;

				if (BIGNUMP(BgL_yz00_5598))
					{	/* Unsafe/bignumber.scm 1212 */
						BgL_auxz00_8346 = BgL_yz00_5598;
					}
				else
					{
						obj_t BgL_auxz00_8349;

						BgL_auxz00_8349 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39306)), BGl_string2570z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5598);
						FAILURE(BgL_auxz00_8349, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5597))
					{	/* Unsafe/bignumber.scm 1212 */
						BgL_auxz00_8339 = BgL_xz00_5597;
					}
				else
					{
						obj_t BgL_auxz00_8342;

						BgL_auxz00_8342 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39306)), BGl_string2570z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5597);
						FAILURE(BgL_auxz00_8342, BFALSE, BFALSE);
					}
				return bgl_bignum_xor(BgL_auxz00_8339, BgL_auxz00_8346);
			}
		}

	}



/* $$bitandbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_and(obj_t BgL_xz00_120, obj_t BgL_yz00_121)
	{
		{	/* Unsafe/bignumber.scm 1214 */
			return
				BGl_errorz00zz__errorz00(BGl_string2571z00zz__bignumz00,
				BGl_string2565z00zz__bignumz00, BgL_xz00_120);
		}

	}



/* &$$bitandbx */
	obj_t BGl_z62z42z42bitandbxz62zz__bignumz00(obj_t BgL_envz00_5599,
		obj_t BgL_xz00_5600, obj_t BgL_yz00_5601)
	{
		{	/* Unsafe/bignumber.scm 1214 */
			{	/* Unsafe/bignumber.scm 1215 */
				obj_t BgL_auxz00_8362;
				obj_t BgL_auxz00_8355;

				if (BIGNUMP(BgL_yz00_5601))
					{	/* Unsafe/bignumber.scm 1215 */
						BgL_auxz00_8362 = BgL_yz00_5601;
					}
				else
					{
						obj_t BgL_auxz00_8365;

						BgL_auxz00_8365 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39375)), BGl_string2572z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_yz00_5601);
						FAILURE(BgL_auxz00_8365, BFALSE, BFALSE);
					}
				if (BIGNUMP(BgL_xz00_5600))
					{	/* Unsafe/bignumber.scm 1215 */
						BgL_auxz00_8355 = BgL_xz00_5600;
					}
				else
					{
						obj_t BgL_auxz00_8358;

						BgL_auxz00_8358 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39375)), BGl_string2572z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5600);
						FAILURE(BgL_auxz00_8358, BFALSE, BFALSE);
					}
				return bgl_bignum_and(BgL_auxz00_8355, BgL_auxz00_8362);
			}
		}

	}



/* $$bitnotbx */
	BGL_EXPORTED_DEF obj_t bgl_bignum_not(obj_t BgL_xz00_122)
	{
		{	/* Unsafe/bignumber.scm 1217 */
			return
				BGl_errorz00zz__errorz00(BGl_string2573z00zz__bignumz00,
				BGl_string2565z00zz__bignumz00, BgL_xz00_122);
		}

	}



/* &$$bitnotbx */
	obj_t BGl_z62z42z42bitnotbxz62zz__bignumz00(obj_t BgL_envz00_5602,
		obj_t BgL_xz00_5603)
	{
		{	/* Unsafe/bignumber.scm 1217 */
			{	/* Unsafe/bignumber.scm 1218 */
				obj_t BgL_auxz00_8371;

				if (BIGNUMP(BgL_xz00_5603))
					{	/* Unsafe/bignumber.scm 1218 */
						BgL_auxz00_8371 = BgL_xz00_5603;
					}
				else
					{
						obj_t BgL_auxz00_8374;

						BgL_auxz00_8374 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2509z00zz__bignumz00,
							BINT(((long) 39442)), BGl_string2574z00zz__bignumz00,
							BGl_string2523z00zz__bignumz00, BgL_xz00_5603);
						FAILURE(BgL_auxz00_8374, BFALSE, BFALSE);
					}
				return bgl_bignum_not(BgL_auxz00_8371);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__bignumz00()
	{
		{	/* Unsafe/bignumber.scm 45 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string2575z00zz__bignumz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string2575z00zz__bignumz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string2575z00zz__bignumz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2575z00zz__bignumz00));
		}

	}

#ifdef __cplusplus
}
#endif
#endif
