/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.4c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue Jan 4 08:24:50 AM CET 2022      */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.4c/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.4c/lib/bigloo/4.4c -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/sha2.scm -indent -o objs/obj_u/Unsafe/sha2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
	static obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha2z00();
	static obj_t BGl_z62zc3z04anonymousza31640ze3ze5zz__sha2z00(obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31641ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha2z00();
	static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00();
	static obj_t BGl_gczd2rootszd2initz00zz__sha2z00();
	static obj_t BGl_objectzd2initzd2zz__sha2z00();
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
	static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha2z00();
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
	static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
	static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
	static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
	static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
	static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
	static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2s2413z00,
		BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2p2414z00, BGl_z62sha256sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2f2415z00, BGl_z62sha512sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2400z00zz__sha2z00,
		BgL_bgl_string2400za700za7za7_2416za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2401z00zz__sha2z00,
		BgL_bgl_string2401za700za7za7_2417za7, "&sha256sum-file", 15);
	      DEFINE_STRING(BGl_string2402z00zz__sha2z00,
		BgL_bgl_string2402za700za7za7_2418za7, "sha256sum", 9);
	      DEFINE_STRING(BGl_string2403z00zz__sha2z00,
		BgL_bgl_string2403za700za7za7_2419za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2404z00zz__sha2z00,
		BgL_bgl_string2404za700za7za7_2420za7, "&sha512sum-mmap", 15);
	      DEFINE_STRING(BGl_string2406z00zz__sha2z00,
		BgL_bgl_string2406za700za7za7_2421za7, "&sha512sum-string", 17);
	      DEFINE_STRING(BGl_string2407z00zz__sha2z00,
		BgL_bgl_string2407za700za7za7_2422za7, "&sha512sum-port", 15);
	      DEFINE_STRING(BGl_string2408z00zz__sha2z00,
		BgL_bgl_string2408za700za7za7_2423za7, "&sha512sum-file", 15);
	      DEFINE_STRING(BGl_string2409z00zz__sha2z00,
		BgL_bgl_string2409za700za7za7_2424za7, "sha512sum", 9);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2s2425z00,
		BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2410z00zz__sha2z00,
		BgL_bgl_string2410za700za7za7_2426za7, "&hmac-sha256sum-string", 22);
	      DEFINE_STRING(BGl_string2411z00zz__sha2z00,
		BgL_bgl_string2411za700za7za7_2427za7, "&hmac-sha512sum-string", 22);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2405z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word642428z00,
		BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha512sumza762za72429za7, BGl_z62sha512sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2412z00zz__sha2z00,
		BgL_bgl_string2412za700za7za7_2430za7, "__sha2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha256sumza762za72431za7, BGl_z62sha256sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2p2432z00, BGl_z62sha512sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2m2433z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2393z00zz__sha2z00,
		BgL_bgl_string2393za700za7za7_2434za7,
		"/tmp/bigloo/runtime/Unsafe/sha2.scm", 35);
	      DEFINE_STRING(BGl_string2394z00zz__sha2z00,
		BgL_bgl_string2394za700za7za7_2435za7, "&sha256sum-mmap", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha5122436z00,
		BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2395z00zz__sha2z00,
		BgL_bgl_string2395za700za7za7_2437za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2397z00zz__sha2z00,
		BgL_bgl_string2397za700za7za7_2438za7, "&sha256sum-string", 17);
	      DEFINE_STRING(BGl_string2398z00zz__sha2z00,
		BgL_bgl_string2398za700za7za7_2439za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2399z00zz__sha2z00,
		BgL_bgl_string2399za700za7za7_2440za7, "&sha256sum-port", 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2f2441z00, BGl_z62sha256sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2392z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322442z00,
		BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2396z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322443z00,
		BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha2562444z00,
		BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2m2445z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K256z00zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K512z00zz__sha2z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long
		BgL_checksumz00_5367, char *BgL_fromz00_5368)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha2z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha2z00();
					BGl_importedzd2moduleszd2initz00zz__sha2z00();
					return BGl_toplevelzd2initzd2zz__sha2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			{	/* Unsafe/sha2.scm 339 */
				obj_t BgL_vz00_1350;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1350 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 64), (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1350, ((long) 0), (uint32_t) (1116352408));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 1), (uint32_t) (1899447441));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 2), (uint32_t) (3049323471));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 3), (uint32_t) (3921009573));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 4), (uint32_t) (961987163));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 5), (uint32_t) (1508970993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 6), (uint32_t) (2453635748));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 7), (uint32_t) (2870763221));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 8), (uint32_t) (3624381080));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 9), (uint32_t) (310598401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 10), (uint32_t) (607225278));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 11), (uint32_t) (1426881987));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 12), (uint32_t) (1925078388));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 13), (uint32_t) (2162078206));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 14), (uint32_t) (2614888103));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 15), (uint32_t) (3248222580));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 16), (uint32_t) (3835390401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 17), (uint32_t) (4022224774));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 18), (uint32_t) (264347078));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 19), (uint32_t) (604807628));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 20), (uint32_t) (770255983));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 21), (uint32_t) (1249150122));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 22), (uint32_t) (1555081692));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 23), (uint32_t) (1996064986));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 24), (uint32_t) (2554220882));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 25), (uint32_t) (2821834349));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 26), (uint32_t) (2952996808));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 27), (uint32_t) (3210313671));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 28), (uint32_t) (3336571891));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 29), (uint32_t) (3584528711));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 30), (uint32_t) (113926993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 31), (uint32_t) (338241895));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 32), (uint32_t) (666307205));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 33), (uint32_t) (773529912));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 34), (uint32_t) (1294757372));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 35), (uint32_t) (1396182291));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 36), (uint32_t) (1695183700));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 37), (uint32_t) (1986661051));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 38), (uint32_t) (2177026350));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 39), (uint32_t) (2456956037));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 40), (uint32_t) (2730485921));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 41), (uint32_t) (2820302411));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 42), (uint32_t) (3259730800));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 43), (uint32_t) (3345764771));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 44), (uint32_t) (3516065817));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 45), (uint32_t) (3600352804));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 46), (uint32_t) (4094571909));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 47), (uint32_t) (275423344));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 48), (uint32_t) (430227734));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 49), (uint32_t) (506948616));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 50), (uint32_t) (659060556));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 51), (uint32_t) (883997877));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 52), (uint32_t) (958139571));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 53), (uint32_t) (1322822218));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 54), (uint32_t) (1537002063));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 55), (uint32_t) (1747873779));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 56), (uint32_t) (1955562222));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 57), (uint32_t) (2024104815));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 58), (uint32_t) (2227730452));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 59), (uint32_t) (2361852424));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 60), (uint32_t) (2428436474));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 61), (uint32_t) (2756734187));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 62), (uint32_t) (3204031479));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1350, ((long) 63), (uint32_t) (3329325298));
				BUNSPEC;
				BGl_K256z00zz__sha2z00 = BgL_vz00_1350;
			}
			{	/* Unsafe/sha2.scm 440 */
				obj_t BgL_vz00_1353;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1353 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(((long) 80), (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1353, ((long) 0),
					(uint64_t) (4794697086780616226));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 1),
					(uint64_t) (8158064640168781261));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 2),
					(uint64_t) (-5349999486874862801));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 3),
					(uint64_t) (-1606136188198331460));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 4),
					(uint64_t) (4131703408338449720));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 5),
					(uint64_t) (6480981068601479193));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 6),
					(uint64_t) (-7908458776815382629));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 7),
					(uint64_t) (-6116909921290321640));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 8),
					(uint64_t) (-2880145864133508542));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 9),
					(uint64_t) (1334009975649890238));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 10),
					(uint64_t) (2608012711638119052));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 11),
					(uint64_t) (6128411473006802146));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 12),
					(uint64_t) (8268148722764581231));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 13),
					(uint64_t) (-9160688886553864527));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 14),
					(uint64_t) (-7215885187991268811));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 15),
					(uint64_t) (-4495734319001033068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 16),
					(uint64_t) (-1973867731355612462));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 17),
					(uint64_t) (-1171420211273849373));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 18),
					(uint64_t) (1135362057144423861));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 19),
					(uint64_t) (2597628984639134821));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 20),
					(uint64_t) (3308224258029322869));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 21),
					(uint64_t) (5365058923640841347));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 22),
					(uint64_t) (6679025012923562964));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 23),
					(uint64_t) (8573033837759648693));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 24),
					(uint64_t) (-7476448914759557205));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 25),
					(uint64_t) (-6327057829258317296));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 26),
					(uint64_t) (-5763719355590565569));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 27),
					(uint64_t) (-4658551843659510044));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 28),
					(uint64_t) (-4116276920077217854));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 29),
					(uint64_t) (-3051310485924567259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 30),
					(uint64_t) (489312712824947311));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 31),
					(uint64_t) (1452737877330783856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 32),
					(uint64_t) (2861767655752347644));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 33),
					(uint64_t) (3322285676063803686));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 34),
					(uint64_t) (5560940570517711597));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 35),
					(uint64_t) (5996557281743188959));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 36),
					(uint64_t) (7280758554555802590));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 37),
					(uint64_t) (8532644243296465576));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 38),
					(uint64_t) (-9096487096722542874));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 39),
					(uint64_t) (-7894198246740708037));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 40),
					(uint64_t) (-6719396339535248540));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 41),
					(uint64_t) (-6333637450476146687));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 42),
					(uint64_t) (-4446306890439682159));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 43),
					(uint64_t) (-4076793802049405392));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 44),
					(uint64_t) (-3345356375505022440));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 45),
					(uint64_t) (-2983346525034927856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 46),
					(uint64_t) (-860691631967231958));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 47),
					(uint64_t) (1182934255886127544));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 48),
					(uint64_t) (1847814050463011016));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 49),
					(uint64_t) (2177327727835720531));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 50),
					(uint64_t) (2830643537854262169));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 51),
					(uint64_t) (3796741975233480872));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 52),
					(uint64_t) (4115178125766777443));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 53),
					(uint64_t) (5681478168544905931));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 54),
					(uint64_t) (6601373596472566643));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 55),
					(uint64_t) (7507060721942968483));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 56),
					(uint64_t) (8399075790359081724));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 57),
					(uint64_t) (8693463985226723168));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 58),
					(uint64_t) (-8878714635349349518));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 59),
					(uint64_t) (-8302665154208450068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 60),
					(uint64_t) (-8016688836872298968));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 61),
					(uint64_t) (-6606660893046293015));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 62),
					(uint64_t) (-4685533653050689259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 63),
					(uint64_t) (-4147400797238176981));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 64),
					(uint64_t) (-3880063495543823972));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 65),
					(uint64_t) (-3348786107499101689));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 66),
					(uint64_t) (-1523767162380948706));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 67),
					(uint64_t) (-757361751448694408));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 68),
					(uint64_t) (500013540394364858));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 69),
					(uint64_t) (748580250866718886));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 70),
					(uint64_t) (1242879168328830382));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 71),
					(uint64_t) (1977374033974150939));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 72),
					(uint64_t) (2944078676154940804));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 73),
					(uint64_t) (3659926193048069267));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 74),
					(uint64_t) (4368137639120453308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 75),
					(uint64_t) (4836135668995329356));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 76),
					(uint64_t) (5532061633213252278));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 77),
					(uint64_t) (6448918945643986474));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 78),
					(uint64_t) (6902733635092675308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1353, ((long) 79),
					(uint64_t) (7801388544844847127));
				BUNSPEC;
				return (BGl_K512z00zz__sha2z00 = BgL_vz00_1353, BUNSPEC);
			}
		}

	}



/* addu32 */
	uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
	{
		{	/* Unsafe/sha2.scm 185 */
			{	/* Unsafe/sha2.scm 186 */
				uint32_t BgL_h1z00_1364;

				BgL_h1z00_1364 = (BgL_n1z00_3 >> (int) (((long) 16)));
				{	/* Unsafe/sha2.scm 186 */
					uint32_t BgL_h2z00_1365;

					BgL_h2z00_1365 = (BgL_n2z00_4 >> (int) (((long) 16)));
					{	/* Unsafe/sha2.scm 187 */
						uint32_t BgL_hz00_1366;

						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_arg1255z00_1373;
							uint32_t BgL_arg1256z00_1374;

							BgL_arg1255z00_1373 = (uint32_t) (((long) 65535));
							BgL_arg1256z00_1374 = (BgL_h1z00_1364 + BgL_h2z00_1365);
							BgL_hz00_1366 = (BgL_arg1255z00_1373 & BgL_arg1256z00_1374);
						}
						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_l1z00_1367;

							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_arg1254z00_1372;

								BgL_arg1254z00_1372 = (uint32_t) (((long) 65535));
								BgL_l1z00_1367 = (BgL_n1z00_3 & BgL_arg1254z00_1372);
							}
							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_l2z00_1368;

								{	/* Unsafe/sha2.scm 190 */
									uint32_t BgL_arg1253z00_1371;

									BgL_arg1253z00_1371 = (uint32_t) (((long) 65535));
									BgL_l2z00_1368 = (BgL_n2z00_4 & BgL_arg1253z00_1371);
								}
								{	/* Unsafe/sha2.scm 192 */

									return
										(
										(BgL_hz00_1366 <<
											(int) (((long) 16))) + (BgL_l1z00_1367 + BgL_l2z00_1368));
		}}}}}}}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9,
		long BgL_offsetz00_10, uint32_t BgL_wz00_11)
	{
		{	/* Unsafe/sha2.scm 236 */
			{	/* Unsafe/sha2.scm 237 */
				obj_t BgL_s1z00_1381;

				{	/* Unsafe/sha2.scm 237 */
					long BgL_arg1299z00_1393;

					{	/* Unsafe/sha2.scm 237 */
						uint32_t BgL_tmpz00_5537;

						BgL_tmpz00_5537 = (BgL_wz00_11 >> (int) (((long) 16)));
						BgL_arg1299z00_1393 = (long) (BgL_tmpz00_5537);
					}
					BgL_s1z00_1381 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1299z00_1393, ((long) 16));
				}
				{	/* Unsafe/sha2.scm 237 */
					long BgL_l1z00_1382;

					BgL_l1z00_1382 = STRING_LENGTH(BgL_s1z00_1381);
					{	/* Unsafe/sha2.scm 238 */
						obj_t BgL_s2z00_1383;

						{	/* Unsafe/sha2.scm 239 */
							long BgL_arg1296z00_1390;

							{	/* Unsafe/sha2.scm 239 */
								uint32_t BgL_arg1297z00_1391;

								BgL_arg1297z00_1391 =
									(BgL_wz00_11 &
									((uint32_t) (65536) - (uint32_t) (((long) 1))));
								BgL_arg1296z00_1390 = (long) (BgL_arg1297z00_1391);
							}
							BgL_s2z00_1383 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1296z00_1390, ((long) 16));
						}
						{	/* Unsafe/sha2.scm 239 */
							long BgL_l2z00_1384;

							BgL_l2z00_1384 = STRING_LENGTH(BgL_s2z00_1383);
							{	/* Unsafe/sha2.scm 240 */

								blit_string(BgL_s1z00_1381, ((long) 0), BgL_strz00_9,
									(BgL_offsetz00_10 +
										(((long) 4) - BgL_l1z00_1382)), BgL_l1z00_1382);
								return
									blit_string(BgL_s2z00_1383, ((long) 0), BgL_strz00_9,
									(BgL_offsetz00_10 +
										(((long) 4) +
											(((long) 4) - BgL_l2z00_1384))), BgL_l2z00_1384);
		}}}}}}

	}



/* u64-fill! */
	obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12,
		long BgL_offsetz00_13, uint64_t BgL_wz00_14)
	{
		{	/* Unsafe/sha2.scm 247 */
			{	/* Unsafe/sha2.scm 248 */
				obj_t BgL_s1z00_1395;

				{	/* Unsafe/sha2.scm 248 */
					long BgL_arg1341z00_1435;

					{	/* Unsafe/sha2.scm 248 */
						long BgL_arg1343z00_1436;

						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_arg1344z00_1437;

							{	/* Unsafe/sha2.scm 248 */
								uint32_t BgL_arg1346z00_1438;

								{	/* Unsafe/sha2.scm 248 */
									uint64_t BgL_tmpz00_5556;

									BgL_tmpz00_5556 = (BgL_wz00_14 >> (int) (((long) 32)));
									BgL_arg1346z00_1438 = (uint32_t) (BgL_tmpz00_5556);
								}
								BgL_arg1344z00_1437 =
									(BgL_arg1346z00_1438 >> (int) (((long) 16)));
							}
							BgL_arg1343z00_1436 = (long) (BgL_arg1344z00_1437);
						}
						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_xz00_2979;

							BgL_xz00_2979 = (uint32_t) (BgL_arg1343z00_1436);
							BgL_arg1341z00_1435 = (long) (BgL_xz00_2979);
					}}
					BgL_s1z00_1395 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1341z00_1435, ((long) 16));
				}
				{	/* Unsafe/sha2.scm 248 */
					long BgL_l1z00_1396;

					BgL_l1z00_1396 = STRING_LENGTH(BgL_s1z00_1395);
					{	/* Unsafe/sha2.scm 249 */
						obj_t BgL_s2z00_1397;

						{	/* Unsafe/sha2.scm 250 */
							long BgL_arg1335z00_1429;

							{	/* Unsafe/sha2.scm 250 */
								long BgL_arg1336z00_1430;

								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_arg1337z00_1431;

									{	/* Unsafe/sha2.scm 250 */
										uint32_t BgL_arg1338z00_1432;
										uint32_t BgL_arg1339z00_1433;

										{	/* Unsafe/sha2.scm 250 */
											uint64_t BgL_tmpz00_5567;

											BgL_tmpz00_5567 = (BgL_wz00_14 >> (int) (((long) 32)));
											BgL_arg1338z00_1432 = (uint32_t) (BgL_tmpz00_5567);
										}
										BgL_arg1339z00_1433 =
											((uint32_t) (65536) - (uint32_t) (((long) 1)));
										BgL_arg1337z00_1431 =
											(BgL_arg1338z00_1432 & BgL_arg1339z00_1433);
									}
									BgL_arg1336z00_1430 = (long) (BgL_arg1337z00_1431);
								}
								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_xz00_2988;

									BgL_xz00_2988 = (uint32_t) (BgL_arg1336z00_1430);
									BgL_arg1335z00_1429 = (long) (BgL_xz00_2988);
							}}
							BgL_s2z00_1397 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1335z00_1429, ((long) 16));
						}
						{	/* Unsafe/sha2.scm 250 */
							long BgL_l2z00_1398;

							BgL_l2z00_1398 = STRING_LENGTH(BgL_s2z00_1397);
							{	/* Unsafe/sha2.scm 251 */
								obj_t BgL_s3z00_1399;

								{	/* Unsafe/sha2.scm 252 */
									long BgL_arg1326z00_1422;

									{	/* Unsafe/sha2.scm 252 */
										long BgL_arg1328z00_1423;

										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_arg1330z00_1424;

											{	/* Unsafe/sha2.scm 252 */
												uint32_t BgL_arg1331z00_1425;

												{	/* Unsafe/sha2.scm 252 */
													uint64_t BgL_arg1332z00_1426;

													BgL_arg1332z00_1426 =
														(BgL_wz00_14 &
														(((uint64_t) (1) <<
																(int) (((long) 32))) -
															(uint64_t) (((long) 1))));
													BgL_arg1331z00_1425 =
														(uint32_t) (BgL_arg1332z00_1426);
												}
												BgL_arg1330z00_1424 =
													(BgL_arg1331z00_1425 >> (int) (((long) 16)));
											}
											BgL_arg1328z00_1423 = (long) (BgL_arg1330z00_1424);
										}
										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_xz00_2998;

											BgL_xz00_2998 = (uint32_t) (BgL_arg1328z00_1423);
											BgL_arg1326z00_1422 = (long) (BgL_xz00_2998);
									}}
									BgL_s3z00_1399 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1326z00_1422, ((long) 16));
								}
								{	/* Unsafe/sha2.scm 252 */
									long BgL_l3z00_1400;

									BgL_l3z00_1400 = STRING_LENGTH(BgL_s3z00_1399);
									{	/* Unsafe/sha2.scm 253 */
										obj_t BgL_s4z00_1401;

										{	/* Unsafe/sha2.scm 254 */
											long BgL_arg1318z00_1414;

											{	/* Unsafe/sha2.scm 254 */
												long BgL_arg1319z00_1415;

												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_arg1320z00_1416;

													{	/* Unsafe/sha2.scm 254 */
														uint32_t BgL_arg1321z00_1417;
														uint32_t BgL_arg1322z00_1418;

														{	/* Unsafe/sha2.scm 254 */
															uint64_t BgL_arg1323z00_1419;

															BgL_arg1323z00_1419 =
																(BgL_wz00_14 &
																(((uint64_t) (1) <<
																		(int) (((long) 32))) -
																	(uint64_t) (((long) 1))));
															BgL_arg1321z00_1417 =
																(uint32_t) (BgL_arg1323z00_1419);
														}
														BgL_arg1322z00_1418 =
															((uint32_t) (65536) - (uint32_t) (((long) 1)));
														BgL_arg1320z00_1416 =
															(BgL_arg1321z00_1417 & BgL_arg1322z00_1418);
													}
													BgL_arg1319z00_1415 = (long) (BgL_arg1320z00_1416);
												}
												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_xz00_3011;

													BgL_xz00_3011 = (uint32_t) (BgL_arg1319z00_1415);
													BgL_arg1318z00_1414 = (long) (BgL_xz00_3011);
											}}
											BgL_s4z00_1401 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_arg1318z00_1414, ((long) 16));
										}
										{	/* Unsafe/sha2.scm 254 */
											long BgL_l4z00_1402;

											BgL_l4z00_1402 = STRING_LENGTH(BgL_s4z00_1401);
											{	/* Unsafe/sha2.scm 255 */

												blit_string(BgL_s1z00_1395, ((long) 0), BgL_strz00_12,
													(BgL_offsetz00_13 +
														(((long) 4) - BgL_l1z00_1396)), BgL_l1z00_1396);
												blit_string(BgL_s2z00_1397, ((long) 0), BgL_strz00_12,
													(BgL_offsetz00_13 +
														(((long) 4) +
															(((long) 4) - BgL_l2z00_1398))), BgL_l2z00_1398);
												blit_string(BgL_s3z00_1399, ((long) 0), BgL_strz00_12,
													(BgL_offsetz00_13 +
														(((long) 8) +
															(((long) 4) - BgL_l3z00_1400))), BgL_l3z00_1400);
												return
													blit_string(BgL_s4z00_1401, ((long) 0), BgL_strz00_12,
													(BgL_offsetz00_13 +
														(((long) 12) +
															(((long) 4) - BgL_l4z00_1402))), BgL_l4z00_1402);
		}}}}}}}}}}

	}



/* state->string */
	obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
	{
		{	/* Unsafe/sha2.scm 264 */
			{	/* Unsafe/sha2.scm 265 */
				obj_t BgL_rz00_1440;

				BgL_rz00_1440 = make_string(((long) 64), ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 266 */
					uint32_t BgL_arg1348z00_1441;

					BgL_arg1348z00_1441 = BGL_U32VREF(BgL_statez00_15, ((long) 0));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 0),
						BgL_arg1348z00_1441);
				}
				{	/* Unsafe/sha2.scm 267 */
					uint32_t BgL_arg1350z00_1442;

					BgL_arg1350z00_1442 = BGL_U32VREF(BgL_statez00_15, ((long) 1));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 8),
						BgL_arg1350z00_1442);
				}
				{	/* Unsafe/sha2.scm 268 */
					uint32_t BgL_arg1351z00_1443;

					BgL_arg1351z00_1443 = BGL_U32VREF(BgL_statez00_15, ((long) 2));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 16),
						BgL_arg1351z00_1443);
				}
				{	/* Unsafe/sha2.scm 269 */
					uint32_t BgL_arg1352z00_1444;

					BgL_arg1352z00_1444 = BGL_U32VREF(BgL_statez00_15, ((long) 3));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 24),
						BgL_arg1352z00_1444);
				}
				{	/* Unsafe/sha2.scm 270 */
					uint32_t BgL_arg1353z00_1445;

					BgL_arg1353z00_1445 = BGL_U32VREF(BgL_statez00_15, ((long) 4));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 32),
						BgL_arg1353z00_1445);
				}
				{	/* Unsafe/sha2.scm 271 */
					uint32_t BgL_arg1354z00_1446;

					BgL_arg1354z00_1446 = BGL_U32VREF(BgL_statez00_15, ((long) 5));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 40),
						BgL_arg1354z00_1446);
				}
				{	/* Unsafe/sha2.scm 272 */
					uint32_t BgL_arg1355z00_1447;

					BgL_arg1355z00_1447 = BGL_U32VREF(BgL_statez00_15, ((long) 6));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 48),
						BgL_arg1355z00_1447);
				}
				{	/* Unsafe/sha2.scm 273 */
					uint32_t BgL_arg1357z00_1448;

					BgL_arg1357z00_1448 = BGL_U32VREF(BgL_statez00_15, ((long) 7));
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1440, ((long) 56),
						BgL_arg1357z00_1448);
				}
				return BgL_rz00_1440;
			}
		}

	}



/* state64->string */
	obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
	{
		{	/* Unsafe/sha2.scm 279 */
			{	/* Unsafe/sha2.scm 280 */
				obj_t BgL_rz00_1449;

				BgL_rz00_1449 = make_string(((long) 128), ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 281 */
					uint64_t BgL_arg1358z00_1450;

					BgL_arg1358z00_1450 = BGL_U64VREF(BgL_statez00_16, ((long) 0));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 0),
						BgL_arg1358z00_1450);
				}
				{	/* Unsafe/sha2.scm 282 */
					uint64_t BgL_arg1359z00_1451;

					BgL_arg1359z00_1451 = BGL_U64VREF(BgL_statez00_16, ((long) 1));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 16),
						BgL_arg1359z00_1451);
				}
				{	/* Unsafe/sha2.scm 283 */
					uint64_t BgL_arg1361z00_1452;

					BgL_arg1361z00_1452 = BGL_U64VREF(BgL_statez00_16, ((long) 2));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 32),
						BgL_arg1361z00_1452);
				}
				{	/* Unsafe/sha2.scm 284 */
					uint64_t BgL_arg1362z00_1453;

					BgL_arg1362z00_1453 = BGL_U64VREF(BgL_statez00_16, ((long) 3));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 48),
						BgL_arg1362z00_1453);
				}
				{	/* Unsafe/sha2.scm 285 */
					uint64_t BgL_arg1363z00_1454;

					BgL_arg1363z00_1454 = BGL_U64VREF(BgL_statez00_16, ((long) 4));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 64),
						BgL_arg1363z00_1454);
				}
				{	/* Unsafe/sha2.scm 286 */
					uint64_t BgL_arg1364z00_1455;

					BgL_arg1364z00_1455 = BGL_U64VREF(BgL_statez00_16, ((long) 5));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 80),
						BgL_arg1364z00_1455);
				}
				{	/* Unsafe/sha2.scm 287 */
					uint64_t BgL_arg1365z00_1456;

					BgL_arg1365z00_1456 = BGL_U64VREF(BgL_statez00_16, ((long) 6));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 96),
						BgL_arg1365z00_1456);
				}
				{	/* Unsafe/sha2.scm 288 */
					uint64_t BgL_arg1366z00_1457;

					BgL_arg1366z00_1457 = BGL_U64VREF(BgL_statez00_16, ((long) 7));
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1449, ((long) 112),
						BgL_arg1366z00_1457);
				}
				return BgL_rz00_1449;
			}
		}

	}



/* sha256-initial-hash-value */
	obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 409 */
			{	/* Unsafe/sha2.scm 410 */
				obj_t BgL_vz00_1458;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1458 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 8), (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1458, ((long) 0), (uint32_t) (1779033703));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 1), (uint32_t) (3144134277));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 2), (uint32_t) (1013904242));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 3), (uint32_t) (2773480762));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 4), (uint32_t) (1359893119));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 5), (uint32_t) (2600822924));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 6), (uint32_t) (528734635));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1458, ((long) 7), (uint32_t) (1541459225));
				BUNSPEC;
				return BgL_vz00_1458;
			}
		}

	}



/* sha512-initial-hash-value */
	obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 424 */
			{	/* Unsafe/sha2.scm 425 */
				obj_t BgL_vz00_1461;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1461 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(((long) 8), (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1461, ((long) 0),
					(uint64_t) (7640891576956012808));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 1),
					(uint64_t) (-4942790177534073029));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 2),
					(uint64_t) (4354685564936845355));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 3),
					(uint64_t) (-6534734903238641935));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 4),
					(uint64_t) (5840696475078001361));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 5),
					(uint64_t) (-7276294671716946913));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 6),
					(uint64_t) (2270897969802886507));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1461, ((long) 7),
					(uint64_t) (6620516959819538809));
				BUNSPEC;
				return BgL_vz00_1461;
			}
		}

	}



/* Sigma1-256 */
	uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
	{
		{	/* Unsafe/sha2.scm 539 */
			return
				(
				((BgL_xz00_19 >>
						(int) (((long) 6))) |
					(BgL_xz00_19 <<
						(int) (
							(((long) 32) - ((long) 6))))) ^
				(((BgL_xz00_19 >>
							(int) (((long) 11))) |
						(BgL_xz00_19 <<
							(int) (
								(((long) 32) - ((long) 11))))) ^
					((BgL_xz00_19 >>
							(int) (((long) 25))) |
						(BgL_xz00_19 << (int) ((((long) 32) - ((long) 25)))))));
		}

	}



/* Sigma1-512 */
	uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
	{
		{	/* Unsafe/sha2.scm 557 */
			return
				(
				((BgL_xz00_22 >>
						(int) (((long) 14))) |
					(BgL_xz00_22 <<
						(int) (
							(((long) 64) - ((long) 14))))) ^
				(((BgL_xz00_22 >>
							(int) (((long) 18))) |
						(BgL_xz00_22 <<
							(int) (
								(((long) 64) - ((long) 18))))) ^
					((BgL_xz00_22 >>
							(int) (((long) 41))) |
						(BgL_xz00_22 << (int) ((((long) 64) - ((long) 41)))))));
		}

	}



/* sha256-internal-transform */
	obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33,
		obj_t BgL_bufferz00_34)
	{
		{	/* Unsafe/sha2.scm 587 */
			{
				obj_t BgL_statez00_1587;
				uint32_t BgL_az00_1588;
				uint32_t BgL_bz00_1589;
				uint32_t BgL_cz00_1590;
				uint32_t BgL_dz00_1591;
				uint32_t BgL_ez00_1592;
				uint32_t BgL_fz00_1593;
				uint32_t BgL_gz00_1594;
				uint32_t BgL_hz00_1595;

				{	/* Unsafe/sha2.scm 622 */
					uint32_t BgL_g1066z00_1501;
					uint32_t BgL_g1067z00_1502;
					uint32_t BgL_g1068z00_1503;
					uint32_t BgL_g1069z00_1504;
					uint32_t BgL_g1070z00_1505;
					uint32_t BgL_g1071z00_1506;
					uint32_t BgL_g1072z00_1507;
					uint32_t BgL_g1073z00_1508;

					BgL_g1066z00_1501 = BGL_U32VREF(BgL_statez00_33, ((long) 0));
					BgL_g1067z00_1502 = BGL_U32VREF(BgL_statez00_33, ((long) 1));
					BgL_g1068z00_1503 = BGL_U32VREF(BgL_statez00_33, ((long) 2));
					BgL_g1069z00_1504 = BGL_U32VREF(BgL_statez00_33, ((long) 3));
					BgL_g1070z00_1505 = BGL_U32VREF(BgL_statez00_33, ((long) 4));
					BgL_g1071z00_1506 = BGL_U32VREF(BgL_statez00_33, ((long) 5));
					BgL_g1072z00_1507 = BGL_U32VREF(BgL_statez00_33, ((long) 6));
					BgL_g1073z00_1508 = BGL_U32VREF(BgL_statez00_33, ((long) 7));
					{
						uint32_t BgL_az00_1510;
						uint32_t BgL_bz00_1511;
						uint32_t BgL_cz00_1512;
						uint32_t BgL_dz00_1513;
						uint32_t BgL_ez00_1514;
						uint32_t BgL_fz00_1515;
						uint32_t BgL_gz00_1516;
						uint32_t BgL_hz00_1517;
						long BgL_jz00_1518;

						BgL_az00_1510 = BgL_g1066z00_1501;
						BgL_bz00_1511 = BgL_g1067z00_1502;
						BgL_cz00_1512 = BgL_g1068z00_1503;
						BgL_dz00_1513 = BgL_g1069z00_1504;
						BgL_ez00_1514 = BgL_g1070z00_1505;
						BgL_fz00_1515 = BgL_g1071z00_1506;
						BgL_gz00_1516 = BgL_g1072z00_1507;
						BgL_hz00_1517 = BgL_g1073z00_1508;
						BgL_jz00_1518 = ((long) 0);
					BgL_zc3z04anonymousza31400ze3z87_1519:
						if ((BgL_jz00_1518 < ((long) 16)))
							{	/* Unsafe/sha2.scm 633 */
								uint32_t BgL_wz00_1521;

								BgL_wz00_1521 = BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1518);
								{	/* Unsafe/sha2.scm 633 */
									uint32_t BgL_t1z00_1522;

									{	/* Unsafe/sha2.scm 596 */
										uint32_t BgL_arg1439z00_3375;

										{	/* Unsafe/sha2.scm 596 */
											uint32_t BgL_arg1440z00_3376;
											uint32_t BgL_arg1441z00_3377;

											BgL_arg1440z00_3376 =
												BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1514);
											{	/* Unsafe/sha2.scm 596 */
												uint32_t BgL_arg1442z00_3378;
												uint32_t BgL_arg1443z00_3379;

												BgL_arg1442z00_3378 =
													(
													(BgL_ez00_1514 & BgL_fz00_1515) ^
													(~(BgL_ez00_1514) & BgL_gz00_1516));
												{	/* Unsafe/sha2.scm 596 */
													uint32_t BgL_arg1444z00_3380;

													BgL_arg1444z00_3380 =
														BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1518);
													BgL_arg1443z00_3379 =
														BGl_addu32z00zz__sha2z00(BgL_arg1444z00_3380,
														BgL_wz00_1521);
												}
												BgL_arg1441z00_3377 =
													BGl_addu32z00zz__sha2z00(BgL_arg1442z00_3378,
													BgL_arg1443z00_3379);
											}
											BgL_arg1439z00_3375 =
												BGl_addu32z00zz__sha2z00(BgL_arg1440z00_3376,
												BgL_arg1441z00_3377);
										}
										BgL_t1z00_1522 =
											BGl_addu32z00zz__sha2z00(BgL_hz00_1517,
											BgL_arg1439z00_3375);
									}
									{	/* Unsafe/sha2.scm 634 */
										uint32_t BgL_t2z00_1523;

										BgL_t2z00_1523 =
											BGl_addu32z00zz__sha2z00(
											(((BgL_az00_1510 >>
														(int) (((long) 2))) |
													(BgL_az00_1510 <<
														(int) (
															(((long) 32) - ((long) 2))))) ^
												(((BgL_az00_1510 >>
															(int) (((long) 13))) |
														(BgL_az00_1510 <<
															(int) (
																(((long) 32) - ((long) 13))))) ^
													((BgL_az00_1510 >>
															(int) (((long) 22))) |
														(BgL_az00_1510 <<
															(int) (
																(((long) 32) - ((long) 22))))))),
											((BgL_az00_1510 & BgL_bz00_1511) ^
												((BgL_az00_1510 & BgL_cz00_1512) ^
													(BgL_bz00_1511 & BgL_cz00_1512))));
										{	/* Unsafe/sha2.scm 635 */

											{
												long BgL_jz00_5770;
												uint32_t BgL_hz00_5769;
												uint32_t BgL_gz00_5768;
												uint32_t BgL_fz00_5767;
												uint32_t BgL_ez00_5765;
												uint32_t BgL_dz00_5764;
												uint32_t BgL_cz00_5763;
												uint32_t BgL_bz00_5762;
												uint32_t BgL_az00_5760;

												BgL_az00_5760 =
													BGl_addu32z00zz__sha2z00(BgL_t1z00_1522,
													BgL_t2z00_1523);
												BgL_bz00_5762 = BgL_az00_1510;
												BgL_cz00_5763 = BgL_bz00_1511;
												BgL_dz00_5764 = BgL_cz00_1512;
												BgL_ez00_5765 =
													BGl_addu32z00zz__sha2z00(BgL_dz00_1513,
													BgL_t1z00_1522);
												BgL_fz00_5767 = BgL_ez00_1514;
												BgL_gz00_5768 = BgL_fz00_1515;
												BgL_hz00_5769 = BgL_gz00_1516;
												BgL_jz00_5770 = (BgL_jz00_1518 + ((long) 1));
												BgL_jz00_1518 = BgL_jz00_5770;
												BgL_hz00_1517 = BgL_hz00_5769;
												BgL_gz00_1516 = BgL_gz00_5768;
												BgL_fz00_1515 = BgL_fz00_5767;
												BgL_ez00_1514 = BgL_ez00_5765;
												BgL_dz00_1513 = BgL_dz00_5764;
												BgL_cz00_1512 = BgL_cz00_5763;
												BgL_bz00_1511 = BgL_bz00_5762;
												BgL_az00_1510 = BgL_az00_5760;
												goto BgL_zc3z04anonymousza31400ze3z87_1519;
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 632 */
								if ((BgL_jz00_1518 < ((long) 64)))
									{	/* Unsafe/sha2.scm 638 */
										uint32_t BgL_s0z00_1531;

										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_arg1426z00_1551;

											{	/* Unsafe/sha2.scm 638 */
												long BgL_arg1427z00_1552;

												BgL_arg1427z00_1552 = (BgL_jz00_1518 + ((long) 1));
												{	/* Unsafe/sha2.scm 599 */
													long BgL_tmpz00_5775;

													BgL_tmpz00_5775 = (BgL_arg1427z00_1552 & ((long) 15));
													BgL_arg1426z00_1551 =
														BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5775);
											}}
											BgL_s0z00_1531 =
												(
												((BgL_arg1426z00_1551 >>
														(int) (((long) 7))) |
													(BgL_arg1426z00_1551 <<
														(int) (
															(((long) 32) - ((long) 7))))) ^
												(((BgL_arg1426z00_1551 >>
															(int) (((long) 18))) |
														(BgL_arg1426z00_1551 <<
															(int) (
																(((long) 32) - ((long) 18))))) ^
													(BgL_arg1426z00_1551 >> (int) (((long) 3)))));
										}
										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_s1z00_1532;

											{	/* Unsafe/sha2.scm 639 */
												uint32_t BgL_arg1423z00_1548;

												{	/* Unsafe/sha2.scm 639 */
													long BgL_arg1424z00_1549;

													BgL_arg1424z00_1549 = (BgL_jz00_1518 + ((long) 14));
													{	/* Unsafe/sha2.scm 599 */
														long BgL_tmpz00_5795;

														BgL_tmpz00_5795 =
															(BgL_arg1424z00_1549 & ((long) 15));
														BgL_arg1423z00_1548 =
															BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5795);
												}}
												BgL_s1z00_1532 =
													(
													((BgL_arg1423z00_1548 >>
															(int) (((long) 17))) |
														(BgL_arg1423z00_1548 <<
															(int) (
																(((long) 32) - ((long) 17))))) ^
													(((BgL_arg1423z00_1548 >>
																(int) (((long) 19))) |
															(BgL_arg1423z00_1548 <<
																(int) (
																	(((long) 32) - ((long) 19))))) ^
														(BgL_arg1423z00_1548 >> (int) (((long) 10)))));
											}
											{	/* Unsafe/sha2.scm 639 */
												long BgL_ndxz00_1533;

												BgL_ndxz00_1533 =
													(BgL_jz00_1518 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 640 */
													uint32_t BgL_wz00_1534;

													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_arg1417z00_1543;
														uint32_t BgL_arg1418z00_1544;

														{	/* Unsafe/sha2.scm 599 */
															long BgL_tmpz00_5816;

															BgL_tmpz00_5816 = (BgL_jz00_1518 & ((long) 15));
															BgL_arg1417z00_1543 =
																BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5816);
														}
														{	/* Unsafe/sha2.scm 641 */
															uint32_t BgL_arg1419z00_1545;

															{	/* Unsafe/sha2.scm 641 */
																uint32_t BgL_arg1421z00_1546;

																{	/* Unsafe/sha2.scm 641 */
																	long BgL_arg1422z00_1547;

																	BgL_arg1422z00_1547 =
																		(BgL_jz00_1518 + ((long) 9));
																	{	/* Unsafe/sha2.scm 599 */
																		long BgL_tmpz00_5820;

																		BgL_tmpz00_5820 =
																			(BgL_arg1422z00_1547 & ((long) 15));
																		BgL_arg1421z00_1546 =
																			BGL_U32VREF(BgL_bufferz00_34,
																			BgL_tmpz00_5820);
																}}
																BgL_arg1419z00_1545 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1421z00_1546,
																	BgL_s0z00_1531);
															}
															BgL_arg1418z00_1544 =
																BGl_addu32z00zz__sha2z00(BgL_s1z00_1532,
																BgL_arg1419z00_1545);
														}
														BgL_wz00_1534 =
															BGl_addu32z00zz__sha2z00(BgL_arg1417z00_1543,
															BgL_arg1418z00_1544);
													}
													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_t1z00_1535;

														{	/* Unsafe/sha2.scm 596 */
															uint32_t BgL_arg1439z00_3527;

															{	/* Unsafe/sha2.scm 596 */
																uint32_t BgL_arg1440z00_3528;
																uint32_t BgL_arg1441z00_3529;

																BgL_arg1440z00_3528 =
																	BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1514);
																{	/* Unsafe/sha2.scm 596 */
																	uint32_t BgL_arg1442z00_3530;
																	uint32_t BgL_arg1443z00_3531;

																	BgL_arg1442z00_3530 =
																		(
																		(BgL_ez00_1514 & BgL_fz00_1515) ^
																		(~(BgL_ez00_1514) & BgL_gz00_1516));
																	{	/* Unsafe/sha2.scm 596 */
																		uint32_t BgL_arg1444z00_3532;

																		BgL_arg1444z00_3532 =
																			BGL_U32VREF(BGl_K256z00zz__sha2z00,
																			BgL_jz00_1518);
																		BgL_arg1443z00_3531 =
																			BGl_addu32z00zz__sha2z00
																			(BgL_arg1444z00_3532, BgL_wz00_1534);
																	}
																	BgL_arg1441z00_3529 =
																		BGl_addu32z00zz__sha2z00
																		(BgL_arg1442z00_3530, BgL_arg1443z00_3531);
																}
																BgL_arg1439z00_3527 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1440z00_3528,
																	BgL_arg1441z00_3529);
															}
															BgL_t1z00_1535 =
																BGl_addu32z00zz__sha2z00(BgL_hz00_1517,
																BgL_arg1439z00_3527);
														}
														{	/* Unsafe/sha2.scm 642 */
															uint32_t BgL_t2z00_1536;

															BgL_t2z00_1536 =
																BGl_addu32z00zz__sha2z00(
																(((BgL_az00_1510 >>
																			(int) (((long) 2))) |
																		(BgL_az00_1510 <<
																			(int) (
																				(((long) 32) - ((long) 2))))) ^
																	(((BgL_az00_1510 >>
																				(int) (((long) 13))) |
																			(BgL_az00_1510 <<
																				(int) (
																					(((long) 32) - ((long) 13))))) ^
																		((BgL_az00_1510 >>
																				(int) (((long) 22))) |
																			(BgL_az00_1510 <<
																				(int) (
																					(((long) 32) - ((long) 22))))))),
																((BgL_az00_1510 & BgL_bz00_1511) ^
																	((BgL_az00_1510 & BgL_cz00_1512) ^
																		(BgL_bz00_1511 & BgL_cz00_1512))));
															{	/* Unsafe/sha2.scm 643 */

																BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1533,
																	BgL_wz00_1534);
																BUNSPEC;
																{
																	long BgL_jz00_5873;
																	uint32_t BgL_hz00_5872;
																	uint32_t BgL_gz00_5871;
																	uint32_t BgL_fz00_5870;
																	uint32_t BgL_ez00_5868;
																	uint32_t BgL_dz00_5867;
																	uint32_t BgL_cz00_5866;
																	uint32_t BgL_bz00_5865;
																	uint32_t BgL_az00_5863;

																	BgL_az00_5863 =
																		BGl_addu32z00zz__sha2z00(BgL_t1z00_1535,
																		BgL_t2z00_1536);
																	BgL_bz00_5865 = BgL_az00_1510;
																	BgL_cz00_5866 = BgL_bz00_1511;
																	BgL_dz00_5867 = BgL_cz00_1512;
																	BgL_ez00_5868 =
																		BGl_addu32z00zz__sha2z00(BgL_dz00_1513,
																		BgL_t1z00_1535);
																	BgL_fz00_5870 = BgL_ez00_1514;
																	BgL_gz00_5871 = BgL_fz00_1515;
																	BgL_hz00_5872 = BgL_gz00_1516;
																	BgL_jz00_5873 = (BgL_jz00_1518 + ((long) 1));
																	BgL_jz00_1518 = BgL_jz00_5873;
																	BgL_hz00_1517 = BgL_hz00_5872;
																	BgL_gz00_1516 = BgL_gz00_5871;
																	BgL_fz00_1515 = BgL_fz00_5870;
																	BgL_ez00_1514 = BgL_ez00_5868;
																	BgL_dz00_1513 = BgL_dz00_5867;
																	BgL_cz00_1512 = BgL_cz00_5866;
																	BgL_bz00_1511 = BgL_bz00_5865;
																	BgL_az00_1510 = BgL_az00_5863;
																	goto BgL_zc3z04anonymousza31400ze3z87_1519;
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 637 */
										BgL_statez00_1587 = BgL_statez00_33;
										BgL_az00_1588 = BgL_az00_1510;
										BgL_bz00_1589 = BgL_bz00_1511;
										BgL_cz00_1590 = BgL_cz00_1512;
										BgL_dz00_1591 = BgL_dz00_1513;
										BgL_ez00_1592 = BgL_ez00_1514;
										BgL_fz00_1593 = BgL_fz00_1515;
										BgL_gz00_1594 = BgL_gz00_1516;
										BgL_hz00_1595 = BgL_hz00_1517;
										{	/* Unsafe/sha2.scm 604 */
											uint32_t BgL_oaz00_1597;
											uint32_t BgL_obz00_1598;
											uint32_t BgL_ocz00_1599;
											uint32_t BgL_odz00_1600;
											uint32_t BgL_oez00_1601;
											uint32_t BgL_ofz00_1602;
											uint32_t BgL_ogz00_1603;
											uint32_t BgL_ohz00_1604;

											BgL_oaz00_1597 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 0));
											BgL_obz00_1598 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 1));
											BgL_ocz00_1599 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 2));
											BgL_odz00_1600 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 3));
											BgL_oez00_1601 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 4));
											BgL_ofz00_1602 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 5));
											BgL_ogz00_1603 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 6));
											BgL_ohz00_1604 =
												BGL_U32VREF(BgL_statez00_1587, ((long) 7));
											{	/* Unsafe/sha2.scm 613 */
												uint32_t BgL_arg1448z00_1606;

												BgL_arg1448z00_1606 =
													BGl_addu32z00zz__sha2z00(BgL_oaz00_1597,
													BgL_az00_1588);
												BGL_U32VSET(BgL_statez00_1587, ((long) 0),
													BgL_arg1448z00_1606);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 614 */
												uint32_t BgL_arg1449z00_1607;

												BgL_arg1449z00_1607 =
													BGl_addu32z00zz__sha2z00(BgL_obz00_1598,
													BgL_bz00_1589);
												BGL_U32VSET(BgL_statez00_1587, ((long) 1),
													BgL_arg1449z00_1607);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 615 */
												uint32_t BgL_arg1450z00_1608;

												BgL_arg1450z00_1608 =
													BGl_addu32z00zz__sha2z00(BgL_ocz00_1599,
													BgL_cz00_1590);
												BGL_U32VSET(BgL_statez00_1587, ((long) 2),
													BgL_arg1450z00_1608);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 616 */
												uint32_t BgL_arg1451z00_1609;

												BgL_arg1451z00_1609 =
													BGl_addu32z00zz__sha2z00(BgL_odz00_1600,
													BgL_dz00_1591);
												BGL_U32VSET(BgL_statez00_1587, ((long) 3),
													BgL_arg1451z00_1609);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 617 */
												uint32_t BgL_arg1452z00_1610;

												BgL_arg1452z00_1610 =
													BGl_addu32z00zz__sha2z00(BgL_oez00_1601,
													BgL_ez00_1592);
												BGL_U32VSET(BgL_statez00_1587, ((long) 4),
													BgL_arg1452z00_1610);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 618 */
												uint32_t BgL_arg1453z00_1611;

												BgL_arg1453z00_1611 =
													BGl_addu32z00zz__sha2z00(BgL_ofz00_1602,
													BgL_fz00_1593);
												BGL_U32VSET(BgL_statez00_1587, ((long) 5),
													BgL_arg1453z00_1611);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 619 */
												uint32_t BgL_arg1454z00_1612;

												BgL_arg1454z00_1612 =
													BGl_addu32z00zz__sha2z00(BgL_ogz00_1603,
													BgL_gz00_1594);
												BGL_U32VSET(BgL_statez00_1587, ((long) 6),
													BgL_arg1454z00_1612);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 620 */
												uint32_t BgL_arg1455z00_1613;

												BgL_arg1455z00_1613 =
													BGl_addu32z00zz__sha2z00(BgL_ohz00_1604,
													BgL_hz00_1595);
												BGL_U32VSET(BgL_statez00_1587, ((long) 7),
													BgL_arg1455z00_1613);
												BUNSPEC;
										}}
										return BgL_statez00_33;
									}
							}
					}
				}
			}
		}

	}



/* sha256-update */
	obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35,
		obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
	{
		{	/* Unsafe/sha2.scm 653 */
			{
				obj_t BgL_bufferz00_1639;
				long BgL_iz00_1640;

				{
					long BgL_iz00_1622;
					long BgL_lz00_1623;

					BgL_iz00_1622 = ((long) 0);
					BgL_lz00_1623 = ((long) 0);
				BgL_zc3z04anonymousza31456ze3z87_1624:
					{	/* Unsafe/sha2.scm 673 */
						long BgL_bytesz00_1625;

						BgL_bufferz00_1639 = BgL_bufferz00_36;
						BgL_iz00_1640 = BgL_iz00_1622;
						{
							long BgL_jz00_3617;
							long BgL_iz00_3618;
							long BgL_nz00_3619;

							BgL_jz00_3617 = ((long) 0);
							BgL_iz00_3618 = BgL_iz00_1640;
							BgL_nz00_3619 = ((long) 0);
						BgL_loopz00_3616:
							if ((BgL_jz00_3617 < ((long) 16)))
								{	/* Unsafe/sha2.scm 662 */
									long BgL_arg1472z00_3626;
									long BgL_arg1473z00_3627;
									long BgL_arg1474z00_3628;

									BgL_arg1472z00_3626 = (BgL_jz00_3617 + ((long) 1));
									BgL_arg1473z00_3627 = (BgL_iz00_3618 + ((long) 4));
									{	/* Unsafe/sha2.scm 662 */
										long BgL_arg1475z00_3629;

										BgL_arg1475z00_3629 =
											((long (*)())
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))
											(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1639,
											BgL_jz00_3617, BgL_oz00_37, BgL_iz00_3618);
										BgL_arg1474z00_3628 =
											(long)
											CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_nz00_3619),
												BINT(BgL_arg1475z00_3629)));
									}
									{
										long BgL_nz00_5916;
										long BgL_iz00_5915;
										long BgL_jz00_5914;

										BgL_jz00_5914 = BgL_arg1472z00_3626;
										BgL_iz00_5915 = BgL_arg1473z00_3627;
										BgL_nz00_5916 = BgL_arg1474z00_3628;
										BgL_nz00_3619 = BgL_nz00_5916;
										BgL_iz00_3618 = BgL_iz00_5915;
										BgL_jz00_3617 = BgL_jz00_5914;
										goto BgL_loopz00_3616;
									}
								}
							else
								{	/* Unsafe/sha2.scm 661 */
									BgL_bytesz00_1625 = BgL_nz00_3619;
								}
						}
						if ((BgL_bytesz00_1625 == ((long) 64)))
							{	/* Unsafe/sha2.scm 675 */
								BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35,
									BgL_bufferz00_36);
								{
									long BgL_lz00_5922;
									long BgL_iz00_5920;

									BgL_iz00_5920 = (BgL_iz00_1622 + ((long) 64));
									BgL_lz00_5922 = (BgL_lz00_1623 + ((long) 64));
									BgL_lz00_1623 = BgL_lz00_5922;
									BgL_iz00_1622 = BgL_iz00_5920;
									goto BgL_zc3z04anonymousza31456ze3z87_1624;
								}
							}
						else
							{	/* Unsafe/sha2.scm 675 */
								if (((((long) 64) - BgL_bytesz00_1625) >= ((long) 8)))
									{	/* Unsafe/sha2.scm 679 */
										{	/* Unsafe/sha2.scm 682 */
											uint32_t BgL_ulenz00_1631;

											{	/* Unsafe/sha2.scm 682 */
												long BgL_tmpz00_5927;

												BgL_tmpz00_5927 =
													(((long) 8) *
													((BgL_lz00_1623 - ((long) 1)) + BgL_bytesz00_1625));
												BgL_ulenz00_1631 = (uint32_t) (BgL_tmpz00_5927);
											}
											BGL_U32VSET(BgL_bufferz00_36, ((long) 15),
												BgL_ulenz00_1631);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
								else
									{	/* Unsafe/sha2.scm 679 */
										BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
										{
											long BgL_iz00_3657;

											BgL_iz00_3657 = ((long) 0);
										BgL_loopz00_3656:
											if ((BgL_iz00_3657 < ((long) 15)))
												{	/* Unsafe/sha2.scm 667 */
													BGL_U32VSET(BgL_bufferz00_36, BgL_iz00_3657,
														(uint32_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_5938;

														BgL_iz00_5938 = (BgL_iz00_3657 + ((long) 1));
														BgL_iz00_3657 = BgL_iz00_5938;
														goto BgL_loopz00_3656;
													}
												}
											else
												{	/* Unsafe/sha2.scm 667 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 689 */
											uint32_t BgL_ulenz00_1634;

											{	/* Unsafe/sha2.scm 689 */
												long BgL_tmpz00_5940;

												BgL_tmpz00_5940 =
													(((long) 8) *
													((BgL_lz00_1623 - ((long) 1)) + BgL_bytesz00_1625));
												BgL_ulenz00_1634 = (uint32_t) (BgL_tmpz00_5940);
											}
											BGL_U32VSET(BgL_bufferz00_36, ((long) 15),
												BgL_ulenz00_1634);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 733 */
				obj_t BgL_statez00_1667;
				obj_t BgL_bufferz00_1668;

				BgL_statez00_1667 = BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 451 */

					BgL_bufferz00_1668 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16), (uint32_t) (0));
				}
				BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1667, BgL_bufferz00_1668,
					BgL_mmz00_39, BGl_proc2392z00zz__sha2z00);
				return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1667);
			}
		}

	}



/* &sha256sum-mmap */
	obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_4885,
		obj_t BgL_mmz00_4886)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 699 */
				obj_t BgL_auxz00_5951;

				if (BGL_MMAPP(BgL_mmz00_4886))
					{	/* Unsafe/sha2.scm 699 */
						BgL_auxz00_5951 = BgL_mmz00_4886;
					}
				else
					{
						obj_t BgL_auxz00_5954;

						BgL_auxz00_5954 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 31200)), BGl_string2394z00zz__sha2z00,
							BGl_string2395z00zz__sha2z00, BgL_mmz00_4886);
						FAILURE(BgL_auxz00_5954, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_5951);
			}
		}

	}



/* &fill-word32-mmap! */
	long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_4887,
		obj_t BgL_v32z00_4888, long BgL_iz00_4889, obj_t BgL_mmz00_4890,
		long BgL_nz00_4891)
	{
		{	/* Unsafe/sha2.scm 731 */
			{	/* Unsafe/sha2.scm 702 */
				long BgL_lz00_4997;

				{	/* Unsafe/sha2.scm 702 */
					obj_t BgL_tmpz00_5959;

					BgL_tmpz00_5959 = ((obj_t) BgL_mmz00_4890);
					BgL_lz00_4997 = BGL_MMAP_LENGTH(BgL_tmpz00_5959);
				}
				{	/* Unsafe/sha2.scm 704 */
					bool_t BgL_test2454z00_5962;

					{	/* Unsafe/sha2.scm 704 */
						long BgL_n2z00_4998;

						BgL_n2z00_4998 = (long) (BgL_lz00_4997);
						BgL_test2454z00_5962 =
							((BgL_nz00_4891 + ((long) 4)) <= BgL_n2z00_4998);
					}
					if (BgL_test2454z00_5962)
						{	/* Unsafe/sha2.scm 705 */
							uint32_t BgL_v0z00_4999;

							{	/* Unsafe/sha2.scm 699 */
								unsigned char BgL_arg1481z00_5000;

								{	/* Unsafe/sha2.scm 699 */
									long BgL_auxz00_5968;
									obj_t BgL_tmpz00_5966;

									BgL_auxz00_5968 = (long) (BgL_nz00_4891);
									BgL_tmpz00_5966 = ((obj_t) BgL_mmz00_4890);
									BgL_arg1481z00_5000 =
										BGL_MMAP_REF(BgL_tmpz00_5966, BgL_auxz00_5968);
								}
								{	/* Unsafe/sha2.scm 699 */
									long BgL_tmpz00_5971;

									BgL_tmpz00_5971 = (BgL_arg1481z00_5000);
									BgL_v0z00_4999 = (uint32_t) (BgL_tmpz00_5971);
							}}
							{	/* Unsafe/sha2.scm 705 */
								uint32_t BgL_v1z00_5001;

								{	/* Unsafe/sha2.scm 706 */
									long BgL_arg1500z00_5002;

									BgL_arg1500z00_5002 = (BgL_nz00_4891 + ((long) 1));
									{	/* Unsafe/sha2.scm 699 */
										unsigned char BgL_arg1481z00_5003;

										{	/* Unsafe/sha2.scm 699 */
											long BgL_auxz00_5977;
											obj_t BgL_tmpz00_5975;

											BgL_auxz00_5977 = (long) (BgL_arg1500z00_5002);
											BgL_tmpz00_5975 = ((obj_t) BgL_mmz00_4890);
											BgL_arg1481z00_5003 =
												BGL_MMAP_REF(BgL_tmpz00_5975, BgL_auxz00_5977);
										}
										{	/* Unsafe/sha2.scm 699 */
											long BgL_tmpz00_5980;

											BgL_tmpz00_5980 = (BgL_arg1481z00_5003);
											BgL_v1z00_5001 = (uint32_t) (BgL_tmpz00_5980);
								}}}
								{	/* Unsafe/sha2.scm 706 */
									uint32_t BgL_v2z00_5004;

									{	/* Unsafe/sha2.scm 707 */
										long BgL_arg1499z00_5005;

										BgL_arg1499z00_5005 = (BgL_nz00_4891 + ((long) 2));
										{	/* Unsafe/sha2.scm 699 */
											unsigned char BgL_arg1481z00_5006;

											{	/* Unsafe/sha2.scm 699 */
												long BgL_auxz00_5986;
												obj_t BgL_tmpz00_5984;

												BgL_auxz00_5986 = (long) (BgL_arg1499z00_5005);
												BgL_tmpz00_5984 = ((obj_t) BgL_mmz00_4890);
												BgL_arg1481z00_5006 =
													BGL_MMAP_REF(BgL_tmpz00_5984, BgL_auxz00_5986);
											}
											{	/* Unsafe/sha2.scm 699 */
												long BgL_tmpz00_5989;

												BgL_tmpz00_5989 = (BgL_arg1481z00_5006);
												BgL_v2z00_5004 = (uint32_t) (BgL_tmpz00_5989);
									}}}
									{	/* Unsafe/sha2.scm 707 */
										uint32_t BgL_v3z00_5007;

										{	/* Unsafe/sha2.scm 708 */
											long BgL_arg1497z00_5008;

											BgL_arg1497z00_5008 = (BgL_nz00_4891 + ((long) 3));
											{	/* Unsafe/sha2.scm 699 */
												unsigned char BgL_arg1481z00_5009;

												{	/* Unsafe/sha2.scm 699 */
													long BgL_auxz00_5995;
													obj_t BgL_tmpz00_5993;

													BgL_auxz00_5995 = (long) (BgL_arg1497z00_5008);
													BgL_tmpz00_5993 = ((obj_t) BgL_mmz00_4890);
													BgL_arg1481z00_5009 =
														BGL_MMAP_REF(BgL_tmpz00_5993, BgL_auxz00_5995);
												}
												{	/* Unsafe/sha2.scm 699 */
													long BgL_tmpz00_5998;

													BgL_tmpz00_5998 = (BgL_arg1481z00_5009);
													BgL_v3z00_5007 = (uint32_t) (BgL_tmpz00_5998);
										}}}
										{	/* Unsafe/sha2.scm 708 */
											uint32_t BgL_vz00_5010;

											{	/* Unsafe/sha2.scm 709 */
												uint32_t BgL_arg1485z00_5011;
												uint32_t BgL_arg1486z00_5012;

												{	/* Unsafe/sha2.scm 709 */
													uint32_t BgL_arg1487z00_5013;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1488z00_5014;

														{	/* Unsafe/sha2.scm 709 */
															long BgL_arg1489z00_5015;
															long BgL_arg1490z00_5016;

															{	/* Unsafe/sha2.scm 709 */
																uint32_t BgL_tmpz00_6001;

																BgL_tmpz00_6001 =
																	(BgL_v0z00_4999 << (int) (((long) 8)));
																BgL_arg1489z00_5015 = (long) (BgL_tmpz00_6001);
															}
															BgL_arg1490z00_5016 = (long) (BgL_v1z00_5001);
															BgL_arg1488z00_5014 =
																(BgL_arg1489z00_5015 | BgL_arg1490z00_5016);
														}
														BgL_arg1487z00_5013 =
															(uint32_t) (BgL_arg1488z00_5014);
													}
													BgL_arg1485z00_5011 =
														(BgL_arg1487z00_5013 << (int) (((long) 16)));
												}
												{	/* Unsafe/sha2.scm 709 */
													long BgL_arg1492z00_5017;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1493z00_5018;
														long BgL_arg1494z00_5019;

														{	/* Unsafe/sha2.scm 709 */
															uint32_t BgL_tmpz00_6010;

															BgL_tmpz00_6010 =
																(BgL_v2z00_5004 << (int) (((long) 8)));
															BgL_arg1493z00_5018 = (long) (BgL_tmpz00_6010);
														}
														BgL_arg1494z00_5019 = (long) (BgL_v3z00_5007);
														BgL_arg1492z00_5017 =
															(BgL_arg1493z00_5018 | BgL_arg1494z00_5019);
													}
													BgL_arg1486z00_5012 =
														(uint32_t) (BgL_arg1492z00_5017);
												}
												BgL_vz00_5010 =
													(BgL_arg1485z00_5011 | BgL_arg1486z00_5012);
											}
											{	/* Unsafe/sha2.scm 709 */

												BGL_U32VSET(BgL_v32z00_4888, BgL_iz00_4889,
													BgL_vz00_5010);
												BUNSPEC;
												return ((long) 4);
						}}}}}}
					else
						{	/* Unsafe/sha2.scm 712 */
							bool_t BgL_test2455z00_6019;

							{	/* Unsafe/sha2.scm 712 */
								long BgL_tmpz00_6020;

								{	/* Unsafe/sha2.scm 712 */
									long BgL_za72za7_5020;

									BgL_za72za7_5020 = (long) (BgL_lz00_4997);
									BgL_tmpz00_6020 = (((long) 1) + BgL_za72za7_5020);
								}
								BgL_test2455z00_6019 = (BgL_nz00_4891 >= BgL_tmpz00_6020);
							}
							if (BgL_test2455z00_6019)
								{	/* Unsafe/sha2.scm 712 */
									{	/* Unsafe/sha2.scm 713 */
										uint32_t BgL_tmpz00_6024;

										BgL_tmpz00_6024 = (uint32_t) (((long) 0));
										BGL_U32VSET(BgL_v32z00_4888, BgL_iz00_4889,
											BgL_tmpz00_6024);
									} BUNSPEC;
									return ((long) 0);
								}
							else
								{	/* Unsafe/sha2.scm 716 */
									obj_t BgL_vz00_5021;
									long BgL_kz00_5022;

									BgL_vz00_5021 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4),
										(uint32_t) (((long) 0)));
									{	/* Unsafe/sha2.scm 717 */
										long BgL_tmpz00_6029;

										{	/* Unsafe/sha2.scm 717 */
											long BgL_za72za7_5023;

											BgL_za72za7_5023 = (long) (BgL_lz00_4997);
											BgL_tmpz00_6029 =
												((BgL_nz00_4891 + ((long) 4)) - BgL_za72za7_5023);
										}
										BgL_kz00_5022 = (((long) 4) - BgL_tmpz00_6029);
									}
									{
										long BgL_jz00_5025;

										BgL_jz00_5025 = ((long) 0);
									BgL_loopz00_5024:
										if ((BgL_jz00_5025 == BgL_kz00_5022))
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 721 */
													uint32_t BgL_tmpz00_6036;

													BgL_tmpz00_6036 = (uint32_t) (((long) 128));
													BGL_U32VSET(BgL_vz00_5021, BgL_jz00_5025,
														BgL_tmpz00_6036);
												} BUNSPEC;
												{	/* Unsafe/sha2.scm 722 */
													uint32_t BgL_v0z00_5026;

													BgL_v0z00_5026 =
														BGL_U32VREF(BgL_vz00_5021, ((long) 0));
													{	/* Unsafe/sha2.scm 722 */
														uint32_t BgL_v1z00_5027;

														BgL_v1z00_5027 =
															BGL_U32VREF(BgL_vz00_5021, ((long) 1));
														{	/* Unsafe/sha2.scm 723 */
															uint32_t BgL_v2z00_5028;

															BgL_v2z00_5028 =
																BGL_U32VREF(BgL_vz00_5021, ((long) 2));
															{	/* Unsafe/sha2.scm 724 */
																uint32_t BgL_v3z00_5029;

																BgL_v3z00_5029 =
																	BGL_U32VREF(BgL_vz00_5021, ((long) 3));
																{	/* Unsafe/sha2.scm 725 */
																	uint32_t BgL_vz00_5030;

																	{	/* Unsafe/sha2.scm 726 */
																		uint32_t BgL_arg1506z00_5031;
																		uint32_t BgL_arg1507z00_5032;

																		{	/* Unsafe/sha2.scm 726 */
																			uint32_t BgL_arg1508z00_5033;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1509z00_5034;

																				{	/* Unsafe/sha2.scm 726 */
																					long BgL_arg1510z00_5035;
																					long BgL_arg1511z00_5036;

																					{	/* Unsafe/sha2.scm 726 */
																						uint32_t BgL_tmpz00_6043;

																						BgL_tmpz00_6043 =
																							(BgL_v0z00_5026 <<
																							(int) (((long) 8)));
																						BgL_arg1510z00_5035 =
																							(long) (BgL_tmpz00_6043);
																					}
																					BgL_arg1511z00_5036 =
																						(long) (BgL_v1z00_5027);
																					BgL_arg1509z00_5034 =
																						(BgL_arg1510z00_5035 |
																						BgL_arg1511z00_5036);
																				}
																				BgL_arg1508z00_5033 =
																					(uint32_t) (BgL_arg1509z00_5034);
																			}
																			BgL_arg1506z00_5031 =
																				(BgL_arg1508z00_5033 <<
																				(int) (((long) 16)));
																		}
																		{	/* Unsafe/sha2.scm 726 */
																			long BgL_arg1513z00_5037;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1514z00_5038;
																				long BgL_arg1515z00_5039;

																				{	/* Unsafe/sha2.scm 726 */
																					uint32_t BgL_tmpz00_6052;

																					BgL_tmpz00_6052 =
																						(BgL_v2z00_5028 <<
																						(int) (((long) 8)));
																					BgL_arg1514z00_5038 =
																						(long) (BgL_tmpz00_6052);
																				}
																				BgL_arg1515z00_5039 =
																					(long) (BgL_v3z00_5029);
																				BgL_arg1513z00_5037 =
																					(BgL_arg1514z00_5038 |
																					BgL_arg1515z00_5039);
																			}
																			BgL_arg1507z00_5032 =
																				(uint32_t) (BgL_arg1513z00_5037);
																		}
																		BgL_vz00_5030 =
																			(BgL_arg1506z00_5031 |
																			BgL_arg1507z00_5032);
																	}
																	{	/* Unsafe/sha2.scm 726 */

																		BGL_U32VSET(BgL_v32z00_4888, BgL_iz00_4889,
																			BgL_vz00_5030);
																		BUNSPEC;
																		return (BgL_jz00_5025 + ((long) 1));
											}}}}}}}
										else
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 730 */
													long BgL_arg1517z00_5040;

													{	/* Unsafe/sha2.scm 730 */
														long BgL_arg1518z00_5041;

														BgL_arg1518z00_5041 =
															(long)
															CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
																(BgL_nz00_4891), BINT(BgL_jz00_5025)));
														{	/* Unsafe/sha2.scm 699 */
															unsigned char BgL_arg1481z00_5042;

															{	/* Unsafe/sha2.scm 699 */
																long BgL_auxz00_6068;
																obj_t BgL_tmpz00_6066;

																BgL_auxz00_6068 = (long) (BgL_arg1518z00_5041);
																BgL_tmpz00_6066 = ((obj_t) BgL_mmz00_4890);
																BgL_arg1481z00_5042 =
																	BGL_MMAP_REF(BgL_tmpz00_6066,
																	BgL_auxz00_6068);
															}
															BgL_arg1517z00_5040 = (BgL_arg1481z00_5042);
													}}
													{	/* Unsafe/sha2.scm 730 */
														uint32_t BgL_tmpz00_6072;

														BgL_tmpz00_6072 = (uint32_t) (BgL_arg1517z00_5040);
														BGL_U32VSET(BgL_vz00_5021, BgL_jz00_5025,
															BgL_tmpz00_6072);
													} BUNSPEC;
												}
												{
													long BgL_jz00_6075;

													BgL_jz00_6075 = (BgL_jz00_5025 + ((long) 1));
													BgL_jz00_5025 = BgL_jz00_6075;
													goto BgL_loopz00_5024;
												}
											}
									}
								}
						}
				}
			}
		}

	}



/* sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_40)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 778 */
				obj_t BgL_statez00_1738;
				obj_t BgL_bufferz00_1739;

				BgL_statez00_1738 = BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 451 */

					BgL_bufferz00_1739 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16), (uint32_t) (0));
				}
				BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1738, BgL_bufferz00_1739,
					BgL_strz00_40, BGl_proc2396z00zz__sha2z00);
				return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1738);
			}
		}

	}



/* &sha256sum-string */
	obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_4893,
		obj_t BgL_strz00_4894)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 744 */
				obj_t BgL_auxz00_6081;

				if (STRINGP(BgL_strz00_4894))
					{	/* Unsafe/sha2.scm 744 */
						BgL_auxz00_6081 = BgL_strz00_4894;
					}
				else
					{
						obj_t BgL_auxz00_6084;

						BgL_auxz00_6084 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 32705)), BGl_string2397z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_strz00_4894);
						FAILURE(BgL_auxz00_6084, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_6081);
			}
		}

	}



/* &fill-word32-string! */
	long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_4895,
		obj_t BgL_v32z00_4896, long BgL_iz00_4897, obj_t BgL_strz00_4898,
		long BgL_nz00_4899)
	{
		{	/* Unsafe/sha2.scm 776 */
			{	/* Unsafe/sha2.scm 747 */
				long BgL_lz00_5047;

				BgL_lz00_5047 = STRING_LENGTH(((obj_t) BgL_strz00_4898));
				if (((BgL_nz00_4899 + ((long) 4)) <= BgL_lz00_5047))
					{	/* Unsafe/sha2.scm 750 */
						uint32_t BgL_v0z00_5048;

						{	/* Unsafe/sha2.scm 744 */
							long BgL_tmpz00_6094;

							BgL_tmpz00_6094 =
								(STRING_REF(((obj_t) BgL_strz00_4898), BgL_nz00_4899));
							BgL_v0z00_5048 = (uint32_t) (BgL_tmpz00_6094);
						}
						{	/* Unsafe/sha2.scm 750 */
							uint32_t BgL_v1z00_5049;

							{	/* Unsafe/sha2.scm 744 */
								long BgL_tmpz00_6099;

								BgL_tmpz00_6099 =
									(STRING_REF(
										((obj_t) BgL_strz00_4898), (BgL_nz00_4899 + ((long) 1))));
								BgL_v1z00_5049 = (uint32_t) (BgL_tmpz00_6099);
							}
							{	/* Unsafe/sha2.scm 751 */
								uint32_t BgL_v2z00_5050;

								{	/* Unsafe/sha2.scm 744 */
									long BgL_tmpz00_6105;

									BgL_tmpz00_6105 =
										(STRING_REF(
											((obj_t) BgL_strz00_4898), (BgL_nz00_4899 + ((long) 2))));
									BgL_v2z00_5050 = (uint32_t) (BgL_tmpz00_6105);
								}
								{	/* Unsafe/sha2.scm 752 */
									uint32_t BgL_v3z00_5051;

									{	/* Unsafe/sha2.scm 744 */
										long BgL_tmpz00_6111;

										BgL_tmpz00_6111 =
											(STRING_REF(
												((obj_t) BgL_strz00_4898),
												(BgL_nz00_4899 + ((long) 3))));
										BgL_v3z00_5051 = (uint32_t) (BgL_tmpz00_6111);
									}
									{	/* Unsafe/sha2.scm 753 */
										uint32_t BgL_vz00_5052;

										{	/* Unsafe/sha2.scm 754 */
											uint32_t BgL_arg1530z00_5053;
											uint32_t BgL_arg1531z00_5054;

											{	/* Unsafe/sha2.scm 754 */
												uint32_t BgL_arg1532z00_5055;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1533z00_5056;

													{	/* Unsafe/sha2.scm 754 */
														long BgL_arg1534z00_5057;
														long BgL_arg1535z00_5058;

														{	/* Unsafe/sha2.scm 754 */
															uint32_t BgL_tmpz00_6117;

															BgL_tmpz00_6117 =
																(BgL_v0z00_5048 << (int) (((long) 8)));
															BgL_arg1534z00_5057 = (long) (BgL_tmpz00_6117);
														}
														BgL_arg1535z00_5058 = (long) (BgL_v1z00_5049);
														BgL_arg1533z00_5056 =
															(BgL_arg1534z00_5057 | BgL_arg1535z00_5058);
													}
													BgL_arg1532z00_5055 =
														(uint32_t) (BgL_arg1533z00_5056);
												}
												BgL_arg1530z00_5053 =
													(BgL_arg1532z00_5055 << (int) (((long) 16)));
											}
											{	/* Unsafe/sha2.scm 754 */
												long BgL_arg1537z00_5059;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1542z00_5060;
													long BgL_arg1543z00_5061;

													{	/* Unsafe/sha2.scm 754 */
														uint32_t BgL_tmpz00_6126;

														BgL_tmpz00_6126 =
															(BgL_v2z00_5050 << (int) (((long) 8)));
														BgL_arg1542z00_5060 = (long) (BgL_tmpz00_6126);
													}
													BgL_arg1543z00_5061 = (long) (BgL_v3z00_5051);
													BgL_arg1537z00_5059 =
														(BgL_arg1542z00_5060 | BgL_arg1543z00_5061);
												}
												BgL_arg1531z00_5054 = (uint32_t) (BgL_arg1537z00_5059);
											}
											BgL_vz00_5052 =
												(BgL_arg1530z00_5053 | BgL_arg1531z00_5054);
										}
										{	/* Unsafe/sha2.scm 754 */

											BGL_U32VSET(BgL_v32z00_4896, BgL_iz00_4897,
												BgL_vz00_5052);
											BUNSPEC;
											return ((long) 4);
					}}}}}}
				else
					{	/* Unsafe/sha2.scm 749 */
						if ((BgL_nz00_4899 >= (((long) 1) + BgL_lz00_5047)))
							{	/* Unsafe/sha2.scm 757 */
								{	/* Unsafe/sha2.scm 758 */
									uint32_t BgL_tmpz00_6138;

									BgL_tmpz00_6138 = (uint32_t) (((long) 0));
									BGL_U32VSET(BgL_v32z00_4896, BgL_iz00_4897, BgL_tmpz00_6138);
								} BUNSPEC;
								return ((long) 0);
							}
						else
							{	/* Unsafe/sha2.scm 761 */
								obj_t BgL_vz00_5062;
								long BgL_kz00_5063;

								BgL_vz00_5062 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4),
									(uint32_t) (((long) 0)));
								BgL_kz00_5063 =
									(((long) 4) - ((BgL_nz00_4899 + ((long) 4)) - BgL_lz00_5047));
								{
									long BgL_jz00_5065;

									BgL_jz00_5065 = ((long) 0);
								BgL_loopz00_5064:
									if ((BgL_jz00_5065 == BgL_kz00_5063))
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 766 */
												uint32_t BgL_tmpz00_6148;

												BgL_tmpz00_6148 = (uint32_t) (((long) 128));
												BGL_U32VSET(BgL_vz00_5062, BgL_jz00_5065,
													BgL_tmpz00_6148);
											} BUNSPEC;
											{	/* Unsafe/sha2.scm 767 */
												uint32_t BgL_v0z00_5066;

												BgL_v0z00_5066 = BGL_U32VREF(BgL_vz00_5062, ((long) 0));
												{	/* Unsafe/sha2.scm 767 */
													uint32_t BgL_v1z00_5067;

													BgL_v1z00_5067 =
														BGL_U32VREF(BgL_vz00_5062, ((long) 1));
													{	/* Unsafe/sha2.scm 768 */
														uint32_t BgL_v2z00_5068;

														BgL_v2z00_5068 =
															BGL_U32VREF(BgL_vz00_5062, ((long) 2));
														{	/* Unsafe/sha2.scm 769 */
															uint32_t BgL_v3z00_5069;

															BgL_v3z00_5069 =
																BGL_U32VREF(BgL_vz00_5062, ((long) 3));
															{	/* Unsafe/sha2.scm 770 */
																uint32_t BgL_vz00_5070;

																{	/* Unsafe/sha2.scm 771 */
																	uint32_t BgL_arg1554z00_5071;
																	uint32_t BgL_arg1555z00_5072;

																	{	/* Unsafe/sha2.scm 771 */
																		uint32_t BgL_arg1556z00_5073;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1559z00_5074;

																			{	/* Unsafe/sha2.scm 771 */
																				long BgL_arg1562z00_5075;
																				long BgL_arg1563z00_5076;

																				{	/* Unsafe/sha2.scm 771 */
																					uint32_t BgL_tmpz00_6155;

																					BgL_tmpz00_6155 =
																						(BgL_v0z00_5066 <<
																						(int) (((long) 8)));
																					BgL_arg1562z00_5075 =
																						(long) (BgL_tmpz00_6155);
																				}
																				BgL_arg1563z00_5076 =
																					(long) (BgL_v1z00_5067);
																				BgL_arg1559z00_5074 =
																					(BgL_arg1562z00_5075 |
																					BgL_arg1563z00_5076);
																			}
																			BgL_arg1556z00_5073 =
																				(uint32_t) (BgL_arg1559z00_5074);
																		}
																		BgL_arg1554z00_5071 =
																			(BgL_arg1556z00_5073 <<
																			(int) (((long) 16)));
																	}
																	{	/* Unsafe/sha2.scm 771 */
																		long BgL_arg1565z00_5077;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1567z00_5078;
																			long BgL_arg1569z00_5079;

																			{	/* Unsafe/sha2.scm 771 */
																				uint32_t BgL_tmpz00_6164;

																				BgL_tmpz00_6164 =
																					(BgL_v2z00_5068 <<
																					(int) (((long) 8)));
																				BgL_arg1567z00_5078 =
																					(long) (BgL_tmpz00_6164);
																			}
																			BgL_arg1569z00_5079 =
																				(long) (BgL_v3z00_5069);
																			BgL_arg1565z00_5077 =
																				(BgL_arg1567z00_5078 |
																				BgL_arg1569z00_5079);
																		}
																		BgL_arg1555z00_5072 =
																			(uint32_t) (BgL_arg1565z00_5077);
																	}
																	BgL_vz00_5070 =
																		(BgL_arg1554z00_5071 | BgL_arg1555z00_5072);
																}
																{	/* Unsafe/sha2.scm 771 */

																	BGL_U32VSET(BgL_v32z00_4896, BgL_iz00_4897,
																		BgL_vz00_5070);
																	BUNSPEC;
																	return (BgL_jz00_5065 + ((long) 1));
										}}}}}}}
									else
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 775 */
												long BgL_arg1571z00_5080;

												BgL_arg1571z00_5080 =
													(STRING_REF(
														((obj_t) BgL_strz00_4898),
														(long)
														CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
																(BgL_nz00_4899), BINT(BgL_jz00_5065)))));
												{	/* Unsafe/sha2.scm 775 */
													uint32_t BgL_tmpz00_6181;

													BgL_tmpz00_6181 = (uint32_t) (BgL_arg1571z00_5080);
													BGL_U32VSET(BgL_vz00_5062, BgL_jz00_5065,
														BgL_tmpz00_6181);
												} BUNSPEC;
											}
											{
												long BgL_jz00_6184;

												BgL_jz00_6184 = (BgL_jz00_5065 + ((long) 1));
												BgL_jz00_5065 = BgL_jz00_6184;
												goto BgL_loopz00_5064;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha256sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_lenz00_4911;

				BgL_lenz00_4911 = MAKE_CELL(BINT(((long) 0)));
				{	/* Unsafe/sha2.scm 788 */
					obj_t BgL_bufz00_1808;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_1808 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4), (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 809 */
						obj_t BgL_fillzd2word32zd2portz12z12_4900;

						{
							int BgL_tmpz00_6188;

							BgL_tmpz00_6188 = (int) (((long) 2));
							BgL_fillzd2word32zd2portz12z12_4900 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00,
								BgL_tmpz00_6188);
						}
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_4900,
							(int) (((long) 0)), BgL_bufz00_1808);
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_4900,
							(int) (((long) 1)), ((obj_t) BgL_lenz00_4911));
						{	/* Unsafe/sha2.scm 841 */
							obj_t BgL_statez00_1811;
							obj_t BgL_bufferz00_1812;

							BgL_statez00_1811 =
								BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 451 */

								BgL_bufferz00_1812 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
									(uint32_t) (0));
							}
							BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1811,
								BgL_bufferz00_1812, BgL_pz00_41,
								BgL_fillzd2word32zd2portz12z12_4900);
							return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1811);
						}
					}
				}
			}
		}

	}



/* &sha256sum-port */
	obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_4901,
		obj_t BgL_pz00_4902)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_auxz00_6200;

				if (INPUT_PORTP(BgL_pz00_4902))
					{	/* Unsafe/sha2.scm 786 */
						BgL_auxz00_6200 = BgL_pz00_4902;
					}
				else
					{
						obj_t BgL_auxz00_6203;

						BgL_auxz00_6203 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 34139)), BGl_string2399z00zz__sha2z00,
							BGl_string2400z00zz__sha2z00, BgL_pz00_4902);
						FAILURE(BgL_auxz00_6203, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_6200);
			}
		}

	}



/* &fill-word32-port! */
	long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_4903,
		obj_t BgL_v32z00_4906, long BgL_iz00_4907, obj_t BgL_pz00_4908,
		long BgL_nz00_4909)
	{
		{	/* Unsafe/sha2.scm 839 */
			{	/* Unsafe/sha2.scm 809 */
				obj_t BgL_bufz00_4904;
				obj_t BgL_lenz00_4905;

				BgL_bufz00_4904 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4903, (int) (((long) 0))));
				BgL_lenz00_4905 = PROCEDURE_L_REF(BgL_envz00_4903, (int) (((long) 1)));
				{
					obj_t BgL_pz00_5086;

					{	/* Unsafe/sha2.scm 809 */
						long BgL_lz00_5093;

						BgL_pz00_5086 = ((obj_t) BgL_pz00_4908);
						{
							long BgL_iz00_5088;

							BgL_iz00_5088 = ((long) 0);
						BgL_loopz00_5087:
							if ((BgL_iz00_5088 == ((long) 4)))
								{	/* Unsafe/sha2.scm 794 */
									BgL_lz00_5093 = BgL_iz00_5088;
								}
							else
								{	/* Unsafe/sha2.scm 796 */
									obj_t BgL_cz00_5089;

									BgL_cz00_5089 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5086);
									if (EOF_OBJECTP(BgL_cz00_5089))
										{
											long BgL_jz00_5091;

											BgL_jz00_5091 = BgL_iz00_5088;
										BgL_liipz00_5090:
											if ((BgL_jz00_5091 == ((long) 4)))
												{	/* Unsafe/sha2.scm 799 */
													BgL_lz00_5093 = BgL_iz00_5088;
												}
											else
												{	/* Unsafe/sha2.scm 799 */
													{	/* Unsafe/sha2.scm 802 */
														uint32_t BgL_tmpz00_6220;

														BgL_tmpz00_6220 = (uint32_t) (((long) 0));
														BGL_U32VSET(BgL_bufz00_4904, BgL_jz00_5091,
															BgL_tmpz00_6220);
													} BUNSPEC;
													{
														long BgL_jz00_6223;

														BgL_jz00_6223 = (BgL_jz00_5091 + ((long) 1));
														BgL_jz00_5091 = BgL_jz00_6223;
														goto BgL_liipz00_5090;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 797 */
											{	/* Unsafe/sha2.scm 805 */
												uint32_t BgL_arg1637z00_5092;

												{	/* Unsafe/sha2.scm 805 */
													char BgL_tmpz00_6225;

													BgL_tmpz00_6225 = (signed char) CINT(BgL_cz00_5089);
													BgL_arg1637z00_5092 = (uint32_t) (BgL_tmpz00_6225);
												}
												BGL_U32VSET(BgL_bufz00_4904, BgL_iz00_5088,
													BgL_arg1637z00_5092);
												BUNSPEC;
											}
											{
												long BgL_iz00_6229;

												BgL_iz00_6229 = (BgL_iz00_5088 + ((long) 1));
												BgL_iz00_5088 = BgL_iz00_6229;
												goto BgL_loopz00_5087;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 810 */
							obj_t BgL_auxz00_5094;

							BgL_auxz00_5094 =
								ADDFX(CELL_REF(BgL_lenz00_4905), BINT(BgL_lz00_5093));
							CELL_SET(BgL_lenz00_4905, BgL_auxz00_5094);
						}
						if (
							((BgL_nz00_4909 + ((long) 4)) <=
								(long) CINT(CELL_REF(BgL_lenz00_4905))))
							{	/* Unsafe/sha2.scm 813 */
								uint32_t BgL_v0z00_5095;

								BgL_v0z00_5095 = BGL_U32VREF(BgL_bufz00_4904, ((long) 0));
								{	/* Unsafe/sha2.scm 813 */
									uint32_t BgL_v1z00_5096;

									BgL_v1z00_5096 = BGL_U32VREF(BgL_bufz00_4904, ((long) 1));
									{	/* Unsafe/sha2.scm 814 */
										uint32_t BgL_v2z00_5097;

										BgL_v2z00_5097 = BGL_U32VREF(BgL_bufz00_4904, ((long) 2));
										{	/* Unsafe/sha2.scm 815 */
											uint32_t BgL_v3z00_5098;

											BgL_v3z00_5098 = BGL_U32VREF(BgL_bufz00_4904, ((long) 3));
											{	/* Unsafe/sha2.scm 816 */
												uint32_t BgL_vz00_5099;

												{	/* Unsafe/sha2.scm 817 */
													uint32_t BgL_arg1587z00_5100;
													uint32_t BgL_arg1588z00_5101;

													{	/* Unsafe/sha2.scm 817 */
														uint32_t BgL_arg1589z00_5102;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1591z00_5103;

															{	/* Unsafe/sha2.scm 817 */
																long BgL_arg1592z00_5104;
																long BgL_arg1593z00_5105;

																{	/* Unsafe/sha2.scm 817 */
																	uint32_t BgL_tmpz00_6242;

																	BgL_tmpz00_6242 =
																		(BgL_v0z00_5095 << (int) (((long) 8)));
																	BgL_arg1592z00_5104 =
																		(long) (BgL_tmpz00_6242);
																}
																BgL_arg1593z00_5105 = (long) (BgL_v1z00_5096);
																BgL_arg1591z00_5103 =
																	(BgL_arg1592z00_5104 | BgL_arg1593z00_5105);
															}
															BgL_arg1589z00_5102 =
																(uint32_t) (BgL_arg1591z00_5103);
														}
														BgL_arg1587z00_5100 =
															(BgL_arg1589z00_5102 << (int) (((long) 16)));
													}
													{	/* Unsafe/sha2.scm 817 */
														long BgL_arg1595z00_5106;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1596z00_5107;
															long BgL_arg1597z00_5108;

															{	/* Unsafe/sha2.scm 817 */
																uint32_t BgL_tmpz00_6251;

																BgL_tmpz00_6251 =
																	(BgL_v2z00_5097 << (int) (((long) 8)));
																BgL_arg1596z00_5107 = (long) (BgL_tmpz00_6251);
															}
															BgL_arg1597z00_5108 = (long) (BgL_v3z00_5098);
															BgL_arg1595z00_5106 =
																(BgL_arg1596z00_5107 | BgL_arg1597z00_5108);
														}
														BgL_arg1588z00_5101 =
															(uint32_t) (BgL_arg1595z00_5106);
													}
													BgL_vz00_5099 =
														(BgL_arg1587z00_5100 | BgL_arg1588z00_5101);
												}
												{	/* Unsafe/sha2.scm 817 */

													BGL_U32VSET(BgL_v32z00_4906, BgL_iz00_4907,
														BgL_vz00_5099);
													BUNSPEC;
													return ((long) 4);
							}}}}}}
						else
							{	/* Unsafe/sha2.scm 812 */
								if (
									(BgL_nz00_4909 >=
										(((long) 1) + (long) CINT(CELL_REF(BgL_lenz00_4905)))))
									{	/* Unsafe/sha2.scm 820 */
										{	/* Unsafe/sha2.scm 821 */
											uint32_t BgL_tmpz00_6264;

											BgL_tmpz00_6264 = (uint32_t) (((long) 0));
											BGL_U32VSET(BgL_v32z00_4906, BgL_iz00_4907,
												BgL_tmpz00_6264);
										} BUNSPEC;
										return ((long) 0);
									}
								else
									{	/* Unsafe/sha2.scm 824 */
										obj_t BgL_vz00_5109;
										long BgL_kz00_5110;

										BgL_vz00_5109 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4),
											(uint32_t) (((long) 0)));
										BgL_kz00_5110 =
											(((long) 4) -
											((BgL_nz00_4909 + ((long) 4)) -
												(long) CINT(CELL_REF(BgL_lenz00_4905))));
										{
											long BgL_jz00_5112;

											BgL_jz00_5112 = ((long) 0);
										BgL_loopz00_5111:
											if ((BgL_jz00_5112 == BgL_kz00_5110))
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 829 */
														uint32_t BgL_tmpz00_6275;

														BgL_tmpz00_6275 = (uint32_t) (((long) 128));
														BGL_U32VSET(BgL_vz00_5109, BgL_jz00_5112,
															BgL_tmpz00_6275);
													} BUNSPEC;
													{	/* Unsafe/sha2.scm 830 */
														uint32_t BgL_v0z00_5113;

														BgL_v0z00_5113 =
															BGL_U32VREF(BgL_vz00_5109, ((long) 0));
														{	/* Unsafe/sha2.scm 830 */
															uint32_t BgL_v1z00_5114;

															BgL_v1z00_5114 =
																BGL_U32VREF(BgL_vz00_5109, ((long) 1));
															{	/* Unsafe/sha2.scm 831 */
																uint32_t BgL_v2z00_5115;

																BgL_v2z00_5115 =
																	BGL_U32VREF(BgL_vz00_5109, ((long) 2));
																{	/* Unsafe/sha2.scm 832 */
																	uint32_t BgL_v3z00_5116;

																	BgL_v3z00_5116 =
																		BGL_U32VREF(BgL_vz00_5109, ((long) 3));
																	{	/* Unsafe/sha2.scm 833 */
																		uint32_t BgL_vz00_5117;

																		{	/* Unsafe/sha2.scm 834 */
																			uint32_t BgL_arg1606z00_5118;
																			uint32_t BgL_arg1607z00_5119;

																			{	/* Unsafe/sha2.scm 834 */
																				uint32_t BgL_arg1610z00_5120;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1611z00_5121;

																					{	/* Unsafe/sha2.scm 834 */
																						long BgL_arg1612z00_5122;
																						long BgL_arg1613z00_5123;

																						{	/* Unsafe/sha2.scm 834 */
																							uint32_t BgL_tmpz00_6282;

																							BgL_tmpz00_6282 =
																								(BgL_v0z00_5113 <<
																								(int) (((long) 8)));
																							BgL_arg1612z00_5122 =
																								(long) (BgL_tmpz00_6282);
																						}
																						BgL_arg1613z00_5123 =
																							(long) (BgL_v1z00_5114);
																						BgL_arg1611z00_5121 =
																							(BgL_arg1612z00_5122 |
																							BgL_arg1613z00_5123);
																					}
																					BgL_arg1610z00_5120 =
																						(uint32_t) (BgL_arg1611z00_5121);
																				}
																				BgL_arg1606z00_5118 =
																					(BgL_arg1610z00_5120 <<
																					(int) (((long) 16)));
																			}
																			{	/* Unsafe/sha2.scm 834 */
																				long BgL_arg1617z00_5124;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1618z00_5125;
																					long BgL_arg1619z00_5126;

																					{	/* Unsafe/sha2.scm 834 */
																						uint32_t BgL_tmpz00_6291;

																						BgL_tmpz00_6291 =
																							(BgL_v2z00_5115 <<
																							(int) (((long) 8)));
																						BgL_arg1618z00_5125 =
																							(long) (BgL_tmpz00_6291);
																					}
																					BgL_arg1619z00_5126 =
																						(long) (BgL_v3z00_5116);
																					BgL_arg1617z00_5124 =
																						(BgL_arg1618z00_5125 |
																						BgL_arg1619z00_5126);
																				}
																				BgL_arg1607z00_5119 =
																					(uint32_t) (BgL_arg1617z00_5124);
																			}
																			BgL_vz00_5117 =
																				(BgL_arg1606z00_5118 |
																				BgL_arg1607z00_5119);
																		}
																		{	/* Unsafe/sha2.scm 834 */

																			BGL_U32VSET(BgL_v32z00_4906,
																				BgL_iz00_4907, BgL_vz00_5117);
																			BUNSPEC;
																			return (BgL_jz00_5112 + ((long) 1));
												}}}}}}}
											else
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 838 */
														uint32_t BgL_arg1621z00_5127;

														BgL_arg1621z00_5127 =
															BGL_U32VREF(BgL_bufz00_4904, BgL_jz00_5112);
														BGL_U32VSET(BgL_vz00_5109, BgL_jz00_5112,
															BgL_arg1621z00_5127);
														BUNSPEC;
													}
													{
														long BgL_jz00_6303;

														BgL_jz00_6303 = (BgL_jz00_5112 + ((long) 1));
														BgL_jz00_5112 = BgL_jz00_6303;
														goto BgL_loopz00_5111;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_42)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_mmz00_1891;

				BgL_mmz00_1891 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1891))
					{	/* Unsafe/sha2.scm 852 */
						obj_t BgL_exitd1074z00_1893;

						BgL_exitd1074z00_1893 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 854 */
							obj_t BgL_zc3z04anonymousza31640ze3z87_4913;

							BgL_zc3z04anonymousza31640ze3z87_4913 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31640ze3ze5zz__sha2z00,
								(int) (((long) 0)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza31640ze3z87_4913,
								(int) (((long) 0)), BgL_mmz00_1891);
							{	/* Unsafe/sha2.scm 852 */
								obj_t BgL_arg2366z00_3859;

								{	/* Unsafe/sha2.scm 852 */
									obj_t BgL_arg2367z00_3860;

									BgL_arg2367z00_3860 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1893);
									BgL_arg2366z00_3859 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31640ze3z87_4913,
										BgL_arg2367z00_3860);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1893,
									BgL_arg2366z00_3859);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 853 */
								obj_t BgL_tmp1076z00_1895;

								BgL_tmp1076z00_1895 =
									BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1891);
								{	/* Unsafe/sha2.scm 852 */
									bool_t BgL_test2469z00_6318;

									{	/* Unsafe/sha2.scm 852 */
										obj_t BgL_arg2365z00_3862;

										BgL_arg2365z00_3862 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1893);
										BgL_test2469z00_6318 = PAIRP(BgL_arg2365z00_3862);
									}
									if (BgL_test2469z00_6318)
										{	/* Unsafe/sha2.scm 852 */
											obj_t BgL_arg2363z00_3863;

											{	/* Unsafe/sha2.scm 852 */
												obj_t BgL_arg2364z00_3864;

												BgL_arg2364z00_3864 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1893);
												BgL_arg2363z00_3863 =
													CDR(((obj_t) BgL_arg2364z00_3864));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1893,
												BgL_arg2363z00_3863);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 852 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1891);
								return BgL_tmp1076z00_1895;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 855 */
						obj_t BgL_pz00_1898;

						{	/* Ieee/port.scm 440 */

							BgL_pz00_1898 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_42, BTRUE, BINT(((long) 5000000)));
						}
						{	/* Unsafe/sha2.scm 856 */
							obj_t BgL_exitd1078z00_1899;

							BgL_exitd1078z00_1899 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 858 */
								obj_t BgL_zc3z04anonymousza31641ze3z87_4914;

								BgL_zc3z04anonymousza31641ze3z87_4914 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31641ze3ze5zz__sha2z00,
									(int) (((long) 0)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31641ze3z87_4914,
									(int) (((long) 0)), BgL_pz00_1898);
								{	/* Unsafe/sha2.scm 856 */
									obj_t BgL_arg2366z00_3868;

									{	/* Unsafe/sha2.scm 856 */
										obj_t BgL_arg2367z00_3869;

										BgL_arg2367z00_3869 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1899);
										BgL_arg2366z00_3868 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31641ze3z87_4914,
											BgL_arg2367z00_3869);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1899,
										BgL_arg2366z00_3868);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 857 */
									obj_t BgL_tmp1080z00_1901;

									BgL_tmp1080z00_1901 =
										BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1898);
									{	/* Unsafe/sha2.scm 856 */
										bool_t BgL_test2470z00_6338;

										{	/* Unsafe/sha2.scm 856 */
											obj_t BgL_arg2365z00_3871;

											BgL_arg2365z00_3871 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1899);
											BgL_test2470z00_6338 = PAIRP(BgL_arg2365z00_3871);
										}
										if (BgL_test2470z00_6338)
											{	/* Unsafe/sha2.scm 856 */
												obj_t BgL_arg2363z00_3872;

												{	/* Unsafe/sha2.scm 856 */
													obj_t BgL_arg2364z00_3873;

													BgL_arg2364z00_3873 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1899);
													BgL_arg2363z00_3872 =
														CDR(((obj_t) BgL_arg2364z00_3873));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1899,
													BgL_arg2363z00_3872);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 856 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1898));
									return BgL_tmp1080z00_1901;
								}
							}
						}
					}
			}
		}

	}



/* &sha256sum-file */
	obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_4915,
		obj_t BgL_fnamez00_4916)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_auxz00_6347;

				if (STRINGP(BgL_fnamez00_4916))
					{	/* Unsafe/sha2.scm 850 */
						BgL_auxz00_6347 = BgL_fnamez00_4916;
					}
				else
					{
						obj_t BgL_auxz00_6350;

						BgL_auxz00_6350 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 36025)), BGl_string2401z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_fnamez00_4916);
						FAILURE(BgL_auxz00_6350, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_6347);
			}
		}

	}



/* &<@anonymous:1640> */
	obj_t BGl_z62zc3z04anonymousza31640ze3ze5zz__sha2z00(obj_t BgL_envz00_4917)
	{
		{	/* Unsafe/sha2.scm 852 */
			{	/* Unsafe/sha2.scm 854 */
				obj_t BgL_mmz00_4918;

				BgL_mmz00_4918 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4917, (int) (((long) 0))));
				return bgl_close_mmap(BgL_mmz00_4918);
			}
		}

	}



/* &<@anonymous:1641> */
	obj_t BGl_z62zc3z04anonymousza31641ze3ze5zz__sha2z00(obj_t BgL_envz00_4919)
	{
		{	/* Unsafe/sha2.scm 856 */
			{	/* Unsafe/sha2.scm 858 */
				obj_t BgL_pz00_4920;

				BgL_pz00_4920 = PROCEDURE_REF(BgL_envz00_4919, (int) (((long) 0)));
				return bgl_close_input_port(((obj_t) BgL_pz00_4920));
			}
		}

	}



/* sha256sum */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
	{
		{	/* Unsafe/sha2.scm 863 */
			if (BGL_MMAPP(BgL_objz00_43))
				{	/* Unsafe/sha2.scm 865 */
					return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);
				}
			else
				{	/* Unsafe/sha2.scm 865 */
					if (STRINGP(BgL_objz00_43))
						{	/* Unsafe/sha2.scm 867 */
							return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);
						}
					else
						{	/* Unsafe/sha2.scm 867 */
							if (INPUT_PORTP(BgL_objz00_43))
								{	/* Unsafe/sha2.scm 869 */
									return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);
								}
							else
								{	/* Unsafe/sha2.scm 869 */
									return
										BGl_errorz00zz__errorz00(BGl_string2402z00zz__sha2z00,
										BGl_string2403z00zz__sha2z00, BgL_objz00_43);
								}
						}
				}
		}

	}



/* &sha256sum */
	obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_4921,
		obj_t BgL_objz00_4922)
	{
		{	/* Unsafe/sha2.scm 863 */
			return BGl_sha256sumz00zz__sha2z00(BgL_objz00_4922);
		}

	}



/* sha512-internal-transform */
	obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52,
		obj_t BgL_bufferz00_53)
	{
		{	/* Unsafe/sha2.scm 889 */
			{
				obj_t BgL_statez00_2003;
				uint64_t BgL_az00_2004;
				uint64_t BgL_bz00_2005;
				uint64_t BgL_cz00_2006;
				uint64_t BgL_dz00_2007;
				uint64_t BgL_ez00_2008;
				uint64_t BgL_fz00_2009;
				uint64_t BgL_gz00_2010;
				uint64_t BgL_hz00_2011;

				{	/* Unsafe/sha2.scm 924 */
					uint64_t BgL_g1082z00_1917;
					uint64_t BgL_g1083z00_1918;
					uint64_t BgL_g1084z00_1919;
					uint64_t BgL_g1085z00_1920;
					uint64_t BgL_g1086z00_1921;
					uint64_t BgL_g1088z00_1922;
					uint64_t BgL_g1089z00_1923;
					uint64_t BgL_g1090z00_1924;

					BgL_g1082z00_1917 = BGL_U64VREF(BgL_statez00_52, ((long) 0));
					BgL_g1083z00_1918 = BGL_U64VREF(BgL_statez00_52, ((long) 1));
					BgL_g1084z00_1919 = BGL_U64VREF(BgL_statez00_52, ((long) 2));
					BgL_g1085z00_1920 = BGL_U64VREF(BgL_statez00_52, ((long) 3));
					BgL_g1086z00_1921 = BGL_U64VREF(BgL_statez00_52, ((long) 4));
					BgL_g1088z00_1922 = BGL_U64VREF(BgL_statez00_52, ((long) 5));
					BgL_g1089z00_1923 = BGL_U64VREF(BgL_statez00_52, ((long) 6));
					BgL_g1090z00_1924 = BGL_U64VREF(BgL_statez00_52, ((long) 7));
					{
						uint64_t BgL_az00_1926;
						uint64_t BgL_bz00_1927;
						uint64_t BgL_cz00_1928;
						uint64_t BgL_dz00_1929;
						uint64_t BgL_ez00_1930;
						uint64_t BgL_fz00_1931;
						uint64_t BgL_gz00_1932;
						uint64_t BgL_hz00_1933;
						long BgL_jz00_1934;

						BgL_az00_1926 = BgL_g1082z00_1917;
						BgL_bz00_1927 = BgL_g1083z00_1918;
						BgL_cz00_1928 = BgL_g1084z00_1919;
						BgL_dz00_1929 = BgL_g1085z00_1920;
						BgL_ez00_1930 = BgL_g1086z00_1921;
						BgL_fz00_1931 = BgL_g1088z00_1922;
						BgL_gz00_1932 = BgL_g1089z00_1923;
						BgL_hz00_1933 = BgL_g1090z00_1924;
						BgL_jz00_1934 = ((long) 0);
					BgL_zc3z04anonymousza31646ze3z87_1935:
						if ((BgL_jz00_1934 < ((long) 16)))
							{	/* Unsafe/sha2.scm 935 */
								uint64_t BgL_wz00_1937;

								BgL_wz00_1937 = BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1934);
								{	/* Unsafe/sha2.scm 935 */
									uint64_t BgL_t1z00_1938;

									{	/* Unsafe/sha2.scm 898 */
										uint64_t BgL_arg1705z00_3983;

										{	/* Unsafe/sha2.scm 898 */
											uint64_t BgL_arg1706z00_3984;
											uint64_t BgL_arg1707z00_3985;

											BgL_arg1706z00_3984 =
												BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1930);
											{	/* Unsafe/sha2.scm 898 */
												uint64_t BgL_arg1711z00_3986;
												uint64_t BgL_arg1712z00_3987;

												BgL_arg1711z00_3986 =
													(
													(BgL_ez00_1930 & BgL_fz00_1931) ^
													(~(BgL_ez00_1930) & BgL_gz00_1932));
												{	/* Unsafe/sha2.scm 898 */
													uint64_t BgL_arg1713z00_3988;

													BgL_arg1713z00_3988 =
														BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1934);
													BgL_arg1712z00_3987 =
														(BgL_arg1713z00_3988 + BgL_wz00_1937);
												}
												BgL_arg1707z00_3985 =
													(BgL_arg1711z00_3986 + BgL_arg1712z00_3987);
											}
											BgL_arg1705z00_3983 =
												(BgL_arg1706z00_3984 + BgL_arg1707z00_3985);
										}
										BgL_t1z00_1938 = (BgL_hz00_1933 + BgL_arg1705z00_3983);
									}
									{	/* Unsafe/sha2.scm 936 */
										uint64_t BgL_t2z00_1939;

										BgL_t2z00_1939 =
											(
											(((BgL_az00_1926 >>
														(int) (((long) 28))) |
													(BgL_az00_1926 <<
														(int) (
															(((long) 64) - ((long) 28))))) ^
												(((BgL_az00_1926 >>
															(int) (((long) 34))) |
														(BgL_az00_1926 <<
															(int) (
																(((long) 64) - ((long) 34))))) ^
													((BgL_az00_1926 >>
															(int) (((long) 39))) |
														(BgL_az00_1926 <<
															(int) (
																(((long) 64) - ((long) 39))))))) +
											((BgL_az00_1926 & BgL_bz00_1927) ^
												((BgL_az00_1926 & BgL_cz00_1928) ^
													(BgL_bz00_1927 & BgL_cz00_1928))));
										{	/* Unsafe/sha2.scm 937 */

											{
												long BgL_jz00_6431;
												uint64_t BgL_hz00_6430;
												uint64_t BgL_gz00_6429;
												uint64_t BgL_fz00_6428;
												uint64_t BgL_ez00_6426;
												uint64_t BgL_dz00_6425;
												uint64_t BgL_cz00_6424;
												uint64_t BgL_bz00_6423;
												uint64_t BgL_az00_6421;

												BgL_az00_6421 = (BgL_t1z00_1938 + BgL_t2z00_1939);
												BgL_bz00_6423 = BgL_az00_1926;
												BgL_cz00_6424 = BgL_bz00_1927;
												BgL_dz00_6425 = BgL_cz00_1928;
												BgL_ez00_6426 = (BgL_dz00_1929 + BgL_t1z00_1938);
												BgL_fz00_6428 = BgL_ez00_1930;
												BgL_gz00_6429 = BgL_fz00_1931;
												BgL_hz00_6430 = BgL_gz00_1932;
												BgL_jz00_6431 = (BgL_jz00_1934 + ((long) 1));
												BgL_jz00_1934 = BgL_jz00_6431;
												BgL_hz00_1933 = BgL_hz00_6430;
												BgL_gz00_1932 = BgL_gz00_6429;
												BgL_fz00_1931 = BgL_fz00_6428;
												BgL_ez00_1930 = BgL_ez00_6426;
												BgL_dz00_1929 = BgL_dz00_6425;
												BgL_cz00_1928 = BgL_cz00_6424;
												BgL_bz00_1927 = BgL_bz00_6423;
												BgL_az00_1926 = BgL_az00_6421;
												goto BgL_zc3z04anonymousza31646ze3z87_1935;
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 934 */
								if ((BgL_jz00_1934 < ((long) 80)))
									{	/* Unsafe/sha2.scm 940 */
										uint64_t BgL_s0z00_1947;

										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_arg1681z00_1967;

											{	/* Unsafe/sha2.scm 940 */
												long BgL_arg1682z00_1968;

												BgL_arg1682z00_1968 = (BgL_jz00_1934 + ((long) 1));
												{	/* Unsafe/sha2.scm 901 */
													long BgL_tmpz00_6436;

													BgL_tmpz00_6436 = (BgL_arg1682z00_1968 & ((long) 15));
													BgL_arg1681z00_1967 =
														BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6436);
											}}
											BgL_s0z00_1947 =
												(
												((BgL_arg1681z00_1967 >>
														(int) (((long) 1))) |
													(BgL_arg1681z00_1967 <<
														(int) (
															(((long) 64) - ((long) 1))))) ^
												(((BgL_arg1681z00_1967 >>
															(int) (((long) 8))) |
														(BgL_arg1681z00_1967 <<
															(int) (
																(((long) 64) - ((long) 8))))) ^
													(BgL_arg1681z00_1967 >> (int) (((long) 7)))));
										}
										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_s1z00_1948;

											{	/* Unsafe/sha2.scm 941 */
												uint64_t BgL_arg1676z00_1964;

												{	/* Unsafe/sha2.scm 941 */
													long BgL_arg1678z00_1965;

													BgL_arg1678z00_1965 = (BgL_jz00_1934 + ((long) 14));
													{	/* Unsafe/sha2.scm 901 */
														long BgL_tmpz00_6456;

														BgL_tmpz00_6456 =
															(BgL_arg1678z00_1965 & ((long) 15));
														BgL_arg1676z00_1964 =
															BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6456);
												}}
												BgL_s1z00_1948 =
													(
													((BgL_arg1676z00_1964 >>
															(int) (((long) 19))) |
														(BgL_arg1676z00_1964 <<
															(int) (
																(((long) 64) - ((long) 19))))) ^
													(((BgL_arg1676z00_1964 >>
																(int) (((long) 61))) |
															(BgL_arg1676z00_1964 <<
																(int) (
																	(((long) 64) - ((long) 61))))) ^
														(BgL_arg1676z00_1964 >> (int) (((long) 6)))));
											}
											{	/* Unsafe/sha2.scm 941 */
												long BgL_ndxz00_1949;

												BgL_ndxz00_1949 =
													(BgL_jz00_1934 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 942 */
													uint64_t BgL_wz00_1950;

													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_arg1666z00_1959;
														uint64_t BgL_arg1667z00_1960;

														{	/* Unsafe/sha2.scm 901 */
															long BgL_tmpz00_6477;

															BgL_tmpz00_6477 = (BgL_jz00_1934 & ((long) 15));
															BgL_arg1666z00_1959 =
																BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6477);
														}
														{	/* Unsafe/sha2.scm 943 */
															uint64_t BgL_arg1668z00_1961;

															{	/* Unsafe/sha2.scm 943 */
																uint64_t BgL_arg1673z00_1962;

																{	/* Unsafe/sha2.scm 943 */
																	long BgL_arg1675z00_1963;

																	BgL_arg1675z00_1963 =
																		(BgL_jz00_1934 + ((long) 9));
																	{	/* Unsafe/sha2.scm 901 */
																		long BgL_tmpz00_6481;

																		BgL_tmpz00_6481 =
																			(BgL_arg1675z00_1963 & ((long) 15));
																		BgL_arg1673z00_1962 =
																			BGL_U64VREF(BgL_bufferz00_53,
																			BgL_tmpz00_6481);
																}}
																BgL_arg1668z00_1961 =
																	(BgL_arg1673z00_1962 + BgL_s0z00_1947);
															}
															BgL_arg1667z00_1960 =
																(BgL_s1z00_1948 + BgL_arg1668z00_1961);
														}
														BgL_wz00_1950 =
															(BgL_arg1666z00_1959 + BgL_arg1667z00_1960);
													}
													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_t1z00_1951;

														{	/* Unsafe/sha2.scm 898 */
															uint64_t BgL_arg1705z00_4155;

															{	/* Unsafe/sha2.scm 898 */
																uint64_t BgL_arg1706z00_4156;
																uint64_t BgL_arg1707z00_4157;

																BgL_arg1706z00_4156 =
																	BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1930);
																{	/* Unsafe/sha2.scm 898 */
																	uint64_t BgL_arg1711z00_4158;
																	uint64_t BgL_arg1712z00_4159;

																	BgL_arg1711z00_4158 =
																		(
																		(BgL_ez00_1930 & BgL_fz00_1931) ^
																		(~(BgL_ez00_1930) & BgL_gz00_1932));
																	{	/* Unsafe/sha2.scm 898 */
																		uint64_t BgL_arg1713z00_4160;

																		BgL_arg1713z00_4160 =
																			BGL_U64VREF(BGl_K512z00zz__sha2z00,
																			BgL_jz00_1934);
																		BgL_arg1712z00_4159 =
																			(BgL_arg1713z00_4160 + BgL_wz00_1950);
																	}
																	BgL_arg1707z00_4157 =
																		(BgL_arg1711z00_4158 + BgL_arg1712z00_4159);
																}
																BgL_arg1705z00_4155 =
																	(BgL_arg1706z00_4156 + BgL_arg1707z00_4157);
															}
															BgL_t1z00_1951 =
																(BgL_hz00_1933 + BgL_arg1705z00_4155);
														}
														{	/* Unsafe/sha2.scm 944 */
															uint64_t BgL_t2z00_1952;

															BgL_t2z00_1952 =
																(
																(((BgL_az00_1926 >>
																			(int) (((long) 28))) |
																		(BgL_az00_1926 <<
																			(int) (
																				(((long) 64) - ((long) 28))))) ^
																	(((BgL_az00_1926 >>
																				(int) (((long) 34))) |
																			(BgL_az00_1926 <<
																				(int) (
																					(((long) 64) - ((long) 34))))) ^
																		((BgL_az00_1926 >>
																				(int) (((long) 39))) |
																			(BgL_az00_1926 <<
																				(int) (
																					(((long) 64) - ((long) 39))))))) +
																((BgL_az00_1926 & BgL_bz00_1927) ^
																	((BgL_az00_1926 & BgL_cz00_1928) ^
																		(BgL_bz00_1927 & BgL_cz00_1928))));
															{	/* Unsafe/sha2.scm 945 */

																BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1949,
																	BgL_wz00_1950);
																BUNSPEC;
																{
																	long BgL_jz00_6534;
																	uint64_t BgL_hz00_6533;
																	uint64_t BgL_gz00_6532;
																	uint64_t BgL_fz00_6531;
																	uint64_t BgL_ez00_6529;
																	uint64_t BgL_dz00_6528;
																	uint64_t BgL_cz00_6527;
																	uint64_t BgL_bz00_6526;
																	uint64_t BgL_az00_6524;

																	BgL_az00_6524 =
																		(BgL_t1z00_1951 + BgL_t2z00_1952);
																	BgL_bz00_6526 = BgL_az00_1926;
																	BgL_cz00_6527 = BgL_bz00_1927;
																	BgL_dz00_6528 = BgL_cz00_1928;
																	BgL_ez00_6529 =
																		(BgL_dz00_1929 + BgL_t1z00_1951);
																	BgL_fz00_6531 = BgL_ez00_1930;
																	BgL_gz00_6532 = BgL_fz00_1931;
																	BgL_hz00_6533 = BgL_gz00_1932;
																	BgL_jz00_6534 = (BgL_jz00_1934 + ((long) 1));
																	BgL_jz00_1934 = BgL_jz00_6534;
																	BgL_hz00_1933 = BgL_hz00_6533;
																	BgL_gz00_1932 = BgL_gz00_6532;
																	BgL_fz00_1931 = BgL_fz00_6531;
																	BgL_ez00_1930 = BgL_ez00_6529;
																	BgL_dz00_1929 = BgL_dz00_6528;
																	BgL_cz00_1928 = BgL_cz00_6527;
																	BgL_bz00_1927 = BgL_bz00_6526;
																	BgL_az00_1926 = BgL_az00_6524;
																	goto BgL_zc3z04anonymousza31646ze3z87_1935;
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 939 */
										BgL_statez00_2003 = BgL_statez00_52;
										BgL_az00_2004 = BgL_az00_1926;
										BgL_bz00_2005 = BgL_bz00_1927;
										BgL_cz00_2006 = BgL_cz00_1928;
										BgL_dz00_2007 = BgL_dz00_1929;
										BgL_ez00_2008 = BgL_ez00_1930;
										BgL_fz00_2009 = BgL_fz00_1931;
										BgL_gz00_2010 = BgL_gz00_1932;
										BgL_hz00_2011 = BgL_hz00_1933;
										{	/* Unsafe/sha2.scm 906 */
											uint64_t BgL_oaz00_2013;
											uint64_t BgL_obz00_2014;
											uint64_t BgL_ocz00_2015;
											uint64_t BgL_odz00_2016;
											uint64_t BgL_oez00_2017;
											uint64_t BgL_ofz00_2018;
											uint64_t BgL_ogz00_2019;
											uint64_t BgL_ohz00_2020;

											BgL_oaz00_2013 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 0));
											BgL_obz00_2014 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 1));
											BgL_ocz00_2015 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 2));
											BgL_odz00_2016 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 3));
											BgL_oez00_2017 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 4));
											BgL_ofz00_2018 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 5));
											BgL_ogz00_2019 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 6));
											BgL_ohz00_2020 =
												BGL_U64VREF(BgL_statez00_2003, ((long) 7));
											{	/* Unsafe/sha2.scm 915 */
												uint64_t BgL_arg1717z00_2022;

												BgL_arg1717z00_2022 = (BgL_oaz00_2013 + BgL_az00_2004);
												BGL_U64VSET(BgL_statez00_2003, ((long) 0),
													BgL_arg1717z00_2022);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 916 */
												uint64_t BgL_arg1718z00_2023;

												BgL_arg1718z00_2023 = (BgL_obz00_2014 + BgL_bz00_2005);
												BGL_U64VSET(BgL_statez00_2003, ((long) 1),
													BgL_arg1718z00_2023);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 917 */
												uint64_t BgL_arg1719z00_2024;

												BgL_arg1719z00_2024 = (BgL_ocz00_2015 + BgL_cz00_2006);
												BGL_U64VSET(BgL_statez00_2003, ((long) 2),
													BgL_arg1719z00_2024);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 918 */
												uint64_t BgL_arg1720z00_2025;

												BgL_arg1720z00_2025 = (BgL_odz00_2016 + BgL_dz00_2007);
												BGL_U64VSET(BgL_statez00_2003, ((long) 3),
													BgL_arg1720z00_2025);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 919 */
												uint64_t BgL_arg1721z00_2026;

												BgL_arg1721z00_2026 = (BgL_oez00_2017 + BgL_ez00_2008);
												BGL_U64VSET(BgL_statez00_2003, ((long) 4),
													BgL_arg1721z00_2026);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 920 */
												uint64_t BgL_arg1723z00_2027;

												BgL_arg1723z00_2027 = (BgL_ofz00_2018 + BgL_fz00_2009);
												BGL_U64VSET(BgL_statez00_2003, ((long) 5),
													BgL_arg1723z00_2027);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 921 */
												uint64_t BgL_arg1725z00_2028;

												BgL_arg1725z00_2028 = (BgL_ogz00_2019 + BgL_gz00_2010);
												BGL_U64VSET(BgL_statez00_2003, ((long) 6),
													BgL_arg1725z00_2028);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 922 */
												uint64_t BgL_arg1726z00_2029;

												BgL_arg1726z00_2029 = (BgL_ohz00_2020 + BgL_hz00_2011);
												BGL_U64VSET(BgL_statez00_2003, ((long) 7),
													BgL_arg1726z00_2029);
												BUNSPEC;
										}}
										return BgL_statez00_52;
									}
							}
					}
				}
			}
		}

	}



/* sha512-update */
	obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54,
		obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
	{
		{	/* Unsafe/sha2.scm 955 */
			{
				obj_t BgL_bufferz00_2055;
				long BgL_iz00_2056;

				{
					long BgL_iz00_2038;
					long BgL_lz00_2039;

					BgL_iz00_2038 = ((long) 0);
					BgL_lz00_2039 = ((long) 0);
				BgL_zc3z04anonymousza31727ze3z87_2040:
					{	/* Unsafe/sha2.scm 975 */
						long BgL_bytesz00_2041;

						BgL_bufferz00_2055 = BgL_bufferz00_55;
						BgL_iz00_2056 = BgL_iz00_2038;
						{
							long BgL_jz00_4259;
							long BgL_iz00_4260;
							long BgL_nz00_4261;

							BgL_jz00_4259 = ((long) 0);
							BgL_iz00_4260 = BgL_iz00_2056;
							BgL_nz00_4261 = ((long) 0);
						BgL_loopz00_4258:
							if ((BgL_jz00_4259 < ((long) 16)))
								{	/* Unsafe/sha2.scm 964 */
									long BgL_arg1742z00_4268;
									long BgL_arg1743z00_4269;
									long BgL_arg1745z00_4270;

									BgL_arg1742z00_4268 = (BgL_jz00_4259 + ((long) 1));
									BgL_arg1743z00_4269 = (BgL_iz00_4260 + ((long) 8));
									{	/* Unsafe/sha2.scm 964 */
										long BgL_arg1746z00_4271;

										BgL_arg1746z00_4271 =
											((long (*)())
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))
											(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2055,
											BgL_jz00_4259, BgL_oz00_56, BgL_iz00_4260);
										BgL_arg1745z00_4270 =
											(long)
											CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(BgL_nz00_4261),
												BINT(BgL_arg1746z00_4271)));
									}
									{
										long BgL_nz00_6577;
										long BgL_iz00_6576;
										long BgL_jz00_6575;

										BgL_jz00_6575 = BgL_arg1742z00_4268;
										BgL_iz00_6576 = BgL_arg1743z00_4269;
										BgL_nz00_6577 = BgL_arg1745z00_4270;
										BgL_nz00_4261 = BgL_nz00_6577;
										BgL_iz00_4260 = BgL_iz00_6576;
										BgL_jz00_4259 = BgL_jz00_6575;
										goto BgL_loopz00_4258;
									}
								}
							else
								{	/* Unsafe/sha2.scm 963 */
									BgL_bytesz00_2041 = BgL_nz00_4261;
								}
						}
						if ((BgL_bytesz00_2041 == ((long) 128)))
							{	/* Unsafe/sha2.scm 977 */
								BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54,
									BgL_bufferz00_55);
								{
									long BgL_lz00_6583;
									long BgL_iz00_6581;

									BgL_iz00_6581 = (BgL_iz00_2038 + ((long) 128));
									BgL_lz00_6583 = (BgL_lz00_2039 + ((long) 128));
									BgL_lz00_2039 = BgL_lz00_6583;
									BgL_iz00_2038 = BgL_iz00_6581;
									goto BgL_zc3z04anonymousza31727ze3z87_2040;
								}
							}
						else
							{	/* Unsafe/sha2.scm 977 */
								if (((((long) 128) - BgL_bytesz00_2041) >= ((long) 8)))
									{	/* Unsafe/sha2.scm 981 */
										{	/* Unsafe/sha2.scm 984 */
											uint64_t BgL_ulenz00_2047;

											{	/* Unsafe/sha2.scm 984 */
												long BgL_tmpz00_6588;

												BgL_tmpz00_6588 =
													(((long) 8) *
													((BgL_lz00_2039 - ((long) 1)) + BgL_bytesz00_2041));
												BgL_ulenz00_2047 = (uint64_t) (BgL_tmpz00_6588);
											}
											BGL_U64VSET(BgL_bufferz00_55, ((long) 15),
												BgL_ulenz00_2047);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
								else
									{	/* Unsafe/sha2.scm 981 */
										BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
										{
											long BgL_iz00_4299;

											BgL_iz00_4299 = ((long) 0);
										BgL_loopz00_4298:
											if ((BgL_iz00_4299 < ((long) 15)))
												{	/* Unsafe/sha2.scm 969 */
													BGL_U64VSET(BgL_bufferz00_55, BgL_iz00_4299,
														(uint64_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_6599;

														BgL_iz00_6599 = (BgL_iz00_4299 + ((long) 1));
														BgL_iz00_4299 = BgL_iz00_6599;
														goto BgL_loopz00_4298;
													}
												}
											else
												{	/* Unsafe/sha2.scm 969 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 991 */
											uint64_t BgL_ulenz00_2050;

											{	/* Unsafe/sha2.scm 991 */
												long BgL_tmpz00_6601;

												BgL_tmpz00_6601 =
													(((long) 8) *
													((BgL_lz00_2039 - ((long) 1)) + BgL_bytesz00_2041));
												BgL_ulenz00_2050 = (uint64_t) (BgL_tmpz00_6601);
											}
											BGL_U64VSET(BgL_bufferz00_55, ((long) 15),
												BgL_ulenz00_2050);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_fillzd2word64zd2mmapz12z12_4923;

				{
					int BgL_tmpz00_6608;

					BgL_tmpz00_6608 = (int) (((long) 1));
					BgL_fillzd2word64zd2mmapz12z12_4923 =
						MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00,
						BgL_tmpz00_6608);
				}
				PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_4923,
					(int) (((long) 0)), BgL_mmz00_58);
				{	/* Unsafe/sha2.scm 1045 */
					obj_t BgL_statez00_2083;
					obj_t BgL_bufferz00_2084;

					BgL_statez00_2083 =
						BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 453 */

						BgL_bufferz00_2084 =
							BGl_makezd2u64vectorzd2zz__srfi4z00(((long) 16), (uint64_t) (0));
					}
					BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2083,
						BgL_bufferz00_2084, BgL_mmz00_58,
						BgL_fillzd2word64zd2mmapz12z12_4923);
					return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2083);
				}
			}
		}

	}



/* &sha512sum-mmap */
	obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_4924,
		obj_t BgL_mmz00_4925)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_auxz00_6617;

				if (BGL_MMAPP(BgL_mmz00_4925))
					{	/* Unsafe/sha2.scm 1001 */
						BgL_auxz00_6617 = BgL_mmz00_4925;
					}
				else
					{
						obj_t BgL_auxz00_6620;

						BgL_auxz00_6620 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 41684)), BGl_string2404z00zz__sha2z00,
							BGl_string2395z00zz__sha2z00, BgL_mmz00_4925);
						FAILURE(BgL_auxz00_6620, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_6617);
			}
		}

	}



/* &fill-word64-mmap! */
	long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_4926,
		obj_t BgL_v64z00_4928, long BgL_iz00_4929, obj_t BgL_mmz00_4930,
		long BgL_nz00_4931)
	{
		{	/* Unsafe/sha2.scm 1043 */
			{	/* Unsafe/sha2.scm 1004 */
				obj_t BgL_mmz00_4927;

				BgL_mmz00_4927 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4926, (int) (((long) 0))));
				{	/* Unsafe/sha2.scm 1004 */
					long BgL_lz00_5132;

					{	/* Unsafe/sha2.scm 1004 */
						obj_t BgL_tmpz00_6628;

						BgL_tmpz00_6628 = ((obj_t) BgL_mmz00_4930);
						BgL_lz00_5132 = BGL_MMAP_LENGTH(BgL_tmpz00_6628);
					}
					{	/* Unsafe/sha2.scm 1006 */
						bool_t BgL_test2482z00_6631;

						{	/* Unsafe/sha2.scm 1006 */
							long BgL_n2z00_5133;

							BgL_n2z00_5133 = (long) (BgL_lz00_5132);
							BgL_test2482z00_6631 =
								((BgL_nz00_4931 + ((long) 8)) <= BgL_n2z00_5133);
						}
						if (BgL_test2482z00_6631)
							{	/* Unsafe/sha2.scm 1007 */
								uint32_t BgL_v0z00_5134;

								{	/* Unsafe/sha2.scm 1001 */
									unsigned char BgL_arg1752z00_5135;

									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6635;

										BgL_tmpz00_6635 = (long) (BgL_nz00_4931);
										BgL_arg1752z00_5135 =
											BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6635);
									}
									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6638;

										BgL_tmpz00_6638 = (BgL_arg1752z00_5135);
										BgL_v0z00_5134 = (uint32_t) (BgL_tmpz00_6638);
								}}
								{	/* Unsafe/sha2.scm 1007 */
									uint32_t BgL_v1z00_5136;

									{	/* Unsafe/sha2.scm 1008 */
										long BgL_arg1796z00_5137;

										BgL_arg1796z00_5137 = (BgL_nz00_4931 + ((long) 1));
										{	/* Unsafe/sha2.scm 1001 */
											unsigned char BgL_arg1752z00_5138;

											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6642;

												BgL_tmpz00_6642 = (long) (BgL_arg1796z00_5137);
												BgL_arg1752z00_5138 =
													BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6642);
											}
											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6645;

												BgL_tmpz00_6645 = (BgL_arg1752z00_5138);
												BgL_v1z00_5136 = (uint32_t) (BgL_tmpz00_6645);
									}}}
									{	/* Unsafe/sha2.scm 1008 */
										uint32_t BgL_v2z00_5139;

										{	/* Unsafe/sha2.scm 1009 */
											long BgL_arg1795z00_5140;

											BgL_arg1795z00_5140 = (BgL_nz00_4931 + ((long) 2));
											{	/* Unsafe/sha2.scm 1001 */
												unsigned char BgL_arg1752z00_5141;

												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6649;

													BgL_tmpz00_6649 = (long) (BgL_arg1795z00_5140);
													BgL_arg1752z00_5141 =
														BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6649);
												}
												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6652;

													BgL_tmpz00_6652 = (BgL_arg1752z00_5141);
													BgL_v2z00_5139 = (uint32_t) (BgL_tmpz00_6652);
										}}}
										{	/* Unsafe/sha2.scm 1009 */
											uint32_t BgL_v3z00_5142;

											{	/* Unsafe/sha2.scm 1010 */
												long BgL_arg1793z00_5143;

												BgL_arg1793z00_5143 = (BgL_nz00_4931 + ((long) 3));
												{	/* Unsafe/sha2.scm 1001 */
													unsigned char BgL_arg1752z00_5144;

													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6656;

														BgL_tmpz00_6656 = (long) (BgL_arg1793z00_5143);
														BgL_arg1752z00_5144 =
															BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6656);
													}
													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6659;

														BgL_tmpz00_6659 = (BgL_arg1752z00_5144);
														BgL_v3z00_5142 = (uint32_t) (BgL_tmpz00_6659);
											}}}
											{	/* Unsafe/sha2.scm 1010 */
												uint32_t BgL_v4z00_5145;

												{	/* Unsafe/sha2.scm 1011 */
													long BgL_arg1791z00_5146;

													BgL_arg1791z00_5146 = (BgL_nz00_4931 + ((long) 4));
													{	/* Unsafe/sha2.scm 1001 */
														unsigned char BgL_arg1752z00_5147;

														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6663;

															BgL_tmpz00_6663 = (long) (BgL_arg1791z00_5146);
															BgL_arg1752z00_5147 =
																BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6663);
														}
														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6666;

															BgL_tmpz00_6666 = (BgL_arg1752z00_5147);
															BgL_v4z00_5145 = (uint32_t) (BgL_tmpz00_6666);
												}}}
												{	/* Unsafe/sha2.scm 1011 */
													uint32_t BgL_v5z00_5148;

													{	/* Unsafe/sha2.scm 1012 */
														long BgL_arg1790z00_5149;

														BgL_arg1790z00_5149 = (BgL_nz00_4931 + ((long) 5));
														{	/* Unsafe/sha2.scm 1001 */
															unsigned char BgL_arg1752z00_5150;

															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6670;

																BgL_tmpz00_6670 = (long) (BgL_arg1790z00_5149);
																BgL_arg1752z00_5150 =
																	BGL_MMAP_REF(BgL_mmz00_4927, BgL_tmpz00_6670);
															}
															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6673;

																BgL_tmpz00_6673 = (BgL_arg1752z00_5150);
																BgL_v5z00_5148 = (uint32_t) (BgL_tmpz00_6673);
													}}}
													{	/* Unsafe/sha2.scm 1012 */
														uint32_t BgL_v6z00_5151;

														{	/* Unsafe/sha2.scm 1013 */
															long BgL_arg1789z00_5152;

															BgL_arg1789z00_5152 =
																(BgL_nz00_4931 + ((long) 6));
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1752z00_5153;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6677;

																	BgL_tmpz00_6677 =
																		(long) (BgL_arg1789z00_5152);
																	BgL_arg1752z00_5153 =
																		BGL_MMAP_REF(BgL_mmz00_4927,
																		BgL_tmpz00_6677);
																}
																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6680;

																	BgL_tmpz00_6680 = (BgL_arg1752z00_5153);
																	BgL_v6z00_5151 = (uint32_t) (BgL_tmpz00_6680);
														}}}
														{	/* Unsafe/sha2.scm 1013 */
															uint32_t BgL_v7z00_5154;

															{	/* Unsafe/sha2.scm 1014 */
																long BgL_arg1788z00_5155;

																BgL_arg1788z00_5155 =
																	(BgL_nz00_4931 + ((long) 7));
																{	/* Unsafe/sha2.scm 1001 */
																	unsigned char BgL_arg1752z00_5156;

																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6684;

																		BgL_tmpz00_6684 =
																			(long) (BgL_arg1788z00_5155);
																		BgL_arg1752z00_5156 =
																			BGL_MMAP_REF(BgL_mmz00_4927,
																			BgL_tmpz00_6684);
																	}
																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6687;

																		BgL_tmpz00_6687 = (BgL_arg1752z00_5156);
																		BgL_v7z00_5154 =
																			(uint32_t) (BgL_tmpz00_6687);
															}}}
															{	/* Unsafe/sha2.scm 1014 */
																uint64_t BgL_vz00_5157;

																{	/* Unsafe/sha2.scm 1015 */
																	uint64_t BgL_arg1756z00_5158;
																	uint64_t BgL_arg1757z00_5159;

																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1758z00_5160;

																		{	/* Unsafe/sha2.scm 1015 */
																			long BgL_arg1759z00_5161;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1761z00_5162;
																				long BgL_arg1762z00_5163;

																				{	/* Unsafe/sha2.scm 1015 */
																					uint32_t BgL_tmpz00_6690;

																					BgL_tmpz00_6690 =
																						(BgL_v0z00_5134 <<
																						(int) (((long) 8)));
																					BgL_arg1761z00_5162 =
																						(long) (BgL_tmpz00_6690);
																				}
																				BgL_arg1762z00_5163 =
																					(long) (BgL_v1z00_5136);
																				BgL_arg1759z00_5161 =
																					(BgL_arg1761z00_5162 |
																					BgL_arg1762z00_5163);
																			}
																			BgL_arg1758z00_5160 =
																				(uint64_t) (BgL_arg1759z00_5161);
																		}
																		BgL_arg1756z00_5158 =
																			(BgL_arg1758z00_5160 <<
																			(int) (((long) 48)));
																	}
																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1766z00_5164;
																		uint64_t BgL_arg1770z00_5165;

																		{	/* Unsafe/sha2.scm 1015 */
																			uint64_t BgL_arg1771z00_5166;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1772z00_5167;

																				{	/* Unsafe/sha2.scm 1015 */
																					long BgL_arg1773z00_5168;
																					long BgL_arg1774z00_5169;

																					{	/* Unsafe/sha2.scm 1015 */
																						uint32_t BgL_tmpz00_6699;

																						BgL_tmpz00_6699 =
																							(BgL_v2z00_5139 <<
																							(int) (((long) 8)));
																						BgL_arg1773z00_5168 =
																							(long) (BgL_tmpz00_6699);
																					}
																					BgL_arg1774z00_5169 =
																						(long) (BgL_v3z00_5142);
																					BgL_arg1772z00_5167 =
																						(BgL_arg1773z00_5168 |
																						BgL_arg1774z00_5169);
																				}
																				BgL_arg1771z00_5166 =
																					(uint64_t) (BgL_arg1772z00_5167);
																			}
																			BgL_arg1766z00_5164 =
																				(BgL_arg1771z00_5166 <<
																				(int) (((long) 32)));
																		}
																		{	/* Unsafe/sha2.scm 1016 */
																			uint64_t BgL_arg1776z00_5170;
																			uint64_t BgL_arg1777z00_5171;

																			{	/* Unsafe/sha2.scm 1016 */
																				uint64_t BgL_arg1779z00_5172;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1780z00_5173;

																					{	/* Unsafe/sha2.scm 1016 */
																						long BgL_arg1781z00_5174;
																						long BgL_arg1782z00_5175;

																						{	/* Unsafe/sha2.scm 1016 */
																							uint32_t BgL_tmpz00_6708;

																							BgL_tmpz00_6708 =
																								(BgL_v4z00_5145 <<
																								(int) (((long) 8)));
																							BgL_arg1781z00_5174 =
																								(long) (BgL_tmpz00_6708);
																						}
																						BgL_arg1782z00_5175 =
																							(long) (BgL_v5z00_5148);
																						BgL_arg1780z00_5173 =
																							(BgL_arg1781z00_5174 |
																							BgL_arg1782z00_5175);
																					}
																					BgL_arg1779z00_5172 =
																						(uint64_t) (BgL_arg1780z00_5173);
																				}
																				BgL_arg1776z00_5170 =
																					(BgL_arg1779z00_5172 <<
																					(int) (((long) 16)));
																			}
																			{	/* Unsafe/sha2.scm 1016 */
																				long BgL_arg1784z00_5176;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1785z00_5177;
																					long BgL_arg1786z00_5178;

																					{	/* Unsafe/sha2.scm 1016 */
																						uint32_t BgL_tmpz00_6717;

																						BgL_tmpz00_6717 =
																							(BgL_v6z00_5151 <<
																							(int) (((long) 8)));
																						BgL_arg1785z00_5177 =
																							(long) (BgL_tmpz00_6717);
																					}
																					BgL_arg1786z00_5178 =
																						(long) (BgL_v7z00_5154);
																					BgL_arg1784z00_5176 =
																						(BgL_arg1785z00_5177 |
																						BgL_arg1786z00_5178);
																				}
																				BgL_arg1777z00_5171 =
																					(uint64_t) (BgL_arg1784z00_5176);
																			}
																			BgL_arg1770z00_5165 =
																				(BgL_arg1776z00_5170 |
																				BgL_arg1777z00_5171);
																		}
																		BgL_arg1757z00_5159 =
																			(BgL_arg1766z00_5164 |
																			BgL_arg1770z00_5165);
																	}
																	BgL_vz00_5157 =
																		(BgL_arg1756z00_5158 | BgL_arg1757z00_5159);
																}
																{	/* Unsafe/sha2.scm 1015 */

																	BGL_U64VSET(BgL_v64z00_4928, BgL_iz00_4929,
																		BgL_vz00_5157);
																	BUNSPEC;
																	return ((long) 8);
							}}}}}}}}}}
						else
							{	/* Unsafe/sha2.scm 1019 */
								bool_t BgL_test2483z00_6728;

								{	/* Unsafe/sha2.scm 1019 */
									long BgL_tmpz00_6729;

									{	/* Unsafe/sha2.scm 1019 */
										long BgL_za72za7_5179;

										BgL_za72za7_5179 = (long) (BgL_lz00_5132);
										BgL_tmpz00_6729 = (((long) 1) + BgL_za72za7_5179);
									}
									BgL_test2483z00_6728 = (BgL_nz00_4931 >= BgL_tmpz00_6729);
								}
								if (BgL_test2483z00_6728)
									{	/* Unsafe/sha2.scm 1019 */
										BGL_U64VSET(BgL_v64z00_4928, BgL_iz00_4929, (uint64_t) (0));
										BUNSPEC;
										return ((long) 0);
									}
								else
									{	/* Unsafe/sha2.scm 1023 */
										obj_t BgL_vz00_5180;
										long BgL_kz00_5181;

										BgL_vz00_5180 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 8),
											(uint32_t) (((long) 0)));
										{	/* Unsafe/sha2.scm 1024 */
											long BgL_tmpz00_6736;

											{	/* Unsafe/sha2.scm 1024 */
												long BgL_za72za7_5182;

												BgL_za72za7_5182 = (long) (BgL_lz00_5132);
												BgL_tmpz00_6736 =
													((BgL_nz00_4931 + ((long) 8)) - BgL_za72za7_5182);
											}
											BgL_kz00_5181 = (((long) 8) - BgL_tmpz00_6736);
										}
										{
											long BgL_jz00_5184;

											BgL_jz00_5184 = ((long) 0);
										BgL_loopz00_5183:
											if ((BgL_jz00_5184 == BgL_kz00_5181))
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1028 */
														uint32_t BgL_tmpz00_6743;

														BgL_tmpz00_6743 = (uint32_t) (((long) 128));
														BGL_U32VSET(BgL_vz00_5180, BgL_jz00_5184,
															BgL_tmpz00_6743);
													} BUNSPEC;
													{	/* Unsafe/sha2.scm 1029 */
														uint32_t BgL_v0z00_5185;

														BgL_v0z00_5185 =
															BGL_U32VREF(BgL_vz00_5180, ((long) 0));
														{	/* Unsafe/sha2.scm 1029 */
															uint32_t BgL_v1z00_5186;

															BgL_v1z00_5186 =
																BGL_U32VREF(BgL_vz00_5180, ((long) 1));
															{	/* Unsafe/sha2.scm 1030 */
																uint32_t BgL_v2z00_5187;

																BgL_v2z00_5187 =
																	BGL_U32VREF(BgL_vz00_5180, ((long) 2));
																{	/* Unsafe/sha2.scm 1031 */
																	uint32_t BgL_v3z00_5188;

																	BgL_v3z00_5188 =
																		BGL_U32VREF(BgL_vz00_5180, ((long) 3));
																	{	/* Unsafe/sha2.scm 1032 */
																		uint32_t BgL_v4z00_5189;

																		BgL_v4z00_5189 =
																			BGL_U32VREF(BgL_vz00_5180, ((long) 4));
																		{	/* Unsafe/sha2.scm 1033 */
																			uint32_t BgL_v5z00_5190;

																			BgL_v5z00_5190 =
																				BGL_U32VREF(BgL_vz00_5180, ((long) 5));
																			{	/* Unsafe/sha2.scm 1034 */
																				uint32_t BgL_v6z00_5191;

																				BgL_v6z00_5191 =
																					BGL_U32VREF(BgL_vz00_5180,
																					((long) 6));
																				{	/* Unsafe/sha2.scm 1035 */
																					uint32_t BgL_v7z00_5192;

																					BgL_v7z00_5192 =
																						BGL_U32VREF(BgL_vz00_5180,
																						((long) 7));
																					{	/* Unsafe/sha2.scm 1036 */
																						uint64_t BgL_vz00_5193;

																						{	/* Unsafe/sha2.scm 1037 */
																							uint64_t BgL_arg1801z00_5194;
																							uint64_t BgL_arg1802z00_5195;

																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1803z00_5196;

																								{	/* Unsafe/sha2.scm 1037 */
																									long BgL_arg1804z00_5197;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1805z00_5198;
																										long BgL_arg1806z00_5199;

																										{	/* Unsafe/sha2.scm 1037 */
																											uint32_t BgL_tmpz00_6754;

																											BgL_tmpz00_6754 =
																												(BgL_v0z00_5185 <<
																												(int) (((long) 8)));
																											BgL_arg1805z00_5198 =
																												(long)
																												(BgL_tmpz00_6754);
																										}
																										BgL_arg1806z00_5199 =
																											(long) (BgL_v1z00_5186);
																										BgL_arg1804z00_5197 =
																											(BgL_arg1805z00_5198 |
																											BgL_arg1806z00_5199);
																									}
																									BgL_arg1803z00_5196 =
																										(uint64_t)
																										(BgL_arg1804z00_5197);
																								}
																								BgL_arg1801z00_5194 =
																									(BgL_arg1803z00_5196 <<
																									(int) (((long) 48)));
																							}
																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1808z00_5200;
																								uint64_t BgL_arg1809z00_5201;

																								{	/* Unsafe/sha2.scm 1037 */
																									uint64_t BgL_arg1810z00_5202;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1811z00_5203;

																										{	/* Unsafe/sha2.scm 1037 */
																											long BgL_arg1813z00_5204;
																											long BgL_arg1814z00_5205;

																											{	/* Unsafe/sha2.scm 1037 */
																												uint32_t
																													BgL_tmpz00_6763;
																												BgL_tmpz00_6763 =
																													(BgL_v2z00_5187 <<
																													(int) (((long) 8)));
																												BgL_arg1813z00_5204 =
																													(long)
																													(BgL_tmpz00_6763);
																											}
																											BgL_arg1814z00_5205 =
																												(long) (BgL_v3z00_5188);
																											BgL_arg1811z00_5203 =
																												(BgL_arg1813z00_5204 |
																												BgL_arg1814z00_5205);
																										}
																										BgL_arg1810z00_5202 =
																											(uint64_t)
																											(BgL_arg1811z00_5203);
																									}
																									BgL_arg1808z00_5200 =
																										(BgL_arg1810z00_5202 <<
																										(int) (((long) 32)));
																								}
																								{	/* Unsafe/sha2.scm 1038 */
																									uint64_t BgL_arg1817z00_5206;
																									uint64_t BgL_arg1818z00_5207;

																									{	/* Unsafe/sha2.scm 1038 */
																										uint64_t
																											BgL_arg1819z00_5208;
																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1820z00_5209;

																											{	/* Unsafe/sha2.scm 1038 */
																												long
																													BgL_arg1821z00_5210;
																												long
																													BgL_arg1822z00_5211;
																												{	/* Unsafe/sha2.scm 1038 */
																													uint32_t
																														BgL_tmpz00_6772;
																													BgL_tmpz00_6772 =
																														(BgL_v4z00_5189 <<
																														(int) (((long) 8)));
																													BgL_arg1821z00_5210 =
																														(long)
																														(BgL_tmpz00_6772);
																												}
																												BgL_arg1822z00_5211 =
																													(long)
																													(BgL_v5z00_5190);
																												BgL_arg1820z00_5209 =
																													(BgL_arg1821z00_5210 |
																													BgL_arg1822z00_5211);
																											}
																											BgL_arg1819z00_5208 =
																												(uint64_t)
																												(BgL_arg1820z00_5209);
																										}
																										BgL_arg1817z00_5206 =
																											(BgL_arg1819z00_5208 <<
																											(int) (((long) 16)));
																									}
																									{	/* Unsafe/sha2.scm 1038 */
																										long BgL_arg1824z00_5212;

																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1825z00_5213;
																											long BgL_arg1827z00_5214;

																											{	/* Unsafe/sha2.scm 1038 */
																												uint32_t
																													BgL_tmpz00_6781;
																												BgL_tmpz00_6781 =
																													(BgL_v6z00_5191 <<
																													(int) (((long) 8)));
																												BgL_arg1825z00_5213 =
																													(long)
																													(BgL_tmpz00_6781);
																											}
																											BgL_arg1827z00_5214 =
																												(long) (BgL_v7z00_5192);
																											BgL_arg1824z00_5212 =
																												(BgL_arg1825z00_5213 |
																												BgL_arg1827z00_5214);
																										}
																										BgL_arg1818z00_5207 =
																											(uint64_t)
																											(BgL_arg1824z00_5212);
																									}
																									BgL_arg1809z00_5201 =
																										(BgL_arg1817z00_5206 |
																										BgL_arg1818z00_5207);
																								}
																								BgL_arg1802z00_5195 =
																									(BgL_arg1808z00_5200 |
																									BgL_arg1809z00_5201);
																							}
																							BgL_vz00_5193 =
																								(BgL_arg1801z00_5194 |
																								BgL_arg1802z00_5195);
																						}
																						{	/* Unsafe/sha2.scm 1037 */

																							BGL_U64VSET(BgL_v64z00_4928,
																								BgL_iz00_4929, BgL_vz00_5193);
																							BUNSPEC;
																							return
																								(BgL_jz00_5184 + ((long) 1));
												}}}}}}}}}}}
											else
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1042 */
														long BgL_arg1829z00_5215;

														{	/* Unsafe/sha2.scm 1042 */
															long BgL_arg1831z00_5216;

															BgL_arg1831z00_5216 =
																(long)
																CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
																	(BgL_nz00_4931), BINT(BgL_jz00_5184)));
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1752z00_5217;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6797;

																	BgL_tmpz00_6797 =
																		(long) (BgL_arg1831z00_5216);
																	BgL_arg1752z00_5217 =
																		BGL_MMAP_REF(BgL_mmz00_4927,
																		BgL_tmpz00_6797);
																}
																BgL_arg1829z00_5215 = (BgL_arg1752z00_5217);
														}}
														{	/* Unsafe/sha2.scm 1042 */
															uint32_t BgL_tmpz00_6801;

															BgL_tmpz00_6801 =
																(uint32_t) (BgL_arg1829z00_5215);
															BGL_U32VSET(BgL_vz00_5180, BgL_jz00_5184,
																BgL_tmpz00_6801);
														} BUNSPEC;
													}
													{
														long BgL_jz00_6804;

														BgL_jz00_6804 = (BgL_jz00_5184 + ((long) 1));
														BgL_jz00_5184 = BgL_jz00_6804;
														goto BgL_loopz00_5183;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_59)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1100 */
				obj_t BgL_statez00_2194;
				obj_t BgL_bufferz00_2195;

				BgL_statez00_2194 = BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 453 */

					BgL_bufferz00_2195 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(((long) 16), (uint64_t) (0));
				}
				BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2194, BgL_bufferz00_2195,
					BgL_strz00_59, BGl_proc2405z00zz__sha2z00);
				return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2194);
			}
		}

	}



/* &sha512sum-string */
	obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_4933,
		obj_t BgL_strz00_4934)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1056 */
				obj_t BgL_auxz00_6810;

				if (STRINGP(BgL_strz00_4934))
					{	/* Unsafe/sha2.scm 1056 */
						BgL_auxz00_6810 = BgL_strz00_4934;
					}
				else
					{
						obj_t BgL_auxz00_6813;

						BgL_auxz00_6813 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 43595)), BGl_string2406z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_strz00_4934);
						FAILURE(BgL_auxz00_6813, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_6810);
			}
		}

	}



/* &fill-word64-string! */
	long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_4935,
		obj_t BgL_v64z00_4936, long BgL_iz00_4937, obj_t BgL_strz00_4938,
		long BgL_nz00_4939)
	{
		{	/* Unsafe/sha2.scm 1098 */
			{	/* Unsafe/sha2.scm 1059 */
				long BgL_lz00_5222;

				BgL_lz00_5222 = STRING_LENGTH(((obj_t) BgL_strz00_4938));
				if (((BgL_nz00_4939 + ((long) 8)) <= BgL_lz00_5222))
					{	/* Unsafe/sha2.scm 1062 */
						uint32_t BgL_v0z00_5223;

						{	/* Unsafe/sha2.scm 1056 */
							long BgL_tmpz00_6823;

							BgL_tmpz00_6823 =
								(STRING_REF(((obj_t) BgL_strz00_4938), BgL_nz00_4939));
							BgL_v0z00_5223 = (uint32_t) (BgL_tmpz00_6823);
						}
						{	/* Unsafe/sha2.scm 1062 */
							uint32_t BgL_v1z00_5224;

							{	/* Unsafe/sha2.scm 1056 */
								long BgL_tmpz00_6828;

								BgL_tmpz00_6828 =
									(STRING_REF(
										((obj_t) BgL_strz00_4938), (BgL_nz00_4939 + ((long) 1))));
								BgL_v1z00_5224 = (uint32_t) (BgL_tmpz00_6828);
							}
							{	/* Unsafe/sha2.scm 1063 */
								uint32_t BgL_v2z00_5225;

								{	/* Unsafe/sha2.scm 1056 */
									long BgL_tmpz00_6834;

									BgL_tmpz00_6834 =
										(STRING_REF(
											((obj_t) BgL_strz00_4938), (BgL_nz00_4939 + ((long) 2))));
									BgL_v2z00_5225 = (uint32_t) (BgL_tmpz00_6834);
								}
								{	/* Unsafe/sha2.scm 1064 */
									uint32_t BgL_v3z00_5226;

									{	/* Unsafe/sha2.scm 1056 */
										long BgL_tmpz00_6840;

										BgL_tmpz00_6840 =
											(STRING_REF(
												((obj_t) BgL_strz00_4938),
												(BgL_nz00_4939 + ((long) 3))));
										BgL_v3z00_5226 = (uint32_t) (BgL_tmpz00_6840);
									}
									{	/* Unsafe/sha2.scm 1065 */
										uint32_t BgL_v4z00_5227;

										{	/* Unsafe/sha2.scm 1056 */
											long BgL_tmpz00_6846;

											BgL_tmpz00_6846 =
												(STRING_REF(
													((obj_t) BgL_strz00_4938),
													(BgL_nz00_4939 + ((long) 4))));
											BgL_v4z00_5227 = (uint32_t) (BgL_tmpz00_6846);
										}
										{	/* Unsafe/sha2.scm 1066 */
											uint32_t BgL_v5z00_5228;

											{	/* Unsafe/sha2.scm 1056 */
												long BgL_tmpz00_6852;

												BgL_tmpz00_6852 =
													(STRING_REF(
														((obj_t) BgL_strz00_4938),
														(BgL_nz00_4939 + ((long) 5))));
												BgL_v5z00_5228 = (uint32_t) (BgL_tmpz00_6852);
											}
											{	/* Unsafe/sha2.scm 1067 */
												uint32_t BgL_v6z00_5229;

												{	/* Unsafe/sha2.scm 1056 */
													long BgL_tmpz00_6858;

													BgL_tmpz00_6858 =
														(STRING_REF(
															((obj_t) BgL_strz00_4938),
															(BgL_nz00_4939 + ((long) 6))));
													BgL_v6z00_5229 = (uint32_t) (BgL_tmpz00_6858);
												}
												{	/* Unsafe/sha2.scm 1068 */
													uint32_t BgL_v7z00_5230;

													{	/* Unsafe/sha2.scm 1056 */
														long BgL_tmpz00_6864;

														BgL_tmpz00_6864 =
															(STRING_REF(
																((obj_t) BgL_strz00_4938),
																(BgL_nz00_4939 + ((long) 7))));
														BgL_v7z00_5230 = (uint32_t) (BgL_tmpz00_6864);
													}
													{	/* Unsafe/sha2.scm 1069 */
														uint64_t BgL_vz00_5231;

														{	/* Unsafe/sha2.scm 1070 */
															uint64_t BgL_arg1842z00_5232;
															uint64_t BgL_arg1843z00_5233;

															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1844z00_5234;

																{	/* Unsafe/sha2.scm 1070 */
																	long BgL_arg1845z00_5235;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1846z00_5236;
																		long BgL_arg1847z00_5237;

																		{	/* Unsafe/sha2.scm 1070 */
																			uint32_t BgL_tmpz00_6870;

																			BgL_tmpz00_6870 =
																				(BgL_v0z00_5223 << (int) (((long) 8)));
																			BgL_arg1846z00_5236 =
																				(long) (BgL_tmpz00_6870);
																		}
																		BgL_arg1847z00_5237 =
																			(long) (BgL_v1z00_5224);
																		BgL_arg1845z00_5235 =
																			(BgL_arg1846z00_5236 |
																			BgL_arg1847z00_5237);
																	}
																	BgL_arg1844z00_5234 =
																		(uint64_t) (BgL_arg1845z00_5235);
																}
																BgL_arg1842z00_5232 =
																	(BgL_arg1844z00_5234 << (int) (((long) 48)));
															}
															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1849z00_5238;
																uint64_t BgL_arg1850z00_5239;

																{	/* Unsafe/sha2.scm 1070 */
																	uint64_t BgL_arg1852z00_5240;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1854z00_5241;

																		{	/* Unsafe/sha2.scm 1070 */
																			long BgL_arg1855z00_5242;
																			long BgL_arg1856z00_5243;

																			{	/* Unsafe/sha2.scm 1070 */
																				uint32_t BgL_tmpz00_6879;

																				BgL_tmpz00_6879 =
																					(BgL_v2z00_5225 <<
																					(int) (((long) 8)));
																				BgL_arg1855z00_5242 =
																					(long) (BgL_tmpz00_6879);
																			}
																			BgL_arg1856z00_5243 =
																				(long) (BgL_v3z00_5226);
																			BgL_arg1854z00_5241 =
																				(BgL_arg1855z00_5242 |
																				BgL_arg1856z00_5243);
																		}
																		BgL_arg1852z00_5240 =
																			(uint64_t) (BgL_arg1854z00_5241);
																	}
																	BgL_arg1849z00_5238 =
																		(BgL_arg1852z00_5240 <<
																		(int) (((long) 32)));
																}
																{	/* Unsafe/sha2.scm 1071 */
																	uint64_t BgL_arg1858z00_5244;
																	uint64_t BgL_arg1862z00_5245;

																	{	/* Unsafe/sha2.scm 1071 */
																		uint64_t BgL_arg1863z00_5246;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1865z00_5247;

																			{	/* Unsafe/sha2.scm 1071 */
																				long BgL_arg1867z00_5248;
																				long BgL_arg1869z00_5249;

																				{	/* Unsafe/sha2.scm 1071 */
																					uint32_t BgL_tmpz00_6888;

																					BgL_tmpz00_6888 =
																						(BgL_v4z00_5227 <<
																						(int) (((long) 8)));
																					BgL_arg1867z00_5248 =
																						(long) (BgL_tmpz00_6888);
																				}
																				BgL_arg1869z00_5249 =
																					(long) (BgL_v5z00_5228);
																				BgL_arg1865z00_5247 =
																					(BgL_arg1867z00_5248 |
																					BgL_arg1869z00_5249);
																			}
																			BgL_arg1863z00_5246 =
																				(uint64_t) (BgL_arg1865z00_5247);
																		}
																		BgL_arg1858z00_5244 =
																			(BgL_arg1863z00_5246 <<
																			(int) (((long) 16)));
																	}
																	{	/* Unsafe/sha2.scm 1071 */
																		long BgL_arg1871z00_5250;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1872z00_5251;
																			long BgL_arg1875z00_5252;

																			{	/* Unsafe/sha2.scm 1071 */
																				uint32_t BgL_tmpz00_6897;

																				BgL_tmpz00_6897 =
																					(BgL_v6z00_5229 <<
																					(int) (((long) 8)));
																				BgL_arg1872z00_5251 =
																					(long) (BgL_tmpz00_6897);
																			}
																			BgL_arg1875z00_5252 =
																				(long) (BgL_v7z00_5230);
																			BgL_arg1871z00_5250 =
																				(BgL_arg1872z00_5251 |
																				BgL_arg1875z00_5252);
																		}
																		BgL_arg1862z00_5245 =
																			(uint64_t) (BgL_arg1871z00_5250);
																	}
																	BgL_arg1850z00_5239 =
																		(BgL_arg1858z00_5244 | BgL_arg1862z00_5245);
																}
																BgL_arg1843z00_5233 =
																	(BgL_arg1849z00_5238 | BgL_arg1850z00_5239);
															}
															BgL_vz00_5231 =
																(BgL_arg1842z00_5232 | BgL_arg1843z00_5233);
														}
														{	/* Unsafe/sha2.scm 1070 */

															BGL_U64VSET(BgL_v64z00_4936, BgL_iz00_4937,
																BgL_vz00_5231);
															BUNSPEC;
															return ((long) 8);
					}}}}}}}}}}
				else
					{	/* Unsafe/sha2.scm 1061 */
						if ((BgL_nz00_4939 >= (((long) 1) + BgL_lz00_5222)))
							{	/* Unsafe/sha2.scm 1074 */
								{	/* Unsafe/sha2.scm 1075 */
									uint64_t BgL_tmpz00_6911;

									BgL_tmpz00_6911 = (uint64_t) (((long) 0));
									BGL_U64VSET(BgL_v64z00_4936, BgL_iz00_4937, BgL_tmpz00_6911);
								} BUNSPEC;
								return ((long) 0);
							}
						else
							{	/* Unsafe/sha2.scm 1078 */
								obj_t BgL_vz00_5253;
								long BgL_kz00_5254;

								BgL_vz00_5253 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 8),
									(uint32_t) (((long) 0)));
								BgL_kz00_5254 =
									(((long) 8) - ((BgL_nz00_4939 + ((long) 8)) - BgL_lz00_5222));
								{
									long BgL_jz00_5256;

									BgL_jz00_5256 = ((long) 0);
								BgL_loopz00_5255:
									if ((BgL_jz00_5256 == BgL_kz00_5254))
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1083 */
												uint32_t BgL_tmpz00_6921;

												BgL_tmpz00_6921 = (uint32_t) (((long) 128));
												BGL_U32VSET(BgL_vz00_5253, BgL_jz00_5256,
													BgL_tmpz00_6921);
											} BUNSPEC;
											{	/* Unsafe/sha2.scm 1084 */
												uint32_t BgL_v0z00_5257;

												BgL_v0z00_5257 = BGL_U32VREF(BgL_vz00_5253, ((long) 0));
												{	/* Unsafe/sha2.scm 1084 */
													uint32_t BgL_v1z00_5258;

													BgL_v1z00_5258 =
														BGL_U32VREF(BgL_vz00_5253, ((long) 1));
													{	/* Unsafe/sha2.scm 1085 */
														uint32_t BgL_v2z00_5259;

														BgL_v2z00_5259 =
															BGL_U32VREF(BgL_vz00_5253, ((long) 2));
														{	/* Unsafe/sha2.scm 1086 */
															uint32_t BgL_v3z00_5260;

															BgL_v3z00_5260 =
																BGL_U32VREF(BgL_vz00_5253, ((long) 3));
															{	/* Unsafe/sha2.scm 1087 */
																uint32_t BgL_v4z00_5261;

																BgL_v4z00_5261 =
																	BGL_U32VREF(BgL_vz00_5253, ((long) 4));
																{	/* Unsafe/sha2.scm 1088 */
																	uint32_t BgL_v5z00_5262;

																	BgL_v5z00_5262 =
																		BGL_U32VREF(BgL_vz00_5253, ((long) 5));
																	{	/* Unsafe/sha2.scm 1089 */
																		uint32_t BgL_v6z00_5263;

																		BgL_v6z00_5263 =
																			BGL_U32VREF(BgL_vz00_5253, ((long) 6));
																		{	/* Unsafe/sha2.scm 1090 */
																			uint32_t BgL_v7z00_5264;

																			BgL_v7z00_5264 =
																				BGL_U32VREF(BgL_vz00_5253, ((long) 7));
																			{	/* Unsafe/sha2.scm 1091 */
																				uint64_t BgL_vz00_5265;

																				{	/* Unsafe/sha2.scm 1092 */
																					uint64_t BgL_arg1891z00_5266;
																					uint64_t BgL_arg1892z00_5267;

																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1894z00_5268;

																						{	/* Unsafe/sha2.scm 1092 */
																							long BgL_arg1895z00_5269;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1896z00_5270;
																								long BgL_arg1897z00_5271;

																								{	/* Unsafe/sha2.scm 1092 */
																									uint32_t BgL_tmpz00_6932;

																									BgL_tmpz00_6932 =
																										(BgL_v0z00_5257 <<
																										(int) (((long) 8)));
																									BgL_arg1896z00_5270 =
																										(long) (BgL_tmpz00_6932);
																								}
																								BgL_arg1897z00_5271 =
																									(long) (BgL_v1z00_5258);
																								BgL_arg1895z00_5269 =
																									(BgL_arg1896z00_5270 |
																									BgL_arg1897z00_5271);
																							}
																							BgL_arg1894z00_5268 =
																								(uint64_t)
																								(BgL_arg1895z00_5269);
																						}
																						BgL_arg1891z00_5266 =
																							(BgL_arg1894z00_5268 <<
																							(int) (((long) 48)));
																					}
																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1901z00_5272;
																						uint64_t BgL_arg1904z00_5273;

																						{	/* Unsafe/sha2.scm 1092 */
																							uint64_t BgL_arg1905z00_5274;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1906z00_5275;

																								{	/* Unsafe/sha2.scm 1092 */
																									long BgL_arg1907z00_5276;
																									long BgL_arg1908z00_5277;

																									{	/* Unsafe/sha2.scm 1092 */
																										uint32_t BgL_tmpz00_6941;

																										BgL_tmpz00_6941 =
																											(BgL_v2z00_5259 <<
																											(int) (((long) 8)));
																										BgL_arg1907z00_5276 =
																											(long) (BgL_tmpz00_6941);
																									}
																									BgL_arg1908z00_5277 =
																										(long) (BgL_v3z00_5260);
																									BgL_arg1906z00_5275 =
																										(BgL_arg1907z00_5276 |
																										BgL_arg1908z00_5277);
																								}
																								BgL_arg1905z00_5274 =
																									(uint64_t)
																									(BgL_arg1906z00_5275);
																							}
																							BgL_arg1901z00_5272 =
																								(BgL_arg1905z00_5274 <<
																								(int) (((long) 32)));
																						}
																						{	/* Unsafe/sha2.scm 1093 */
																							uint64_t BgL_arg1910z00_5278;
																							uint64_t BgL_arg1911z00_5279;

																							{	/* Unsafe/sha2.scm 1093 */
																								uint64_t BgL_arg1912z00_5280;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1913z00_5281;

																									{	/* Unsafe/sha2.scm 1093 */
																										long BgL_arg1914z00_5282;
																										long BgL_arg1916z00_5283;

																										{	/* Unsafe/sha2.scm 1093 */
																											uint32_t BgL_tmpz00_6950;

																											BgL_tmpz00_6950 =
																												(BgL_v4z00_5261 <<
																												(int) (((long) 8)));
																											BgL_arg1914z00_5282 =
																												(long)
																												(BgL_tmpz00_6950);
																										}
																										BgL_arg1916z00_5283 =
																											(long) (BgL_v5z00_5262);
																										BgL_arg1913z00_5281 =
																											(BgL_arg1914z00_5282 |
																											BgL_arg1916z00_5283);
																									}
																									BgL_arg1912z00_5280 =
																										(uint64_t)
																										(BgL_arg1913z00_5281);
																								}
																								BgL_arg1910z00_5278 =
																									(BgL_arg1912z00_5280 <<
																									(int) (((long) 16)));
																							}
																							{	/* Unsafe/sha2.scm 1093 */
																								long BgL_arg1918z00_5284;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1919z00_5285;
																									long BgL_arg1920z00_5286;

																									{	/* Unsafe/sha2.scm 1093 */
																										uint32_t BgL_tmpz00_6959;

																										BgL_tmpz00_6959 =
																											(BgL_v6z00_5263 <<
																											(int) (((long) 8)));
																										BgL_arg1919z00_5285 =
																											(long) (BgL_tmpz00_6959);
																									}
																									BgL_arg1920z00_5286 =
																										(long) (BgL_v7z00_5264);
																									BgL_arg1918z00_5284 =
																										(BgL_arg1919z00_5285 |
																										BgL_arg1920z00_5286);
																								}
																								BgL_arg1911z00_5279 =
																									(uint64_t)
																									(BgL_arg1918z00_5284);
																							}
																							BgL_arg1904z00_5273 =
																								(BgL_arg1910z00_5278 |
																								BgL_arg1911z00_5279);
																						}
																						BgL_arg1892z00_5267 =
																							(BgL_arg1901z00_5272 |
																							BgL_arg1904z00_5273);
																					}
																					BgL_vz00_5265 =
																						(BgL_arg1891z00_5266 |
																						BgL_arg1892z00_5267);
																				}
																				{	/* Unsafe/sha2.scm 1092 */

																					BGL_U64VSET(BgL_v64z00_4936,
																						BgL_iz00_4937, BgL_vz00_5265);
																					BUNSPEC;
																					return (BgL_jz00_5256 + ((long) 1));
										}}}}}}}}}}}
									else
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1097 */
												long BgL_arg1923z00_5287;

												BgL_arg1923z00_5287 =
													(STRING_REF(
														((obj_t) BgL_strz00_4938),
														(long)
														CINT(BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT
																(BgL_nz00_4939), BINT(BgL_jz00_5256)))));
												{	/* Unsafe/sha2.scm 1097 */
													uint32_t BgL_tmpz00_6978;

													BgL_tmpz00_6978 = (uint32_t) (BgL_arg1923z00_5287);
													BGL_U32VSET(BgL_vz00_5253, BgL_jz00_5256,
														BgL_tmpz00_6978);
												} BUNSPEC;
											}
											{
												long BgL_jz00_6981;

												BgL_jz00_6981 = (BgL_jz00_5256 + ((long) 1));
												BgL_jz00_5256 = BgL_jz00_6981;
												goto BgL_loopz00_5255;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha512sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_lenz00_4951;

				BgL_lenz00_4951 = MAKE_CELL(BINT(((long) 0)));
				{	/* Unsafe/sha2.scm 1110 */
					obj_t BgL_bufz00_2304;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_2304 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 8), (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 1131 */
						obj_t BgL_fillzd2word64zd2portz12z12_4940;

						{
							int BgL_tmpz00_6985;

							BgL_tmpz00_6985 = (int) (((long) 2));
							BgL_fillzd2word64zd2portz12z12_4940 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00,
								BgL_tmpz00_6985);
						}
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_4940,
							(int) (((long) 0)), BgL_bufz00_2304);
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_4940,
							(int) (((long) 1)), ((obj_t) BgL_lenz00_4951));
						{	/* Unsafe/sha2.scm 1173 */
							obj_t BgL_statez00_2307;
							obj_t BgL_bufferz00_2308;

							BgL_statez00_2307 =
								BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 453 */

								BgL_bufferz00_2308 =
									BGl_makezd2u64vectorzd2zz__srfi4z00(((long) 16),
									(uint64_t) (0));
							}
							BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2307,
								BgL_bufferz00_2308, BgL_pz00_60,
								BgL_fillzd2word64zd2portz12z12_4940);
							return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2307);
						}
					}
				}
			}
		}

	}



/* &sha512sum-port */
	obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_4941,
		obj_t BgL_pz00_4942)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_auxz00_6997;

				if (INPUT_PORTP(BgL_pz00_4942))
					{	/* Unsafe/sha2.scm 1108 */
						BgL_auxz00_6997 = BgL_pz00_4942;
					}
				else
					{
						obj_t BgL_auxz00_7000;

						BgL_auxz00_7000 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 45445)), BGl_string2407z00zz__sha2z00,
							BGl_string2400z00zz__sha2z00, BgL_pz00_4942);
						FAILURE(BgL_auxz00_7000, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_6997);
			}
		}

	}



/* &fill-word64-port! */
	long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_4943,
		obj_t BgL_v64z00_4946, long BgL_iz00_4947, obj_t BgL_pz00_4948,
		long BgL_nz00_4949)
	{
		{	/* Unsafe/sha2.scm 1171 */
			{	/* Unsafe/sha2.scm 1131 */
				obj_t BgL_bufz00_4944;
				obj_t BgL_lenz00_4945;

				BgL_bufz00_4944 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4943, (int) (((long) 0))));
				BgL_lenz00_4945 = PROCEDURE_L_REF(BgL_envz00_4943, (int) (((long) 1)));
				{
					obj_t BgL_pz00_5293;

					{	/* Unsafe/sha2.scm 1131 */
						long BgL_lz00_5300;

						BgL_pz00_5293 = ((obj_t) BgL_pz00_4948);
						{
							long BgL_iz00_5295;

							BgL_iz00_5295 = ((long) 0);
						BgL_loopz00_5294:
							if ((BgL_iz00_5295 == ((long) 4)))
								{	/* Unsafe/sha2.scm 1116 */
									BgL_lz00_5300 = BgL_iz00_5295;
								}
							else
								{	/* Unsafe/sha2.scm 1118 */
									obj_t BgL_cz00_5296;

									BgL_cz00_5296 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5293);
									if (EOF_OBJECTP(BgL_cz00_5296))
										{
											long BgL_jz00_5298;

											BgL_jz00_5298 = BgL_iz00_5295;
										BgL_liipz00_5297:
											if ((BgL_jz00_5298 == ((long) 4)))
												{	/* Unsafe/sha2.scm 1121 */
													BgL_lz00_5300 = BgL_iz00_5295;
												}
											else
												{	/* Unsafe/sha2.scm 1121 */
													{	/* Unsafe/sha2.scm 1124 */
														uint32_t BgL_tmpz00_7017;

														BgL_tmpz00_7017 = (uint32_t) (((long) 0));
														BGL_U32VSET(BgL_bufz00_4944, BgL_jz00_5298,
															BgL_tmpz00_7017);
													} BUNSPEC;
													{
														long BgL_jz00_7020;

														BgL_jz00_7020 = (BgL_jz00_5298 + ((long) 1));
														BgL_jz00_5298 = BgL_jz00_7020;
														goto BgL_liipz00_5297;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 1119 */
											{	/* Unsafe/sha2.scm 1127 */
												uint32_t BgL_arg2003z00_5299;

												{	/* Unsafe/sha2.scm 1127 */
													char BgL_tmpz00_7022;

													BgL_tmpz00_7022 = (signed char) CINT(BgL_cz00_5296);
													BgL_arg2003z00_5299 = (uint32_t) (BgL_tmpz00_7022);
												}
												BGL_U32VSET(BgL_bufz00_4944, BgL_iz00_5295,
													BgL_arg2003z00_5299);
												BUNSPEC;
											}
											{
												long BgL_iz00_7026;

												BgL_iz00_7026 = (BgL_iz00_5295 + ((long) 1));
												BgL_iz00_5295 = BgL_iz00_7026;
												goto BgL_loopz00_5294;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 1132 */
							obj_t BgL_auxz00_5301;

							BgL_auxz00_5301 =
								ADDFX(CELL_REF(BgL_lenz00_4945), BINT(BgL_lz00_5300));
							CELL_SET(BgL_lenz00_4945, BgL_auxz00_5301);
						}
						if (((BgL_nz00_4949 + ((long) 8)) <= BgL_lz00_5300))
							{	/* Unsafe/sha2.scm 1135 */
								uint32_t BgL_v0z00_5302;

								BgL_v0z00_5302 = BGL_U32VREF(BgL_bufz00_4944, ((long) 0));
								{	/* Unsafe/sha2.scm 1135 */
									uint32_t BgL_v1z00_5303;

									BgL_v1z00_5303 = BGL_U32VREF(BgL_bufz00_4944, ((long) 1));
									{	/* Unsafe/sha2.scm 1136 */
										uint32_t BgL_v2z00_5304;

										BgL_v2z00_5304 = BGL_U32VREF(BgL_bufz00_4944, ((long) 2));
										{	/* Unsafe/sha2.scm 1137 */
											uint32_t BgL_v3z00_5305;

											BgL_v3z00_5305 = BGL_U32VREF(BgL_bufz00_4944, ((long) 3));
											{	/* Unsafe/sha2.scm 1138 */
												uint32_t BgL_v4z00_5306;

												BgL_v4z00_5306 =
													BGL_U32VREF(BgL_bufz00_4944, ((long) 4));
												{	/* Unsafe/sha2.scm 1139 */
													uint32_t BgL_v5z00_5307;

													BgL_v5z00_5307 =
														BGL_U32VREF(BgL_bufz00_4944, ((long) 5));
													{	/* Unsafe/sha2.scm 1140 */
														uint32_t BgL_v6z00_5308;

														BgL_v6z00_5308 =
															BGL_U32VREF(BgL_bufz00_4944, ((long) 6));
														{	/* Unsafe/sha2.scm 1141 */
															uint32_t BgL_v7z00_5309;

															BgL_v7z00_5309 =
																BGL_U32VREF(BgL_bufz00_4944, ((long) 7));
															{	/* Unsafe/sha2.scm 1142 */
																uint64_t BgL_vz00_5310;

																{	/* Unsafe/sha2.scm 1143 */
																	uint64_t BgL_arg1935z00_5311;
																	uint64_t BgL_arg1936z00_5312;

																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1937z00_5313;

																		{	/* Unsafe/sha2.scm 1143 */
																			long BgL_arg1938z00_5314;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1939z00_5315;
																				long BgL_arg1940z00_5316;

																				{	/* Unsafe/sha2.scm 1143 */
																					uint32_t BgL_tmpz00_7042;

																					BgL_tmpz00_7042 =
																						(BgL_v0z00_5302 <<
																						(int) (((long) 8)));
																					BgL_arg1939z00_5315 =
																						(long) (BgL_tmpz00_7042);
																				}
																				BgL_arg1940z00_5316 =
																					(long) (BgL_v1z00_5303);
																				BgL_arg1938z00_5314 =
																					(BgL_arg1939z00_5315 |
																					BgL_arg1940z00_5316);
																			}
																			BgL_arg1937z00_5313 =
																				(uint64_t) (BgL_arg1938z00_5314);
																		}
																		BgL_arg1935z00_5311 =
																			(BgL_arg1937z00_5313 <<
																			(int) (((long) 48)));
																	}
																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1942z00_5317;
																		uint64_t BgL_arg1943z00_5318;

																		{	/* Unsafe/sha2.scm 1143 */
																			uint64_t BgL_arg1944z00_5319;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1945z00_5320;

																				{	/* Unsafe/sha2.scm 1143 */
																					long BgL_arg1946z00_5321;
																					long BgL_arg1947z00_5322;

																					{	/* Unsafe/sha2.scm 1143 */
																						uint32_t BgL_tmpz00_7051;

																						BgL_tmpz00_7051 =
																							(BgL_v2z00_5304 <<
																							(int) (((long) 8)));
																						BgL_arg1946z00_5321 =
																							(long) (BgL_tmpz00_7051);
																					}
																					BgL_arg1947z00_5322 =
																						(long) (BgL_v3z00_5305);
																					BgL_arg1945z00_5320 =
																						(BgL_arg1946z00_5321 |
																						BgL_arg1947z00_5322);
																				}
																				BgL_arg1944z00_5319 =
																					(uint64_t) (BgL_arg1945z00_5320);
																			}
																			BgL_arg1942z00_5317 =
																				(BgL_arg1944z00_5319 <<
																				(int) (((long) 32)));
																		}
																		{	/* Unsafe/sha2.scm 1144 */
																			uint64_t BgL_arg1949z00_5323;
																			uint64_t BgL_arg1950z00_5324;

																			{	/* Unsafe/sha2.scm 1144 */
																				uint64_t BgL_arg1951z00_5325;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1952z00_5326;

																					{	/* Unsafe/sha2.scm 1144 */
																						long BgL_arg1953z00_5327;
																						long BgL_arg1954z00_5328;

																						{	/* Unsafe/sha2.scm 1144 */
																							uint32_t BgL_tmpz00_7060;

																							BgL_tmpz00_7060 =
																								(BgL_v4z00_5306 <<
																								(int) (((long) 8)));
																							BgL_arg1953z00_5327 =
																								(long) (BgL_tmpz00_7060);
																						}
																						BgL_arg1954z00_5328 =
																							(long) (BgL_v5z00_5307);
																						BgL_arg1952z00_5326 =
																							(BgL_arg1953z00_5327 |
																							BgL_arg1954z00_5328);
																					}
																					BgL_arg1951z00_5325 =
																						(uint64_t) (BgL_arg1952z00_5326);
																				}
																				BgL_arg1949z00_5323 =
																					(BgL_arg1951z00_5325 <<
																					(int) (((long) 16)));
																			}
																			{	/* Unsafe/sha2.scm 1144 */
																				long BgL_arg1956z00_5329;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1957z00_5330;
																					long BgL_arg1958z00_5331;

																					{	/* Unsafe/sha2.scm 1144 */
																						uint32_t BgL_tmpz00_7069;

																						BgL_tmpz00_7069 =
																							(BgL_v6z00_5308 <<
																							(int) (((long) 8)));
																						BgL_arg1957z00_5330 =
																							(long) (BgL_tmpz00_7069);
																					}
																					BgL_arg1958z00_5331 =
																						(long) (BgL_v7z00_5309);
																					BgL_arg1956z00_5329 =
																						(BgL_arg1957z00_5330 |
																						BgL_arg1958z00_5331);
																				}
																				BgL_arg1950z00_5324 =
																					(uint64_t) (BgL_arg1956z00_5329);
																			}
																			BgL_arg1943z00_5318 =
																				(BgL_arg1949z00_5323 |
																				BgL_arg1950z00_5324);
																		}
																		BgL_arg1936z00_5312 =
																			(BgL_arg1942z00_5317 |
																			BgL_arg1943z00_5318);
																	}
																	BgL_vz00_5310 =
																		(BgL_arg1935z00_5311 | BgL_arg1936z00_5312);
																}
																{	/* Unsafe/sha2.scm 1143 */

																	BGL_U64VSET(BgL_v64z00_4946, BgL_iz00_4947,
																		BgL_vz00_5310);
																	BUNSPEC;
																	return ((long) 8);
							}}}}}}}}}}
						else
							{	/* Unsafe/sha2.scm 1134 */
								if ((BgL_nz00_4949 >= (((long) 1) + BgL_lz00_5300)))
									{	/* Unsafe/sha2.scm 1147 */
										{	/* Unsafe/sha2.scm 1148 */
											uint64_t BgL_tmpz00_7083;

											BgL_tmpz00_7083 = (uint64_t) (((long) 0));
											BGL_U64VSET(BgL_v64z00_4946, BgL_iz00_4947,
												BgL_tmpz00_7083);
										} BUNSPEC;
										return ((long) 0);
									}
								else
									{	/* Unsafe/sha2.scm 1151 */
										obj_t BgL_vz00_5332;
										long BgL_kz00_5333;

										BgL_vz00_5332 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 8),
											(uint32_t) (((long) 0)));
										BgL_kz00_5333 =
											(((long) 8) -
											((BgL_nz00_4949 + ((long) 8)) - BgL_lz00_5300));
										{
											long BgL_jz00_5335;

											BgL_jz00_5335 = ((long) 0);
										BgL_loopz00_5334:
											if ((BgL_jz00_5335 == BgL_kz00_5333))
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1156 */
														uint32_t BgL_tmpz00_7093;

														BgL_tmpz00_7093 = (uint32_t) (((long) 128));
														BGL_U32VSET(BgL_vz00_5332, BgL_jz00_5335,
															BgL_tmpz00_7093);
													} BUNSPEC;
													{	/* Unsafe/sha2.scm 1157 */
														uint32_t BgL_v0z00_5336;

														BgL_v0z00_5336 =
															BGL_U32VREF(BgL_vz00_5332, ((long) 0));
														{	/* Unsafe/sha2.scm 1157 */
															uint32_t BgL_v1z00_5337;

															BgL_v1z00_5337 =
																BGL_U32VREF(BgL_vz00_5332, ((long) 1));
															{	/* Unsafe/sha2.scm 1158 */
																uint32_t BgL_v2z00_5338;

																BgL_v2z00_5338 =
																	BGL_U32VREF(BgL_vz00_5332, ((long) 2));
																{	/* Unsafe/sha2.scm 1159 */
																	uint32_t BgL_v3z00_5339;

																	BgL_v3z00_5339 =
																		BGL_U32VREF(BgL_vz00_5332, ((long) 3));
																	{	/* Unsafe/sha2.scm 1160 */
																		uint32_t BgL_v4z00_5340;

																		BgL_v4z00_5340 =
																			BGL_U32VREF(BgL_vz00_5332, ((long) 4));
																		{	/* Unsafe/sha2.scm 1161 */
																			uint32_t BgL_v5z00_5341;

																			BgL_v5z00_5341 =
																				BGL_U32VREF(BgL_vz00_5332, ((long) 5));
																			{	/* Unsafe/sha2.scm 1162 */
																				uint32_t BgL_v6z00_5342;

																				BgL_v6z00_5342 =
																					BGL_U32VREF(BgL_vz00_5332,
																					((long) 6));
																				{	/* Unsafe/sha2.scm 1163 */
																					uint32_t BgL_v7z00_5343;

																					BgL_v7z00_5343 =
																						BGL_U32VREF(BgL_vz00_5332,
																						((long) 7));
																					{	/* Unsafe/sha2.scm 1164 */
																						uint64_t BgL_vz00_5344;

																						{	/* Unsafe/sha2.scm 1165 */
																							uint64_t BgL_arg1964z00_5345;
																							uint64_t BgL_arg1965z00_5346;

																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1966z00_5347;

																								{	/* Unsafe/sha2.scm 1165 */
																									long BgL_arg1967z00_5348;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1968z00_5349;
																										long BgL_arg1969z00_5350;

																										{	/* Unsafe/sha2.scm 1165 */
																											uint32_t BgL_tmpz00_7104;

																											BgL_tmpz00_7104 =
																												(BgL_v0z00_5336 <<
																												(int) (((long) 8)));
																											BgL_arg1968z00_5349 =
																												(long)
																												(BgL_tmpz00_7104);
																										}
																										BgL_arg1969z00_5350 =
																											(long) (BgL_v1z00_5337);
																										BgL_arg1967z00_5348 =
																											(BgL_arg1968z00_5349 |
																											BgL_arg1969z00_5350);
																									}
																									BgL_arg1966z00_5347 =
																										(uint64_t)
																										(BgL_arg1967z00_5348);
																								}
																								BgL_arg1964z00_5345 =
																									(BgL_arg1966z00_5347 <<
																									(int) (((long) 48)));
																							}
																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1971z00_5351;
																								uint64_t BgL_arg1972z00_5352;

																								{	/* Unsafe/sha2.scm 1165 */
																									uint64_t BgL_arg1973z00_5353;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1974z00_5354;

																										{	/* Unsafe/sha2.scm 1165 */
																											long BgL_arg1975z00_5355;
																											long BgL_arg1976z00_5356;

																											{	/* Unsafe/sha2.scm 1165 */
																												uint32_t
																													BgL_tmpz00_7113;
																												BgL_tmpz00_7113 =
																													(BgL_v2z00_5338 <<
																													(int) (((long) 8)));
																												BgL_arg1975z00_5355 =
																													(long)
																													(BgL_tmpz00_7113);
																											}
																											BgL_arg1976z00_5356 =
																												(long) (BgL_v3z00_5339);
																											BgL_arg1974z00_5354 =
																												(BgL_arg1975z00_5355 |
																												BgL_arg1976z00_5356);
																										}
																										BgL_arg1973z00_5353 =
																											(uint64_t)
																											(BgL_arg1974z00_5354);
																									}
																									BgL_arg1971z00_5351 =
																										(BgL_arg1973z00_5353 <<
																										(int) (((long) 32)));
																								}
																								{	/* Unsafe/sha2.scm 1166 */
																									uint64_t BgL_arg1978z00_5357;
																									uint64_t BgL_arg1979z00_5358;

																									{	/* Unsafe/sha2.scm 1166 */
																										uint64_t
																											BgL_arg1980z00_5359;
																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1981z00_5360;

																											{	/* Unsafe/sha2.scm 1166 */
																												long
																													BgL_arg1982z00_5361;
																												long
																													BgL_arg1983z00_5362;
																												{	/* Unsafe/sha2.scm 1166 */
																													uint32_t
																														BgL_tmpz00_7122;
																													BgL_tmpz00_7122 =
																														(BgL_v4z00_5340 <<
																														(int) (((long) 8)));
																													BgL_arg1982z00_5361 =
																														(long)
																														(BgL_tmpz00_7122);
																												}
																												BgL_arg1983z00_5362 =
																													(long)
																													(BgL_v5z00_5341);
																												BgL_arg1981z00_5360 =
																													(BgL_arg1982z00_5361 |
																													BgL_arg1983z00_5362);
																											}
																											BgL_arg1980z00_5359 =
																												(uint64_t)
																												(BgL_arg1981z00_5360);
																										}
																										BgL_arg1978z00_5357 =
																											(BgL_arg1980z00_5359 <<
																											(int) (((long) 16)));
																									}
																									{	/* Unsafe/sha2.scm 1166 */
																										long BgL_arg1985z00_5363;

																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1986z00_5364;
																											long BgL_arg1987z00_5365;

																											{	/* Unsafe/sha2.scm 1166 */
																												uint32_t
																													BgL_tmpz00_7131;
																												BgL_tmpz00_7131 =
																													(BgL_v6z00_5342 <<
																													(int) (((long) 8)));
																												BgL_arg1986z00_5364 =
																													(long)
																													(BgL_tmpz00_7131);
																											}
																											BgL_arg1987z00_5365 =
																												(long) (BgL_v7z00_5343);
																											BgL_arg1985z00_5363 =
																												(BgL_arg1986z00_5364 |
																												BgL_arg1987z00_5365);
																										}
																										BgL_arg1979z00_5358 =
																											(uint64_t)
																											(BgL_arg1985z00_5363);
																									}
																									BgL_arg1972z00_5352 =
																										(BgL_arg1978z00_5357 |
																										BgL_arg1979z00_5358);
																								}
																								BgL_arg1965z00_5346 =
																									(BgL_arg1971z00_5351 |
																									BgL_arg1972z00_5352);
																							}
																							BgL_vz00_5344 =
																								(BgL_arg1964z00_5345 |
																								BgL_arg1965z00_5346);
																						}
																						{	/* Unsafe/sha2.scm 1165 */

																							BGL_U64VSET(BgL_v64z00_4946,
																								BgL_iz00_4947, BgL_vz00_5344);
																							BUNSPEC;
																							return
																								(BgL_jz00_5335 + ((long) 1));
												}}}}}}}}}}}
											else
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1170 */
														uint32_t BgL_arg1989z00_5366;

														BgL_arg1989z00_5366 =
															BGL_U32VREF(BgL_bufz00_4944, BgL_jz00_5335);
														BGL_U32VSET(BgL_vz00_5332, BgL_jz00_5335,
															BgL_arg1989z00_5366);
														BUNSPEC;
													}
													{
														long BgL_jz00_7145;

														BgL_jz00_7145 = (BgL_jz00_5335 + ((long) 1));
														BgL_jz00_5335 = BgL_jz00_7145;
														goto BgL_loopz00_5334;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_61)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_mmz00_2423;

				BgL_mmz00_2423 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_2423))
					{	/* Unsafe/sha2.scm 1184 */
						obj_t BgL_exitd1091z00_2425;

						BgL_exitd1091z00_2425 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 1186 */
							obj_t BgL_zc3z04anonymousza32006ze3z87_4953;

							BgL_zc3z04anonymousza32006ze3z87_4953 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza32006ze3ze5zz__sha2z00,
								(int) (((long) 0)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza32006ze3z87_4953,
								(int) (((long) 0)), BgL_mmz00_2423);
							{	/* Unsafe/sha2.scm 1184 */
								obj_t BgL_arg2366z00_4631;

								{	/* Unsafe/sha2.scm 1184 */
									obj_t BgL_arg2367z00_4632;

									BgL_arg2367z00_4632 =
										BGL_EXITD_PROTECT(BgL_exitd1091z00_2425);
									BgL_arg2366z00_4631 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32006ze3z87_4953,
										BgL_arg2367z00_4632);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2425,
									BgL_arg2366z00_4631);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 1185 */
								obj_t BgL_tmp1093z00_2427;

								BgL_tmp1093z00_2427 =
									BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2423);
								{	/* Unsafe/sha2.scm 1184 */
									bool_t BgL_test2497z00_7160;

									{	/* Unsafe/sha2.scm 1184 */
										obj_t BgL_arg2365z00_4634;

										BgL_arg2365z00_4634 =
											BGL_EXITD_PROTECT(BgL_exitd1091z00_2425);
										BgL_test2497z00_7160 = PAIRP(BgL_arg2365z00_4634);
									}
									if (BgL_test2497z00_7160)
										{	/* Unsafe/sha2.scm 1184 */
											obj_t BgL_arg2363z00_4635;

											{	/* Unsafe/sha2.scm 1184 */
												obj_t BgL_arg2364z00_4636;

												BgL_arg2364z00_4636 =
													BGL_EXITD_PROTECT(BgL_exitd1091z00_2425);
												BgL_arg2363z00_4635 =
													CDR(((obj_t) BgL_arg2364z00_4636));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2425,
												BgL_arg2363z00_4635);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 1184 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_2423);
								return BgL_tmp1093z00_2427;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 1187 */
						obj_t BgL_pz00_2430;

						{	/* Ieee/port.scm 440 */

							BgL_pz00_2430 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_61, BTRUE, BINT(((long) 5000000)));
						}
						{	/* Unsafe/sha2.scm 1188 */
							obj_t BgL_exitd1095z00_2431;

							BgL_exitd1095z00_2431 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 1190 */
								obj_t BgL_zc3z04anonymousza32007ze3z87_4954;

								BgL_zc3z04anonymousza32007ze3z87_4954 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32007ze3ze5zz__sha2z00,
									(int) (((long) 0)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza32007ze3z87_4954,
									(int) (((long) 0)), BgL_pz00_2430);
								{	/* Unsafe/sha2.scm 1188 */
									obj_t BgL_arg2366z00_4640;

									{	/* Unsafe/sha2.scm 1188 */
										obj_t BgL_arg2367z00_4641;

										BgL_arg2367z00_4641 =
											BGL_EXITD_PROTECT(BgL_exitd1095z00_2431);
										BgL_arg2366z00_4640 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32007ze3z87_4954,
											BgL_arg2367z00_4641);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2431,
										BgL_arg2366z00_4640);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 1189 */
									obj_t BgL_tmp1097z00_2433;

									BgL_tmp1097z00_2433 =
										BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2430);
									{	/* Unsafe/sha2.scm 1188 */
										bool_t BgL_test2498z00_7180;

										{	/* Unsafe/sha2.scm 1188 */
											obj_t BgL_arg2365z00_4643;

											BgL_arg2365z00_4643 =
												BGL_EXITD_PROTECT(BgL_exitd1095z00_2431);
											BgL_test2498z00_7180 = PAIRP(BgL_arg2365z00_4643);
										}
										if (BgL_test2498z00_7180)
											{	/* Unsafe/sha2.scm 1188 */
												obj_t BgL_arg2363z00_4644;

												{	/* Unsafe/sha2.scm 1188 */
													obj_t BgL_arg2364z00_4645;

													BgL_arg2364z00_4645 =
														BGL_EXITD_PROTECT(BgL_exitd1095z00_2431);
													BgL_arg2363z00_4644 =
														CDR(((obj_t) BgL_arg2364z00_4645));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2431,
													BgL_arg2363z00_4644);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 1188 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_2430));
									return BgL_tmp1097z00_2433;
								}
							}
						}
					}
			}
		}

	}



/* &sha512sum-file */
	obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_4955,
		obj_t BgL_fnamez00_4956)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_auxz00_7189;

				if (STRINGP(BgL_fnamez00_4956))
					{	/* Unsafe/sha2.scm 1182 */
						BgL_auxz00_7189 = BgL_fnamez00_4956;
					}
				else
					{
						obj_t BgL_auxz00_7192;

						BgL_auxz00_7192 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 47709)), BGl_string2408z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_fnamez00_4956);
						FAILURE(BgL_auxz00_7192, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_7189);
			}
		}

	}



/* &<@anonymous:2006> */
	obj_t BGl_z62zc3z04anonymousza32006ze3ze5zz__sha2z00(obj_t BgL_envz00_4957)
	{
		{	/* Unsafe/sha2.scm 1184 */
			{	/* Unsafe/sha2.scm 1186 */
				obj_t BgL_mmz00_4958;

				BgL_mmz00_4958 =
					((obj_t) PROCEDURE_REF(BgL_envz00_4957, (int) (((long) 0))));
				return bgl_close_mmap(BgL_mmz00_4958);
			}
		}

	}



/* &<@anonymous:2007> */
	obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__sha2z00(obj_t BgL_envz00_4959)
	{
		{	/* Unsafe/sha2.scm 1188 */
			{	/* Unsafe/sha2.scm 1190 */
				obj_t BgL_pz00_4960;

				BgL_pz00_4960 = PROCEDURE_REF(BgL_envz00_4959, (int) (((long) 0)));
				return bgl_close_input_port(((obj_t) BgL_pz00_4960));
			}
		}

	}



/* sha512sum */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
	{
		{	/* Unsafe/sha2.scm 1195 */
			if (BGL_MMAPP(BgL_objz00_62))
				{	/* Unsafe/sha2.scm 1197 */
					return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);
				}
			else
				{	/* Unsafe/sha2.scm 1197 */
					if (STRINGP(BgL_objz00_62))
						{	/* Unsafe/sha2.scm 1199 */
							return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);
						}
					else
						{	/* Unsafe/sha2.scm 1199 */
							if (INPUT_PORTP(BgL_objz00_62))
								{	/* Unsafe/sha2.scm 1201 */
									return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);
								}
							else
								{	/* Unsafe/sha2.scm 1201 */
									return
										BGl_errorz00zz__errorz00(BGl_string2409z00zz__sha2z00,
										BGl_string2403z00zz__sha2z00, BgL_objz00_62);
								}
						}
				}
		}

	}



/* &sha512sum */
	obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_4961,
		obj_t BgL_objz00_4962)
	{
		{	/* Unsafe/sha2.scm 1195 */
			return BGl_sha512sumz00zz__sha2z00(BgL_objz00_4962);
		}

	}



/* hmac-sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_63, obj_t BgL_msgz00_64)
	{
		{	/* Unsafe/sha2.scm 1209 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64,
				BGl_sha256sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha256sum-string */
	obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_4963,
		obj_t BgL_keyz00_4964, obj_t BgL_msgz00_4965)
	{
		{	/* Unsafe/sha2.scm 1209 */
			{	/* Unsafe/sha2.scm 1210 */
				obj_t BgL_auxz00_7224;
				obj_t BgL_auxz00_7217;

				if (STRINGP(BgL_msgz00_4965))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7224 = BgL_msgz00_4965;
					}
				else
					{
						obj_t BgL_auxz00_7227;

						BgL_auxz00_7227 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 48688)), BGl_string2410z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_msgz00_4965);
						FAILURE(BgL_auxz00_7227, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_4964))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7217 = BgL_keyz00_4964;
					}
				else
					{
						obj_t BgL_auxz00_7220;

						BgL_auxz00_7220 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 48688)), BGl_string2410z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_keyz00_4964);
						FAILURE(BgL_auxz00_7220, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_7217,
					BgL_auxz00_7224);
			}
		}

	}



/* hmac-sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_65, obj_t BgL_msgz00_66)
	{
		{	/* Unsafe/sha2.scm 1215 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66,
				BGl_sha512sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha512sum-string */
	obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_4966,
		obj_t BgL_keyz00_4967, obj_t BgL_msgz00_4968)
	{
		{	/* Unsafe/sha2.scm 1215 */
			{	/* Unsafe/sha2.scm 1216 */
				obj_t BgL_auxz00_7240;
				obj_t BgL_auxz00_7233;

				if (STRINGP(BgL_msgz00_4968))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7240 = BgL_msgz00_4968;
					}
				else
					{
						obj_t BgL_auxz00_7243;

						BgL_auxz00_7243 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 48994)), BGl_string2411z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_msgz00_4968);
						FAILURE(BgL_auxz00_7243, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_4967))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7233 = BgL_keyz00_4967;
					}
				else
					{
						obj_t BgL_auxz00_7236;

						BgL_auxz00_7236 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2393z00zz__sha2z00,
							BINT(((long) 48994)), BGl_string2411z00zz__sha2z00,
							BGl_string2398z00zz__sha2z00, BgL_keyz00_4967);
						FAILURE(BgL_auxz00_7236, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_7233,
					BgL_auxz00_7240);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00()
	{
		{	/* Unsafe/sha2.scm 50 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2412z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__hmacz00(((long) 285132844),
				BSTRING_TO_STRING(BGl_string2412z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2412z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 86988580),
				BSTRING_TO_STRING(BGl_string2412z00zz__sha2z00));
			return
				BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 467924964),
				BSTRING_TO_STRING(BGl_string2412z00zz__sha2z00));
		}

	}

#ifdef __cplusplus
}
#endif
